/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the AMDGPU target                          *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 130;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(AMDGPUInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AMDGPUInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AMDGPUInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static AMDGPUInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(6),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s64,
  GILLT_p1s64,
  GILLT_p2s32,
  GILLT_p3s32,
  GILLT_p4s64,
  GILLT_p5s32,
  GILLT_p6s32,
  GILLT_s1,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_v2s16,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v3s32,
  GILLT_v3s64,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v4s64,
  GILLT_v5s32,
  GILLT_v6s32,
  GILLT_v7s32,
  GILLT_v8s16,
  GILLT_v8s32,
  GILLT_v8s64,
  GILLT_v9s32,
  GILLT_v10s32,
  GILLT_v11s32,
  GILLT_v12s32,
  GILLT_v16s16,
  GILLT_v16s32,
  GILLT_v16s64,
  GILLT_v32s16,
  GILLT_v32s32,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 64),
  LLT::pointer(1, 64),
  LLT::pointer(2, 32),
  LLT::pointer(3, 32),
  LLT::pointer(4, 64),
  LLT::pointer(5, 32),
  LLT::pointer(6, 32),
  LLT::scalar(1),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getFixed(2), 16),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(3), 32),
  LLT::vector(ElementCount::getFixed(3), 64),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(4), 64),
  LLT::vector(ElementCount::getFixed(5), 32),
  LLT::vector(ElementCount::getFixed(6), 32),
  LLT::vector(ElementCount::getFixed(7), 32),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(8), 32),
  LLT::vector(ElementCount::getFixed(8), 64),
  LLT::vector(ElementCount::getFixed(9), 32),
  LLT::vector(ElementCount::getFixed(10), 32),
  LLT::vector(ElementCount::getFixed(11), 32),
  LLT::vector(ElementCount::getFixed(12), 32),
  LLT::vector(ElementCount::getFixed(16), 16),
  LLT::vector(ElementCount::getFixed(16), 32),
  LLT::vector(ElementCount::getFixed(16), 64),
  LLT::vector(ElementCount::getFixed(32), 16),
  LLT::vector(ElementCount::getFixed(32), 32),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_FalsePredicateBit = 115,
  Feature_isGFX6Bit = 51,
  Feature_isGFX6GFX7Bit = 9,
  Feature_isGFX6GFX7GFX10Bit = 112,
  Feature_isGFX7OnlyBit = 86,
  Feature_isGFX7GFX8GFX9Bit = 46,
  Feature_isGFX6GFX7GFX8GFX9Bit = 67,
  Feature_isGFX6GFX7GFX8GFX9GFX10Bit = 126,
  Feature_isNotGFX12PlusBit = 20,
  Feature_isGFX8GFX9GFX10GFX11Bit = 22,
  Feature_isGFX7PlusBit = 14,
  Feature_isGFX8PlusBit = 4,
  Feature_isGFX8OnlyBit = 23,
  Feature_isGFX9PlusBit = 0,
  Feature_isNotGFX9PlusBit = 57,
  Feature_isGFX90APlusBit = 39,
  Feature_isNotGFX90APlusBit = 24,
  Feature_isGFX908orGFX90ABit = 40,
  Feature_isGFX940PlusBit = 41,
  Feature_isNotGFX940PlusBit = 52,
  Feature_HasGFX950InstsBit = 29,
  Feature_isGFX8GFX9Bit = 16,
  Feature_isGFX10OnlyBit = 63,
  Feature_isGFX10PlusBit = 6,
  Feature_isGFX9GFX10Bit = 58,
  Feature_isGFX11OnlyBit = 64,
  Feature_isGFX11PlusBit = 1,
  Feature_isGFX12OnlyBit = 65,
  Feature_isGFX12PlusBit = 3,
  Feature_HasMinimum3Maximum3F32Bit = 21,
  Feature_HasMinimum3Maximum3F16Bit = 26,
  Feature_HasMinimum3Maximum3PKF16Bit = 33,
  Feature_HasFlatAddressSpaceBit = 88,
  Feature_HasFlatBufferGlobalAtomicFaddF64InstBit = 104,
  Feature_HasAtomicFMinFMaxF32GlobalInstsBit = 98,
  Feature_HasAtomicFMinFMaxF64GlobalInstsBit = 103,
  Feature_HasAtomicFMinFMaxF32FlatInstsBit = 94,
  Feature_HasAtomicFMinFMaxF64FlatInstsBit = 95,
  Feature_HasLdsAtomicAddF64Bit = 129,
  Feature_HasFlatGlobalInstsBit = 89,
  Feature_HasFlatScratchInstsBit = 92,
  Feature_HasD16LoadStoreBit = 97,
  Feature_HasFlatScratchSVSModeBit = 93,
  Feature_HasGFX10_BEncodingBit = 50,
  Feature_HasUnpackedD16VMemBit = 108,
  Feature_HasPackedD16VMemBit = 109,
  Feature_HasUnrestrictedSOffsetBit = 107,
  Feature_D16PreservesUnusedBitsBit = 90,
  Feature_LDSRequiresM0InitBit = 122,
  Feature_NotLDSRequiresM0InitBit = 123,
  Feature_HasExportInstsBit = 8,
  Feature_HasLDSFPAtomicAddF32Bit = 128,
  Feature_HasAddNoCarryInstsBit = 66,
  Feature_NotHasAddNoCarryInstsBit = 120,
  Feature_HasXNACKEnabledBit = 85,
  Feature_Has16BitInstsBit = 10,
  Feature_NotHasTrue16BitInstsBit = 11,
  Feature_UseRealTrue16InstsBit = 12,
  Feature_UseFakeTrue16InstsBit = 13,
  Feature_HasVOP3PInstsBit = 79,
  Feature_HasMed3_16Bit = 121,
  Feature_HasMinMaxDenormModesBit = 114,
  Feature_NotHasMinMaxDenormModesBit = 116,
  Feature_HasSDWABit = 62,
  Feature_HasPackedFP32OpsBit = 44,
  Feature_HasImageInstsBit = 7,
  Feature_HasIntClampBit = 72,
  Feature_HasMadMixInstsBit = 80,
  Feature_HasScalarStoresBit = 47,
  Feature_has16BankLDSBit = 53,
  Feature_has32BankLDSBit = 25,
  Feature_HasFmaMixInstsBit = 82,
  Feature_HasDLInstsBit = 17,
  Feature_HasFmacF64InstBit = 119,
  Feature_HasDot1InstsBit = 37,
  Feature_HasDot2InstsBit = 34,
  Feature_HasDot3InstsBit = 71,
  Feature_HasDot4InstsBit = 70,
  Feature_HasDot5InstsBit = 68,
  Feature_HasDot6InstsBit = 69,
  Feature_HasDot7InstsBit = 36,
  Feature_HasDot8InstsBit = 83,
  Feature_HasDot9InstsBit = 30,
  Feature_HasDot10InstsBit = 35,
  Feature_HasDot11InstsBit = 84,
  Feature_HasGetWaveIdInstBit = 49,
  Feature_HasMAIInstsBit = 38,
  Feature_HasSMemRealTimeBit = 48,
  Feature_HasSMemTimeInstBit = 45,
  Feature_HasShaderCyclesRegisterBit = 87,
  Feature_HasShaderCyclesHiLoRegistersBit = 56,
  Feature_HasFP8InstsBit = 43,
  Feature_HasFP8ConversionInstsBit = 60,
  Feature_HasMadMacF32InstsBit = 18,
  Feature_HasFmaLegacy32Bit = 19,
  Feature_HasAtomicDsPkAdd16InstsBit = 127,
  Feature_HasAtomicFlatPkAdd16InstsBit = 106,
  Feature_HasAtomicFaddRtnInstsBit = 101,
  Feature_HasAtomicFaddNoRtnInstsBit = 99,
  Feature_HasAtomicBufferGlobalPkAddF16NoRtnInstsBit = 100,
  Feature_HasAtomicBufferGlobalPkAddF16InstsBit = 102,
  Feature_HasFlatAtomicFaddF32InstBit = 105,
  Feature_EnableFlatScratchBit = 91,
  Feature_DisableFlatScratchBit = 110,
  Feature_HasUnalignedAccessModeBit = 124,
  Feature_HasMADIntraFwdBugBit = 75,
  Feature_HasNotMADIntraFwdBugBit = 74,
  Feature_HasSALUFloatInstsBit = 2,
  Feature_NotHasSALUFloatInstsBit = 111,
  Feature_HasPseudoScalarTransBit = 31,
  Feature_HasBitOp3InstsBit = 77,
  Feature_HasPrngInstBit = 15,
  Feature_HasFP6BF6ConversionScaleInstsBit = 27,
  Feature_HasF16BF16ToFP6BF6ConversionScaleInstsBit = 28,
  Feature_HasCvtPkF16F32InstBit = 76,
  Feature_HasF32ToF16BF16ConversionSRInstsBit = 78,
  Feature_HasGDSBit = 125,
  Feature_HasCvtFP8VOP1BugBit = 59,
  Feature_HasNoCvtFP8VOP1BugBit = 61,
  Feature_HasAtomicCSubNoRtnInstsBit = 96,
  Feature_HasXF32InstsBit = 42,
  Feature_HasAshrPkInstsBit = 32,
  Feature_HasLshlAddU64InstBit = 73,
  Feature_HasSetPrioIncWgInstBit = 5,
  Feature_FP16DenormalsBit = 118,
  Feature_FP64DenormalsBit = 117,
  Feature_NoFP32DenormalsBit = 81,
  Feature_IEEEModeDisabledBit = 113,
  Feature_isWave32Bit = 54,
  Feature_isWave64Bit = 55,
};

PredicateBitset AMDGPUInstructionSelector::
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (false)
    Features.set(Feature_FalsePredicateBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SOUTHERN_ISLANDS)
    Features.set(Feature_isGFX6Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SOUTHERN_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS)
    Features.set(Feature_isGFX6GFX7Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SOUTHERN_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX10)
    Features.set(Feature_isGFX6GFX7GFX10Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS)
    Features.set(Feature_isGFX7OnlyBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::VOLCANIC_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX9)
    Features.set(Feature_isGFX7GFX8GFX9Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SOUTHERN_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::VOLCANIC_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX9)
    Features.set(Feature_isGFX6GFX7GFX8GFX9Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::SOUTHERN_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::SEA_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::VOLCANIC_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX9 ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX10)
    Features.set(Feature_isGFX6GFX7GFX8GFX9GFX10Bit);
  if (Subtarget->getGeneration() <= AMDGPUSubtarget::GFX11)
    Features.set(Feature_isNotGFX12PlusBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::VOLCANIC_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX9 ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX10 ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX11)
    Features.set(Feature_isGFX8GFX9GFX10GFX11Bit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::SEA_ISLANDS)
    Features.set(Feature_isGFX7PlusBit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::VOLCANIC_ISLANDS)
    Features.set(Feature_isGFX8PlusBit);
  if (Subtarget->getGeneration() ==AMDGPUSubtarget::VOLCANIC_ISLANDS)
    Features.set(Feature_isGFX8OnlyBit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::GFX9)
    Features.set(Feature_isGFX9PlusBit);
  if (Subtarget->getGeneration() < AMDGPUSubtarget::GFX9)
    Features.set(Feature_isNotGFX9PlusBit);
  if (Subtarget->hasGFX90AInsts())
    Features.set(Feature_isGFX90APlusBit);
  if (!Subtarget->hasGFX90AInsts())
    Features.set(Feature_isNotGFX90APlusBit);
  if (Subtarget->hasMAIInsts() && !Subtarget->hasGFX940Insts())
    Features.set(Feature_isGFX908orGFX90ABit);
  if (Subtarget->hasGFX940Insts())
    Features.set(Feature_isGFX940PlusBit);
  if (!Subtarget->hasGFX940Insts())
    Features.set(Feature_isNotGFX940PlusBit);
  if (Subtarget->hasGFX950Insts())
    Features.set(Feature_HasGFX950InstsBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::VOLCANIC_ISLANDS ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX9)
    Features.set(Feature_isGFX8GFX9Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::GFX10)
    Features.set(Feature_isGFX10OnlyBit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::GFX10)
    Features.set(Feature_isGFX10PlusBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::GFX9 ||Subtarget->getGeneration() == AMDGPUSubtarget::GFX10)
    Features.set(Feature_isGFX9GFX10Bit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::GFX11)
    Features.set(Feature_isGFX11OnlyBit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::GFX11)
    Features.set(Feature_isGFX11PlusBit);
  if (Subtarget->getGeneration() == AMDGPUSubtarget::GFX12)
    Features.set(Feature_isGFX12OnlyBit);
  if (Subtarget->getGeneration() >= AMDGPUSubtarget::GFX12)
    Features.set(Feature_isGFX12PlusBit);
  if (Subtarget->hasMinimum3Maximum3F32())
    Features.set(Feature_HasMinimum3Maximum3F32Bit);
  if (Subtarget->hasMinimum3Maximum3F16())
    Features.set(Feature_HasMinimum3Maximum3F16Bit);
  if (Subtarget->hasMinimum3Maximum3PKF16())
    Features.set(Feature_HasMinimum3Maximum3PKF16Bit);
  if (Subtarget->hasFlatAddressSpace())
    Features.set(Feature_HasFlatAddressSpaceBit);
  if (Subtarget->hasFlatBufferGlobalAtomicFaddF64Inst())
    Features.set(Feature_HasFlatBufferGlobalAtomicFaddF64InstBit);
  if (Subtarget->hasAtomicFMinFMaxF32GlobalInsts())
    Features.set(Feature_HasAtomicFMinFMaxF32GlobalInstsBit);
  if (Subtarget->hasAtomicFMinFMaxF64GlobalInsts())
    Features.set(Feature_HasAtomicFMinFMaxF64GlobalInstsBit);
  if (Subtarget->hasAtomicFMinFMaxF32FlatInsts())
    Features.set(Feature_HasAtomicFMinFMaxF32FlatInstsBit);
  if (Subtarget->hasAtomicFMinFMaxF64FlatInsts())
    Features.set(Feature_HasAtomicFMinFMaxF64FlatInstsBit);
  if (Subtarget->hasLdsAtomicAddF64())
    Features.set(Feature_HasLdsAtomicAddF64Bit);
  if (Subtarget->hasFlatGlobalInsts())
    Features.set(Feature_HasFlatGlobalInstsBit);
  if (Subtarget->hasFlatScratchInsts())
    Features.set(Feature_HasFlatScratchInstsBit);
  if (Subtarget->hasD16LoadStore())
    Features.set(Feature_HasD16LoadStoreBit);
  if (Subtarget->hasFlatScratchSVSMode())
    Features.set(Feature_HasFlatScratchSVSModeBit);
  if (Subtarget->hasGFX10_BEncoding())
    Features.set(Feature_HasGFX10_BEncodingBit);
  if (Subtarget->hasUnpackedD16VMem())
    Features.set(Feature_HasUnpackedD16VMemBit);
  if (!Subtarget->hasUnpackedD16VMem())
    Features.set(Feature_HasPackedD16VMemBit);
  if (!Subtarget->hasRestrictedSOffset())
    Features.set(Feature_HasUnrestrictedSOffsetBit);
  if (Subtarget->d16PreservesUnusedBits())
    Features.set(Feature_D16PreservesUnusedBitsBit);
  if (Subtarget->ldsRequiresM0Init())
    Features.set(Feature_LDSRequiresM0InitBit);
  if (!Subtarget->ldsRequiresM0Init())
    Features.set(Feature_NotLDSRequiresM0InitBit);
  if (Subtarget->hasExportInsts())
    Features.set(Feature_HasExportInstsBit);
  if (Subtarget->hasLDSFPAtomicAddF32())
    Features.set(Feature_HasLDSFPAtomicAddF32Bit);
  if (Subtarget->hasAddNoCarry())
    Features.set(Feature_HasAddNoCarryInstsBit);
  if (!Subtarget->hasAddNoCarry())
    Features.set(Feature_NotHasAddNoCarryInstsBit);
  if (Subtarget->isXNACKEnabled())
    Features.set(Feature_HasXNACKEnabledBit);
  if (Subtarget->has16BitInsts())
    Features.set(Feature_Has16BitInstsBit);
  if (!Subtarget->hasTrue16BitInsts())
    Features.set(Feature_NotHasTrue16BitInstsBit);
  if (Subtarget->useRealTrue16Insts())
    Features.set(Feature_UseRealTrue16InstsBit);
  if (Subtarget->hasTrue16BitInsts() && !Subtarget->useRealTrue16Insts())
    Features.set(Feature_UseFakeTrue16InstsBit);
  if (Subtarget->hasVOP3PInsts())
    Features.set(Feature_HasVOP3PInstsBit);
  if (Subtarget->hasMed3_16())
    Features.set(Feature_HasMed3_16Bit);
  if (Subtarget->supportsMinMaxDenormModes())
    Features.set(Feature_HasMinMaxDenormModesBit);
  if (!Subtarget->supportsMinMaxDenormModes())
    Features.set(Feature_NotHasMinMaxDenormModesBit);
  if (Subtarget->hasSDWA())
    Features.set(Feature_HasSDWABit);
  if (Subtarget->hasPackedFP32Ops())
    Features.set(Feature_HasPackedFP32OpsBit);
  if (Subtarget->hasImageInsts())
    Features.set(Feature_HasImageInstsBit);
  if (Subtarget->hasIntClamp())
    Features.set(Feature_HasIntClampBit);
  if (Subtarget->hasMadMixInsts())
    Features.set(Feature_HasMadMixInstsBit);
  if (Subtarget->hasScalarStores())
    Features.set(Feature_HasScalarStoresBit);
  if (Subtarget->getLDSBankCount() == 16)
    Features.set(Feature_has16BankLDSBit);
  if (Subtarget->getLDSBankCount() == 32)
    Features.set(Feature_has32BankLDSBit);
  if (Subtarget->hasFmaMixInsts())
    Features.set(Feature_HasFmaMixInstsBit);
  if (Subtarget->hasDLInsts())
    Features.set(Feature_HasDLInstsBit);
  if (Subtarget->hasFmacF64Inst())
    Features.set(Feature_HasFmacF64InstBit);
  if (Subtarget->hasDot1Insts())
    Features.set(Feature_HasDot1InstsBit);
  if (Subtarget->hasDot2Insts())
    Features.set(Feature_HasDot2InstsBit);
  if (Subtarget->hasDot3Insts())
    Features.set(Feature_HasDot3InstsBit);
  if (Subtarget->hasDot4Insts())
    Features.set(Feature_HasDot4InstsBit);
  if (Subtarget->hasDot5Insts())
    Features.set(Feature_HasDot5InstsBit);
  if (Subtarget->hasDot6Insts())
    Features.set(Feature_HasDot6InstsBit);
  if (Subtarget->hasDot7Insts())
    Features.set(Feature_HasDot7InstsBit);
  if (Subtarget->hasDot8Insts())
    Features.set(Feature_HasDot8InstsBit);
  if (Subtarget->hasDot9Insts())
    Features.set(Feature_HasDot9InstsBit);
  if (Subtarget->hasDot10Insts())
    Features.set(Feature_HasDot10InstsBit);
  if (Subtarget->hasDot11Insts())
    Features.set(Feature_HasDot11InstsBit);
  if (Subtarget->hasGetWaveIdInst())
    Features.set(Feature_HasGetWaveIdInstBit);
  if (Subtarget->hasMAIInsts())
    Features.set(Feature_HasMAIInstsBit);
  if (Subtarget->hasSMemRealTime())
    Features.set(Feature_HasSMemRealTimeBit);
  if (Subtarget->hasSMemTimeInst())
    Features.set(Feature_HasSMemTimeInstBit);
  if (Subtarget->hasShaderCyclesRegister())
    Features.set(Feature_HasShaderCyclesRegisterBit);
  if (Subtarget->hasShaderCyclesHiLoRegisters())
    Features.set(Feature_HasShaderCyclesHiLoRegistersBit);
  if (Subtarget->hasFP8Insts())
    Features.set(Feature_HasFP8InstsBit);
  if (Subtarget->hasFP8ConversionInsts())
    Features.set(Feature_HasFP8ConversionInstsBit);
  if (Subtarget->hasMadMacF32Insts())
    Features.set(Feature_HasMadMacF32InstsBit);
  if (Subtarget->hasGFX10_3Insts())
    Features.set(Feature_HasFmaLegacy32Bit);
  if (Subtarget->hasAtomicDsPkAdd16Insts())
    Features.set(Feature_HasAtomicDsPkAdd16InstsBit);
  if (Subtarget->hasAtomicFlatPkAdd16Insts())
    Features.set(Feature_HasAtomicFlatPkAdd16InstsBit);
  if (Subtarget->hasAtomicFaddRtnInsts())
    Features.set(Feature_HasAtomicFaddRtnInstsBit);
  if (Subtarget->hasAtomicFaddNoRtnInsts())
    Features.set(Feature_HasAtomicFaddNoRtnInstsBit);
  if (Subtarget->hasAtomicBufferGlobalPkAddF16NoRtnInsts() || Subtarget->hasAtomicBufferGlobalPkAddF16Insts())
    Features.set(Feature_HasAtomicBufferGlobalPkAddF16NoRtnInstsBit);
  if (Subtarget->hasAtomicBufferGlobalPkAddF16Insts())
    Features.set(Feature_HasAtomicBufferGlobalPkAddF16InstsBit);
  if (Subtarget->hasFlatAtomicFaddF32Inst())
    Features.set(Feature_HasFlatAtomicFaddF32InstBit);
  if (Subtarget->enableFlatScratch())
    Features.set(Feature_EnableFlatScratchBit);
  if (!Subtarget->enableFlatScratch())
    Features.set(Feature_DisableFlatScratchBit);
  if (Subtarget->hasUnalignedAccessMode())
    Features.set(Feature_HasUnalignedAccessModeBit);
  if (Subtarget->hasMADIntraFwdBug())
    Features.set(Feature_HasMADIntraFwdBugBit);
  if (!Subtarget->hasMADIntraFwdBug())
    Features.set(Feature_HasNotMADIntraFwdBugBit);
  if (Subtarget->hasSALUFloatInsts())
    Features.set(Feature_HasSALUFloatInstsBit);
  if (!Subtarget->hasSALUFloatInsts())
    Features.set(Feature_NotHasSALUFloatInstsBit);
  if (Subtarget->hasPseudoScalarTrans())
    Features.set(Feature_HasPseudoScalarTransBit);
  if (Subtarget->hasBitOp3Insts())
    Features.set(Feature_HasBitOp3InstsBit);
  if (Subtarget->hasPrngInst())
    Features.set(Feature_HasPrngInstBit);
  if (Subtarget->hasFP6BF6ConversionScaleInsts())
    Features.set(Feature_HasFP6BF6ConversionScaleInstsBit);
  if (Subtarget->hasF16BF16ToFP6BF6ConversionScaleInsts())
    Features.set(Feature_HasF16BF16ToFP6BF6ConversionScaleInstsBit);
  if (Subtarget->hasCvtPkF16F32Inst())
    Features.set(Feature_HasCvtPkF16F32InstBit);
  if (Subtarget->hasF32ToF16BF16ConversionSRInsts())
    Features.set(Feature_HasF32ToF16BF16ConversionSRInstsBit);
  if (Subtarget->hasGDS())
    Features.set(Feature_HasGDSBit);
  if (Subtarget->hasCvtFP8VOP1Bug())
    Features.set(Feature_HasCvtFP8VOP1BugBit);
  if (!Subtarget->hasCvtFP8VOP1Bug())
    Features.set(Feature_HasNoCvtFP8VOP1BugBit);
  if (Subtarget->hasAtomicCSubNoRtnInsts())
    Features.set(Feature_HasAtomicCSubNoRtnInstsBit);
  if (Subtarget->hasXF32Insts())
    Features.set(Feature_HasXF32InstsBit);
  if (Subtarget->hasAshrPkInsts())
    Features.set(Feature_HasAshrPkInstsBit);
  if (Subtarget->hasLshlAddU64Inst())
    Features.set(Feature_HasLshlAddU64InstBit);
  if (Subtarget->hasSetPrioIncWgInst())
    Features.set(Feature_HasSetPrioIncWgInstBit);
  if (Subtarget->isWave32())
    Features.set(Feature_isWave32Bit);
  if (Subtarget->isWave64())
    Features.set(Feature_isWave64Bit);
  return Features;
}

void AMDGPUInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AMDGPUSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AMDGPUInstructionSelector::
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (MF->getInfo<SIMachineFunctionInfo>()->getMode().FP64FP16Denormals != DenormalMode::getPreserveSign())
    Features.set(Feature_FP16DenormalsBit);
  if (MF->getInfo<SIMachineFunctionInfo>()->getMode().FP64FP16Denormals != DenormalMode::getPreserveSign())
    Features.set(Feature_FP64DenormalsBit);
  if (MF->getInfo<SIMachineFunctionInfo>()->getMode().FP32Denormals == DenormalMode::getPreserveSign())
    Features.set(Feature_NoFP32DenormalsBit);
  if (!MF->getInfo<SIMachineFunctionInfo>()->getMode().IEEE)
    Features.set(Feature_IEEEModeDisabledBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_DisableFlatScratch,
  GIFBS_Has16BitInsts,
  GIFBS_HasAddNoCarryInsts,
  GIFBS_HasAshrPkInsts,
  GIFBS_HasAtomicBufferGlobalPkAddF16Insts,
  GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts,
  GIFBS_HasAtomicCSubNoRtnInsts,
  GIFBS_HasAtomicFMinFMaxF32GlobalInsts,
  GIFBS_HasAtomicFMinFMaxF64GlobalInsts,
  GIFBS_HasAtomicFaddNoRtnInsts,
  GIFBS_HasAtomicFaddRtnInsts,
  GIFBS_HasAtomicFlatPkAdd16Insts,
  GIFBS_HasBitOp3Insts,
  GIFBS_HasCvtPkF16F32Inst,
  GIFBS_HasD16LoadStore,
  GIFBS_HasDLInsts,
  GIFBS_HasDot10Insts,
  GIFBS_HasDot1Insts,
  GIFBS_HasDot2Insts,
  GIFBS_HasDot3Insts,
  GIFBS_HasDot4Insts,
  GIFBS_HasDot5Insts,
  GIFBS_HasDot6Insts,
  GIFBS_HasDot7Insts,
  GIFBS_HasDot8Insts,
  GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts,
  GIFBS_HasF32ToF16BF16ConversionSRInsts,
  GIFBS_HasFP6BF6ConversionScaleInsts,
  GIFBS_HasFP8Insts,
  GIFBS_HasFlatAddressSpace,
  GIFBS_HasFlatAtomicFaddF32Inst,
  GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst,
  GIFBS_HasFlatGlobalInsts,
  GIFBS_HasFmaLegacy32,
  GIFBS_HasFmaMixInsts,
  GIFBS_HasFmacF64Inst,
  GIFBS_HasGDS,
  GIFBS_HasGFX10_BEncoding,
  GIFBS_HasGFX950Insts,
  GIFBS_HasGetWaveIdInst,
  GIFBS_HasIntClamp,
  GIFBS_HasLdsAtomicAddF64,
  GIFBS_HasLshlAddU64Inst,
  GIFBS_HasMAIInsts,
  GIFBS_HasMadMacF32Insts,
  GIFBS_HasMinMaxDenormModes,
  GIFBS_HasMinimum3Maximum3F32,
  GIFBS_HasMinimum3Maximum3PKF16,
  GIFBS_HasPackedD16VMem,
  GIFBS_HasPackedFP32Ops,
  GIFBS_HasPrngInst,
  GIFBS_HasPseudoScalarTrans,
  GIFBS_HasSALUFloatInsts,
  GIFBS_HasSMemRealTime,
  GIFBS_HasSMemTimeInst,
  GIFBS_HasSetPrioIncWgInst,
  GIFBS_HasShaderCyclesHiLoRegisters,
  GIFBS_HasShaderCyclesRegister,
  GIFBS_HasUnpackedD16VMem,
  GIFBS_HasUnrestrictedSOffset,
  GIFBS_HasVOP3PInsts,
  GIFBS_HasXF32Insts,
  GIFBS_HasXNACKEnabled,
  GIFBS_IEEEModeDisabled,
  GIFBS_LDSRequiresM0Init,
  GIFBS_NotHasAddNoCarryInsts,
  GIFBS_NotHasTrue16BitInsts,
  GIFBS_NotLDSRequiresM0Init,
  GIFBS_UseFakeTrue16Insts,
  GIFBS_UseRealTrue16Insts,
  GIFBS_isGFX10Only,
  GIFBS_isGFX10Plus,
  GIFBS_isGFX11Only,
  GIFBS_isGFX11Plus,
  GIFBS_isGFX12Only,
  GIFBS_isGFX12Plus,
  GIFBS_isGFX6,
  GIFBS_isGFX6GFX7,
  GIFBS_isGFX6GFX7GFX8GFX9,
  GIFBS_isGFX7GFX8GFX9,
  GIFBS_isGFX7Only,
  GIFBS_isGFX7Plus,
  GIFBS_isGFX8GFX9,
  GIFBS_isGFX8GFX9GFX10GFX11,
  GIFBS_isGFX8Plus,
  GIFBS_isGFX908orGFX90A,
  GIFBS_isGFX90APlus,
  GIFBS_isGFX940Plus,
  GIFBS_isGFX9GFX10,
  GIFBS_isGFX9Plus,
  GIFBS_isNotGFX12Plus,
  GIFBS_isNotGFX90APlus,
  GIFBS_isNotGFX940Plus,
  GIFBS_isNotGFX9Plus,
  GIFBS_isWave32,
  GIFBS_isWave64,
  GIFBS_DisableFlatScratch_HasD16LoadStore,
  GIFBS_DisableFlatScratch_HasUnrestrictedSOffset,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts,
  GIFBS_FP16Denormals_NotHasMinMaxDenormModes,
  GIFBS_FalsePredicate_NotHasMinMaxDenormModes,
  GIFBS_Has16BitInsts_HasIntClamp,
  GIFBS_Has16BitInsts_NotHasTrue16BitInsts,
  GIFBS_Has16BitInsts_UseFakeTrue16Insts,
  GIFBS_Has16BitInsts_UseRealTrue16Insts,
  GIFBS_Has16BitInsts_isGFX6GFX7GFX8GFX9,
  GIFBS_Has16BitInsts_isGFX8GFX9,
  GIFBS_Has16BitInsts_isGFX8Only,
  GIFBS_Has16BitInsts_isNotGFX90APlus,
  GIFBS_HasAddNoCarryInsts_HasIntClamp,
  GIFBS_HasAtomicBufferGlobalPkAddF16Insts_HasUnrestrictedSOffset,
  GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts_HasUnrestrictedSOffset,
  GIFBS_HasAtomicCSubNoRtnInsts_isGFX12Plus,
  GIFBS_HasAtomicDsPkAdd16Insts_HasGDS,
  GIFBS_HasAtomicDsPkAdd16Insts_LDSRequiresM0Init,
  GIFBS_HasAtomicDsPkAdd16Insts_NotLDSRequiresM0Init,
  GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace,
  GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatGlobalInsts,
  GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts,
  GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset,
  GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace,
  GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts,
  GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset,
  GIFBS_HasAtomicFaddNoRtnInsts_HasUnrestrictedSOffset,
  GIFBS_HasAtomicFaddRtnInsts_HasUnrestrictedSOffset,
  GIFBS_HasCvtFP8VOP1Bug_HasFP8ConversionInsts,
  GIFBS_HasDot11Insts_isGFX12Plus,
  GIFBS_HasDot9Insts_NotHasTrue16BitInsts,
  GIFBS_HasDot9Insts_UseFakeTrue16Insts,
  GIFBS_HasDot9Insts_UseRealTrue16Insts,
  GIFBS_HasExportInsts_isGFX12Plus,
  GIFBS_HasFP8ConversionInsts_HasSDWA,
  GIFBS_HasFP8ConversionInsts_isGFX12Plus,
  GIFBS_HasFP8ConversionInsts_isGFX940Plus,
  GIFBS_HasFP8Insts_isGFX90APlus,
  GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts,
  GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts,
  GIFBS_HasFlatAddressSpace_isGFX12Plus,
  GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset,
  GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts,
  GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts,
  GIFBS_HasFlatGlobalInsts_isGFX12Plus,
  GIFBS_HasFmaMixInsts_NotHasTrue16BitInsts,
  GIFBS_HasFmaMixInsts_UseFakeTrue16Insts,
  GIFBS_HasFmaMixInsts_UseRealTrue16Insts,
  GIFBS_HasGDS_HasLDSFPAtomicAddF32,
  GIFBS_HasGDS_isGFX11Plus,
  GIFBS_HasGDS_isGFX6GFX7GFX8GFX9GFX10,
  GIFBS_HasGFX950Insts_isGFX90APlus,
  GIFBS_HasImageInsts_isGFX12Plus,
  GIFBS_HasLDSFPAtomicAddF32_LDSRequiresM0Init,
  GIFBS_HasLDSFPAtomicAddF32_NotLDSRequiresM0Init,
  GIFBS_HasMADIntraFwdBug_isGFX11Only,
  GIFBS_HasMAIInsts_isGFX90APlus,
  GIFBS_HasMadMacF32Insts_NoFP32Denormals,
  GIFBS_HasMadMixInsts_NoFP32Denormals,
  GIFBS_HasMed3_16_NotHasTrue16BitInsts,
  GIFBS_HasMed3_16_UseFakeTrue16Insts,
  GIFBS_HasMed3_16_UseRealTrue16Insts,
  GIFBS_HasMinMaxDenormModes_isGFX12Plus,
  GIFBS_HasMinMaxDenormModes_isNotGFX12Plus,
  GIFBS_HasNotMADIntraFwdBug_isGFX9Plus,
  GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset,
  GIFBS_HasScalarStores_isGFX8Plus,
  GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init,
  GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init,
  GIFBS_HasVOP3PInsts_IEEEModeDisabled,
  GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts,
  GIFBS_HasVOP3PInsts_UseFakeTrue16Insts,
  GIFBS_HasVOP3PInsts_UseRealTrue16Insts,
  GIFBS_HasXF32Insts_isGFX90APlus,
  GIFBS_HasXNACKEnabled_isGFX7Only,
  GIFBS_HasXNACKEnabled_isGFX9Plus,
  GIFBS_HasXNACKEnabled_isNotGFX9Plus,
  GIFBS_LDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10,
  GIFBS_LDSRequiresM0Init_isGFX7Plus,
  GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init,
  GIFBS_NotHasTrue16BitInsts_isGFX10Plus,
  GIFBS_NotHasTrue16BitInsts_isGFX12Plus,
  GIFBS_NotHasTrue16BitInsts_isGFX8Plus,
  GIFBS_NotHasTrue16BitInsts_isGFX9Plus,
  GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts,
  GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts,
  GIFBS_NotLDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10,
  GIFBS_NotLDSRequiresM0Init_isGFX7Plus,
  GIFBS_UseFakeTrue16Insts_isGFX10Plus,
  GIFBS_UseFakeTrue16Insts_isGFX12Plus,
  GIFBS_UseFakeTrue16Insts_isGFX8Plus,
  GIFBS_UseFakeTrue16Insts_isGFX9Plus,
  GIFBS_UseRealTrue16Insts_isGFX10Plus,
  GIFBS_UseRealTrue16Insts_isGFX12Plus,
  GIFBS_UseRealTrue16Insts_isGFX8Plus,
  GIFBS_UseRealTrue16Insts_isGFX9Plus,
  GIFBS_has16BankLDS_isNotGFX90APlus,
  GIFBS_has32BankLDS_isNotGFX90APlus,
  GIFBS_isGFX11Only_isWave32,
  GIFBS_isGFX11Only_isWave64,
  GIFBS_isGFX12Plus_isWave32,
  GIFBS_isGFX12Plus_isWave64,
  GIFBS_isGFX90APlus_isGFX908orGFX90A,
  GIFBS_isGFX90APlus_isGFX940Plus,
  GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts,
  GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts,
  GIFBS_DisableFlatScratch_HasD16LoadStore_HasUnrestrictedSOffset,
  GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts,
  GIFBS_FP64Denormals_NotHasMinMaxDenormModes_isGFX12Plus,
  GIFBS_FP64Denormals_NotHasMinMaxDenormModes_isNotGFX12Plus,
  GIFBS_Has16BitInsts_HasMinMaxDenormModes_NotHasTrue16BitInsts,
  GIFBS_Has16BitInsts_HasMinMaxDenormModes_UseFakeTrue16Insts,
  GIFBS_Has16BitInsts_HasMinMaxDenormModes_UseRealTrue16Insts,
  GIFBS_Has16BitInsts_IEEEModeDisabled_NotHasTrue16BitInsts,
  GIFBS_Has16BitInsts_IEEEModeDisabled_UseFakeTrue16Insts,
  GIFBS_Has16BitInsts_IEEEModeDisabled_UseRealTrue16Insts,
  GIFBS_Has16BitInsts_NotHasTrue16BitInsts_isGFX10Plus,
  GIFBS_Has16BitInsts_has32BankLDS_isNotGFX90APlus,
  GIFBS_HasFP8ConversionInsts_HasNoCvtFP8VOP1Bug_HasSDWA,
  GIFBS_HasFP8ConversionInsts_NotHasTrue16BitInsts_isGFX9Plus,
  GIFBS_HasFP8ConversionInsts_UseFakeTrue16Insts_isGFX9Plus,
  GIFBS_HasMadMacF32Insts_NoFP32Denormals_isGFX6GFX7GFX10,
  GIFBS_HasMadMixInsts_NoFP32Denormals_NotHasTrue16BitInsts,
  GIFBS_HasMadMixInsts_NoFP32Denormals_UseFakeTrue16Insts,
  GIFBS_HasMadMixInsts_NoFP32Denormals_UseRealTrue16Insts,
  GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts_HasFlatScratchSVSMode,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts,
  GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts,
  GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_NotHasTrue16BitInsts,
  GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_UseFakeTrue16Insts,
  GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_UseRealTrue16Insts,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_DisableFlatScratchBit, },
  {Feature_Has16BitInstsBit, },
  {Feature_HasAddNoCarryInstsBit, },
  {Feature_HasAshrPkInstsBit, },
  {Feature_HasAtomicBufferGlobalPkAddF16InstsBit, },
  {Feature_HasAtomicBufferGlobalPkAddF16NoRtnInstsBit, },
  {Feature_HasAtomicCSubNoRtnInstsBit, },
  {Feature_HasAtomicFMinFMaxF32GlobalInstsBit, },
  {Feature_HasAtomicFMinFMaxF64GlobalInstsBit, },
  {Feature_HasAtomicFaddNoRtnInstsBit, },
  {Feature_HasAtomicFaddRtnInstsBit, },
  {Feature_HasAtomicFlatPkAdd16InstsBit, },
  {Feature_HasBitOp3InstsBit, },
  {Feature_HasCvtPkF16F32InstBit, },
  {Feature_HasD16LoadStoreBit, },
  {Feature_HasDLInstsBit, },
  {Feature_HasDot10InstsBit, },
  {Feature_HasDot1InstsBit, },
  {Feature_HasDot2InstsBit, },
  {Feature_HasDot3InstsBit, },
  {Feature_HasDot4InstsBit, },
  {Feature_HasDot5InstsBit, },
  {Feature_HasDot6InstsBit, },
  {Feature_HasDot7InstsBit, },
  {Feature_HasDot8InstsBit, },
  {Feature_HasF16BF16ToFP6BF6ConversionScaleInstsBit, },
  {Feature_HasF32ToF16BF16ConversionSRInstsBit, },
  {Feature_HasFP6BF6ConversionScaleInstsBit, },
  {Feature_HasFP8InstsBit, },
  {Feature_HasFlatAddressSpaceBit, },
  {Feature_HasFlatAtomicFaddF32InstBit, },
  {Feature_HasFlatBufferGlobalAtomicFaddF64InstBit, },
  {Feature_HasFlatGlobalInstsBit, },
  {Feature_HasFmaLegacy32Bit, },
  {Feature_HasFmaMixInstsBit, },
  {Feature_HasFmacF64InstBit, },
  {Feature_HasGDSBit, },
  {Feature_HasGFX10_BEncodingBit, },
  {Feature_HasGFX950InstsBit, },
  {Feature_HasGetWaveIdInstBit, },
  {Feature_HasIntClampBit, },
  {Feature_HasLdsAtomicAddF64Bit, },
  {Feature_HasLshlAddU64InstBit, },
  {Feature_HasMAIInstsBit, },
  {Feature_HasMadMacF32InstsBit, },
  {Feature_HasMinMaxDenormModesBit, },
  {Feature_HasMinimum3Maximum3F32Bit, },
  {Feature_HasMinimum3Maximum3PKF16Bit, },
  {Feature_HasPackedD16VMemBit, },
  {Feature_HasPackedFP32OpsBit, },
  {Feature_HasPrngInstBit, },
  {Feature_HasPseudoScalarTransBit, },
  {Feature_HasSALUFloatInstsBit, },
  {Feature_HasSMemRealTimeBit, },
  {Feature_HasSMemTimeInstBit, },
  {Feature_HasSetPrioIncWgInstBit, },
  {Feature_HasShaderCyclesHiLoRegistersBit, },
  {Feature_HasShaderCyclesRegisterBit, },
  {Feature_HasUnpackedD16VMemBit, },
  {Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasVOP3PInstsBit, },
  {Feature_HasXF32InstsBit, },
  {Feature_HasXNACKEnabledBit, },
  {Feature_IEEEModeDisabledBit, },
  {Feature_LDSRequiresM0InitBit, },
  {Feature_NotHasAddNoCarryInstsBit, },
  {Feature_NotHasTrue16BitInstsBit, },
  {Feature_NotLDSRequiresM0InitBit, },
  {Feature_UseFakeTrue16InstsBit, },
  {Feature_UseRealTrue16InstsBit, },
  {Feature_isGFX10OnlyBit, },
  {Feature_isGFX10PlusBit, },
  {Feature_isGFX11OnlyBit, },
  {Feature_isGFX11PlusBit, },
  {Feature_isGFX12OnlyBit, },
  {Feature_isGFX12PlusBit, },
  {Feature_isGFX6Bit, },
  {Feature_isGFX6GFX7Bit, },
  {Feature_isGFX6GFX7GFX8GFX9Bit, },
  {Feature_isGFX7GFX8GFX9Bit, },
  {Feature_isGFX7OnlyBit, },
  {Feature_isGFX7PlusBit, },
  {Feature_isGFX8GFX9Bit, },
  {Feature_isGFX8GFX9GFX10GFX11Bit, },
  {Feature_isGFX8PlusBit, },
  {Feature_isGFX908orGFX90ABit, },
  {Feature_isGFX90APlusBit, },
  {Feature_isGFX940PlusBit, },
  {Feature_isGFX9GFX10Bit, },
  {Feature_isGFX9PlusBit, },
  {Feature_isNotGFX12PlusBit, },
  {Feature_isNotGFX90APlusBit, },
  {Feature_isNotGFX940PlusBit, },
  {Feature_isNotGFX9PlusBit, },
  {Feature_isWave32Bit, },
  {Feature_isWave64Bit, },
  {Feature_DisableFlatScratchBit, Feature_HasD16LoadStoreBit, },
  {Feature_DisableFlatScratchBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, },
  {Feature_FP16DenormalsBit, Feature_NotHasMinMaxDenormModesBit, },
  {Feature_FalsePredicateBit, Feature_NotHasMinMaxDenormModesBit, },
  {Feature_Has16BitInstsBit, Feature_HasIntClampBit, },
  {Feature_Has16BitInstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_Has16BitInstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_isGFX6GFX7GFX8GFX9Bit, },
  {Feature_Has16BitInstsBit, Feature_isGFX8GFX9Bit, },
  {Feature_Has16BitInstsBit, Feature_isGFX8OnlyBit, },
  {Feature_Has16BitInstsBit, Feature_isNotGFX90APlusBit, },
  {Feature_HasAddNoCarryInstsBit, Feature_HasIntClampBit, },
  {Feature_HasAtomicBufferGlobalPkAddF16InstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasAtomicBufferGlobalPkAddF16NoRtnInstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasAtomicCSubNoRtnInstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasAtomicDsPkAdd16InstsBit, Feature_HasGDSBit, },
  {Feature_HasAtomicDsPkAdd16InstsBit, Feature_LDSRequiresM0InitBit, },
  {Feature_HasAtomicDsPkAdd16InstsBit, Feature_NotLDSRequiresM0InitBit, },
  {Feature_HasAtomicFMinFMaxF32FlatInstsBit, Feature_HasFlatAddressSpaceBit, },
  {Feature_HasAtomicFMinFMaxF32FlatInstsBit, Feature_HasFlatGlobalInstsBit, },
  {Feature_HasAtomicFMinFMaxF32GlobalInstsBit, Feature_HasFlatGlobalInstsBit, },
  {Feature_HasAtomicFMinFMaxF32GlobalInstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasAtomicFMinFMaxF64FlatInstsBit, Feature_HasFlatAddressSpaceBit, },
  {Feature_HasAtomicFMinFMaxF64GlobalInstsBit, Feature_HasFlatGlobalInstsBit, },
  {Feature_HasAtomicFMinFMaxF64GlobalInstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasAtomicFaddNoRtnInstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasAtomicFaddRtnInstsBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasCvtFP8VOP1BugBit, Feature_HasFP8ConversionInstsBit, },
  {Feature_HasDot11InstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasDot9InstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasDot9InstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasDot9InstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_HasExportInstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasFP8ConversionInstsBit, Feature_HasSDWABit, },
  {Feature_HasFP8ConversionInstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasFP8ConversionInstsBit, Feature_isGFX940PlusBit, },
  {Feature_HasFP8InstsBit, Feature_isGFX90APlusBit, },
  {Feature_HasFlatAddressSpaceBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasFlatAddressSpaceBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasFlatAddressSpaceBit, Feature_isGFX12PlusBit, },
  {Feature_HasFlatBufferGlobalAtomicFaddF64InstBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasFlatGlobalInstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasFlatGlobalInstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasFlatGlobalInstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasFmaMixInstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasFmaMixInstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasFmaMixInstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_HasGDSBit, Feature_HasLDSFPAtomicAddF32Bit, },
  {Feature_HasGDSBit, Feature_isGFX11PlusBit, },
  {Feature_HasGDSBit, Feature_isGFX6GFX7GFX8GFX9GFX10Bit, },
  {Feature_HasGFX950InstsBit, Feature_isGFX90APlusBit, },
  {Feature_HasImageInstsBit, Feature_isGFX12PlusBit, },
  {Feature_HasLDSFPAtomicAddF32Bit, Feature_LDSRequiresM0InitBit, },
  {Feature_HasLDSFPAtomicAddF32Bit, Feature_NotLDSRequiresM0InitBit, },
  {Feature_HasMADIntraFwdBugBit, Feature_isGFX11OnlyBit, },
  {Feature_HasMAIInstsBit, Feature_isGFX90APlusBit, },
  {Feature_HasMadMacF32InstsBit, Feature_NoFP32DenormalsBit, },
  {Feature_HasMadMixInstsBit, Feature_NoFP32DenormalsBit, },
  {Feature_HasMed3_16Bit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasMed3_16Bit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasMed3_16Bit, Feature_UseRealTrue16InstsBit, },
  {Feature_HasMinMaxDenormModesBit, Feature_isGFX12PlusBit, },
  {Feature_HasMinMaxDenormModesBit, Feature_isNotGFX12PlusBit, },
  {Feature_HasNotMADIntraFwdBugBit, Feature_isGFX9PlusBit, },
  {Feature_HasPackedD16VMemBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_HasScalarStoresBit, Feature_isGFX8PlusBit, },
  {Feature_HasUnalignedAccessModeBit, Feature_LDSRequiresM0InitBit, },
  {Feature_HasUnalignedAccessModeBit, Feature_NotLDSRequiresM0InitBit, },
  {Feature_HasVOP3PInstsBit, Feature_IEEEModeDisabledBit, },
  {Feature_HasVOP3PInstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasVOP3PInstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasVOP3PInstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_HasXF32InstsBit, Feature_isGFX90APlusBit, },
  {Feature_HasXNACKEnabledBit, Feature_isGFX7OnlyBit, },
  {Feature_HasXNACKEnabledBit, Feature_isGFX9PlusBit, },
  {Feature_HasXNACKEnabledBit, Feature_isNotGFX9PlusBit, },
  {Feature_LDSRequiresM0InitBit, Feature_isGFX6GFX7GFX8GFX9GFX10Bit, },
  {Feature_LDSRequiresM0InitBit, Feature_isGFX7PlusBit, },
  {Feature_NotHasTrue16BitInstsBit, Feature_NotLDSRequiresM0InitBit, },
  {Feature_NotHasTrue16BitInstsBit, Feature_isGFX10PlusBit, },
  {Feature_NotHasTrue16BitInstsBit, Feature_isGFX12PlusBit, },
  {Feature_NotHasTrue16BitInstsBit, Feature_isGFX8PlusBit, },
  {Feature_NotHasTrue16BitInstsBit, Feature_isGFX9PlusBit, },
  {Feature_NotLDSRequiresM0InitBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_NotLDSRequiresM0InitBit, Feature_UseRealTrue16InstsBit, },
  {Feature_NotLDSRequiresM0InitBit, Feature_isGFX6GFX7GFX8GFX9GFX10Bit, },
  {Feature_NotLDSRequiresM0InitBit, Feature_isGFX7PlusBit, },
  {Feature_UseFakeTrue16InstsBit, Feature_isGFX10PlusBit, },
  {Feature_UseFakeTrue16InstsBit, Feature_isGFX12PlusBit, },
  {Feature_UseFakeTrue16InstsBit, Feature_isGFX8PlusBit, },
  {Feature_UseFakeTrue16InstsBit, Feature_isGFX9PlusBit, },
  {Feature_UseRealTrue16InstsBit, Feature_isGFX10PlusBit, },
  {Feature_UseRealTrue16InstsBit, Feature_isGFX12PlusBit, },
  {Feature_UseRealTrue16InstsBit, Feature_isGFX8PlusBit, },
  {Feature_UseRealTrue16InstsBit, Feature_isGFX9PlusBit, },
  {Feature_has16BankLDSBit, Feature_isNotGFX90APlusBit, },
  {Feature_has32BankLDSBit, Feature_isNotGFX90APlusBit, },
  {Feature_isGFX11OnlyBit, Feature_isWave32Bit, },
  {Feature_isGFX11OnlyBit, Feature_isWave64Bit, },
  {Feature_isGFX12PlusBit, Feature_isWave32Bit, },
  {Feature_isGFX12PlusBit, Feature_isWave64Bit, },
  {Feature_isGFX90APlusBit, Feature_isGFX908orGFX90ABit, },
  {Feature_isGFX90APlusBit, Feature_isGFX940PlusBit, },
  {Feature_D16PreservesUnusedBitsBit, Feature_HasFlatAddressSpaceBit, Feature_UseRealTrue16InstsBit, },
  {Feature_D16PreservesUnusedBitsBit, Feature_HasFlatGlobalInstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_DisableFlatScratchBit, Feature_HasD16LoadStoreBit, Feature_HasUnrestrictedSOffsetBit, },
  {Feature_EnableFlatScratchBit, Feature_HasD16LoadStoreBit, Feature_HasFlatScratchInstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_HasFlatScratchSVSModeBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_FP64DenormalsBit, Feature_NotHasMinMaxDenormModesBit, Feature_isGFX12PlusBit, },
  {Feature_FP64DenormalsBit, Feature_NotHasMinMaxDenormModesBit, Feature_isNotGFX12PlusBit, },
  {Feature_Has16BitInstsBit, Feature_HasMinMaxDenormModesBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_Has16BitInstsBit, Feature_HasMinMaxDenormModesBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_HasMinMaxDenormModesBit, Feature_UseRealTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_IEEEModeDisabledBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_Has16BitInstsBit, Feature_IEEEModeDisabledBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_IEEEModeDisabledBit, Feature_UseRealTrue16InstsBit, },
  {Feature_Has16BitInstsBit, Feature_NotHasTrue16BitInstsBit, Feature_isGFX10PlusBit, },
  {Feature_Has16BitInstsBit, Feature_has32BankLDSBit, Feature_isNotGFX90APlusBit, },
  {Feature_HasFP8ConversionInstsBit, Feature_HasNoCvtFP8VOP1BugBit, Feature_HasSDWABit, },
  {Feature_HasFP8ConversionInstsBit, Feature_NotHasTrue16BitInstsBit, Feature_isGFX9PlusBit, },
  {Feature_HasFP8ConversionInstsBit, Feature_UseFakeTrue16InstsBit, Feature_isGFX9PlusBit, },
  {Feature_HasMadMacF32InstsBit, Feature_NoFP32DenormalsBit, Feature_isGFX6GFX7GFX10Bit, },
  {Feature_HasMadMixInstsBit, Feature_NoFP32DenormalsBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_HasMadMixInstsBit, Feature_NoFP32DenormalsBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_HasMadMixInstsBit, Feature_NoFP32DenormalsBit, Feature_UseRealTrue16InstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasD16LoadStoreBit, Feature_HasFlatScratchInstsBit, Feature_HasFlatScratchSVSModeBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_HasFlatScratchSVSModeBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_HasFlatScratchSVSModeBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_EnableFlatScratchBit, Feature_HasFlatScratchInstsBit, Feature_HasFlatScratchSVSModeBit, Feature_UseRealTrue16InstsBit, },
  {Feature_FP16DenormalsBit, Feature_Has16BitInstsBit, Feature_NotHasMinMaxDenormModesBit, Feature_NotHasTrue16BitInstsBit, },
  {Feature_FP16DenormalsBit, Feature_Has16BitInstsBit, Feature_NotHasMinMaxDenormModesBit, Feature_UseFakeTrue16InstsBit, },
  {Feature_FP16DenormalsBit, Feature_Has16BitInstsBit, Feature_NotHasMinMaxDenormModesBit, Feature_UseRealTrue16InstsBit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_buf_soffset,
  GICP_gi_ds_128bit_8byte_aligned,
  GICP_gi_ds_1addr_1offset,
  GICP_gi_ds_64bit_4byte_aligned,
  GICP_gi_flat_offset,
  GICP_gi_flat_scratch_offset,
  GICP_gi_flat_scratch_saddr,
  GICP_gi_flat_scratch_svaddr,
  GICP_gi_global_offset,
  GICP_gi_global_saddr,
  GICP_gi_mubuf_addr64,
  GICP_gi_mubuf_offset,
  GICP_gi_mubuf_scratch_offen,
  GICP_gi_mubuf_scratch_offset,
  GICP_gi_smrd_buffer_imm,
  GICP_gi_smrd_buffer_imm32,
  GICP_gi_smrd_buffer_sgpr_imm,
  GICP_gi_smrd_imm,
  GICP_gi_smrd_imm32,
  GICP_gi_smrd_sgpr,
  GICP_gi_smrd_sgpr_imm,
  GICP_gi_swmmacindex16,
  GICP_gi_swmmacindex8,
  GICP_gi_vcsrc,
  GICP_gi_vinterpmods,
  GICP_gi_vinterpmods_hi,
  GICP_gi_vop3_mad_mix_mods,
  GICP_gi_vop3_mad_mix_mods_ext,
  GICP_gi_vop3_no_mods,
  GICP_gi_vop3mods,
  GICP_gi_vop3mods0,
  GICP_gi_vop3modsnoncanonicalizing,
  GICP_gi_vop3omods,
  GICP_gi_vop3opsel,
  GICP_gi_vop3opselmods,
  GICP_gi_vop3pmods,
  GICP_gi_vop3pmodsdot,
  GICP_gi_vop3pmodsneg,
  GICP_gi_vsrc0,
  GICP_gi_wmmamods,
  GICP_gi_wmmamodsf16Neg,
  GICP_gi_wmmamodsf16NegAbs,
  GICP_gi_wmmaopselvop3pmods,
  GICP_gi_wmmavisrc,
};
// See constructor for table contents

AMDGPUInstructionSelector::ComplexMatcherMemFn
AMDGPUInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &AMDGPUInstructionSelector::selectBUFSOffset, // gi_buf_soffset
  &AMDGPUInstructionSelector::selectDS128Bit8ByteAligned, // gi_ds_128bit_8byte_aligned
  &AMDGPUInstructionSelector::selectDS1Addr1Offset, // gi_ds_1addr_1offset
  &AMDGPUInstructionSelector::selectDS64Bit4ByteAligned, // gi_ds_64bit_4byte_aligned
  &AMDGPUInstructionSelector::selectFlatOffset, // gi_flat_offset
  &AMDGPUInstructionSelector::selectScratchOffset, // gi_flat_scratch_offset
  &AMDGPUInstructionSelector::selectScratchSAddr, // gi_flat_scratch_saddr
  &AMDGPUInstructionSelector::selectScratchSVAddr, // gi_flat_scratch_svaddr
  &AMDGPUInstructionSelector::selectGlobalOffset, // gi_global_offset
  &AMDGPUInstructionSelector::selectGlobalSAddr, // gi_global_saddr
  &AMDGPUInstructionSelector::selectMUBUFAddr64, // gi_mubuf_addr64
  &AMDGPUInstructionSelector::selectMUBUFOffset, // gi_mubuf_offset
  &AMDGPUInstructionSelector::selectMUBUFScratchOffen, // gi_mubuf_scratch_offen
  &AMDGPUInstructionSelector::selectMUBUFScratchOffset, // gi_mubuf_scratch_offset
  &AMDGPUInstructionSelector::selectSMRDBufferImm, // gi_smrd_buffer_imm
  &AMDGPUInstructionSelector::selectSMRDBufferImm32, // gi_smrd_buffer_imm32
  &AMDGPUInstructionSelector::selectSMRDBufferSgprImm, // gi_smrd_buffer_sgpr_imm
  &AMDGPUInstructionSelector::selectSmrdImm, // gi_smrd_imm
  &AMDGPUInstructionSelector::selectSmrdImm32, // gi_smrd_imm32
  &AMDGPUInstructionSelector::selectSmrdSgpr, // gi_smrd_sgpr
  &AMDGPUInstructionSelector::selectSmrdSgprImm, // gi_smrd_sgpr_imm
  &AMDGPUInstructionSelector::selectSWMMACIndex16, // gi_swmmacindex16
  &AMDGPUInstructionSelector::selectSWMMACIndex8, // gi_swmmacindex8
  &AMDGPUInstructionSelector::selectVCSRC, // gi_vcsrc
  &AMDGPUInstructionSelector::selectVINTERPMods, // gi_vinterpmods
  &AMDGPUInstructionSelector::selectVINTERPModsHi, // gi_vinterpmods_hi
  &AMDGPUInstructionSelector::selectVOP3PMadMixMods, // gi_vop3_mad_mix_mods
  &AMDGPUInstructionSelector::selectVOP3PMadMixModsExt, // gi_vop3_mad_mix_mods_ext
  &AMDGPUInstructionSelector::selectVOP3NoMods, // gi_vop3_no_mods
  &AMDGPUInstructionSelector::selectVOP3Mods, // gi_vop3mods
  &AMDGPUInstructionSelector::selectVOP3Mods0, // gi_vop3mods0
  &AMDGPUInstructionSelector::selectVOP3ModsNonCanonicalizing, // gi_vop3modsnoncanonicalizing
  &AMDGPUInstructionSelector::selectVOP3OMods, // gi_vop3omods
  &AMDGPUInstructionSelector::selectVOP3OpSelMods, // gi_vop3opsel
  &AMDGPUInstructionSelector::selectVOP3OpSelMods, // gi_vop3opselmods
  &AMDGPUInstructionSelector::selectVOP3PMods, // gi_vop3pmods
  &AMDGPUInstructionSelector::selectVOP3PModsDOT, // gi_vop3pmodsdot
  &AMDGPUInstructionSelector::selectVOP3PModsNeg, // gi_vop3pmodsneg
  &AMDGPUInstructionSelector::selectVSRC0, // gi_vsrc0
  &AMDGPUInstructionSelector::selectWMMAModsF32NegAbs, // gi_wmmamods
  &AMDGPUInstructionSelector::selectWMMAModsF16Neg, // gi_wmmamodsf16Neg
  &AMDGPUInstructionSelector::selectWMMAModsF16NegAbs, // gi_wmmamodsf16NegAbs
  &AMDGPUInstructionSelector::selectWMMAOpSelVOP3PMods, // gi_wmmaopselvop3pmods
  &AMDGPUInstructionSelector::selectWMMAVISrc, // gi_wmmavisrc
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_aligned_smrd_load = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_anonymous_13734,
  GICXXPred_MI_Predicate_anonymous_13737,
  GICXXPred_MI_Predicate_anonymous_13738,
  GICXXPred_MI_Predicate_anonymous_13739,
  GICXXPred_MI_Predicate_anonymous_13740,
  GICXXPred_MI_Predicate_anonymous_13741,
  GICXXPred_MI_Predicate_anonymous_13744,
  GICXXPred_MI_Predicate_anonymous_13745,
  GICXXPred_MI_Predicate_anonymous_13746,
  GICXXPred_MI_Predicate_anonymous_13747,
  GICXXPred_MI_Predicate_anonymous_13748,
  GICXXPred_MI_Predicate_anonymous_13749,
  GICXXPred_MI_Predicate_anonymous_13750,
  GICXXPred_MI_Predicate_anonymous_13751,
  GICXXPred_MI_Predicate_anonymous_13752,
  GICXXPred_MI_Predicate_anonymous_13753,
  GICXXPred_MI_Predicate_anonymous_13754,
  GICXXPred_MI_Predicate_anonymous_13755,
  GICXXPred_MI_Predicate_anonymous_13756,
  GICXXPred_MI_Predicate_anonymous_13757,
  GICXXPred_MI_Predicate_anonymous_13758,
  GICXXPred_MI_Predicate_anonymous_13759,
  GICXXPred_MI_Predicate_anonymous_13760,
  GICXXPred_MI_Predicate_anonymous_13761,
  GICXXPred_MI_Predicate_anonymous_13762,
  GICXXPred_MI_Predicate_anonymous_13763,
  GICXXPred_MI_Predicate_anonymous_13764,
  GICXXPred_MI_Predicate_anonymous_13765,
  GICXXPred_MI_Predicate_anonymous_13766,
  GICXXPred_MI_Predicate_anonymous_13767,
  GICXXPred_MI_Predicate_anonymous_13768,
  GICXXPred_MI_Predicate_anonymous_13769,
  GICXXPred_MI_Predicate_anonymous_13770,
  GICXXPred_MI_Predicate_anonymous_13771,
  GICXXPred_MI_Predicate_anonymous_13772,
  GICXXPred_MI_Predicate_anonymous_13773,
  GICXXPred_MI_Predicate_anonymous_13774,
  GICXXPred_MI_Predicate_anonymous_13775,
  GICXXPred_MI_Predicate_anonymous_13776,
  GICXXPred_MI_Predicate_anonymous_13777,
  GICXXPred_MI_Predicate_anonymous_13778,
  GICXXPred_MI_Predicate_anonymous_13779,
  GICXXPred_MI_Predicate_anonymous_13780,
  GICXXPred_MI_Predicate_anonymous_13781,
  GICXXPred_MI_Predicate_anonymous_13782,
  GICXXPred_MI_Predicate_anonymous_13783,
  GICXXPred_MI_Predicate_anonymous_13784,
  GICXXPred_MI_Predicate_anonymous_13785,
  GICXXPred_MI_Predicate_anonymous_13786,
  GICXXPred_MI_Predicate_anonymous_13787,
  GICXXPred_MI_Predicate_anonymous_13794,
  GICXXPred_MI_Predicate_anonymous_13806,
  GICXXPred_MI_Predicate_anonymous_18367,
  GICXXPred_MI_Predicate_anonymous_19293,
  GICXXPred_MI_Predicate_anonymous_19295,
  GICXXPred_MI_Predicate_anonymous_19688,
  GICXXPred_MI_Predicate_anonymous_19690,
  GICXXPred_MI_Predicate_anonymous_19692,
  GICXXPred_MI_Predicate_anonymous_19694,
  GICXXPred_MI_Predicate_anonymous_19696,
  GICXXPred_MI_Predicate_anonymous_19700,
  GICXXPred_MI_Predicate_anonymous_19702,
  GICXXPred_MI_Predicate_anonymous_19704,
  GICXXPred_MI_Predicate_anonymous_19706,
  GICXXPred_MI_Predicate_anonymous_19708,
  GICXXPred_MI_Predicate_anonymous_19944,
  GICXXPred_MI_Predicate_anonymous_19946,
  GICXXPred_MI_Predicate_anonymous_20190,
  GICXXPred_MI_Predicate_anonymous_20365,
  GICXXPred_MI_Predicate_anonymous_20919,
  GICXXPred_MI_Predicate_anonymous_20922,
  GICXXPred_MI_Predicate_anonymous_20925,
  GICXXPred_MI_Predicate_anonymous_20927,
  GICXXPred_MI_Predicate_anonymous_20930,
  GICXXPred_MI_Predicate_anonymous_20932,
  GICXXPred_MI_Predicate_anonymous_20935,
  GICXXPred_MI_Predicate_anonymous_20938,
  GICXXPred_MI_Predicate_anonymous_20942,
  GICXXPred_MI_Predicate_anonymous_20954,
  GICXXPred_MI_Predicate_anonymous_21381,
  GICXXPred_MI_Predicate_anonymous_21671,
  GICXXPred_MI_Predicate_anonymous_21674,
  GICXXPred_MI_Predicate_anonymous_21676,
  GICXXPred_MI_Predicate_anonymous_21678,
  GICXXPred_MI_Predicate_anonymous_21680,
  GICXXPred_MI_Predicate_anonymous_21682,
  GICXXPred_MI_Predicate_anonymous_21684,
  GICXXPred_MI_Predicate_anonymous_23380,
  GICXXPred_MI_Predicate_anonymous_23382,
  GICXXPred_MI_Predicate_anonymous_23386,
  GICXXPred_MI_Predicate_anonymous_23388,
  GICXXPred_MI_Predicate_anonymous_23390,
  GICXXPred_MI_Predicate_anonymous_23392,
  GICXXPred_MI_Predicate_anonymous_23396,
  GICXXPred_MI_Predicate_anonymous_23398,
  GICXXPred_MI_Predicate_anonymous_23400,
  GICXXPred_MI_Predicate_anonymous_23402,
  GICXXPred_MI_Predicate_anonymous_23404,
  GICXXPred_MI_Predicate_anonymous_23406,
  GICXXPred_MI_Predicate_anonymous_23408,
  GICXXPred_MI_Predicate_anonymous_23410,
  GICXXPred_MI_Predicate_anonymous_23414,
  GICXXPred_MI_Predicate_anonymous_23416,
  GICXXPred_MI_Predicate_anonymous_23418,
  GICXXPred_MI_Predicate_anonymous_23420,
  GICXXPred_MI_Predicate_anonymous_23424,
  GICXXPred_MI_Predicate_anonymous_23426,
  GICXXPred_MI_Predicate_anonymous_23430,
  GICXXPred_MI_Predicate_anonymous_23432,
  GICXXPred_MI_Predicate_anonymous_23434,
  GICXXPred_MI_Predicate_anonymous_23436,
  GICXXPred_MI_Predicate_anonymous_23440,
  GICXXPred_MI_Predicate_anonymous_23442,
  GICXXPred_MI_Predicate_anonymous_23444,
  GICXXPred_MI_Predicate_anonymous_23446,
  GICXXPred_MI_Predicate_anonymous_23448,
  GICXXPred_MI_Predicate_anonymous_23450,
  GICXXPred_MI_Predicate_anonymous_23452,
  GICXXPred_MI_Predicate_anonymous_23454,
  GICXXPred_MI_Predicate_anonymous_23458,
  GICXXPred_MI_Predicate_anonymous_23460,
  GICXXPred_MI_Predicate_anonymous_23462,
  GICXXPred_MI_Predicate_anonymous_23464,
  GICXXPred_MI_Predicate_anonymous_23468,
  GICXXPred_MI_Predicate_anonymous_23470,
  GICXXPred_MI_Predicate_anonymous_23472,
  GICXXPred_MI_Predicate_anonymous_23474,
  GICXXPred_MI_Predicate_anonymous_23476,
  GICXXPred_MI_Predicate_anonymous_23478,
  GICXXPred_MI_Predicate_anonymous_23482,
  GICXXPred_MI_Predicate_anonymous_23484,
  GICXXPred_MI_Predicate_anonymous_23486,
  GICXXPred_MI_Predicate_anonymous_23488,
  GICXXPred_MI_Predicate_anonymous_23490,
  GICXXPred_MI_Predicate_anonymous_23492,
  GICXXPred_MI_Predicate_anonymous_23496,
  GICXXPred_MI_Predicate_anonymous_23498,
  GICXXPred_MI_Predicate_anonymous_23502,
  GICXXPred_MI_Predicate_anonymous_23504,
  GICXXPred_MI_Predicate_anonymous_23506,
  GICXXPred_MI_Predicate_anonymous_23508,
  GICXXPred_MI_Predicate_anonymous_23528,
  GICXXPred_MI_Predicate_anonymous_23530,
  GICXXPred_MI_Predicate_anonymous_23564,
  GICXXPred_MI_Predicate_anonymous_23566,
  GICXXPred_MI_Predicate_anonymous_23586,
  GICXXPred_MI_Predicate_anonymous_23588,
  GICXXPred_MI_Predicate_anonymous_23626,
  GICXXPred_MI_Predicate_anonymous_23628,
  GICXXPred_MI_Predicate_anonymous_23632,
  GICXXPred_MI_Predicate_anonymous_23634,
  GICXXPred_MI_Predicate_anonymous_23636,
  GICXXPred_MI_Predicate_anonymous_23638,
  GICXXPred_MI_Predicate_anonymous_23640,
  GICXXPred_MI_Predicate_anonymous_23642,
  GICXXPred_MI_Predicate_anonymous_23644,
  GICXXPred_MI_Predicate_anonymous_23646,
  GICXXPred_MI_Predicate_anonymous_23650,
  GICXXPred_MI_Predicate_anonymous_23652,
  GICXXPred_MI_Predicate_anonymous_23654,
  GICXXPred_MI_Predicate_anonymous_23656,
  GICXXPred_MI_Predicate_anonymous_23660,
  GICXXPred_MI_Predicate_anonymous_23662,
  GICXXPred_MI_Predicate_anonymous_23664,
  GICXXPred_MI_Predicate_anonymous_23666,
  GICXXPred_MI_Predicate_anonymous_23668,
  GICXXPred_MI_Predicate_anonymous_23670,
  GICXXPred_MI_Predicate_anonymous_23674,
  GICXXPred_MI_Predicate_anonymous_23676,
  GICXXPred_MI_Predicate_anonymous_23678,
  GICXXPred_MI_Predicate_anonymous_23680,
  GICXXPred_MI_Predicate_anonymous_23682,
  GICXXPred_MI_Predicate_anonymous_23684,
  GICXXPred_MI_Predicate_anonymous_23686,
  GICXXPred_MI_Predicate_anonymous_23688,
  GICXXPred_MI_Predicate_anonymous_23690,
  GICXXPred_MI_Predicate_anonymous_23692,
  GICXXPred_MI_Predicate_anonymous_23696,
  GICXXPred_MI_Predicate_anonymous_23698,
  GICXXPred_MI_Predicate_anonymous_23700,
  GICXXPred_MI_Predicate_anonymous_23702,
  GICXXPred_MI_Predicate_anonymous_23704,
  GICXXPred_MI_Predicate_anonymous_23706,
  GICXXPred_MI_Predicate_anonymous_23708,
  GICXXPred_MI_Predicate_anonymous_23710,
  GICXXPred_MI_Predicate_anonymous_34383,
  GICXXPred_MI_Predicate_anonymous_34388,
  GICXXPred_MI_Predicate_anonymous_34390,
  GICXXPred_MI_Predicate_anonymous_34837,
  GICXXPred_MI_Predicate_anonymous_34839,
  GICXXPred_MI_Predicate_anonymous_34892,
  GICXXPred_MI_Predicate_anonymous_34907,
  GICXXPred_MI_Predicate_anonymous_34908,
  GICXXPred_MI_Predicate_anonymous_34911,
  GICXXPred_MI_Predicate_anonymous_34914,
  GICXXPred_MI_Predicate_anonymous_34917,
  GICXXPred_MI_Predicate_anonymous_34921,
  GICXXPred_MI_Predicate_anonymous_34924,
  GICXXPred_MI_Predicate_anonymous_34927,
  GICXXPred_MI_Predicate_anonymous_34929,
  GICXXPred_MI_Predicate_anonymous_34930,
  GICXXPred_MI_Predicate_anonymous_34939,
  GICXXPred_MI_Predicate_anonymous_34941,
  GICXXPred_MI_Predicate_anonymous_34949,
  GICXXPred_MI_Predicate_anonymous_34954,
  GICXXPred_MI_Predicate_anonymous_34958,
  GICXXPred_MI_Predicate_anonymous_34962,
  GICXXPred_MI_Predicate_anonymous_34972,
  GICXXPred_MI_Predicate_anonymous_35125,
  GICXXPred_MI_Predicate_anonymous_35128,
  GICXXPred_MI_Predicate_anonymous_35133,
  GICXXPred_MI_Predicate_anonymous_35137,
  GICXXPred_MI_Predicate_anonymous_35141,
  GICXXPred_MI_Predicate_anonymous_35208,
  GICXXPred_MI_Predicate_anonymous_35210,
  GICXXPred_MI_Predicate_anonymous_35270,
  GICXXPred_MI_Predicate_anonymous_35298,
  GICXXPred_MI_Predicate_anonymous_35300,
  GICXXPred_MI_Predicate_anonymous_35329,
  GICXXPred_MI_Predicate_anonymous_35331,
  GICXXPred_MI_Predicate_anonymous_35333,
  GICXXPred_MI_Predicate_anonymous_35335,
  GICXXPred_MI_Predicate_anonymous_35337,
  GICXXPred_MI_Predicate_anonymous_35367,
  GICXXPred_MI_Predicate_anonymous_35369,
  GICXXPred_MI_Predicate_bf16_fpround,
  GICXXPred_MI_Predicate_csh_mask_16,
  GICXXPred_MI_Predicate_csh_mask_32,
  GICXXPred_MI_Predicate_csh_mask_64,
  GICXXPred_MI_Predicate_fmaxnum_like_nnan,
  GICXXPred_MI_Predicate_fminnum_like_nnan,
  GICXXPred_MI_Predicate_is_canonicalized,
  GICXXPred_MI_Predicate_load_align_less_than_4_local,
  GICXXPred_MI_Predicate_load_align_less_than_4_local_m0,
  GICXXPred_MI_Predicate_shl1_add,
  GICXXPred_MI_Predicate_shl2_add,
  GICXXPred_MI_Predicate_shl3_add,
  GICXXPred_MI_Predicate_shl4_add,
  GICXXPred_MI_Predicate_shl_0_to_4,
  GICXXPred_MI_Predicate_smrd_extloadi8,
  GICXXPred_MI_Predicate_smrd_extloadi16,
  GICXXPred_MI_Predicate_smrd_load,
  GICXXPred_MI_Predicate_smrd_prefetch,
  GICXXPred_MI_Predicate_smrd_sextloadi8,
  GICXXPred_MI_Predicate_smrd_sextloadi16,
  GICXXPred_MI_Predicate_smrd_zextloadi8,
  GICXXPred_MI_Predicate_smrd_zextloadi16,
  GICXXPred_MI_Predicate_store_align_less_than_4_local,
  GICXXPred_MI_Predicate_store_align_less_than_4_local_m0,
};
bool AMDGPUInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_aligned_smrd_load: {
    
      auto &Ld = cast<GLoad>(MI);
      TypeSize Size = Ld.getMMO().getSize().getValue();
      return Size <= 4 || Ld.getMMO().getAlign().value() >= Size;
      
    llvm_unreachable("aligned_smrd_load should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_13734: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13737: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13738: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13739: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13740: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13741: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13744: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13745: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13746: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13747: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13748: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13749: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13750: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13751: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13752: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13753: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13754: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13755: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13756: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13757: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13758: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13759: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13760: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13761: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13762: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13763: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13764: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13765: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13766: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13767: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13768: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13769: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13770: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13771: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13772: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13773: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13774: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13775: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13776: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13777: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13778: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13779: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13780: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13781: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13782: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13783: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13784: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13785: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13786: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13787: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13794: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_13806: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_18367: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19293: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19295: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19688: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19690: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19692: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19694: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19696: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19700: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19702: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19704: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19706: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19708: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19944: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_19946: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_20190: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_20365: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_20919: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20919 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20922: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20922 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20925: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20925 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20927: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20927 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20930: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20930 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20932: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20932 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20935: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20935 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20938: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20938 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20942: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20942 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_20954: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_20954 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_21381: {
    
        const int ConstantBusLimit = Subtarget->getConstantBusLimit(AMDGPU::V_ADD3_U32_e64);
        int ConstantBusUses = 0;
        for (unsigned i = 0; i < 3; ++i) {
          const RegisterBank *RegBank = RBI.getRegBank(Operands[i]->getReg(), MRI, TRI);
          if (RegBank->getID() == AMDGPU::SGPRRegBankID) {
            if (++ConstantBusUses > ConstantBusLimit)
              return false;
          }
        }
        return true;
      
    llvm_unreachable("anonymous_21381 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_21671: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21674: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21676: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21678: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21680: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21682: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_21684: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_23380: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23382: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23386: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23388: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23390: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23392: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23396: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23398: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23400: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23402: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23404: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23406: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23408: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23410: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23414: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23416: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23418: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23420: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23424: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23426: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23430: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23432: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23434: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23436: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23440: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23442: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23444: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23446: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23448: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23450: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23452: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23454: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23458: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23460: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23462: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23464: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23468: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23470: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23472: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23474: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23476: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23478: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23482: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23484: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23486: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23488: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23490: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23492: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23496: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23498: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23502: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23504: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23506: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23508: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23528: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23530: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23564: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23566: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23586: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23588: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23626: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23628: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23632: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23634: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23636: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23638: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23640: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23642: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23644: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23646: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23650: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23652: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23654: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23656: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23660: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23662: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23664: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23666: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23668: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23670: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23674: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23676: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23678: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23680: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23682: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23684: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23686: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23688: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23690: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23692: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23696: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23698: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23700: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23702: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23704: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23706: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23708: {
    
      return MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_23710: {
    
      return !MF.getInfo<SIMachineFunctionInfo>()->mayNeedAGPRs();
    
  }
  case GICXXPred_MI_Predicate_anonymous_34383: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34388: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34390: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34837: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34839: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34892: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34907: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34908: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34911: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34914: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34917: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34921: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34924: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34927: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34929: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34930: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34939: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34941: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34949: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34954: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34958: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34962: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_34972: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35125: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35128: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35133: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35137: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35141: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35208: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35210: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35270: {
    
        const SITargetLowering *TLI = static_cast<const SITargetLowering *>(
          MF.getSubtarget().getTargetLowering());
    
        return TLI->isCanonicalized(MI.getOperand(1).getReg(), MF) &&
          TLI->isCanonicalized(MI.getOperand(2).getReg(), MF);
      
    llvm_unreachable("anonymous_35270 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_35298: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35300: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35329: {
    
        const SITargetLowering *TLI = static_cast<const SITargetLowering *>(
          MF.getSubtarget().getTargetLowering());
    
        return TLI->isCanonicalized(MI.getOperand(1).getReg(), MF);
      
    llvm_unreachable("anonymous_35329 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_35331: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35333: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35335: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35337: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35367: {
    return true;
  }
  case GICXXPred_MI_Predicate_anonymous_35369: {
    return true;
  }
  case GICXXPred_MI_Predicate_bf16_fpround: {
    return false;
  }
  case GICXXPred_MI_Predicate_csh_mask_16: {
     return isUnneededShiftMask(MI, 4); 
  }
  case GICXXPred_MI_Predicate_csh_mask_32: {
     return isUnneededShiftMask(MI, 5); 
  }
  case GICXXPred_MI_Predicate_csh_mask_64: {
     return isUnneededShiftMask(MI, 6); 
  }
  case GICXXPred_MI_Predicate_fmaxnum_like_nnan: {
    
        return isKnownNeverNaN(MI.getOperand(0).getReg(), MRI);
      
  }
  case GICXXPred_MI_Predicate_fminnum_like_nnan: {
    
        return isKnownNeverNaN(MI.getOperand(0).getReg(), MRI);
      
  }
  case GICXXPred_MI_Predicate_is_canonicalized: {
    
        const SITargetLowering *TLI = static_cast<const SITargetLowering *>(
            MF.getSubtarget().getTargetLowering());
        const MachineOperand &Dst = MI.getOperand(0);
        assert(Dst.isDef());
        return TLI->isCanonicalized(Dst.getReg(), MF);
       
    llvm_unreachable("is_canonicalized should have returned");
  }
  case GICXXPred_MI_Predicate_load_align_less_than_4_local: {
    return (*MI.memoperands_begin())->getAlign() < 4;
  }
  case GICXXPred_MI_Predicate_load_align_less_than_4_local_m0: {
    return (*MI.memoperands_begin())->getAlign() < 4;
  }
  case GICXXPred_MI_Predicate_shl1_add: {
    return true;
  }
  case GICXXPred_MI_Predicate_shl2_add: {
    return true;
  }
  case GICXXPred_MI_Predicate_shl3_add: {
    return true;
  }
  case GICXXPred_MI_Predicate_shl4_add: {
    return true;
  }
  case GICXXPred_MI_Predicate_shl_0_to_4: {
    
        int64_t Imm = 0;
        if (!mi_match(MI.getOperand(2).getReg(), MRI, m_ICst(Imm)) &&
            !mi_match(MI.getOperand(2).getReg(), MRI, m_Copy(m_ICst(Imm))))
          return false;
        return (uint64_t)Imm <= 4;
      
    llvm_unreachable("shl_0_to_4 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_extloadi8: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_extloadi8 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_extloadi16: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_extloadi16 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_load: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_load should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_prefetch: {
    
        return isInstrUniform(MI);
      
  }
  case GICXXPred_MI_Predicate_smrd_sextloadi8: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_sextloadi8 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_sextloadi16: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_sextloadi16 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_zextloadi8: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_zextloadi8 should have returned");
  }
  case GICXXPred_MI_Predicate_smrd_zextloadi16: {
    
        if (!MI.hasOneMemOperand())
          return false;
        if (!isInstrUniform(MI))
          return false;
    
        // FIXME: We should probably be caching this.
        SmallVector<GEPInfo, 4> AddrInfo;
        getAddrModeInfo(MI, MRI, AddrInfo);
    
        if (hasVgprParts(AddrInfo))
          return false;
        return true;
      
    llvm_unreachable("smrd_zextloadi16 should have returned");
  }
  case GICXXPred_MI_Predicate_store_align_less_than_4_local: {
    return (*MI.memoperands_begin())->getAlign() < 4;
  }
  case GICXXPred_MI_Predicate_store_align_less_than_4_local_m0: {
    return (*MI.memoperands_begin())->getAlign() < 4;
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool AMDGPUInstructionSelector::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  const auto &Operands = State.RecordedOperands;
  Register Reg = MO.getReg();
  (void)Operands;
  (void)Reg;
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_IMMZeroBasedBitfieldMask = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_MFMALdScaleModifierOp,
  GICXXPred_I64_Predicate_NegSubInlineConst32,
  GICXXPred_I64_Predicate_NegSubInlineIntConst16,
  GICXXPred_I64_Predicate_SIMM16bit,
  GICXXPred_I64_Predicate_ShiftAmt32Imm,
  GICXXPred_I64_Predicate_SupportedRoundMode,
  GICXXPred_I64_Predicate_i32imm_one,
  GICXXPred_I64_Predicate_i32imm_zero,
  GICXXPred_I64_Predicate_i64imm_32bit,
};
bool AMDGPUInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_IMMZeroBasedBitfieldMask: {
    
      return isMask_32(Imm);
    
  }
  case GICXXPred_I64_Predicate_MFMALdScaleModifierOp: {
    
      return isUInt<2>(Imm);
    
  }
  case GICXXPred_I64_Predicate_NegSubInlineConst32: {
    
      return Imm < -16 && Imm >= -64;
    
  }
  case GICXXPred_I64_Predicate_NegSubInlineIntConst16: {
    
      return Imm < -16 && Imm >= -64;
    
  }
  case GICXXPred_I64_Predicate_SIMM16bit: {
    return isInt<16>(Imm) || isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_ShiftAmt32Imm: {
    
      return Imm < 32;
    
  }
  case GICXXPred_I64_Predicate_SupportedRoundMode: {
    
      return Imm == (int)RoundingMode::TowardZero ||
             Imm == (int)RoundingMode::NearestTiesToEven ||
             Imm == (int)RoundingMode::TowardPositive ||
             Imm == (int)RoundingMode::TowardNegative;
    
  }
  case GICXXPred_I64_Predicate_i32imm_one: {
    
      return Imm == 1;
    
  }
  case GICXXPred_I64_Predicate_i32imm_zero: {
    
      return Imm == 0;
    
  }
  case GICXXPred_I64_Predicate_i64imm_32bit: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_InlineImmFP32 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_InlineImmFP64,
  GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64,
  GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64,
};
bool AMDGPUInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_InlineImmFP32: {
    
      return isInlineImmediate(Imm);
    
  }
  case GICXXPred_APFloat_Predicate_InlineImmFP64: {
    
      return isInlineImmediate(Imm);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64: {
    
        if (!Imm.isNegative())
          return false;
        int Exp = Imm.getExactLog2Abs();
        // Prefer leaving the FP inline immediates as they are.
        // 0.5, 1.0, 2.0, 4.0
    
        // For f64 ldexp is always better than materializing a 64-bit
        // constant.
        return Exp != INT_MIN && (Exp < -1 || Exp > 2);
      
    llvm_unreachable("fpimm_neg_pow2_prefer_ldexp_f64 should have returned");
  }
  case GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64: {
    
        if (Imm.isNegative())
          return false;
    
        int Exp = Imm.getExactLog2Abs();
        // Prefer leaving the FP inline immediates as they are.
        // 0.5, 1.0, 2.0, 4.0
    
        // For f64 ldexp is always better than materializing a 64-bit
        // constant.
        return Exp != INT_MIN && (Exp < -1 || Exp > 2);
      
    llvm_unreachable("fpimm_pos_pow2_prefer_ldexp_f64 should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_InlineImm64 = GICXXPred_Invalid + 1,
};
bool AMDGPUInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_InlineImm64: {
    
      return isInlineImmediate(Imm);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("AMDGPUInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderBitcastFPImm32,
  GICR_renderBitcastFPImm64,
  GICR_renderDstSelToOpSel3XFormXForm,
  GICR_renderDstSelToOpSelXForm,
  GICR_renderExtractCPol,
  GICR_renderExtractCpolSetGLC,
  GICR_renderExtractSWZ,
  GICR_renderFPPow2ToExponent,
  GICR_renderFrameIndex,
  GICR_renderNegateImm,
  GICR_renderOpSelTImm,
  GICR_renderPopcntImm,
  GICR_renderRoundMode,
  GICR_renderScaledMAIIntrinsicOperand,
  GICR_renderSrcAndDstSelToOpSelXForm_0_0,
  GICR_renderSrcAndDstSelToOpSelXForm_0_1,
  GICR_renderSrcAndDstSelToOpSelXForm_1_0,
  GICR_renderSrcAndDstSelToOpSelXForm_1_1,
  GICR_renderSrcAndDstSelToOpSelXForm_2_0,
  GICR_renderSrcSelToOpSelXForm,
  GICR_renderTruncTImm,
  GICR_renderZextBoolTImm,
};
AMDGPUInstructionSelector::CustomRendererFn
AMDGPUInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &AMDGPUInstructionSelector::renderBitcastFPImm32,
  &AMDGPUInstructionSelector::renderBitcastFPImm64,
  &AMDGPUInstructionSelector::renderDstSelToOpSel3XFormXForm,
  &AMDGPUInstructionSelector::renderDstSelToOpSelXForm,
  &AMDGPUInstructionSelector::renderExtractCPol,
  &AMDGPUInstructionSelector::renderExtractCpolSetGLC,
  &AMDGPUInstructionSelector::renderExtractSWZ,
  &AMDGPUInstructionSelector::renderFPPow2ToExponent,
  &AMDGPUInstructionSelector::renderFrameIndex,
  &AMDGPUInstructionSelector::renderNegateImm,
  &AMDGPUInstructionSelector::renderOpSelTImm,
  &AMDGPUInstructionSelector::renderPopcntImm,
  &AMDGPUInstructionSelector::renderRoundMode,
  &AMDGPUInstructionSelector::renderScaledMAIIntrinsicOperand,
  &AMDGPUInstructionSelector::renderSrcAndDstSelToOpSelXForm_0_0,
  &AMDGPUInstructionSelector::renderSrcAndDstSelToOpSelXForm_0_1,
  &AMDGPUInstructionSelector::renderSrcAndDstSelToOpSelXForm_1_0,
  &AMDGPUInstructionSelector::renderSrcAndDstSelToOpSelXForm_1_1,
  &AMDGPUInstructionSelector::renderSrcAndDstSelToOpSelXForm_2_0,
  &AMDGPUInstructionSelector::renderSrcSelToOpSelXForm,
  &AMDGPUInstructionSelector::renderTruncTImm,
  &AMDGPUInstructionSelector::renderZextBoolTImm,
};

bool AMDGPUInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool AMDGPUInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("AMDGPUInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AMDGPUInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(3696), /*)*//*default:*//*Label 169*/ GIMT_Encode4(784724),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(14582),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(37824),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(38447), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 3*/ GIMT_Encode4(38793),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 4*/ GIMT_Encode4(40194),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 5*/ GIMT_Encode4(55706), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 6*/ GIMT_Encode4(60573), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    106 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 7*/ GIMT_Encode4(60628), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 8*/ GIMT_Encode4(65654), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    138 */ /*TargetOpcode::G_INTRINSIC_FPTRUNC_ROUND*//*Label 9*/ GIMT_Encode4(74818),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(75013), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 11*/ GIMT_Encode4(75341),
     /*    162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 12*/ GIMT_Encode4(75669),
     /*    166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 13*/ GIMT_Encode4(75809),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 14*/ GIMT_Encode4(75867),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 15*/ GIMT_Encode4(144407),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 16*/ GIMT_Encode4(151869), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 17*/ GIMT_Encode4(159739), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 18*/ GIMT_Encode4(194364),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 19*/ GIMT_Encode4(195490),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 20*/ GIMT_Encode4(197702),
     /*    218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 21*/ GIMT_Encode4(200214),
     /*    222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 22*/ GIMT_Encode4(202726), GIMT_Encode4(0),
     /*    230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 23*/ GIMT_Encode4(205238),
     /*    234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 24*/ GIMT_Encode4(207750),
     /*    238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 25*/ GIMT_Encode4(210262),
     /*    242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 26*/ GIMT_Encode4(212774),
     /*    246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 27*/ GIMT_Encode4(215286),
     /*    250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 28*/ GIMT_Encode4(217798),
     /*    254 */ /*TargetOpcode::G_ATOMICRMW_FADD*//*Label 29*/ GIMT_Encode4(220310), GIMT_Encode4(0),
     /*    262 */ /*TargetOpcode::G_ATOMICRMW_FMAX*//*Label 30*/ GIMT_Encode4(222521),
     /*    266 */ /*TargetOpcode::G_ATOMICRMW_FMIN*//*Label 31*/ GIMT_Encode4(225167), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    278 */ /*TargetOpcode::G_ATOMICRMW_UINC_WRAP*//*Label 32*/ GIMT_Encode4(227813),
     /*    282 */ /*TargetOpcode::G_ATOMICRMW_UDEC_WRAP*//*Label 33*/ GIMT_Encode4(230325), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    294 */ /*TargetOpcode::G_FENCE*//*Label 34*/ GIMT_Encode4(232837),
     /*    298 */ /*TargetOpcode::G_PREFETCH*//*Label 35*/ GIMT_Encode4(232856), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    314 */ /*TargetOpcode::G_INTRINSIC*//*Label 36*/ GIMT_Encode4(233292),
     /*    318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 37*/ GIMT_Encode4(250857),
     /*    322 */ /*TargetOpcode::G_INTRINSIC_CONVERGENT*//*Label 38*/ GIMT_Encode4(255591),
     /*    326 */ /*TargetOpcode::G_INTRINSIC_CONVERGENT_W_SIDE_EFFECTS*//*Label 39*/ GIMT_Encode4(280776),
     /*    330 */ /*TargetOpcode::G_ANYEXT*//*Label 40*/ GIMT_Encode4(282027),
     /*    334 */ /*TargetOpcode::G_TRUNC*//*Label 41*/ GIMT_Encode4(282590),
     /*    338 */ /*TargetOpcode::G_CONSTANT*//*Label 42*/ GIMT_Encode4(282830),
     /*    342 */ /*TargetOpcode::G_FCONSTANT*//*Label 43*/ GIMT_Encode4(283556), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    354 */ /*TargetOpcode::G_SEXT*//*Label 44*/ GIMT_Encode4(283844), GIMT_Encode4(0),
     /*    362 */ /*TargetOpcode::G_ZEXT*//*Label 45*/ GIMT_Encode4(285279),
     /*    366 */ /*TargetOpcode::G_SHL*//*Label 46*/ GIMT_Encode4(288482),
     /*    370 */ /*TargetOpcode::G_LSHR*//*Label 47*/ GIMT_Encode4(290018),
     /*    374 */ /*TargetOpcode::G_ASHR*//*Label 48*/ GIMT_Encode4(291180), GIMT_Encode4(0),
     /*    382 */ /*TargetOpcode::G_FSHR*//*Label 49*/ GIMT_Encode4(292342),
     /*    386 */ /*TargetOpcode::G_ROTR*//*Label 50*/ GIMT_Encode4(292604), GIMT_Encode4(0),
     /*    394 */ /*TargetOpcode::G_ICMP*//*Label 51*/ GIMT_Encode4(292681),
     /*    398 */ /*TargetOpcode::G_FCMP*//*Label 52*/ GIMT_Encode4(294273), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    410 */ /*TargetOpcode::G_SELECT*//*Label 53*/ GIMT_Encode4(298436), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    454 */ /*TargetOpcode::G_UMULH*//*Label 54*/ GIMT_Encode4(298780),
     /*    458 */ /*TargetOpcode::G_SMULH*//*Label 55*/ GIMT_Encode4(298889),
     /*    462 */ /*TargetOpcode::G_UADDSAT*//*Label 56*/ GIMT_Encode4(298998),
     /*    466 */ /*TargetOpcode::G_SADDSAT*//*Label 57*/ GIMT_Encode4(299386),
     /*    470 */ /*TargetOpcode::G_USUBSAT*//*Label 58*/ GIMT_Encode4(299712),
     /*    474 */ /*TargetOpcode::G_SSUBSAT*//*Label 59*/ GIMT_Encode4(300100), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    518 */ /*TargetOpcode::G_FADD*//*Label 60*/ GIMT_Encode4(300426),
     /*    522 */ /*TargetOpcode::G_FSUB*//*Label 61*/ GIMT_Encode4(301784),
     /*    526 */ /*TargetOpcode::G_FMUL*//*Label 62*/ GIMT_Encode4(302148),
     /*    530 */ /*TargetOpcode::G_FMA*//*Label 63*/ GIMT_Encode4(303534),
     /*    534 */ /*TargetOpcode::G_FMAD*//*Label 64*/ GIMT_Encode4(305403), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    546 */ /*TargetOpcode::G_FPOW*//*Label 65*/ GIMT_Encode4(306349), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    558 */ /*TargetOpcode::G_FEXP2*//*Label 66*/ GIMT_Encode4(306467), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    570 */ /*TargetOpcode::G_FLOG2*//*Label 67*/ GIMT_Encode4(306690), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FLDEXP*//*Label 68*/ GIMT_Encode4(306913), GIMT_Encode4(0),
     /*    586 */ /*TargetOpcode::G_FNEG*//*Label 69*/ GIMT_Encode4(307276),
     /*    590 */ /*TargetOpcode::G_FPEXT*//*Label 70*/ GIMT_Encode4(309139),
     /*    594 */ /*TargetOpcode::G_FPTRUNC*//*Label 71*/ GIMT_Encode4(309539),
     /*    598 */ /*TargetOpcode::G_FPTOSI*//*Label 72*/ GIMT_Encode4(310475),
     /*    602 */ /*TargetOpcode::G_FPTOUI*//*Label 73*/ GIMT_Encode4(311201),
     /*    606 */ /*TargetOpcode::G_SITOFP*//*Label 74*/ GIMT_Encode4(311927),
     /*    610 */ /*TargetOpcode::G_UITOFP*//*Label 75*/ GIMT_Encode4(312660), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    622 */ /*TargetOpcode::G_FABS*//*Label 76*/ GIMT_Encode4(313393),
     /*    626 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 77*/ GIMT_Encode4(314194),
     /*    630 */ /*TargetOpcode::G_IS_FPCLASS*//*Label 78*/ GIMT_Encode4(314619),
     /*    634 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 79*/ GIMT_Encode4(314950),
     /*    638 */ /*TargetOpcode::G_FMINNUM*//*Label 80*/ GIMT_Encode4(316418),
     /*    642 */ /*TargetOpcode::G_FMAXNUM*//*Label 81*/ GIMT_Encode4(388197),
     /*    646 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 82*/ GIMT_Encode4(459976),
     /*    650 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 83*/ GIMT_Encode4(531755),
     /*    654 */ /*TargetOpcode::G_FMINIMUM*//*Label 84*/ GIMT_Encode4(603534),
     /*    658 */ /*TargetOpcode::G_FMAXIMUM*//*Label 85*/ GIMT_Encode4(605649),
     /*    662 */ /*TargetOpcode::G_FMINIMUMNUM*//*Label 86*/ GIMT_Encode4(607764),
     /*    666 */ /*TargetOpcode::G_FMAXIMUMNUM*//*Label 87*/ GIMT_Encode4(608192), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    682 */ /*TargetOpcode::G_GET_FPMODE*//*Label 88*/ GIMT_Encode4(608620), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    694 */ /*TargetOpcode::G_PTR_ADD*//*Label 89*/ GIMT_Encode4(608744), GIMT_Encode4(0),
     /*    702 */ /*TargetOpcode::G_SMIN*//*Label 90*/ GIMT_Encode4(608821),
     /*    706 */ /*TargetOpcode::G_SMAX*//*Label 91*/ GIMT_Encode4(615185),
     /*    710 */ /*TargetOpcode::G_UMIN*//*Label 92*/ GIMT_Encode4(621711),
     /*    714 */ /*TargetOpcode::G_UMAX*//*Label 93*/ GIMT_Encode4(628075),
     /*    718 */ /*TargetOpcode::G_ABS*//*Label 94*/ GIMT_Encode4(634439), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_BR*//*Label 95*/ GIMT_Encode4(634576), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    778 */ /*TargetOpcode::G_CTTZ_ZERO_UNDEF*//*Label 96*/ GIMT_Encode4(634610), GIMT_Encode4(0),
     /*    786 */ /*TargetOpcode::G_CTLZ_ZERO_UNDEF*//*Label 97*/ GIMT_Encode4(634709),
     /*    790 */ /*TargetOpcode::G_CTPOP*//*Label 98*/ GIMT_Encode4(634811),
     /*    794 */ /*TargetOpcode::G_BSWAP*//*Label 99*/ GIMT_Encode4(635026),
     /*    798 */ /*TargetOpcode::G_BITREVERSE*//*Label 100*/ GIMT_Encode4(636775),
     /*    802 */ /*TargetOpcode::G_FCEIL*//*Label 101*/ GIMT_Encode4(637023), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    850 */ /*TargetOpcode::G_FSQRT*//*Label 102*/ GIMT_Encode4(637351),
     /*    854 */ /*TargetOpcode::G_FFLOOR*//*Label 103*/ GIMT_Encode4(637643), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    890 */ /*TargetOpcode::G_STRICT_FADD*//*Label 104*/ GIMT_Encode4(638157),
     /*    894 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 105*/ GIMT_Encode4(639119),
     /*    898 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 106*/ GIMT_Encode4(639483), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    910 */ /*TargetOpcode::G_STRICT_FMA*//*Label 107*/ GIMT_Encode4(640751), GIMT_Encode4(0),
     /*    918 */ /*TargetOpcode::G_STRICT_FLDEXP*//*Label 108*/ GIMT_Encode4(641797), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14282 */ /*AMDGPU::G_AMDGPU_ATOMIC_CMPXCHG*//*Label 109*/ GIMT_Encode4(642160),
     /*  14286 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_ADD*//*Label 110*/ GIMT_Encode4(644464),
     /*  14290 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_AND*//*Label 111*/ GIMT_Encode4(646848),
     /*  14294 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_CMPSWAP*//*Label 112*/ GIMT_Encode4(649232),
     /*  14298 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_COND_SUB_U32*//*Label 113*/ GIMT_Encode4(653526),
     /*  14302 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_DEC*//*Label 114*/ GIMT_Encode4(654143),
     /*  14306 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_FADD*//*Label 115*/ GIMT_Encode4(656527),
     /*  14310 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_FMAX*//*Label 116*/ GIMT_Encode4(660169),
     /*  14314 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_FMIN*//*Label 117*/ GIMT_Encode4(663785),
     /*  14318 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_INC*//*Label 118*/ GIMT_Encode4(667401),
     /*  14322 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_OR*//*Label 119*/ GIMT_Encode4(669785),
     /*  14326 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_SMAX*//*Label 120*/ GIMT_Encode4(672169),
     /*  14330 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_SMIN*//*Label 121*/ GIMT_Encode4(674553),
     /*  14334 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_SUB*//*Label 122*/ GIMT_Encode4(676937),
     /*  14338 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_SWAP*//*Label 123*/ GIMT_Encode4(679321),
     /*  14342 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_UMAX*//*Label 124*/ GIMT_Encode4(682865),
     /*  14346 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_UMIN*//*Label 125*/ GIMT_Encode4(685249),
     /*  14350 */ /*AMDGPU::G_AMDGPU_BUFFER_ATOMIC_XOR*//*Label 126*/ GIMT_Encode4(687633),
     /*  14354 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD*//*Label 127*/ GIMT_Encode4(690017),
     /*  14358 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_FORMAT*//*Label 128*/ GIMT_Encode4(705389),
     /*  14362 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_FORMAT_D16*//*Label 129*/ GIMT_Encode4(710297),
     /*  14366 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_FORMAT_TFE*//*Label 130*/ GIMT_Encode4(718042),
     /*  14370 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_SBYTE*//*Label 131*/ GIMT_Encode4(720562),
     /*  14374 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_SBYTE_TFE*//*Label 132*/ GIMT_Encode4(721168),
     /*  14378 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_SSHORT*//*Label 133*/ GIMT_Encode4(721774),
     /*  14382 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_SSHORT_TFE*//*Label 134*/ GIMT_Encode4(722380),
     /*  14386 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_TFE*//*Label 135*/ GIMT_Encode4(722986),
     /*  14390 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_UBYTE*//*Label 136*/ GIMT_Encode4(725506),
     /*  14394 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_UBYTE_TFE*//*Label 137*/ GIMT_Encode4(726112),
     /*  14398 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_USHORT*//*Label 138*/ GIMT_Encode4(726718),
     /*  14402 */ /*AMDGPU::G_AMDGPU_BUFFER_LOAD_USHORT_TFE*//*Label 139*/ GIMT_Encode4(727324),
     /*  14406 */ /*AMDGPU::G_AMDGPU_BUFFER_STORE*//*Label 140*/ GIMT_Encode4(727930),
     /*  14410 */ /*AMDGPU::G_AMDGPU_BUFFER_STORE_BYTE*//*Label 141*/ GIMT_Encode4(743238),
     /*  14414 */ /*AMDGPU::G_AMDGPU_BUFFER_STORE_FORMAT*//*Label 142*/ GIMT_Encode4(743840),
     /*  14418 */ /*AMDGPU::G_AMDGPU_BUFFER_STORE_FORMAT_D16*//*Label 143*/ GIMT_Encode4(749328),
     /*  14422 */ /*AMDGPU::G_AMDGPU_BUFFER_STORE_SHORT*//*Label 144*/ GIMT_Encode4(756921), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14438 */ /*AMDGPU::G_AMDGPU_CLAMP*//*Label 145*/ GIMT_Encode4(757523), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14450 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE0*//*Label 146*/ GIMT_Encode4(758462),
     /*  14454 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE1*//*Label 147*/ GIMT_Encode4(758507),
     /*  14458 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE2*//*Label 148*/ GIMT_Encode4(758552),
     /*  14462 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE3*//*Label 149*/ GIMT_Encode4(758597),
     /*  14466 */ /*AMDGPU::G_AMDGPU_CVT_PK_I16_I32*//*Label 150*/ GIMT_Encode4(758642),
     /*  14470 */ /*AMDGPU::G_AMDGPU_FFBH_U32*//*Label 151*/ GIMT_Encode4(758672),
     /*  14474 */ /*AMDGPU::G_AMDGPU_FFBL_B32*//*Label 152*/ GIMT_Encode4(758774),
     /*  14478 */ /*AMDGPU::G_AMDGPU_FMAX_LEGACY*//*Label 153*/ GIMT_Encode4(758873),
     /*  14482 */ /*AMDGPU::G_AMDGPU_FMED3*//*Label 154*/ GIMT_Encode4(758946),
     /*  14486 */ /*AMDGPU::G_AMDGPU_FMIN_LEGACY*//*Label 155*/ GIMT_Encode4(759306), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14518 */ /*AMDGPU::G_AMDGPU_RCP_IFLAG*//*Label 156*/ GIMT_Encode4(759379), GIMT_Encode4(0),
     /*  14526 */ /*AMDGPU::G_AMDGPU_SMED3*//*Label 157*/ GIMT_Encode4(759429),
     /*  14530 */ /*AMDGPU::G_AMDGPU_S_BUFFER_LOAD*//*Label 158*/ GIMT_Encode4(759735),
     /*  14534 */ /*AMDGPU::G_AMDGPU_S_BUFFER_LOAD_SBYTE*//*Label 159*/ GIMT_Encode4(762037),
     /*  14538 */ /*AMDGPU::G_AMDGPU_S_BUFFER_LOAD_SSHORT*//*Label 160*/ GIMT_Encode4(762175),
     /*  14542 */ /*AMDGPU::G_AMDGPU_S_BUFFER_LOAD_UBYTE*//*Label 161*/ GIMT_Encode4(762313),
     /*  14546 */ /*AMDGPU::G_AMDGPU_S_BUFFER_LOAD_USHORT*//*Label 162*/ GIMT_Encode4(762451),
     /*  14550 */ /*AMDGPU::G_AMDGPU_S_BUFFER_PREFETCH*//*Label 163*/ GIMT_Encode4(762589), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14562 */ /*AMDGPU::G_AMDGPU_TBUFFER_LOAD_FORMAT*//*Label 164*/ GIMT_Encode4(762696),
     /*  14566 */ /*AMDGPU::G_AMDGPU_TBUFFER_LOAD_FORMAT_D16*//*Label 165*/ GIMT_Encode4(768180),
     /*  14570 */ /*AMDGPU::G_AMDGPU_TBUFFER_STORE_FORMAT*//*Label 166*/ GIMT_Encode4(773609),
     /*  14574 */ /*AMDGPU::G_AMDGPU_TBUFFER_STORE_FORMAT_D16*//*Label 167*/ GIMT_Encode4(779077),
     /*  14578 */ /*AMDGPU::G_AMDGPU_UMED3*//*Label 168*/ GIMT_Encode4(784418),
     /*  14582 */ // Label 0: @14582
     /*  14582 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 175*/ GIMT_Encode4(37823),
     /*  14593 */ /*GILLT_s1*//*Label 170*/ GIMT_Encode4(14613),
     /*  14597 */ /*GILLT_s16*//*Label 171*/ GIMT_Encode4(14732),
     /*  14601 */ /*GILLT_s32*//*Label 172*/ GIMT_Encode4(15723),
     /*  14605 */ /*GILLT_s64*//*Label 173*/ GIMT_Encode4(37082),
     /*  14609 */ /*GILLT_v2s16*//*Label 174*/ GIMT_Encode4(37553),
     /*  14613 */ // Label 170: @14613
     /*  14613 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(14731),
     /*  14618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  14621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  14624 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(14652), // Rule ID 7618 //
     /*  14629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  14632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  14636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  14640 */     // (add:{ *:[i1] } i1:{ *:[i1] }:$src0, -1:{ *:[i1] })  =>  (S_NOT_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0)
     /*  14640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B64),
     /*  14643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  14645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  14647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  14650 */     GIR_RootConstrainSelectedInstOperands,
     /*  14651 */     // GIR_Coverage, 7618,
     /*  14651 */     GIR_EraseRootFromParent_Done,
     /*  14652 */   // Label 177: @14652
     /*  14652 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(14680), // Rule ID 7625 //
     /*  14657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  14660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  14664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  14668 */     // (add:{ *:[i1] } i1:{ *:[i1] }:$src0, -1:{ *:[i1] })  =>  (S_NOT_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0)
     /*  14668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B32),
     /*  14671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  14673 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  14675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  14678 */     GIR_RootConstrainSelectedInstOperands,
     /*  14679 */     // GIR_Coverage, 7625,
     /*  14679 */     GIR_EraseRootFromParent_Done,
     /*  14680 */   // Label 178: @14680
     /*  14680 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(14705), // Rule ID 7616 //
     /*  14685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  14688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  14692 */     // (add:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  14692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B64),
     /*  14697 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  14703 */     GIR_RootConstrainSelectedInstOperands,
     /*  14704 */     // GIR_Coverage, 7616,
     /*  14704 */     GIR_Done,
     /*  14705 */   // Label 179: @14705
     /*  14705 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(14730), // Rule ID 7623 //
     /*  14710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  14713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  14717 */     // (add:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  14717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /*  14722 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  14728 */     GIR_RootConstrainSelectedInstOperands,
     /*  14729 */     // GIR_Coverage, 7623,
     /*  14729 */     GIR_Done,
     /*  14730 */   // Label 180: @14730
     /*  14730 */   GIM_Reject,
     /*  14731 */ // Label 176: @14731
     /*  14731 */ GIM_Reject,
     /*  14732 */ // Label 171: @14732
     /*  14732 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(15722),
     /*  14737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  14740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  14743 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(14795), // Rule ID 7086 //
     /*  14748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  14752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  14760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  14772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14776 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34383),
     /*  14780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14782 */     // (add:{ *:[i16] } (trunc:{ *:[i16] } (ctpop:{ *:[i32] } i32:{ *:[i32] }:$popcnt)<<P:Predicate_anonymous_34383>>), i16:{ *:[i16] }:$val)  =>  (V_BCNT_U32_B32_e64:{ *:[i16] } ?:{ *:[i32] }:$popcnt, ?:{ *:[i16] }:$val)
     /*  14782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  14785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  14787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // popcnt
     /*  14791 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  14793 */     GIR_RootConstrainSelectedInstOperands,
     /*  14794 */     // GIR_Coverage, 7086,
     /*  14794 */     GIR_EraseRootFromParent_Done,
     /*  14795 */   // Label 182: @14795
     /*  14795 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(14847), // Rule ID 11354 //
     /*  14800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  14804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  14812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  14816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  14824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  14828 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34383),
     /*  14832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14834 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$val, (trunc:{ *:[i16] } (ctpop:{ *:[i32] } i32:{ *:[i32] }:$popcnt)<<P:Predicate_anonymous_34383>>))  =>  (V_BCNT_U32_B32_e64:{ *:[i16] } ?:{ *:[i32] }:$popcnt, ?:{ *:[i16] }:$val)
     /*  14834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  14837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  14839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // popcnt
     /*  14843 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  14845 */     GIR_RootConstrainSelectedInstOperands,
     /*  14846 */     // GIR_Coverage, 11354,
     /*  14846 */     GIR_EraseRootFromParent_Done,
     /*  14847 */   // Label 183: @14847
     /*  14847 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(14890), // Rule ID 2540 //
     /*  14852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /*  14855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  14859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineIntConst16),
     /*  14871 */     // MIs[1] Operand 1
     /*  14871 */     // No operand predicates
     /*  14871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14873 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>><<X:NegateImm>>:$src1)  =>  (V_SUB_U16_e64:{ *:[i16] } VSrc_b16:{ *:[i16] }:$src0, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>>:$src1))
     /*  14873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /*  14876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  14878 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  14880 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  14885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14888 */     GIR_RootConstrainSelectedInstOperands,
     /*  14889 */     // GIR_Coverage, 2540,
     /*  14889 */     GIR_EraseRootFromParent_Done,
     /*  14890 */   // Label 184: @14890
     /*  14890 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(14942), // Rule ID 2688 //
     /*  14895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /*  14898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  14902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineIntConst16),
     /*  14914 */     // MIs[1] Operand 1
     /*  14914 */     // No operand predicates
     /*  14914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14916 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>><<X:NegateImm>>:$src1)  =>  (V_SUB_NC_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>>:$src1), 0:{ *:[i1] }, 0:{ *:[i32] })
     /*  14916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_e64),
     /*  14919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  14921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14924 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  14926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14929 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  14934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14940 */     GIR_RootConstrainSelectedInstOperands,
     /*  14941 */     // GIR_Coverage, 2688,
     /*  14941 */     GIR_EraseRootFromParent_Done,
     /*  14942 */   // Label 185: @14942
     /*  14942 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(14994), // Rule ID 2691 //
     /*  14947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  14950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  14954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineIntConst16),
     /*  14966 */     // MIs[1] Operand 1
     /*  14966 */     // No operand predicates
     /*  14966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14968 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>><<X:NegateImm>>:$src1)  =>  (V_SUB_NC_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, (NegateImm:{ *:[i16 bf16 f16] } (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>>:$src1), 0:{ *:[i1] }, 0:{ *:[i32] })
     /*  14968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_t16_e64),
     /*  14971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  14973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14976 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  14978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14981 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  14986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  14992 */     GIR_RootConstrainSelectedInstOperands,
     /*  14993 */     // GIR_Coverage, 2691,
     /*  14993 */     GIR_EraseRootFromParent_Done,
     /*  14994 */   // Label 186: @14994
     /*  14994 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(15046), // Rule ID 2694 //
     /*  14999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  15002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineIntConst16),
     /*  15018 */     // MIs[1] Operand 1
     /*  15018 */     // No operand predicates
     /*  15018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15020 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>><<X:NegateImm>>:$src1)  =>  (V_SUB_NC_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>>:$src1), 0:{ *:[i1] }, 0:{ *:[i32] })
     /*  15020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_fake16_e64),
     /*  15023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15028 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  15030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15033 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  15038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15044 */     GIR_RootConstrainSelectedInstOperands,
     /*  15045 */     // GIR_Coverage, 2694,
     /*  15045 */     GIR_EraseRootFromParent_Done,
     /*  15046 */   // Label 187: @15046
     /*  15046 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(15096), // Rule ID 2584 //
     /*  15051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX6GFX7GFX8GFX9),
     /*  15054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15076 */     // (add:{ *:[i16] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2)  =>  (V_MAD_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_e64),
     /*  15079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  15091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15094 */     GIR_RootConstrainSelectedInstOperands,
     /*  15095 */     // GIR_Coverage, 2584,
     /*  15095 */     GIR_EraseRootFromParent_Done,
     /*  15096 */   // Label 188: @15096
     /*  15096 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(15158), // Rule ID 2585 //
     /*  15101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  15104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  15108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15126 */     // (add:{ *:[i16] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2)  =>  (V_MAD_U16_gfx9_t16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_t16_e64),
     /*  15129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  15150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15156 */     GIR_RootConstrainSelectedInstOperands,
     /*  15157 */     // GIR_Coverage, 2585,
     /*  15157 */     GIR_EraseRootFromParent_Done,
     /*  15158 */   // Label 189: @15158
     /*  15158 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(15220), // Rule ID 2586 //
     /*  15163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  15166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15188 */     // (add:{ *:[i16] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2)  =>  (V_MAD_U16_gfx9_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_fake16_e64),
     /*  15191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15210 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  15212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15218 */     GIR_RootConstrainSelectedInstOperands,
     /*  15219 */     // GIR_Coverage, 2586,
     /*  15219 */     GIR_EraseRootFromParent_Done,
     /*  15220 */   // Label 190: @15220
     /*  15220 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(15282), // Rule ID 2587 //
     /*  15225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts_isGFX10Plus),
     /*  15228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15250 */     // (add:{ *:[i16] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2)  =>  (V_MAD_U16_gfx9_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_e64),
     /*  15253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15272 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  15274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15280 */     GIR_RootConstrainSelectedInstOperands,
     /*  15281 */     // GIR_Coverage, 2587,
     /*  15281 */     GIR_EraseRootFromParent_Done,
     /*  15282 */   // Label 191: @15282
     /*  15282 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(15332), // Rule ID 8690 //
     /*  15287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX6GFX7GFX8GFX9),
     /*  15290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15312 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src2, (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAD_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_e64),
     /*  15315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15325 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  15327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15330 */     GIR_RootConstrainSelectedInstOperands,
     /*  15331 */     // GIR_Coverage, 8690,
     /*  15331 */     GIR_EraseRootFromParent_Done,
     /*  15332 */   // Label 192: @15332
     /*  15332 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(15394), // Rule ID 8691 //
     /*  15337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  15340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  15344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15362 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src2, (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAD_U16_gfx9_t16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_t16_e64),
     /*  15365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15384 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  15386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15392 */     GIR_RootConstrainSelectedInstOperands,
     /*  15393 */     // GIR_Coverage, 8691,
     /*  15393 */     GIR_EraseRootFromParent_Done,
     /*  15394 */   // Label 193: @15394
     /*  15394 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(15456), // Rule ID 8692 //
     /*  15399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  15402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15424 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src2, (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAD_U16_gfx9_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_fake16_e64),
     /*  15427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15446 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  15448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15454 */     GIR_RootConstrainSelectedInstOperands,
     /*  15455 */     // GIR_Coverage, 8692,
     /*  15455 */     GIR_EraseRootFromParent_Done,
     /*  15456 */   // Label 194: @15456
     /*  15456 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(15518), // Rule ID 8693 //
     /*  15461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts_isGFX10Plus),
     /*  15464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  15476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  15484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15486 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src2, (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAD_U16_gfx9_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i16] }:$src1, 0:{ *:[i32] }, ?:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /*  15486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_gfx9_e64),
     /*  15489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  15498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  15505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15508 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  15510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15516 */     GIR_RootConstrainSelectedInstOperands,
     /*  15517 */     // GIR_Coverage, 8693,
     /*  15517 */     GIR_EraseRootFromParent_Done,
     /*  15518 */   // Label 195: @15518
     /*  15518 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(15577), // Rule ID 1068 //
     /*  15523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /*  15526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /*  15537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /*  15544 */     // (add:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  15544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_e64),
     /*  15547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  15554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  15559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  15564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  15569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15575 */     GIR_RootConstrainSelectedInstOperands,
     /*  15576 */     // GIR_Coverage, 1068,
     /*  15576 */     GIR_EraseRootFromParent_Done,
     /*  15577 */   // Label 196: @15577
     /*  15577 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(15636), // Rule ID 1069 //
     /*  15582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX10Plus),
     /*  15585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  15589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  15596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  15603 */     // (add:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  15603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_t16_e64),
     /*  15606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  15613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  15618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  15623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  15628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15634 */     GIR_RootConstrainSelectedInstOperands,
     /*  15635 */     // GIR_Coverage, 1069,
     /*  15635 */     GIR_EraseRootFromParent_Done,
     /*  15636 */   // Label 197: @15636
     /*  15636 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(15695), // Rule ID 1070 //
     /*  15641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX10Plus),
     /*  15644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  15655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  15662 */     // (add:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  15662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_fake16_e64),
     /*  15665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  15672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  15677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  15682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  15687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15693 */     GIR_RootConstrainSelectedInstOperands,
     /*  15694 */     // GIR_Coverage, 1070,
     /*  15694 */     GIR_EraseRootFromParent_Done,
     /*  15695 */   // Label 198: @15695
     /*  15695 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(15721), // Rule ID 911 //
     /*  15700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8GFX9),
     /*  15703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15707 */     // (add:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_ADD_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  15707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U16_e64),
     /*  15710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  15712 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  15714 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  15719 */     GIR_RootConstrainSelectedInstOperands,
     /*  15720 */     // GIR_Coverage, 911,
     /*  15720 */     GIR_EraseRootFromParent_Done,
     /*  15721 */   // Label 199: @15721
     /*  15721 */   GIM_Reject,
     /*  15722 */ // Label 181: @15722
     /*  15722 */ GIM_Reject,
     /*  15723 */ // Label 172: @15723
     /*  15723 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(37081),
     /*  15728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  15731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  15734 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(16233), // Rule ID 8799 //
     /*  15739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  15742 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  15744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  15748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  15756 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  15759 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  15764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  15768 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  15772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  15774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  15786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  15790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  15794 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  15798 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15802 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  15806 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  15810 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  15814 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  15818 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  15822 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  15826 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  15830 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  15832 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  15836 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  15840 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  15843 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  15848 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  15852 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  15856 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  15858 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  15862 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  15866 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  15870 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  15874 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  15878 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15882 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  15886 */     // MIs[7] src0
     /*  15886 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  15891 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  15895 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  15906 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  15910 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  15914 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  15918 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  15922 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  15926 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  15930 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  15934 */     // MIs[9] src1
     /*  15934 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  15939 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  15943 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  15954 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  15958 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  15962 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  15966 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  15970 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  15972 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  15976 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  15980 */     GIM_CheckNumOperands, /*MI*/11, /*Expected*/4,
     /*  15983 */     GIM_CheckIntrinsicID, /*MI*/11, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  15988 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  15992 */     GIM_CheckType, /*MI*/11, /*Op*/3, /*Type*/GILLT_s32,
     /*  15996 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  15998 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  16002 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16006 */     GIM_CheckType, /*MI*/12, /*Op*/1, /*Type*/GILLT_s32,
     /*  16010 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  16014 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/1, // MIs[13]
     /*  16018 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16022 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  16026 */     // MIs[13] src0
     /*  16026 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16031 */     GIM_CheckConstantInt8, /*MI*/13, /*Op*/2, 8,
     /*  16035 */     GIM_CheckConstantInt, /*MI*/12, /*Op*/2, GIMT_Encode8(255),
     /*  16046 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/11, /*OpIdx*/3, // MIs[14]
     /*  16050 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16054 */     GIM_CheckType, /*MI*/14, /*Op*/1, /*Type*/GILLT_s32,
     /*  16058 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  16062 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/1, // MIs[15]
     /*  16066 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16070 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  16074 */     // MIs[15] src1
     /*  16074 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16079 */     GIM_CheckConstantInt8, /*MI*/15, /*Op*/2, 8,
     /*  16083 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  16094 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/10, /*OpIdx*/2, // MIs[16]
     /*  16098 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16102 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  16106 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  16110 */     GIM_CheckHasOneUse, /*MI*/16,
     /*  16112 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  16116 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16120 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  16123 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16128 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  16132 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  16136 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  16138 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  16142 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16146 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  16150 */     // MIs[18] src0
     /*  16150 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16155 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  16166 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  16170 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16174 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  16178 */     // MIs[19] src1
     /*  16178 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16183 */     GIM_CheckConstantInt, /*MI*/19, /*Op*/2, GIMT_Encode8(255),
     /*  16194 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  16196 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  16196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  16199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  16201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  16208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  16215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/16, /*OpIdx*/2, // src2
     /*  16222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16231 */     GIR_RootConstrainSelectedInstOperands,
     /*  16232 */     // GIR_Coverage, 8799,
     /*  16232 */     GIR_EraseRootFromParent_Done,
     /*  16233 */   // Label 201: @16233
     /*  16233 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(16732), // Rule ID 8798 //
     /*  16238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  16241 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  16243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  16247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16255 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  16258 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16267 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  16271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  16273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16289 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  16293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  16297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16301 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  16305 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  16309 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  16313 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  16317 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16321 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  16325 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  16329 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  16331 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  16335 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16339 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  16342 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16347 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  16351 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  16355 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  16357 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  16361 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16365 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  16369 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  16373 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  16377 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16381 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  16385 */     // MIs[7] src0
     /*  16385 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16390 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  16394 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  16405 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  16409 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16413 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  16417 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  16421 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  16425 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16429 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  16433 */     // MIs[9] src1
     /*  16433 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16438 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  16442 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  16453 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  16457 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16461 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  16465 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  16469 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  16471 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  16475 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16479 */     GIM_CheckNumOperands, /*MI*/11, /*Expected*/4,
     /*  16482 */     GIM_CheckIntrinsicID, /*MI*/11, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16487 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  16491 */     GIM_CheckType, /*MI*/11, /*Op*/3, /*Type*/GILLT_s32,
     /*  16495 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  16497 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  16501 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16505 */     GIM_CheckType, /*MI*/12, /*Op*/1, /*Type*/GILLT_s32,
     /*  16509 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  16513 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/1, // MIs[13]
     /*  16517 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16521 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  16525 */     // MIs[13] src0
     /*  16525 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16530 */     GIM_CheckConstantInt8, /*MI*/13, /*Op*/2, 8,
     /*  16534 */     GIM_CheckConstantInt, /*MI*/12, /*Op*/2, GIMT_Encode8(255),
     /*  16545 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/11, /*OpIdx*/3, // MIs[14]
     /*  16549 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16553 */     GIM_CheckType, /*MI*/14, /*Op*/1, /*Type*/GILLT_s32,
     /*  16557 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  16561 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/1, // MIs[15]
     /*  16565 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16569 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  16573 */     // MIs[15] src1
     /*  16573 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16578 */     GIM_CheckConstantInt8, /*MI*/15, /*Op*/2, 8,
     /*  16582 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  16593 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/10, /*OpIdx*/2, // MIs[16]
     /*  16597 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16601 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  16605 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  16609 */     GIM_CheckHasOneUse, /*MI*/16,
     /*  16611 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/2, // MIs[17]
     /*  16615 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16619 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  16622 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16627 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  16631 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  16635 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  16637 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  16641 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16645 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  16649 */     // MIs[18] src0
     /*  16649 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16654 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  16665 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  16669 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16673 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  16677 */     // MIs[19] src1
     /*  16677 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16682 */     GIM_CheckConstantInt, /*MI*/19, /*Op*/2, GIMT_Encode8(255),
     /*  16693 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  16695 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  16695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  16698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  16700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  16707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  16714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  16717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/16, /*OpIdx*/1, // src2
     /*  16721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  16730 */     GIR_RootConstrainSelectedInstOperands,
     /*  16731 */     // GIR_Coverage, 8798,
     /*  16731 */     GIR_EraseRootFromParent_Done,
     /*  16732 */   // Label 202: @16732
     /*  16732 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(17231), // Rule ID 8797 //
     /*  16737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  16740 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  16742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  16746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16754 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  16757 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16766 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  16770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  16772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16784 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16788 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  16792 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  16796 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16800 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  16804 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  16808 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  16812 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  16816 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16820 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  16824 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  16828 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  16830 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  16834 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16838 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  16841 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  16846 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  16850 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  16854 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  16856 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  16860 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16864 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  16868 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  16872 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  16876 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16880 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  16884 */     // MIs[7] src0
     /*  16884 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  16889 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  16893 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  16904 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  16908 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  16912 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  16916 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  16920 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  16924 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  16928 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  16932 */     // MIs[9] src1
     /*  16932 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  16937 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  16941 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  16952 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  16956 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16960 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  16964 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  16968 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  16970 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  16974 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16978 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  16982 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  16986 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  16988 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  16992 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16996 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  16999 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17004 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  17008 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  17012 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  17014 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  17018 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17022 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  17026 */     // MIs[13] src0
     /*  17026 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17031 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  17042 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  17046 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17050 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  17054 */     // MIs[14] src1
     /*  17054 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17059 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  17070 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/10, /*OpIdx*/2, // MIs[15]
     /*  17074 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17078 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  17081 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17086 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  17090 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  17094 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  17096 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  17100 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17104 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  17108 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  17112 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  17116 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17120 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  17124 */     // MIs[17] src0
     /*  17124 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17129 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 8,
     /*  17133 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  17144 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  17148 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17152 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  17156 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  17160 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  17164 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17168 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  17172 */     // MIs[19] src1
     /*  17172 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17177 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 8,
     /*  17181 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  17192 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  17194 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  17194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  17197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  17199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  17206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  17213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/2, // src2
     /*  17220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17229 */     GIR_RootConstrainSelectedInstOperands,
     /*  17230 */     // GIR_Coverage, 8797,
     /*  17230 */     GIR_EraseRootFromParent_Done,
     /*  17231 */   // Label 203: @17231
     /*  17231 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(17730), // Rule ID 8796 //
     /*  17236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  17239 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  17241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  17245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17253 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  17256 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17265 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  17269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  17271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  17283 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  17287 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  17291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  17295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  17303 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  17307 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  17311 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  17315 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17319 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  17323 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  17327 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  17329 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  17333 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17337 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  17340 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17345 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  17349 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  17353 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  17355 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  17359 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17363 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  17367 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  17371 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  17375 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17379 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  17383 */     // MIs[7] src0
     /*  17383 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17388 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  17392 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  17403 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  17407 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17411 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  17415 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  17419 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  17423 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17427 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  17431 */     // MIs[9] src1
     /*  17431 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17436 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  17440 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  17451 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  17455 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17459 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  17463 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  17467 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  17469 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  17473 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17477 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  17481 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  17485 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  17487 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  17491 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17495 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  17498 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17503 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  17507 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  17511 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  17513 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  17517 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17521 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  17525 */     // MIs[13] src0
     /*  17525 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17530 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  17541 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  17545 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17549 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  17553 */     // MIs[14] src1
     /*  17553 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17558 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  17569 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/10, /*OpIdx*/2, // MIs[15]
     /*  17573 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17577 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  17580 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17585 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  17589 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  17593 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  17595 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  17599 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17603 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  17607 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  17611 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  17615 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17619 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  17623 */     // MIs[17] src0
     /*  17623 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17628 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 8,
     /*  17632 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  17643 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  17647 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17651 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  17655 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  17659 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  17663 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17667 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  17671 */     // MIs[19] src1
     /*  17671 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17676 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 8,
     /*  17680 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  17691 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  17693 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  17693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  17696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  17698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  17705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  17712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  17715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/1, // src2
     /*  17719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  17728 */     GIR_RootConstrainSelectedInstOperands,
     /*  17729 */     // GIR_Coverage, 8796,
     /*  17729 */     GIR_EraseRootFromParent_Done,
     /*  17730 */   // Label 204: @17730
     /*  17730 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(18229), // Rule ID 8795 //
     /*  17735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  17738 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  17740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  17744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17752 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  17755 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17764 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  17768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  17770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  17782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  17786 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  17790 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  17794 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17798 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  17802 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  17806 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  17810 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  17814 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17818 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  17822 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  17826 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  17828 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  17832 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17836 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  17840 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  17844 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  17846 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  17850 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17854 */     GIM_CheckNumOperands, /*MI*/6, /*Expected*/4,
     /*  17857 */     GIM_CheckIntrinsicID, /*MI*/6, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  17862 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  17866 */     GIM_CheckType, /*MI*/6, /*Op*/3, /*Type*/GILLT_s32,
     /*  17870 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  17872 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  17876 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17880 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  17884 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  17888 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  17892 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17896 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  17900 */     // MIs[8] src0
     /*  17900 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  17905 */     GIM_CheckConstantInt8, /*MI*/8, /*Op*/2, 8,
     /*  17909 */     GIM_CheckConstantInt, /*MI*/7, /*Op*/2, GIMT_Encode8(255),
     /*  17920 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/6, /*OpIdx*/3, // MIs[9]
     /*  17924 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  17928 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  17932 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  17936 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  17940 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  17944 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  17948 */     // MIs[10] src1
     /*  17948 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  17953 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  17957 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  17968 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/5, /*OpIdx*/2, // MIs[11]
     /*  17972 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17976 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  17980 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  17984 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  17986 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  17990 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17994 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  17997 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18002 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  18006 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  18010 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  18012 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  18016 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18020 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  18024 */     // MIs[13] src0
     /*  18024 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18029 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  18040 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  18044 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18048 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  18052 */     // MIs[14] src1
     /*  18052 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18057 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  18068 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  18072 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18076 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  18079 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18084 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  18088 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  18092 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  18094 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  18098 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18102 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  18106 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  18110 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  18114 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18118 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  18122 */     // MIs[17] src0
     /*  18122 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18127 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  18131 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  18142 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  18146 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18150 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  18154 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  18158 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  18162 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18166 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  18170 */     // MIs[19] src1
     /*  18170 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18175 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  18179 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  18190 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  18192 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  18192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  18195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  18197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  18204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  18211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/2, // src2
     /*  18218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18227 */     GIR_RootConstrainSelectedInstOperands,
     /*  18228 */     // GIR_Coverage, 8795,
     /*  18228 */     GIR_EraseRootFromParent_Done,
     /*  18229 */   // Label 205: @18229
     /*  18229 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(18728), // Rule ID 8794 //
     /*  18234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  18237 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  18239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  18243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18251 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  18254 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  18263 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  18267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  18269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  18281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  18285 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  18289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  18293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18297 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  18301 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  18305 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  18309 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  18313 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18317 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  18321 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  18325 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  18327 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  18331 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18335 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  18339 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  18343 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  18345 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  18349 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18353 */     GIM_CheckNumOperands, /*MI*/6, /*Expected*/4,
     /*  18356 */     GIM_CheckIntrinsicID, /*MI*/6, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18361 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  18365 */     GIM_CheckType, /*MI*/6, /*Op*/3, /*Type*/GILLT_s32,
     /*  18369 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  18371 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  18375 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18379 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  18383 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  18387 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  18391 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18395 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  18399 */     // MIs[8] src0
     /*  18399 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18404 */     GIM_CheckConstantInt8, /*MI*/8, /*Op*/2, 8,
     /*  18408 */     GIM_CheckConstantInt, /*MI*/7, /*Op*/2, GIMT_Encode8(255),
     /*  18419 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/6, /*OpIdx*/3, // MIs[9]
     /*  18423 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18427 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  18431 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  18435 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  18439 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18443 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  18447 */     // MIs[10] src1
     /*  18447 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18452 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  18456 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  18467 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/5, /*OpIdx*/2, // MIs[11]
     /*  18471 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18475 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  18479 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  18483 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  18485 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  18489 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18493 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  18496 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18501 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  18505 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  18509 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  18511 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  18515 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18519 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  18523 */     // MIs[13] src0
     /*  18523 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18528 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  18539 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  18543 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18547 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  18551 */     // MIs[14] src1
     /*  18551 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18556 */     GIM_CheckConstantInt, /*MI*/14, /*Op*/2, GIMT_Encode8(255),
     /*  18567 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  18571 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18575 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  18578 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18583 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  18587 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  18591 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  18593 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  18597 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18601 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  18605 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  18609 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  18613 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18617 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  18621 */     // MIs[17] src0
     /*  18621 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18626 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  18630 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  18641 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  18645 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18649 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  18653 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  18657 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  18661 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18665 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  18669 */     // MIs[19] src1
     /*  18669 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18674 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  18678 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  18689 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  18691 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  18691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  18694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  18696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  18703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  18710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  18713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/1, // src2
     /*  18717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  18726 */     GIR_RootConstrainSelectedInstOperands,
     /*  18727 */     // GIR_Coverage, 8794,
     /*  18727 */     GIR_EraseRootFromParent_Done,
     /*  18728 */   // Label 206: @18728
     /*  18728 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(19227), // Rule ID 8793 //
     /*  18733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  18736 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  18738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  18742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18750 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  18753 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  18762 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  18766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  18768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  18780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  18784 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  18788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  18792 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18796 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  18800 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  18804 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  18808 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  18812 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18816 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  18820 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  18824 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  18826 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  18830 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18834 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  18838 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  18842 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  18844 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  18848 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18852 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  18856 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  18860 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  18862 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  18866 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18870 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  18873 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18878 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  18882 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  18886 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  18888 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  18892 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18896 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  18900 */     // MIs[8] src0
     /*  18900 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  18905 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  18916 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/7, /*OpIdx*/3, // MIs[9]
     /*  18920 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18924 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  18928 */     // MIs[9] src1
     /*  18928 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  18933 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  18944 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/5, /*OpIdx*/2, // MIs[10]
     /*  18948 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18952 */     GIM_CheckNumOperands, /*MI*/10, /*Expected*/4,
     /*  18955 */     GIM_CheckIntrinsicID, /*MI*/10, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  18960 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  18964 */     GIM_CheckType, /*MI*/10, /*Op*/3, /*Type*/GILLT_s32,
     /*  18968 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  18970 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/2, // MIs[11]
     /*  18974 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  18978 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  18982 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  18986 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  18990 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  18994 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  18998 */     // MIs[12] src0
     /*  18998 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19003 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  19007 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  19018 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/10, /*OpIdx*/3, // MIs[13]
     /*  19022 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19026 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  19030 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  19034 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  19038 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19042 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  19046 */     // MIs[14] src1
     /*  19046 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  19051 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  19055 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  19066 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  19070 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19074 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  19077 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19082 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  19086 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  19090 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  19092 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  19096 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19100 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  19104 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  19108 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  19112 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19116 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  19120 */     // MIs[17] src0
     /*  19120 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19125 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  19129 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  19140 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  19144 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19148 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  19152 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  19156 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  19160 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19164 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  19168 */     // MIs[19] src1
     /*  19168 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  19173 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  19177 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  19188 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  19190 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  19190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  19193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  19195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  19202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  19209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/2, // src2
     /*  19216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19225 */     GIR_RootConstrainSelectedInstOperands,
     /*  19226 */     // GIR_Coverage, 8793,
     /*  19226 */     GIR_EraseRootFromParent_Done,
     /*  19227 */   // Label 207: @19227
     /*  19227 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(19726), // Rule ID 8792 //
     /*  19232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  19235 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  19237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  19241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19249 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  19252 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19261 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  19265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  19267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  19279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19283 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  19287 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  19291 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19295 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  19299 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  19303 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  19307 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  19311 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19315 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19319 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19323 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  19325 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  19329 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19333 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  19337 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  19341 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  19343 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  19347 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19351 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  19355 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  19359 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  19361 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  19365 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19369 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  19372 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19377 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  19381 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  19385 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  19387 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  19391 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19395 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  19399 */     // MIs[8] src0
     /*  19399 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19404 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  19415 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/7, /*OpIdx*/3, // MIs[9]
     /*  19419 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19423 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  19427 */     // MIs[9] src1
     /*  19427 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  19432 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  19443 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/5, /*OpIdx*/2, // MIs[10]
     /*  19447 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19451 */     GIM_CheckNumOperands, /*MI*/10, /*Expected*/4,
     /*  19454 */     GIM_CheckIntrinsicID, /*MI*/10, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19459 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  19463 */     GIM_CheckType, /*MI*/10, /*Op*/3, /*Type*/GILLT_s32,
     /*  19467 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  19469 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/2, // MIs[11]
     /*  19473 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19477 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  19481 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  19485 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  19489 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19493 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  19497 */     // MIs[12] src0
     /*  19497 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19502 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  19506 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  19517 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/10, /*OpIdx*/3, // MIs[13]
     /*  19521 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19525 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  19529 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  19533 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  19537 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19541 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  19545 */     // MIs[14] src1
     /*  19545 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  19550 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  19554 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  19565 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  19569 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19573 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  19576 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19581 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  19585 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  19589 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  19591 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  19595 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19599 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  19603 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  19607 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  19611 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19615 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  19619 */     // MIs[17] src0
     /*  19619 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  19624 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  19628 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  19639 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  19643 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19647 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  19651 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  19655 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  19659 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19663 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  19667 */     // MIs[19] src1
     /*  19667 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  19672 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  19676 */     GIM_CheckConstantInt, /*MI*/18, /*Op*/2, GIMT_Encode8(255),
     /*  19687 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  19689 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  19689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  19692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  19694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  19701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  19708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  19711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src2
     /*  19715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  19724 */     GIR_RootConstrainSelectedInstOperands,
     /*  19725 */     // GIR_Coverage, 8792,
     /*  19725 */     GIR_EraseRootFromParent_Done,
     /*  19726 */   // Label 208: @19726
     /*  19726 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(20225), // Rule ID 8791 //
     /*  19731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  19734 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  19736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  19740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  19752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  19756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  19758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19766 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  19769 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  19778 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  19782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  19784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19792 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  19796 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  19800 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19804 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19808 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  19812 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  19816 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  19820 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  19831 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  19835 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19839 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  19843 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  19847 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  19851 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19855 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  19859 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  19863 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  19867 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  19878 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  19882 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19886 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  19890 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  19894 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  19896 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  19900 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19904 */     GIM_CheckNumOperands, /*MI*/8, /*Expected*/4,
     /*  19907 */     GIM_CheckIntrinsicID, /*MI*/8, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  19912 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  19916 */     GIM_CheckType, /*MI*/8, /*Op*/3, /*Type*/GILLT_s32,
     /*  19920 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  19922 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  19926 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19930 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  19934 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  19938 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  19942 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19946 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  19950 */     // MIs[10] src0
     /*  19950 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  19955 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  19959 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  19970 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/8, /*OpIdx*/3, // MIs[11]
     /*  19974 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  19978 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  19982 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  19986 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  19990 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  19994 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  19998 */     // MIs[12] src1
     /*  19998 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20003 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  20007 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  20018 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/7, /*OpIdx*/2, // MIs[13]
     /*  20022 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20026 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  20030 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  20034 */     GIM_CheckHasOneUse, /*MI*/13,
     /*  20036 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  20040 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20044 */     GIM_CheckNumOperands, /*MI*/14, /*Expected*/4,
     /*  20047 */     GIM_CheckIntrinsicID, /*MI*/14, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20052 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  20056 */     GIM_CheckType, /*MI*/14, /*Op*/3, /*Type*/GILLT_s32,
     /*  20060 */     GIM_CheckHasOneUse, /*MI*/14,
     /*  20062 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/2, // MIs[15]
     /*  20066 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20070 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  20074 */     // MIs[15] src0
     /*  20074 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20079 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  20090 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/14, /*OpIdx*/3, // MIs[16]
     /*  20094 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20098 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  20102 */     // MIs[16] src1
     /*  20102 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20107 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  20118 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  20122 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20126 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  20129 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20134 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  20138 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  20142 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  20144 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  20148 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20152 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  20156 */     // MIs[18] src0
     /*  20156 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20161 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  20165 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  20169 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20173 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  20177 */     // MIs[19] src1
     /*  20177 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20182 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  20186 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  20188 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  20188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  20191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  20193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  20200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  20207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/13, /*OpIdx*/2, // src2
     /*  20214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20223 */     GIR_RootConstrainSelectedInstOperands,
     /*  20224 */     // GIR_Coverage, 8791,
     /*  20224 */     GIR_EraseRootFromParent_Done,
     /*  20225 */   // Label 209: @20225
     /*  20225 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(20724), // Rule ID 8790 //
     /*  20230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  20233 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  20235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  20239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  20257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20265 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  20268 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20273 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20277 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  20281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  20283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  20287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20295 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20299 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  20303 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20307 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  20311 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  20315 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  20319 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  20330 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  20334 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20338 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  20342 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  20346 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  20350 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20354 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  20358 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  20362 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  20366 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  20377 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  20381 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20385 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  20389 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  20393 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  20395 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  20399 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20403 */     GIM_CheckNumOperands, /*MI*/8, /*Expected*/4,
     /*  20406 */     GIM_CheckIntrinsicID, /*MI*/8, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20411 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  20415 */     GIM_CheckType, /*MI*/8, /*Op*/3, /*Type*/GILLT_s32,
     /*  20419 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  20421 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  20425 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20429 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  20433 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  20437 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  20441 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20445 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  20449 */     // MIs[10] src0
     /*  20449 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20454 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  20458 */     GIM_CheckConstantInt, /*MI*/9, /*Op*/2, GIMT_Encode8(255),
     /*  20469 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/8, /*OpIdx*/3, // MIs[11]
     /*  20473 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20477 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  20481 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  20485 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  20489 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20493 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  20497 */     // MIs[12] src1
     /*  20497 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20502 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  20506 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  20517 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/7, /*OpIdx*/2, // MIs[13]
     /*  20521 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20525 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  20529 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  20533 */     GIM_CheckHasOneUse, /*MI*/13,
     /*  20535 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/2, // MIs[14]
     /*  20539 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20543 */     GIM_CheckNumOperands, /*MI*/14, /*Expected*/4,
     /*  20546 */     GIM_CheckIntrinsicID, /*MI*/14, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20551 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  20555 */     GIM_CheckType, /*MI*/14, /*Op*/3, /*Type*/GILLT_s32,
     /*  20559 */     GIM_CheckHasOneUse, /*MI*/14,
     /*  20561 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/2, // MIs[15]
     /*  20565 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20569 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  20573 */     // MIs[15] src0
     /*  20573 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20578 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  20589 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/14, /*OpIdx*/3, // MIs[16]
     /*  20593 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20597 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  20601 */     // MIs[16] src1
     /*  20601 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20606 */     GIM_CheckConstantInt, /*MI*/16, /*Op*/2, GIMT_Encode8(255),
     /*  20617 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  20621 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20625 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  20628 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20633 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  20637 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  20641 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  20643 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  20647 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20651 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  20655 */     // MIs[18] src0
     /*  20655 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20660 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  20664 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  20668 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20672 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  20676 */     // MIs[19] src1
     /*  20676 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20681 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  20685 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  20687 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  20687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  20690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  20692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  20699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  20706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  20709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/13, /*OpIdx*/1, // src2
     /*  20713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  20722 */     GIR_RootConstrainSelectedInstOperands,
     /*  20723 */     // GIR_Coverage, 8790,
     /*  20723 */     GIR_EraseRootFromParent_Done,
     /*  20724 */   // Label 210: @20724
     /*  20724 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(21223), // Rule ID 8789 //
     /*  20729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  20732 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  20734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  20738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  20750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  20754 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  20756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20764 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  20767 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20772 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  20776 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  20780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  20782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  20786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20790 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  20794 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  20798 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  20802 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20806 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  20810 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  20814 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  20818 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  20829 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  20833 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20837 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  20841 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  20845 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  20849 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  20853 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  20857 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  20861 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  20865 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  20876 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  20880 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20884 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  20888 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  20892 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  20894 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  20898 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  20902 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  20906 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  20910 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  20912 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  20916 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  20920 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  20923 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  20928 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  20932 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  20936 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  20938 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  20942 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20946 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  20950 */     // MIs[10] src0
     /*  20950 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  20955 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  20966 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  20970 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  20974 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  20978 */     // MIs[11] src1
     /*  20978 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  20983 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  20994 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/7, /*OpIdx*/2, // MIs[12]
     /*  20998 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21002 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  21005 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21010 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  21014 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  21018 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  21020 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  21024 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21028 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  21032 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  21036 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  21040 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21044 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  21048 */     // MIs[14] src0
     /*  21048 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  21053 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  21057 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  21068 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  21072 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21076 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  21080 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  21084 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  21088 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21092 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  21096 */     // MIs[16] src1
     /*  21096 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  21101 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 8,
     /*  21105 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  21116 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  21120 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21124 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  21127 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21132 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  21136 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  21140 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  21142 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  21146 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21150 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  21154 */     // MIs[18] src0
     /*  21154 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  21159 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  21163 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  21167 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21171 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  21175 */     // MIs[19] src1
     /*  21175 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  21180 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  21184 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  21186 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  21186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  21189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  21191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  21198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  21205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/2, // src2
     /*  21212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21221 */     GIR_RootConstrainSelectedInstOperands,
     /*  21222 */     // GIR_Coverage, 8789,
     /*  21222 */     GIR_EraseRootFromParent_Done,
     /*  21223 */   // Label 211: @21223
     /*  21223 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(21722), // Rule ID 8788 //
     /*  21228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  21231 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  21233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  21237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  21255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21263 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  21266 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21275 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  21279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  21281 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21285 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21289 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  21293 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  21297 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21301 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21305 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  21309 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  21313 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  21317 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(255),
     /*  21328 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  21332 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21336 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  21340 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  21344 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  21348 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21352 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  21356 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  21360 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  21364 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  21375 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  21379 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21383 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  21387 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  21391 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  21393 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  21397 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21401 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  21405 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  21409 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  21411 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  21415 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21419 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  21422 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21427 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  21431 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  21435 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  21437 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  21441 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21445 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  21449 */     // MIs[10] src0
     /*  21449 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  21454 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  21465 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  21469 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21473 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  21477 */     // MIs[11] src1
     /*  21477 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  21482 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  21493 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/7, /*OpIdx*/2, // MIs[12]
     /*  21497 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21501 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  21504 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21509 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  21513 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  21517 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  21519 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  21523 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21527 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  21531 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  21535 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  21539 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21543 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  21547 */     // MIs[14] src0
     /*  21547 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  21552 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  21556 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  21567 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  21571 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21575 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  21579 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  21583 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  21587 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21591 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  21595 */     // MIs[16] src1
     /*  21595 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  21600 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 8,
     /*  21604 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  21615 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  21619 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21623 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  21626 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21631 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  21635 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  21639 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  21641 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  21645 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21649 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  21653 */     // MIs[18] src0
     /*  21653 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  21658 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  21662 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  21666 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21670 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  21674 */     // MIs[19] src1
     /*  21674 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  21679 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  21683 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  21685 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  21685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  21688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  21690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  21697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  21704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  21707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/1, // src2
     /*  21711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  21720 */     GIR_RootConstrainSelectedInstOperands,
     /*  21721 */     // GIR_Coverage, 8788,
     /*  21721 */     GIR_EraseRootFromParent_Done,
     /*  21722 */   // Label 212: @21722
     /*  21722 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(22221), // Rule ID 8787 //
     /*  21727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  21730 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  21732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  21736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  21748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  21752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  21754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  21766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  21770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  21772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  21776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21780 */     GIM_CheckNumOperands, /*MI*/3, /*Expected*/4,
     /*  21783 */     GIM_CheckIntrinsicID, /*MI*/3, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21788 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  21792 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  21796 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  21798 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  21802 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21806 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  21810 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  21814 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  21818 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21822 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  21826 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  21830 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  21834 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(255),
     /*  21845 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/3, /*OpIdx*/3, // MIs[6]
     /*  21849 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21853 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  21857 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  21861 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  21865 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  21869 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  21873 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  21877 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 8,
     /*  21881 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  21892 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/2, // MIs[8]
     /*  21896 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  21900 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  21904 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  21908 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  21910 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  21914 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21918 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  21921 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  21926 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  21930 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  21934 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  21936 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  21940 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21944 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  21948 */     // MIs[10] src0
     /*  21948 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  21953 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  21964 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  21968 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  21972 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  21976 */     // MIs[11] src1
     /*  21976 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  21981 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  21992 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  21996 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22000 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  22003 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22008 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  22012 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  22016 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  22018 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  22022 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22026 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  22030 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  22034 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  22038 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22042 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  22046 */     // MIs[14] src0
     /*  22046 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22051 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  22055 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  22066 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  22070 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22074 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  22078 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  22082 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  22086 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22090 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  22094 */     // MIs[16] src1
     /*  22094 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  22099 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  22103 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  22114 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  22118 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22122 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  22125 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22130 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  22134 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  22138 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  22140 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  22144 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22148 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  22152 */     // MIs[18] src0
     /*  22152 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22157 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  22161 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  22165 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22169 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  22173 */     // MIs[19] src1
     /*  22173 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  22178 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  22182 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  22184 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  22184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  22187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  22189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  22196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/7, /*OpIdx*/1, // src1
     /*  22203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/2, // src2
     /*  22210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22219 */     GIR_RootConstrainSelectedInstOperands,
     /*  22220 */     // GIR_Coverage, 8787,
     /*  22220 */     GIR_EraseRootFromParent_Done,
     /*  22221 */   // Label 213: @22221
     /*  22221 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(22720), // Rule ID 8786 //
     /*  22226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  22229 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  22231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  22235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  22253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  22265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  22269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  22271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  22275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22279 */     GIM_CheckNumOperands, /*MI*/3, /*Expected*/4,
     /*  22282 */     GIM_CheckIntrinsicID, /*MI*/3, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22287 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22291 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  22295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  22297 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  22301 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22305 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  22309 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  22313 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  22317 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22321 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  22325 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  22329 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  22333 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(255),
     /*  22344 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/3, /*OpIdx*/3, // MIs[6]
     /*  22348 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22352 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  22356 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  22360 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  22364 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22368 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  22372 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  22376 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 8,
     /*  22380 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  22391 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/2, // MIs[8]
     /*  22395 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22399 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  22403 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  22407 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  22409 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  22413 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22417 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  22420 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22425 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  22429 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  22433 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  22435 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  22439 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22443 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  22447 */     // MIs[10] src0
     /*  22447 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22452 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  22463 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  22467 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22471 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  22475 */     // MIs[11] src1
     /*  22475 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  22480 */     GIM_CheckConstantInt, /*MI*/11, /*Op*/2, GIMT_Encode8(255),
     /*  22491 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  22495 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22499 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  22502 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22507 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  22511 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  22515 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  22517 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  22521 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22525 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  22529 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  22533 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  22537 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22541 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  22545 */     // MIs[14] src0
     /*  22545 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22550 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  22554 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  22565 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  22569 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22573 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  22577 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  22581 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  22585 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22589 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  22593 */     // MIs[16] src1
     /*  22593 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  22598 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  22602 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  22613 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  22617 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22621 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  22624 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22629 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  22633 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  22637 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  22639 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  22643 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22647 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  22651 */     // MIs[18] src0
     /*  22651 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22656 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  22660 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  22664 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22668 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  22672 */     // MIs[19] src1
     /*  22672 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  22677 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  22681 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  22683 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  22683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  22686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  22688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  22695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/7, /*OpIdx*/1, // src1
     /*  22702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  22705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/1, // src2
     /*  22709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  22718 */     GIR_RootConstrainSelectedInstOperands,
     /*  22719 */     // GIR_Coverage, 8786,
     /*  22719 */     GIR_EraseRootFromParent_Done,
     /*  22720 */   // Label 214: @22720
     /*  22720 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(23219), // Rule ID 8785 //
     /*  22725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  22728 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  22730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  22734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  22746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  22750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  22752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  22764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  22768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  22770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  22774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  22778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  22782 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  22786 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  22788 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  22792 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22796 */     GIM_CheckNumOperands, /*MI*/4, /*Expected*/4,
     /*  22799 */     GIM_CheckIntrinsicID, /*MI*/4, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22804 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  22808 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  22812 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  22814 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  22818 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22822 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  22826 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  22830 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  22841 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/3, // MIs[6]
     /*  22845 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22849 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  22853 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  22857 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  22868 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/2, // MIs[7]
     /*  22872 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22876 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  22879 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  22884 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  22888 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  22892 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  22894 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  22898 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22902 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  22906 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  22910 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  22914 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22918 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  22922 */     // MIs[9] src0
     /*  22922 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  22927 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 8,
     /*  22931 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  22942 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/7, /*OpIdx*/3, // MIs[10]
     /*  22946 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  22950 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  22954 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  22958 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  22962 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  22966 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  22970 */     // MIs[11] src1
     /*  22970 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  22975 */     GIM_CheckConstantInt8, /*MI*/11, /*Op*/2, 8,
     /*  22979 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  22990 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  22994 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22998 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  23001 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23006 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  23010 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  23014 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  23016 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  23020 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23024 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  23028 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  23032 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  23036 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23040 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  23044 */     // MIs[14] src0
     /*  23044 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  23049 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  23053 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  23064 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  23068 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23072 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  23076 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  23080 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  23084 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23088 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  23092 */     // MIs[16] src1
     /*  23092 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  23097 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  23101 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  23112 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  23116 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23120 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  23123 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23128 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  23132 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  23136 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  23138 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  23142 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23146 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  23150 */     // MIs[18] src0
     /*  23150 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  23155 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  23159 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  23163 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23167 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  23171 */     // MIs[19] src1
     /*  23171 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  23176 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  23180 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  23182 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  23182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  23185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  23187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  23194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  23201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // src2
     /*  23208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23217 */     GIR_RootConstrainSelectedInstOperands,
     /*  23218 */     // GIR_Coverage, 8785,
     /*  23218 */     GIR_EraseRootFromParent_Done,
     /*  23219 */   // Label 215: @23219
     /*  23219 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(23718), // Rule ID 2783 //
     /*  23224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /*  23227 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  23229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  23233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  23241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  23245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  23249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  23251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  23259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  23263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  23267 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  23269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  23277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  23281 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  23285 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  23287 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23291 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23295 */     GIM_CheckNumOperands, /*MI*/4, /*Expected*/4,
     /*  23298 */     GIM_CheckIntrinsicID, /*MI*/4, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23303 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  23307 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  23311 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  23313 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  23317 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23321 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  23325 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  23329 */     GIM_CheckConstantInt, /*MI*/5, /*Op*/2, GIMT_Encode8(255),
     /*  23340 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/3, // MIs[6]
     /*  23344 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23348 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  23352 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  23356 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(255),
     /*  23367 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/2, // MIs[7]
     /*  23371 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23375 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  23378 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23383 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  23387 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  23391 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  23393 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  23397 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23401 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  23405 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  23409 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  23413 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23417 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  23421 */     // MIs[9] src0
     /*  23421 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  23426 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 8,
     /*  23430 */     GIM_CheckConstantInt, /*MI*/8, /*Op*/2, GIMT_Encode8(255),
     /*  23441 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/7, /*OpIdx*/3, // MIs[10]
     /*  23445 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23449 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  23453 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  23457 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  23461 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23465 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  23469 */     // MIs[11] src1
     /*  23469 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  23474 */     GIM_CheckConstantInt8, /*MI*/11, /*Op*/2, 8,
     /*  23478 */     GIM_CheckConstantInt, /*MI*/10, /*Op*/2, GIMT_Encode8(255),
     /*  23489 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  23493 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23497 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  23500 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23505 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  23509 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  23513 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  23515 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  23519 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23523 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  23527 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  23531 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  23535 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23539 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  23543 */     // MIs[14] src0
     /*  23543 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  23548 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  23552 */     GIM_CheckConstantInt, /*MI*/13, /*Op*/2, GIMT_Encode8(255),
     /*  23563 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  23567 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_AND),
     /*  23571 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  23575 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  23579 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  23583 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23587 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  23591 */     // MIs[16] src1
     /*  23591 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  23596 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  23600 */     GIM_CheckConstantInt, /*MI*/15, /*Op*/2, GIMT_Encode8(255),
     /*  23611 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  23615 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23619 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  23622 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  23627 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  23631 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  23635 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  23637 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  23641 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23645 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  23649 */     // MIs[18] src0
     /*  23649 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  23654 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  23658 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  23662 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23666 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  23670 */     // MIs[19] src1
     /*  23670 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  23675 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  23679 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  23681 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 255:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), 255:{ *:[i32] }), (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), 255:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_U32_U8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  23681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /*  23684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  23686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  23693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  23700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  23703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src2
     /*  23707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  23716 */     GIR_RootConstrainSelectedInstOperands,
     /*  23717 */     // GIR_Coverage, 2783,
     /*  23717 */     GIR_EraseRootFromParent_Done,
     /*  23718 */   // Label 216: @23718
     /*  23718 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(24193), // Rule ID 10079 //
     /*  23723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  23726 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  23728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  23732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23740 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23743 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  23748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  23752 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  23756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  23758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  23766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  23770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  23774 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  23778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  23782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  23786 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  23790 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  23794 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  23798 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  23802 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  23806 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  23810 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  23814 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  23816 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  23820 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23824 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  23827 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  23832 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  23836 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  23840 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  23842 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  23846 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  23850 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  23854 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  23858 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23862 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  23866 */     // MIs[7] src0
     /*  23866 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  23871 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  23875 */     // MIs[6] Operand 2
     /*  23875 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  23886 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  23890 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  23894 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  23898 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  23902 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23906 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  23910 */     // MIs[9] src1
     /*  23910 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  23915 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  23919 */     // MIs[8] Operand 2
     /*  23919 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  23930 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  23934 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  23938 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  23942 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  23946 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  23948 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  23952 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23956 */     GIM_CheckNumOperands, /*MI*/11, /*Expected*/4,
     /*  23959 */     GIM_CheckIntrinsicID, /*MI*/11, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  23964 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  23968 */     GIM_CheckType, /*MI*/11, /*Op*/3, /*Type*/GILLT_s32,
     /*  23972 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  23974 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  23978 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  23982 */     GIM_CheckType, /*MI*/12, /*Op*/1, /*Type*/GILLT_s32,
     /*  23986 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/1, // MIs[13]
     /*  23990 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  23994 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  23998 */     // MIs[13] src0
     /*  23998 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24003 */     GIM_CheckConstantInt8, /*MI*/13, /*Op*/2, 8,
     /*  24007 */     // MIs[12] Operand 2
     /*  24007 */     GIM_CheckLiteralInt, /*MI*/12, /*Op*/2, GIMT_Encode8(8),
     /*  24018 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/11, /*OpIdx*/3, // MIs[14]
     /*  24022 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24026 */     GIM_CheckType, /*MI*/14, /*Op*/1, /*Type*/GILLT_s32,
     /*  24030 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/1, // MIs[15]
     /*  24034 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24038 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  24042 */     // MIs[15] src1
     /*  24042 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24047 */     GIM_CheckConstantInt8, /*MI*/15, /*Op*/2, 8,
     /*  24051 */     // MIs[14] Operand 2
     /*  24051 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  24062 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/10, /*OpIdx*/2, // MIs[16]
     /*  24066 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24070 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  24074 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  24078 */     GIM_CheckHasOneUse, /*MI*/16,
     /*  24080 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  24084 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24088 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  24091 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24096 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  24100 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  24104 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  24106 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  24110 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24114 */     // MIs[18] src0
     /*  24114 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24119 */     // MIs[18] Operand 2
     /*  24119 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  24130 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  24134 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24138 */     // MIs[19] src1
     /*  24138 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24143 */     // MIs[19] Operand 2
     /*  24143 */     GIM_CheckLiteralInt, /*MI*/19, /*Op*/2, GIMT_Encode8(8),
     /*  24154 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  24156 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  24156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  24159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  24161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  24168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  24175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/16, /*OpIdx*/2, // src2
     /*  24182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24191 */     GIR_RootConstrainSelectedInstOperands,
     /*  24192 */     // GIR_Coverage, 10079,
     /*  24192 */     GIR_EraseRootFromParent_Done,
     /*  24193 */   // Label 217: @24193
     /*  24193 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(24668), // Rule ID 10078 //
     /*  24198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  24201 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  24203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  24207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24215 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24218 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  24227 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  24231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  24233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  24241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  24245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  24249 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  24253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  24257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  24261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  24265 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  24269 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  24273 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  24277 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24281 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  24285 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  24289 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  24291 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  24295 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24299 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  24302 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24307 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  24311 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  24315 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  24317 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  24321 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24325 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  24329 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  24333 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24337 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  24341 */     // MIs[7] src0
     /*  24341 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24346 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  24350 */     // MIs[6] Operand 2
     /*  24350 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  24361 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  24365 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24369 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  24373 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  24377 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24381 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  24385 */     // MIs[9] src1
     /*  24385 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24390 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  24394 */     // MIs[8] Operand 2
     /*  24394 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  24405 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  24409 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24413 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  24417 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  24421 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  24423 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  24427 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24431 */     GIM_CheckNumOperands, /*MI*/11, /*Expected*/4,
     /*  24434 */     GIM_CheckIntrinsicID, /*MI*/11, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24439 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  24443 */     GIM_CheckType, /*MI*/11, /*Op*/3, /*Type*/GILLT_s32,
     /*  24447 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  24449 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  24453 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24457 */     GIM_CheckType, /*MI*/12, /*Op*/1, /*Type*/GILLT_s32,
     /*  24461 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/1, // MIs[13]
     /*  24465 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24469 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  24473 */     // MIs[13] src0
     /*  24473 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24478 */     GIM_CheckConstantInt8, /*MI*/13, /*Op*/2, 8,
     /*  24482 */     // MIs[12] Operand 2
     /*  24482 */     GIM_CheckLiteralInt, /*MI*/12, /*Op*/2, GIMT_Encode8(8),
     /*  24493 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/11, /*OpIdx*/3, // MIs[14]
     /*  24497 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24501 */     GIM_CheckType, /*MI*/14, /*Op*/1, /*Type*/GILLT_s32,
     /*  24505 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/1, // MIs[15]
     /*  24509 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24513 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  24517 */     // MIs[15] src1
     /*  24517 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24522 */     GIM_CheckConstantInt8, /*MI*/15, /*Op*/2, 8,
     /*  24526 */     // MIs[14] Operand 2
     /*  24526 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  24537 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/10, /*OpIdx*/2, // MIs[16]
     /*  24541 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24545 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  24549 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  24553 */     GIM_CheckHasOneUse, /*MI*/16,
     /*  24555 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/2, // MIs[17]
     /*  24559 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24563 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  24566 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24571 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  24575 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  24579 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  24581 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  24585 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24589 */     // MIs[18] src0
     /*  24589 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24594 */     // MIs[18] Operand 2
     /*  24594 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  24605 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  24609 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24613 */     // MIs[19] src1
     /*  24613 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24618 */     // MIs[19] Operand 2
     /*  24618 */     GIM_CheckLiteralInt, /*MI*/19, /*Op*/2, GIMT_Encode8(8),
     /*  24629 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  24631 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  24631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  24634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  24636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  24643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  24650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  24653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/16, /*OpIdx*/1, // src2
     /*  24657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  24666 */     GIR_RootConstrainSelectedInstOperands,
     /*  24667 */     // GIR_Coverage, 10078,
     /*  24667 */     GIR_EraseRootFromParent_Done,
     /*  24668 */   // Label 218: @24668
     /*  24668 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(25143), // Rule ID 10077 //
     /*  24673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  24676 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  24678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  24682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24690 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24693 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  24702 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  24706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  24708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  24716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  24720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  24724 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  24728 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  24732 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  24736 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  24740 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  24744 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  24748 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  24752 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24756 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  24760 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  24764 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  24766 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  24770 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24774 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  24777 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24782 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  24786 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  24790 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  24792 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  24796 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24800 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  24804 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  24808 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24812 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  24816 */     // MIs[7] src0
     /*  24816 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24821 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  24825 */     // MIs[6] Operand 2
     /*  24825 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  24836 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  24840 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24844 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  24848 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  24852 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  24856 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  24860 */     // MIs[9] src1
     /*  24860 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24865 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  24869 */     // MIs[8] Operand 2
     /*  24869 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  24880 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  24884 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24888 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  24892 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  24896 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  24898 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  24902 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  24906 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  24910 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  24914 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  24916 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  24920 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24924 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  24927 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  24932 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  24936 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  24940 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  24942 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  24946 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24950 */     // MIs[13] src0
     /*  24950 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  24955 */     // MIs[13] Operand 2
     /*  24955 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  24966 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  24970 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  24974 */     // MIs[14] src1
     /*  24974 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  24979 */     // MIs[14] Operand 2
     /*  24979 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  24990 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/10, /*OpIdx*/2, // MIs[15]
     /*  24994 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24998 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  25001 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25006 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  25010 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  25014 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  25016 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  25020 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25024 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  25028 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  25032 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25036 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  25040 */     // MIs[17] src0
     /*  25040 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25045 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 8,
     /*  25049 */     // MIs[16] Operand 2
     /*  25049 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  25060 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  25064 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25068 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  25072 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  25076 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25080 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  25084 */     // MIs[19] src1
     /*  25084 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25089 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 8,
     /*  25093 */     // MIs[18] Operand 2
     /*  25093 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  25104 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  25106 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  25106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  25109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  25111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  25118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  25125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/2, // src2
     /*  25132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25141 */     GIR_RootConstrainSelectedInstOperands,
     /*  25142 */     // GIR_Coverage, 10077,
     /*  25142 */     GIR_EraseRootFromParent_Done,
     /*  25143 */   // Label 219: @25143
     /*  25143 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(25618), // Rule ID 10076 //
     /*  25148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  25151 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  25153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  25157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25165 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  25168 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  25177 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  25181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  25183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  25191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  25195 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  25199 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  25203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  25207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  25211 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  25215 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  25219 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  25223 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  25227 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25231 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  25235 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  25239 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  25241 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  25245 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25249 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  25252 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25257 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  25261 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  25265 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  25267 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  25271 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25275 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  25279 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  25283 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25287 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  25291 */     // MIs[7] src0
     /*  25291 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25296 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  25300 */     // MIs[6] Operand 2
     /*  25300 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  25311 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/5, /*OpIdx*/3, // MIs[8]
     /*  25315 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25319 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  25323 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  25327 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25331 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  25335 */     // MIs[9] src1
     /*  25335 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25340 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 16,
     /*  25344 */     // MIs[8] Operand 2
     /*  25344 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  25355 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/4, /*OpIdx*/2, // MIs[10]
     /*  25359 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25363 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  25367 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  25371 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  25373 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  25377 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25381 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  25385 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  25389 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  25391 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  25395 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25399 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  25402 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25407 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  25411 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  25415 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  25417 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  25421 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25425 */     // MIs[13] src0
     /*  25425 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25430 */     // MIs[13] Operand 2
     /*  25430 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  25441 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  25445 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25449 */     // MIs[14] src1
     /*  25449 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25454 */     // MIs[14] Operand 2
     /*  25454 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  25465 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/10, /*OpIdx*/2, // MIs[15]
     /*  25469 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25473 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  25476 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25481 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  25485 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  25489 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  25491 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  25495 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25499 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  25503 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  25507 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25511 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  25515 */     // MIs[17] src0
     /*  25515 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25520 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 8,
     /*  25524 */     // MIs[16] Operand 2
     /*  25524 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  25535 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  25539 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25543 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  25547 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  25551 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25555 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  25559 */     // MIs[19] src1
     /*  25559 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25564 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 8,
     /*  25568 */     // MIs[18] Operand 2
     /*  25568 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  25579 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  25581 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  25581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  25584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  25586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  25593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  25600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  25603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/1, // src2
     /*  25607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  25616 */     GIR_RootConstrainSelectedInstOperands,
     /*  25617 */     // GIR_Coverage, 10076,
     /*  25617 */     GIR_EraseRootFromParent_Done,
     /*  25618 */   // Label 220: @25618
     /*  25618 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(26093), // Rule ID 10075 //
     /*  25623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  25626 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  25628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  25632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25640 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  25643 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  25652 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  25656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  25658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  25666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  25670 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  25674 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  25678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  25682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  25686 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  25690 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  25694 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  25698 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  25702 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25706 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  25710 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  25714 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  25716 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  25720 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25724 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  25728 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  25732 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  25734 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  25738 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25742 */     GIM_CheckNumOperands, /*MI*/6, /*Expected*/4,
     /*  25745 */     GIM_CheckIntrinsicID, /*MI*/6, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25750 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  25754 */     GIM_CheckType, /*MI*/6, /*Op*/3, /*Type*/GILLT_s32,
     /*  25758 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  25760 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  25764 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25768 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  25772 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  25776 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25780 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  25784 */     // MIs[8] src0
     /*  25784 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25789 */     GIM_CheckConstantInt8, /*MI*/8, /*Op*/2, 8,
     /*  25793 */     // MIs[7] Operand 2
     /*  25793 */     GIM_CheckLiteralInt, /*MI*/7, /*Op*/2, GIMT_Encode8(8),
     /*  25804 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/6, /*OpIdx*/3, // MIs[9]
     /*  25808 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25812 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  25816 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  25820 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25824 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  25828 */     // MIs[10] src1
     /*  25828 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25833 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  25837 */     // MIs[9] Operand 2
     /*  25837 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  25848 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/5, /*OpIdx*/2, // MIs[11]
     /*  25852 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  25856 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  25860 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  25864 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  25866 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  25870 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25874 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  25877 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25882 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  25886 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  25890 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  25892 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  25896 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25900 */     // MIs[13] src0
     /*  25900 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25905 */     // MIs[13] Operand 2
     /*  25905 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  25916 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  25920 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25924 */     // MIs[14] src1
     /*  25924 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  25929 */     // MIs[14] Operand 2
     /*  25929 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  25940 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  25944 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25948 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  25951 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  25956 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  25960 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  25964 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  25966 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  25970 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  25974 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  25978 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  25982 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  25986 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  25990 */     // MIs[17] src0
     /*  25990 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  25995 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  25999 */     // MIs[16] Operand 2
     /*  25999 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  26010 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  26014 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26018 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  26022 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  26026 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26030 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  26034 */     // MIs[19] src1
     /*  26034 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26039 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  26043 */     // MIs[18] Operand 2
     /*  26043 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  26054 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  26056 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  26056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  26059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  26061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  26068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  26075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/2, // src2
     /*  26082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26091 */     GIR_RootConstrainSelectedInstOperands,
     /*  26092 */     // GIR_Coverage, 10075,
     /*  26092 */     GIR_EraseRootFromParent_Done,
     /*  26093 */   // Label 221: @26093
     /*  26093 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(26568), // Rule ID 10074 //
     /*  26098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  26101 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  26103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  26107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26115 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  26118 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26127 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  26131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  26133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  26141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  26145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26149 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  26153 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  26157 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  26161 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  26165 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  26169 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  26173 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  26177 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26181 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  26185 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  26189 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  26191 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  26195 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26199 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  26203 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  26207 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  26209 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  26213 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26217 */     GIM_CheckNumOperands, /*MI*/6, /*Expected*/4,
     /*  26220 */     GIM_CheckIntrinsicID, /*MI*/6, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26225 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  26229 */     GIM_CheckType, /*MI*/6, /*Op*/3, /*Type*/GILLT_s32,
     /*  26233 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  26235 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  26239 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26243 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  26247 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  26251 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26255 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  26259 */     // MIs[8] src0
     /*  26259 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26264 */     GIM_CheckConstantInt8, /*MI*/8, /*Op*/2, 8,
     /*  26268 */     // MIs[7] Operand 2
     /*  26268 */     GIM_CheckLiteralInt, /*MI*/7, /*Op*/2, GIMT_Encode8(8),
     /*  26279 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/6, /*OpIdx*/3, // MIs[9]
     /*  26283 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26287 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  26291 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  26295 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26299 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  26303 */     // MIs[10] src1
     /*  26303 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26308 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  26312 */     // MIs[9] Operand 2
     /*  26312 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  26323 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/5, /*OpIdx*/2, // MIs[11]
     /*  26327 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26331 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  26335 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  26339 */     GIM_CheckHasOneUse, /*MI*/11,
     /*  26341 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/2, // MIs[12]
     /*  26345 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26349 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  26352 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26357 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  26361 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  26365 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  26367 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  26371 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26375 */     // MIs[13] src0
     /*  26375 */     GIM_CheckIsSameOperand, /*MI*/13, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26380 */     // MIs[13] Operand 2
     /*  26380 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  26391 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/12, /*OpIdx*/3, // MIs[14]
     /*  26395 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26399 */     // MIs[14] src1
     /*  26399 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26404 */     // MIs[14] Operand 2
     /*  26404 */     GIM_CheckLiteralInt, /*MI*/14, /*Op*/2, GIMT_Encode8(8),
     /*  26415 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  26419 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26423 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  26426 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26431 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  26435 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  26439 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  26441 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  26445 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26449 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  26453 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  26457 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26461 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  26465 */     // MIs[17] src0
     /*  26465 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26470 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  26474 */     // MIs[16] Operand 2
     /*  26474 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  26485 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  26489 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26493 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  26497 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  26501 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26505 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  26509 */     // MIs[19] src1
     /*  26509 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26514 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  26518 */     // MIs[18] Operand 2
     /*  26518 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  26529 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  26531 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  26531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  26534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  26536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  26543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  26550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  26553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/11, /*OpIdx*/1, // src2
     /*  26557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  26566 */     GIR_RootConstrainSelectedInstOperands,
     /*  26567 */     // GIR_Coverage, 10074,
     /*  26567 */     GIR_EraseRootFromParent_Done,
     /*  26568 */   // Label 222: @26568
     /*  26568 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(27043), // Rule ID 10073 //
     /*  26573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  26576 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  26578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  26582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26590 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  26593 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26602 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  26606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  26608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  26616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  26620 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26624 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  26628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  26632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  26636 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  26640 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  26644 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  26648 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  26652 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26656 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  26660 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  26664 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  26666 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  26670 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26674 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  26678 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  26682 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  26684 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  26688 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26692 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  26696 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  26700 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  26702 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  26706 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26710 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  26713 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26718 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  26722 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  26726 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  26728 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  26732 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26736 */     // MIs[8] src0
     /*  26736 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26741 */     // MIs[8] Operand 2
     /*  26741 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  26752 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/7, /*OpIdx*/3, // MIs[9]
     /*  26756 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26760 */     // MIs[9] src1
     /*  26760 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26765 */     // MIs[9] Operand 2
     /*  26765 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  26776 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/5, /*OpIdx*/2, // MIs[10]
     /*  26780 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26784 */     GIM_CheckNumOperands, /*MI*/10, /*Expected*/4,
     /*  26787 */     GIM_CheckIntrinsicID, /*MI*/10, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26792 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  26796 */     GIM_CheckType, /*MI*/10, /*Op*/3, /*Type*/GILLT_s32,
     /*  26800 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  26802 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/2, // MIs[11]
     /*  26806 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26810 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  26814 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  26818 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26822 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  26826 */     // MIs[12] src0
     /*  26826 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26831 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  26835 */     // MIs[11] Operand 2
     /*  26835 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  26846 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/10, /*OpIdx*/3, // MIs[13]
     /*  26850 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26854 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  26858 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  26862 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26866 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  26870 */     // MIs[14] src1
     /*  26870 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26875 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  26879 */     // MIs[13] Operand 2
     /*  26879 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  26890 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  26894 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  26898 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  26901 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  26906 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  26910 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  26914 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  26916 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  26920 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26924 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  26928 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  26932 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26936 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  26940 */     // MIs[17] src0
     /*  26940 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26945 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  26949 */     // MIs[16] Operand 2
     /*  26949 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  26960 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  26964 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  26968 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  26972 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  26976 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  26980 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  26984 */     // MIs[19] src1
     /*  26984 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  26989 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  26993 */     // MIs[18] Operand 2
     /*  26993 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  27004 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  27006 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  27006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  27009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  27011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  27018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  27025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/2, // src2
     /*  27032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27041 */     GIR_RootConstrainSelectedInstOperands,
     /*  27042 */     // GIR_Coverage, 10073,
     /*  27042 */     GIR_EraseRootFromParent_Done,
     /*  27043 */   // Label 223: @27043
     /*  27043 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(27518), // Rule ID 10072 //
     /*  27048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  27051 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  27053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  27057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27065 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  27068 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27077 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  27081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  27083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  27091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  27095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  27099 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  27103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  27107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  27111 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  27115 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  27119 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  27123 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  27127 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27131 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  27135 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  27139 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  27141 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  27145 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27149 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  27153 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  27157 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  27159 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  27163 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27167 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  27171 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  27175 */     GIM_CheckHasOneUse, /*MI*/6,
     /*  27177 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/2, // MIs[7]
     /*  27181 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27185 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  27188 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27193 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  27197 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  27201 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  27203 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  27207 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27211 */     // MIs[8] src0
     /*  27211 */     GIM_CheckIsSameOperand, /*MI*/8, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  27216 */     // MIs[8] Operand 2
     /*  27216 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  27227 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/7, /*OpIdx*/3, // MIs[9]
     /*  27231 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27235 */     // MIs[9] src1
     /*  27235 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  27240 */     // MIs[9] Operand 2
     /*  27240 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  27251 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/5, /*OpIdx*/2, // MIs[10]
     /*  27255 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27259 */     GIM_CheckNumOperands, /*MI*/10, /*Expected*/4,
     /*  27262 */     GIM_CheckIntrinsicID, /*MI*/10, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27267 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  27271 */     GIM_CheckType, /*MI*/10, /*Op*/3, /*Type*/GILLT_s32,
     /*  27275 */     GIM_CheckHasOneUse, /*MI*/10,
     /*  27277 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/2, // MIs[11]
     /*  27281 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27285 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  27289 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  27293 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27297 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  27301 */     // MIs[12] src0
     /*  27301 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  27306 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  27310 */     // MIs[11] Operand 2
     /*  27310 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  27321 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/10, /*OpIdx*/3, // MIs[13]
     /*  27325 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27329 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  27333 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  27337 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27341 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  27345 */     // MIs[14] src1
     /*  27345 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  27350 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  27354 */     // MIs[13] Operand 2
     /*  27354 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  27365 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/4, /*OpIdx*/2, // MIs[15]
     /*  27369 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27373 */     GIM_CheckNumOperands, /*MI*/15, /*Expected*/4,
     /*  27376 */     GIM_CheckIntrinsicID, /*MI*/15, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27381 */     GIM_CheckType, /*MI*/15, /*Op*/2, /*Type*/GILLT_s32,
     /*  27385 */     GIM_CheckType, /*MI*/15, /*Op*/3, /*Type*/GILLT_s32,
     /*  27389 */     GIM_CheckHasOneUse, /*MI*/15,
     /*  27391 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/2, // MIs[16]
     /*  27395 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27399 */     GIM_CheckType, /*MI*/16, /*Op*/1, /*Type*/GILLT_s32,
     /*  27403 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/16, /*OpIdx*/1, // MIs[17]
     /*  27407 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27411 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  27415 */     // MIs[17] src0
     /*  27415 */     GIM_CheckIsSameOperand, /*MI*/17, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  27420 */     GIM_CheckConstantInt8, /*MI*/17, /*Op*/2, 16,
     /*  27424 */     // MIs[16] Operand 2
     /*  27424 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  27435 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/15, /*OpIdx*/3, // MIs[18]
     /*  27439 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27443 */     GIM_CheckType, /*MI*/18, /*Op*/1, /*Type*/GILLT_s32,
     /*  27447 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/18, /*OpIdx*/1, // MIs[19]
     /*  27451 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27455 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  27459 */     // MIs[19] src1
     /*  27459 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  27464 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 16,
     /*  27468 */     // MIs[18] Operand 2
     /*  27468 */     GIM_CheckLiteralInt, /*MI*/18, /*Op*/2, GIMT_Encode8(8),
     /*  27479 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  27481 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  27481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  27484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  27486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  27493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  27500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src2
     /*  27507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27516 */     GIR_RootConstrainSelectedInstOperands,
     /*  27517 */     // GIR_Coverage, 10072,
     /*  27517 */     GIR_EraseRootFromParent_Done,
     /*  27518 */   // Label 224: @27518
     /*  27518 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(27993), // Rule ID 10071 //
     /*  27523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  27526 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  27528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  27532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  27550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27558 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27561 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  27570 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  27574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  27576 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27580 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27584 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  27588 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  27592 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27596 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  27600 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  27604 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  27608 */     // MIs[3] Operand 2
     /*  27608 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(8),
     /*  27619 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  27623 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27627 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  27631 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  27635 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27639 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  27643 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  27647 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  27651 */     // MIs[5] Operand 2
     /*  27651 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  27662 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  27666 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27670 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  27674 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  27678 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  27680 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  27684 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27688 */     GIM_CheckNumOperands, /*MI*/8, /*Expected*/4,
     /*  27691 */     GIM_CheckIntrinsicID, /*MI*/8, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27696 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  27700 */     GIM_CheckType, /*MI*/8, /*Op*/3, /*Type*/GILLT_s32,
     /*  27704 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  27706 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  27710 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27714 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  27718 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  27722 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27726 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  27730 */     // MIs[10] src0
     /*  27730 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  27735 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  27739 */     // MIs[9] Operand 2
     /*  27739 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  27750 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/8, /*OpIdx*/3, // MIs[11]
     /*  27754 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27758 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  27762 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  27766 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  27770 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  27774 */     // MIs[12] src1
     /*  27774 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  27779 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  27783 */     // MIs[11] Operand 2
     /*  27783 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  27794 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/7, /*OpIdx*/2, // MIs[13]
     /*  27798 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27802 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  27806 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  27810 */     GIM_CheckHasOneUse, /*MI*/13,
     /*  27812 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  27816 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27820 */     GIM_CheckNumOperands, /*MI*/14, /*Expected*/4,
     /*  27823 */     GIM_CheckIntrinsicID, /*MI*/14, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27828 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  27832 */     GIM_CheckType, /*MI*/14, /*Op*/3, /*Type*/GILLT_s32,
     /*  27836 */     GIM_CheckHasOneUse, /*MI*/14,
     /*  27838 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/2, // MIs[15]
     /*  27842 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27846 */     // MIs[15] src0
     /*  27846 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  27851 */     // MIs[15] Operand 2
     /*  27851 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  27862 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/14, /*OpIdx*/3, // MIs[16]
     /*  27866 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  27870 */     // MIs[16] src1
     /*  27870 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  27875 */     // MIs[16] Operand 2
     /*  27875 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  27886 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  27890 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27894 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  27897 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  27902 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  27906 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  27910 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  27912 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  27916 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  27920 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  27924 */     // MIs[18] src0
     /*  27924 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  27929 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  27933 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  27937 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  27941 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  27945 */     // MIs[19] src1
     /*  27945 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  27950 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  27954 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  27956 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  27956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  27959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  27961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  27968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  27975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  27978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/13, /*OpIdx*/2, // src2
     /*  27982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  27991 */     GIR_RootConstrainSelectedInstOperands,
     /*  27992 */     // GIR_Coverage, 10071,
     /*  27992 */     GIR_EraseRootFromParent_Done,
     /*  27993 */   // Label 225: @27993
     /*  27993 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(28468), // Rule ID 10070 //
     /*  27998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  28001 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  28003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  28007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  28019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  28023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  28025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28033 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  28036 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  28045 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  28049 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  28051 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28055 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28059 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  28063 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  28067 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28071 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  28075 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  28079 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  28083 */     // MIs[3] Operand 2
     /*  28083 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(8),
     /*  28094 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  28098 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28102 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  28106 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  28110 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28114 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  28118 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  28122 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  28126 */     // MIs[5] Operand 2
     /*  28126 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  28137 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  28141 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28145 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  28149 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  28153 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  28155 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  28159 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28163 */     GIM_CheckNumOperands, /*MI*/8, /*Expected*/4,
     /*  28166 */     GIM_CheckIntrinsicID, /*MI*/8, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28171 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  28175 */     GIM_CheckType, /*MI*/8, /*Op*/3, /*Type*/GILLT_s32,
     /*  28179 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  28181 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  28185 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28189 */     GIM_CheckType, /*MI*/9, /*Op*/1, /*Type*/GILLT_s32,
     /*  28193 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/1, // MIs[10]
     /*  28197 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28201 */     GIM_CheckType, /*MI*/10, /*Op*/2, /*Type*/GILLT_s32,
     /*  28205 */     // MIs[10] src0
     /*  28205 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28210 */     GIM_CheckConstantInt8, /*MI*/10, /*Op*/2, 8,
     /*  28214 */     // MIs[9] Operand 2
     /*  28214 */     GIM_CheckLiteralInt, /*MI*/9, /*Op*/2, GIMT_Encode8(8),
     /*  28225 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/8, /*OpIdx*/3, // MIs[11]
     /*  28229 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28233 */     GIM_CheckType, /*MI*/11, /*Op*/1, /*Type*/GILLT_s32,
     /*  28237 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/11, /*OpIdx*/1, // MIs[12]
     /*  28241 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28245 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  28249 */     // MIs[12] src1
     /*  28249 */     GIM_CheckIsSameOperand, /*MI*/12, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28254 */     GIM_CheckConstantInt8, /*MI*/12, /*Op*/2, 8,
     /*  28258 */     // MIs[11] Operand 2
     /*  28258 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  28269 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/7, /*OpIdx*/2, // MIs[13]
     /*  28273 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28277 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  28281 */     GIM_CheckType, /*MI*/13, /*Op*/2, /*Type*/GILLT_s32,
     /*  28285 */     GIM_CheckHasOneUse, /*MI*/13,
     /*  28287 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/2, // MIs[14]
     /*  28291 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28295 */     GIM_CheckNumOperands, /*MI*/14, /*Expected*/4,
     /*  28298 */     GIM_CheckIntrinsicID, /*MI*/14, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28303 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  28307 */     GIM_CheckType, /*MI*/14, /*Op*/3, /*Type*/GILLT_s32,
     /*  28311 */     GIM_CheckHasOneUse, /*MI*/14,
     /*  28313 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/14, /*OpIdx*/2, // MIs[15]
     /*  28317 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28321 */     // MIs[15] src0
     /*  28321 */     GIM_CheckIsSameOperand, /*MI*/15, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28326 */     // MIs[15] Operand 2
     /*  28326 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  28337 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/14, /*OpIdx*/3, // MIs[16]
     /*  28341 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28345 */     // MIs[16] src1
     /*  28345 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28350 */     // MIs[16] Operand 2
     /*  28350 */     GIM_CheckLiteralInt, /*MI*/16, /*Op*/2, GIMT_Encode8(8),
     /*  28361 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  28365 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28369 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  28372 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28377 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  28381 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  28385 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  28387 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  28391 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  28395 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  28399 */     // MIs[18] src0
     /*  28399 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28404 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  28408 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  28412 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  28416 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  28420 */     // MIs[19] src1
     /*  28420 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28425 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  28429 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  28431 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  28431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  28434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  28436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  28443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  28450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/13, /*OpIdx*/1, // src2
     /*  28457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28466 */     GIR_RootConstrainSelectedInstOperands,
     /*  28467 */     // GIR_Coverage, 10070,
     /*  28467 */     GIR_EraseRootFromParent_Done,
     /*  28468 */   // Label 226: @28468
     /*  28468 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(28943), // Rule ID 10069 //
     /*  28473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  28476 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  28478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  28482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  28494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  28498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  28500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28508 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  28511 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28516 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  28520 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  28524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  28526 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28530 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28534 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  28538 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  28542 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28546 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  28550 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  28554 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  28558 */     // MIs[3] Operand 2
     /*  28558 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(8),
     /*  28569 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  28573 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28577 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  28581 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  28585 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28589 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  28593 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  28597 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  28601 */     // MIs[5] Operand 2
     /*  28601 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  28612 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  28616 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28620 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  28624 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  28628 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  28630 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  28634 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28638 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  28642 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  28646 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  28648 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  28652 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28656 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  28659 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28664 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  28668 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  28672 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  28674 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  28678 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28682 */     // MIs[10] src0
     /*  28682 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28687 */     // MIs[10] Operand 2
     /*  28687 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  28698 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  28702 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28706 */     // MIs[11] src1
     /*  28706 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28711 */     // MIs[11] Operand 2
     /*  28711 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  28722 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/7, /*OpIdx*/2, // MIs[12]
     /*  28726 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28730 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  28733 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28738 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  28742 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  28746 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  28748 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  28752 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28756 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  28760 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  28764 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28768 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  28772 */     // MIs[14] src0
     /*  28772 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28777 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  28781 */     // MIs[13] Operand 2
     /*  28781 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  28792 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  28796 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  28800 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  28804 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  28808 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  28812 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  28816 */     // MIs[16] src1
     /*  28816 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28821 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 8,
     /*  28825 */     // MIs[15] Operand 2
     /*  28825 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  28836 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  28840 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28844 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  28847 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28852 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  28856 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  28860 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  28862 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  28866 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  28870 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  28874 */     // MIs[18] src0
     /*  28874 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  28879 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  28883 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  28887 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  28891 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  28895 */     // MIs[19] src1
     /*  28895 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  28900 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  28904 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  28906 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  28906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  28909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  28911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  28918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  28925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  28928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/2, // src2
     /*  28932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  28941 */     GIR_RootConstrainSelectedInstOperands,
     /*  28942 */     // GIR_Coverage, 10069,
     /*  28942 */     GIR_EraseRootFromParent_Done,
     /*  28943 */   // Label 227: @28943
     /*  28943 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(29418), // Rule ID 10068 //
     /*  28948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  28951 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  28953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  28957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  28969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  28973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  28975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28983 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  28986 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  28991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  28995 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  28999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  29001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  29005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  29013 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  29017 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29021 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  29025 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  29029 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  29033 */     // MIs[3] Operand 2
     /*  29033 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(8),
     /*  29044 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/2, /*OpIdx*/3, // MIs[5]
     /*  29048 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29052 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  29056 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  29060 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29064 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  29068 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  29072 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  29076 */     // MIs[5] Operand 2
     /*  29076 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  29087 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/1, /*OpIdx*/2, // MIs[7]
     /*  29091 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29095 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  29099 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  29103 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  29105 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/1, // MIs[8]
     /*  29109 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29113 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  29117 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  29121 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  29123 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  29127 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29131 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  29134 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29139 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  29143 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  29147 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  29149 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  29153 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29157 */     // MIs[10] src0
     /*  29157 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  29162 */     // MIs[10] Operand 2
     /*  29162 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  29173 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  29177 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29181 */     // MIs[11] src1
     /*  29181 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  29186 */     // MIs[11] Operand 2
     /*  29186 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  29197 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/7, /*OpIdx*/2, // MIs[12]
     /*  29201 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29205 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  29208 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29213 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  29217 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  29221 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  29223 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  29227 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29231 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  29235 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  29239 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29243 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  29247 */     // MIs[14] src0
     /*  29247 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  29252 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 8,
     /*  29256 */     // MIs[13] Operand 2
     /*  29256 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  29267 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  29271 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29275 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  29279 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  29283 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29287 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  29291 */     // MIs[16] src1
     /*  29291 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  29296 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 8,
     /*  29300 */     // MIs[15] Operand 2
     /*  29300 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  29311 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  29315 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29319 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  29322 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29327 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  29331 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  29335 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  29337 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  29341 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  29345 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  29349 */     // MIs[18] src0
     /*  29349 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  29354 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  29358 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  29362 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  29366 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  29370 */     // MIs[19] src1
     /*  29370 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  29375 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  29379 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  29381 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  29381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  29384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  29386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src0
     /*  29393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  29400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/1, // src2
     /*  29407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29416 */     GIR_RootConstrainSelectedInstOperands,
     /*  29417 */     // GIR_Coverage, 10068,
     /*  29417 */     GIR_EraseRootFromParent_Done,
     /*  29418 */   // Label 228: @29418
     /*  29418 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(29893), // Rule ID 10067 //
     /*  29423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  29426 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  29428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  29432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  29444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  29448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  29450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  29454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  29462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  29466 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  29468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  29472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29476 */     GIM_CheckNumOperands, /*MI*/3, /*Expected*/4,
     /*  29479 */     GIM_CheckIntrinsicID, /*MI*/3, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29484 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  29488 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  29492 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  29494 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  29498 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29502 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  29506 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  29510 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29514 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  29518 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  29522 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  29526 */     // MIs[4] Operand 2
     /*  29526 */     GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  29537 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/3, /*OpIdx*/3, // MIs[6]
     /*  29541 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29545 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  29549 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  29553 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29557 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  29561 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  29565 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 8,
     /*  29569 */     // MIs[6] Operand 2
     /*  29569 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  29580 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/2, // MIs[8]
     /*  29584 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29588 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  29592 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  29596 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  29598 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  29602 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29606 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  29609 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29614 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  29618 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  29622 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  29624 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  29628 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29632 */     // MIs[10] src0
     /*  29632 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  29637 */     // MIs[10] Operand 2
     /*  29637 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  29648 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  29652 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29656 */     // MIs[11] src1
     /*  29656 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  29661 */     // MIs[11] Operand 2
     /*  29661 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  29672 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  29676 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29680 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  29683 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29688 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  29692 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  29696 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  29698 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  29702 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29706 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  29710 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  29714 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29718 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  29722 */     // MIs[14] src0
     /*  29722 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  29727 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  29731 */     // MIs[13] Operand 2
     /*  29731 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  29742 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  29746 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29750 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  29754 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  29758 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29762 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  29766 */     // MIs[16] src1
     /*  29766 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  29771 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  29775 */     // MIs[15] Operand 2
     /*  29775 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  29786 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  29790 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29794 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  29797 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29802 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  29806 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  29810 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  29812 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  29816 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  29820 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  29824 */     // MIs[18] src0
     /*  29824 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  29829 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  29833 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  29837 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  29841 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  29845 */     // MIs[19] src1
     /*  29845 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  29850 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  29854 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  29856 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  29856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  29859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  29861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  29868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/7, /*OpIdx*/1, // src1
     /*  29875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  29878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/2, // src2
     /*  29882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  29891 */     GIR_RootConstrainSelectedInstOperands,
     /*  29892 */     // GIR_Coverage, 10067,
     /*  29892 */     GIR_EraseRootFromParent_Done,
     /*  29893 */   // Label 229: @29893
     /*  29893 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(30368), // Rule ID 10066 //
     /*  29898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  29901 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  29903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  29907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  29919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  29923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  29925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  29929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  29933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  29937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  29941 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  29943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  29947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29951 */     GIM_CheckNumOperands, /*MI*/3, /*Expected*/4,
     /*  29954 */     GIM_CheckIntrinsicID, /*MI*/3, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  29959 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  29963 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  29967 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  29969 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  29973 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  29977 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  29981 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  29985 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  29989 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  29993 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  29997 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  30001 */     // MIs[4] Operand 2
     /*  30001 */     GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  30012 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/3, /*OpIdx*/3, // MIs[6]
     /*  30016 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30020 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  30024 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/6, /*OpIdx*/1, // MIs[7]
     /*  30028 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30032 */     GIM_CheckType, /*MI*/7, /*Op*/1, /*Type*/GILLT_s32,
     /*  30036 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  30040 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 8,
     /*  30044 */     // MIs[6] Operand 2
     /*  30044 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  30055 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/2, /*OpIdx*/2, // MIs[8]
     /*  30059 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30063 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  30067 */     GIM_CheckType, /*MI*/8, /*Op*/2, /*Type*/GILLT_s32,
     /*  30071 */     GIM_CheckHasOneUse, /*MI*/8,
     /*  30073 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/2, // MIs[9]
     /*  30077 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30081 */     GIM_CheckNumOperands, /*MI*/9, /*Expected*/4,
     /*  30084 */     GIM_CheckIntrinsicID, /*MI*/9, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30089 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  30093 */     GIM_CheckType, /*MI*/9, /*Op*/3, /*Type*/GILLT_s32,
     /*  30097 */     GIM_CheckHasOneUse, /*MI*/9,
     /*  30099 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/9, /*OpIdx*/2, // MIs[10]
     /*  30103 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30107 */     // MIs[10] src0
     /*  30107 */     GIM_CheckIsSameOperand, /*MI*/10, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30112 */     // MIs[10] Operand 2
     /*  30112 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  30123 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/9, /*OpIdx*/3, // MIs[11]
     /*  30127 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30131 */     // MIs[11] src1
     /*  30131 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  30136 */     // MIs[11] Operand 2
     /*  30136 */     GIM_CheckLiteralInt, /*MI*/11, /*Op*/2, GIMT_Encode8(8),
     /*  30147 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  30151 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30155 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  30158 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30163 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  30167 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  30171 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  30173 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  30177 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30181 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  30185 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  30189 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30193 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  30197 */     // MIs[14] src0
     /*  30197 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30202 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  30206 */     // MIs[13] Operand 2
     /*  30206 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  30217 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  30221 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30225 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  30229 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  30233 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30237 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  30241 */     // MIs[16] src1
     /*  30241 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  30246 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  30250 */     // MIs[15] Operand 2
     /*  30250 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  30261 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  30265 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30269 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  30272 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30277 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  30281 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  30285 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  30287 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  30291 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  30295 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  30299 */     // MIs[18] src0
     /*  30299 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30304 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  30308 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  30312 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  30316 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  30320 */     // MIs[19] src1
     /*  30320 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/7, /*OtherOpIdx*/1,
     /*  30325 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  30329 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  30331 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  30331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  30334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  30336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  30343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/7, /*OpIdx*/1, // src1
     /*  30350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/8, /*OpIdx*/1, // src2
     /*  30357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30366 */     GIR_RootConstrainSelectedInstOperands,
     /*  30367 */     // GIR_Coverage, 10066,
     /*  30367 */     GIR_EraseRootFromParent_Done,
     /*  30368 */   // Label 230: @30368
     /*  30368 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(30843), // Rule ID 10065 //
     /*  30373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  30376 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  30378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  30382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  30394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  30398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  30400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  30412 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  30416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  30418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  30422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  30430 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  30434 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  30436 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  30440 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30444 */     GIM_CheckNumOperands, /*MI*/4, /*Expected*/4,
     /*  30447 */     GIM_CheckIntrinsicID, /*MI*/4, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30452 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  30456 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  30460 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  30462 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  30466 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30470 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  30474 */     // MIs[5] Operand 2
     /*  30474 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  30485 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/3, // MIs[6]
     /*  30489 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30493 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  30497 */     // MIs[6] Operand 2
     /*  30497 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  30508 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/2, // MIs[7]
     /*  30512 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30516 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  30519 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30524 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  30528 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  30532 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  30534 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  30538 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30542 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  30546 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  30550 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30554 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  30558 */     // MIs[9] src0
     /*  30558 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30563 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 8,
     /*  30567 */     // MIs[8] Operand 2
     /*  30567 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  30578 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/7, /*OpIdx*/3, // MIs[10]
     /*  30582 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30586 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  30590 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  30594 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30598 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  30602 */     // MIs[11] src1
     /*  30602 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  30607 */     GIM_CheckConstantInt8, /*MI*/11, /*Op*/2, 8,
     /*  30611 */     // MIs[10] Operand 2
     /*  30611 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  30622 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  30626 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30630 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  30633 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30638 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  30642 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  30646 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  30648 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  30652 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30656 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  30660 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  30664 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30668 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  30672 */     // MIs[14] src0
     /*  30672 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30677 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  30681 */     // MIs[13] Operand 2
     /*  30681 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  30692 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  30696 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30700 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  30704 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  30708 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  30712 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  30716 */     // MIs[16] src1
     /*  30716 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  30721 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  30725 */     // MIs[15] Operand 2
     /*  30725 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  30736 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  30740 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30744 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  30747 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30752 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  30756 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  30760 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  30762 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  30766 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  30770 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  30774 */     // MIs[18] src0
     /*  30774 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  30779 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  30783 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  30787 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  30791 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  30795 */     // MIs[19] src1
     /*  30795 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  30800 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  30804 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  30806 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  30806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  30809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  30811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  30818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  30825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  30828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // src2
     /*  30832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  30841 */     GIR_RootConstrainSelectedInstOperands,
     /*  30842 */     // GIR_Coverage, 10065,
     /*  30842 */     GIR_EraseRootFromParent_Done,
     /*  30843 */   // Label 231: @30843
     /*  30843 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(31318), // Rule ID 2799 //
     /*  30848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /*  30851 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  30853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  30857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  30869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  30873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  30875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  30887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  30891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  30893 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  30897 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  30901 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  30905 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  30909 */     GIM_CheckHasOneUse, /*MI*/3,
     /*  30911 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  30915 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30919 */     GIM_CheckNumOperands, /*MI*/4, /*Expected*/4,
     /*  30922 */     GIM_CheckIntrinsicID, /*MI*/4, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30927 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  30931 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  30935 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  30937 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  30941 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30945 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  30949 */     // MIs[5] Operand 2
     /*  30949 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(8),
     /*  30960 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/3, // MIs[6]
     /*  30964 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  30968 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  30972 */     // MIs[6] Operand 2
     /*  30972 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(8),
     /*  30983 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/2, /*OpIdx*/2, // MIs[7]
     /*  30987 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30991 */     GIM_CheckNumOperands, /*MI*/7, /*Expected*/4,
     /*  30994 */     GIM_CheckIntrinsicID, /*MI*/7, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  30999 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  31003 */     GIM_CheckType, /*MI*/7, /*Op*/3, /*Type*/GILLT_s32,
     /*  31007 */     GIM_CheckHasOneUse, /*MI*/7,
     /*  31009 */     GIM_RecordInsn, /*DefineMI*/8, /*MI*/7, /*OpIdx*/2, // MIs[8]
     /*  31013 */     GIM_CheckOpcode, /*MI*/8, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  31017 */     GIM_CheckType, /*MI*/8, /*Op*/1, /*Type*/GILLT_s32,
     /*  31021 */     GIM_RecordInsn, /*DefineMI*/9, /*MI*/8, /*OpIdx*/1, // MIs[9]
     /*  31025 */     GIM_CheckOpcode, /*MI*/9, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31029 */     GIM_CheckType, /*MI*/9, /*Op*/2, /*Type*/GILLT_s32,
     /*  31033 */     // MIs[9] src0
     /*  31033 */     GIM_CheckIsSameOperand, /*MI*/9, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  31038 */     GIM_CheckConstantInt8, /*MI*/9, /*Op*/2, 8,
     /*  31042 */     // MIs[8] Operand 2
     /*  31042 */     GIM_CheckLiteralInt, /*MI*/8, /*Op*/2, GIMT_Encode8(8),
     /*  31053 */     GIM_RecordInsn, /*DefineMI*/10, /*MI*/7, /*OpIdx*/3, // MIs[10]
     /*  31057 */     GIM_CheckOpcode, /*MI*/10, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  31061 */     GIM_CheckType, /*MI*/10, /*Op*/1, /*Type*/GILLT_s32,
     /*  31065 */     GIM_RecordInsn, /*DefineMI*/11, /*MI*/10, /*OpIdx*/1, // MIs[11]
     /*  31069 */     GIM_CheckOpcode, /*MI*/11, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31073 */     GIM_CheckType, /*MI*/11, /*Op*/2, /*Type*/GILLT_s32,
     /*  31077 */     // MIs[11] src1
     /*  31077 */     GIM_CheckIsSameOperand, /*MI*/11, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  31082 */     GIM_CheckConstantInt8, /*MI*/11, /*Op*/2, 8,
     /*  31086 */     // MIs[10] Operand 2
     /*  31086 */     GIM_CheckLiteralInt, /*MI*/10, /*Op*/2, GIMT_Encode8(8),
     /*  31097 */     GIM_RecordInsn, /*DefineMI*/12, /*MI*/1, /*OpIdx*/2, // MIs[12]
     /*  31101 */     GIM_CheckOpcode, /*MI*/12, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31105 */     GIM_CheckNumOperands, /*MI*/12, /*Expected*/4,
     /*  31108 */     GIM_CheckIntrinsicID, /*MI*/12, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  31113 */     GIM_CheckType, /*MI*/12, /*Op*/2, /*Type*/GILLT_s32,
     /*  31117 */     GIM_CheckType, /*MI*/12, /*Op*/3, /*Type*/GILLT_s32,
     /*  31121 */     GIM_CheckHasOneUse, /*MI*/12,
     /*  31123 */     GIM_RecordInsn, /*DefineMI*/13, /*MI*/12, /*OpIdx*/2, // MIs[13]
     /*  31127 */     GIM_CheckOpcode, /*MI*/13, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  31131 */     GIM_CheckType, /*MI*/13, /*Op*/1, /*Type*/GILLT_s32,
     /*  31135 */     GIM_RecordInsn, /*DefineMI*/14, /*MI*/13, /*OpIdx*/1, // MIs[14]
     /*  31139 */     GIM_CheckOpcode, /*MI*/14, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31143 */     GIM_CheckType, /*MI*/14, /*Op*/2, /*Type*/GILLT_s32,
     /*  31147 */     // MIs[14] src0
     /*  31147 */     GIM_CheckIsSameOperand, /*MI*/14, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  31152 */     GIM_CheckConstantInt8, /*MI*/14, /*Op*/2, 16,
     /*  31156 */     // MIs[13] Operand 2
     /*  31156 */     GIM_CheckLiteralInt, /*MI*/13, /*Op*/2, GIMT_Encode8(8),
     /*  31167 */     GIM_RecordInsn, /*DefineMI*/15, /*MI*/12, /*OpIdx*/3, // MIs[15]
     /*  31171 */     GIM_CheckOpcode, /*MI*/15, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  31175 */     GIM_CheckType, /*MI*/15, /*Op*/1, /*Type*/GILLT_s32,
     /*  31179 */     GIM_RecordInsn, /*DefineMI*/16, /*MI*/15, /*OpIdx*/1, // MIs[16]
     /*  31183 */     GIM_CheckOpcode, /*MI*/16, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31187 */     GIM_CheckType, /*MI*/16, /*Op*/2, /*Type*/GILLT_s32,
     /*  31191 */     // MIs[16] src1
     /*  31191 */     GIM_CheckIsSameOperand, /*MI*/16, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  31196 */     GIM_CheckConstantInt8, /*MI*/16, /*Op*/2, 16,
     /*  31200 */     // MIs[15] Operand 2
     /*  31200 */     GIM_CheckLiteralInt, /*MI*/15, /*Op*/2, GIMT_Encode8(8),
     /*  31211 */     GIM_RecordInsn, /*DefineMI*/17, /*MI*/0, /*OpIdx*/2, // MIs[17]
     /*  31215 */     GIM_CheckOpcode, /*MI*/17, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31219 */     GIM_CheckNumOperands, /*MI*/17, /*Expected*/4,
     /*  31222 */     GIM_CheckIntrinsicID, /*MI*/17, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  31227 */     GIM_CheckType, /*MI*/17, /*Op*/2, /*Type*/GILLT_s32,
     /*  31231 */     GIM_CheckType, /*MI*/17, /*Op*/3, /*Type*/GILLT_s32,
     /*  31235 */     GIM_CheckHasOneUse, /*MI*/17,
     /*  31237 */     GIM_RecordInsn, /*DefineMI*/18, /*MI*/17, /*OpIdx*/2, // MIs[18]
     /*  31241 */     GIM_CheckOpcode, /*MI*/18, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  31245 */     GIM_CheckType, /*MI*/18, /*Op*/2, /*Type*/GILLT_s32,
     /*  31249 */     // MIs[18] src0
     /*  31249 */     GIM_CheckIsSameOperand, /*MI*/18, /*OpIdx*/1, /*OtherMI*/5, /*OtherOpIdx*/1,
     /*  31254 */     GIM_CheckConstantInt8, /*MI*/18, /*Op*/2, 24,
     /*  31258 */     GIM_RecordInsn, /*DefineMI*/19, /*MI*/17, /*OpIdx*/3, // MIs[19]
     /*  31262 */     GIM_CheckOpcode, /*MI*/19, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  31266 */     GIM_CheckType, /*MI*/19, /*Op*/2, /*Type*/GILLT_s32,
     /*  31270 */     // MIs[19] src1
     /*  31270 */     GIM_CheckIsSameOperand, /*MI*/19, /*OpIdx*/1, /*OtherMI*/6, /*OtherOpIdx*/1,
     /*  31275 */     GIM_CheckConstantInt8, /*MI*/19, /*Op*/2, 24,
     /*  31279 */     GIM_CheckIsSafeToFold, /*NumInsns*/19,
     /*  31281 */     // (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 8:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 8:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), i8:{ *:[Other] }), (sext_inreg:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }), i8:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 24:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 24:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>  =>  (V_DOT4_I32_I8:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  31281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /*  31284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  31286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  31293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  31300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src2
     /*  31307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31316 */     GIR_RootConstrainSelectedInstOperands,
     /*  31317 */     // GIR_Coverage, 2799,
     /*  31317 */     GIR_EraseRootFromParent_Done,
     /*  31318 */   // Label 232: @31318
     /*  31318 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(31541), // Rule ID 8722 //
     /*  31323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  31326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  31330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31338 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31341 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  31350 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  31354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  31356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  31368 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  31372 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  31383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  31387 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31391 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  31395 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  31399 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(65535),
     /*  31410 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  31414 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  31418 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  31422 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  31426 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  31428 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  31432 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31436 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  31439 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31444 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  31448 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  31452 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  31454 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  31458 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31462 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  31466 */     // MIs[6] src0
     /*  31466 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  31471 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  31475 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  31479 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31483 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  31487 */     // MIs[7] src1
     /*  31487 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  31492 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  31496 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  31498 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 65535:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 65535:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)  =>  (V_DOT2_U32_U16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  31498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_U32_U16),
     /*  31501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  31503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  31510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  31517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // src2
     /*  31524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31539 */     GIR_RootConstrainSelectedInstOperands,
     /*  31540 */     // GIR_Coverage, 8722,
     /*  31540 */     GIR_EraseRootFromParent_Done,
     /*  31541 */   // Label 233: @31541
     /*  31541 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(31764), // Rule ID 8723 //
     /*  31546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  31549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  31553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31561 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31564 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  31573 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  31577 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  31579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  31591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  31595 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /*  31606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  31610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31614 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  31618 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  31622 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(65535),
     /*  31633 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  31637 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  31641 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  31645 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  31649 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  31651 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  31655 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31659 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  31662 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31667 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  31671 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  31675 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  31677 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  31681 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31685 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  31689 */     // MIs[6] src0
     /*  31689 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  31694 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  31698 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  31702 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31706 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  31710 */     // MIs[7] src1
     /*  31710 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  31715 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  31719 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  31721 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 65535:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 65535:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>)  =>  (V_DOT2_U32_U16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  31721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_U32_U16),
     /*  31724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  31726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  31733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  31740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src2
     /*  31747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31762 */     GIR_RootConstrainSelectedInstOperands,
     /*  31763 */     // GIR_Coverage, 8723,
     /*  31763 */     GIR_EraseRootFromParent_Done,
     /*  31764 */   // Label 234: @31764
     /*  31764 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(31987), // Rule ID 2775 //
     /*  31769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  31772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  31776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  31784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  31788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  31792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  31794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31802 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31805 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  31814 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  31818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  31820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  31824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31828 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  31832 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  31836 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  31840 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/3, // MIs[4]
     /*  31844 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  31848 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  31852 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  31856 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  31860 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/0, /*OpIdx*/2, // MIs[5]
     /*  31864 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31868 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  31871 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  31876 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  31880 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  31884 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  31886 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  31890 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31894 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  31898 */     // MIs[6] src0
     /*  31898 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  31903 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(65535),
     /*  31914 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  31918 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_AND),
     /*  31922 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  31926 */     // MIs[7] src1
     /*  31926 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  31931 */     GIM_CheckConstantInt, /*MI*/7, /*Op*/2, GIMT_Encode8(65535),
     /*  31942 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  31944 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 65535:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 65535:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)  =>  (V_DOT2_U32_U16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  31944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_U32_U16),
     /*  31947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  31949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src0
     /*  31956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  31963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  31966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  31970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  31985 */     GIR_RootConstrainSelectedInstOperands,
     /*  31986 */     // GIR_Coverage, 2775,
     /*  31986 */     GIR_EraseRootFromParent_Done,
     /*  31987 */   // Label 235: @31987
     /*  31987 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(32210), // Rule ID 8721 //
     /*  31992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  31995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  31999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  32007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  32011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  32015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  32017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32025 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32028 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  32033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  32037 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  32041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  32043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  32047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  32051 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  32055 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  32059 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  32063 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/3, // MIs[4]
     /*  32067 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  32071 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  32075 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  32079 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  32083 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/0, /*OpIdx*/2, // MIs[5]
     /*  32087 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32091 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  32094 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  32099 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  32103 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  32107 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  32109 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  32113 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_AND),
     /*  32117 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  32121 */     // MIs[6] src0
     /*  32121 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  32126 */     GIM_CheckConstantInt, /*MI*/6, /*Op*/2, GIMT_Encode8(65535),
     /*  32137 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  32141 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_AND),
     /*  32145 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  32149 */     // MIs[7] src1
     /*  32149 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  32154 */     GIM_CheckConstantInt, /*MI*/7, /*Op*/2, GIMT_Encode8(65535),
     /*  32165 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  32167 */     // (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, 65535:{ *:[i32] }), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, 65535:{ *:[i32] }))<<P:Predicate_AMDGPUmul_u24_oneuse>>)  =>  (V_DOT2_U32_U16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  32167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_U32_U16),
     /*  32170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  32172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src0
     /*  32179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  32186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  32193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32208 */     GIR_RootConstrainSelectedInstOperands,
     /*  32209 */     // GIR_Coverage, 8721,
     /*  32209 */     GIR_EraseRootFromParent_Done,
     /*  32210 */   // Label 236: @32210
     /*  32210 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(32425), // Rule ID 8754 //
     /*  32215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  32218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  32222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32230 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  32233 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  32242 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  32246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  32248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  32260 */     // MIs[2] Operand 2
     /*  32260 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  32271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  32275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32279 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  32283 */     // MIs[3] Operand 2
     /*  32283 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*  32294 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  32298 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  32302 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  32306 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  32310 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  32312 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  32316 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32320 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  32323 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32328 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  32332 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  32336 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  32338 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  32342 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32346 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  32350 */     // MIs[6] src0
     /*  32350 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  32355 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  32359 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  32363 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32367 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  32371 */     // MIs[7] src1
     /*  32371 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  32376 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  32380 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  32382 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i16:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>)  =>  (V_DOT2_I32_I16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  32382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_I32_I16),
     /*  32385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  32387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  32394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  32401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // src2
     /*  32408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32423 */     GIR_RootConstrainSelectedInstOperands,
     /*  32424 */     // GIR_Coverage, 8754,
     /*  32424 */     GIR_EraseRootFromParent_Done,
     /*  32425 */   // Label 237: @32425
     /*  32425 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(32640), // Rule ID 8755 //
     /*  32430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  32433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  32437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32445 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  32448 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  32457 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  32461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  32463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  32475 */     // MIs[2] Operand 2
     /*  32475 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  32486 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  32490 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32494 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  32498 */     // MIs[3] Operand 2
     /*  32498 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(16),
     /*  32509 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  32513 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  32517 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  32521 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  32525 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  32527 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  32531 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32535 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  32538 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32543 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  32547 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  32551 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  32553 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  32557 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32561 */     GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  32565 */     // MIs[6] src0
     /*  32565 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  32570 */     GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  32574 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  32578 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32582 */     GIM_CheckType, /*MI*/7, /*Op*/2, /*Type*/GILLT_s32,
     /*  32586 */     // MIs[7] src1
     /*  32586 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  32591 */     GIM_CheckConstantInt8, /*MI*/7, /*Op*/2, 16,
     /*  32595 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  32597 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i16:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>)  =>  (V_DOT2_I32_I16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  32597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_I32_I16),
     /*  32600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  32602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  32609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  32616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src2
     /*  32623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32638 */     GIR_RootConstrainSelectedInstOperands,
     /*  32639 */     // GIR_Coverage, 8755,
     /*  32639 */     GIR_EraseRootFromParent_Done,
     /*  32640 */   // Label 238: @32640
     /*  32640 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(32855), // Rule ID 2779 //
     /*  32645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  32648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  32652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  32660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  32664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  32668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  32670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32678 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32681 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32686 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  32690 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  32694 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  32696 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  32700 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32704 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  32708 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  32712 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  32716 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/3, // MIs[4]
     /*  32720 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32724 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  32728 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  32732 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  32736 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/0, /*OpIdx*/2, // MIs[5]
     /*  32740 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32744 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  32747 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32752 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  32756 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  32760 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  32762 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  32766 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32770 */     // MIs[6] src0
     /*  32770 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  32775 */     // MIs[6] Operand 2
     /*  32775 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(16),
     /*  32786 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  32790 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32794 */     // MIs[7] src1
     /*  32794 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  32799 */     // MIs[7] Operand 2
     /*  32799 */     GIM_CheckLiteralInt, /*MI*/7, /*Op*/2, GIMT_Encode8(16),
     /*  32810 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  32812 */     // (add:{ *:[i32] } (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i16:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)  =>  (V_DOT2_I32_I16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  32812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_I32_I16),
     /*  32815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  32817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src0
     /*  32824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  32831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  32834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  32838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  32853 */     GIR_RootConstrainSelectedInstOperands,
     /*  32854 */     // GIR_Coverage, 2779,
     /*  32854 */     GIR_EraseRootFromParent_Done,
     /*  32855 */   // Label 239: @32855
     /*  32855 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(33070), // Rule ID 8753 //
     /*  32860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /*  32863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  32867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  32875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  32879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  32883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  32885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32893 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32896 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32901 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  32905 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  32909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  32911 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  32915 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32919 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  32923 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  32927 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  32931 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/2, /*OpIdx*/3, // MIs[4]
     /*  32935 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  32939 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  32943 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  32947 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  32951 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/0, /*OpIdx*/2, // MIs[5]
     /*  32955 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32959 */     GIM_CheckNumOperands, /*MI*/5, /*Expected*/4,
     /*  32962 */     GIM_CheckIntrinsicID, /*MI*/5, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  32967 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  32971 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  32975 */     GIM_CheckHasOneUse, /*MI*/5,
     /*  32977 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/2, // MIs[6]
     /*  32981 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  32985 */     // MIs[6] src0
     /*  32985 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /*  32990 */     // MIs[6] Operand 2
     /*  32990 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(16),
     /*  33001 */     GIM_RecordInsn, /*DefineMI*/7, /*MI*/5, /*OpIdx*/3, // MIs[7]
     /*  33005 */     GIM_CheckOpcode, /*MI*/7, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  33009 */     // MIs[7] src1
     /*  33009 */     GIM_CheckIsSameOperand, /*MI*/7, /*OpIdx*/1, /*OtherMI*/4, /*OtherOpIdx*/1,
     /*  33014 */     // MIs[7] Operand 2
     /*  33014 */     GIM_CheckLiteralInt, /*MI*/7, /*Op*/2, GIMT_Encode8(16),
     /*  33025 */     GIM_CheckIsSafeToFold, /*NumInsns*/7,
     /*  33027 */     // (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, 16:{ *:[i32] }), (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, 16:{ *:[i32] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)<<P:Predicate_add_oneuse>>, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src0, i16:{ *:[Other] }), (sext_inreg:{ *:[i32] } i32:{ *:[i32] }:$src1, i16:{ *:[Other] }))<<P:Predicate_AMDGPUmul_i24_oneuse>>)  =>  (V_DOT2_I32_I16:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[i32] }:$src0, 8:{ *:[i32] }, ?:{ *:[i32] }:$src1, 8:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  33027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_I32_I16),
     /*  33030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  33035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src0
     /*  33039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  33042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  33046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  33049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  33053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33068 */     GIR_RootConstrainSelectedInstOperands,
     /*  33069 */     // GIR_Coverage, 8753,
     /*  33069 */     GIR_EraseRootFromParent_Done,
     /*  33070 */   // Label 240: @33070
     /*  33070 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(33123), // Rule ID 7770 //
     /*  33075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33095 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  33099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  33103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13755),
     /*  33107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33109 */     // (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$a), -1:{ *:[i32] })<<P:Predicate_anonymous_13755>>  =>  (S_BFM_B32:{ *:[i32] } ?:{ *:[i32] }:$a, 0:{ *:[i32] })
     /*  33109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BFM_B32),
     /*  33112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  33114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /*  33118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33121 */     GIR_RootConstrainSelectedInstOperands,
     /*  33122 */     // GIR_Coverage, 7770,
     /*  33122 */     GIR_EraseRootFromParent_Done,
     /*  33123 */   // Label 241: @33123
     /*  33123 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(33176), // Rule ID 7772 //
     /*  33128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33148 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  33152 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  33156 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  33160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33162 */     // (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$a), -1:{ *:[i32] })<<P:Predicate_anonymous_19694>>  =>  (V_BFM_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$a, 0:{ *:[i32] })
     /*  33162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFM_B32_e64),
     /*  33165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // a
     /*  33171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33174 */     GIR_RootConstrainSelectedInstOperands,
     /*  33175 */     // GIR_Coverage, 7772,
     /*  33175 */     GIR_EraseRootFromParent_Done,
     /*  33176 */   // Label 242: @33176
     /*  33176 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(33286), // Rule ID 7575 //
     /*  33181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /*  33193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33201 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  33205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  33211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  33215 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  33219 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  33223 */     // MIs[2] Operand 1
     /*  33223 */     GIM_CheckCmpPredicate, /*MI*/2, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /*  33228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  33232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  33236 */     // MIs[3] src0
     /*  33236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  33241 */     // MIs[3] src1
     /*  33241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/3,
     /*  33246 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/1, /*OpIdx*/3, // MIs[4]
     /*  33250 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  33254 */     // MIs[4] src1
     /*  33254 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/3,
     /*  33259 */     // MIs[4] src0
     /*  33259 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  33264 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  33266 */     // (add:{ *:[i32] } (select:{ *:[i32] } (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETUGT:{ *:[Other] }), (sub:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (sub:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_select_oneuse>>, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  33266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  33269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  33275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // src1
     /*  33279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  33281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33284 */     GIR_RootConstrainSelectedInstOperands,
     /*  33285 */     // GIR_Coverage, 7575,
     /*  33285 */     GIR_EraseRootFromParent_Done,
     /*  33286 */   // Label 243: @33286
     /*  33286 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(33396), // Rule ID 11395 //
     /*  33291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /*  33303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33311 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  33315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  33321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  33325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  33329 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  33333 */     // MIs[2] Operand 1
     /*  33333 */     GIM_CheckCmpPredicate, /*MI*/2, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /*  33338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  33342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  33346 */     // MIs[3] src0
     /*  33346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  33351 */     // MIs[3] src1
     /*  33351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/3,
     /*  33356 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/1, /*OpIdx*/3, // MIs[4]
     /*  33360 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  33364 */     // MIs[4] src1
     /*  33364 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/3,
     /*  33369 */     // MIs[4] src0
     /*  33369 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  33374 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  33376 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (select:{ *:[i32] } (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETUGT:{ *:[Other] }), (sub:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (sub:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_select_oneuse>>)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  33376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  33379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  33385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // src1
     /*  33389 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  33391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33394 */     GIR_RootConstrainSelectedInstOperands,
     /*  33395 */     // GIR_Coverage, 11395,
     /*  33395 */     GIR_EraseRootFromParent_Done,
     /*  33396 */   // Label 244: @33396
     /*  33396 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(33489), // Rule ID 2611 //
     /*  33401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33426 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*  33430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  33438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  33442 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  33446 */     GIM_RecordNamedOperand, /*MI*/2, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*  33450 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  33454 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33458 */     // MIs[3] Operand 1
     /*  33458 */     // No operand predicates
     /*  33458 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /*  33462 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:1:z
     /*  33466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20919),
     /*  33470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  33472 */     // (add:{ *:[i32] } (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:1:x, (and:{ *:[i32] } i32:{ *:[i32] }:$src1:$pred:1:y, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_20920>>, i32:{ *:[i32] }:$src2:$pred:1:z)<<P:1:Predicate_anonymous_20919>>  =>  (V_LSHL_ADD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  33472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U32_e64),
     /*  33475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  33485 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  33487 */     GIR_RootConstrainSelectedInstOperands,
     /*  33488 */     // GIR_Coverage, 2611,
     /*  33488 */     GIR_EraseRootFromParent_Done,
     /*  33489 */   // Label 245: @33489
     /*  33489 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(33582), // Rule ID 8695 //
     /*  33494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:1:z
     /*  33505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33523 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*  33527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  33535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  33539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  33543 */     GIM_RecordNamedOperand, /*MI*/2, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*  33547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  33551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33555 */     // MIs[3] Operand 1
     /*  33555 */     // No operand predicates
     /*  33555 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /*  33559 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20919),
     /*  33563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  33565 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:1:z, (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:1:x, (and:{ *:[i32] } i32:{ *:[i32] }:$src1:$pred:1:y, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_20920>>)<<P:1:Predicate_anonymous_20919>>  =>  (V_LSHL_ADD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  33565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U32_e64),
     /*  33568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  33578 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  33580 */     GIR_RootConstrainSelectedInstOperands,
     /*  33581 */     // GIR_Coverage, 8695,
     /*  33581 */     GIR_EraseRootFromParent_Done,
     /*  33582 */   // Label 246: @33582
     /*  33582 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(33637), // Rule ID 7515 //
     /*  33587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33599 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33602 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  33607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33611 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  33615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33617 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2)  =>  (V_MAD_I32_I24_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  33617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_I32_I24_e64),
     /*  33620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  33626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  33630 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  33632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33635 */     GIR_RootConstrainSelectedInstOperands,
     /*  33636 */     // GIR_Coverage, 7515,
     /*  33636 */     GIR_EraseRootFromParent_Done,
     /*  33637 */   // Label 247: @33637
     /*  33637 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(33692), // Rule ID 7517 //
     /*  33642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33654 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33657 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  33662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33666 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  33670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33672 */     // (add:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2)  =>  (V_MAD_U32_U24_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  33672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U32_U24_e64),
     /*  33675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  33677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  33685 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  33687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  33690 */     GIR_RootConstrainSelectedInstOperands,
     /*  33691 */     // GIR_Coverage, 7517,
     /*  33691 */     GIR_EraseRootFromParent_Done,
     /*  33692 */   // Label 248: @33692
     /*  33692 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(33757), // Rule ID 82 //
     /*  33697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33727 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  33731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33735 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl1_add),
     /*  33739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33741 */     // (add:{ *:[i32] } (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 1:{ *:[i32] })<<P:Predicate_shl_oneuse>>, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_shl1_add>>  =>  (S_LSHL1_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  33741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL1_ADD_U32),
     /*  33744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  33746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33750 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  33755 */     GIR_RootConstrainSelectedInstOperands,
     /*  33756 */     // GIR_Coverage, 82,
     /*  33756 */     GIR_EraseRootFromParent_Done,
     /*  33757 */   // Label 249: @33757
     /*  33757 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(33822), // Rule ID 83 //
     /*  33762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33792 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*  33796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33800 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl2_add),
     /*  33804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33806 */     // (add:{ *:[i32] } (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 2:{ *:[i32] })<<P:Predicate_shl_oneuse>>, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_shl2_add>>  =>  (S_LSHL2_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  33806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL2_ADD_U32),
     /*  33809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  33811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33815 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  33820 */     GIR_RootConstrainSelectedInstOperands,
     /*  33821 */     // GIR_Coverage, 83,
     /*  33821 */     GIR_EraseRootFromParent_Done,
     /*  33822 */   // Label 250: @33822
     /*  33822 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(33887), // Rule ID 84 //
     /*  33827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33857 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*  33861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl3_add),
     /*  33869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33871 */     // (add:{ *:[i32] } (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 3:{ *:[i32] })<<P:Predicate_shl_oneuse>>, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_shl3_add>>  =>  (S_LSHL3_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  33871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL3_ADD_U32),
     /*  33874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  33876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33880 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  33885 */     GIR_RootConstrainSelectedInstOperands,
     /*  33886 */     // GIR_Coverage, 84,
     /*  33886 */     GIR_EraseRootFromParent_Done,
     /*  33887 */   // Label 251: @33887
     /*  33887 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(33952), // Rule ID 85 //
     /*  33892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  33895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  33907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33922 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 4,
     /*  33926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  33930 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl4_add),
     /*  33934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33936 */     // (add:{ *:[i32] } (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 4:{ *:[i32] })<<P:Predicate_shl_oneuse>>, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_shl4_add>>  =>  (S_LSHL4_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  33936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL4_ADD_U32),
     /*  33939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  33941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  33945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  33950 */     GIR_RootConstrainSelectedInstOperands,
     /*  33951 */     // GIR_Coverage, 85,
     /*  33951 */     GIR_EraseRootFromParent_Done,
     /*  33952 */   // Label 252: @33952
     /*  33952 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(34035), // Rule ID 7574 //
     /*  33957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  33961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  33969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  33973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  33977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  33979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  33983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  33987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  33991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  33995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  33999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34003 */     // MIs[3] src0
     /*  34003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34008 */     // MIs[3] src1
     /*  34008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34015 */     // (add:{ *:[i32] } (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))<<P:Predicate_sub_oneuse>>, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  34024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /*  34028 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  34030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34033 */     GIR_RootConstrainSelectedInstOperands,
     /*  34034 */     // GIR_Coverage, 7574,
     /*  34034 */     GIR_EraseRootFromParent_Done,
     /*  34035 */   // Label 253: @34035
     /*  34035 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(34118), // Rule ID 11388 //
     /*  34040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34078 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34082 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34086 */     // MIs[3] src1
     /*  34086 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34091 */     // MIs[3] src0
     /*  34091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34098 */     // (add:{ *:[i32] } (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_sub_oneuse>>, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  34107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /*  34111 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  34113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34116 */     GIR_RootConstrainSelectedInstOperands,
     /*  34117 */     // GIR_Coverage, 11388,
     /*  34117 */     GIR_EraseRootFromParent_Done,
     /*  34118 */   // Label 254: @34118
     /*  34118 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(34201), // Rule ID 11389 //
     /*  34123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34157 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34161 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34165 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34169 */     // MIs[3] src0
     /*  34169 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34174 */     // MIs[3] src1
     /*  34174 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34181 */     // (add:{ *:[i32] } (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))<<P:Predicate_sub_oneuse>>, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  34190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  34194 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  34196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34199 */     GIR_RootConstrainSelectedInstOperands,
     /*  34200 */     // GIR_Coverage, 11389,
     /*  34200 */     GIR_EraseRootFromParent_Done,
     /*  34201 */   // Label 255: @34201
     /*  34201 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(34284), // Rule ID 11390 //
     /*  34206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34244 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34248 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34252 */     // MIs[3] src1
     /*  34252 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34257 */     // MIs[3] src0
     /*  34257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34264 */     // (add:{ *:[i32] } (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_sub_oneuse>>, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  34273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  34277 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  34279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34282 */     GIR_RootConstrainSelectedInstOperands,
     /*  34283 */     // GIR_Coverage, 11390,
     /*  34283 */     GIR_EraseRootFromParent_Done,
     /*  34284 */   // Label 256: @34284
     /*  34284 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(34349), // Rule ID 8612 //
     /*  34289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  34292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  34308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  34327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl1_add),
     /*  34331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34333 */     // (add:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 1:{ *:[i32] })<<P:Predicate_shl_oneuse>>)<<P:Predicate_shl1_add>>  =>  (S_LSHL1_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  34333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL1_ADD_U32),
     /*  34336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  34338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  34342 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  34347 */     GIR_RootConstrainSelectedInstOperands,
     /*  34348 */     // GIR_Coverage, 8612,
     /*  34348 */     GIR_EraseRootFromParent_Done,
     /*  34349 */   // Label 257: @34349
     /*  34349 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(34414), // Rule ID 8613 //
     /*  34354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  34357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  34373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34388 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*  34392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl2_add),
     /*  34396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34398 */     // (add:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 2:{ *:[i32] })<<P:Predicate_shl_oneuse>>)<<P:Predicate_shl2_add>>  =>  (S_LSHL2_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  34398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL2_ADD_U32),
     /*  34401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  34403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  34407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  34412 */     GIR_RootConstrainSelectedInstOperands,
     /*  34413 */     // GIR_Coverage, 8613,
     /*  34413 */     GIR_EraseRootFromParent_Done,
     /*  34414 */   // Label 258: @34414
     /*  34414 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(34479), // Rule ID 8614 //
     /*  34419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  34422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  34438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34453 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*  34457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl3_add),
     /*  34461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34463 */     // (add:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 3:{ *:[i32] })<<P:Predicate_shl_oneuse>>)<<P:Predicate_shl3_add>>  =>  (S_LSHL3_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  34463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL3_ADD_U32),
     /*  34466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  34468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  34472 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  34477 */     GIR_RootConstrainSelectedInstOperands,
     /*  34478 */     // GIR_Coverage, 8614,
     /*  34478 */     GIR_EraseRootFromParent_Done,
     /*  34479 */   // Label 259: @34479
     /*  34479 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(34544), // Rule ID 8615 //
     /*  34484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  34487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  34503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  34518 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 4,
     /*  34522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl4_add),
     /*  34526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34528 */     // (add:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, 4:{ *:[i32] })<<P:Predicate_shl_oneuse>>)<<P:Predicate_shl4_add>>  =>  (S_LSHL4_ADD_U32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  34528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL4_ADD_U32),
     /*  34531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  34533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  34537 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  34542 */     GIR_RootConstrainSelectedInstOperands,
     /*  34543 */     // GIR_Coverage, 8615,
     /*  34543 */     GIR_EraseRootFromParent_Done,
     /*  34544 */   // Label 260: @34544
     /*  34544 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(34599), // Rule ID 11355 //
     /*  34549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  34561 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  34564 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /*  34569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34573 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  34577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34579 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MAD_I32_I24_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_I32_I24_e64),
     /*  34582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  34588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  34592 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34597 */     GIR_RootConstrainSelectedInstOperands,
     /*  34598 */     // GIR_Coverage, 11355,
     /*  34598 */     GIR_EraseRootFromParent_Done,
     /*  34599 */   // Label 261: @34599
     /*  34599 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(34654), // Rule ID 11357 //
     /*  34604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  34616 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  34619 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  34624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34628 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  34632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34634 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MAD_U32_U24_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U32_U24_e64),
     /*  34637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  34643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  34647 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34652 */     GIR_RootConstrainSelectedInstOperands,
     /*  34653 */     // GIR_Coverage, 11357,
     /*  34653 */     GIR_EraseRootFromParent_Done,
     /*  34654 */   // Label 262: @34654
     /*  34654 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(34737), // Rule ID 11391 //
     /*  34659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34705 */     // MIs[3] src0
     /*  34705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34710 */     // MIs[3] src1
     /*  34710 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34715 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34717 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))<<P:Predicate_sub_oneuse>>)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  34726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /*  34730 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34735 */     GIR_RootConstrainSelectedInstOperands,
     /*  34736 */     // GIR_Coverage, 11391,
     /*  34736 */     GIR_EraseRootFromParent_Done,
     /*  34737 */   // Label 263: @34737
     /*  34737 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(34820), // Rule ID 11392 //
     /*  34742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34762 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34788 */     // MIs[3] src1
     /*  34788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34793 */     // MIs[3] src0
     /*  34793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34798 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34800 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_sub_oneuse>>)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  34809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /*  34813 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34818 */     GIR_RootConstrainSelectedInstOperands,
     /*  34819 */     // GIR_Coverage, 11392,
     /*  34819 */     GIR_EraseRootFromParent_Done,
     /*  34820 */   // Label 264: @34820
     /*  34820 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(34903), // Rule ID 11393 //
     /*  34825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34871 */     // MIs[3] src0
     /*  34871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34876 */     // MIs[3] src1
     /*  34876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34883 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))<<P:Predicate_sub_oneuse>>)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  34892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  34896 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34901 */     GIR_RootConstrainSelectedInstOperands,
     /*  34902 */     // GIR_Coverage, 11393,
     /*  34902 */     GIR_EraseRootFromParent_Done,
     /*  34903 */   // Label 265: @34903
     /*  34903 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(34986), // Rule ID 11394 //
     /*  34908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  34920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  34924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  34928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  34930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /*  34938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  34942 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  34946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  34950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /*  34954 */     // MIs[3] src1
     /*  34954 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  34959 */     // MIs[3] src0
     /*  34959 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  34964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  34966 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2, (sub:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))<<P:Predicate_sub_oneuse>>)  =>  (V_SAD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /*  34966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U32_e64),
     /*  34969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  34971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /*  34975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  34979 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  34981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  34984 */     GIR_RootConstrainSelectedInstOperands,
     /*  34985 */     // GIR_Coverage, 11394,
     /*  34985 */     GIR_EraseRootFromParent_Done,
     /*  34986 */   // Label 266: @34986
     /*  34986 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(35151), // Rule ID 8705 //
     /*  34991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  34994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  34998 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:11:z
     /*  35002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35024 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*  35028 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*  35032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35038 */     // (add:{ *:[i32] } VGPR_32:{ *:[i32] }:$src2:$pred:11:z, (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:11:x, i32:{ *:[i32] }:$src1:$pred:11:y)<<P:Predicate_anonymous_20955>>)<<P:11:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35038 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35041 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35045 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35052 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35055 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35059 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35064 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  35068 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35071 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35074 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35077 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35082 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35087 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35092 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  35102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35120 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  35123 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  35126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35133 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  35140 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35150 */     // GIR_Coverage, 8705,
     /*  35150 */     GIR_EraseRootFromParent_Done,
     /*  35151 */   // Label 267: @35151
     /*  35151 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(35316), // Rule ID 8709 //
     /*  35156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  35159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35163 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:14:z
     /*  35167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35189 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*  35193 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*  35197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35203 */     // (add:{ *:[i32] } VGPR_32:{ *:[i32] }:$src2:$pred:14:z, (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:14:x, i32:{ *:[i32] }:$src1:$pred:14:y)<<P:Predicate_anonymous_20955>>)<<P:14:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35203 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35206 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35210 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35217 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35220 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35224 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35229 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  35233 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35236 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35239 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35242 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35247 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35252 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35257 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  35267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35285 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  35288 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  35291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35298 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  35305 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35310 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35315 */     // GIR_Coverage, 8709,
     /*  35315 */     GIR_EraseRootFromParent_Done,
     /*  35316 */   // Label 268: @35316
     /*  35316 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(35381), // Rule ID 2614 //
     /*  35321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  35324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  35336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35346 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*  35350 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*  35354 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:3:z
     /*  35358 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20925),
     /*  35362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35364 */     // (add:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:3:x, i32:{ *:[i32] }:$src1:$pred:3:y)<<P:Predicate_anonymous_20923>>, i32:{ *:[i32] }:$src2:$pred:3:z)<<P:3:Predicate_anonymous_20925>>  =>  (V_ADD3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  35364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD3_U32_e64),
     /*  35367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  35369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35377 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  35379 */     GIR_RootConstrainSelectedInstOperands,
     /*  35380 */     // GIR_Coverage, 2614,
     /*  35380 */     GIR_EraseRootFromParent_Done,
     /*  35381 */   // Label 269: @35381
     /*  35381 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(35546), // Rule ID 2633 //
     /*  35386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  35389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35409 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35411 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*  35415 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*  35419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:11:z
     /*  35423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35433 */     // (add:{ *:[i32] } (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:11:x, i32:{ *:[i32] }:$src1:$pred:11:y)<<P:Predicate_anonymous_20955>>, VGPR_32:{ *:[i32] }:$src2:$pred:11:z)<<P:11:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35433 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35436 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35440 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35447 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35459 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  35463 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35466 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35469 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35472 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35477 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35482 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35487 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  35497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35515 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  35518 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  35521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35528 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  35535 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35545 */     // GIR_Coverage, 2633,
     /*  35545 */     GIR_EraseRootFromParent_Done,
     /*  35546 */   // Label 270: @35546
     /*  35546 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(35711), // Rule ID 2638 //
     /*  35551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  35554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35576 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*  35580 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*  35584 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:14:z
     /*  35588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35592 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35598 */     // (add:{ *:[i32] } (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:14:x, i32:{ *:[i32] }:$src1:$pred:14:y)<<P:Predicate_anonymous_20955>>, VGPR_32:{ *:[i32] }:$src2:$pred:14:z)<<P:14:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35598 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35601 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35605 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35612 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35615 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35619 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35624 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  35628 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35631 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35634 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35637 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35642 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35647 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35652 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  35662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35680 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  35683 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  35686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35693 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  35700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35705 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35710 */     // GIR_Coverage, 2638,
     /*  35710 */     GIR_EraseRootFromParent_Done,
     /*  35711 */   // Label 271: @35711
     /*  35711 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(35872), // Rule ID 2632 //
     /*  35716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  35719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35741 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*  35745 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*  35749 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:10:z
     /*  35753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35759 */     // (add:{ *:[i32] } (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:10:x, i32:{ *:[i32] }:$src1:$pred:10:y)<<P:Predicate_anonymous_20955>>, i32:{ *:[i32] }:$src2:$pred:10:z)<<P:10:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35759 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35762 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35766 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35773 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35776 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35780 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35785 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  35789 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35792 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35795 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35798 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  35803 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /*  35808 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /*  35813 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  35823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  35841 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  35844 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  35847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35854 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  35861 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  35871 */     // GIR_Coverage, 2632,
     /*  35871 */     GIR_EraseRootFromParent_Done,
     /*  35872 */   // Label 272: @35872
     /*  35872 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(36033), // Rule ID 2637 //
     /*  35877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  35880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  35884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  35902 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*  35906 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*  35910 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:13:z
     /*  35914 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  35918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35920 */     // (add:{ *:[i32] } (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:13:x, i32:{ *:[i32] }:$src1:$pred:13:y)<<P:Predicate_anonymous_20955>>, i32:{ *:[i32] }:$src2:$pred:13:z)<<P:13:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  35920 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  35923 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35927 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35934 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35937 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  35941 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  35950 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  35953 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  35956 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  35959 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  35964 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /*  35969 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /*  35974 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  35977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  35984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  35994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  35998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36002 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  36005 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  36008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36015 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  36022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  36032 */     // GIR_Coverage, 2637,
     /*  36032 */     GIR_EraseRootFromParent_Done,
     /*  36033 */   // Label 273: @36033
     /*  36033 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(36098), // Rule ID 2610 //
     /*  36038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  36041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36063 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*  36067 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*  36071 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:1:z
     /*  36075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20919),
     /*  36079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36081 */     // (add:{ *:[i32] } (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:1:x, i32:{ *:[i32] }:$src1:$pred:1:y)<<P:Predicate_anonymous_20920>>, i32:{ *:[i32] }:$src2:$pred:1:z)<<P:1:Predicate_anonymous_20919>>  =>  (V_LSHL_ADD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  36081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U32_e64),
     /*  36084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36094 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  36096 */     GIR_RootConstrainSelectedInstOperands,
     /*  36097 */     // GIR_Coverage, 2610,
     /*  36097 */     GIR_EraseRootFromParent_Done,
     /*  36098 */   // Label 274: @36098
     /*  36098 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(36163), // Rule ID 2620 //
     /*  36103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  36106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  36118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36128 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*  36132 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*  36136 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:8:z
     /*  36140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20938),
     /*  36144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36146 */     // (add:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:8:x, i32:{ *:[i32] }:$src1:$pred:8:y)<<P:Predicate_anonymous_20939>>, i32:{ *:[i32] }:$src2:$pred:8:z)<<P:8:Predicate_anonymous_20938>>  =>  (V_XAD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  36146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XAD_U32_e64),
     /*  36149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36159 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  36161 */     GIR_RootConstrainSelectedInstOperands,
     /*  36162 */     // GIR_Coverage, 2620,
     /*  36162 */     GIR_EraseRootFromParent_Done,
     /*  36163 */   // Label 275: @36163
     /*  36163 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(36203), // Rule ID 7084 //
     /*  36168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  36180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36184 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34383),
     /*  36188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36190 */     // (add:{ *:[i32] } (ctpop:{ *:[i32] } i32:{ *:[i32] }:$popcnt)<<P:Predicate_anonymous_34383>>, i32:{ *:[i32] }:$val)  =>  (V_BCNT_U32_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$popcnt, ?:{ *:[i32] }:$val)
     /*  36190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  36193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // popcnt
     /*  36199 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  36201 */     GIR_RootConstrainSelectedInstOperands,
     /*  36202 */     // GIR_Coverage, 7084,
     /*  36202 */     GIR_EraseRootFromParent_Done,
     /*  36203 */   // Label 276: @36203
     /*  36203 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(36268), // Rule ID 8696 //
     /*  36208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  36211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36215 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:3:z
     /*  36219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36237 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*  36241 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*  36245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20925),
     /*  36249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36251 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:3:z, (add:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:3:x, i32:{ *:[i32] }:$src1:$pred:3:y)<<P:Predicate_anonymous_20923>>)<<P:3:Predicate_anonymous_20925>>  =>  (V_ADD3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  36251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD3_U32_e64),
     /*  36254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  36266 */     GIR_RootConstrainSelectedInstOperands,
     /*  36267 */     // GIR_Coverage, 8696,
     /*  36267 */     GIR_EraseRootFromParent_Done,
     /*  36268 */   // Label 277: @36268
     /*  36268 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(36429), // Rule ID 8704 //
     /*  36273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  36276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36280 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:10:z
     /*  36284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36302 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*  36306 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*  36310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  36314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36316 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:10:z, (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:10:x, i32:{ *:[i32] }:$src1:$pred:10:y)<<P:Predicate_anonymous_20955>>)<<P:10:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  36316 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  36319 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36323 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36330 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36333 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  36337 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36342 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  36346 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  36349 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  36352 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  36355 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  36360 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /*  36365 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /*  36370 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  36373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  36380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  36390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36398 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  36401 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  36404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36411 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  36418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  36428 */     // GIR_Coverage, 8704,
     /*  36428 */     GIR_EraseRootFromParent_Done,
     /*  36429 */   // Label 278: @36429
     /*  36429 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(36590), // Rule ID 8708 //
     /*  36434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  36437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36441 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:13:z
     /*  36445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36463 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*  36467 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*  36471 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20954),
     /*  36475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36477 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:13:z, (mul:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:13:x, i32:{ *:[i32] }:$src1:$pred:13:y)<<P:Predicate_anonymous_20955>>)<<P:13:Predicate_anonymous_20954>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src2, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i1] }), sub0:{ *:[i32] })
     /*  36477 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  36480 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36484 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36491 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  36498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36503 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  36507 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /*  36510 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  36513 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /*  36516 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  36521 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /*  36526 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /*  36531 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  36534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  36541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  36551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36559 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  36562 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  36565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36572 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /*  36579 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36584 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  36589 */     // GIR_Coverage, 8708,
     /*  36589 */     GIR_EraseRootFromParent_Done,
     /*  36590 */   // Label 279: @36590
     /*  36590 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(36655), // Rule ID 8694 //
     /*  36595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  36598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36602 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:1:z
     /*  36606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36622 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36624 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*  36628 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*  36632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20919),
     /*  36636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36638 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:1:z, (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:1:x, i32:{ *:[i32] }:$src1:$pred:1:y)<<P:Predicate_anonymous_20920>>)<<P:1:Predicate_anonymous_20919>>  =>  (V_LSHL_ADD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  36638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U32_e64),
     /*  36641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36651 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  36653 */     GIR_RootConstrainSelectedInstOperands,
     /*  36654 */     // GIR_Coverage, 8694,
     /*  36654 */     GIR_EraseRootFromParent_Done,
     /*  36655 */   // Label 280: @36655
     /*  36655 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(36720), // Rule ID 8701 //
     /*  36660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  36663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36667 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:8:z
     /*  36671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  36679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  36689 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*  36693 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*  36697 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20938),
     /*  36701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36703 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:8:z, (xor:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:8:x, i32:{ *:[i32] }:$src1:$pred:8:y)<<P:Predicate_anonymous_20939>>)<<P:8:Predicate_anonymous_20938>>  =>  (V_XAD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  36703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XAD_U32_e64),
     /*  36706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  36712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  36716 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  36718 */     GIR_RootConstrainSelectedInstOperands,
     /*  36719 */     // GIR_Coverage, 8701,
     /*  36719 */     GIR_EraseRootFromParent_Done,
     /*  36720 */   // Label 281: @36720
     /*  36720 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(36760), // Rule ID 11353 //
     /*  36725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  36737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36741 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34383),
     /*  36745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36747 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$val, (ctpop:{ *:[i32] } i32:{ *:[i32] }:$popcnt)<<P:Predicate_anonymous_34383>>)  =>  (V_BCNT_U32_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$popcnt, ?:{ *:[i32] }:$val)
     /*  36747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  36750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // popcnt
     /*  36756 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /*  36758 */     GIR_RootConstrainSelectedInstOperands,
     /*  36759 */     // GIR_Coverage, 11353,
     /*  36759 */     GIR_EraseRootFromParent_Done,
     /*  36760 */   // Label 282: @36760
     /*  36760 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(36804), // Rule ID 7765 //
     /*  36765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  36769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineConst32),
     /*  36781 */     // MIs[1] Operand 1
     /*  36781 */     // No operand predicates
     /*  36781 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13755),
     /*  36785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36787 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>><<X:NegateImm>>:$src1)<<P:Predicate_anonymous_13755>>  =>  (S_SUB_I32:{ *:[i32] }:{ *:[i1] } SReg_32:{ *:[i32] }:$src0, (NegateImm:{ *:[i1 i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>>:$src1))
     /*  36787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_I32),
     /*  36790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  36792 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  36794 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  36799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  36802 */     GIR_RootConstrainSelectedInstOperands,
     /*  36803 */     // GIR_Coverage, 7765,
     /*  36803 */     GIR_EraseRootFromParent_Done,
     /*  36804 */   // Label 283: @36804
     /*  36804 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(36851), // Rule ID 7766 //
     /*  36809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts),
     /*  36812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineConst32),
     /*  36828 */     // MIs[1] Operand 1
     /*  36828 */     // No operand predicates
     /*  36828 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  36832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36834 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>><<X:NegateImm>>:$src1)<<P:Predicate_anonymous_19694>>  =>  (V_SUB_U32_e64:{ *:[i32] } VS_32:{ *:[i32] }:$src0, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>>:$src1))
     /*  36834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U32_e64),
     /*  36837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36839 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  36841 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  36846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36849 */     GIR_RootConstrainSelectedInstOperands,
     /*  36850 */     // GIR_Coverage, 7766,
     /*  36850 */     GIR_EraseRootFromParent_Done,
     /*  36851 */   // Label 284: @36851
     /*  36851 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(36906), // Rule ID 7767 //
     /*  36856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasAddNoCarryInsts),
     /*  36859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineConst32),
     /*  36875 */     // MIs[1] Operand 1
     /*  36875 */     // No operand predicates
     /*  36875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  36879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36881 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>><<X:NegateImm>>:$src1)<<P:Predicate_anonymous_19694>>  =>  (V_SUB_CO_U32_e64:{ *:[i32] }:{ *:[i1] } VS_32:{ *:[i32] }:$src0, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i32] })<<P:Predicate_NegSubInlineConst32>>:$src1))
     /*  36881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  36884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_CO_U32_e64),
     /*  36887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36889 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  36894 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  36896 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /*  36901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36904 */     GIR_RootConstrainSelectedInstOperands,
     /*  36905 */     // GIR_Coverage, 7767,
     /*  36905 */     GIR_EraseRootFromParent_Done,
     /*  36906 */   // Label 285: @36906
     /*  36906 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(36940), // Rule ID 43 //
     /*  36911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  36915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  36919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  36923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13755),
     /*  36927 */     // (add:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13755>>  =>  (S_ADD_I32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  36927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_I32),
     /*  36932 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  36938 */     GIR_RootConstrainSelectedInstOperands,
     /*  36939 */     // GIR_Coverage, 43,
     /*  36939 */     GIR_Done,
     /*  36940 */   // Label 286: @36940
     /*  36940 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(36970), // Rule ID 2501 //
     /*  36945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts),
     /*  36948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  36956 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19694>>  =>  (V_ADD_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, 0:{ *:[i1] })
     /*  36956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U32_e64),
     /*  36959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36961 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  36963 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  36968 */     GIR_RootConstrainSelectedInstOperands,
     /*  36969 */     // GIR_Coverage, 2501,
     /*  36969 */     GIR_EraseRootFromParent_Done,
     /*  36970 */   // Label 287: @36970
     /*  36970 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(37008), // Rule ID 2503 //
     /*  36975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7GFX8GFX9),
     /*  36978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  36982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  36986 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19694>>  =>  (V_ADD_CO_U32_e64:{ *:[i32] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, 0:{ *:[i1] })
     /*  36986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  36989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_CO_U32_e64),
     /*  36992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  36994 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  36999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  37001 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37006 */     GIR_RootConstrainSelectedInstOperands,
     /*  37007 */     // GIR_Coverage, 2503,
     /*  37007 */     GIR_EraseRootFromParent_Done,
     /*  37008 */   // Label 288: @37008
     /*  37008 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(37044), // Rule ID 819 //
     /*  37013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  37017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  37025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  37029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37031 */     // (add:{ *:[i32] } (ctpop:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_BCNT_U32_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  37031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  37034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  37040 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37042 */     GIR_RootConstrainSelectedInstOperands,
     /*  37043 */     // GIR_Coverage, 819,
     /*  37043 */     GIR_EraseRootFromParent_Done,
     /*  37044 */   // Label 289: @37044
     /*  37044 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(37080), // Rule ID 8627 //
     /*  37049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  37053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CTPOP),
     /*  37061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  37065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37067 */     // (add:{ *:[i32] } i32:{ *:[i32] }:$src1, (ctpop:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_BCNT_U32_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  37067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /*  37070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  37076 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37078 */     GIR_RootConstrainSelectedInstOperands,
     /*  37079 */     // GIR_Coverage, 8627,
     /*  37079 */     GIR_EraseRootFromParent_Done,
     /*  37080 */   // Label 290: @37080
     /*  37080 */   GIM_Reject,
     /*  37081 */ // Label 200: @37081
     /*  37081 */ GIM_Reject,
     /*  37082 */ // Label 173: @37082
     /*  37082 */ GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(37552),
     /*  37087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  37090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37093 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(37159), // Rule ID 2635 //
     /*  37098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  37101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37113 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  37116 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  37121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37125 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  37129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37131 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i64:{ *:[i64] }:$src2)  =>  (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /*  37131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  37134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  37137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37139 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  37144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  37148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  37152 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  37154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37157 */     GIR_RootConstrainSelectedInstOperands,
     /*  37158 */     // GIR_Coverage, 2635,
     /*  37158 */     GIR_EraseRootFromParent_Done,
     /*  37159 */   // Label 292: @37159
     /*  37159 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(37225), // Rule ID 2640 //
     /*  37164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  37167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37179 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  37182 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  37187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37191 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  37195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37197 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i64:{ *:[i64] }:$src2)  =>  (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /*  37197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  37200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  37203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37205 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  37210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  37214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  37218 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  37220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37223 */     GIR_RootConstrainSelectedInstOperands,
     /*  37224 */     // GIR_Coverage, 2640,
     /*  37224 */     GIR_EraseRootFromParent_Done,
     /*  37225 */   // Label 293: @37225
     /*  37225 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(37291), // Rule ID 8706 //
     /*  37230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNotMADIntraFwdBug_isGFX9Plus),
     /*  37233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37245 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  37248 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  37253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37257 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  37261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37263 */     // (add:{ *:[i64] } i64:{ *:[i64] }:$src2, (intrinsic_wo_chain:{ *:[i64] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MAD_U64_U32_e64:{ *:[i64] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /*  37263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  37266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_e64),
     /*  37269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37271 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  37276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  37280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  37284 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  37286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37289 */     GIR_RootConstrainSelectedInstOperands,
     /*  37290 */     // GIR_Coverage, 8706,
     /*  37290 */     GIR_EraseRootFromParent_Done,
     /*  37291 */   // Label 294: @37291
     /*  37291 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(37357), // Rule ID 8710 //
     /*  37296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMADIntraFwdBug_isGFX11Only),
     /*  37299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37311 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  37314 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /*  37319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37323 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  37327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37329 */     // (add:{ *:[i64] } i64:{ *:[i64] }:$src2, (intrinsic_wo_chain:{ *:[i64] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MAD_U64_U32_gfx11_e64:{ *:[i64] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /*  37329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  37332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U64_U32_gfx11_e64),
     /*  37335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37337 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  37342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /*  37346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // src1
     /*  37350 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  37352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37355 */     GIR_RootConstrainSelectedInstOperands,
     /*  37356 */     // GIR_Coverage, 8710,
     /*  37356 */     GIR_EraseRootFromParent_Done,
     /*  37357 */   // Label 295: @37357
     /*  37357 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(37426), // Rule ID 2622 //
     /*  37362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLshlAddU64Inst),
     /*  37365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  37377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  37387 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*  37391 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*  37395 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl_0_to_4),
     /*  37399 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:9:z
     /*  37403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20942),
     /*  37407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37409 */     // (add:{ *:[i64] } (shl:{ *:[i64] } i64:{ *:[i64] }:$src0:$pred:9:x, i32:{ *:[i32] }:$src1:$pred:9:y)<<P:Predicate_shl_0_to_4>><<P:Predicate_anonymous_20943>>, i64:{ *:[i64] }:$src2:$pred:9:z)<<P:9:Predicate_anonymous_20942>>  =>  (V_LSHL_ADD_U64_e64:{ *:[i64] } VSrc_b64:{ *:[i64] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b64:{ *:[i64] }:$src2)
     /*  37409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U64_e64),
     /*  37412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  37418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  37422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  37424 */     GIR_RootConstrainSelectedInstOperands,
     /*  37425 */     // GIR_Coverage, 2622,
     /*  37425 */     GIR_EraseRootFromParent_Done,
     /*  37426 */   // Label 296: @37426
     /*  37426 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(37495), // Rule ID 8702 //
     /*  37431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLshlAddU64Inst),
     /*  37434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37438 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:9:z
     /*  37442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  37450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37458 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  37460 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*  37464 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*  37468 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_shl_0_to_4),
     /*  37472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20942),
     /*  37476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37478 */     // (add:{ *:[i64] } i64:{ *:[i64] }:$src2:$pred:9:z, (shl:{ *:[i64] } i64:{ *:[i64] }:$src0:$pred:9:x, i32:{ *:[i32] }:$src1:$pred:9:y)<<P:Predicate_shl_0_to_4>><<P:Predicate_anonymous_20943>>)<<P:9:Predicate_anonymous_20942>>  =>  (V_LSHL_ADD_U64_e64:{ *:[i64] } VSrc_b64:{ *:[i64] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b64:{ *:[i64] }:$src2)
     /*  37478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_ADD_U64_e64),
     /*  37481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  37487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  37491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  37493 */     GIR_RootConstrainSelectedInstOperands,
     /*  37494 */     // GIR_Coverage, 8702,
     /*  37494 */     GIR_EraseRootFromParent_Done,
     /*  37495 */   // Label 297: @37495
     /*  37495 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(37525), // Rule ID 1347 //
     /*  37500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  37504 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19694),
     /*  37508 */     // (add:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_19694>>  =>  (V_ADD_U64_PSEUDO:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  37508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U64_PSEUDO),
     /*  37513 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::VCC), GIMT_Encode2(RegState::Dead),
     /*  37519 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  37523 */     GIR_RootConstrainSelectedInstOperands,
     /*  37524 */     // GIR_Coverage, 1347,
     /*  37524 */     GIR_Done,
     /*  37525 */   // Label 298: @37525
     /*  37525 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(37551), // Rule ID 1349 //
     /*  37530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  37534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13755),
     /*  37538 */     // (add:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13755>>  =>  (S_ADD_U64_PSEUDO:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  37538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_U64_PSEUDO),
     /*  37543 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  37549 */     GIR_RootConstrainSelectedInstOperands,
     /*  37550 */     // GIR_Coverage, 1349,
     /*  37550 */     GIR_Done,
     /*  37551 */   // Label 299: @37551
     /*  37551 */   GIM_Reject,
     /*  37552 */ // Label 291: @37552
     /*  37552 */ GIM_Reject,
     /*  37553 */ // Label 174: @37553
     /*  37553 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(37822),
     /*  37558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  37561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  37564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  37568 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(37664), // Rule ID 8677 //
     /*  37573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  37585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  37589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37612 */     // (add:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (mul:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers)))  =>  (V_PK_MAD_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2i16:{ *:[v2i16] }:$src2)
     /*  37612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAD_U16),
     /*  37615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /*  37622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /*  37627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_modifiers
     /*  37632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /*  37637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /*  37642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /*  37647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37662 */     GIR_RootConstrainSelectedInstOperands,
     /*  37663 */     // GIR_Coverage, 8677,
     /*  37663 */     GIR_EraseRootFromParent_Done,
     /*  37664 */   // Label 301: @37664
     /*  37664 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(37760), // Rule ID 1089 //
     /*  37669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  37681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  37685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37708 */     // (add:{ *:[v2i16] } (mul:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers)), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_PK_MAD_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2i16:{ *:[v2i16] }:$src2)
     /*  37708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAD_U16),
     /*  37711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  37718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  37723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  37728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  37733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  37738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  37743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37758 */     GIR_RootConstrainSelectedInstOperands,
     /*  37759 */     // GIR_Coverage, 1089,
     /*  37759 */     GIR_EraseRootFromParent_Done,
     /*  37760 */   // Label 302: @37760
     /*  37760 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(37821), // Rule ID 1100 //
     /*  37765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  37779 */     // (add:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /*  37779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_U16),
     /*  37782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  37784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  37789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  37794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  37799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  37804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  37819 */     GIR_RootConstrainSelectedInstOperands,
     /*  37820 */     // GIR_Coverage, 1100,
     /*  37820 */     GIR_EraseRootFromParent_Done,
     /*  37821 */   // Label 303: @37821
     /*  37821 */   GIM_Reject,
     /*  37822 */ // Label 300: @37822
     /*  37822 */ GIM_Reject,
     /*  37823 */ // Label 175: @37823
     /*  37823 */ GIM_Reject,
     /*  37824 */ // Label 1: @37824
     /*  37824 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 309*/ GIMT_Encode4(38446),
     /*  37835 */ /*GILLT_s1*//*Label 304*/ GIMT_Encode4(37855),
     /*  37839 */ /*GILLT_s16*//*Label 305*/ GIMT_Encode4(37974),
     /*  37843 */ /*GILLT_s32*//*Label 306*/ GIMT_Encode4(38190),
     /*  37847 */ /*GILLT_s64*//*Label 307*/ GIMT_Encode4(38305),
     /*  37851 */ /*GILLT_v2s16*//*Label 308*/ GIMT_Encode4(38374),
     /*  37855 */ // Label 304: @37855
     /*  37855 */ GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(37973),
     /*  37860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  37863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  37866 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(37894), // Rule ID 7619 //
     /*  37871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  37874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  37878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37882 */     // (sub:{ *:[i1] } i1:{ *:[i1] }:$src0, -1:{ *:[i1] })  =>  (S_NOT_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0)
     /*  37882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B64),
     /*  37885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  37887 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  37889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  37892 */     GIR_RootConstrainSelectedInstOperands,
     /*  37893 */     // GIR_Coverage, 7619,
     /*  37893 */     GIR_EraseRootFromParent_Done,
     /*  37894 */   // Label 311: @37894
     /*  37894 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(37922), // Rule ID 7626 //
     /*  37899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  37902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  37906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37910 */     // (sub:{ *:[i1] } i1:{ *:[i1] }:$src0, -1:{ *:[i1] })  =>  (S_NOT_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0)
     /*  37910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B32),
     /*  37913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  37915 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  37917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  37920 */     GIR_RootConstrainSelectedInstOperands,
     /*  37921 */     // GIR_Coverage, 7626,
     /*  37921 */     GIR_EraseRootFromParent_Done,
     /*  37922 */   // Label 312: @37922
     /*  37922 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(37947), // Rule ID 7617 //
     /*  37927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  37930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  37934 */     // (sub:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  37934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B64),
     /*  37939 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  37945 */     GIR_RootConstrainSelectedInstOperands,
     /*  37946 */     // GIR_Coverage, 7617,
     /*  37946 */     GIR_Done,
     /*  37947 */   // Label 313: @37947
     /*  37947 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(37972), // Rule ID 7624 //
     /*  37952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  37955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  37959 */     // (sub:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  37959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /*  37964 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  37970 */     GIR_RootConstrainSelectedInstOperands,
     /*  37971 */     // GIR_Coverage, 7624,
     /*  37971 */     GIR_Done,
     /*  37972 */   // Label 314: @37972
     /*  37972 */   GIM_Reject,
     /*  37973 */ // Label 310: @37973
     /*  37973 */ GIM_Reject,
     /*  37974 */ // Label 305: @37974
     /*  37974 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(38189),
     /*  37979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  37982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  37985 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(38044), // Rule ID 1071 //
     /*  37990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /*  37993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  37997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /*  38004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /*  38011 */     // (sub:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  38011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_e64),
     /*  38014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38042 */     GIR_RootConstrainSelectedInstOperands,
     /*  38043 */     // GIR_Coverage, 1071,
     /*  38043 */     GIR_EraseRootFromParent_Done,
     /*  38044 */   // Label 316: @38044
     /*  38044 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(38103), // Rule ID 1072 //
     /*  38049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX10Plus),
     /*  38052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  38056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38070 */     // (sub:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  38070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_t16_e64),
     /*  38073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38101 */     GIR_RootConstrainSelectedInstOperands,
     /*  38102 */     // GIR_Coverage, 1072,
     /*  38102 */     GIR_EraseRootFromParent_Done,
     /*  38103 */   // Label 317: @38103
     /*  38103 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(38162), // Rule ID 1073 //
     /*  38108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX10Plus),
     /*  38111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38129 */     // (sub:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  38129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_fake16_e64),
     /*  38132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38160 */     GIR_RootConstrainSelectedInstOperands,
     /*  38161 */     // GIR_Coverage, 1073,
     /*  38161 */     GIR_EraseRootFromParent_Done,
     /*  38162 */   // Label 318: @38162
     /*  38162 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(38188), // Rule ID 912 //
     /*  38167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8GFX9),
     /*  38170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38174 */     // (sub:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_SUB_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  38174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /*  38177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38179 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  38181 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  38183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38186 */     GIR_RootConstrainSelectedInstOperands,
     /*  38187 */     // GIR_Coverage, 912,
     /*  38187 */     GIR_EraseRootFromParent_Done,
     /*  38188 */   // Label 319: @38188
     /*  38188 */   GIM_Reject,
     /*  38189 */ // Label 315: @38189
     /*  38189 */ GIM_Reject,
     /*  38190 */ // Label 306: @38190
     /*  38190 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(38304),
     /*  38195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  38198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  38201 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(38235), // Rule ID 44 //
     /*  38206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38218 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13756),
     /*  38222 */     // (sub:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13756>>  =>  (S_SUB_I32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /*  38222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_I32),
     /*  38227 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  38233 */     GIR_RootConstrainSelectedInstOperands,
     /*  38234 */     // GIR_Coverage, 44,
     /*  38234 */     GIR_Done,
     /*  38235 */   // Label 321: @38235
     /*  38235 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(38265), // Rule ID 2502 //
     /*  38240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts),
     /*  38243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38247 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19696),
     /*  38251 */     // (sub:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19696>>  =>  (V_SUB_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, 0:{ *:[i1] })
     /*  38251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U32_e64),
     /*  38254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38256 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  38258 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  38260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38263 */     GIR_RootConstrainSelectedInstOperands,
     /*  38264 */     // GIR_Coverage, 2502,
     /*  38264 */     GIR_EraseRootFromParent_Done,
     /*  38265 */   // Label 322: @38265
     /*  38265 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(38303), // Rule ID 2504 //
     /*  38270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7GFX8GFX9),
     /*  38273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38277 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19696),
     /*  38281 */     // (sub:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19696>>  =>  (V_SUB_CO_U32_e64:{ *:[i32] }:{ *:[i1] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, 0:{ *:[i1] })
     /*  38281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  38284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_CO_U32_e64),
     /*  38287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38289 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  38294 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  38296 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  38298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38301 */     GIR_RootConstrainSelectedInstOperands,
     /*  38302 */     // GIR_Coverage, 2504,
     /*  38302 */     GIR_EraseRootFromParent_Done,
     /*  38303 */   // Label 323: @38303
     /*  38303 */   GIM_Reject,
     /*  38304 */ // Label 320: @38304
     /*  38304 */ GIM_Reject,
     /*  38305 */ // Label 307: @38305
     /*  38305 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(38373),
     /*  38310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  38313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  38316 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(38346), // Rule ID 1348 //
     /*  38321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  38325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19696),
     /*  38329 */     // (sub:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_19696>>  =>  (V_SUB_U64_PSEUDO:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  38329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U64_PSEUDO),
     /*  38334 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::VCC), GIMT_Encode2(RegState::Dead),
     /*  38340 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  38344 */     GIR_RootConstrainSelectedInstOperands,
     /*  38345 */     // GIR_Coverage, 1348,
     /*  38345 */     GIR_Done,
     /*  38346 */   // Label 325: @38346
     /*  38346 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(38372), // Rule ID 1350 //
     /*  38351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  38355 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13756),
     /*  38359 */     // (sub:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13756>>  =>  (S_SUB_U64_PSEUDO:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  38359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_U64_PSEUDO),
     /*  38364 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  38370 */     GIR_RootConstrainSelectedInstOperands,
     /*  38371 */     // GIR_Coverage, 1350,
     /*  38371 */     GIR_Done,
     /*  38372 */   // Label 326: @38372
     /*  38372 */   GIM_Reject,
     /*  38373 */ // Label 324: @38373
     /*  38373 */ GIM_Reject,
     /*  38374 */ // Label 308: @38374
     /*  38374 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(38445), // Rule ID 1108 //
     /*  38379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  38382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  38385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38389 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  38396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  38403 */   // (sub:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_SUB_I16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /*  38403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_SUB_I16),
     /*  38406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38443 */   GIR_RootConstrainSelectedInstOperands,
     /*  38444 */   // GIR_Coverage, 1108,
     /*  38444 */   GIR_EraseRootFromParent_Done,
     /*  38445 */ // Label 327: @38445
     /*  38445 */ GIM_Reject,
     /*  38446 */ // Label 309: @38446
     /*  38446 */ GIM_Reject,
     /*  38447 */ // Label 2: @38447
     /*  38447 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 332*/ GIMT_Encode4(38792),
     /*  38458 */ /*GILLT_s16*//*Label 328*/ GIMT_Encode4(38474),
     /*  38462 */ /*GILLT_s32*//*Label 329*/ GIMT_Encode4(38589),
     /*  38466 */ /*GILLT_s64*//*Label 330*/ GIMT_Encode4(38690),
     /*  38470 */ /*GILLT_v2s16*//*Label 331*/ GIMT_Encode4(38720),
     /*  38474 */ // Label 328: @38474
     /*  38474 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(38588),
     /*  38479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  38482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  38485 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(38541), // Rule ID 879 //
     /*  38490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  38493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  38497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  38511 */     // (mul:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_LO_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  38511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U16_t16_e64),
     /*  38514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38539 */     GIR_RootConstrainSelectedInstOperands,
     /*  38540 */     // GIR_Coverage, 879,
     /*  38540 */     GIR_EraseRootFromParent_Done,
     /*  38541 */   // Label 334: @38541
     /*  38541 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(38564), // Rule ID 878 //
     /*  38546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /*  38549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38553 */     // (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MUL_LO_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  38553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U16_e64),
     /*  38558 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  38562 */     GIR_RootConstrainSelectedInstOperands,
     /*  38563 */     // GIR_Coverage, 878,
     /*  38563 */     GIR_Done,
     /*  38564 */   // Label 335: @38564
     /*  38564 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(38587), // Rule ID 880 //
     /*  38569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  38572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38576 */     // (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MUL_LO_U16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  38576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U16_fake16_e64),
     /*  38581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  38585 */     GIR_RootConstrainSelectedInstOperands,
     /*  38586 */     // GIR_Coverage, 880,
     /*  38586 */     GIR_Done,
     /*  38587 */   // Label 336: @38587
     /*  38587 */   GIM_Reject,
     /*  38588 */ // Label 333: @38588
     /*  38588 */ GIM_Reject,
     /*  38589 */ // Label 329: @38589
     /*  38589 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(38689),
     /*  38594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  38597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  38600 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(38620), // Rule ID 81 //
     /*  38605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38609 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13763),
     /*  38613 */     // (mul:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13763>>  =>  (S_MUL_I32:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  38613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_I32),
     /*  38618 */     GIR_RootConstrainSelectedInstOperands,
     /*  38619 */     // GIR_Coverage, 81,
     /*  38619 */     GIR_Done,
     /*  38620 */   // Label 338: @38620
     /*  38620 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(38654), // Rule ID 940 //
     /*  38625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20190),
     /*  38633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  38640 */     // (mul:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_20190>>  =>  (V_MUL_LO_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  38640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U32_e64),
     /*  38643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38650 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  38652 */     GIR_RootConstrainSelectedInstOperands,
     /*  38653 */     // GIR_Coverage, 940,
     /*  38653 */     GIR_EraseRootFromParent_Done,
     /*  38654 */   // Label 339: @38654
     /*  38654 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(38688), // Rule ID 8667 //
     /*  38659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20190),
     /*  38667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  38674 */     // (mul:{ *:[i32] } i32:{ *:[i32] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))<<P:Predicate_anonymous_20190>>  =>  (V_MUL_LO_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  38674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U32_e64),
     /*  38677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38684 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  38686 */     GIR_RootConstrainSelectedInstOperands,
     /*  38687 */     // GIR_Coverage, 8667,
     /*  38687 */     GIR_EraseRootFromParent_Done,
     /*  38688 */   // Label 340: @38688
     /*  38688 */   GIM_Reject,
     /*  38689 */ // Label 337: @38689
     /*  38689 */ GIM_Reject,
     /*  38690 */ // Label 330: @38690
     /*  38690 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(38719), // Rule ID 51 //
     /*  38695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  38698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  38701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  38704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  38708 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13763),
     /*  38712 */   // (mul:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13763>>  =>  (S_MUL_U64:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  38712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_U64),
     /*  38717 */   GIR_RootConstrainSelectedInstOperands,
     /*  38718 */   // GIR_Coverage, 51,
     /*  38718 */   GIR_Done,
     /*  38719 */ // Label 341: @38719
     /*  38719 */ GIM_Reject,
     /*  38720 */ // Label 331: @38720
     /*  38720 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(38791), // Rule ID 1101 //
     /*  38725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  38728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  38731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  38735 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  38742 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /*  38749 */   // (mul:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MUL_LO_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /*  38749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_LO_U16),
     /*  38752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  38754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  38759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  38764 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  38769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  38774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  38789 */   GIR_RootConstrainSelectedInstOperands,
     /*  38790 */   // GIR_Coverage, 1101,
     /*  38790 */   GIR_EraseRootFromParent_Done,
     /*  38791 */ // Label 342: @38791
     /*  38791 */ GIM_Reject,
     /*  38792 */ // Label 332: @38792
     /*  38792 */ GIM_Reject,
     /*  38793 */ // Label 3: @38793
     /*  38793 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(17), /*)*//*default:*//*Label 350*/ GIMT_Encode4(40193),
     /*  38804 */ /*GILLT_s1*//*Label 343*/ GIMT_Encode4(38844),
     /*  38808 */ /*GILLT_s16*//*Label 344*/ GIMT_Encode4(38907),
     /*  38812 */ /*GILLT_s32*//*Label 345*/ GIMT_Encode4(39147),
     /*  38816 */ /*GILLT_s64*//*Label 346*/ GIMT_Encode4(39671),
     /*  38820 */ /*GILLT_v2s16*//*Label 347*/ GIMT_Encode4(39796),
     /*  38824 */ /*GILLT_v2s32*//*Label 348*/ GIMT_Encode4(39947), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  38840 */ /*GILLT_v4s16*//*Label 349*/ GIMT_Encode4(40070),
     /*  38844 */ // Label 343: @38844
     /*  38844 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(38906),
     /*  38849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  38852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  38855 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(38880), // Rule ID 7613 //
     /*  38860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  38863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  38867 */     // (and:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_AND_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  38867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B64),
     /*  38872 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  38878 */     GIR_RootConstrainSelectedInstOperands,
     /*  38879 */     // GIR_Coverage, 7613,
     /*  38879 */     GIR_Done,
     /*  38880 */   // Label 352: @38880
     /*  38880 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(38905), // Rule ID 7620 //
     /*  38885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  38888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38892 */     // (and:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_AND_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  38892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /*  38897 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  38903 */     GIR_RootConstrainSelectedInstOperands,
     /*  38904 */     // GIR_Coverage, 7620,
     /*  38904 */     GIR_Done,
     /*  38905 */   // Label 353: @38905
     /*  38905 */   GIM_Reject,
     /*  38906 */ // Label 351: @38906
     /*  38906 */ GIM_Reject,
     /*  38907 */ // Label 344: @38907
     /*  38907 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(39146),
     /*  38912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  38915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  38918 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(38969), // Rule ID 8679 //
     /*  38923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  38939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  38943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  38947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  38951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38953 */     // (and:{ *:[i16] } (xor:{ *:[i16] } i16:{ *:[i16] }:$src1, -1:{ *:[i16] }), i16:{ *:[i16] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[i16] }:{ *:[i1] } SSrc_b32:{ *:[i16] }:$src0, SSrc_b32:{ *:[i16] }:$src1)
     /*  38953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  38956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  38958 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  38960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  38967 */     GIR_RootConstrainSelectedInstOperands,
     /*  38968 */     // GIR_Coverage, 8679,
     /*  38968 */     GIR_EraseRootFromParent_Done,
     /*  38969 */   // Label 355: @38969
     /*  38969 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(39020), // Rule ID 1891 //
     /*  38974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  38978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  38990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  38994 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  38998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39004 */     // (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (xor:{ *:[i16] } i16:{ *:[i16] }:$src1, -1:{ *:[i16] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[i16] }:{ *:[i1] } SSrc_b32:{ *:[i16] }:$src0, SSrc_b32:{ *:[i16] }:$src1)
     /*  39004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  39007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39009 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  39011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39018 */     GIR_RootConstrainSelectedInstOperands,
     /*  39019 */     // GIR_Coverage, 1891,
     /*  39019 */     GIR_EraseRootFromParent_Done,
     /*  39020 */   // Label 356: @39020
     /*  39020 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(39043), // Rule ID 2531 //
     /*  39025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  39028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39032 */     // (and:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_AND_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  39032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  39037 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  39041 */     GIR_RootConstrainSelectedInstOperands,
     /*  39042 */     // GIR_Coverage, 2531,
     /*  39042 */     GIR_Done,
     /*  39043 */   // Label 357: @39043
     /*  39043 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(39066), // Rule ID 2534 //
     /*  39048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  39051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39055 */     // (and:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_AND_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  39055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  39060 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  39064 */     GIR_RootConstrainSelectedInstOperands,
     /*  39065 */     // GIR_Coverage, 2534,
     /*  39065 */     GIR_Done,
     /*  39066 */   // Label 358: @39066
     /*  39066 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(39122), // Rule ID 905 //
     /*  39071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  39074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  39078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  39085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  39092 */     // (and:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_AND_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  39092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B16_t16_e64),
     /*  39095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  39102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  39107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  39112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  39117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  39120 */     GIR_RootConstrainSelectedInstOperands,
     /*  39121 */     // GIR_Coverage, 905,
     /*  39121 */     GIR_EraseRootFromParent_Done,
     /*  39122 */   // Label 359: @39122
     /*  39122 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(39145), // Rule ID 906 //
     /*  39127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  39130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39134 */     // (and:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_AND_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  39134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B16_fake16_e64),
     /*  39139 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  39143 */     GIR_RootConstrainSelectedInstOperands,
     /*  39144 */     // GIR_Coverage, 906,
     /*  39144 */     GIR_Done,
     /*  39145 */   // Label 360: @39145
     /*  39145 */   GIM_Reject,
     /*  39146 */ // Label 354: @39146
     /*  39146 */ GIM_Reject,
     /*  39147 */ // Label 345: @39147
     /*  39147 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(39670),
     /*  39152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  39155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  39158 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(39233), // Rule ID 11396 //
     /*  39163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  39175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  39185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  39193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39197 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  39201 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  39203 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  39207 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19704),
     /*  39215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39217 */     // (and:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$width)<<P:Predicate_shl_oneuse>>, -1:{ *:[i32] })<<P:Predicate_add_oneuse>>, i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_19704>>  =>  (V_BFE_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src, 0:{ *:[i32] }, ?:{ *:[i32] }:$width)
     /*  39217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /*  39220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39222 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  39224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  39227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // width
     /*  39231 */     GIR_RootConstrainSelectedInstOperands,
     /*  39232 */     // GIR_Coverage, 11396,
     /*  39232 */     GIR_EraseRootFromParent_Done,
     /*  39233 */   // Label 362: @39233
     /*  39233 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(39308), // Rule ID 11397 //
     /*  39238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  39260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  39268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39272 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  39276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  39278 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  39282 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39286 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19704),
     /*  39290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39292 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, i32:{ *:[i32] }:$width)<<P:Predicate_shl_oneuse>>, -1:{ *:[i32] })<<P:Predicate_xor_oneuse>>, i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_19704>>  =>  (V_BFE_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src, 0:{ *:[i32] }, ?:{ *:[i32] }:$width)
     /*  39292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /*  39295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39297 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  39299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  39302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // width
     /*  39306 */     GIR_RootConstrainSelectedInstOperands,
     /*  39307 */     // GIR_Coverage, 11397,
     /*  39307 */     GIR_EraseRootFromParent_Done,
     /*  39308 */   // Label 363: @39308
     /*  39308 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(39383), // Rule ID 7774 //
     /*  39313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  39325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39333 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  39335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  39343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  39351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  39353 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  39357 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39361 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19704),
     /*  39365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39367 */     // (and:{ *:[i32] } i32:{ *:[i32] }:$src, (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$width)<<P:Predicate_shl_oneuse>>, -1:{ *:[i32] })<<P:Predicate_add_oneuse>>)<<P:Predicate_anonymous_19704>>  =>  (V_BFE_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src, 0:{ *:[i32] }, ?:{ *:[i32] }:$width)
     /*  39367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /*  39370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39372 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  39377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // width
     /*  39381 */     GIR_RootConstrainSelectedInstOperands,
     /*  39382 */     // GIR_Coverage, 7774,
     /*  39382 */     GIR_EraseRootFromParent_Done,
     /*  39383 */   // Label 364: @39383
     /*  39383 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(39458), // Rule ID 7775 //
     /*  39388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  39410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  39418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39422 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  39426 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  39428 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  39432 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39436 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19704),
     /*  39440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39442 */     // (and:{ *:[i32] } i32:{ *:[i32] }:$src, (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, i32:{ *:[i32] }:$width)<<P:Predicate_shl_oneuse>>, -1:{ *:[i32] })<<P:Predicate_xor_oneuse>>)<<P:Predicate_anonymous_19704>>  =>  (V_BFE_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src, 0:{ *:[i32] }, ?:{ *:[i32] }:$width)
     /*  39442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /*  39445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39447 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  39452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // width
     /*  39456 */     GIR_RootConstrainSelectedInstOperands,
     /*  39457 */     // GIR_Coverage, 7775,
     /*  39457 */     GIR_EraseRootFromParent_Done,
     /*  39458 */   // Label 365: @39458
     /*  39458 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(39509), // Rule ID 8608 //
     /*  39463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  39467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39483 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39487 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39493 */     // (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, -1:{ *:[i32] }), i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  39493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  39496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39498 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  39500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39507 */     GIR_RootConstrainSelectedInstOperands,
     /*  39508 */     // GIR_Coverage, 8608,
     /*  39508 */     GIR_EraseRootFromParent_Done,
     /*  39509 */   // Label 366: @39509
     /*  39509 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(39560), // Rule ID 64 //
     /*  39514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  39518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39534 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39544 */     // (and:{ *:[i32] } i32:{ *:[i32] }:$src0, (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, -1:{ *:[i32] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  39544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  39547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39549 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  39551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39558 */     GIR_RootConstrainSelectedInstOperands,
     /*  39559 */     // GIR_Coverage, 64,
     /*  39559 */     GIR_EraseRootFromParent_Done,
     /*  39560 */   // Label 367: @39560
     /*  39560 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(39623), // Rule ID 7773 //
     /*  39565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  39577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  39581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  39585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  39589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39593 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_IMMZeroBasedBitfieldMask),
     /*  39597 */     // MIs[2] Operand 1
     /*  39597 */     // No operand predicates
     /*  39597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19704),
     /*  39601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39603 */     // (and:{ *:[i32] } (srl:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$rshift), (imm:{ *:[i32] })<<P:Predicate_IMMZeroBasedBitfieldMask>>:$mask)<<P:Predicate_anonymous_19704>>  =>  (V_BFE_U32_e64:{ *:[i32] } ?:{ *:[i32] }:$src, ?:{ *:[i32] }:$rshift, (IMMPopCount:{ *:[i32] } ?:{ *:[i32] }:$mask))
     /*  39603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /*  39606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  39608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  39612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rshift
     /*  39616 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderPopcntImm), // mask
     /*  39621 */     GIR_RootConstrainSelectedInstOperands,
     /*  39622 */     // GIR_Coverage, 7773,
     /*  39622 */     GIR_EraseRootFromParent_Done,
     /*  39623 */   // Label 368: @39623
     /*  39623 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(39649), // Rule ID 52 //
     /*  39628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  39632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39636 */     // (and:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13764>>  =>  (S_AND_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  39636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /*  39641 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  39647 */     GIR_RootConstrainSelectedInstOperands,
     /*  39648 */     // GIR_Coverage, 52,
     /*  39648 */     GIR_Done,
     /*  39649 */   // Label 369: @39649
     /*  39649 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(39669), // Rule ID 816 //
     /*  39654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39658 */     // (and:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_AND_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  39658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  39663 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  39667 */     GIR_RootConstrainSelectedInstOperands,
     /*  39668 */     // GIR_Coverage, 816,
     /*  39668 */     GIR_Done,
     /*  39669 */   // Label 370: @39669
     /*  39669 */   GIM_Reject,
     /*  39670 */ // Label 361: @39670
     /*  39670 */ GIM_Reject,
     /*  39671 */ // Label 346: @39671
     /*  39671 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(39795),
     /*  39676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  39679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  39682 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  39690 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(39733), // Rule ID 8609 //
     /*  39695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39711 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39717 */     // (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$src1, -1:{ *:[i64] }), i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  39717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  39720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39722 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  39724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39731 */     GIR_RootConstrainSelectedInstOperands,
     /*  39732 */     // GIR_Coverage, 8609,
     /*  39732 */     GIR_EraseRootFromParent_Done,
     /*  39733 */   // Label 372: @39733
     /*  39733 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(39776), // Rule ID 65 //
     /*  39738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39754 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  39758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39760 */     // (and:{ *:[i64] } i64:{ *:[i64] }:$src0, (xor:{ *:[i64] } i64:{ *:[i64] }:$src1, -1:{ *:[i64] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  39760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  39763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39765 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  39767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39774 */     GIR_RootConstrainSelectedInstOperands,
     /*  39775 */     // GIR_Coverage, 65,
     /*  39775 */     GIR_EraseRootFromParent_Done,
     /*  39776 */   // Label 373: @39776
     /*  39776 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(39794), // Rule ID 53 //
     /*  39781 */     // (and:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13764>>  =>  (S_AND_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  39781 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B64),
     /*  39786 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  39792 */     GIR_RootConstrainSelectedInstOperands,
     /*  39793 */     // GIR_Coverage, 53,
     /*  39793 */     GIR_Done,
     /*  39794 */   // Label 374: @39794
     /*  39794 */   GIM_Reject,
     /*  39795 */ // Label 371: @39795
     /*  39795 */ GIM_Reject,
     /*  39796 */ // Label 347: @39796
     /*  39796 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(39946),
     /*  39801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  39804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  39807 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(39866), // Rule ID 8680 //
     /*  39812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  39816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  39828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  39832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  39836 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39842 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  39844 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39850 */     // (and:{ *:[v2i16] } (xor:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, immAllOnesV:{ *:[v2i16] }), v2i16:{ *:[v2i16] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[v2i16] }:{ *:[i1] } SSrc_b32:{ *:[v2i16] }:$src0, SSrc_b32:{ *:[v2i16] }:$src1)
     /*  39850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  39853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39855 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  39857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39864 */     GIR_RootConstrainSelectedInstOperands,
     /*  39865 */     // GIR_Coverage, 8680,
     /*  39865 */     GIR_EraseRootFromParent_Done,
     /*  39866 */   // Label 376: @39866
     /*  39866 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(39925), // Rule ID 1892 //
     /*  39871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  39875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  39887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  39891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  39895 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39901 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  39903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39909 */     // (and:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, (xor:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, immAllOnesV:{ *:[v2i16] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B32:{ *:[v2i16] }:{ *:[i1] } SSrc_b32:{ *:[v2i16] }:$src0, SSrc_b32:{ *:[v2i16] }:$src1)
     /*  39909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B32),
     /*  39912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  39914 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  39916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  39920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  39923 */     GIR_RootConstrainSelectedInstOperands,
     /*  39924 */     // GIR_Coverage, 1892,
     /*  39924 */     GIR_EraseRootFromParent_Done,
     /*  39925 */   // Label 377: @39925
     /*  39925 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(39945), // Rule ID 2537 //
     /*  39930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  39934 */     // (and:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1)  =>  (V_AND_B32_e64:{ *:[v2i16] } VSrc_b32:{ *:[v2i16] }:$src0, VSrc_b32:{ *:[v2i16] }:$src1)
     /*  39934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  39939 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  39943 */     GIR_RootConstrainSelectedInstOperands,
     /*  39944 */     // GIR_Coverage, 2537,
     /*  39944 */     GIR_Done,
     /*  39945 */   // Label 378: @39945
     /*  39945 */   GIM_Reject,
     /*  39946 */ // Label 375: @39946
     /*  39946 */ GIM_Reject,
     /*  39947 */ // Label 348: @39947
     /*  39947 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(40069),
     /*  39952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  39955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39958 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  39962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  39966 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(40017), // Rule ID 8682 //
     /*  39971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  39979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  39983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  39991 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39997 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  39999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40001 */     // (and:{ *:[v2i32] } (xor:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src1, immAllOnesV:{ *:[v2i32] }), v2i32:{ *:[v2i32] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[v2i32] }:{ *:[i1] } SSrc_b64:{ *:[v2i32] }:$src0, SSrc_b64:{ *:[v2i32] }:$src1)
     /*  40001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  40004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40006 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  40008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40015 */     GIR_RootConstrainSelectedInstOperands,
     /*  40016 */     // GIR_Coverage, 8682,
     /*  40016 */     GIR_EraseRootFromParent_Done,
     /*  40017 */   // Label 380: @40017
     /*  40017 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(40068), // Rule ID 1894 //
     /*  40022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40042 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40048 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40052 */     // (and:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src0, (xor:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src1, immAllOnesV:{ *:[v2i32] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[v2i32] }:{ *:[i1] } SSrc_b64:{ *:[v2i32] }:$src0, SSrc_b64:{ *:[v2i32] }:$src1)
     /*  40052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  40055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40057 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  40059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40066 */     GIR_RootConstrainSelectedInstOperands,
     /*  40067 */     // GIR_Coverage, 1894,
     /*  40067 */     GIR_EraseRootFromParent_Done,
     /*  40068 */   // Label 381: @40068
     /*  40068 */   GIM_Reject,
     /*  40069 */ // Label 379: @40069
     /*  40069 */ GIM_Reject,
     /*  40070 */ // Label 349: @40070
     /*  40070 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(40192),
     /*  40075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  40078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40081 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13764),
     /*  40085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  40089 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(40140), // Rule ID 8681 //
     /*  40094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  40106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40114 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40120 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40124 */     // (and:{ *:[v4i16] } (xor:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src1, immAllOnesV:{ *:[v4i16] }), v4i16:{ *:[v4i16] }:$src0)<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[v4i16] }:{ *:[i1] } SSrc_b64:{ *:[v4i16] }:$src0, SSrc_b64:{ *:[v4i16] }:$src1)
     /*  40124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  40127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  40131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40138 */     GIR_RootConstrainSelectedInstOperands,
     /*  40139 */     // GIR_Coverage, 8681,
     /*  40139 */     GIR_EraseRootFromParent_Done,
     /*  40140 */   // Label 383: @40140
     /*  40140 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(40191), // Rule ID 1893 //
     /*  40145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  40157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  40161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40165 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40171 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40175 */     // (and:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src0, (xor:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src1, immAllOnesV:{ *:[v4i16] }))<<P:Predicate_anonymous_13764>>  =>  (S_ANDN2_B64:{ *:[v4i16] }:{ *:[i1] } SSrc_b64:{ *:[v4i16] }:$src0, SSrc_b64:{ *:[v4i16] }:$src1)
     /*  40175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ANDN2_B64),
     /*  40178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40180 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  40182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40189 */     GIR_RootConstrainSelectedInstOperands,
     /*  40190 */     // GIR_Coverage, 1893,
     /*  40190 */     GIR_EraseRootFromParent_Done,
     /*  40191 */   // Label 384: @40191
     /*  40191 */   GIM_Reject,
     /*  40192 */ // Label 382: @40192
     /*  40192 */ GIM_Reject,
     /*  40193 */ // Label 350: @40193
     /*  40193 */ GIM_Reject,
     /*  40194 */ // Label 4: @40194
     /*  40194 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(17), /*)*//*default:*//*Label 392*/ GIMT_Encode4(55705),
     /*  40205 */ /*GILLT_s1*//*Label 385*/ GIMT_Encode4(40245),
     /*  40209 */ /*GILLT_s16*//*Label 386*/ GIMT_Encode4(40308),
     /*  40213 */ /*GILLT_s32*//*Label 387*/ GIMT_Encode4(40548),
     /*  40217 */ /*GILLT_s64*//*Label 388*/ GIMT_Encode4(46119),
     /*  40221 */ /*GILLT_v2s16*//*Label 389*/ GIMT_Encode4(55308),
     /*  40225 */ /*GILLT_v2s32*//*Label 390*/ GIMT_Encode4(55459), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  40241 */ /*GILLT_v4s16*//*Label 391*/ GIMT_Encode4(55582),
     /*  40245 */ // Label 385: @40245
     /*  40245 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(40307),
     /*  40250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  40253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  40256 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(40281), // Rule ID 7614 //
     /*  40261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  40264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  40268 */     // (or:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_OR_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  40268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B64),
     /*  40273 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  40279 */     GIR_RootConstrainSelectedInstOperands,
     /*  40280 */     // GIR_Coverage, 7614,
     /*  40280 */     GIR_Done,
     /*  40281 */   // Label 394: @40281
     /*  40281 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(40306), // Rule ID 7621 //
     /*  40286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  40289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  40293 */     // (or:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_OR_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  40293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /*  40298 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  40304 */     GIR_RootConstrainSelectedInstOperands,
     /*  40305 */     // GIR_Coverage, 7621,
     /*  40305 */     GIR_Done,
     /*  40306 */   // Label 395: @40306
     /*  40306 */   GIM_Reject,
     /*  40307 */ // Label 393: @40307
     /*  40307 */ GIM_Reject,
     /*  40308 */ // Label 386: @40308
     /*  40308 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(40547),
     /*  40313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  40316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  40319 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(40370), // Rule ID 8683 //
     /*  40324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  40328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  40340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  40344 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  40348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  40352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40354 */     // (or:{ *:[i16] } (xor:{ *:[i16] } i16:{ *:[i16] }:$src1, -1:{ *:[i16] }), i16:{ *:[i16] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[i16] }:{ *:[i1] } SSrc_b32:{ *:[i16] }:$src0, SSrc_b32:{ *:[i16] }:$src1)
     /*  40354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  40357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40359 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  40361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40368 */     GIR_RootConstrainSelectedInstOperands,
     /*  40369 */     // GIR_Coverage, 8683,
     /*  40369 */     GIR_EraseRootFromParent_Done,
     /*  40370 */   // Label 397: @40370
     /*  40370 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(40421), // Rule ID 1895 //
     /*  40375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  40379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  40391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  40395 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  40399 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  40403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40405 */     // (or:{ *:[i16] } i16:{ *:[i16] }:$src0, (xor:{ *:[i16] } i16:{ *:[i16] }:$src1, -1:{ *:[i16] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[i16] }:{ *:[i1] } SSrc_b32:{ *:[i16] }:$src0, SSrc_b32:{ *:[i16] }:$src1)
     /*  40405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  40408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  40410 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  40412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  40419 */     GIR_RootConstrainSelectedInstOperands,
     /*  40420 */     // GIR_Coverage, 1895,
     /*  40420 */     GIR_EraseRootFromParent_Done,
     /*  40421 */   // Label 398: @40421
     /*  40421 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(40444), // Rule ID 2532 //
     /*  40426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  40429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40433 */     // (or:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_OR_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  40433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /*  40438 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  40442 */     GIR_RootConstrainSelectedInstOperands,
     /*  40443 */     // GIR_Coverage, 2532,
     /*  40443 */     GIR_Done,
     /*  40444 */   // Label 399: @40444
     /*  40444 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(40467), // Rule ID 2535 //
     /*  40449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  40452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40456 */     // (or:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_OR_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  40456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /*  40461 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  40465 */     GIR_RootConstrainSelectedInstOperands,
     /*  40466 */     // GIR_Coverage, 2535,
     /*  40466 */     GIR_Done,
     /*  40467 */   // Label 400: @40467
     /*  40467 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(40523), // Rule ID 907 //
     /*  40472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  40475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  40479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  40486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  40493 */     // (or:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_OR_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  40493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B16_t16_e64),
     /*  40496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  40498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  40503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  40508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  40513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  40518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40521 */     GIR_RootConstrainSelectedInstOperands,
     /*  40522 */     // GIR_Coverage, 907,
     /*  40522 */     GIR_EraseRootFromParent_Done,
     /*  40523 */   // Label 401: @40523
     /*  40523 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(40546), // Rule ID 908 //
     /*  40528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  40531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40535 */     // (or:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_OR_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  40535 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B16_fake16_e64),
     /*  40540 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  40544 */     GIR_RootConstrainSelectedInstOperands,
     /*  40545 */     // GIR_Coverage, 908,
     /*  40545 */     GIR_Done,
     /*  40546 */   // Label 402: @40546
     /*  40546 */   GIM_Reject,
     /*  40547 */ // Label 396: @40547
     /*  40547 */ GIM_Reject,
     /*  40548 */ // Label 387: @40548
     /*  40548 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(46118),
     /*  40553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  40556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  40559 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(40740), // Rule ID 8713 //
     /*  40564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /*  40567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  40579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  40583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  40587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  40595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  40599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  40603 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  40607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  40615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  40619 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  40623 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-128),
     /*  40627 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 127,
     /*  40631 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /*  40642 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  40646 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  40650 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  40654 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  40658 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  40662 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  40666 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  40670 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  40674 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  40678 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  40682 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  40686 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  40690 */     // MIs[6] src2
     /*  40690 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/2, /*OtherMI*/3, /*OtherOpIdx*/2,
     /*  40695 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, uint8_t(-128),
     /*  40699 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/3, 127,
     /*  40703 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  40707 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  40709 */     // (or:{ *:[i32] } (and:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src2), -128:{ *:[i32] }, 127:{ *:[i32] }), 255:{ *:[i32] }), (shl:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2), -128:{ *:[i32] }, 127:{ *:[i32] }), 8:{ *:[i32] }))  =>  (V_ASHR_PK_I8_I32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src0, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  40709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_I8_I32_e64),
     /*  40712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  40714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src0
     /*  40721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src1
     /*  40728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // src2
     /*  40735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40738 */     GIR_RootConstrainSelectedInstOperands,
     /*  40739 */     // GIR_Coverage, 8713,
     /*  40739 */     GIR_EraseRootFromParent_Done,
     /*  40740 */   // Label 404: @40740
     /*  40740 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(40921), // Rule ID 2720 //
     /*  40745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /*  40748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  40760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  40764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  40768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  40776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  40780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  40784 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  40788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40792 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  40796 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  40800 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  40804 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-128),
     /*  40808 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 127,
     /*  40812 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  40816 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  40820 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  40824 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  40828 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  40832 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  40836 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  40840 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  40844 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  40848 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /*  40852 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  40856 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  40860 */     GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  40864 */     // MIs[6] src2
     /*  40864 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/2, /*OtherMI*/3, /*OtherOpIdx*/2,
     /*  40869 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, uint8_t(-128),
     /*  40873 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/3, 127,
     /*  40877 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/2, GIMT_Encode8(255),
     /*  40888 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  40890 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2), -128:{ *:[i32] }, 127:{ *:[i32] }), 8:{ *:[i32] }), (and:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src2), -128:{ *:[i32] }, 127:{ *:[i32] }), 255:{ *:[i32] }))  =>  (V_ASHR_PK_I8_I32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src0, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  40890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_I8_I32_e64),
     /*  40893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  40895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // src0
     /*  40902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  40909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // src2
     /*  40916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  40919 */     GIR_RootConstrainSelectedInstOperands,
     /*  40920 */     // GIR_Coverage, 2720,
     /*  40920 */     GIR_EraseRootFromParent_Done,
     /*  40921 */   // Label 405: @40921
     /*  40921 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(41089), // Rule ID 8714 //
     /*  40926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /*  40929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  40933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  40941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  40945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  40949 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  40953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  40961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  40965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  40969 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  40973 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/3, GIMT_Encode8(255),
     /*  40984 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  40988 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  40992 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  40996 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  41000 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41004 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  41008 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  41012 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  41016 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  41020 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  41024 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  41028 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  41032 */     // MIs[5] src2
     /*  41032 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  41037 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /*  41041 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/3, GIMT_Encode8(255),
     /*  41052 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 8,
     /*  41056 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  41058 */     // (or:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src2), 0:{ *:[i32] }, 255:{ *:[i32] }), (shl:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2), 0:{ *:[i32] }, 255:{ *:[i32] }), 8:{ *:[i32] }))  =>  (V_ASHR_PK_U8_I32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src0, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  41058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_U8_I32_e64),
     /*  41061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  41070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src1
     /*  41077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /*  41084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41087 */     GIR_RootConstrainSelectedInstOperands,
     /*  41088 */     // GIR_Coverage, 8714,
     /*  41088 */     GIR_EraseRootFromParent_Done,
     /*  41089 */   // Label 406: @41089
     /*  41089 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(41257), // Rule ID 2721 //
     /*  41094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /*  41097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  41109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  41125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41133 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  41137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  41141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  41145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  41149 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  41153 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /*  41157 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/3, GIMT_Encode8(255),
     /*  41168 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  41172 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  41176 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AMDGPU::G_AMDGPU_SMED3),
     /*  41180 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  41184 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  41188 */     GIM_CheckType, /*MI*/4, /*Op*/3, /*Type*/GILLT_s32,
     /*  41192 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  41196 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  41200 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  41204 */     // MIs[5] src2
     /*  41204 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/2, /*OtherMI*/3, /*OtherOpIdx*/2,
     /*  41209 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /*  41213 */     GIM_CheckConstantInt, /*MI*/4, /*Op*/3, GIMT_Encode8(255),
     /*  41224 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  41226 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2), 0:{ *:[i32] }, 255:{ *:[i32] }), 8:{ *:[i32] }), (AMDGPUsmed3:{ *:[i32] } (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src2), 0:{ *:[i32] }, 255:{ *:[i32] }))  =>  (V_ASHR_PK_U8_I32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src0, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src2, 0:{ *:[i32] })
     /*  41226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_U8_I32_e64),
     /*  41229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/5, /*OpIdx*/1, // src0
     /*  41238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // src1
     /*  41245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // src2
     /*  41252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  41255 */     GIR_RootConstrainSelectedInstOperands,
     /*  41256 */     // GIR_Coverage, 2721,
     /*  41256 */     GIR_EraseRootFromParent_Done,
     /*  41257 */   // Label 407: @41257
     /*  41257 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(41404), // Rule ID 11365 //
     /*  41262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41266 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41282 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  41290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41294 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41298 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  41302 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41310 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  41314 */     // MIs[3] x
     /*  41314 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  41319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  41323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41325 */     // (or:{ *:[i32] } (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] }), i32:{ *:[i32] }:$z), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  41325 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  41328 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41332 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41337 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  41341 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41346 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  41349 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41353 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41358 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/2, // y
     /*  41362 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  41370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  41383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  41391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  41399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  41402 */     GIR_RootConstrainSelectedInstOperands,
     /*  41403 */     // GIR_Coverage, 11365,
     /*  41403 */     GIR_EraseRootFromParent_Done,
     /*  41404 */   // Label 408: @41404
     /*  41404 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(41551), // Rule ID 11364 //
     /*  41409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41413 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41429 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  41437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41441 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41445 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  41449 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41457 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  41461 */     // MIs[3] x
     /*  41461 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  41466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  41470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41472 */     // (or:{ *:[i32] } (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] }), i32:{ *:[i32] }:$z), (and:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  41472 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  41475 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41479 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41484 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  41488 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41493 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  41496 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41500 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41505 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, // y
     /*  41509 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  41517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  41530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  41538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  41546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  41549 */     GIR_RootConstrainSelectedInstOperands,
     /*  41550 */     // GIR_Coverage, 11364,
     /*  41550 */     GIR_EraseRootFromParent_Done,
     /*  41551 */   // Label 409: @41551
     /*  41551 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(41698), // Rule ID 11363 //
     /*  41556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41560 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41576 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  41584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41588 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41592 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  41596 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41600 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41604 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  41608 */     // MIs[3] x
     /*  41608 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  41613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  41617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41619 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] })), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  41619 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  41622 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41626 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41631 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  41635 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41640 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  41643 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41647 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41652 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/2, // y
     /*  41656 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  41664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  41677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  41685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  41693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  41696 */     GIR_RootConstrainSelectedInstOperands,
     /*  41697 */     // GIR_Coverage, 11363,
     /*  41697 */     GIR_EraseRootFromParent_Done,
     /*  41698 */   // Label 410: @41698
     /*  41698 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(41845), // Rule ID 11362 //
     /*  41703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41707 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41723 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  41731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41735 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41739 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  41743 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  41755 */     // MIs[3] x
     /*  41755 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  41760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  41764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41766 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] })), (and:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  41766 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  41769 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41773 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41778 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  41782 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41787 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  41790 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41794 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41799 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, // y
     /*  41803 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  41811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  41824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  41832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  41840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  41843 */     GIR_RootConstrainSelectedInstOperands,
     /*  41844 */     // GIR_Coverage, 11362,
     /*  41844 */     GIR_EraseRootFromParent_Done,
     /*  41845 */   // Label 411: @41845
     /*  41845 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(41992), // Rule ID 11359 //
     /*  41850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41854 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  41866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  41870 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  41874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  41878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  41882 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  41886 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  41890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  41894 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  41898 */     // MIs[3] x
     /*  41898 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41903 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  41907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  41911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41913 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$x), (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] }), i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  41913 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  41916 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41920 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41925 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  41929 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41934 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  41937 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41941 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  41950 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  41958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  41971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  41976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  41979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  41981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  41987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  41990 */     GIR_RootConstrainSelectedInstOperands,
     /*  41991 */     // GIR_Coverage, 11359,
     /*  41991 */     GIR_EraseRootFromParent_Done,
     /*  41992 */   // Label 412: @41992
     /*  41992 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(42139), // Rule ID 11361 //
     /*  41997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42001 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42017 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42033 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42041 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  42045 */     // MIs[3] x
     /*  42045 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  42050 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  42054 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  42058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42060 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$y), (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] }), i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  42060 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  42063 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42067 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42072 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  42076 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42081 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  42084 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42088 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42093 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42097 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  42105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  42118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  42126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  42134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  42137 */     GIR_RootConstrainSelectedInstOperands,
     /*  42138 */     // GIR_Coverage, 11361,
     /*  42138 */     GIR_EraseRootFromParent_Done,
     /*  42139 */   // Label 413: @42139
     /*  42139 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(42286), // Rule ID 7519 //
     /*  42144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42148 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42164 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42180 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  42184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42188 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  42192 */     // MIs[3] x
     /*  42192 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  42197 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  42201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  42205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42207 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$x), (and:{ *:[i32] } i32:{ *:[i32] }:$z, (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] })))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  42207 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  42210 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42214 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42219 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  42223 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42228 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  42231 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42235 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42240 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  42244 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  42252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  42265 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  42273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  42281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  42284 */     GIR_RootConstrainSelectedInstOperands,
     /*  42285 */     // GIR_Coverage, 7519,
     /*  42285 */     GIR_EraseRootFromParent_Done,
     /*  42286 */   // Label 414: @42286
     /*  42286 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(42433), // Rule ID 11360 //
     /*  42291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42295 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42311 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42327 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  42331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42335 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  42339 */     // MIs[3] x
     /*  42339 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  42344 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  42348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  42352 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42354 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$y), (and:{ *:[i32] } i32:{ *:[i32] }:$z, (xor:{ *:[i32] } i32:{ *:[i32] }:$x, -1:{ *:[i32] })))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  42354 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  42357 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42361 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42366 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  42370 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42375 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  42378 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42382 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42387 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42391 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  42399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  42412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  42420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  42428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  42431 */     GIR_RootConstrainSelectedInstOperands,
     /*  42432 */     // GIR_Coverage, 11360,
     /*  42432 */     GIR_EraseRootFromParent_Done,
     /*  42433 */   // Label 415: @42433
     /*  42433 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(42526), // Rule ID 2617 //
     /*  42438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  42441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  42453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  42463 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*  42467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42483 */     GIM_RecordNamedOperand, /*MI*/2, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*  42487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  42491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42495 */     // MIs[3] Operand 1
     /*  42495 */     // No operand predicates
     /*  42495 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /*  42499 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:5:z
     /*  42503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20930),
     /*  42507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42509 */     // (or:{ *:[i32] } (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:5:x, (and:{ *:[i32] } i32:{ *:[i32] }:$src1:$pred:5:y, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_20920>>, i32:{ *:[i32] }:$src2:$pred:5:z)<<P:5:Predicate_anonymous_20930>>  =>  (V_LSHL_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  42509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  42512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  42518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  42522 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  42524 */     GIR_RootConstrainSelectedInstOperands,
     /*  42525 */     // GIR_Coverage, 2617,
     /*  42525 */     GIR_EraseRootFromParent_Done,
     /*  42526 */   // Label 416: @42526
     /*  42526 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(42619), // Rule ID 8698 //
     /*  42531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  42534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:5:z
     /*  42542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  42550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  42560 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*  42564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42580 */     GIM_RecordNamedOperand, /*MI*/2, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*  42584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  42588 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42592 */     // MIs[3] Operand 1
     /*  42592 */     // No operand predicates
     /*  42592 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /*  42596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20930),
     /*  42600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42602 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:5:z, (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:5:x, (and:{ *:[i32] } i32:{ *:[i32] }:$src1:$pred:5:y, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_20920>>)<<P:5:Predicate_anonymous_20930>>  =>  (V_LSHL_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  42602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  42605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  42611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  42615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  42617 */     GIR_RootConstrainSelectedInstOperands,
     /*  42618 */     // GIR_Coverage, 8698,
     /*  42618 */     GIR_EraseRootFromParent_Done,
     /*  42619 */   // Label 417: @42619
     /*  42619 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(42804), // Rule ID 11410 //
     /*  42624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42628 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42644 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  42652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42660 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  42664 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42668 */     // MIs[3] x
     /*  42668 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  42673 */     // MIs[3] z
     /*  42673 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  42678 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  42682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42684 */     // (or:{ *:[i32] } (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$y), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  42684 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  42687 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42691 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42696 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42700 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42705 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  42708 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42712 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42717 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  42721 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42726 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  42729 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42733 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42738 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42742 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42747 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  42750 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42754 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42759 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  42763 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  42771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  42775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42780 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42783 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  42786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  42791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  42799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  42802 */     GIR_RootConstrainSelectedInstOperands,
     /*  42803 */     // GIR_Coverage, 11410,
     /*  42803 */     GIR_EraseRootFromParent_Done,
     /*  42804 */   // Label 418: @42804
     /*  42804 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(42989), // Rule ID 11411 //
     /*  42809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42813 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  42825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  42829 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  42837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  42841 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  42845 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  42849 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  42853 */     // MIs[3] z
     /*  42853 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  42858 */     // MIs[3] x
     /*  42858 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  42863 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  42867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  42869 */     // (or:{ *:[i32] } (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$y), (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  42869 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  42872 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42876 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42881 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42885 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42890 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  42893 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42897 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42902 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  42906 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42911 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  42914 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42918 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42923 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  42927 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42932 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  42935 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42939 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42944 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  42948 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  42956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  42960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42965 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42968 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  42971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  42976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  42978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  42981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  42984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  42987 */     GIR_RootConstrainSelectedInstOperands,
     /*  42988 */     // GIR_Coverage, 11411,
     /*  42988 */     GIR_EraseRootFromParent_Done,
     /*  42989 */   // Label 419: @42989
     /*  42989 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(43174), // Rule ID 11412 //
     /*  42994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  42998 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43014 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43030 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43038 */     // MIs[3] x
     /*  43038 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43043 */     // MIs[3] z
     /*  43043 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43054 */     // (or:{ *:[i32] } (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$y), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43054 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43057 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43061 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43066 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  43070 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43075 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  43078 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43082 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43087 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  43091 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43096 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  43099 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43103 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43108 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  43112 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43117 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  43120 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43124 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43129 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // x
     /*  43133 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  43141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  43145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43150 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43153 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  43156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  43161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  43163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  43169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  43172 */     GIR_RootConstrainSelectedInstOperands,
     /*  43173 */     // GIR_Coverage, 11412,
     /*  43173 */     GIR_EraseRootFromParent_Done,
     /*  43174 */   // Label 420: @43174
     /*  43174 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(43359), // Rule ID 11413 //
     /*  43179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43183 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43199 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43215 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43223 */     // MIs[3] z
     /*  43223 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43228 */     // MIs[3] x
     /*  43228 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43239 */     // (or:{ *:[i32] } (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$y), (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43239 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43242 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43246 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43251 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  43255 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43260 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  43263 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43267 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43272 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  43276 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43281 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  43284 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43288 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43293 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // y
     /*  43297 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  43305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43314 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // x
     /*  43318 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  43326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  43330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43335 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43338 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  43341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  43346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  43348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  43354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  43357 */     GIR_RootConstrainSelectedInstOperands,
     /*  43358 */     // GIR_Coverage, 11413,
     /*  43358 */     GIR_EraseRootFromParent_Done,
     /*  43359 */   // Label 421: @43359
     /*  43359 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(43544), // Rule ID 11406 //
     /*  43364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43368 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43384 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43396 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43400 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43404 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43408 */     // MIs[3] x
     /*  43408 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43413 */     // MIs[3] z
     /*  43413 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43418 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43422 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43424 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z)), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43424 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43427 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43431 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43436 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43440 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43445 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  43448 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43452 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43457 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  43461 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43466 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  43469 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43473 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43478 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43482 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43487 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  43490 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43494 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43499 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  43503 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  43511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  43515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43520 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43523 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  43526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  43531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  43533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  43539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  43542 */     GIR_RootConstrainSelectedInstOperands,
     /*  43543 */     // GIR_Coverage, 11406,
     /*  43543 */     GIR_EraseRootFromParent_Done,
     /*  43544 */   // Label 422: @43544
     /*  43544 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(43729), // Rule ID 11407 //
     /*  43549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43553 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43569 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43585 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43593 */     // MIs[3] z
     /*  43593 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43598 */     // MIs[3] x
     /*  43598 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43609 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z)), (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43609 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43612 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43616 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43621 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43625 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43630 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  43633 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43637 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43642 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  43646 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43651 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  43654 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43658 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43663 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43667 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43672 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  43675 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43679 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43684 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // x
     /*  43688 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  43696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  43700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43705 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  43711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  43716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  43718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  43724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  43727 */     GIR_RootConstrainSelectedInstOperands,
     /*  43728 */     // GIR_Coverage, 11407,
     /*  43728 */     GIR_EraseRootFromParent_Done,
     /*  43729 */   // Label 423: @43729
     /*  43729 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(43914), // Rule ID 11408 //
     /*  43734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43738 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43754 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43770 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43778 */     // MIs[3] x
     /*  43778 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43783 */     // MIs[3] z
     /*  43783 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43794 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x)), (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43794 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43797 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43801 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43806 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43810 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43815 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  43818 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43822 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43827 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  43831 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43836 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  43839 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43843 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43848 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43852 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43857 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  43860 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43864 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43869 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // x
     /*  43873 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  43881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  43885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43890 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43893 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  43896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  43901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  43903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  43906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  43909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  43912 */     GIR_RootConstrainSelectedInstOperands,
     /*  43913 */     // GIR_Coverage, 11408,
     /*  43913 */     GIR_EraseRootFromParent_Done,
     /*  43914 */   // Label 424: @43914
     /*  43914 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(44099), // Rule ID 11409 //
     /*  43919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  43923 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  43935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  43939 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  43947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  43951 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  43955 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43959 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  43963 */     // MIs[3] z
     /*  43963 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  43968 */     // MIs[3] x
     /*  43968 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  43973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  43977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  43979 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x)), (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  43979 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  43982 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43986 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43991 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  43995 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44000 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44003 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44007 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44012 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  44016 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44021 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44024 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44028 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44033 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // y
     /*  44037 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44042 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44045 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44049 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44054 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // x
     /*  44058 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44075 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44078 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  44081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  44086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  44088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  44094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  44097 */     GIR_RootConstrainSelectedInstOperands,
     /*  44098 */     // GIR_Coverage, 11409,
     /*  44098 */     GIR_EraseRootFromParent_Done,
     /*  44099 */   // Label 425: @44099
     /*  44099 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(44284), // Rule ID 11400 //
     /*  44104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44108 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  44120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  44124 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  44136 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  44140 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  44148 */     // MIs[3] x
     /*  44148 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  44153 */     // MIs[3] z
     /*  44153 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  44158 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  44162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44164 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  44164 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  44167 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44171 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44176 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44180 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44185 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44188 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44192 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44197 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  44201 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44206 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44209 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44213 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44218 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44222 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44227 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44230 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44234 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44239 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  44243 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44260 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44263 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  44266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  44271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  44273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  44279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  44282 */     GIR_RootConstrainSelectedInstOperands,
     /*  44283 */     // GIR_Coverage, 11400,
     /*  44283 */     GIR_EraseRootFromParent_Done,
     /*  44284 */   // Label 426: @44284
     /*  44284 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(44469), // Rule ID 11401 //
     /*  44289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44293 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  44305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  44309 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  44321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  44325 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44329 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  44333 */     // MIs[3] z
     /*  44333 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  44338 */     // MIs[3] x
     /*  44338 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  44343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  44347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44349 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  44349 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  44352 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44356 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44361 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44365 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44370 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44373 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44377 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44382 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  44386 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44391 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44394 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44398 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44403 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44407 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44412 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44415 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44419 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44424 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  44428 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44445 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44448 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  44451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  44456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  44458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  44464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  44467 */     GIR_RootConstrainSelectedInstOperands,
     /*  44468 */     // GIR_Coverage, 11401,
     /*  44468 */     GIR_EraseRootFromParent_Done,
     /*  44469 */   // Label 427: @44469
     /*  44469 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(44654), // Rule ID 11404 //
     /*  44474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44478 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  44490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  44494 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  44506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  44510 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  44518 */     // MIs[3] x
     /*  44518 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  44523 */     // MIs[3] z
     /*  44523 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  44528 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  44532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44534 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  44534 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  44537 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44541 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44546 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44550 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44555 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44558 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44562 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44567 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  44571 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44576 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44579 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44583 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44588 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44592 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44597 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44600 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44604 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44609 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  44613 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44630 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44633 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  44636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  44641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  44643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  44649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  44652 */     GIR_RootConstrainSelectedInstOperands,
     /*  44653 */     // GIR_Coverage, 11404,
     /*  44653 */     GIR_EraseRootFromParent_Done,
     /*  44654 */   // Label 428: @44654
     /*  44654 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(44839), // Rule ID 11405 //
     /*  44659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44663 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  44675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  44679 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  44691 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  44695 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  44703 */     // MIs[3] z
     /*  44703 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  44708 */     // MIs[3] x
     /*  44708 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  44713 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  44717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44719 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), (and:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$y))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  44719 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  44722 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44726 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44731 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44735 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44740 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44743 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44747 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44752 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  44756 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44761 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44764 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44768 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44773 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  44777 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44782 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44785 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44789 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44794 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  44798 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44815 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44818 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  44821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  44826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  44828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  44831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  44834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  44837 */     GIR_RootConstrainSelectedInstOperands,
     /*  44838 */     // GIR_Coverage, 11405,
     /*  44838 */     GIR_EraseRootFromParent_Done,
     /*  44839 */   // Label 429: @44839
     /*  44839 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(45024), // Rule ID 7777 //
     /*  44844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44848 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  44860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  44864 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  44872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  44876 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  44880 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  44888 */     // MIs[3] x
     /*  44888 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  44893 */     // MIs[3] z
     /*  44893 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  44898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  44902 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44904 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z)))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  44904 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  44907 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44911 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44916 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  44920 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44925 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  44928 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44932 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44937 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  44941 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44946 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  44949 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44953 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44958 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  44962 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44967 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  44970 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44974 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44979 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  44983 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  44988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  44991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  44995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45000 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45003 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  45006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  45011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  45016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  45019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  45022 */     GIR_RootConstrainSelectedInstOperands,
     /*  45023 */     // GIR_Coverage, 7777,
     /*  45023 */     GIR_EraseRootFromParent_Done,
     /*  45024 */   // Label 430: @45024
     /*  45024 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(45209), // Rule ID 11399 //
     /*  45029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45033 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45049 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  45061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  45065 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  45073 */     // MIs[3] z
     /*  45073 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  45078 */     // MIs[3] x
     /*  45078 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  45083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  45087 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45089 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z), (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x)))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  45089 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  45092 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45096 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45101 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45105 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45110 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  45113 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45117 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45122 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // z
     /*  45126 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45131 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  45134 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45138 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45143 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45147 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45152 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  45155 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45159 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45164 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  45168 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  45176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  45180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45185 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45188 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  45191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  45196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  45201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  45204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  45207 */     GIR_RootConstrainSelectedInstOperands,
     /*  45208 */     // GIR_Coverage, 11399,
     /*  45208 */     GIR_EraseRootFromParent_Done,
     /*  45209 */   // Label 431: @45209
     /*  45209 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(45394), // Rule ID 11402 //
     /*  45214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45218 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45234 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  45246 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  45250 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  45258 */     // MIs[3] x
     /*  45258 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  45263 */     // MIs[3] z
     /*  45263 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  45268 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  45272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45274 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$x, i32:{ *:[i32] }:$z)))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  45274 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  45277 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45281 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45286 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45290 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45295 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  45298 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45302 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45307 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  45311 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45316 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  45319 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45323 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45328 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45332 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45337 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  45340 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45344 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45349 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  45353 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  45361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  45365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45370 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45373 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  45376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  45381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  45386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  45389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  45392 */     GIR_RootConstrainSelectedInstOperands,
     /*  45393 */     // GIR_Coverage, 11402,
     /*  45393 */     GIR_EraseRootFromParent_Done,
     /*  45394 */   // Label 432: @45394
     /*  45394 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(45579), // Rule ID 11403 //
     /*  45399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45403 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45419 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  45431 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  45435 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45439 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  45443 */     // MIs[3] z
     /*  45443 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  45448 */     // MIs[3] x
     /*  45448 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  45453 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  45457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45459 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x), (and:{ *:[i32] } i32:{ *:[i32] }:$y, (or:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$x)))<<P:Predicate_anonymous_19706>>  =>  (V_BFI_B32_e64:{ *:[i32] } (V_XOR_B32_e64:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] })), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }))
     /*  45459 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  45462 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45466 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45471 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45475 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45480 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /*  45483 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45487 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45492 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // z
     /*  45496 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45501 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  45504 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45508 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45513 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  45517 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  45525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45534 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  45538 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  45546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  45550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45555 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45558 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  45561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  45566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  45571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /*  45574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  45577 */     GIR_RootConstrainSelectedInstOperands,
     /*  45578 */     // GIR_Coverage, 11403,
     /*  45578 */     GIR_EraseRootFromParent_Done,
     /*  45579 */   // Label 433: @45579
     /*  45579 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(45630), // Rule ID 8610 //
     /*  45584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  45588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45604 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  45608 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  45612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45614 */     // (or:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, -1:{ *:[i32] }), i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  45614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  45617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  45619 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  45621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  45628 */     GIR_RootConstrainSelectedInstOperands,
     /*  45629 */     // GIR_Coverage, 8610,
     /*  45629 */     GIR_EraseRootFromParent_Done,
     /*  45630 */   // Label 434: @45630
     /*  45630 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(45681), // Rule ID 66 //
     /*  45635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  45639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45655 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  45659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  45663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45665 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src0, (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, -1:{ *:[i32] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  45665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  45668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  45670 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  45672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  45679 */     GIR_RootConstrainSelectedInstOperands,
     /*  45680 */     // GIR_Coverage, 66,
     /*  45680 */     GIR_EraseRootFromParent_Done,
     /*  45681 */   // Label 435: @45681
     /*  45681 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(45746), // Rule ID 2618 //
     /*  45686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  45689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  45711 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*  45715 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*  45719 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:6:z
     /*  45723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20932),
     /*  45727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45729 */     // (or:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:6:x, i32:{ *:[i32] }:$src1:$pred:6:y)<<P:Predicate_anonymous_20933>>, i32:{ *:[i32] }:$src2:$pred:6:z)<<P:6:Predicate_anonymous_20932>>  =>  (V_AND_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  45729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_OR_B32_e64),
     /*  45732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  45738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  45742 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  45744 */     GIR_RootConstrainSelectedInstOperands,
     /*  45745 */     // GIR_Coverage, 2618,
     /*  45745 */     GIR_EraseRootFromParent_Done,
     /*  45746 */   // Label 436: @45746
     /*  45746 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(45811), // Rule ID 2619 //
     /*  45751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  45754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  45766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  45776 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*  45780 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*  45784 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:7:z
     /*  45788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20935),
     /*  45792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45794 */     // (or:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:7:x, i32:{ *:[i32] }:$src1:$pred:7:y)<<P:Predicate_anonymous_20936>>, i32:{ *:[i32] }:$src2:$pred:7:z)<<P:7:Predicate_anonymous_20935>>  =>  (V_OR3_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  45794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR3_B32_e64),
     /*  45797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  45803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  45807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  45809 */     GIR_RootConstrainSelectedInstOperands,
     /*  45810 */     // GIR_Coverage, 2619,
     /*  45810 */     GIR_EraseRootFromParent_Done,
     /*  45811 */   // Label 437: @45811
     /*  45811 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(45876), // Rule ID 2616 //
     /*  45816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  45819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  45831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  45841 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*  45845 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*  45849 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:5:z
     /*  45853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20930),
     /*  45857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45859 */     // (or:{ *:[i32] } (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:5:x, i32:{ *:[i32] }:$src1:$pred:5:y)<<P:Predicate_anonymous_20920>>, i32:{ *:[i32] }:$src2:$pred:5:z)<<P:5:Predicate_anonymous_20930>>  =>  (V_LSHL_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  45859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  45862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  45868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  45872 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  45874 */     GIR_RootConstrainSelectedInstOperands,
     /*  45875 */     // GIR_Coverage, 2616,
     /*  45875 */     GIR_EraseRootFromParent_Done,
     /*  45876 */   // Label 438: @45876
     /*  45876 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(45941), // Rule ID 8699 //
     /*  45881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  45884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45888 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:6:z
     /*  45892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  45900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  45910 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*  45914 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*  45918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20932),
     /*  45922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45924 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:6:z, (and:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:6:x, i32:{ *:[i32] }:$src1:$pred:6:y)<<P:Predicate_anonymous_20933>>)<<P:6:Predicate_anonymous_20932>>  =>  (V_AND_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  45924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_OR_B32_e64),
     /*  45927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  45933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  45937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  45939 */     GIR_RootConstrainSelectedInstOperands,
     /*  45940 */     // GIR_Coverage, 8699,
     /*  45940 */     GIR_EraseRootFromParent_Done,
     /*  45941 */   // Label 439: @45941
     /*  45941 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(46006), // Rule ID 8700 //
     /*  45946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  45949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  45953 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:7:z
     /*  45957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  45965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  45969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  45973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  45975 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*  45979 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*  45983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20935),
     /*  45987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45989 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:7:z, (or:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:7:x, i32:{ *:[i32] }:$src1:$pred:7:y)<<P:Predicate_anonymous_20936>>)<<P:7:Predicate_anonymous_20935>>  =>  (V_OR3_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  45989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR3_B32_e64),
     /*  45992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  45994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  45998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  46002 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  46004 */     GIR_RootConstrainSelectedInstOperands,
     /*  46005 */     // GIR_Coverage, 8700,
     /*  46005 */     GIR_EraseRootFromParent_Done,
     /*  46006 */   // Label 440: @46006
     /*  46006 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(46071), // Rule ID 8697 //
     /*  46011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  46014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46018 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:5:z
     /*  46022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  46030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  46034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  46038 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  46040 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*  46044 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*  46048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20930),
     /*  46052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46054 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:5:z, (shl:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:5:x, i32:{ *:[i32] }:$src1:$pred:5:y)<<P:Predicate_anonymous_20920>>)<<P:5:Predicate_anonymous_20930>>  =>  (V_LSHL_OR_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  46054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  46057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  46059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  46063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  46067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  46069 */     GIR_RootConstrainSelectedInstOperands,
     /*  46070 */     // GIR_Coverage, 8697,
     /*  46070 */     GIR_EraseRootFromParent_Done,
     /*  46071 */   // Label 441: @46071
     /*  46071 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(46097), // Rule ID 54 //
     /*  46076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  46080 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  46084 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13765>>  =>  (S_OR_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  46084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /*  46089 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  46095 */     GIR_RootConstrainSelectedInstOperands,
     /*  46096 */     // GIR_Coverage, 54,
     /*  46096 */     GIR_Done,
     /*  46097 */   // Label 442: @46097
     /*  46097 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(46117), // Rule ID 817 //
     /*  46102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46106 */     // (or:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_OR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  46106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /*  46111 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  46115 */     GIR_RootConstrainSelectedInstOperands,
     /*  46116 */     // GIR_Coverage, 817,
     /*  46116 */     GIR_Done,
     /*  46117 */   // Label 443: @46117
     /*  46117 */   GIM_Reject,
     /*  46118 */ // Label 403: @46118
     /*  46118 */ GIM_Reject,
     /*  46119 */ // Label 388: @46119
     /*  46119 */ GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(55307),
     /*  46124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  46127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  46130 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(46445), // Rule ID 11373 //
     /*  46135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46139 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  46151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  46155 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  46163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  46167 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  46171 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  46175 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  46179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46183 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46187 */     // MIs[3] x
     /*  46187 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  46192 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  46196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  46198 */     // (or:{ *:[i64] } (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] }), i64:{ *:[i64] }:$z), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  46198 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  46201 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46205 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46210 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  46216 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46221 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46226 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  46229 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46233 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46238 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/3, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  46244 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46249 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46254 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  46257 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46261 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46266 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  46272 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46277 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46282 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  46285 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  46289 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46294 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  46297 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  46300 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  46303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  46305 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  46308 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46312 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46317 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  46323 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46328 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46333 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46336 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46340 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46345 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/3, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  46351 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46356 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46361 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  46364 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46368 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46373 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  46379 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  46392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  46396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46401 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46404 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  46407 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  46410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  46415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46420 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  46423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  46426 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  46429 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46434 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46444 */     // GIR_Coverage, 11373,
     /*  46444 */     GIR_EraseRootFromParent_Done,
     /*  46445 */   // Label 445: @46445
     /*  46445 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(46760), // Rule ID 11372 //
     /*  46450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46454 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  46466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  46470 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  46478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  46482 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  46486 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  46490 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  46494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  46502 */     // MIs[3] x
     /*  46502 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  46507 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  46511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  46513 */     // (or:{ *:[i64] } (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] }), i64:{ *:[i64] }:$z), (and:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  46513 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  46516 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46520 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46525 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  46531 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46536 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46541 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  46544 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46548 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46553 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  46559 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46564 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46569 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  46572 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46576 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46581 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  46587 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46592 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46597 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  46600 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  46604 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46609 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  46612 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  46615 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  46618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  46620 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  46623 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46627 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46632 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  46638 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46643 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46648 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46651 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46655 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46660 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  46666 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46671 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46676 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  46679 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46683 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46688 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  46694 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46699 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  46707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  46711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46716 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46719 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  46722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  46725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  46730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46735 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  46738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  46741 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  46744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46759 */     // GIR_Coverage, 11372,
     /*  46759 */     GIR_EraseRootFromParent_Done,
     /*  46760 */   // Label 446: @46760
     /*  46760 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(47075), // Rule ID 11371 //
     /*  46765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46769 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  46781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  46785 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  46793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  46797 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  46801 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  46805 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  46809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  46813 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46817 */     // MIs[3] x
     /*  46817 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  46822 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  46826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  46828 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] })), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  46828 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  46831 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46835 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46840 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  46846 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46851 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46856 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  46859 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46863 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46868 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/3, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  46874 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46879 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46884 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  46887 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46891 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46896 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  46902 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46907 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46912 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  46915 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  46919 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46924 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  46927 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  46930 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  46933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  46935 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  46938 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46942 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46947 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  46953 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46958 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46963 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46966 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46970 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46975 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/3, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  46981 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  46986 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  46991 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  46994 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46998 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47003 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  47009 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47014 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  47022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47031 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47034 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47037 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  47040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  47045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47050 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  47053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  47056 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  47059 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47064 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47069 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47074 */     // GIR_Coverage, 11371,
     /*  47074 */     GIR_EraseRootFromParent_Done,
     /*  47075 */   // Label 447: @47075
     /*  47075 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(47390), // Rule ID 11370 //
     /*  47080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47084 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  47096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  47100 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  47108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  47112 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  47116 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  47120 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  47124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47128 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  47132 */     // MIs[3] x
     /*  47132 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  47137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  47141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  47143 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] })), (and:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  47143 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  47146 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47150 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47155 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  47161 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47166 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47171 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  47174 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47178 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47183 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  47189 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47194 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47199 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  47202 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47206 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47211 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  47217 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47222 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47227 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  47230 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47234 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47239 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  47242 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  47245 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  47248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  47250 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47253 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47257 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47262 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  47268 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47273 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47278 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47281 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47285 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47290 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  47296 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47301 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47306 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  47309 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47313 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47318 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  47324 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47329 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  47337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47346 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47349 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47352 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  47355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  47360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47365 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  47368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  47371 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  47374 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47379 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47384 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47389 */     // GIR_Coverage, 11370,
     /*  47389 */     GIR_EraseRootFromParent_Done,
     /*  47390 */   // Label 448: @47390
     /*  47390 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(47705), // Rule ID 11367 //
     /*  47395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47399 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  47411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  47415 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  47427 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  47431 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  47439 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47443 */     // MIs[3] x
     /*  47443 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  47448 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  47452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  47456 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  47458 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$x), (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] }), i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  47458 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  47461 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47465 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47470 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  47476 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47481 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47486 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  47489 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47493 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47498 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  47504 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47509 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47514 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  47517 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47521 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47526 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  47532 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47537 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47542 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  47545 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47549 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47554 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  47557 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  47560 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  47563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  47565 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47568 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47572 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47577 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  47583 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47588 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47593 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47596 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47600 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47605 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  47611 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47616 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47621 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  47624 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47628 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47633 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  47639 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  47652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47667 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  47670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  47675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47680 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  47683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  47686 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  47689 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47694 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47704 */     // GIR_Coverage, 11367,
     /*  47704 */     GIR_EraseRootFromParent_Done,
     /*  47705 */   // Label 449: @47705
     /*  47705 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(48020), // Rule ID 11369 //
     /*  47710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47714 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  47726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  47730 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  47738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  47742 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  47746 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47750 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  47754 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47758 */     // MIs[3] x
     /*  47758 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  47763 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  47767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  47771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  47773 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$y), (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] }), i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  47773 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  47776 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47780 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47785 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  47791 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47796 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47801 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  47804 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47808 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47813 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  47819 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47824 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47829 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  47832 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47836 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47841 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  47847 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47852 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47857 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  47860 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47864 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47869 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  47872 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  47875 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  47878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  47880 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47883 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47887 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47892 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  47898 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47903 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47908 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47911 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47915 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47920 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  47926 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47931 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47936 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  47939 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47943 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47948 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  47954 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  47959 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  47964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  47967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  47971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47976 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47979 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47982 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  47985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  47990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47995 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  47998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  48001 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  48004 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48009 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48014 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48019 */     // GIR_Coverage, 11369,
     /*  48019 */     GIR_EraseRootFromParent_Done,
     /*  48020 */   // Label 450: @48020
     /*  48020 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(48335), // Rule ID 7521 //
     /*  48025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48029 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48045 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  48057 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48061 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  48069 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  48073 */     // MIs[3] x
     /*  48073 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  48078 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  48082 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  48086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48088 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$x), (and:{ *:[i64] } i64:{ *:[i64] }:$z, (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] })))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  48088 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  48091 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48095 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48100 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  48106 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48111 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48116 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  48119 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48123 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48128 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  48134 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48139 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48144 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  48147 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48151 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48156 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  48162 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48167 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48172 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  48175 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  48179 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48184 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  48187 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  48190 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  48193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  48195 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  48198 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48202 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48207 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  48213 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48218 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48223 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  48226 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48230 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48235 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  48241 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48246 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48251 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48254 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48258 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48263 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  48269 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48274 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  48282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  48286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48291 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48294 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  48297 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  48300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  48305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48310 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  48313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  48316 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  48319 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48329 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48334 */     // GIR_Coverage, 7521,
     /*  48334 */     GIR_EraseRootFromParent_Done,
     /*  48335 */   // Label 451: @48335
     /*  48335 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(48650), // Rule ID 11368 //
     /*  48340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48344 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48360 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  48372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48376 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48380 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  48384 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  48388 */     // MIs[3] x
     /*  48388 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  48393 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, uint8_t(-1),
     /*  48397 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  48401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48403 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$y), (and:{ *:[i64] } i64:{ *:[i64] }:$z, (xor:{ *:[i64] } i64:{ *:[i64] }:$x, -1:{ *:[i64] })))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  48403 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  48406 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48410 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48415 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  48421 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48426 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48431 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  48434 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48438 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48443 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  48449 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48454 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48459 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  48462 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48466 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48471 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  48477 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48482 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48487 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  48490 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  48494 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48499 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  48502 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  48505 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  48508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  48510 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  48513 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48517 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48522 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  48528 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48533 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48538 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  48541 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48545 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48550 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  48556 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48561 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48566 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48569 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48573 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48578 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  48584 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48589 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  48597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  48601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48606 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48609 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  48612 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  48615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  48620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48625 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  48628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  48631 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  48634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48644 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48649 */     // GIR_Coverage, 11368,
     /*  48649 */     GIR_EraseRootFromParent_Done,
     /*  48650 */   // Label 452: @48650
     /*  48650 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(49058), // Rule ID 11425 //
     /*  48655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48659 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48675 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  48683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  48687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48691 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  48695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  48699 */     // MIs[3] x
     /*  48699 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  48704 */     // MIs[3] z
     /*  48704 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  48709 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  48713 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48715 */     // (or:{ *:[i64] } (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$y), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  48715 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  48718 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48722 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48727 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  48733 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48738 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48743 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  48746 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48750 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48755 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  48761 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48766 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48771 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  48774 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48778 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48783 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  48789 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48794 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48799 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  48802 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48806 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48811 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  48817 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48822 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48827 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  48830 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  48834 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48839 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  48842 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  48845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  48847 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  48850 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  48854 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48859 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  48862 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  48865 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  48868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  48870 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  48873 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48877 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48882 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  48888 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48893 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48898 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  48901 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48905 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48910 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  48916 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48921 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48926 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  48929 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48933 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48938 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  48944 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48949 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48954 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  48957 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48961 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48966 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  48972 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  48977 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  48982 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  48985 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  48989 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48994 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  48997 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  49000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  49002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  49005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  49009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49014 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  49017 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  49020 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  49023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  49025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  49028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  49033 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  49036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  49039 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  49042 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49047 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49057 */     // GIR_Coverage, 11425,
     /*  49057 */     GIR_EraseRootFromParent_Done,
     /*  49058 */   // Label 453: @49058
     /*  49058 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(49466), // Rule ID 11426 //
     /*  49063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49067 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  49079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49083 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  49087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  49091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  49095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  49099 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  49103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49107 */     // MIs[3] z
     /*  49107 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  49112 */     // MIs[3] x
     /*  49112 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  49117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  49121 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  49123 */     // (or:{ *:[i64] } (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$y), (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  49123 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  49126 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49130 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49135 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  49141 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49146 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49151 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  49154 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49158 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49163 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  49169 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49174 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49179 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  49182 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49186 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49191 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  49197 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49202 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49207 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  49210 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49214 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49219 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  49225 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49230 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49235 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  49238 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  49242 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49247 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  49250 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  49253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  49255 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  49258 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  49262 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49267 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  49270 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  49273 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  49276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  49278 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  49281 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49285 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49290 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  49296 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49301 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49306 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  49309 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49313 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49318 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  49324 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49329 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49334 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  49337 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49341 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49346 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  49352 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49357 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49362 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  49365 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49369 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49374 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  49380 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49385 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49390 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  49393 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  49397 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49402 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  49405 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  49408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  49410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  49413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  49417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49422 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  49425 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  49428 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  49431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  49433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  49436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  49441 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  49444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  49447 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  49450 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49455 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49460 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49465 */     // GIR_Coverage, 11426,
     /*  49465 */     GIR_EraseRootFromParent_Done,
     /*  49466 */   // Label 454: @49466
     /*  49466 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(49874), // Rule ID 11427 //
     /*  49471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49475 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  49487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49491 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  49495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  49499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  49503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  49507 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  49511 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49515 */     // MIs[3] x
     /*  49515 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  49520 */     // MIs[3] z
     /*  49520 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  49525 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  49529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  49531 */     // (or:{ *:[i64] } (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$y), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  49531 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  49534 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49538 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49543 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  49549 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49554 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49559 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  49562 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49566 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49571 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  49577 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49582 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49587 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  49590 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49594 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49599 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  49605 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49610 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49615 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  49618 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49622 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49627 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  49633 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49638 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49643 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  49646 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  49650 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49655 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  49658 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  49661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  49663 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  49666 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  49670 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49675 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  49678 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  49681 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  49684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  49686 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  49689 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49693 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49698 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  49704 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49709 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49714 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  49717 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49721 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49726 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  49732 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49737 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49742 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  49745 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49749 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49754 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  49760 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49765 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49770 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  49773 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49777 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49782 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  49788 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49793 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49798 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  49801 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  49805 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49810 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  49813 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  49816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  49818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  49821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  49825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49830 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  49833 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  49836 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  49839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  49841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  49844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  49849 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  49852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  49855 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  49858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49863 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49873 */     // GIR_Coverage, 11427,
     /*  49873 */     GIR_EraseRootFromParent_Done,
     /*  49874 */   // Label 455: @49874
     /*  49874 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(50282), // Rule ID 11428 //
     /*  49879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49883 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  49895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49899 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  49903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  49907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  49911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  49915 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  49919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  49923 */     // MIs[3] z
     /*  49923 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  49928 */     // MIs[3] x
     /*  49928 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  49933 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  49937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  49939 */     // (or:{ *:[i64] } (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$y), (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  49939 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  49942 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49946 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49951 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  49957 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49962 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49967 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  49970 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  49974 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  49979 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  49985 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  49990 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  49995 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  49998 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50002 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50007 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  50013 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50018 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50023 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  50026 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50030 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50035 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  50041 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50046 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50051 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  50054 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  50058 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50063 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  50066 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  50069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  50071 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  50074 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  50078 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50083 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  50086 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  50089 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  50092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  50094 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  50097 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50101 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50106 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50112 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50117 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50122 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  50125 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50129 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50134 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  50140 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50145 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50150 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  50153 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50157 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50162 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50168 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50173 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50178 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  50181 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50185 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50190 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  50196 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50201 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50206 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  50209 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  50213 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50218 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  50221 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  50224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  50226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  50229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  50233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50238 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  50241 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  50244 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  50247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  50249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  50252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50257 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  50260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  50263 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  50266 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50281 */     // GIR_Coverage, 11428,
     /*  50281 */     GIR_EraseRootFromParent_Done,
     /*  50282 */   // Label 456: @50282
     /*  50282 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(50690), // Rule ID 11421 //
     /*  50287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50291 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50307 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  50311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  50315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  50319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50323 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  50327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50331 */     // MIs[3] x
     /*  50331 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  50336 */     // MIs[3] z
     /*  50336 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  50341 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  50345 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  50347 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z)), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  50347 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  50350 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50354 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50359 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  50365 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50370 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50375 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  50378 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50382 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50387 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  50393 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50398 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50403 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  50406 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50410 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50415 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  50421 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50426 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50431 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  50434 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50438 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50443 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  50449 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50454 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50459 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  50462 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  50466 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50471 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  50474 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  50477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  50479 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  50482 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  50486 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50491 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  50494 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  50497 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  50500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  50502 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  50505 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50509 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50514 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50520 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50525 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50530 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  50533 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50537 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50542 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  50548 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50553 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50558 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  50561 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50565 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50570 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50576 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50581 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50586 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  50589 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50593 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50598 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  50604 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50609 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50614 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  50617 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  50621 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50626 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  50629 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  50632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  50634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  50637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  50641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50646 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  50649 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  50652 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  50655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  50657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  50660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50665 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  50668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  50671 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  50674 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50679 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50684 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50689 */     // GIR_Coverage, 11421,
     /*  50689 */     GIR_EraseRootFromParent_Done,
     /*  50690 */   // Label 457: @50690
     /*  50690 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(51098), // Rule ID 11422 //
     /*  50695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50699 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50715 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  50719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  50723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  50727 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50731 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  50735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50739 */     // MIs[3] z
     /*  50739 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  50744 */     // MIs[3] x
     /*  50744 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  50749 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  50753 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  50755 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z)), (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  50755 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  50758 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50762 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50767 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  50773 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50778 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50783 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  50786 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50790 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50795 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  50801 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50806 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50811 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  50814 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50818 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50823 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  50829 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50834 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50839 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  50842 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50846 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50851 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  50857 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50862 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50867 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  50870 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  50874 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50879 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  50882 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  50885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  50887 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  50890 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  50894 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50899 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  50902 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  50905 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  50908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  50910 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  50913 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50917 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50922 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50928 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50933 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50938 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  50941 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50945 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50950 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  50956 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50961 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50966 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  50969 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50973 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50978 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  50984 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  50989 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  50994 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  50997 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51001 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51006 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  51012 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51017 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51022 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  51025 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  51029 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51034 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  51037 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  51040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  51042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  51045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  51049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51054 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  51057 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  51060 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  51063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  51068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51073 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  51076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  51079 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  51082 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51097 */     // GIR_Coverage, 11422,
     /*  51097 */     GIR_EraseRootFromParent_Done,
     /*  51098 */   // Label 458: @51098
     /*  51098 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(51506), // Rule ID 11423 //
     /*  51103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51107 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51123 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  51131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51139 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  51143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51147 */     // MIs[3] x
     /*  51147 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  51152 */     // MIs[3] z
     /*  51152 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  51157 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  51161 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51163 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x)), (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  51163 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  51166 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51170 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51175 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  51181 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51186 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51191 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  51194 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51198 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51203 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  51209 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51214 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51219 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  51222 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51226 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51231 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  51237 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51242 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51247 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  51250 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51254 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51259 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  51265 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51270 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51275 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  51278 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  51282 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51287 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  51290 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  51293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  51295 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  51298 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  51302 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51307 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  51310 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  51313 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  51316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  51318 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  51321 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51325 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51330 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  51336 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51341 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51346 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  51349 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51353 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51358 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  51364 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51369 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51374 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  51377 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51381 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51386 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  51392 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51397 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51402 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  51405 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51409 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51414 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  51420 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51425 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51430 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  51433 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  51437 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51442 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  51445 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  51448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  51450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  51453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  51457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51462 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  51465 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  51468 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  51471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  51476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51481 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  51484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  51487 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  51490 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51495 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51500 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51505 */     // GIR_Coverage, 11423,
     /*  51505 */     GIR_EraseRootFromParent_Done,
     /*  51506 */   // Label 459: @51506
     /*  51506 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(51914), // Rule ID 11424 //
     /*  51511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51515 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51531 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  51539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51547 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  51551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51555 */     // MIs[3] z
     /*  51555 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  51560 */     // MIs[3] x
     /*  51560 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  51565 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  51569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51571 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x)), (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  51571 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  51574 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51578 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51583 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  51589 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51594 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51599 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  51602 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51606 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51611 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  51617 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51622 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51627 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  51630 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51634 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51639 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  51645 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51650 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51655 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  51658 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51662 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51667 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  51673 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51678 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51683 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  51686 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  51690 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51695 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  51698 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  51701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  51703 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  51706 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  51710 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51715 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  51718 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  51721 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  51724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  51726 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  51729 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51733 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51738 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  51744 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51749 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51754 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  51757 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51761 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51766 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  51772 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51777 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51782 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  51785 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51789 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51794 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  51800 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51805 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51810 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  51813 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51817 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51822 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  51828 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51833 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51838 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  51841 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  51845 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51850 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  51853 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  51856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  51858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  51861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  51865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51870 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  51873 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  51876 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  51879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  51884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51889 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  51892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  51895 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  51898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  51913 */     // GIR_Coverage, 11424,
     /*  51913 */     GIR_EraseRootFromParent_Done,
     /*  51914 */   // Label 460: @51914
     /*  51914 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(52322), // Rule ID 11415 //
     /*  51919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  51923 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51939 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51951 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51955 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  51959 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  51963 */     // MIs[3] x
     /*  51963 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  51968 */     // MIs[3] z
     /*  51968 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  51973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  51977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51979 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  51979 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  51982 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51986 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51991 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  51997 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52002 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52007 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  52010 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52014 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52019 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  52025 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52030 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52035 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  52038 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52042 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52047 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  52053 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52058 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52063 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  52066 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52070 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52075 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  52081 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52086 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52091 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  52094 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  52098 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52103 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  52106 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  52109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  52111 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  52114 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  52118 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52123 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  52126 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  52129 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  52132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  52134 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  52137 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52141 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52146 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  52152 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52157 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52162 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  52165 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52169 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52174 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  52180 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52185 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52190 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  52193 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52197 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52202 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  52208 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52213 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52218 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  52221 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52225 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52230 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  52236 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52241 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52246 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  52249 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  52253 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52258 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  52261 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  52264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  52266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  52269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  52273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52278 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  52281 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  52284 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  52287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  52289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  52292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  52297 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  52300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  52303 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  52306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52321 */     // GIR_Coverage, 11415,
     /*  52321 */     GIR_EraseRootFromParent_Done,
     /*  52322 */   // Label 461: @52322
     /*  52322 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(52730), // Rule ID 11416 //
     /*  52327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52331 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  52339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  52343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52347 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  52351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  52355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  52359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52363 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  52367 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  52371 */     // MIs[3] z
     /*  52371 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  52376 */     // MIs[3] x
     /*  52376 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  52381 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  52385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52387 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  52387 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  52390 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52394 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52399 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  52405 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52410 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52415 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  52418 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52422 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52427 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  52433 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52438 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52443 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  52446 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52450 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52455 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  52461 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52466 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52471 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  52474 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52478 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52483 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  52489 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52494 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52499 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  52502 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  52506 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52511 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  52514 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  52517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  52519 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  52522 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  52526 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52531 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  52534 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  52537 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  52540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  52542 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  52545 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52549 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52554 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  52560 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52565 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52570 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  52573 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52577 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52582 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  52588 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52593 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52598 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  52601 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52605 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52610 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  52616 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52621 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52626 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  52629 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52633 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52638 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  52644 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52649 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52654 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  52657 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  52661 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52666 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  52669 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  52672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  52674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  52677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  52681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  52689 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  52692 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  52695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  52697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  52700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  52705 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  52708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  52711 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  52714 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52724 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52729 */     // GIR_Coverage, 11416,
     /*  52729 */     GIR_EraseRootFromParent_Done,
     /*  52730 */   // Label 462: @52730
     /*  52730 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(53138), // Rule ID 11419 //
     /*  52735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52739 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  52747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  52751 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52755 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  52759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  52763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  52767 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52771 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  52775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  52779 */     // MIs[3] x
     /*  52779 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  52784 */     // MIs[3] z
     /*  52784 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  52789 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  52793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52795 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  52795 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  52798 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52802 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52807 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  52813 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52818 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52823 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  52826 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52830 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52835 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  52841 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52846 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52851 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  52854 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52858 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52863 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  52869 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52874 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52879 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  52882 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52886 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52891 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  52897 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52902 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52907 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  52910 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  52914 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52919 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  52922 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  52925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  52927 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  52930 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  52934 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52939 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  52942 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  52945 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  52948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  52950 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  52953 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52957 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52962 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  52968 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  52973 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  52978 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  52981 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  52985 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  52990 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  52996 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53001 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53006 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  53009 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53013 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53018 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  53024 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53029 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53034 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  53037 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53041 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53046 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  53052 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53057 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53062 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  53065 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  53069 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53074 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  53077 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  53080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  53085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  53089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53094 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53097 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  53100 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  53103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  53108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53113 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  53116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  53119 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  53122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53132 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53137 */     // GIR_Coverage, 11419,
     /*  53137 */     GIR_EraseRootFromParent_Done,
     /*  53138 */   // Label 463: @53138
     /*  53138 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(53546), // Rule ID 11420 //
     /*  53143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53147 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53163 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  53167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53175 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  53179 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  53183 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  53187 */     // MIs[3] z
     /*  53187 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  53192 */     // MIs[3] x
     /*  53192 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  53197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  53201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  53203 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), (and:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$y))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  53203 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  53206 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53210 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53215 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  53221 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53226 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53231 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  53234 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53238 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53243 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  53249 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53254 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53259 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  53262 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53266 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53271 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  53277 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53282 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53287 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  53290 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53294 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53299 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  53305 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53310 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53315 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  53318 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  53322 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53327 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  53330 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  53333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  53335 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  53338 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  53342 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53347 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  53350 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  53353 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  53356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  53358 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  53361 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53365 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53370 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  53376 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53381 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53386 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  53389 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53393 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53398 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  53404 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53409 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53414 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  53417 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53421 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53426 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  53432 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53437 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53442 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  53445 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53449 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53454 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  53460 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53465 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53470 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  53473 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  53477 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53482 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  53485 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  53488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  53493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  53497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53502 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53505 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  53508 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  53511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  53516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53521 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  53524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  53527 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  53530 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53535 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53545 */     // GIR_Coverage, 11420,
     /*  53545 */     GIR_EraseRootFromParent_Done,
     /*  53546 */   // Label 464: @53546
     /*  53546 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(53954), // Rule ID 7778 //
     /*  53551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53555 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53571 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  53575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53583 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  53587 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  53591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  53595 */     // MIs[3] x
     /*  53595 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  53600 */     // MIs[3] z
     /*  53600 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  53605 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  53609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  53611 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z)))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  53611 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  53614 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53618 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53623 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  53629 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53634 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53639 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  53642 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53646 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53651 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  53657 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53662 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53667 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  53670 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53674 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53679 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  53685 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53690 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53695 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  53698 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53702 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53707 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  53713 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53718 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53723 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  53726 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  53730 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53735 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  53738 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  53741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  53743 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  53746 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  53750 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53755 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  53758 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  53761 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  53764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  53766 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  53769 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53773 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53778 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  53784 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53789 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53794 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  53797 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53801 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53806 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  53812 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53817 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53822 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  53825 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53829 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53834 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  53840 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53845 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53850 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  53853 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53857 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53862 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  53868 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53873 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53878 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  53881 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  53885 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53890 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  53893 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  53896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  53901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  53905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53910 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53913 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  53916 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  53919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  53924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53929 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  53932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  53935 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  53938 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53943 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  53953 */     // GIR_Coverage, 7778,
     /*  53953 */     GIR_EraseRootFromParent_Done,
     /*  53954 */   // Label 465: @53954
     /*  53954 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(54362), // Rule ID 11414 //
     /*  53959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  53963 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53979 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  53983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  53987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  53995 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  53999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  54003 */     // MIs[3] z
     /*  54003 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  54008 */     // MIs[3] x
     /*  54008 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  54013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  54017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54019 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z), (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x)))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  54019 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  54022 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54026 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54031 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54037 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54042 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54047 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  54050 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54054 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54059 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  54065 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54070 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54075 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  54078 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54082 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54087 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54093 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54098 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54103 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  54106 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54110 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54115 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  54121 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54126 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54131 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  54134 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  54138 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54143 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  54146 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  54149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  54151 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  54154 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  54158 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54163 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  54166 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  54169 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  54172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  54174 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  54177 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54181 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54186 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  54192 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54197 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54202 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  54205 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54209 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54214 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  54220 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54225 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54230 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  54233 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54237 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54242 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  54248 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54253 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54258 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  54261 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54265 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54270 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  54276 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54281 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54286 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  54289 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  54293 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54298 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  54301 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  54304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  54306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  54309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  54313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54318 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  54321 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  54324 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  54327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  54332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54337 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  54340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  54343 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  54346 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54351 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54356 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54361 */     // GIR_Coverage, 11414,
     /*  54361 */     GIR_EraseRootFromParent_Done,
     /*  54362 */   // Label 466: @54362
     /*  54362 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(54770), // Rule ID 11417 //
     /*  54367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54371 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  54379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54387 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  54391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  54395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54403 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  54411 */     // MIs[3] x
     /*  54411 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  54416 */     // MIs[3] z
     /*  54416 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  54421 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  54425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54427 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$x, i64:{ *:[i64] }:$z)))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  54427 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  54430 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54434 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54439 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54445 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54450 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54455 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  54458 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54462 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54467 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  54473 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54478 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54483 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  54486 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54490 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54495 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54501 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54506 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54511 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  54514 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54518 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54523 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  54529 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54534 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54539 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  54542 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  54546 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54551 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  54554 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  54557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  54559 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  54562 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  54566 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54571 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  54574 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  54577 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  54580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  54582 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  54585 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54589 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54594 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  54600 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54605 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54610 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  54613 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54617 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54622 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  54628 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54633 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54638 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  54641 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54645 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54650 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  54656 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54661 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54666 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  54669 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54673 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54678 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  54684 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54689 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54694 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  54697 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  54701 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54706 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  54709 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  54712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  54714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  54717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  54721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54726 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  54729 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  54732 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  54735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  54740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54745 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  54748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  54751 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  54754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54769 */     // GIR_Coverage, 11417,
     /*  54769 */     GIR_EraseRootFromParent_Done,
     /*  54770 */   // Label 467: @54770
     /*  54770 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(55178), // Rule ID 11418 //
     /*  54775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54779 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  54787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54795 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  54799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  54803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54807 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54811 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  54819 */     // MIs[3] z
     /*  54819 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  54824 */     // MIs[3] x
     /*  54824 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  54829 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19706),
     /*  54833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54835 */     // (or:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x), (and:{ *:[i64] } i64:{ *:[i64] }:$y, (or:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$x)))<<P:Predicate_anonymous_19706>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (V_XOR_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  54835 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /*  54838 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54842 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54847 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54853 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54858 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54863 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s32,
     /*  54866 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54870 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54875 */     GIR_CopySubReg, /*NewInsnID*/11, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  54881 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54886 */     GIR_ConstrainOperandRC, /*InsnID*/11, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54891 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s32,
     /*  54894 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54898 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54903 */     GIR_CopySubReg, /*NewInsnID*/10, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  54909 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54914 */     GIR_ConstrainOperandRC, /*InsnID*/10, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54919 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /*  54922 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54926 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54931 */     GIR_CopySubReg, /*NewInsnID*/9, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  54937 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  54942 */     GIR_ConstrainOperandRC, /*InsnID*/9, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  54947 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /*  54950 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  54954 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54959 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/8,
     /*  54962 */     GIR_AddSimpleTempRegister, /*InsnID*/8, /*TempRegID*/9,
     /*  54965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  54967 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /*  54970 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  54974 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54979 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  54982 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/10,
     /*  54985 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/11,
     /*  54988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  54990 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  54993 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54997 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55002 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  55008 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55013 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  55018 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /*  55021 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55025 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55030 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  55036 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55041 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  55046 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  55049 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55053 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55058 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  55064 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55069 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  55074 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  55077 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55081 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55086 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  55092 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55097 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  55102 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  55105 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  55109 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55114 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  55117 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /*  55120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  55122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  55125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  55129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55134 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  55137 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /*  55140 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  55143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  55148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55153 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  55156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  55159 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  55162 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  55167 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55172 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55177 */     // GIR_Coverage, 11418,
     /*  55177 */     GIR_EraseRootFromParent_Done,
     /*  55178 */   // Label 468: @55178
     /*  55178 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(55229), // Rule ID 8611 //
     /*  55183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55203 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  55207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55213 */     // (or:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$src1, -1:{ *:[i64] }), i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  55213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55218 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  55220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55227 */     GIR_RootConstrainSelectedInstOperands,
     /*  55228 */     // GIR_Coverage, 8611,
     /*  55228 */     GIR_EraseRootFromParent_Done,
     /*  55229 */   // Label 469: @55229
     /*  55229 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(55280), // Rule ID 67 //
     /*  55234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55254 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  55258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55264 */     // (or:{ *:[i64] } i64:{ *:[i64] }:$src0, (xor:{ *:[i64] } i64:{ *:[i64] }:$src1, -1:{ *:[i64] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  55264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55269 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  55271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55278 */     GIR_RootConstrainSelectedInstOperands,
     /*  55279 */     // GIR_Coverage, 67,
     /*  55279 */     GIR_EraseRootFromParent_Done,
     /*  55280 */   // Label 470: @55280
     /*  55280 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(55306), // Rule ID 55 //
     /*  55285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55289 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55293 */     // (or:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13765>>  =>  (S_OR_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  55293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B64),
     /*  55298 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  55304 */     GIR_RootConstrainSelectedInstOperands,
     /*  55305 */     // GIR_Coverage, 55,
     /*  55305 */     GIR_Done,
     /*  55306 */   // Label 471: @55306
     /*  55306 */   GIM_Reject,
     /*  55307 */ // Label 444: @55307
     /*  55307 */ GIM_Reject,
     /*  55308 */ // Label 389: @55308
     /*  55308 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(55458),
     /*  55313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  55316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  55319 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(55378), // Rule ID 8684 //
     /*  55324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  55328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  55340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  55344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55348 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55354 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55356 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55362 */     // (or:{ *:[v2i16] } (xor:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, immAllOnesV:{ *:[v2i16] }), v2i16:{ *:[v2i16] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[v2i16] }:{ *:[i1] } SSrc_b32:{ *:[v2i16] }:$src0, SSrc_b32:{ *:[v2i16] }:$src1)
     /*  55362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  55365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55367 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  55369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55376 */     GIR_RootConstrainSelectedInstOperands,
     /*  55377 */     // GIR_Coverage, 8684,
     /*  55377 */     GIR_EraseRootFromParent_Done,
     /*  55378 */   // Label 473: @55378
     /*  55378 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(55437), // Rule ID 1896 //
     /*  55383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  55387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  55399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  55403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55407 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55413 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55415 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55421 */     // (or:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, (xor:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, immAllOnesV:{ *:[v2i16] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B32:{ *:[v2i16] }:{ *:[i1] } SSrc_b32:{ *:[v2i16] }:$src0, SSrc_b32:{ *:[v2i16] }:$src1)
     /*  55421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B32),
     /*  55424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55426 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  55428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55435 */     GIR_RootConstrainSelectedInstOperands,
     /*  55436 */     // GIR_Coverage, 1896,
     /*  55436 */     GIR_EraseRootFromParent_Done,
     /*  55437 */   // Label 474: @55437
     /*  55437 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(55457), // Rule ID 2538 //
     /*  55442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55446 */     // (or:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1)  =>  (V_OR_B32_e64:{ *:[v2i16] } VSrc_b32:{ *:[v2i16] }:$src0, VSrc_b32:{ *:[v2i16] }:$src1)
     /*  55446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /*  55451 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  55455 */     GIR_RootConstrainSelectedInstOperands,
     /*  55456 */     // GIR_Coverage, 2538,
     /*  55456 */     GIR_Done,
     /*  55457 */   // Label 475: @55457
     /*  55457 */   GIM_Reject,
     /*  55458 */ // Label 472: @55458
     /*  55458 */ GIM_Reject,
     /*  55459 */ // Label 390: @55459
     /*  55459 */ GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(55581),
     /*  55464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55470 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55478 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(55529), // Rule ID 8686 //
     /*  55483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55503 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55509 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55513 */     // (or:{ *:[v2i32] } (xor:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src1, immAllOnesV:{ *:[v2i32] }), v2i32:{ *:[v2i32] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[v2i32] }:{ *:[i1] } SSrc_b64:{ *:[v2i32] }:$src0, SSrc_b64:{ *:[v2i32] }:$src1)
     /*  55513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55518 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  55520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55527 */     GIR_RootConstrainSelectedInstOperands,
     /*  55528 */     // GIR_Coverage, 8686,
     /*  55528 */     GIR_EraseRootFromParent_Done,
     /*  55529 */   // Label 477: @55529
     /*  55529 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(55580), // Rule ID 1898 //
     /*  55534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55554 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55560 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55564 */     // (or:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src0, (xor:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src1, immAllOnesV:{ *:[v2i32] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[v2i32] }:{ *:[i1] } SSrc_b64:{ *:[v2i32] }:$src0, SSrc_b64:{ *:[v2i32] }:$src1)
     /*  55564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55569 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  55571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55578 */     GIR_RootConstrainSelectedInstOperands,
     /*  55579 */     // GIR_Coverage, 1898,
     /*  55579 */     GIR_EraseRootFromParent_Done,
     /*  55580 */   // Label 478: @55580
     /*  55580 */   GIM_Reject,
     /*  55581 */ // Label 476: @55581
     /*  55581 */ GIM_Reject,
     /*  55582 */ // Label 391: @55582
     /*  55582 */ GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(55704),
     /*  55587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55593 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13765),
     /*  55597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55601 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(55652), // Rule ID 8685 //
     /*  55606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55626 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55632 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55636 */     // (or:{ *:[v4i16] } (xor:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src1, immAllOnesV:{ *:[v4i16] }), v4i16:{ *:[v4i16] }:$src0)<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[v4i16] }:{ *:[i1] } SSrc_b64:{ *:[v4i16] }:$src0, SSrc_b64:{ *:[v4i16] }:$src1)
     /*  55636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55641 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /*  55643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55650 */     GIR_RootConstrainSelectedInstOperands,
     /*  55651 */     // GIR_Coverage, 8685,
     /*  55651 */     GIR_EraseRootFromParent_Done,
     /*  55652 */   // Label 480: @55652
     /*  55652 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(55703), // Rule ID 1897 //
     /*  55657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55677 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55683 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55687 */     // (or:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src0, (xor:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src1, immAllOnesV:{ *:[v4i16] }))<<P:Predicate_anonymous_13765>>  =>  (S_ORN2_B64:{ *:[v4i16] }:{ *:[i1] } SSrc_b64:{ *:[v4i16] }:$src0, SSrc_b64:{ *:[v4i16] }:$src1)
     /*  55687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ORN2_B64),
     /*  55690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55692 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  55694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  55698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55701 */     GIR_RootConstrainSelectedInstOperands,
     /*  55702 */     // GIR_Coverage, 1897,
     /*  55702 */     GIR_EraseRootFromParent_Done,
     /*  55703 */   // Label 481: @55703
     /*  55703 */   GIM_Reject,
     /*  55704 */ // Label 479: @55704
     /*  55704 */ GIM_Reject,
     /*  55705 */ // Label 392: @55705
     /*  55705 */ GIM_Reject,
     /*  55706 */ // Label 5: @55706
     /*  55706 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 487*/ GIMT_Encode4(60572),
     /*  55717 */ /*GILLT_s1*//*Label 482*/ GIMT_Encode4(55737),
     /*  55721 */ /*GILLT_s16*//*Label 483*/ GIMT_Encode4(55975),
     /*  55725 */ /*GILLT_s32*//*Label 484*/ GIMT_Encode4(56113),
     /*  55729 */ /*GILLT_s64*//*Label 485*/ GIMT_Encode4(57912),
     /*  55733 */ /*GILLT_v2s16*//*Label 486*/ GIMT_Encode4(60545),
     /*  55737 */ // Label 482: @55737
     /*  55737 */ GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(55974),
     /*  55742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  55745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  55748 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(55802), // Rule ID 1899 //
     /*  55753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  55756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  55760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  55768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  55772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  55776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  55778 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  55782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55784 */     // (xor:{ *:[i1] } (or:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)<<P:Predicate_or_oneuse>>, -1:{ *:[i1] })  =>  (S_NOR_B32:{ *:[i1] }:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)
     /*  55784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOR_B32),
     /*  55787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  55793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  55797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55800 */     GIR_RootConstrainSelectedInstOperands,
     /*  55801 */     // GIR_Coverage, 1899,
     /*  55801 */     GIR_EraseRootFromParent_Done,
     /*  55802 */   // Label 489: @55802
     /*  55802 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(55856), // Rule ID 1900 //
     /*  55807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  55810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  55822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  55826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  55830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  55832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  55836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55838 */     // (xor:{ *:[i1] } (or:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)<<P:Predicate_or_oneuse>>, -1:{ *:[i1] })  =>  (S_NOR_B64:{ *:[i1] }:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)
     /*  55838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOR_B64),
     /*  55841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  55847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  55851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  55854 */     GIR_RootConstrainSelectedInstOperands,
     /*  55855 */     // GIR_Coverage, 1900,
     /*  55855 */     GIR_EraseRootFromParent_Done,
     /*  55856 */   // Label 490: @55856
     /*  55856 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(55923), // Rule ID 7650 //
     /*  55861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /*  55865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  55873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  55877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  55879 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35141),
     /*  55883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  55887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55889 */     // (xor:{ *:[i1] } (trunc:{ *:[i1] } i32:{ *:[i32] }:$a)<<P:Predicate_anonymous_35140>><<P:Predicate_anonymous_35141>>, -1:{ *:[i1] })  =>  (V_CMP_NE_U32_e64:{ *:[i1] } (V_AND_B32_e64:{ *:[i16] } 1:{ *:[i32] }, i32:{ *:[i32] }:$a), 1:{ *:[i32] })
     /*  55889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  55892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  55896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55901 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  55904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /*  55908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U32_e64),
     /*  55913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  55915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  55921 */     GIR_RootConstrainSelectedInstOperands,
     /*  55922 */     // GIR_Coverage, 7650,
     /*  55922 */     GIR_EraseRootFromParent_Done,
     /*  55923 */   // Label 491: @55923
     /*  55923 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(55948), // Rule ID 7615 //
     /*  55928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /*  55931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  55935 */     // (xor:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  55935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B64),
     /*  55940 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  55946 */     GIR_RootConstrainSelectedInstOperands,
     /*  55947 */     // GIR_Coverage, 7615,
     /*  55947 */     GIR_Done,
     /*  55948 */   // Label 492: @55948
     /*  55948 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(55973), // Rule ID 7622 //
     /*  55953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /*  55956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  55960 */     // (xor:{ *:[i1] } i1:{ *:[i1] }:$src0, i1:{ *:[i1] }:$src1)  =>  (S_XOR_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i1] }:$src0, ?:{ *:[i1] }:$src1)
     /*  55960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /*  55965 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  55971 */     GIR_RootConstrainSelectedInstOperands,
     /*  55972 */     // GIR_Coverage, 7622,
     /*  55972 */     GIR_Done,
     /*  55973 */   // Label 493: @55973
     /*  55973 */   GIM_Reject,
     /*  55974 */ // Label 488: @55974
     /*  55974 */ GIM_Reject,
     /*  55975 */ // Label 483: @55975
     /*  55975 */ GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(56112),
     /*  55980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  55983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  55986 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(56009), // Rule ID 2533 //
     /*  55991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  55994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  55998 */     // (xor:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_XOR_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  55998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  56003 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  56007 */     GIR_RootConstrainSelectedInstOperands,
     /*  56008 */     // GIR_Coverage, 2533,
     /*  56008 */     GIR_Done,
     /*  56009 */   // Label 495: @56009
     /*  56009 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(56032), // Rule ID 2536 //
     /*  56014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  56017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56021 */     // (xor:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_XOR_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i16] }:$src0, VSrc_b32:{ *:[i16] }:$src1)
     /*  56021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  56026 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  56030 */     GIR_RootConstrainSelectedInstOperands,
     /*  56031 */     // GIR_Coverage, 2536,
     /*  56031 */     GIR_Done,
     /*  56032 */   // Label 496: @56032
     /*  56032 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(56088), // Rule ID 909 //
     /*  56037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  56040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  56044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  56051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  56058 */     // (xor:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_XOR_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /*  56058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B16_t16_e64),
     /*  56061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  56068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  56073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  56078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  56083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  56086 */     GIR_RootConstrainSelectedInstOperands,
     /*  56087 */     // GIR_Coverage, 909,
     /*  56087 */     GIR_EraseRootFromParent_Done,
     /*  56088 */   // Label 497: @56088
     /*  56088 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(56111), // Rule ID 910 //
     /*  56093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  56096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56100 */     // (xor:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_XOR_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /*  56100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B16_fake16_e64),
     /*  56105 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  56109 */     GIR_RootConstrainSelectedInstOperands,
     /*  56110 */     // GIR_Coverage, 910,
     /*  56110 */     GIR_Done,
     /*  56111 */   // Label 498: @56111
     /*  56111 */   GIM_Reject,
     /*  56112 */ // Label 494: @56112
     /*  56112 */ GIM_Reject,
     /*  56113 */ // Label 484: @56113
     /*  56113 */ GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(57911),
     /*  56118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  56121 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(56179), // Rule ID 60 //
     /*  56126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  56133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  56141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  56151 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  56155 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  56159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56161 */     // (xor:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_and_oneuse>>, -1:{ *:[i32] })<<P:Predicate_anonymous_13734>>  =>  (S_NAND_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  56161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NAND_B32),
     /*  56164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  56166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  56174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  56177 */     GIR_RootConstrainSelectedInstOperands,
     /*  56178 */     // GIR_Coverage, 60,
     /*  56178 */     GIR_EraseRootFromParent_Done,
     /*  56179 */   // Label 500: @56179
     /*  56179 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(56237), // Rule ID 62 //
     /*  56184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  56191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  56199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  56209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  56213 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  56217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56219 */     // (xor:{ *:[i32] } (or:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_or_oneuse>>, -1:{ *:[i32] })<<P:Predicate_anonymous_13734>>  =>  (S_NOR_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  56219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOR_B32),
     /*  56222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  56224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  56232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  56235 */     GIR_RootConstrainSelectedInstOperands,
     /*  56236 */     // GIR_Coverage, 62,
     /*  56236 */     GIR_EraseRootFromParent_Done,
     /*  56237 */   // Label 501: @56237
     /*  56237 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(56295), // Rule ID 58 //
     /*  56242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  56249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  56267 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  56271 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  56275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56277 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_xor_oneuse>>, -1:{ *:[i32] })<<P:Predicate_anonymous_13734>>  =>  (S_XNOR_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  56277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_XNOR_B32),
     /*  56280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  56282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  56290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  56293 */     GIR_RootConstrainSelectedInstOperands,
     /*  56294 */     // GIR_Coverage, 58,
     /*  56294 */     GIR_EraseRootFromParent_Done,
     /*  56295 */   // Label 502: @56295
     /*  56295 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(56353), // Rule ID 2520 //
     /*  56300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  56303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  56328 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  56332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19944),
     /*  56336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56338 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_xor_oneuse>>, -1:{ *:[i32] })<<P:Predicate_anonymous_19944>>  =>  (V_XNOR_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1)
     /*  56338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  56341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  56351 */     GIR_RootConstrainSelectedInstOperands,
     /*  56352 */     // GIR_Coverage, 2520,
     /*  56352 */     GIR_EraseRootFromParent_Done,
     /*  56353 */   // Label 503: @56353
     /*  56353 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(56409), // Rule ID 2521 //
     /*  56358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  56361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56364 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  56366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56386 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  56390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19946),
     /*  56394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56396 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] }), i32:{ *:[i32] }:$src1)<<P:Predicate_xor_oneuse>><<P:Predicate_anonymous_19946>>  =>  (V_XNOR_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1)
     /*  56396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  56399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56405 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  56407 */     GIR_RootConstrainSelectedInstOperands,
     /*  56408 */     // GIR_Coverage, 2521,
     /*  56408 */     GIR_EraseRootFromParent_Done,
     /*  56409 */   // Label 504: @56409
     /*  56409 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(56465), // Rule ID 8687 //
     /*  56414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  56417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56420 */     GIM_CheckHasOneUse, /*MI*/0,
     /*  56422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56442 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  56446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19946),
     /*  56450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  56452 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] }))<<P:Predicate_xor_oneuse>><<P:Predicate_anonymous_19946>>  =>  (V_XNOR_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1)
     /*  56452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  56455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  56461 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  56463 */     GIR_RootConstrainSelectedInstOperands,
     /*  56464 */     // GIR_Coverage, 8687,
     /*  56464 */     GIR_EraseRootFromParent_Done,
     /*  56465 */   // Label 505: @56465
     /*  56465 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(56596), // Rule ID 11379 //
     /*  56470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56474 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  56482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56490 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56502 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  56506 */     // MIs[0] z
     /*  56506 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  56511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  56515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56517 */     // (xor:{ *:[i32] } (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$z)<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  56517 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  56520 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56524 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56529 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  56533 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56538 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  56541 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56545 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56550 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  56554 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  56562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  56575 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  56583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  56591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  56594 */     GIR_RootConstrainSelectedInstOperands,
     /*  56595 */     // GIR_Coverage, 11379,
     /*  56595 */     GIR_EraseRootFromParent_Done,
     /*  56596 */   // Label 506: @56596
     /*  56596 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(56727), // Rule ID 11380 //
     /*  56601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56605 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  56613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56621 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56633 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  56637 */     // MIs[0] z
     /*  56637 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  56642 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  56646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56648 */     // (xor:{ *:[i32] } (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$y), i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$z)<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  56648 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  56651 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56655 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56660 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  56664 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56669 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  56672 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56676 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56681 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  56685 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  56693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  56706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  56714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  56722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  56725 */     GIR_RootConstrainSelectedInstOperands,
     /*  56726 */     // GIR_Coverage, 11380,
     /*  56726 */     GIR_EraseRootFromParent_Done,
     /*  56727 */   // Label 507: @56727
     /*  56727 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(56858), // Rule ID 11377 //
     /*  56732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56736 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  56744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56752 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  56768 */     // MIs[0] z
     /*  56768 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  56773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  56777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56779 */     // (xor:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, (xor:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$z)), i32:{ *:[i32] }:$z)<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  56779 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  56782 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56786 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56791 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, // z
     /*  56795 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56800 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  56803 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56807 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56812 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  56816 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  56824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  56837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  56845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  56853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  56856 */     GIR_RootConstrainSelectedInstOperands,
     /*  56857 */     // GIR_Coverage, 11377,
     /*  56857 */     GIR_EraseRootFromParent_Done,
     /*  56858 */   // Label 508: @56858
     /*  56858 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(56989), // Rule ID 11378 //
     /*  56863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56867 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  56875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  56879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  56883 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  56899 */     // MIs[0] z
     /*  56899 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  56904 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  56908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56910 */     // (xor:{ *:[i32] } (and:{ *:[i32] } i32:{ *:[i32] }:$x, (xor:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$y)), i32:{ *:[i32] }:$z)<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  56910 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  56913 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56917 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56922 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, // z
     /*  56926 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56931 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  56934 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56938 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56943 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  56947 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  56955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  56959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  56968 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  56973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  56976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  56978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  56984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  56987 */     GIR_RootConstrainSelectedInstOperands,
     /*  56988 */     // GIR_Coverage, 11378,
     /*  56988 */     GIR_EraseRootFromParent_Done,
     /*  56989 */   // Label 509: @56989
     /*  56989 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(57119), // Rule ID 11376 //
     /*  56994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  56997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57001 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  57009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57017 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  57029 */     // MIs[2] z
     /*  57029 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  57034 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  57038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57040 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$z, (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$y), i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  57040 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  57043 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57047 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57052 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // z
     /*  57056 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57061 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  57064 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57068 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57073 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  57077 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  57085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  57098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  57106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  57114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  57117 */     GIR_RootConstrainSelectedInstOperands,
     /*  57118 */     // GIR_Coverage, 11376,
     /*  57118 */     GIR_EraseRootFromParent_Done,
     /*  57119 */   // Label 510: @57119
     /*  57119 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(57249), // Rule ID 11375 //
     /*  57124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57131 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  57139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57147 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57159 */     // MIs[2] z
     /*  57159 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  57164 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  57168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57170 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$z, (and:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$z), i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  57170 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  57173 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57177 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57182 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // z
     /*  57186 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57191 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  57194 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57198 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57203 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  57207 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  57215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // x
     /*  57228 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  57236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  57244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  57247 */     GIR_RootConstrainSelectedInstOperands,
     /*  57248 */     // GIR_Coverage, 11375,
     /*  57248 */     GIR_EraseRootFromParent_Done,
     /*  57249 */   // Label 511: @57249
     /*  57249 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(57379), // Rule ID 11374 //
     /*  57254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57261 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  57269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57277 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  57289 */     // MIs[2] z
     /*  57289 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  57294 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  57298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57300 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$z, (and:{ *:[i32] } i32:{ *:[i32] }:$x, (xor:{ *:[i32] } i32:{ *:[i32] }:$z, i32:{ *:[i32] }:$y)))<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  57300 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  57303 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57307 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57312 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // z
     /*  57316 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57321 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  57324 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57328 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57333 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/2, // y
     /*  57337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  57345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  57358 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  57366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  57374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  57377 */     GIR_RootConstrainSelectedInstOperands,
     /*  57378 */     // GIR_Coverage, 11374,
     /*  57378 */     GIR_EraseRootFromParent_Done,
     /*  57379 */   // Label 512: @57379
     /*  57379 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(57509), // Rule ID 7522 //
     /*  57384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57391 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  57399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57407 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57419 */     // MIs[2] z
     /*  57419 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  57424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  57428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57430 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$z, (and:{ *:[i32] } i32:{ *:[i32] }:$x, (xor:{ *:[i32] } i32:{ *:[i32] }:$y, i32:{ *:[i32] }:$z)))<<P:Predicate_anonymous_19708>>  =>  (V_BFI_B32_e64:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$x, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$y, VGPR_32:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[i16] } VSrc_b32:{ *:[i32] }:$z, VGPR_32:{ *:[i32] }))
     /*  57430 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /*  57433 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57437 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57442 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // z
     /*  57446 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57451 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  57454 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57458 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57463 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // y
     /*  57467 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  57475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  57479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // x
     /*  57488 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  57496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  57504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  57507 */     GIR_RootConstrainSelectedInstOperands,
     /*  57508 */     // GIR_Coverage, 7522,
     /*  57508 */     GIR_EraseRootFromParent_Done,
     /*  57509 */   // Label 513: @57509
     /*  57509 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(57541), // Rule ID 0 //
     /*  57514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  57521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  57525 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  57529 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] })<<P:Predicate_anonymous_13734>>  =>  (S_NOT_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0)
     /*  57529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B32),
     /*  57532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  57534 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  57536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  57539 */     GIR_RootConstrainSelectedInstOperands,
     /*  57540 */     // GIR_Coverage, 0,
     /*  57540 */     GIR_EraseRootFromParent_Done,
     /*  57541 */   // Label 514: @57541
     /*  57541 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(57570), // Rule ID 7627 //
     /*  57546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57553 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  57557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  57561 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] })<<P:Predicate_anonymous_19708>>  =>  (V_NOT_B32_e32:{ *:[i32] } ?:{ *:[i32] }:$src0)
     /*  57561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_NOT_B32_e32),
     /*  57564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57566 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  57568 */     GIR_RootConstrainSelectedInstOperands,
     /*  57569 */     // GIR_Coverage, 7627,
     /*  57569 */     GIR_EraseRootFromParent_Done,
     /*  57570 */   // Label 515: @57570
     /*  57570 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(57638), // Rule ID 2669 //
     /*  57575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /*  57578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  57603 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*  57607 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*  57611 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:16:z
     /*  57615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21381),
     /*  57619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57621 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:16:x, i32:{ *:[i32] }:$src1:$pred:16:y)<<P:Predicate_anonymous_20939>>, i32:{ *:[i32] }:$src2:$pred:16:z)<<P:16:Predicate_anonymous_21381>>  =>  (V_XOR3_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  57621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR3_B32_e64),
     /*  57624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  57634 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  57636 */     GIR_RootConstrainSelectedInstOperands,
     /*  57637 */     // GIR_Coverage, 2669,
     /*  57637 */     GIR_EraseRootFromParent_Done,
     /*  57638 */   // Label 516: @57638
     /*  57638 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(57706), // Rule ID 8712 //
     /*  57643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /*  57646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57653 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/2, // Name : pred:16:z
     /*  57657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  57675 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*  57679 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*  57683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21381),
     /*  57687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57689 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:16:z, (xor:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:16:x, i32:{ *:[i32] }:$src1:$pred:16:y)<<P:Predicate_anonymous_20939>>)<<P:16:Predicate_anonymous_21381>>  =>  (V_XOR3_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /*  57689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR3_B32_e64),
     /*  57692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  57702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  57704 */     GIR_RootConstrainSelectedInstOperands,
     /*  57705 */     // GIR_Coverage, 8712,
     /*  57705 */     GIR_EraseRootFromParent_Done,
     /*  57706 */   // Label 517: @57706
     /*  57706 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(57735), // Rule ID 56 //
     /*  57711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  57718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13766),
     /*  57722 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13766>>  =>  (S_XOR_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  57722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /*  57727 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  57733 */     GIR_RootConstrainSelectedInstOperands,
     /*  57734 */     // GIR_Coverage, 56,
     /*  57734 */     GIR_Done,
     /*  57735 */   // Label 518: @57735
     /*  57735 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(57785), // Rule ID 8644 //
     /*  57740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  57743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57766 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  57770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57772 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] }), i32:{ *:[i32] }:$src1)  =>  (V_XNOR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  57772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  57775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57781 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  57783 */     GIR_RootConstrainSelectedInstOperands,
     /*  57784 */     // GIR_Coverage, 8644,
     /*  57784 */     GIR_EraseRootFromParent_Done,
     /*  57785 */   // Label 519: @57785
     /*  57785 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(57837), // Rule ID 913 //
     /*  57790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  57793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57816 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  57820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57822 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), -1:{ *:[i32] })  =>  (V_XNOR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  57822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  57825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  57835 */     GIR_RootConstrainSelectedInstOperands,
     /*  57836 */     // GIR_Coverage, 913,
     /*  57836 */     GIR_EraseRootFromParent_Done,
     /*  57837 */   // Label 520: @57837
     /*  57837 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(57887), // Rule ID 8645 //
     /*  57842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /*  57845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57868 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  57872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57874 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src1, (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, -1:{ *:[i32] }))  =>  (V_XNOR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  57874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XNOR_B32_e64),
     /*  57877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  57879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57883 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  57885 */     GIR_RootConstrainSelectedInstOperands,
     /*  57886 */     // GIR_Coverage, 8645,
     /*  57886 */     GIR_EraseRootFromParent_Done,
     /*  57887 */   // Label 521: @57887
     /*  57887 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(57910), // Rule ID 818 //
     /*  57892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  57899 */     // (xor:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_XOR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /*  57899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  57904 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  57908 */     GIR_RootConstrainSelectedInstOperands,
     /*  57909 */     // GIR_Coverage, 818,
     /*  57909 */     GIR_Done,
     /*  57910 */   // Label 522: @57910
     /*  57910 */   GIM_Reject,
     /*  57911 */ // Label 499: @57911
     /*  57911 */ GIM_Reject,
     /*  57912 */ // Label 485: @57912
     /*  57912 */ GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(60544),
     /*  57917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  57920 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(57978), // Rule ID 61 //
     /*  57925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  57928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  57932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  57940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  57944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  57948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  57950 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  57954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  57958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57960 */     // (xor:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_and_oneuse>>, -1:{ *:[i64] })<<P:Predicate_anonymous_13734>>  =>  (S_NAND_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  57960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NAND_B64),
     /*  57963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  57965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  57969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  57973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  57976 */     GIR_RootConstrainSelectedInstOperands,
     /*  57977 */     // GIR_Coverage, 61,
     /*  57977 */     GIR_EraseRootFromParent_Done,
     /*  57978 */   // Label 524: @57978
     /*  57978 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(58036), // Rule ID 63 //
     /*  57983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  57986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  57990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  57998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  58008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  58012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  58016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58018 */     // (xor:{ *:[i64] } (or:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_or_oneuse>>, -1:{ *:[i64] })<<P:Predicate_anonymous_13734>>  =>  (S_NOR_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  58018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOR_B64),
     /*  58021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  58023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  58027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  58031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  58034 */     GIR_RootConstrainSelectedInstOperands,
     /*  58035 */     // GIR_Coverage, 63,
     /*  58035 */     GIR_EraseRootFromParent_Done,
     /*  58036 */   // Label 525: @58036
     /*  58036 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(58094), // Rule ID 59 //
     /*  58041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  58044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  58048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  58066 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  58070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  58074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58076 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_xor_oneuse>>, -1:{ *:[i64] })<<P:Predicate_anonymous_13734>>  =>  (S_XNOR_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  58076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_XNOR_B64),
     /*  58079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  58081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /*  58085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /*  58089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  58092 */     GIR_RootConstrainSelectedInstOperands,
     /*  58093 */     // GIR_Coverage, 59,
     /*  58093 */     GIR_EraseRootFromParent_Done,
     /*  58094 */   // Label 526: @58094
     /*  58094 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(58393), // Rule ID 11386 //
     /*  58099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58103 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58119 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58131 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58135 */     // MIs[0] z
     /*  58135 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  58140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  58144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58146 */     // (xor:{ *:[i64] } (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$z)<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  58146 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  58149 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58153 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58158 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  58164 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58169 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58174 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  58177 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58181 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58186 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  58192 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58197 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58202 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  58205 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58209 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58214 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  58220 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58225 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58230 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  58233 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58237 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58242 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  58245 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  58248 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  58251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  58253 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  58256 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58260 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58265 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  58271 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58276 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58281 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  58284 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58288 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58293 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  58299 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58304 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58309 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  58312 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58316 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58321 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  58327 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  58340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58349 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  58352 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  58355 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  58358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  58363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58368 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  58371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  58374 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  58377 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58392 */     // GIR_Coverage, 11386,
     /*  58392 */     GIR_EraseRootFromParent_Done,
     /*  58393 */   // Label 527: @58393
     /*  58393 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(58692), // Rule ID 11387 //
     /*  58398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58402 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58418 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58430 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58434 */     // MIs[0] z
     /*  58434 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58439 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  58443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58445 */     // (xor:{ *:[i64] } (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$y), i64:{ *:[i64] }:$x), i64:{ *:[i64] }:$z)<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  58445 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  58448 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58452 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58457 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  58463 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58468 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58473 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  58476 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58480 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58485 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  58491 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58496 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58501 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  58504 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58508 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58513 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  58519 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58524 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58529 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  58532 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58536 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58541 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  58544 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  58547 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  58550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  58552 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  58555 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58559 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58564 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  58570 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58575 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58580 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  58583 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58587 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58592 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  58598 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58603 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58608 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  58611 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58615 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58620 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  58626 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58631 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  58639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58648 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  58651 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  58654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  58657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  58662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58667 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  58670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  58673 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  58676 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58681 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58686 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58691 */     // GIR_Coverage, 11387,
     /*  58691 */     GIR_EraseRootFromParent_Done,
     /*  58692 */   // Label 528: @58692
     /*  58692 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(58991), // Rule ID 11384 //
     /*  58697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58701 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58717 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58733 */     // MIs[0] z
     /*  58733 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  58738 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  58742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58744 */     // (xor:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, (xor:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$z)), i64:{ *:[i64] }:$z)<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  58744 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  58747 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58751 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58756 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  58762 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58767 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58772 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  58775 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58779 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58784 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  58790 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58795 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58800 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  58803 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58807 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58812 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  58818 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58823 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58828 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  58831 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58835 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58840 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  58843 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  58846 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  58849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  58851 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  58854 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58858 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58863 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  58869 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58874 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58879 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  58882 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58886 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58891 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  58897 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58902 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58907 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  58910 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  58914 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58919 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  58925 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58930 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  58938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  58942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  58950 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  58953 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  58956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  58961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58966 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  58969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  58972 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  58975 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  58980 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58985 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  58990 */     // GIR_Coverage, 11384,
     /*  58990 */     GIR_EraseRootFromParent_Done,
     /*  58991 */   // Label 529: @58991
     /*  58991 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(59290), // Rule ID 11385 //
     /*  58996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59000 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59016 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59028 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59032 */     // MIs[0] z
     /*  59032 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  59037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  59041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59043 */     // (xor:{ *:[i64] } (and:{ *:[i64] } i64:{ *:[i64] }:$x, (xor:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$y)), i64:{ *:[i64] }:$z)<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  59043 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  59046 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59050 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59055 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  59061 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59066 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59071 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  59074 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59078 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59083 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  59089 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59094 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59099 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  59102 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59106 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59111 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  59117 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59122 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59127 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  59130 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59134 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59139 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  59142 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  59145 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  59148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  59150 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  59153 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59157 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59162 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  59168 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59173 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59178 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  59181 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59185 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59190 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  59196 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59201 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59206 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  59209 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59213 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59218 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  59224 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59229 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  59237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59246 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  59249 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  59252 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  59255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  59260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59265 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  59268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  59271 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  59274 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59279 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59289 */     // GIR_Coverage, 11385,
     /*  59289 */     GIR_EraseRootFromParent_Done,
     /*  59290 */   // Label 530: @59290
     /*  59290 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(59588), // Rule ID 11383 //
     /*  59295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  59298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59302 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59318 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59326 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59330 */     // MIs[2] z
     /*  59330 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  59335 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  59339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59341 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$z, (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$y), i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  59341 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  59344 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59348 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59353 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  59359 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59364 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59369 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  59372 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59376 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59381 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  59387 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59392 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59397 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  59400 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59404 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59409 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  59415 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59420 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59425 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  59428 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59432 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59437 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  59440 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  59443 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  59446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  59448 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  59451 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59455 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59460 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  59466 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59471 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59476 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  59479 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59483 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59488 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  59494 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59499 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59504 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  59507 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59511 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59516 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  59522 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59527 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  59535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59544 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  59547 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  59550 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  59553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  59558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59563 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  59566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  59569 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  59572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59577 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59587 */     // GIR_Coverage, 11383,
     /*  59587 */     GIR_EraseRootFromParent_Done,
     /*  59588 */   // Label 531: @59588
     /*  59588 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(59886), // Rule ID 11382 //
     /*  59593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  59596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59600 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59616 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59628 */     // MIs[2] z
     /*  59628 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  59633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  59637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59639 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$z, (and:{ *:[i64] } (xor:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$z), i64:{ *:[i64] }:$x))<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  59639 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  59642 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59646 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59651 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  59657 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59662 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59667 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  59670 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59674 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59679 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  59685 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59690 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59695 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  59698 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59702 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59707 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  59713 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59718 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59723 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  59726 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59730 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59735 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  59738 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  59741 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  59744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  59746 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  59749 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59753 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59758 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  59764 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59769 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59774 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  59777 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59781 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59786 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  59792 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59797 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59802 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  59805 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59809 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59814 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  59820 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59825 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  59833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  59837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59842 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  59845 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  59848 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  59851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  59856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59861 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  59864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  59867 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  59870 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59875 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59880 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59885 */     // GIR_Coverage, 11382,
     /*  59885 */     GIR_EraseRootFromParent_Done,
     /*  59886 */   // Label 532: @59886
     /*  59886 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(60184), // Rule ID 11381 //
     /*  59891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  59894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59898 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59914 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59922 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59926 */     // MIs[2] z
     /*  59926 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  59931 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  59935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59937 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$z, (and:{ *:[i64] } i64:{ *:[i64] }:$x, (xor:{ *:[i64] } i64:{ *:[i64] }:$z, i64:{ *:[i64] }:$y)))<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  59937 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  59940 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59944 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59949 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  59955 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59960 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59965 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  59968 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59972 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59977 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  59983 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  59988 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  59993 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  59996 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60000 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60005 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  60011 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60016 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60021 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  60024 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  60028 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60033 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  60036 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  60039 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  60042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  60044 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  60047 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60051 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60056 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  60062 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60067 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60072 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  60075 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60079 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60084 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  60090 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60095 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60100 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60103 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60107 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60112 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  60118 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60123 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  60131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  60135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60140 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60143 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  60146 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  60149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  60154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60159 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  60162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  60165 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  60168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60183 */     // GIR_Coverage, 11381,
     /*  60183 */     GIR_EraseRootFromParent_Done,
     /*  60184 */   // Label 533: @60184
     /*  60184 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(60482), // Rule ID 7523 //
     /*  60189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  60192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60196 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60212 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60224 */     // MIs[2] z
     /*  60224 */     GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  60229 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19708),
     /*  60233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60235 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$z, (and:{ *:[i64] } i64:{ *:[i64] }:$x, (xor:{ *:[i64] } i64:{ *:[i64] }:$y, i64:{ *:[i64] }:$z)))<<P:Predicate_anonymous_19708>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$x, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$y, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$z, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /*  60235 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /*  60238 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60242 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60247 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // z
     /*  60253 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60258 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60263 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /*  60266 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60270 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60275 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // y
     /*  60281 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60286 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60291 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /*  60294 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60298 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60303 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // x
     /*  60309 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60314 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60319 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /*  60322 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  60326 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60331 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  60334 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /*  60337 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/7,
     /*  60340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  60342 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  60345 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60349 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60354 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // z
     /*  60360 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60365 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60370 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  60373 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60377 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60382 */     GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // y
     /*  60388 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60393 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60398 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  60401 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  60405 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60410 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // x
     /*  60416 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60421 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  60429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  60433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60438 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  60441 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  60444 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  60447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  60452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60457 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  60460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/4,
     /*  60463 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  60466 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  60471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60481 */     // GIR_Coverage, 7523,
     /*  60481 */     GIR_EraseRootFromParent_Done,
     /*  60482 */   // Label 534: @60482
     /*  60482 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(60514), // Rule ID 1 //
     /*  60487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  60490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  60494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  60498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13734),
     /*  60502 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$src0, -1:{ *:[i64] })<<P:Predicate_anonymous_13734>>  =>  (S_NOT_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0)
     /*  60502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOT_B64),
     /*  60505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  60507 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  60509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  60512 */     GIR_RootConstrainSelectedInstOperands,
     /*  60513 */     // GIR_Coverage, 1,
     /*  60513 */     GIR_EraseRootFromParent_Done,
     /*  60514 */   // Label 535: @60514
     /*  60514 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(60543), // Rule ID 57 //
     /*  60519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  60522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  60526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13766),
     /*  60530 */     // (xor:{ *:[i64] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)<<P:Predicate_anonymous_13766>>  =>  (S_XOR_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /*  60530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B64),
     /*  60535 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  60541 */     GIR_RootConstrainSelectedInstOperands,
     /*  60542 */     // GIR_Coverage, 57,
     /*  60542 */     GIR_Done,
     /*  60543 */   // Label 536: @60543
     /*  60543 */   GIM_Reject,
     /*  60544 */ // Label 523: @60544
     /*  60544 */ GIM_Reject,
     /*  60545 */ // Label 486: @60545
     /*  60545 */ GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(60571), // Rule ID 2539 //
     /*  60550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  60553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /*  60556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60560 */   // (xor:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1)  =>  (V_XOR_B32_e64:{ *:[v2i16] } VSrc_b32:{ *:[v2i16] }:$src0, VSrc_b32:{ *:[v2i16] }:$src1)
     /*  60560 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /*  60565 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /*  60569 */   GIR_RootConstrainSelectedInstOperands,
     /*  60570 */   // GIR_Coverage, 2539,
     /*  60570 */   GIR_Done,
     /*  60571 */ // Label 537: @60571
     /*  60571 */ GIM_Reject,
     /*  60572 */ // Label 487: @60572
     /*  60572 */ GIM_Reject,
     /*  60573 */ // Label 6: @60573
     /*  60573 */ GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(60602), // Rule ID 7474 //
     /*  60578 */   // MIs[0] DstI[vdst]
     /*  60578 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/32,
     /*  60582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60586 */   // MIs[0] Operand 1
     /*  60586 */   // No operand predicates
     /*  60586 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34921),
     /*  60590 */   // (frameindex:{ *:[i32] })<<P:Predicate_anonymous_34921>>:$fi  =>  (V_MOV_B32_e32:{ *:[i32] } (frameindex_to_targetframeindex:{ *:[i32] } ?:{ *:[i32] }:$fi))
     /*  60590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /*  60593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  60595 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  60600 */   GIR_RootConstrainSelectedInstOperands,
     /*  60601 */   // GIR_Coverage, 7474,
     /*  60601 */   GIR_EraseRootFromParent_Done,
     /*  60602 */ // Label 538: @60602
     /*  60602 */ GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(60627), // Rule ID 7475 //
     /*  60607 */   // MIs[0] DstI[sdst]
     /*  60607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/32,
     /*  60611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  60615 */   // MIs[0] Operand 1
     /*  60615 */   // No operand predicates
     /*  60615 */   // (frameindex:{ *:[i32] }):$fi  =>  (S_MOV_B32:{ *:[i32] } (frameindex_to_targetframeindex:{ *:[i32] } ?:{ *:[i32] }:$fi))
     /*  60615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  60618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  60620 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  60625 */   GIR_RootConstrainSelectedInstOperands,
     /*  60626 */   // GIR_Coverage, 7475,
     /*  60626 */   GIR_EraseRootFromParent_Done,
     /*  60627 */ // Label 539: @60627
     /*  60627 */ GIM_Reject,
     /*  60628 */ // Label 7: @60628
     /*  60628 */ GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(65653),
     /*  60633 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  60636 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /*  60639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  60642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  60645 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(62611),
     /*  60650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  60654 */     GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(60777), // Rule ID 2761 //
     /*  60659 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_NotHasTrue16BitInsts),
     /*  60662 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60666 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  60670 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  60674 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60678 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  60682 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60686 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  60690 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  60694 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  60698 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  60702 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  60706 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  60708 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60715 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60722 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60729 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  60729 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  60732 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  60734 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  60739 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  60744 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  60749 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  60754 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  60759 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  60764 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  60767 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  60769 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60772 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60775 */       GIR_RootConstrainSelectedInstOperands,
     /*  60776 */       // GIR_Coverage, 2761,
     /*  60776 */       GIR_EraseRootFromParent_Done,
     /*  60777 */     // Label 542: @60777
     /*  60777 */     GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(60900), // Rule ID 2763 //
     /*  60782 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_UseFakeTrue16Insts),
     /*  60785 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60789 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  60793 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  60797 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60801 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  60805 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60809 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  60813 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  60817 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  60821 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  60825 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  60829 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  60831 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60838 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60845 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60852 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  60852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  60855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  60857 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  60862 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  60867 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  60872 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  60877 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  60882 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  60887 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  60890 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  60892 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60895 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60898 */       GIR_RootConstrainSelectedInstOperands,
     /*  60899 */       // GIR_Coverage, 2763,
     /*  60899 */       GIR_EraseRootFromParent_Done,
     /*  60900 */     // Label 543: @60900
     /*  60900 */     GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(61078), // Rule ID 2766 //
     /*  60905 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_UseRealTrue16Insts),
     /*  60908 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60912 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  60916 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  60920 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60924 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  60928 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60932 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  60936 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  60940 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  60944 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  60948 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  60952 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  60954 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60961 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60968 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  60975 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, ?:{ *:[f16] }:$elt0, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), hi16:{ *:[i32] }))
     /*  60975 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  60978 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  60982 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60987 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  60989 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  60992 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  60996 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61001 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // elt0
     /*  61005 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  61008 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  61011 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  61014 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  61019 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61024 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61029 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  61032 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61034 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61039 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61044 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61049 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61054 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61059 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61064 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  61067 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61070 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61073 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61076 */       GIR_RootConstrainSelectedInstOperands,
     /*  61077 */       // GIR_Coverage, 2766,
     /*  61077 */       GIR_EraseRootFromParent_Done,
     /*  61078 */     // Label 544: @61078
     /*  61078 */     GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(61201), // Rule ID 2745 //
     /*  61083 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_NotHasTrue16BitInsts),
     /*  61086 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61090 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  61094 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  61098 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61102 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61106 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61110 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  61114 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  61118 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  61122 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  61126 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  61130 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61132 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61139 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61146 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61153 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  61153 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  61156 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61158 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61163 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61168 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61173 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61178 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61183 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61188 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  61191 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  61193 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61196 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61199 */       GIR_RootConstrainSelectedInstOperands,
     /*  61200 */       // GIR_Coverage, 2745,
     /*  61200 */       GIR_EraseRootFromParent_Done,
     /*  61201 */     // Label 545: @61201
     /*  61201 */     GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(61379), // Rule ID 2748 //
     /*  61206 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_UseRealTrue16Insts),
     /*  61209 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61213 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  61217 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  61221 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61225 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61229 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61233 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  61237 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  61241 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  61245 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  61249 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  61253 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61255 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61262 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61269 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61276 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, ?:{ *:[f16] }:$elt0, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), hi16:{ *:[i32] }))
     /*  61276 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  61279 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61283 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61288 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  61290 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  61293 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  61297 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61302 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // elt0
     /*  61306 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  61309 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  61312 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  61315 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  61320 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61325 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61330 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  61333 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61335 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61340 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61345 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61350 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61355 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61360 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61365 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  61368 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61371 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61374 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61377 */       GIR_RootConstrainSelectedInstOperands,
     /*  61378 */       // GIR_Coverage, 2748,
     /*  61378 */       GIR_EraseRootFromParent_Done,
     /*  61379 */     // Label 546: @61379
     /*  61379 */     GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(61502), // Rule ID 2752 //
     /*  61384 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_UseFakeTrue16Insts),
     /*  61387 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61391 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_CLAMP),
     /*  61395 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  61399 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61403 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61407 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61411 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  61415 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  61419 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  61423 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  61427 */       GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /*  61431 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61433 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61440 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61447 */       GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61454 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (AMDGPUclamp:{ *:[f16] } (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 1:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  61454 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  61457 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61459 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61464 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61469 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61474 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61479 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61484 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61489 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  61492 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  61494 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61497 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61500 */       GIR_RootConstrainSelectedInstOperands,
     /*  61501 */       // GIR_Coverage, 2752,
     /*  61501 */       GIR_EraseRootFromParent_Done,
     /*  61502 */     // Label 547: @61502
     /*  61502 */     GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(61668), // Rule ID 2764 //
     /*  61507 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_UseRealTrue16Insts),
     /*  61510 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61514 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61518 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61522 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61526 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  61530 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61534 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  61538 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  61542 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61544 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61551 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61558 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61565 */       // (build_vector:{ *:[v2f16] } (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))), f16:{ *:[f16] }:$elt1)  =>  (V_FMA_MIXLO_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), lo16:{ *:[i32] }, ?:{ *:[f16] }:$elt1, hi16:{ *:[i32] }))
     /*  61565 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  61568 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61572 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61577 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  61579 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  61582 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  61586 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61591 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  61594 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  61597 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // elt1
     /*  61601 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  61604 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  61609 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61614 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61619 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXLO_F16),
     /*  61622 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61624 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61629 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61634 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61639 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61644 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61649 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61654 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61657 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61660 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61663 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61666 */       GIR_RootConstrainSelectedInstOperands,
     /*  61667 */       // GIR_Coverage, 2764,
     /*  61667 */       GIR_EraseRootFromParent_Done,
     /*  61668 */     // Label 548: @61668
     /*  61668 */     GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(61834), // Rule ID 2746 //
     /*  61673 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_UseRealTrue16Insts),
     /*  61676 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61680 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61684 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61688 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61692 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  61696 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61700 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  61704 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  61708 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61710 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61717 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61724 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61731 */       // (build_vector:{ *:[v2f16] } (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))), f16:{ *:[f16] }:$elt1)  =>  (V_MAD_MIXLO_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), lo16:{ *:[i32] }, ?:{ *:[f16] }:$elt1, hi16:{ *:[i32] }))
     /*  61731 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  61734 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  61738 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61743 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  61745 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  61748 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  61752 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  61757 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  61760 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  61763 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // elt1
     /*  61767 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  61770 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  61775 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61780 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  61785 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXLO_F16),
     /*  61788 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61790 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61795 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61800 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61805 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61810 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61815 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61820 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61823 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  61826 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61829 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61832 */       GIR_RootConstrainSelectedInstOperands,
     /*  61833 */       // GIR_Coverage, 2746,
     /*  61833 */       GIR_EraseRootFromParent_Done,
     /*  61834 */     // Label 549: @61834
     /*  61834 */     GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(61945), // Rule ID 2760 //
     /*  61839 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_NotHasTrue16BitInsts),
     /*  61842 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61846 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61850 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61854 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61858 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  61862 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61866 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  61870 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  61874 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61876 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61883 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61890 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61897 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  61897 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  61900 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  61902 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  61907 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  61912 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  61917 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  61922 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  61927 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  61932 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61935 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  61937 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61940 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  61943 */       GIR_RootConstrainSelectedInstOperands,
     /*  61944 */       // GIR_Coverage, 2760,
     /*  61944 */       GIR_EraseRootFromParent_Done,
     /*  61945 */     // Label 550: @61945
     /*  61945 */     GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(62056), // Rule ID 2762 //
     /*  61950 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_UseFakeTrue16Insts),
     /*  61953 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61957 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  61961 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61965 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61969 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  61973 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  61977 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  61981 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  61985 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61987 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  61994 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62001 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62008 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  62008 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  62011 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62013 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  62018 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  62023 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  62028 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  62033 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  62038 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  62043 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62046 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  62048 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62051 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62054 */       GIR_RootConstrainSelectedInstOperands,
     /*  62055 */       // GIR_Coverage, 2762,
     /*  62055 */       GIR_EraseRootFromParent_Done,
     /*  62056 */     // Label 551: @62056
     /*  62056 */     GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(62222), // Rule ID 2765 //
     /*  62061 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts_UseRealTrue16Insts),
     /*  62064 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62068 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  62072 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  62076 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62080 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMA),
     /*  62084 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62088 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  62092 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  62096 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62098 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62105 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62112 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62119 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, ?:{ *:[f16] }:$elt0, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), hi16:{ *:[i32] }))
     /*  62119 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  62122 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62126 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62131 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  62133 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  62136 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  62140 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62145 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // elt0
     /*  62149 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  62152 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  62155 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  62158 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62163 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  62168 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  62173 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  62176 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62178 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  62183 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  62188 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  62193 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  62198 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  62203 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  62208 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62211 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62214 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62217 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62220 */       GIR_RootConstrainSelectedInstOperands,
     /*  62221 */       // GIR_Coverage, 2765,
     /*  62221 */       GIR_EraseRootFromParent_Done,
     /*  62222 */     // Label 552: @62222
     /*  62222 */     GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(62333), // Rule ID 2744 //
     /*  62227 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_NotHasTrue16BitInsts),
     /*  62230 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62234 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  62238 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  62242 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62246 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  62250 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62254 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  62258 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  62262 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62264 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62271 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62278 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62285 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  62285 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  62288 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62290 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  62295 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  62300 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  62305 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  62310 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  62315 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  62320 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62323 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  62325 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62328 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62331 */       GIR_RootConstrainSelectedInstOperands,
     /*  62332 */       // GIR_Coverage, 2744,
     /*  62332 */       GIR_EraseRootFromParent_Done,
     /*  62333 */     // Label 553: @62333
     /*  62333 */     GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(62499), // Rule ID 2747 //
     /*  62338 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_UseRealTrue16Insts),
     /*  62341 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62345 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  62349 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  62353 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62357 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  62361 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62365 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  62369 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  62373 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62375 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62382 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62389 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62396 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, ?:{ *:[f16] }:$elt0, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[f16] }), hi16:{ *:[i32] }))
     /*  62396 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  62399 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  62403 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62408 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  62410 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  62413 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  62417 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62422 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // elt0
     /*  62426 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /*  62429 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  62432 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /*  62435 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62440 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  62445 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  62450 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  62453 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62455 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  62460 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  62465 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  62470 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  62475 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  62480 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  62485 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62488 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62491 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62494 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62497 */       GIR_RootConstrainSelectedInstOperands,
     /*  62498 */       // GIR_Coverage, 2747,
     /*  62498 */       GIR_EraseRootFromParent_Done,
     /*  62499 */     // Label 554: @62499
     /*  62499 */     GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(62610), // Rule ID 2751 //
     /*  62504 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals_UseFakeTrue16Insts),
     /*  62507 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62511 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  62515 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  62519 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62523 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAD),
     /*  62527 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62531 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  62535 */       GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_s32,
     /*  62539 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62541 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62548 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62555 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  62562 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  62562 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  62565 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62567 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  62572 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  62577 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  62582 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  62587 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /*  62592 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /*  62597 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62600 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  62602 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62605 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  62608 */       GIR_RootConstrainSelectedInstOperands,
     /*  62609 */       // GIR_Coverage, 2751,
     /*  62609 */       GIR_EraseRootFromParent_Done,
     /*  62610 */     // Label 555: @62610
     /*  62610 */     GIM_Reject,
     /*  62611 */   // Label 541: @62611
     /*  62611 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(62925),
     /*  62616 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  62620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62624 */     GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(62774), // Rule ID 7744 //
     /*  62629 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  62632 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62636 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  62640 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  62644 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62648 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62652 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62656 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62660 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62664 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  62668 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  62672 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62677 */       GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  62681 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62685 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  62689 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s16,
     /*  62693 */       GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  62697 */       GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62701 */       GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  62705 */       GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  62709 */       GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62713 */       GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  62717 */       GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  62721 */       GIM_CheckRegBankForClass, /*MI*/6, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62726 */       GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  62730 */       GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  62732 */       // (build_vector:{ *:[v2f16] } (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] }))), (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] }))))<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$b, VGPR_32:{ *:[i32] }:$a, (S_MOV_B32:{ *:[i16] } 117834498:{ *:[i32] }))
     /*  62732 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  62735 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  62739 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62744 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(117834498),
     /*  62754 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  62756 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  62759 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62761 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // b
     /*  62765 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // a
     /*  62769 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62772 */       GIR_RootConstrainSelectedInstOperands,
     /*  62773 */       // GIR_Coverage, 7744,
     /*  62773 */       GIR_EraseRootFromParent_Done,
     /*  62774 */     // Label 557: @62774
     /*  62774 */     GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(62924), // Rule ID 7745 //
     /*  62779 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  62782 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62786 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  62790 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  62794 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62798 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62802 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62806 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62810 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62814 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  62818 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  62822 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62827 */       GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  62831 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62835 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  62839 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s16,
     /*  62843 */       GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  62847 */       GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62851 */       GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  62855 */       GIM_RecordInsn, /*DefineMI*/6, /*MI*/5, /*OpIdx*/1, // MIs[6]
     /*  62859 */       GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62863 */       GIM_CheckType, /*MI*/6, /*Op*/1, /*Type*/GILLT_s32,
     /*  62867 */       GIM_CheckType, /*MI*/6, /*Op*/2, /*Type*/GILLT_s32,
     /*  62871 */       GIM_CheckRegBankForClass, /*MI*/6, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  62876 */       GIM_CheckConstantInt8, /*MI*/6, /*Op*/2, 16,
     /*  62880 */       GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  62882 */       // (build_vector:{ *:[v2f16] } (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] }))), (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] }))))<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$b, VGPR_32:{ *:[i32] }:$a, (S_MOV_B32:{ *:[i16] } 117834498:{ *:[i32] }))
     /*  62882 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  62885 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  62889 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  62894 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(117834498),
     /*  62904 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  62906 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  62909 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  62911 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/6, /*OpIdx*/1, // b
     /*  62915 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // a
     /*  62919 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  62922 */       GIR_RootConstrainSelectedInstOperands,
     /*  62923 */       // GIR_Coverage, 7745,
     /*  62923 */       GIR_EraseRootFromParent_Done,
     /*  62924 */     // Label 558: @62924
     /*  62924 */     GIM_Reject,
     /*  62925 */   // Label 556: @62925
     /*  62925 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(63036), // Rule ID 7725 //
     /*  62930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  62933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  62937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  62949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  62961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  62965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  62967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  62972 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  62976 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  62980 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  62984 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  62988 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  62992 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62996 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  63000 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  63004 */     GIM_CheckHasOneUse, /*MI*/4,
     /*  63006 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  63011 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  63015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  63019 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63021 */     // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } SReg_32:{ *:[i32] }:$src0, 16:{ *:[i32] })<<P:Predicate_srl_oneuse>>), (trunc:{ *:[i16] } (srl:{ *:[i32] } SReg_32:{ *:[i32] }:$src1, 16:{ *:[i32] })<<P:Predicate_srl_oneuse>>))<<P:Predicate_anonymous_35208>>  =>  (S_PACK_HH_B32_B16:{ *:[v2i16] } SReg_32:{ *:[i32] }:$src0, SReg_32:{ *:[i32] }:$src1)
     /*  63021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PACK_HH_B32_B16),
     /*  63024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  63026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  63030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // src1
     /*  63034 */     GIR_RootConstrainSelectedInstOperands,
     /*  63035 */     // GIR_Coverage, 7725,
     /*  63035 */     GIR_EraseRootFromParent_Done,
     /*  63036 */   // Label 559: @63036
     /*  63036 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(63215),
     /*  63041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35270),
     /*  63045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63049 */     GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(63104), // Rule ID 7746 //
     /*  63054 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /*  63057 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63064 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63071 */       // (build_vector:{ *:[v2f16] } (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_anonymous_35270>>  =>  (V_PACK_B32_F16_e64:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, VGPR_32:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, VGPR_32:{ *:[f16] }:$src1)
     /*  63071 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PACK_B32_F16_e64),
     /*  63074 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63076 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /*  63081 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63086 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /*  63091 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63096 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63099 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63102 */       GIR_RootConstrainSelectedInstOperands,
     /*  63103 */       // GIR_Coverage, 7746,
     /*  63103 */       GIR_EraseRootFromParent_Done,
     /*  63104 */     // Label 561: @63104
     /*  63104 */     GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(63159), // Rule ID 7747 //
     /*  63109 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /*  63112 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63119 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63126 */       // (build_vector:{ *:[v2f16] } (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_anonymous_35270>>  =>  (V_PACK_B32_F16_t16_e64:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, VGPR_32:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, VGPR_32:{ *:[f16] }:$src1)
     /*  63126 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PACK_B32_F16_t16_e64),
     /*  63129 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63131 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /*  63136 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63141 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /*  63146 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63151 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63154 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63157 */       GIR_RootConstrainSelectedInstOperands,
     /*  63158 */       // GIR_Coverage, 7747,
     /*  63158 */       GIR_EraseRootFromParent_Done,
     /*  63159 */     // Label 562: @63159
     /*  63159 */     GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(63214), // Rule ID 7748 //
     /*  63164 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /*  63167 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63174 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63181 */       // (build_vector:{ *:[v2f16] } (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } VGPR_32:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_anonymous_35270>>  =>  (V_PACK_B32_F16_fake16_e64:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, VGPR_32:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, VGPR_32:{ *:[f16] }:$src1)
     /*  63181 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PACK_B32_F16_fake16_e64),
     /*  63184 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63186 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /*  63191 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63196 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /*  63201 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63206 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63209 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63212 */       GIR_RootConstrainSelectedInstOperands,
     /*  63213 */       // GIR_Coverage, 7748,
     /*  63213 */       GIR_EraseRootFromParent_Done,
     /*  63214 */     // Label 563: @63214
     /*  63214 */     GIM_Reject,
     /*  63215 */   // Label 560: @63215
     /*  63215 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(63498),
     /*  63220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63224 */     GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(63305), // Rule ID 2644 //
     /*  63229 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCvtPkF16F32Inst),
     /*  63232 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63236 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  63240 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  63244 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63248 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  63252 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63256 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63258 */       GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63265 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /*  63272 */       // (build_vector:{ *:[v2f16] } (fpround:{ *:[f16] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers)), (fpround:{ *:[f16] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers)))  =>  (V_CVT_PK_F16_F32_e64:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1)
     /*  63272 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F16_F32_e64),
     /*  63275 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63277 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  63282 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63287 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  63292 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63297 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63300 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63303 */       GIR_RootConstrainSelectedInstOperands,
     /*  63304 */       // GIR_Coverage, 2644,
     /*  63304 */       GIR_EraseRootFromParent_Done,
     /*  63305 */     // Label 565: @63305
     /*  63305 */     GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(63401), // Rule ID 2742 //
     /*  63310 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /*  63313 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63317 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  63321 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  63325 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63329 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /*  63333 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63337 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  63341 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63343 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  63350 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  63357 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fmul:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  63357 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /*  63360 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63362 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  63367 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63372 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  63377 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63382 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63385 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63388 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63391 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  63393 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63396 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63399 */       GIR_RootConstrainSelectedInstOperands,
     /*  63400 */       // GIR_Coverage, 2742,
     /*  63400 */       GIR_EraseRootFromParent_Done,
     /*  63401 */     // Label 566: @63401
     /*  63401 */     GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(63497), // Rule ID 2758 //
     /*  63406 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /*  63409 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63413 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  63417 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  63421 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63425 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMUL),
     /*  63429 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63433 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  63437 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63439 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  63446 */       GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /*  63453 */       // (build_vector:{ *:[v2f16] } f16:{ *:[f16] }:$elt0, (fpround:{ *:[f16] } (fmul:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i1] }, VGPR_32:{ *:[f16] }:$elt0)
     /*  63453 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /*  63456 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63458 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  63463 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  63468 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /*  63473 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /*  63478 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63481 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63484 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63487 */       GIR_RootToRootCopy, /*OpIdx*/1, // elt0
     /*  63489 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63492 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63495 */       GIR_RootConstrainSelectedInstOperands,
     /*  63496 */       // GIR_Coverage, 2758,
     /*  63496 */       GIR_EraseRootFromParent_Done,
     /*  63497 */     // Label 567: @63497
     /*  63497 */     GIM_Reject,
     /*  63498 */   // Label 564: @63498
     /*  63498 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(64040),
     /*  63503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  63507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63511 */     GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(63637), // Rule ID 7733 //
     /*  63516 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  63519 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63523 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63527 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  63531 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63535 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63539 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63543 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  63547 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63552 */       GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  63556 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  63560 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63564 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  63568 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  63572 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63576 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  63580 */       GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  63584 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63589 */       GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  63593 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63595 */       // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })), (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] })))<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$b, VGPR_32:{ *:[i32] }:$a, (S_MOV_B32:{ *:[i16] } 117834498:{ *:[i32] }))
     /*  63595 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  63598 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  63602 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63607 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(117834498),
     /*  63617 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  63619 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  63622 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63624 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // b
     /*  63628 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // a
     /*  63632 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63635 */       GIR_RootConstrainSelectedInstOperands,
     /*  63636 */       // GIR_Coverage, 7733,
     /*  63636 */       GIR_EraseRootFromParent_Done,
     /*  63637 */     // Label 569: @63637
     /*  63637 */     GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(63763), // Rule ID 7735 //
     /*  63642 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  63645 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63649 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63653 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  63657 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63661 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63665 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63669 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  63673 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63678 */       GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  63682 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  63686 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63690 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  63694 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  63698 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63702 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  63706 */       GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  63710 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63715 */       GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  63719 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63721 */       // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })), (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] })))<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$b, VGPR_32:{ *:[i32] }:$a, (S_MOV_B32:{ *:[i16] } 117834498:{ *:[i32] }))
     /*  63721 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  63724 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  63728 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63733 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(117834498),
     /*  63743 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  63745 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  63748 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63750 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // b
     /*  63754 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // a
     /*  63758 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  63761 */       GIR_RootConstrainSelectedInstOperands,
     /*  63762 */       // GIR_Coverage, 7735,
     /*  63762 */       GIR_EraseRootFromParent_Done,
     /*  63763 */     // Label 570: @63763
     /*  63763 */     GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(63842), // Rule ID 7742 //
     /*  63768 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  63771 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63775 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  63779 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  63783 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63787 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63791 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63795 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63799 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63803 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  63807 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  63811 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63816 */       GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  63820 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63824 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  63826 */       // (build_vector:{ *:[v2f16] } (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] }))), VGPR_32:{ *:[f16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_ALIGNBIT_B32_e64:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$b, VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })
     /*  63826 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /*  63829 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63831 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  63833 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // a
     /*  63837 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  63840 */       GIR_RootConstrainSelectedInstOperands,
     /*  63841 */       // GIR_Coverage, 7742,
     /*  63841 */       GIR_EraseRootFromParent_Done,
     /*  63842 */     // Label 571: @63842
     /*  63842 */     GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(63936), // Rule ID 7743 //
     /*  63847 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  63850 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63854 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  63858 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  63862 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63866 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63870 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63874 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63878 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63882 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  63886 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  63890 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63895 */       GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  63899 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63903 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  63905 */       // (build_vector:{ *:[v2f16] } (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] }))), VGPR_32:{ *:[f16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_ALIGNBIT_B32_fake16_e64:{ *:[v2f16] } 0:{ *:[i32] }, VGPR_32:{ *:[f16] }:$b, 0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$a, 0:{ *:[i32] }, 16:{ *:[i16] }, 0:{ *:[i1] }, 0:{ *:[i32] })
     /*  63905 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /*  63908 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  63910 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63913 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  63915 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63918 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // a
     /*  63922 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63925 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  63928 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63931 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  63934 */       GIR_RootConstrainSelectedInstOperands,
     /*  63935 */       // GIR_Coverage, 7743,
     /*  63935 */       GIR_EraseRootFromParent_Done,
     /*  63936 */     // Label 572: @63936
     /*  63936 */     GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(64039), // Rule ID 7741 //
     /*  63941 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  63944 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63948 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63952 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  63956 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  63960 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63964 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  63968 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  63972 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63976 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63980 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  63984 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  63988 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  63993 */       GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  63997 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  63999 */       // (build_vector:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$a, (bitconvert:{ *:[f16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] }))))<<P:Predicate_anonymous_35210>>  =>  (V_BFI_B32_e64:{ *:[v2f16] } (S_MOV_B32:{ *:[i16] } 65535:{ *:[i32] }), VGPR_32:{ *:[f16] }:$a, VGPR_32:{ *:[i32] }:$b)
     /*  63999 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  64002 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  64006 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64011 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /*  64021 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  64023 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  64026 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64028 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64031 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  64033 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // b
     /*  64037 */       GIR_RootConstrainSelectedInstOperands,
     /*  64038 */       // GIR_Coverage, 7741,
     /*  64038 */       GIR_EraseRootFromParent_Done,
     /*  64039 */     // Label 573: @64039
     /*  64039 */     GIM_Reject,
     /*  64040 */   // Label 568: @64040
     /*  64040 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(64114), // Rule ID 7724 //
     /*  64045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  64048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  64064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  64068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  64080 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  64084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  64086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64091 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  64095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64101 */     // (build_vector:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, (trunc:{ *:[i16] } (srl:{ *:[i32] } SReg_32:{ *:[i32] }:$src1, 16:{ *:[i32] })<<P:Predicate_srl_oneuse>>))<<P:Predicate_anonymous_35208>>  =>  (S_PACK_LH_B32_B16:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, SReg_32:{ *:[i32] }:$src1)
     /*  64101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PACK_LH_B32_B16),
     /*  64104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64106 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  64108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  64112 */     GIR_RootConstrainSelectedInstOperands,
     /*  64113 */     // GIR_Coverage, 7724,
     /*  64113 */     GIR_EraseRootFromParent_Done,
     /*  64114 */   // Label 574: @64114
     /*  64114 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(64273),
     /*  64119 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64131 */     GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(64194), // Rule ID 7731 //
     /*  64136 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  64139 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64143 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  64147 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  64151 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64155 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64159 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  64163 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  64167 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64172 */       GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  64176 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64178 */       // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })), VGPR_32:{ *:[i16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_ALIGNBIT_B32_e64:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$b, VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })
     /*  64178 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /*  64181 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64183 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  64185 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // a
     /*  64189 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64192 */       GIR_RootConstrainSelectedInstOperands,
     /*  64193 */       // GIR_Coverage, 7731,
     /*  64193 */       GIR_EraseRootFromParent_Done,
     /*  64194 */     // Label 576: @64194
     /*  64194 */     GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(64272), // Rule ID 7732 //
     /*  64199 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  64202 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64206 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  64210 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  64214 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64218 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64222 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  64226 */       GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  64230 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64235 */       GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  64239 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64241 */       // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$a, 16:{ *:[i32] })), VGPR_32:{ *:[i16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_ALIGNBIT_B32_fake16_e64:{ *:[v2i16] } 0:{ *:[i32] }, VGPR_32:{ *:[i16] }:$b, 0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$a, 0:{ *:[i32] }, 16:{ *:[i16] }, 0:{ *:[i1] }, 0:{ *:[i32] })
     /*  64241 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /*  64244 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64246 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64249 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  64251 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64254 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // a
     /*  64258 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64261 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64264 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64267 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  64270 */       GIR_RootConstrainSelectedInstOperands,
     /*  64271 */       // GIR_Coverage, 7732,
     /*  64271 */       GIR_EraseRootFromParent_Done,
     /*  64272 */     // Label 577: @64272
     /*  64272 */     GIM_Reject,
     /*  64273 */   // Label 575: @64273
     /*  64273 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(64343), // Rule ID 7749 //
     /*  64278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  64281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  64293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  64297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  64309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  64313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  64315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64320 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  64324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64330 */     // (build_vector:{ *:[v2i16] } (trunc:{ *:[i16] } (srl:{ *:[i32] } SReg_32:{ *:[i32] }:$src0, 16:{ *:[i32] })<<P:Predicate_srl_oneuse>>), SReg_32:{ *:[i16] }:$src1)  =>  (S_PACK_HL_B32_B16:{ *:[v2i16] } SReg_32:{ *:[i32] }:$src0, SReg_32:{ *:[i16] }:$src1)
     /*  64330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PACK_HL_B32_B16),
     /*  64333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /*  64339 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64341 */     GIR_RootConstrainSelectedInstOperands,
     /*  64342 */     // GIR_Coverage, 7749,
     /*  64342 */     GIR_EraseRootFromParent_Done,
     /*  64343 */   // Label 578: @64343
     /*  64343 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(64442), // Rule ID 7730 //
     /*  64348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  64351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  64367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  64371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  64383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  64387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64392 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  64396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64402 */     // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$a, (trunc:{ *:[i16] } (srl:{ *:[i32] } VGPR_32:{ *:[i32] }:$b, 16:{ *:[i32] })))<<P:Predicate_anonymous_35210>>  =>  (V_BFI_B32_e64:{ *:[v2i16] } (S_MOV_B32:{ *:[i16] } 65535:{ *:[i32] }), VGPR_32:{ *:[i16] }:$a, VGPR_32:{ *:[i32] }:$b)
     /*  64402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  64405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  64409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64414 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /*  64424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  64426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /*  64429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64434 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  64436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // b
     /*  64440 */     GIR_RootConstrainSelectedInstOperands,
     /*  64441 */     // GIR_Coverage, 7730,
     /*  64441 */     GIR_EraseRootFromParent_Done,
     /*  64442 */   // Label 579: @64442
     /*  64442 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(64478), // Rule ID 7704 //
     /*  64447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64451 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  64455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64463 */     // (build_vector:{ *:[v2i16] } 0:{ *:[i16] }, SReg_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_LSHL_B32:{ *:[v2i16] }:{ *:[i1] } SReg_32:{ *:[i16] }:$src1, 16:{ *:[i16] })
     /*  64463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /*  64466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64468 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64476 */     GIR_RootConstrainSelectedInstOperands,
     /*  64477 */     // GIR_Coverage, 7704,
     /*  64477 */     GIR_EraseRootFromParent_Done,
     /*  64478 */   // Label 580: @64478
     /*  64478 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(64511), // Rule ID 7705 //
     /*  64483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  64491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64499 */     // (build_vector:{ *:[v2i16] } 0:{ *:[i16] }, VGPR_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35210>>  =>  (V_LSHLREV_B32_e64:{ *:[v2i16] } 16:{ *:[i16] }, VGPR_32:{ *:[i16] }:$src1)
     /*  64499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /*  64502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64509 */     GIR_RootConstrainSelectedInstOperands,
     /*  64510 */     // GIR_Coverage, 7705,
     /*  64510 */     GIR_EraseRootFromParent_Done,
     /*  64511 */   // Label 581: @64511
     /*  64511 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(64571), // Rule ID 7706 //
     /*  64516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64524 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  64528 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64532 */     // (build_vector:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src1, 0:{ *:[i16] })<<P:Predicate_anonymous_35208>>  =>  (S_AND_B32:{ *:[v2i16] }:{ *:[i1] } (S_MOV_B32:{ *:[i1] } 65535:{ *:[i32] }), SReg_32:{ *:[i16] }:$src1)
     /*  64532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  64535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  64539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64544 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /*  64554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  64556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /*  64559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64564 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  64566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64569 */     GIR_RootConstrainSelectedInstOperands,
     /*  64570 */     // GIR_Coverage, 7706,
     /*  64570 */     GIR_EraseRootFromParent_Done,
     /*  64571 */   // Label 582: @64571
     /*  64571 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(64628), // Rule ID 7707 //
     /*  64576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64584 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  64588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64592 */     // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src1, 0:{ *:[i16] })<<P:Predicate_anonymous_35210>>  =>  (V_AND_B32_e64:{ *:[v2i16] } (V_MOV_B32_e32:{ *:[i32] } 65535:{ *:[i32] }), VGPR_32:{ *:[i16] }:$src1)
     /*  64592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  64595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /*  64599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64604 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /*  64614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  64616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  64619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  64624 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  64626 */     GIR_RootConstrainSelectedInstOperands,
     /*  64627 */     // GIR_Coverage, 7707,
     /*  64627 */     GIR_EraseRootFromParent_Done,
     /*  64628 */   // Label 583: @64628
     /*  64628 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(64673), // Rule ID 7712 //
     /*  64633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  64636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64652 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64658 */     // (build_vector:{ *:[v2i16] } (undef:{ *:[i16] }), SReg_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_LSHL_B32:{ *:[v2i16] }:{ *:[i1] } SReg_32:{ *:[i16] }:$src1, 16:{ *:[i32] })
     /*  64658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /*  64661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64663 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64671 */     GIR_RootConstrainSelectedInstOperands,
     /*  64672 */     // GIR_Coverage, 7712,
     /*  64672 */     GIR_EraseRootFromParent_Done,
     /*  64673 */   // Label 584: @64673
     /*  64673 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(64712), // Rule ID 7713 //
     /*  64678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64694 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64700 */     // (build_vector:{ *:[v2i16] } (undef:{ *:[i16] }), VGPR_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35210>>  =>  (V_LSHLREV_B32_e64:{ *:[v2i16] } 16:{ *:[i32] }, VGPR_32:{ *:[i16] }:$src1)
     /*  64700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /*  64703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64708 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64710 */     GIR_RootConstrainSelectedInstOperands,
     /*  64711 */     // GIR_Coverage, 7713,
     /*  64711 */     GIR_EraseRootFromParent_Done,
     /*  64712 */   // Label 585: @64712
     /*  64712 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(64829),
     /*  64717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64729 */     GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(64762), // Rule ID 7715 //
     /*  64734 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  64737 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64741 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64745 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64747 */       // (build_vector:{ *:[v2i16] } (undef:{ *:[i16] }), SReg_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_LSHL_B32:{ *:[v2i16] }:{ *:[i1] } SReg_32:{ *:[i16] }:$src1, 16:{ *:[i32] })
     /*  64747 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /*  64750 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64752 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64754 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64757 */       GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64760 */       GIR_RootConstrainSelectedInstOperands,
     /*  64761 */       // GIR_Coverage, 7715,
     /*  64761 */       GIR_EraseRootFromParent_Done,
     /*  64762 */     // Label 587: @64762
     /*  64762 */     GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(64795), // Rule ID 7718 //
     /*  64767 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  64770 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64774 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64778 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64780 */       // (build_vector:{ *:[v2f16] } (undef:{ *:[f16] }), SReg_32:{ *:[f16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_LSHL_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[f16] }:$src1, 16:{ *:[i32] })
     /*  64780 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /*  64783 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64785 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64787 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64790 */       GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64793 */       GIR_RootConstrainSelectedInstOperands,
     /*  64794 */       // GIR_Coverage, 7718,
     /*  64794 */       GIR_EraseRootFromParent_Done,
     /*  64795 */     // Label 588: @64795
     /*  64795 */     GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(64828), // Rule ID 7720 //
     /*  64800 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  64803 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64807 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64811 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64813 */       // (build_vector:{ *:[v2f16] } (undef:{ *:[f16] }), SReg_32:{ *:[f16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_LSHL_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[f16] }:$src1, 16:{ *:[i32] })
     /*  64813 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /*  64816 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  64818 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64820 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64823 */       GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /*  64826 */       GIR_RootConstrainSelectedInstOperands,
     /*  64827 */       // GIR_Coverage, 7720,
     /*  64827 */       GIR_EraseRootFromParent_Done,
     /*  64828 */     // Label 589: @64828
     /*  64828 */     GIM_Reject,
     /*  64829 */   // Label 586: @64829
     /*  64829 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(64868), // Rule ID 7721 //
     /*  64834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64856 */     // (build_vector:{ *:[v2f16] } (undef:{ *:[f16] }), VGPR_32:{ *:[f16] }:$src1)<<P:Predicate_anonymous_35210>>  =>  (V_LSHLREV_B32_e64:{ *:[v2f16] } 16:{ *:[i32] }, VGPR_32:{ *:[f16] }:$src1)
     /*  64856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /*  64859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  64861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  64864 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  64866 */     GIR_RootConstrainSelectedInstOperands,
     /*  64867 */     // GIR_Coverage, 7721,
     /*  64867 */     GIR_EraseRootFromParent_Done,
     /*  64868 */   // Label 590: @64868
     /*  64868 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(64908), // Rule ID 7710 //
     /*  64873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64889 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  64893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64895 */     // (build_vector:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, (undef:{ *:[i16] }))<<P:Predicate_anonymous_35208>>  =>  (COPY_TO_REGCLASS:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, SReg_32:{ *:[i32] })
     /*  64895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64900 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  64902 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64907 */     // GIR_Coverage, 7710,
     /*  64907 */     GIR_EraseRootFromParent_Done,
     /*  64908 */   // Label 591: @64908
     /*  64908 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(64988),
     /*  64913 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  64917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64925 */     GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(64956), // Rule ID 7711 //
     /*  64930 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  64933 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64937 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64941 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64943 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, (undef:{ *:[i16] }))<<P:Predicate_anonymous_35210>>  =>  (COPY_TO_REGCLASS:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, VGPR_32:{ *:[i32] })
     /*  64943 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64946 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64948 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  64950 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64955 */       // GIR_Coverage, 7711,
     /*  64955 */       GIR_EraseRootFromParent_Done,
     /*  64956 */     // Label 593: @64956
     /*  64956 */     GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(64987), // Rule ID 7714 //
     /*  64961 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  64964 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64968 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  64972 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64974 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, (undef:{ *:[i16] }))<<P:Predicate_anonymous_35210>>  =>  (COPY_TO_REGCLASS:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, VGPR_32:{ *:[i32] })
     /*  64974 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64977 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64979 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  64981 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  64986 */       // GIR_Coverage, 7714,
     /*  64986 */       GIR_EraseRootFromParent_Done,
     /*  64987 */     // Label 594: @64987
     /*  64987 */     GIM_Reject,
     /*  64988 */   // Label 592: @64988
     /*  64988 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(65028), // Rule ID 7716 //
     /*  64993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  64997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  65009 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  65013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  65015 */     // (build_vector:{ *:[v2f16] } SReg_32:{ *:[f16] }:$src0, (undef:{ *:[f16] }))<<P:Predicate_anonymous_35208>>  =>  (COPY_TO_REGCLASS:{ *:[v2f16] } SReg_32:{ *:[f16] }:$src0, SReg_32:{ *:[i32] })
     /*  65015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65020 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65027 */     // GIR_Coverage, 7716,
     /*  65027 */     GIR_EraseRootFromParent_Done,
     /*  65028 */   // Label 595: @65028
     /*  65028 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(65252),
     /*  65033 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  65037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65045 */     GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(65076), // Rule ID 7717 //
     /*  65050 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  65053 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65057 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  65061 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  65063 */       // (build_vector:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$src0, (undef:{ *:[f16] }))<<P:Predicate_anonymous_35210>>  =>  (COPY_TO_REGCLASS:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$src0, VGPR_32:{ *:[i32] })
     /*  65063 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65066 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65068 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65070 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65075 */       // GIR_Coverage, 7717,
     /*  65075 */       GIR_EraseRootFromParent_Done,
     /*  65076 */     // Label 597: @65076
     /*  65076 */     GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(65107), // Rule ID 7719 //
     /*  65081 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  65084 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65088 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  65092 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  65094 */       // (build_vector:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$src0, (undef:{ *:[f16] }))<<P:Predicate_anonymous_35210>>  =>  (COPY_TO_REGCLASS:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$src0, VGPR_32:{ *:[i32] })
     /*  65094 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65097 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65099 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65101 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65106 */       // GIR_Coverage, 7719,
     /*  65106 */       GIR_EraseRootFromParent_Done,
     /*  65107 */     // Label 598: @65107
     /*  65107 */     GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(65179), // Rule ID 7722 //
     /*  65112 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  65115 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65119 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, VGPR_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35210>>  =>  (V_LSHL_OR_B32_e64:{ *:[v2i16] } ?:{ *:[i16] }:$src1, 16:{ *:[i32] }, (V_AND_B32_e64:{ *:[i32] } (V_MOV_B32_e32:{ *:[i32] } 65535:{ *:[i32] }), ?:{ *:[i16] }:$src0))
     /*  65119 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  65122 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /*  65126 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65131 */       GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(65535),
     /*  65141 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  65143 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  65146 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  65150 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65155 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  65158 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src0
     /*  65162 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65164 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  65167 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65169 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  65171 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  65174 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65177 */       GIR_RootConstrainSelectedInstOperands,
     /*  65178 */       // GIR_Coverage, 7722,
     /*  65178 */       GIR_EraseRootFromParent_Done,
     /*  65179 */     // Label 599: @65179
     /*  65179 */     GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(65251), // Rule ID 7723 //
     /*  65184 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  65187 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65191 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$src0, VGPR_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35210>>  =>  (V_LSHL_OR_B32_e64:{ *:[v2i16] } ?:{ *:[i16] }:$src1, 16:{ *:[i32] }, (V_AND_B32_e64:{ *:[i32] } (V_MOV_B32_e32:{ *:[i32] } 65535:{ *:[i32] }), ?:{ *:[i16] }:$src0))
     /*  65191 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  65194 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /*  65198 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65203 */       GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(65535),
     /*  65213 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  65215 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  65218 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /*  65222 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65227 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  65230 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src0
     /*  65234 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65236 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_OR_B32_e64),
     /*  65239 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65241 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  65243 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  65246 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65249 */       GIR_RootConstrainSelectedInstOperands,
     /*  65250 */       // GIR_Coverage, 7723,
     /*  65250 */       GIR_EraseRootFromParent_Done,
     /*  65251 */     // Label 600: @65251
     /*  65251 */     GIM_Reject,
     /*  65252 */   // Label 596: @65252
     /*  65252 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(65283), // Rule ID 7726 //
     /*  65257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  65260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  65276 */     // (build_vector:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, SReg_32:{ *:[i16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_PACK_LL_B32_B16:{ *:[v2i16] } SReg_32:{ *:[i16] }:$src0, SReg_32:{ *:[i16] }:$src1)
     /*  65276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_PACK_LL_B32_B16),
     /*  65281 */     GIR_RootConstrainSelectedInstOperands,
     /*  65282 */     // GIR_Coverage, 7726,
     /*  65282 */     GIR_Done,
     /*  65283 */   // Label 601: @65283
     /*  65283 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(65452),
     /*  65288 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  65292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65296 */     GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(65350), // Rule ID 7727 //
     /*  65301 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  65304 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65308 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65312 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$a, VGPR_32:{ *:[i16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$b, VGPR_32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 84148480:{ *:[i32] }))
     /*  65312 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  65315 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  65319 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65324 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(84148480),
     /*  65334 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65336 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  65339 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65341 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65343 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65345 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65348 */       GIR_RootConstrainSelectedInstOperands,
     /*  65349 */       // GIR_Coverage, 7727,
     /*  65349 */       GIR_EraseRootFromParent_Done,
     /*  65350 */     // Label 603: @65350
     /*  65350 */     GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(65397), // Rule ID 7728 //
     /*  65355 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseRealTrue16Insts),
     /*  65358 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65362 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65366 */       // (build_vector:{ *:[v2i16] } VGPR_16:{ *:[i16] }:$a, VGPR_16:{ *:[i16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (REG_SEQUENCE:{ *:[v2i16] } VGPR_32:{ *:[i32] }, VGPR_16:{ *:[i16] }:$a, lo16:{ *:[i32] }, VGPR_16:{ *:[i16] }:$b, hi16:{ *:[i32] })
     /*  65366 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  65369 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65371 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65373 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  65376 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65378 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  65381 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65386 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65391 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65396 */       // GIR_Coverage, 7728,
     /*  65396 */       GIR_EraseRootFromParent_Done,
     /*  65397 */     // Label 604: @65397
     /*  65397 */     GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(65451), // Rule ID 7734 //
     /*  65402 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  65405 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65409 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65413 */       // (build_vector:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$a, VGPR_32:{ *:[i16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2i16] } VGPR_32:{ *:[i16] }:$b, VGPR_32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 84148480:{ *:[i32] }))
     /*  65413 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  65416 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  65420 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65425 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(84148480),
     /*  65435 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65437 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  65440 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65442 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65444 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65446 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65449 */       GIR_RootConstrainSelectedInstOperands,
     /*  65450 */       // GIR_Coverage, 7734,
     /*  65450 */       GIR_EraseRootFromParent_Done,
     /*  65451 */     // Label 605: @65451
     /*  65451 */     GIM_Reject,
     /*  65452 */   // Label 602: @65452
     /*  65452 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(65483), // Rule ID 7736 //
     /*  65457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /*  65460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35208),
     /*  65476 */     // (build_vector:{ *:[v2f16] } SReg_32:{ *:[f16] }:$src0, SReg_32:{ *:[f16] }:$src1)<<P:Predicate_anonymous_35208>>  =>  (S_PACK_LL_B32_B16:{ *:[v2f16] } SReg_32:{ *:[f16] }:$src0, SReg_32:{ *:[f16] }:$src1)
     /*  65476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_PACK_LL_B32_B16),
     /*  65481 */     GIR_RootConstrainSelectedInstOperands,
     /*  65482 */     // GIR_Coverage, 7736,
     /*  65482 */     GIR_Done,
     /*  65483 */   // Label 606: @65483
     /*  65483 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(65652),
     /*  65488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35210),
     /*  65492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65496 */     GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(65550), // Rule ID 7737 //
     /*  65501 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_NotHasTrue16BitInsts),
     /*  65504 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65508 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65512 */       // (build_vector:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$a, VGPR_32:{ *:[f16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$b, VGPR_32:{ *:[f16] }:$a, (S_MOV_B32:{ *:[i16] } 84148480:{ *:[i32] }))
     /*  65512 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  65515 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  65519 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65524 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(84148480),
     /*  65534 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65536 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  65539 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65541 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65543 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65545 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65548 */       GIR_RootConstrainSelectedInstOperands,
     /*  65549 */       // GIR_Coverage, 7737,
     /*  65549 */       GIR_EraseRootFromParent_Done,
     /*  65550 */     // Label 608: @65550
     /*  65550 */     GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(65604), // Rule ID 7738 //
     /*  65555 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseFakeTrue16Insts),
     /*  65558 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65562 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65566 */       // (build_vector:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$a, VGPR_32:{ *:[f16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (V_PERM_B32_e64:{ *:[v2f16] } VGPR_32:{ *:[f16] }:$b, VGPR_32:{ *:[f16] }:$a, (S_MOV_B32:{ *:[i16] } 84148480:{ *:[i32] }))
     /*  65566 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  65569 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  65573 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  65578 */       GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(84148480),
     /*  65588 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  65590 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /*  65593 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  65595 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65597 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65599 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  65602 */       GIR_RootConstrainSelectedInstOperands,
     /*  65603 */       // GIR_Coverage, 7738,
     /*  65603 */       GIR_EraseRootFromParent_Done,
     /*  65604 */     // Label 609: @65604
     /*  65604 */     GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(65651), // Rule ID 7739 //
     /*  65609 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_UseRealTrue16Insts),
     /*  65612 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65616 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65620 */       // (build_vector:{ *:[v2f16] } VGPR_16:{ *:[f16] }:$a, VGPR_16:{ *:[f16] }:$b)<<P:Predicate_anonymous_35210>>  =>  (REG_SEQUENCE:{ *:[v2f16] } VGPR_32:{ *:[i32] }, VGPR_16:{ *:[f16] }:$a, lo16:{ *:[i32] }, VGPR_16:{ *:[f16] }:$b, hi16:{ *:[i32] })
     /*  65620 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  65623 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65625 */       GIR_RootToRootCopy, /*OpIdx*/1, // a
     /*  65627 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /*  65630 */       GIR_RootToRootCopy, /*OpIdx*/2, // b
     /*  65632 */       GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /*  65635 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65640 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65645 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  65650 */       // GIR_Coverage, 7739,
     /*  65650 */       GIR_EraseRootFromParent_Done,
     /*  65651 */     // Label 610: @65651
     /*  65651 */     GIM_Reject,
     /*  65652 */   // Label 607: @65652
     /*  65652 */   GIM_Reject,
     /*  65653 */ // Label 540: @65653
     /*  65653 */ GIM_Reject,
     /*  65654 */ // Label 8: @65654
     /*  65654 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(34), /*)*//*default:*//*Label 637*/ GIMT_Encode4(74817),
     /*  65665 */ /*GILLT_s16*//*Label 611*/ GIMT_Encode4(65769),
     /*  65669 */ /*GILLT_s32*//*Label 612*/ GIMT_Encode4(65883),
     /*  65673 */ /*GILLT_s64*//*Label 613*/ GIMT_Encode4(66232),
     /*  65677 */ /*GILLT_v2s16*//*Label 614*/ GIMT_Encode4(66523),
     /*  65681 */ /*GILLT_v2s32*//*Label 615*/ GIMT_Encode4(66872),
     /*  65685 */ /*GILLT_v2s64*//*Label 616*/ GIMT_Encode4(67163),
     /*  65689 */ /*GILLT_v3s32*//*Label 617*/ GIMT_Encode4(67744),
     /*  65693 */ /*GILLT_v3s64*//*Label 618*/ GIMT_Encode4(67798),
     /*  65697 */ /*GILLT_v4s16*//*Label 619*/ GIMT_Encode4(68147),
     /*  65701 */ /*GILLT_v4s32*//*Label 620*/ GIMT_Encode4(68438),
     /*  65705 */ /*GILLT_v4s64*//*Label 621*/ GIMT_Encode4(69019),
     /*  65709 */ /*GILLT_v5s32*//*Label 622*/ GIMT_Encode4(69600),
     /*  65713 */ /*GILLT_v6s32*//*Label 623*/ GIMT_Encode4(69714),
     /*  65717 */ /*GILLT_v7s32*//*Label 624*/ GIMT_Encode4(70063),
     /*  65721 */ /*GILLT_v8s16*//*Label 625*/ GIMT_Encode4(70177),
     /*  65725 */ /*GILLT_v8s32*//*Label 626*/ GIMT_Encode4(70758),
     /*  65729 */ /*GILLT_v8s64*//*Label 627*/ GIMT_Encode4(71339),
     /*  65733 */ /*GILLT_v9s32*//*Label 628*/ GIMT_Encode4(71920),
     /*  65737 */ /*GILLT_v10s32*//*Label 629*/ GIMT_Encode4(72034),
     /*  65741 */ /*GILLT_v11s32*//*Label 630*/ GIMT_Encode4(72148),
     /*  65745 */ /*GILLT_v12s32*//*Label 631*/ GIMT_Encode4(72262),
     /*  65749 */ /*GILLT_v16s16*//*Label 632*/ GIMT_Encode4(72376),
     /*  65753 */ /*GILLT_v16s32*//*Label 633*/ GIMT_Encode4(72957),
     /*  65757 */ /*GILLT_v16s64*//*Label 634*/ GIMT_Encode4(73538),
     /*  65761 */ /*GILLT_v32s16*//*Label 635*/ GIMT_Encode4(73887),
     /*  65765 */ /*GILLT_v32s32*//*Label 636*/ GIMT_Encode4(74468),
     /*  65769 */ // Label 611: @65769
     /*  65769 */ GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(65882),
     /*  65774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  65777 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(65803), // Rule ID 7104 //
     /*  65782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65790 */     // (bitconvert:{ *:[i16] } VGPR_32:{ *:[f16] }:$src0)  =>  VGPR_32:{ *:[i16] }:$src0
     /*  65790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65793 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65795 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65802 */     // GIR_Coverage, 7104,
     /*  65802 */     GIR_EraseRootFromParent_Done,
     /*  65803 */   // Label 639: @65803
     /*  65803 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(65829), // Rule ID 7105 //
     /*  65808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65816 */     // (bitconvert:{ *:[i16] } SReg_32:{ *:[f16] }:$src0)  =>  SReg_32:{ *:[i16] }:$src0
     /*  65816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65819 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65821 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65823 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65828 */     // GIR_Coverage, 7105,
     /*  65828 */     GIR_EraseRootFromParent_Done,
     /*  65829 */   // Label 640: @65829
     /*  65829 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(65855), // Rule ID 7106 //
     /*  65834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65842 */     // (bitconvert:{ *:[f16] } VGPR_32:{ *:[i16] }:$src0)  =>  VGPR_32:{ *:[f16] }:$src0
     /*  65842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65845 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65847 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65854 */     // GIR_Coverage, 7106,
     /*  65854 */     GIR_EraseRootFromParent_Done,
     /*  65855 */   // Label 641: @65855
     /*  65855 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(65881), // Rule ID 7107 //
     /*  65860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65868 */     // (bitconvert:{ *:[f16] } SReg_32:{ *:[i16] }:$src0)  =>  SReg_32:{ *:[f16] }:$src0
     /*  65868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65871 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65873 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65875 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65880 */     // GIR_Coverage, 7107,
     /*  65880 */     GIR_EraseRootFromParent_Done,
     /*  65881 */   // Label 642: @65881
     /*  65881 */   GIM_Reject,
     /*  65882 */ // Label 638: @65882
     /*  65882 */ GIM_Reject,
     /*  65883 */ // Label 612: @65883
     /*  65883 */ GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(65912), // Rule ID 7108 //
     /*  65888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  65891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65899 */   // (bitconvert:{ *:[i32] } VGPR_32:{ *:[f32] }:$src0)  =>  VGPR_32:{ *:[i32] }:$src0
     /*  65899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65902 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65904 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65906 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65911 */   // GIR_Coverage, 7108,
     /*  65911 */   GIR_EraseRootFromParent_Done,
     /*  65912 */ // Label 643: @65912
     /*  65912 */ GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(65941), // Rule ID 7109 //
     /*  65917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  65920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65928 */   // (bitconvert:{ *:[i32] } SReg_32:{ *:[f32] }:$src0)  =>  SReg_32:{ *:[i32] }:$src0
     /*  65928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65931 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65933 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65935 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65940 */   // GIR_Coverage, 7109,
     /*  65940 */   GIR_EraseRootFromParent_Done,
     /*  65941 */ // Label 644: @65941
     /*  65941 */ GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(65970), // Rule ID 7110 //
     /*  65946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  65949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65957 */   // (bitconvert:{ *:[i32] } VGPR_32:{ *:[v2i16] }:$src0)  =>  VGPR_32:{ *:[i32] }:$src0
     /*  65957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65960 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65962 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65964 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  65969 */   // GIR_Coverage, 7110,
     /*  65969 */   GIR_EraseRootFromParent_Done,
     /*  65970 */ // Label 645: @65970
     /*  65970 */ GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(65999), // Rule ID 7111 //
     /*  65975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  65978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65986 */   // (bitconvert:{ *:[i32] } SReg_32:{ *:[v2i16] }:$src0)  =>  SReg_32:{ *:[i32] }:$src0
     /*  65986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  65989 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  65991 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  65993 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  65998 */   // GIR_Coverage, 7111,
     /*  65998 */   GIR_EraseRootFromParent_Done,
     /*  65999 */ // Label 646: @65999
     /*  65999 */ GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(66028), // Rule ID 7112 //
     /*  66004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66015 */   // (bitconvert:{ *:[i32] } VGPR_32:{ *:[v2f16] }:$src0)  =>  VGPR_32:{ *:[i32] }:$src0
     /*  66015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66018 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66020 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66022 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66027 */   // GIR_Coverage, 7112,
     /*  66027 */   GIR_EraseRootFromParent_Done,
     /*  66028 */ // Label 647: @66028
     /*  66028 */ GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(66057), // Rule ID 7113 //
     /*  66033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66044 */   // (bitconvert:{ *:[i32] } SReg_32:{ *:[v2f16] }:$src0)  =>  SReg_32:{ *:[i32] }:$src0
     /*  66044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66047 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66049 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66051 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66056 */   // GIR_Coverage, 7113,
     /*  66056 */   GIR_EraseRootFromParent_Done,
     /*  66057 */ // Label 648: @66057
     /*  66057 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(66086), // Rule ID 7114 //
     /*  66062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66073 */   // (bitconvert:{ *:[f32] } VGPR_32:{ *:[i32] }:$src0)  =>  VGPR_32:{ *:[f32] }:$src0
     /*  66073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66076 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66078 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66080 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66085 */   // GIR_Coverage, 7114,
     /*  66085 */   GIR_EraseRootFromParent_Done,
     /*  66086 */ // Label 649: @66086
     /*  66086 */ GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(66115), // Rule ID 7115 //
     /*  66091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66102 */   // (bitconvert:{ *:[f32] } SReg_32:{ *:[i32] }:$src0)  =>  SReg_32:{ *:[f32] }:$src0
     /*  66102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66105 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66107 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66109 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66114 */   // GIR_Coverage, 7115,
     /*  66114 */   GIR_EraseRootFromParent_Done,
     /*  66115 */ // Label 650: @66115
     /*  66115 */ GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(66144), // Rule ID 7116 //
     /*  66120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66131 */   // (bitconvert:{ *:[f32] } VGPR_32:{ *:[v2i16] }:$src0)  =>  VGPR_32:{ *:[f32] }:$src0
     /*  66131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66134 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66136 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66138 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66143 */   // GIR_Coverage, 7116,
     /*  66143 */   GIR_EraseRootFromParent_Done,
     /*  66144 */ // Label 651: @66144
     /*  66144 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(66173), // Rule ID 7117 //
     /*  66149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66160 */   // (bitconvert:{ *:[f32] } SReg_32:{ *:[v2i16] }:$src0)  =>  SReg_32:{ *:[f32] }:$src0
     /*  66160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66163 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66165 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66167 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66172 */   // GIR_Coverage, 7117,
     /*  66172 */   GIR_EraseRootFromParent_Done,
     /*  66173 */ // Label 652: @66173
     /*  66173 */ GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(66202), // Rule ID 7118 //
     /*  66178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66189 */   // (bitconvert:{ *:[f32] } VGPR_32:{ *:[v2f16] }:$src0)  =>  VGPR_32:{ *:[f32] }:$src0
     /*  66189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66192 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66194 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66201 */   // GIR_Coverage, 7118,
     /*  66201 */   GIR_EraseRootFromParent_Done,
     /*  66202 */ // Label 653: @66202
     /*  66202 */ GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(66231), // Rule ID 7119 //
     /*  66207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66218 */   // (bitconvert:{ *:[f32] } SReg_32:{ *:[v2f16] }:$src0)  =>  SReg_32:{ *:[f32] }:$src0
     /*  66218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66221 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66223 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66225 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66230 */   // GIR_Coverage, 7119,
     /*  66230 */   GIR_EraseRootFromParent_Done,
     /*  66231 */ // Label 654: @66231
     /*  66231 */ GIM_Reject,
     /*  66232 */ // Label 613: @66232
     /*  66232 */ GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(66261), // Rule ID 7132 //
     /*  66237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  66240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66248 */   // (bitconvert:{ *:[i64] } VReg_64:{ *:[f64] }:$src0)  =>  VReg_64:{ *:[i64] }:$src0
     /*  66248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66251 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66253 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66255 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66260 */   // GIR_Coverage, 7132,
     /*  66260 */   GIR_EraseRootFromParent_Done,
     /*  66261 */ // Label 655: @66261
     /*  66261 */ GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(66290), // Rule ID 7133 //
     /*  66266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  66269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66277 */   // (bitconvert:{ *:[i64] } VReg_64:{ *:[v2i32] }:$src0)  =>  VReg_64:{ *:[i64] }:$src0
     /*  66277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66280 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66282 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66284 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66289 */   // GIR_Coverage, 7133,
     /*  66289 */   GIR_EraseRootFromParent_Done,
     /*  66290 */ // Label 656: @66290
     /*  66290 */ GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(66319), // Rule ID 7134 //
     /*  66295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  66298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66306 */   // (bitconvert:{ *:[i64] } VReg_64:{ *:[v2f32] }:$src0)  =>  VReg_64:{ *:[i64] }:$src0
     /*  66306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66309 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66311 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66313 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66318 */   // GIR_Coverage, 7134,
     /*  66318 */   GIR_EraseRootFromParent_Done,
     /*  66319 */ // Label 657: @66319
     /*  66319 */ GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(66348), // Rule ID 7135 //
     /*  66324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66335 */   // (bitconvert:{ *:[i64] } VReg_64:{ *:[v4i16] }:$src0)  =>  VReg_64:{ *:[i64] }:$src0
     /*  66335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66338 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66340 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66347 */   // GIR_Coverage, 7135,
     /*  66347 */   GIR_EraseRootFromParent_Done,
     /*  66348 */ // Label 658: @66348
     /*  66348 */ GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(66377), // Rule ID 7136 //
     /*  66353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66364 */   // (bitconvert:{ *:[i64] } VReg_64:{ *:[v4f16] }:$src0)  =>  VReg_64:{ *:[i64] }:$src0
     /*  66364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66367 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66369 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66371 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66376 */   // GIR_Coverage, 7136,
     /*  66376 */   GIR_EraseRootFromParent_Done,
     /*  66377 */ // Label 659: @66377
     /*  66377 */ GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(66406), // Rule ID 7137 //
     /*  66382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  66385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66393 */   // (bitconvert:{ *:[f64] } VReg_64:{ *:[i64] }:$src0)  =>  VReg_64:{ *:[f64] }:$src0
     /*  66393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66396 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66398 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66400 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66405 */   // GIR_Coverage, 7137,
     /*  66405 */   GIR_EraseRootFromParent_Done,
     /*  66406 */ // Label 660: @66406
     /*  66406 */ GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(66435), // Rule ID 7138 //
     /*  66411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  66414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66422 */   // (bitconvert:{ *:[f64] } VReg_64:{ *:[v2i32] }:$src0)  =>  VReg_64:{ *:[f64] }:$src0
     /*  66422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66425 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66427 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66434 */   // GIR_Coverage, 7138,
     /*  66434 */   GIR_EraseRootFromParent_Done,
     /*  66435 */ // Label 661: @66435
     /*  66435 */ GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(66464), // Rule ID 7139 //
     /*  66440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  66443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66451 */   // (bitconvert:{ *:[f64] } VReg_64:{ *:[v2f32] }:$src0)  =>  VReg_64:{ *:[f64] }:$src0
     /*  66451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66454 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66456 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66458 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66463 */   // GIR_Coverage, 7139,
     /*  66463 */   GIR_EraseRootFromParent_Done,
     /*  66464 */ // Label 662: @66464
     /*  66464 */ GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(66493), // Rule ID 7140 //
     /*  66469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66480 */   // (bitconvert:{ *:[f64] } VReg_64:{ *:[v4i16] }:$src0)  =>  VReg_64:{ *:[f64] }:$src0
     /*  66480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66483 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66485 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66492 */   // GIR_Coverage, 7140,
     /*  66492 */   GIR_EraseRootFromParent_Done,
     /*  66493 */ // Label 663: @66493
     /*  66493 */ GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(66522), // Rule ID 7141 //
     /*  66498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66509 */   // (bitconvert:{ *:[f64] } VReg_64:{ *:[v4f16] }:$src0)  =>  VReg_64:{ *:[f64] }:$src0
     /*  66509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66512 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66516 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66521 */   // GIR_Coverage, 7141,
     /*  66521 */   GIR_EraseRootFromParent_Done,
     /*  66522 */ // Label 664: @66522
     /*  66522 */ GIM_Reject,
     /*  66523 */ // Label 614: @66523
     /*  66523 */ GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(66552), // Rule ID 7120 //
     /*  66528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66539 */   // (bitconvert:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$src0)  =>  VGPR_32:{ *:[v2i16] }:$src0
     /*  66539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66542 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66544 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66546 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66551 */   // GIR_Coverage, 7120,
     /*  66551 */   GIR_EraseRootFromParent_Done,
     /*  66552 */ // Label 665: @66552
     /*  66552 */ GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(66581), // Rule ID 7121 //
     /*  66557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66568 */   // (bitconvert:{ *:[v2i16] } SReg_32:{ *:[i32] }:$src0)  =>  SReg_32:{ *:[v2i16] }:$src0
     /*  66568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66571 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66573 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66575 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66580 */   // GIR_Coverage, 7121,
     /*  66580 */   GIR_EraseRootFromParent_Done,
     /*  66581 */ // Label 666: @66581
     /*  66581 */ GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(66610), // Rule ID 7122 //
     /*  66586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66597 */   // (bitconvert:{ *:[v2i16] } VGPR_32:{ *:[f32] }:$src0)  =>  VGPR_32:{ *:[v2i16] }:$src0
     /*  66597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66600 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66602 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66604 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66609 */   // GIR_Coverage, 7122,
     /*  66609 */   GIR_EraseRootFromParent_Done,
     /*  66610 */ // Label 667: @66610
     /*  66610 */ GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(66639), // Rule ID 7123 //
     /*  66615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66626 */   // (bitconvert:{ *:[v2i16] } SReg_32:{ *:[f32] }:$src0)  =>  SReg_32:{ *:[v2i16] }:$src0
     /*  66626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66629 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66631 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66633 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66638 */   // GIR_Coverage, 7123,
     /*  66638 */   GIR_EraseRootFromParent_Done,
     /*  66639 */ // Label 668: @66639
     /*  66639 */ GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(66668), // Rule ID 7124 //
     /*  66644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66655 */   // (bitconvert:{ *:[v2i16] } VGPR_32:{ *:[v2f16] }:$src0)  =>  VGPR_32:{ *:[v2i16] }:$src0
     /*  66655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66658 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66660 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66662 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66667 */   // GIR_Coverage, 7124,
     /*  66667 */   GIR_EraseRootFromParent_Done,
     /*  66668 */ // Label 669: @66668
     /*  66668 */ GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(66697), // Rule ID 7125 //
     /*  66673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66684 */   // (bitconvert:{ *:[v2i16] } SReg_32:{ *:[v2f16] }:$src0)  =>  SReg_32:{ *:[v2i16] }:$src0
     /*  66684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66687 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66689 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66691 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66696 */   // GIR_Coverage, 7125,
     /*  66696 */   GIR_EraseRootFromParent_Done,
     /*  66697 */ // Label 670: @66697
     /*  66697 */ GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(66726), // Rule ID 7126 //
     /*  66702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66713 */   // (bitconvert:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$src0)  =>  VGPR_32:{ *:[v2f16] }:$src0
     /*  66713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66716 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66718 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66720 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66725 */   // GIR_Coverage, 7126,
     /*  66725 */   GIR_EraseRootFromParent_Done,
     /*  66726 */ // Label 671: @66726
     /*  66726 */ GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(66755), // Rule ID 7127 //
     /*  66731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66742 */   // (bitconvert:{ *:[v2f16] } SReg_32:{ *:[i32] }:$src0)  =>  SReg_32:{ *:[v2f16] }:$src0
     /*  66742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66745 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66747 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66749 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66754 */   // GIR_Coverage, 7127,
     /*  66754 */   GIR_EraseRootFromParent_Done,
     /*  66755 */ // Label 672: @66755
     /*  66755 */ GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(66784), // Rule ID 7128 //
     /*  66760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66771 */   // (bitconvert:{ *:[v2f16] } VGPR_32:{ *:[f32] }:$src0)  =>  VGPR_32:{ *:[v2f16] }:$src0
     /*  66771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66774 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66776 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66778 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66783 */   // GIR_Coverage, 7128,
     /*  66783 */   GIR_EraseRootFromParent_Done,
     /*  66784 */ // Label 673: @66784
     /*  66784 */ GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(66813), // Rule ID 7129 //
     /*  66789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  66792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66800 */   // (bitconvert:{ *:[v2f16] } SReg_32:{ *:[f32] }:$src0)  =>  SReg_32:{ *:[v2f16] }:$src0
     /*  66800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66803 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66805 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66807 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66812 */   // GIR_Coverage, 7129,
     /*  66812 */   GIR_EraseRootFromParent_Done,
     /*  66813 */ // Label 674: @66813
     /*  66813 */ GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(66842), // Rule ID 7130 //
     /*  66818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66829 */   // (bitconvert:{ *:[v2f16] } VGPR_32:{ *:[v2i16] }:$src0)  =>  VGPR_32:{ *:[v2f16] }:$src0
     /*  66829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66832 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66834 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66836 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  66841 */   // GIR_Coverage, 7130,
     /*  66841 */   GIR_EraseRootFromParent_Done,
     /*  66842 */ // Label 675: @66842
     /*  66842 */ GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(66871), // Rule ID 7131 //
     /*  66847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /*  66850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66858 */   // (bitconvert:{ *:[v2f16] } SReg_32:{ *:[v2i16] }:$src0)  =>  SReg_32:{ *:[v2f16] }:$src0
     /*  66858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66861 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66863 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66865 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  66870 */   // GIR_Coverage, 7131,
     /*  66870 */   GIR_EraseRootFromParent_Done,
     /*  66871 */ // Label 676: @66871
     /*  66871 */ GIM_Reject,
     /*  66872 */ // Label 615: @66872
     /*  66872 */ GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(66901), // Rule ID 7142 //
     /*  66877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  66880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66888 */   // (bitconvert:{ *:[v2i32] } VReg_64:{ *:[i64] }:$src0)  =>  VReg_64:{ *:[v2i32] }:$src0
     /*  66888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66891 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66893 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66895 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66900 */   // GIR_Coverage, 7142,
     /*  66900 */   GIR_EraseRootFromParent_Done,
     /*  66901 */ // Label 677: @66901
     /*  66901 */ GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(66930), // Rule ID 7143 //
     /*  66906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  66909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66917 */   // (bitconvert:{ *:[v2i32] } VReg_64:{ *:[f64] }:$src0)  =>  VReg_64:{ *:[v2i32] }:$src0
     /*  66917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66920 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66922 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66924 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66929 */   // GIR_Coverage, 7143,
     /*  66929 */   GIR_EraseRootFromParent_Done,
     /*  66930 */ // Label 678: @66930
     /*  66930 */ GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(66959), // Rule ID 7144 //
     /*  66935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  66938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66946 */   // (bitconvert:{ *:[v2i32] } VReg_64:{ *:[v2f32] }:$src0)  =>  VReg_64:{ *:[v2i32] }:$src0
     /*  66946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66949 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66951 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66953 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66958 */   // GIR_Coverage, 7144,
     /*  66958 */   GIR_EraseRootFromParent_Done,
     /*  66959 */ // Label 679: @66959
     /*  66959 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(66988), // Rule ID 7145 //
     /*  66964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66975 */   // (bitconvert:{ *:[v2i32] } VReg_64:{ *:[v4i16] }:$src0)  =>  VReg_64:{ *:[v2i32] }:$src0
     /*  66975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  66978 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  66980 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  66982 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  66987 */   // GIR_Coverage, 7145,
     /*  66987 */   GIR_EraseRootFromParent_Done,
     /*  66988 */ // Label 680: @66988
     /*  66988 */ GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(67017), // Rule ID 7146 //
     /*  66993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67004 */   // (bitconvert:{ *:[v2i32] } VReg_64:{ *:[v4f16] }:$src0)  =>  VReg_64:{ *:[v2i32] }:$src0
     /*  67004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67007 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67009 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67016 */   // GIR_Coverage, 7146,
     /*  67016 */   GIR_EraseRootFromParent_Done,
     /*  67017 */ // Label 681: @67017
     /*  67017 */ GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(67046), // Rule ID 7147 //
     /*  67022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  67025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67033 */   // (bitconvert:{ *:[v2f32] } VReg_64:{ *:[i64] }:$src0)  =>  VReg_64:{ *:[v2f32] }:$src0
     /*  67033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67036 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67038 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67040 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67045 */   // GIR_Coverage, 7147,
     /*  67045 */   GIR_EraseRootFromParent_Done,
     /*  67046 */ // Label 682: @67046
     /*  67046 */ GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(67075), // Rule ID 7148 //
     /*  67051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  67054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67062 */   // (bitconvert:{ *:[v2f32] } VReg_64:{ *:[f64] }:$src0)  =>  VReg_64:{ *:[v2f32] }:$src0
     /*  67062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67065 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67067 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67069 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67074 */   // GIR_Coverage, 7148,
     /*  67074 */   GIR_EraseRootFromParent_Done,
     /*  67075 */ // Label 683: @67075
     /*  67075 */ GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(67104), // Rule ID 7149 //
     /*  67080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  67083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67091 */   // (bitconvert:{ *:[v2f32] } VReg_64:{ *:[v2i32] }:$src0)  =>  VReg_64:{ *:[v2f32] }:$src0
     /*  67091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67094 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67096 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67098 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67103 */   // GIR_Coverage, 7149,
     /*  67103 */   GIR_EraseRootFromParent_Done,
     /*  67104 */ // Label 684: @67104
     /*  67104 */ GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(67133), // Rule ID 7150 //
     /*  67109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67120 */   // (bitconvert:{ *:[v2f32] } VReg_64:{ *:[v4i16] }:$src0)  =>  VReg_64:{ *:[v2f32] }:$src0
     /*  67120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67123 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67125 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67127 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67132 */   // GIR_Coverage, 7150,
     /*  67132 */   GIR_EraseRootFromParent_Done,
     /*  67133 */ // Label 685: @67133
     /*  67133 */ GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(67162), // Rule ID 7151 //
     /*  67138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67149 */   // (bitconvert:{ *:[v2f32] } VReg_64:{ *:[v4f16] }:$src0)  =>  VReg_64:{ *:[v2f32] }:$src0
     /*  67149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67152 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67154 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67156 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  67161 */   // GIR_Coverage, 7151,
     /*  67161 */   GIR_EraseRootFromParent_Done,
     /*  67162 */ // Label 686: @67162
     /*  67162 */ GIM_Reject,
     /*  67163 */ // Label 616: @67163
     /*  67163 */ GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(67192), // Rule ID 7184 //
     /*  67168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67179 */   // (bitconvert:{ *:[v2i64] } VReg_128:{ *:[v4i32] }:$src0)  =>  VReg_128:{ *:[v2i64] }:$src0
     /*  67179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67182 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67184 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67186 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67191 */   // GIR_Coverage, 7184,
     /*  67191 */   GIR_EraseRootFromParent_Done,
     /*  67192 */ // Label 687: @67192
     /*  67192 */ GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(67221), // Rule ID 7185 //
     /*  67197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67208 */   // (bitconvert:{ *:[v2i64] } SReg_128:{ *:[v4i32] }:$src0)  =>  SReg_128:{ *:[v2i64] }:$src0
     /*  67208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67211 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67213 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67215 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67220 */   // GIR_Coverage, 7185,
     /*  67220 */   GIR_EraseRootFromParent_Done,
     /*  67221 */ // Label 688: @67221
     /*  67221 */ GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(67250), // Rule ID 7186 //
     /*  67226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67237 */   // (bitconvert:{ *:[v2i64] } VReg_128:{ *:[v4f32] }:$src0)  =>  VReg_128:{ *:[v2i64] }:$src0
     /*  67237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67240 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67242 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67244 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67249 */   // GIR_Coverage, 7186,
     /*  67249 */   GIR_EraseRootFromParent_Done,
     /*  67250 */ // Label 689: @67250
     /*  67250 */ GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(67279), // Rule ID 7187 //
     /*  67255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67266 */   // (bitconvert:{ *:[v2i64] } SReg_128:{ *:[v4f32] }:$src0)  =>  SReg_128:{ *:[v2i64] }:$src0
     /*  67266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67269 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67271 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67273 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67278 */   // GIR_Coverage, 7187,
     /*  67278 */   GIR_EraseRootFromParent_Done,
     /*  67279 */ // Label 690: @67279
     /*  67279 */ GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(67308), // Rule ID 7188 //
     /*  67284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  67287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67295 */   // (bitconvert:{ *:[v2i64] } VReg_128:{ *:[v2f64] }:$src0)  =>  VReg_128:{ *:[v2i64] }:$src0
     /*  67295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67298 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67300 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67302 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67307 */   // GIR_Coverage, 7188,
     /*  67307 */   GIR_EraseRootFromParent_Done,
     /*  67308 */ // Label 691: @67308
     /*  67308 */ GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(67337), // Rule ID 7189 //
     /*  67313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  67316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67324 */   // (bitconvert:{ *:[v2i64] } SReg_128:{ *:[v2f64] }:$src0)  =>  SReg_128:{ *:[v2i64] }:$src0
     /*  67324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67327 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67329 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67331 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67336 */   // GIR_Coverage, 7189,
     /*  67336 */   GIR_EraseRootFromParent_Done,
     /*  67337 */ // Label 692: @67337
     /*  67337 */ GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(67366), // Rule ID 7190 //
     /*  67342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67353 */   // (bitconvert:{ *:[v2i64] } VReg_128:{ *:[v8i16] }:$src0)  =>  VReg_128:{ *:[v2i64] }:$src0
     /*  67353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67356 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67358 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67360 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67365 */   // GIR_Coverage, 7190,
     /*  67365 */   GIR_EraseRootFromParent_Done,
     /*  67366 */ // Label 693: @67366
     /*  67366 */ GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(67395), // Rule ID 7191 //
     /*  67371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67382 */   // (bitconvert:{ *:[v2i64] } SReg_128:{ *:[v8i16] }:$src0)  =>  SReg_128:{ *:[v2i64] }:$src0
     /*  67382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67385 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67387 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67389 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67394 */   // GIR_Coverage, 7191,
     /*  67394 */   GIR_EraseRootFromParent_Done,
     /*  67395 */ // Label 694: @67395
     /*  67395 */ GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(67424), // Rule ID 7192 //
     /*  67400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67411 */   // (bitconvert:{ *:[v2i64] } VReg_128:{ *:[v8f16] }:$src0)  =>  VReg_128:{ *:[v2i64] }:$src0
     /*  67411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67414 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67416 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67418 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67423 */   // GIR_Coverage, 7192,
     /*  67423 */   GIR_EraseRootFromParent_Done,
     /*  67424 */ // Label 695: @67424
     /*  67424 */ GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(67453), // Rule ID 7193 //
     /*  67429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67440 */   // (bitconvert:{ *:[v2i64] } SReg_128:{ *:[v8f16] }:$src0)  =>  SReg_128:{ *:[v2i64] }:$src0
     /*  67440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67443 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67445 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67452 */   // GIR_Coverage, 7193,
     /*  67452 */   GIR_EraseRootFromParent_Done,
     /*  67453 */ // Label 696: @67453
     /*  67453 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(67482), // Rule ID 7194 //
     /*  67458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67469 */   // (bitconvert:{ *:[v2f64] } VReg_128:{ *:[v4i32] }:$src0)  =>  VReg_128:{ *:[v2f64] }:$src0
     /*  67469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67472 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67474 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67476 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67481 */   // GIR_Coverage, 7194,
     /*  67481 */   GIR_EraseRootFromParent_Done,
     /*  67482 */ // Label 697: @67482
     /*  67482 */ GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(67511), // Rule ID 7195 //
     /*  67487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67498 */   // (bitconvert:{ *:[v2f64] } SReg_128:{ *:[v4i32] }:$src0)  =>  SReg_128:{ *:[v2f64] }:$src0
     /*  67498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67501 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67503 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67505 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67510 */   // GIR_Coverage, 7195,
     /*  67510 */   GIR_EraseRootFromParent_Done,
     /*  67511 */ // Label 698: @67511
     /*  67511 */ GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(67540), // Rule ID 7196 //
     /*  67516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67527 */   // (bitconvert:{ *:[v2f64] } VReg_128:{ *:[v4f32] }:$src0)  =>  VReg_128:{ *:[v2f64] }:$src0
     /*  67527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67530 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67532 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67534 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67539 */   // GIR_Coverage, 7196,
     /*  67539 */   GIR_EraseRootFromParent_Done,
     /*  67540 */ // Label 699: @67540
     /*  67540 */ GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(67569), // Rule ID 7197 //
     /*  67545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67556 */   // (bitconvert:{ *:[v2f64] } SReg_128:{ *:[v4f32] }:$src0)  =>  SReg_128:{ *:[v2f64] }:$src0
     /*  67556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67559 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67561 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67563 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67568 */   // GIR_Coverage, 7197,
     /*  67568 */   GIR_EraseRootFromParent_Done,
     /*  67569 */ // Label 700: @67569
     /*  67569 */ GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(67598), // Rule ID 7198 //
     /*  67574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  67577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67585 */   // (bitconvert:{ *:[v2f64] } VReg_128:{ *:[v2i64] }:$src0)  =>  VReg_128:{ *:[v2f64] }:$src0
     /*  67585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67588 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67590 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67592 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67597 */   // GIR_Coverage, 7198,
     /*  67597 */   GIR_EraseRootFromParent_Done,
     /*  67598 */ // Label 701: @67598
     /*  67598 */ GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(67627), // Rule ID 7199 //
     /*  67603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  67606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67614 */   // (bitconvert:{ *:[v2f64] } SReg_128:{ *:[v2i64] }:$src0)  =>  SReg_128:{ *:[v2f64] }:$src0
     /*  67614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67617 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67619 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67621 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67626 */   // GIR_Coverage, 7199,
     /*  67626 */   GIR_EraseRootFromParent_Done,
     /*  67627 */ // Label 702: @67627
     /*  67627 */ GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(67656), // Rule ID 7200 //
     /*  67632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67643 */   // (bitconvert:{ *:[v2f64] } VReg_128:{ *:[v8i16] }:$src0)  =>  VReg_128:{ *:[v2f64] }:$src0
     /*  67643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67646 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67648 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67650 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67655 */   // GIR_Coverage, 7200,
     /*  67655 */   GIR_EraseRootFromParent_Done,
     /*  67656 */ // Label 703: @67656
     /*  67656 */ GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(67685), // Rule ID 7201 //
     /*  67661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67672 */   // (bitconvert:{ *:[v2f64] } SReg_128:{ *:[v8i16] }:$src0)  =>  SReg_128:{ *:[v2f64] }:$src0
     /*  67672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67675 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67677 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67679 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67684 */   // GIR_Coverage, 7201,
     /*  67684 */   GIR_EraseRootFromParent_Done,
     /*  67685 */ // Label 704: @67685
     /*  67685 */ GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(67714), // Rule ID 7202 //
     /*  67690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67701 */   // (bitconvert:{ *:[v2f64] } VReg_128:{ *:[v8f16] }:$src0)  =>  VReg_128:{ *:[v2f64] }:$src0
     /*  67701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67704 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67706 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67708 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  67713 */   // GIR_Coverage, 7202,
     /*  67713 */   GIR_EraseRootFromParent_Done,
     /*  67714 */ // Label 705: @67714
     /*  67714 */ GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(67743), // Rule ID 7203 //
     /*  67719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67730 */   // (bitconvert:{ *:[v2f64] } SReg_128:{ *:[v8f16] }:$src0)  =>  SReg_128:{ *:[v2f64] }:$src0
     /*  67730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67733 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67735 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67737 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  67742 */   // GIR_Coverage, 7203,
     /*  67742 */   GIR_EraseRootFromParent_Done,
     /*  67743 */ // Label 706: @67743
     /*  67743 */ GIM_Reject,
     /*  67744 */ // Label 617: @67744
     /*  67744 */ GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(67797),
     /*  67749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s32,
     /*  67752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_96RegClassID),
     /*  67756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SGPR_96RegClassID),
     /*  67760 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(67778), // Rule ID 7162 //
     /*  67765 */     // (bitconvert:{ *:[v3i32] } SGPR_96:{ *:[v3f32] }:$src0)  =>  SGPR_96:{ *:[v3i32] }:$src0
     /*  67765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67768 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67770 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67772 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SGPR_96RegClassID),
     /*  67777 */     // GIR_Coverage, 7162,
     /*  67777 */     GIR_EraseRootFromParent_Done,
     /*  67778 */   // Label 708: @67778
     /*  67778 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(67796), // Rule ID 7163 //
     /*  67783 */     // (bitconvert:{ *:[v3f32] } SGPR_96:{ *:[v3i32] }:$src0)  =>  SGPR_96:{ *:[v3f32] }:$src0
     /*  67783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67786 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67790 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SGPR_96RegClassID),
     /*  67795 */     // GIR_Coverage, 7163,
     /*  67795 */     GIR_EraseRootFromParent_Done,
     /*  67796 */   // Label 709: @67796
     /*  67796 */   GIM_Reject,
     /*  67797 */ // Label 707: @67797
     /*  67797 */ GIM_Reject,
     /*  67798 */ // Label 618: @67798
     /*  67798 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(67827), // Rule ID 7240 //
     /*  67803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  67806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67814 */   // (bitconvert:{ *:[v3i64] } VReg_192:{ *:[v6i32] }:$src0)  =>  VReg_192:{ *:[v3i64] }:$src0
     /*  67814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67817 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67819 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67821 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67826 */   // GIR_Coverage, 7240,
     /*  67826 */   GIR_EraseRootFromParent_Done,
     /*  67827 */ // Label 710: @67827
     /*  67827 */ GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(67856), // Rule ID 7241 //
     /*  67832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  67835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67843 */   // (bitconvert:{ *:[v3i64] } SReg_192:{ *:[v6i32] }:$src0)  =>  SReg_192:{ *:[v3i64] }:$src0
     /*  67843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67846 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67848 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67850 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67855 */   // GIR_Coverage, 7241,
     /*  67855 */   GIR_EraseRootFromParent_Done,
     /*  67856 */ // Label 711: @67856
     /*  67856 */ GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(67885), // Rule ID 7242 //
     /*  67861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  67864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67872 */   // (bitconvert:{ *:[v3i64] } VReg_192:{ *:[v6f32] }:$src0)  =>  VReg_192:{ *:[v3i64] }:$src0
     /*  67872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67875 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67877 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67879 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67884 */   // GIR_Coverage, 7242,
     /*  67884 */   GIR_EraseRootFromParent_Done,
     /*  67885 */ // Label 712: @67885
     /*  67885 */ GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(67914), // Rule ID 7243 //
     /*  67890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  67893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67901 */   // (bitconvert:{ *:[v3i64] } SReg_192:{ *:[v6f32] }:$src0)  =>  SReg_192:{ *:[v3i64] }:$src0
     /*  67901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67904 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67906 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67908 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67913 */   // GIR_Coverage, 7243,
     /*  67913 */   GIR_EraseRootFromParent_Done,
     /*  67914 */ // Label 713: @67914
     /*  67914 */ GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(67943), // Rule ID 7244 //
     /*  67919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  67922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67930 */   // (bitconvert:{ *:[v3i64] } VReg_192:{ *:[v3f64] }:$src0)  =>  VReg_192:{ *:[v3i64] }:$src0
     /*  67930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67933 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67935 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67937 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67942 */   // GIR_Coverage, 7244,
     /*  67942 */   GIR_EraseRootFromParent_Done,
     /*  67943 */ // Label 714: @67943
     /*  67943 */ GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(67972), // Rule ID 7245 //
     /*  67948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  67951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67959 */   // (bitconvert:{ *:[v3i64] } SReg_192:{ *:[v3f64] }:$src0)  =>  SReg_192:{ *:[v3i64] }:$src0
     /*  67959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67962 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67964 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  67971 */   // GIR_Coverage, 7245,
     /*  67971 */   GIR_EraseRootFromParent_Done,
     /*  67972 */ // Label 715: @67972
     /*  67972 */ GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(68001), // Rule ID 7246 //
     /*  67977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  67980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  67988 */   // (bitconvert:{ *:[v3f64] } VReg_192:{ *:[v6i32] }:$src0)  =>  VReg_192:{ *:[v3f64] }:$src0
     /*  67988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  67991 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  67993 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  67995 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68000 */   // GIR_Coverage, 7246,
     /*  68000 */   GIR_EraseRootFromParent_Done,
     /*  68001 */ // Label 716: @68001
     /*  68001 */ GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(68030), // Rule ID 7247 //
     /*  68006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  68009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68017 */   // (bitconvert:{ *:[v3f64] } SReg_192:{ *:[v6i32] }:$src0)  =>  SReg_192:{ *:[v3f64] }:$src0
     /*  68017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68020 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68022 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68024 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68029 */   // GIR_Coverage, 7247,
     /*  68029 */   GIR_EraseRootFromParent_Done,
     /*  68030 */ // Label 717: @68030
     /*  68030 */ GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(68059), // Rule ID 7248 //
     /*  68035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  68038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68046 */   // (bitconvert:{ *:[v3f64] } VReg_192:{ *:[v6f32] }:$src0)  =>  VReg_192:{ *:[v3f64] }:$src0
     /*  68046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68049 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68051 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68053 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68058 */   // GIR_Coverage, 7248,
     /*  68058 */   GIR_EraseRootFromParent_Done,
     /*  68059 */ // Label 718: @68059
     /*  68059 */ GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(68088), // Rule ID 7249 //
     /*  68064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  68067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68075 */   // (bitconvert:{ *:[v3f64] } SReg_192:{ *:[v6f32] }:$src0)  =>  SReg_192:{ *:[v3f64] }:$src0
     /*  68075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68078 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68080 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68082 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68087 */   // GIR_Coverage, 7249,
     /*  68087 */   GIR_EraseRootFromParent_Done,
     /*  68088 */ // Label 719: @68088
     /*  68088 */ GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(68117), // Rule ID 7250 //
     /*  68093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  68096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68104 */   // (bitconvert:{ *:[v3f64] } VReg_192:{ *:[v3i64] }:$src0)  =>  VReg_192:{ *:[v3f64] }:$src0
     /*  68104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68107 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68109 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68111 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  68116 */   // GIR_Coverage, 7250,
     /*  68116 */   GIR_EraseRootFromParent_Done,
     /*  68117 */ // Label 720: @68117
     /*  68117 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(68146), // Rule ID 7251 //
     /*  68122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  68125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68133 */   // (bitconvert:{ *:[v3f64] } SReg_192:{ *:[v3i64] }:$src0)  =>  SReg_192:{ *:[v3f64] }:$src0
     /*  68133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68136 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68138 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68140 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  68145 */   // GIR_Coverage, 7251,
     /*  68145 */   GIR_EraseRootFromParent_Done,
     /*  68146 */ // Label 721: @68146
     /*  68146 */ GIM_Reject,
     /*  68147 */ // Label 619: @68147
     /*  68147 */ GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(68176), // Rule ID 7152 //
     /*  68152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  68155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68163 */   // (bitconvert:{ *:[v4i16] } VReg_64:{ *:[i64] }:$src0)  =>  VReg_64:{ *:[v4i16] }:$src0
     /*  68163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68166 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68168 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68170 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68175 */   // GIR_Coverage, 7152,
     /*  68175 */   GIR_EraseRootFromParent_Done,
     /*  68176 */ // Label 722: @68176
     /*  68176 */ GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(68205), // Rule ID 7153 //
     /*  68181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  68184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68192 */   // (bitconvert:{ *:[v4i16] } VReg_64:{ *:[f64] }:$src0)  =>  VReg_64:{ *:[v4i16] }:$src0
     /*  68192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68195 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68197 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68199 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68204 */   // GIR_Coverage, 7153,
     /*  68204 */   GIR_EraseRootFromParent_Done,
     /*  68205 */ // Label 723: @68205
     /*  68205 */ GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(68234), // Rule ID 7154 //
     /*  68210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  68213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68221 */   // (bitconvert:{ *:[v4i16] } VReg_64:{ *:[v2i32] }:$src0)  =>  VReg_64:{ *:[v4i16] }:$src0
     /*  68221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68224 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68226 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68228 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68233 */   // GIR_Coverage, 7154,
     /*  68233 */   GIR_EraseRootFromParent_Done,
     /*  68234 */ // Label 724: @68234
     /*  68234 */ GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(68263), // Rule ID 7155 //
     /*  68239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  68242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68250 */   // (bitconvert:{ *:[v4i16] } VReg_64:{ *:[v2f32] }:$src0)  =>  VReg_64:{ *:[v4i16] }:$src0
     /*  68250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68253 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68255 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68257 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68262 */   // GIR_Coverage, 7155,
     /*  68262 */   GIR_EraseRootFromParent_Done,
     /*  68263 */ // Label 725: @68263
     /*  68263 */ GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(68292), // Rule ID 7156 //
     /*  68268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  68271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68279 */   // (bitconvert:{ *:[v4i16] } VReg_64:{ *:[v4f16] }:$src0)  =>  VReg_64:{ *:[v4i16] }:$src0
     /*  68279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68282 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68284 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68286 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68291 */   // GIR_Coverage, 7156,
     /*  68291 */   GIR_EraseRootFromParent_Done,
     /*  68292 */ // Label 726: @68292
     /*  68292 */ GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(68321), // Rule ID 7157 //
     /*  68297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  68300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68308 */   // (bitconvert:{ *:[v4f16] } VReg_64:{ *:[i64] }:$src0)  =>  VReg_64:{ *:[v4f16] }:$src0
     /*  68308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68311 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68313 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68315 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68320 */   // GIR_Coverage, 7157,
     /*  68320 */   GIR_EraseRootFromParent_Done,
     /*  68321 */ // Label 727: @68321
     /*  68321 */ GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(68350), // Rule ID 7158 //
     /*  68326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  68329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68337 */   // (bitconvert:{ *:[v4f16] } VReg_64:{ *:[f64] }:$src0)  =>  VReg_64:{ *:[v4f16] }:$src0
     /*  68337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68340 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68342 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68344 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68349 */   // GIR_Coverage, 7158,
     /*  68349 */   GIR_EraseRootFromParent_Done,
     /*  68350 */ // Label 728: @68350
     /*  68350 */ GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(68379), // Rule ID 7159 //
     /*  68355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  68358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68366 */   // (bitconvert:{ *:[v4f16] } VReg_64:{ *:[v2i32] }:$src0)  =>  VReg_64:{ *:[v4f16] }:$src0
     /*  68366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68369 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68371 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68373 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68378 */   // GIR_Coverage, 7159,
     /*  68378 */   GIR_EraseRootFromParent_Done,
     /*  68379 */ // Label 729: @68379
     /*  68379 */ GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(68408), // Rule ID 7160 //
     /*  68384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  68387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68395 */   // (bitconvert:{ *:[v4f16] } VReg_64:{ *:[v2f32] }:$src0)  =>  VReg_64:{ *:[v4f16] }:$src0
     /*  68395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68398 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68400 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68402 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68407 */   // GIR_Coverage, 7160,
     /*  68407 */   GIR_EraseRootFromParent_Done,
     /*  68408 */ // Label 730: @68408
     /*  68408 */ GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(68437), // Rule ID 7161 //
     /*  68413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  68416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68424 */   // (bitconvert:{ *:[v4f16] } VReg_64:{ *:[v4i16] }:$src0)  =>  VReg_64:{ *:[v4f16] }:$src0
     /*  68424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68427 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68429 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68431 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  68436 */   // GIR_Coverage, 7161,
     /*  68436 */   GIR_EraseRootFromParent_Done,
     /*  68437 */ // Label 731: @68437
     /*  68437 */ GIM_Reject,
     /*  68438 */ // Label 620: @68438
     /*  68438 */ GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(68467), // Rule ID 7164 //
     /*  68443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68454 */   // (bitconvert:{ *:[v4i32] } VReg_128:{ *:[v4f32] }:$src0)  =>  VReg_128:{ *:[v4i32] }:$src0
     /*  68454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68457 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68459 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68466 */   // GIR_Coverage, 7164,
     /*  68466 */   GIR_EraseRootFromParent_Done,
     /*  68467 */ // Label 732: @68467
     /*  68467 */ GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(68496), // Rule ID 7165 //
     /*  68472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68483 */   // (bitconvert:{ *:[v4i32] } SReg_128:{ *:[v4f32] }:$src0)  =>  SReg_128:{ *:[v4i32] }:$src0
     /*  68483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68486 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68488 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68490 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68495 */   // GIR_Coverage, 7165,
     /*  68495 */   GIR_EraseRootFromParent_Done,
     /*  68496 */ // Label 733: @68496
     /*  68496 */ GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(68525), // Rule ID 7166 //
     /*  68501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68512 */   // (bitconvert:{ *:[v4i32] } VReg_128:{ *:[v2i64] }:$src0)  =>  VReg_128:{ *:[v4i32] }:$src0
     /*  68512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68515 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68517 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68524 */   // GIR_Coverage, 7166,
     /*  68524 */   GIR_EraseRootFromParent_Done,
     /*  68525 */ // Label 734: @68525
     /*  68525 */ GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(68554), // Rule ID 7167 //
     /*  68530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68541 */   // (bitconvert:{ *:[v4i32] } SReg_128:{ *:[v2i64] }:$src0)  =>  SReg_128:{ *:[v4i32] }:$src0
     /*  68541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68544 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68546 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68548 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68553 */   // GIR_Coverage, 7167,
     /*  68553 */   GIR_EraseRootFromParent_Done,
     /*  68554 */ // Label 735: @68554
     /*  68554 */ GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(68583), // Rule ID 7168 //
     /*  68559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68570 */   // (bitconvert:{ *:[v4i32] } VReg_128:{ *:[v2f64] }:$src0)  =>  VReg_128:{ *:[v4i32] }:$src0
     /*  68570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68573 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68575 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68577 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68582 */   // GIR_Coverage, 7168,
     /*  68582 */   GIR_EraseRootFromParent_Done,
     /*  68583 */ // Label 736: @68583
     /*  68583 */ GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(68612), // Rule ID 7169 //
     /*  68588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68599 */   // (bitconvert:{ *:[v4i32] } SReg_128:{ *:[v2f64] }:$src0)  =>  SReg_128:{ *:[v4i32] }:$src0
     /*  68599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68602 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68604 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68606 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68611 */   // GIR_Coverage, 7169,
     /*  68611 */   GIR_EraseRootFromParent_Done,
     /*  68612 */ // Label 737: @68612
     /*  68612 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(68641), // Rule ID 7170 //
     /*  68617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68628 */   // (bitconvert:{ *:[v4i32] } VReg_128:{ *:[v8i16] }:$src0)  =>  VReg_128:{ *:[v4i32] }:$src0
     /*  68628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68631 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68633 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68635 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68640 */   // GIR_Coverage, 7170,
     /*  68640 */   GIR_EraseRootFromParent_Done,
     /*  68641 */ // Label 738: @68641
     /*  68641 */ GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(68670), // Rule ID 7171 //
     /*  68646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68657 */   // (bitconvert:{ *:[v4i32] } SReg_128:{ *:[v8i16] }:$src0)  =>  SReg_128:{ *:[v4i32] }:$src0
     /*  68657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68660 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68662 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68664 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68669 */   // GIR_Coverage, 7171,
     /*  68669 */   GIR_EraseRootFromParent_Done,
     /*  68670 */ // Label 739: @68670
     /*  68670 */ GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(68699), // Rule ID 7172 //
     /*  68675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68686 */   // (bitconvert:{ *:[v4i32] } VReg_128:{ *:[v8f16] }:$src0)  =>  VReg_128:{ *:[v4i32] }:$src0
     /*  68686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68689 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68691 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68693 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68698 */   // GIR_Coverage, 7172,
     /*  68698 */   GIR_EraseRootFromParent_Done,
     /*  68699 */ // Label 740: @68699
     /*  68699 */ GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(68728), // Rule ID 7173 //
     /*  68704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68715 */   // (bitconvert:{ *:[v4i32] } SReg_128:{ *:[v8f16] }:$src0)  =>  SReg_128:{ *:[v4i32] }:$src0
     /*  68715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68718 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68720 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68722 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68727 */   // GIR_Coverage, 7173,
     /*  68727 */   GIR_EraseRootFromParent_Done,
     /*  68728 */ // Label 741: @68728
     /*  68728 */ GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(68757), // Rule ID 7174 //
     /*  68733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68744 */   // (bitconvert:{ *:[v4f32] } VReg_128:{ *:[v4i32] }:$src0)  =>  VReg_128:{ *:[v4f32] }:$src0
     /*  68744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68747 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68749 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68751 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68756 */   // GIR_Coverage, 7174,
     /*  68756 */   GIR_EraseRootFromParent_Done,
     /*  68757 */ // Label 742: @68757
     /*  68757 */ GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(68786), // Rule ID 7175 //
     /*  68762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68773 */   // (bitconvert:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$src0)  =>  SReg_128:{ *:[v4f32] }:$src0
     /*  68773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68776 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68778 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68780 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68785 */   // GIR_Coverage, 7175,
     /*  68785 */   GIR_EraseRootFromParent_Done,
     /*  68786 */ // Label 743: @68786
     /*  68786 */ GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(68815), // Rule ID 7176 //
     /*  68791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68802 */   // (bitconvert:{ *:[v4f32] } VReg_128:{ *:[v2i64] }:$src0)  =>  VReg_128:{ *:[v4f32] }:$src0
     /*  68802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68805 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68807 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68809 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68814 */   // GIR_Coverage, 7176,
     /*  68814 */   GIR_EraseRootFromParent_Done,
     /*  68815 */ // Label 744: @68815
     /*  68815 */ GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(68844), // Rule ID 7177 //
     /*  68820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68831 */   // (bitconvert:{ *:[v4f32] } SReg_128:{ *:[v2i64] }:$src0)  =>  SReg_128:{ *:[v4f32] }:$src0
     /*  68831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68834 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68836 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68838 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68843 */   // GIR_Coverage, 7177,
     /*  68843 */   GIR_EraseRootFromParent_Done,
     /*  68844 */ // Label 745: @68844
     /*  68844 */ GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(68873), // Rule ID 7178 //
     /*  68849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68860 */   // (bitconvert:{ *:[v4f32] } VReg_128:{ *:[v2f64] }:$src0)  =>  VReg_128:{ *:[v4f32] }:$src0
     /*  68860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68863 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68865 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68867 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68872 */   // GIR_Coverage, 7178,
     /*  68872 */   GIR_EraseRootFromParent_Done,
     /*  68873 */ // Label 746: @68873
     /*  68873 */ GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(68902), // Rule ID 7179 //
     /*  68878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  68881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68889 */   // (bitconvert:{ *:[v4f32] } SReg_128:{ *:[v2f64] }:$src0)  =>  SReg_128:{ *:[v4f32] }:$src0
     /*  68889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68892 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68894 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68896 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68901 */   // GIR_Coverage, 7179,
     /*  68901 */   GIR_EraseRootFromParent_Done,
     /*  68902 */ // Label 747: @68902
     /*  68902 */ GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(68931), // Rule ID 7180 //
     /*  68907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68918 */   // (bitconvert:{ *:[v4f32] } VReg_128:{ *:[v8i16] }:$src0)  =>  VReg_128:{ *:[v4f32] }:$src0
     /*  68918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68921 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68923 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68930 */   // GIR_Coverage, 7180,
     /*  68930 */   GIR_EraseRootFromParent_Done,
     /*  68931 */ // Label 748: @68931
     /*  68931 */ GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(68960), // Rule ID 7181 //
     /*  68936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68947 */   // (bitconvert:{ *:[v4f32] } SReg_128:{ *:[v8i16] }:$src0)  =>  SReg_128:{ *:[v4f32] }:$src0
     /*  68947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68950 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68952 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68954 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  68959 */   // GIR_Coverage, 7181,
     /*  68959 */   GIR_EraseRootFromParent_Done,
     /*  68960 */ // Label 749: @68960
     /*  68960 */ GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(68989), // Rule ID 7182 //
     /*  68965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68976 */   // (bitconvert:{ *:[v4f32] } VReg_128:{ *:[v8f16] }:$src0)  =>  VReg_128:{ *:[v4f32] }:$src0
     /*  68976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68979 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  68981 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  68983 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  68988 */   // GIR_Coverage, 7182,
     /*  68988 */   GIR_EraseRootFromParent_Done,
     /*  68989 */ // Label 750: @68989
     /*  68989 */ GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(69018), // Rule ID 7183 //
     /*  68994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  69001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  69005 */   // (bitconvert:{ *:[v4f32] } SReg_128:{ *:[v8f16] }:$src0)  =>  SReg_128:{ *:[v4f32] }:$src0
     /*  69005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69008 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69010 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69012 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  69017 */   // GIR_Coverage, 7183,
     /*  69017 */   GIR_EraseRootFromParent_Done,
     /*  69018 */ // Label 751: @69018
     /*  69018 */ GIM_Reject,
     /*  69019 */ // Label 621: @69019
     /*  69019 */ GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(69048), // Rule ID 7276 //
     /*  69024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69035 */   // (bitconvert:{ *:[v4i64] } VReg_256:{ *:[v8i32] }:$src0)  =>  VReg_256:{ *:[v4i64] }:$src0
     /*  69035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69038 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69040 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69042 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69047 */   // GIR_Coverage, 7276,
     /*  69047 */   GIR_EraseRootFromParent_Done,
     /*  69048 */ // Label 752: @69048
     /*  69048 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(69077), // Rule ID 7277 //
     /*  69053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69064 */   // (bitconvert:{ *:[v4i64] } SReg_256:{ *:[v8i32] }:$src0)  =>  SReg_256:{ *:[v4i64] }:$src0
     /*  69064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69067 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69076 */   // GIR_Coverage, 7277,
     /*  69076 */   GIR_EraseRootFromParent_Done,
     /*  69077 */ // Label 753: @69077
     /*  69077 */ GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(69106), // Rule ID 7278 //
     /*  69082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69093 */   // (bitconvert:{ *:[v4i64] } VReg_256:{ *:[v8f32] }:$src0)  =>  VReg_256:{ *:[v4i64] }:$src0
     /*  69093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69096 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69098 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69100 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69105 */   // GIR_Coverage, 7278,
     /*  69105 */   GIR_EraseRootFromParent_Done,
     /*  69106 */ // Label 754: @69106
     /*  69106 */ GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(69135), // Rule ID 7279 //
     /*  69111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69122 */   // (bitconvert:{ *:[v4i64] } SReg_256:{ *:[v8f32] }:$src0)  =>  SReg_256:{ *:[v4i64] }:$src0
     /*  69122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69134 */   // GIR_Coverage, 7279,
     /*  69134 */   GIR_EraseRootFromParent_Done,
     /*  69135 */ // Label 755: @69135
     /*  69135 */ GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(69164), // Rule ID 7280 //
     /*  69140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  69143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69151 */   // (bitconvert:{ *:[v4i64] } VReg_256:{ *:[v4f64] }:$src0)  =>  VReg_256:{ *:[v4i64] }:$src0
     /*  69151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69154 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69156 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69158 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69163 */   // GIR_Coverage, 7280,
     /*  69163 */   GIR_EraseRootFromParent_Done,
     /*  69164 */ // Label 756: @69164
     /*  69164 */ GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(69193), // Rule ID 7281 //
     /*  69169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  69172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69180 */   // (bitconvert:{ *:[v4i64] } SReg_256:{ *:[v4f64] }:$src0)  =>  SReg_256:{ *:[v4i64] }:$src0
     /*  69180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69183 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69185 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69187 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69192 */   // GIR_Coverage, 7281,
     /*  69192 */   GIR_EraseRootFromParent_Done,
     /*  69193 */ // Label 757: @69193
     /*  69193 */ GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(69222), // Rule ID 7282 //
     /*  69198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69209 */   // (bitconvert:{ *:[v4i64] } VReg_256:{ *:[v16i16] }:$src0)  =>  VReg_256:{ *:[v4i64] }:$src0
     /*  69209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69212 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69214 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69216 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69221 */   // GIR_Coverage, 7282,
     /*  69221 */   GIR_EraseRootFromParent_Done,
     /*  69222 */ // Label 758: @69222
     /*  69222 */ GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(69251), // Rule ID 7283 //
     /*  69227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69238 */   // (bitconvert:{ *:[v4i64] } SReg_256:{ *:[v16i16] }:$src0)  =>  SReg_256:{ *:[v4i64] }:$src0
     /*  69238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69241 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69243 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69245 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69250 */   // GIR_Coverage, 7283,
     /*  69250 */   GIR_EraseRootFromParent_Done,
     /*  69251 */ // Label 759: @69251
     /*  69251 */ GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(69280), // Rule ID 7284 //
     /*  69256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69267 */   // (bitconvert:{ *:[v4i64] } VReg_256:{ *:[v16f16] }:$src0)  =>  VReg_256:{ *:[v4i64] }:$src0
     /*  69267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69270 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69272 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69274 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69279 */   // GIR_Coverage, 7284,
     /*  69279 */   GIR_EraseRootFromParent_Done,
     /*  69280 */ // Label 760: @69280
     /*  69280 */ GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(69309), // Rule ID 7285 //
     /*  69285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69296 */   // (bitconvert:{ *:[v4i64] } SReg_256:{ *:[v16f16] }:$src0)  =>  SReg_256:{ *:[v4i64] }:$src0
     /*  69296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69299 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69301 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69308 */   // GIR_Coverage, 7285,
     /*  69308 */   GIR_EraseRootFromParent_Done,
     /*  69309 */ // Label 761: @69309
     /*  69309 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(69338), // Rule ID 7286 //
     /*  69314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69325 */   // (bitconvert:{ *:[v4f64] } VReg_256:{ *:[v8i32] }:$src0)  =>  VReg_256:{ *:[v4f64] }:$src0
     /*  69325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69328 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69330 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69332 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69337 */   // GIR_Coverage, 7286,
     /*  69337 */   GIR_EraseRootFromParent_Done,
     /*  69338 */ // Label 762: @69338
     /*  69338 */ GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(69367), // Rule ID 7287 //
     /*  69343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69354 */   // (bitconvert:{ *:[v4f64] } SReg_256:{ *:[v8i32] }:$src0)  =>  SReg_256:{ *:[v4f64] }:$src0
     /*  69354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69357 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69359 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69361 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69366 */   // GIR_Coverage, 7287,
     /*  69366 */   GIR_EraseRootFromParent_Done,
     /*  69367 */ // Label 763: @69367
     /*  69367 */ GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(69396), // Rule ID 7288 //
     /*  69372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69383 */   // (bitconvert:{ *:[v4f64] } VReg_256:{ *:[v8f32] }:$src0)  =>  VReg_256:{ *:[v4f64] }:$src0
     /*  69383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69386 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69388 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69390 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69395 */   // GIR_Coverage, 7288,
     /*  69395 */   GIR_EraseRootFromParent_Done,
     /*  69396 */ // Label 764: @69396
     /*  69396 */ GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(69425), // Rule ID 7289 //
     /*  69401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  69404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69412 */   // (bitconvert:{ *:[v4f64] } SReg_256:{ *:[v8f32] }:$src0)  =>  SReg_256:{ *:[v4f64] }:$src0
     /*  69412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69415 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69417 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69419 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69424 */   // GIR_Coverage, 7289,
     /*  69424 */   GIR_EraseRootFromParent_Done,
     /*  69425 */ // Label 765: @69425
     /*  69425 */ GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(69454), // Rule ID 7290 //
     /*  69430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  69433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69441 */   // (bitconvert:{ *:[v4f64] } VReg_256:{ *:[v4i64] }:$src0)  =>  VReg_256:{ *:[v4f64] }:$src0
     /*  69441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69444 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69446 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69448 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69453 */   // GIR_Coverage, 7290,
     /*  69453 */   GIR_EraseRootFromParent_Done,
     /*  69454 */ // Label 766: @69454
     /*  69454 */ GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(69483), // Rule ID 7291 //
     /*  69459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  69462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69470 */   // (bitconvert:{ *:[v4f64] } SReg_256:{ *:[v4i64] }:$src0)  =>  SReg_256:{ *:[v4f64] }:$src0
     /*  69470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69473 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69475 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69477 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69482 */   // GIR_Coverage, 7291,
     /*  69482 */   GIR_EraseRootFromParent_Done,
     /*  69483 */ // Label 767: @69483
     /*  69483 */ GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(69512), // Rule ID 7292 //
     /*  69488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69499 */   // (bitconvert:{ *:[v4f64] } VReg_256:{ *:[v16i16] }:$src0)  =>  VReg_256:{ *:[v4f64] }:$src0
     /*  69499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69502 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69504 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69506 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69511 */   // GIR_Coverage, 7292,
     /*  69511 */   GIR_EraseRootFromParent_Done,
     /*  69512 */ // Label 768: @69512
     /*  69512 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(69541), // Rule ID 7293 //
     /*  69517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69528 */   // (bitconvert:{ *:[v4f64] } SReg_256:{ *:[v16i16] }:$src0)  =>  SReg_256:{ *:[v4f64] }:$src0
     /*  69528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69531 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69533 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69535 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69540 */   // GIR_Coverage, 7293,
     /*  69540 */   GIR_EraseRootFromParent_Done,
     /*  69541 */ // Label 769: @69541
     /*  69541 */ GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(69570), // Rule ID 7294 //
     /*  69546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69557 */   // (bitconvert:{ *:[v4f64] } VReg_256:{ *:[v16f16] }:$src0)  =>  VReg_256:{ *:[v4f64] }:$src0
     /*  69557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69560 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69562 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69564 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  69569 */   // GIR_Coverage, 7294,
     /*  69569 */   GIR_EraseRootFromParent_Done,
     /*  69570 */ // Label 770: @69570
     /*  69570 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(69599), // Rule ID 7295 //
     /*  69575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  69578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69586 */   // (bitconvert:{ *:[v4f64] } SReg_256:{ *:[v16f16] }:$src0)  =>  SReg_256:{ *:[v4f64] }:$src0
     /*  69586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69589 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69591 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69593 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  69598 */   // GIR_Coverage, 7295,
     /*  69598 */   GIR_EraseRootFromParent_Done,
     /*  69599 */ // Label 771: @69599
     /*  69599 */ GIM_Reject,
     /*  69600 */ // Label 622: @69600
     /*  69600 */ GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(69713),
     /*  69605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v5s32,
     /*  69608 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(69634), // Rule ID 7224 //
     /*  69613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69621 */     // (bitconvert:{ *:[v5i32] } VReg_160:{ *:[v5f32] }:$src0)  =>  VReg_160:{ *:[v5i32] }:$src0
     /*  69621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69624 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69626 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69633 */     // GIR_Coverage, 7224,
     /*  69633 */     GIR_EraseRootFromParent_Done,
     /*  69634 */   // Label 773: @69634
     /*  69634 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(69660), // Rule ID 7225 //
     /*  69639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69647 */     // (bitconvert:{ *:[v5i32] } SReg_160:{ *:[v5f32] }:$src0)  =>  SReg_160:{ *:[v5i32] }:$src0
     /*  69647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69650 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69652 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69659 */     // GIR_Coverage, 7225,
     /*  69659 */     GIR_EraseRootFromParent_Done,
     /*  69660 */   // Label 774: @69660
     /*  69660 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(69686), // Rule ID 7226 //
     /*  69665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69673 */     // (bitconvert:{ *:[v5f32] } VReg_160:{ *:[v5i32] }:$src0)  =>  VReg_160:{ *:[v5f32] }:$src0
     /*  69673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69676 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69678 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69680 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_160RegClassID),
     /*  69685 */     // GIR_Coverage, 7226,
     /*  69685 */     GIR_EraseRootFromParent_Done,
     /*  69686 */   // Label 775: @69686
     /*  69686 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(69712), // Rule ID 7227 //
     /*  69691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69699 */     // (bitconvert:{ *:[v5f32] } SReg_160:{ *:[v5i32] }:$src0)  =>  SReg_160:{ *:[v5f32] }:$src0
     /*  69699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69702 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_160RegClassID),
     /*  69711 */     // GIR_Coverage, 7227,
     /*  69711 */     GIR_EraseRootFromParent_Done,
     /*  69712 */   // Label 776: @69712
     /*  69712 */   GIM_Reject,
     /*  69713 */ // Label 772: @69713
     /*  69713 */ GIM_Reject,
     /*  69714 */ // Label 623: @69714
     /*  69714 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(69743), // Rule ID 7228 //
     /*  69719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  69722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69730 */   // (bitconvert:{ *:[v6i32] } VReg_192:{ *:[v6f32] }:$src0)  =>  VReg_192:{ *:[v6i32] }:$src0
     /*  69730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69733 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69735 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69737 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69742 */   // GIR_Coverage, 7228,
     /*  69742 */   GIR_EraseRootFromParent_Done,
     /*  69743 */ // Label 777: @69743
     /*  69743 */ GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(69772), // Rule ID 7229 //
     /*  69748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  69751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69759 */   // (bitconvert:{ *:[v6i32] } SReg_192:{ *:[v6f32] }:$src0)  =>  SReg_192:{ *:[v6i32] }:$src0
     /*  69759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69762 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69764 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69766 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69771 */   // GIR_Coverage, 7229,
     /*  69771 */   GIR_EraseRootFromParent_Done,
     /*  69772 */ // Label 778: @69772
     /*  69772 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(69801), // Rule ID 7230 //
     /*  69777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69788 */   // (bitconvert:{ *:[v6i32] } VReg_192:{ *:[v3i64] }:$src0)  =>  VReg_192:{ *:[v6i32] }:$src0
     /*  69788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69791 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69793 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69795 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69800 */   // GIR_Coverage, 7230,
     /*  69800 */   GIR_EraseRootFromParent_Done,
     /*  69801 */ // Label 779: @69801
     /*  69801 */ GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(69830), // Rule ID 7231 //
     /*  69806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69817 */   // (bitconvert:{ *:[v6i32] } SReg_192:{ *:[v3i64] }:$src0)  =>  SReg_192:{ *:[v6i32] }:$src0
     /*  69817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69820 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69822 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69824 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69829 */   // GIR_Coverage, 7231,
     /*  69829 */   GIR_EraseRootFromParent_Done,
     /*  69830 */ // Label 780: @69830
     /*  69830 */ GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(69859), // Rule ID 7232 //
     /*  69835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69846 */   // (bitconvert:{ *:[v6i32] } VReg_192:{ *:[v3f64] }:$src0)  =>  VReg_192:{ *:[v6i32] }:$src0
     /*  69846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69849 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69851 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69853 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69858 */   // GIR_Coverage, 7232,
     /*  69858 */   GIR_EraseRootFromParent_Done,
     /*  69859 */ // Label 781: @69859
     /*  69859 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(69888), // Rule ID 7233 //
     /*  69864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69875 */   // (bitconvert:{ *:[v6i32] } SReg_192:{ *:[v3f64] }:$src0)  =>  SReg_192:{ *:[v6i32] }:$src0
     /*  69875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69878 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69880 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69882 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69887 */   // GIR_Coverage, 7233,
     /*  69887 */   GIR_EraseRootFromParent_Done,
     /*  69888 */ // Label 782: @69888
     /*  69888 */ GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(69917), // Rule ID 7234 //
     /*  69893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  69896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69904 */   // (bitconvert:{ *:[v6f32] } VReg_192:{ *:[v6i32] }:$src0)  =>  VReg_192:{ *:[v6f32] }:$src0
     /*  69904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69907 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69909 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69911 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69916 */   // GIR_Coverage, 7234,
     /*  69916 */   GIR_EraseRootFromParent_Done,
     /*  69917 */ // Label 783: @69917
     /*  69917 */ GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(69946), // Rule ID 7235 //
     /*  69922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v6s32,
     /*  69925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69933 */   // (bitconvert:{ *:[v6f32] } SReg_192:{ *:[v6i32] }:$src0)  =>  SReg_192:{ *:[v6f32] }:$src0
     /*  69933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69936 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69938 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69940 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69945 */   // GIR_Coverage, 7235,
     /*  69945 */   GIR_EraseRootFromParent_Done,
     /*  69946 */ // Label 784: @69946
     /*  69946 */ GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(69975), // Rule ID 7236 //
     /*  69951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69962 */   // (bitconvert:{ *:[v6f32] } VReg_192:{ *:[v3i64] }:$src0)  =>  VReg_192:{ *:[v6f32] }:$src0
     /*  69962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69965 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69967 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69969 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  69974 */   // GIR_Coverage, 7236,
     /*  69974 */   GIR_EraseRootFromParent_Done,
     /*  69975 */ // Label 785: @69975
     /*  69975 */ GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(70004), // Rule ID 7237 //
     /*  69980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  69983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  69991 */   // (bitconvert:{ *:[v6f32] } SReg_192:{ *:[v3i64] }:$src0)  =>  SReg_192:{ *:[v6f32] }:$src0
     /*  69991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69994 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  69996 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  69998 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  70003 */   // GIR_Coverage, 7237,
     /*  70003 */   GIR_EraseRootFromParent_Done,
     /*  70004 */ // Label 786: @70004
     /*  70004 */ GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(70033), // Rule ID 7238 //
     /*  70009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  70012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  70016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  70020 */   // (bitconvert:{ *:[v6f32] } VReg_192:{ *:[v3f64] }:$src0)  =>  VReg_192:{ *:[v6f32] }:$src0
     /*  70020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70023 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70025 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70027 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /*  70032 */   // GIR_Coverage, 7238,
     /*  70032 */   GIR_EraseRootFromParent_Done,
     /*  70033 */ // Label 787: @70033
     /*  70033 */ GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(70062), // Rule ID 7239 //
     /*  70038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v3s64,
     /*  70041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  70045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  70049 */   // (bitconvert:{ *:[v6f32] } SReg_192:{ *:[v3f64] }:$src0)  =>  SReg_192:{ *:[v6f32] }:$src0
     /*  70049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70052 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70054 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70056 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_192RegClassID),
     /*  70061 */   // GIR_Coverage, 7239,
     /*  70061 */   GIR_EraseRootFromParent_Done,
     /*  70062 */ // Label 788: @70062
     /*  70062 */ GIM_Reject,
     /*  70063 */ // Label 624: @70063
     /*  70063 */ GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(70176),
     /*  70068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v7s32,
     /*  70071 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(70097), // Rule ID 7252 //
     /*  70076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70084 */     // (bitconvert:{ *:[v7i32] } VReg_224:{ *:[v7f32] }:$src0)  =>  VReg_224:{ *:[v7i32] }:$src0
     /*  70084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70087 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70089 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70091 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70096 */     // GIR_Coverage, 7252,
     /*  70096 */     GIR_EraseRootFromParent_Done,
     /*  70097 */   // Label 790: @70097
     /*  70097 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(70123), // Rule ID 7253 //
     /*  70102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70110 */     // (bitconvert:{ *:[v7i32] } SReg_224:{ *:[v7f32] }:$src0)  =>  SReg_224:{ *:[v7i32] }:$src0
     /*  70110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70113 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70115 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70122 */     // GIR_Coverage, 7253,
     /*  70122 */     GIR_EraseRootFromParent_Done,
     /*  70123 */   // Label 791: @70123
     /*  70123 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(70149), // Rule ID 7254 //
     /*  70128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70136 */     // (bitconvert:{ *:[v7f32] } VReg_224:{ *:[v7i32] }:$src0)  =>  VReg_224:{ *:[v7f32] }:$src0
     /*  70136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70139 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70141 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70143 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_224RegClassID),
     /*  70148 */     // GIR_Coverage, 7254,
     /*  70148 */     GIR_EraseRootFromParent_Done,
     /*  70149 */   // Label 792: @70149
     /*  70149 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(70175), // Rule ID 7255 //
     /*  70154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70162 */     // (bitconvert:{ *:[v7f32] } SReg_224:{ *:[v7i32] }:$src0)  =>  SReg_224:{ *:[v7f32] }:$src0
     /*  70162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70165 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70167 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70169 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_224RegClassID),
     /*  70174 */     // GIR_Coverage, 7255,
     /*  70174 */     GIR_EraseRootFromParent_Done,
     /*  70175 */   // Label 793: @70175
     /*  70175 */   GIM_Reject,
     /*  70176 */ // Label 789: @70176
     /*  70176 */ GIM_Reject,
     /*  70177 */ // Label 625: @70177
     /*  70177 */ GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(70206), // Rule ID 7204 //
     /*  70182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70193 */   // (bitconvert:{ *:[v8i16] } VReg_128:{ *:[v4i32] }:$src0)  =>  VReg_128:{ *:[v8i16] }:$src0
     /*  70193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70196 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70198 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70200 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70205 */   // GIR_Coverage, 7204,
     /*  70205 */   GIR_EraseRootFromParent_Done,
     /*  70206 */ // Label 794: @70206
     /*  70206 */ GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(70235), // Rule ID 7205 //
     /*  70211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70222 */   // (bitconvert:{ *:[v8i16] } SReg_128:{ *:[v4i32] }:$src0)  =>  SReg_128:{ *:[v8i16] }:$src0
     /*  70222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70225 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70227 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70229 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70234 */   // GIR_Coverage, 7205,
     /*  70234 */   GIR_EraseRootFromParent_Done,
     /*  70235 */ // Label 795: @70235
     /*  70235 */ GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(70264), // Rule ID 7206 //
     /*  70240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70251 */   // (bitconvert:{ *:[v8i16] } VReg_128:{ *:[v4f32] }:$src0)  =>  VReg_128:{ *:[v8i16] }:$src0
     /*  70251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70254 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70256 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70263 */   // GIR_Coverage, 7206,
     /*  70263 */   GIR_EraseRootFromParent_Done,
     /*  70264 */ // Label 796: @70264
     /*  70264 */ GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(70293), // Rule ID 7207 //
     /*  70269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70280 */   // (bitconvert:{ *:[v8i16] } SReg_128:{ *:[v4f32] }:$src0)  =>  SReg_128:{ *:[v8i16] }:$src0
     /*  70280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70283 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70285 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70287 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70292 */   // GIR_Coverage, 7207,
     /*  70292 */   GIR_EraseRootFromParent_Done,
     /*  70293 */ // Label 797: @70293
     /*  70293 */ GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(70322), // Rule ID 7208 //
     /*  70298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70309 */   // (bitconvert:{ *:[v8i16] } VReg_128:{ *:[v2i64] }:$src0)  =>  VReg_128:{ *:[v8i16] }:$src0
     /*  70309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70312 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70314 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70321 */   // GIR_Coverage, 7208,
     /*  70321 */   GIR_EraseRootFromParent_Done,
     /*  70322 */ // Label 798: @70322
     /*  70322 */ GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(70351), // Rule ID 7209 //
     /*  70327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70338 */   // (bitconvert:{ *:[v8i16] } SReg_128:{ *:[v2i64] }:$src0)  =>  SReg_128:{ *:[v8i16] }:$src0
     /*  70338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70341 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70343 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70345 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70350 */   // GIR_Coverage, 7209,
     /*  70350 */   GIR_EraseRootFromParent_Done,
     /*  70351 */ // Label 799: @70351
     /*  70351 */ GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(70380), // Rule ID 7210 //
     /*  70356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70367 */   // (bitconvert:{ *:[v8i16] } VReg_128:{ *:[v2f64] }:$src0)  =>  VReg_128:{ *:[v8i16] }:$src0
     /*  70367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70370 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70372 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70374 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70379 */   // GIR_Coverage, 7210,
     /*  70379 */   GIR_EraseRootFromParent_Done,
     /*  70380 */ // Label 800: @70380
     /*  70380 */ GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(70409), // Rule ID 7211 //
     /*  70385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70396 */   // (bitconvert:{ *:[v8i16] } SReg_128:{ *:[v2f64] }:$src0)  =>  SReg_128:{ *:[v8i16] }:$src0
     /*  70396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70399 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70401 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70403 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70408 */   // GIR_Coverage, 7211,
     /*  70408 */   GIR_EraseRootFromParent_Done,
     /*  70409 */ // Label 801: @70409
     /*  70409 */ GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(70438), // Rule ID 7212 //
     /*  70414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70425 */   // (bitconvert:{ *:[v8i16] } VReg_128:{ *:[v8f16] }:$src0)  =>  VReg_128:{ *:[v8i16] }:$src0
     /*  70425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70428 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70430 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70432 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70437 */   // GIR_Coverage, 7212,
     /*  70437 */   GIR_EraseRootFromParent_Done,
     /*  70438 */ // Label 802: @70438
     /*  70438 */ GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(70467), // Rule ID 7213 //
     /*  70443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70454 */   // (bitconvert:{ *:[v8i16] } SReg_128:{ *:[v8f16] }:$src0)  =>  SReg_128:{ *:[v8i16] }:$src0
     /*  70454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70457 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70459 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70466 */   // GIR_Coverage, 7213,
     /*  70466 */   GIR_EraseRootFromParent_Done,
     /*  70467 */ // Label 803: @70467
     /*  70467 */ GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(70496), // Rule ID 7214 //
     /*  70472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70483 */   // (bitconvert:{ *:[v8f16] } VReg_128:{ *:[v4i32] }:$src0)  =>  VReg_128:{ *:[v8f16] }:$src0
     /*  70483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70486 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70488 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70490 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70495 */   // GIR_Coverage, 7214,
     /*  70495 */   GIR_EraseRootFromParent_Done,
     /*  70496 */ // Label 804: @70496
     /*  70496 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(70525), // Rule ID 7215 //
     /*  70501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70512 */   // (bitconvert:{ *:[v8f16] } SReg_128:{ *:[v4i32] }:$src0)  =>  SReg_128:{ *:[v8f16] }:$src0
     /*  70512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70515 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70517 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70524 */   // GIR_Coverage, 7215,
     /*  70524 */   GIR_EraseRootFromParent_Done,
     /*  70525 */ // Label 805: @70525
     /*  70525 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(70554), // Rule ID 7216 //
     /*  70530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70541 */   // (bitconvert:{ *:[v8f16] } VReg_128:{ *:[v4f32] }:$src0)  =>  VReg_128:{ *:[v8f16] }:$src0
     /*  70541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70544 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70546 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70548 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70553 */   // GIR_Coverage, 7216,
     /*  70553 */   GIR_EraseRootFromParent_Done,
     /*  70554 */ // Label 806: @70554
     /*  70554 */ GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(70583), // Rule ID 7217 //
     /*  70559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  70562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70570 */   // (bitconvert:{ *:[v8f16] } SReg_128:{ *:[v4f32] }:$src0)  =>  SReg_128:{ *:[v8f16] }:$src0
     /*  70570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70573 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70575 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70577 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70582 */   // GIR_Coverage, 7217,
     /*  70582 */   GIR_EraseRootFromParent_Done,
     /*  70583 */ // Label 807: @70583
     /*  70583 */ GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(70612), // Rule ID 7218 //
     /*  70588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70599 */   // (bitconvert:{ *:[v8f16] } VReg_128:{ *:[v2i64] }:$src0)  =>  VReg_128:{ *:[v8f16] }:$src0
     /*  70599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70602 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70604 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70606 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70611 */   // GIR_Coverage, 7218,
     /*  70611 */   GIR_EraseRootFromParent_Done,
     /*  70612 */ // Label 808: @70612
     /*  70612 */ GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(70641), // Rule ID 7219 //
     /*  70617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70628 */   // (bitconvert:{ *:[v8f16] } SReg_128:{ *:[v2i64] }:$src0)  =>  SReg_128:{ *:[v8f16] }:$src0
     /*  70628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70631 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70633 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70635 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70640 */   // GIR_Coverage, 7219,
     /*  70640 */   GIR_EraseRootFromParent_Done,
     /*  70641 */ // Label 809: @70641
     /*  70641 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(70670), // Rule ID 7220 //
     /*  70646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70657 */   // (bitconvert:{ *:[v8f16] } VReg_128:{ *:[v2f64] }:$src0)  =>  VReg_128:{ *:[v8f16] }:$src0
     /*  70657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70660 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70662 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70664 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70669 */   // GIR_Coverage, 7220,
     /*  70669 */   GIR_EraseRootFromParent_Done,
     /*  70670 */ // Label 810: @70670
     /*  70670 */ GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(70699), // Rule ID 7221 //
     /*  70675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  70678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70686 */   // (bitconvert:{ *:[v8f16] } SReg_128:{ *:[v2f64] }:$src0)  =>  SReg_128:{ *:[v8f16] }:$src0
     /*  70686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70689 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70691 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70693 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70698 */   // GIR_Coverage, 7221,
     /*  70698 */   GIR_EraseRootFromParent_Done,
     /*  70699 */ // Label 811: @70699
     /*  70699 */ GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(70728), // Rule ID 7222 //
     /*  70704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70715 */   // (bitconvert:{ *:[v8f16] } VReg_128:{ *:[v8i16] }:$src0)  =>  VReg_128:{ *:[v8f16] }:$src0
     /*  70715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70718 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70720 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70722 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /*  70727 */   // GIR_Coverage, 7222,
     /*  70727 */   GIR_EraseRootFromParent_Done,
     /*  70728 */ // Label 812: @70728
     /*  70728 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(70757), // Rule ID 7223 //
     /*  70733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70744 */   // (bitconvert:{ *:[v8f16] } SReg_128:{ *:[v8i16] }:$src0)  =>  SReg_128:{ *:[v8f16] }:$src0
     /*  70744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70747 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70749 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70751 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /*  70756 */   // GIR_Coverage, 7223,
     /*  70756 */   GIR_EraseRootFromParent_Done,
     /*  70757 */ // Label 813: @70757
     /*  70757 */ GIM_Reject,
     /*  70758 */ // Label 626: @70758
     /*  70758 */ GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(70787), // Rule ID 7256 //
     /*  70763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  70766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70774 */   // (bitconvert:{ *:[v8i32] } VReg_256:{ *:[v8f32] }:$src0)  =>  VReg_256:{ *:[v8i32] }:$src0
     /*  70774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70777 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70779 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70781 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70786 */   // GIR_Coverage, 7256,
     /*  70786 */   GIR_EraseRootFromParent_Done,
     /*  70787 */ // Label 814: @70787
     /*  70787 */ GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(70816), // Rule ID 7257 //
     /*  70792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  70795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70803 */   // (bitconvert:{ *:[v8i32] } SReg_256:{ *:[v8f32] }:$src0)  =>  SReg_256:{ *:[v8i32] }:$src0
     /*  70803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70806 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70808 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70810 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70815 */   // GIR_Coverage, 7257,
     /*  70815 */   GIR_EraseRootFromParent_Done,
     /*  70816 */ // Label 815: @70816
     /*  70816 */ GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(70845), // Rule ID 7258 //
     /*  70821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  70824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70832 */   // (bitconvert:{ *:[v8i32] } VReg_256:{ *:[v4i64] }:$src0)  =>  VReg_256:{ *:[v8i32] }:$src0
     /*  70832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70835 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70837 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70839 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70844 */   // GIR_Coverage, 7258,
     /*  70844 */   GIR_EraseRootFromParent_Done,
     /*  70845 */ // Label 816: @70845
     /*  70845 */ GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(70874), // Rule ID 7259 //
     /*  70850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  70853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70861 */   // (bitconvert:{ *:[v8i32] } SReg_256:{ *:[v4i64] }:$src0)  =>  SReg_256:{ *:[v8i32] }:$src0
     /*  70861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70864 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70866 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70868 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70873 */   // GIR_Coverage, 7259,
     /*  70873 */   GIR_EraseRootFromParent_Done,
     /*  70874 */ // Label 817: @70874
     /*  70874 */ GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(70903), // Rule ID 7260 //
     /*  70879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  70882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70890 */   // (bitconvert:{ *:[v8i32] } VReg_256:{ *:[v4f64] }:$src0)  =>  VReg_256:{ *:[v8i32] }:$src0
     /*  70890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70893 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70895 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70897 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70902 */   // GIR_Coverage, 7260,
     /*  70902 */   GIR_EraseRootFromParent_Done,
     /*  70903 */ // Label 818: @70903
     /*  70903 */ GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(70932), // Rule ID 7261 //
     /*  70908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  70911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70919 */   // (bitconvert:{ *:[v8i32] } SReg_256:{ *:[v4f64] }:$src0)  =>  SReg_256:{ *:[v8i32] }:$src0
     /*  70919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70922 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70924 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70931 */   // GIR_Coverage, 7261,
     /*  70931 */   GIR_EraseRootFromParent_Done,
     /*  70932 */ // Label 819: @70932
     /*  70932 */ GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(70961), // Rule ID 7262 //
     /*  70937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  70940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70948 */   // (bitconvert:{ *:[v8i32] } VReg_256:{ *:[v16i16] }:$src0)  =>  VReg_256:{ *:[v8i32] }:$src0
     /*  70948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70951 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70953 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70955 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  70960 */   // GIR_Coverage, 7262,
     /*  70960 */   GIR_EraseRootFromParent_Done,
     /*  70961 */ // Label 820: @70961
     /*  70961 */ GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(70990), // Rule ID 7263 //
     /*  70966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  70969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70977 */   // (bitconvert:{ *:[v8i32] } SReg_256:{ *:[v16i16] }:$src0)  =>  SReg_256:{ *:[v8i32] }:$src0
     /*  70977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70980 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  70982 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  70984 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  70989 */   // GIR_Coverage, 7263,
     /*  70989 */   GIR_EraseRootFromParent_Done,
     /*  70990 */ // Label 821: @70990
     /*  70990 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(71019), // Rule ID 7264 //
     /*  70995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  70998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71006 */   // (bitconvert:{ *:[v8i32] } VReg_256:{ *:[v16f16] }:$src0)  =>  VReg_256:{ *:[v8i32] }:$src0
     /*  71006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71009 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71011 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71018 */   // GIR_Coverage, 7264,
     /*  71018 */   GIR_EraseRootFromParent_Done,
     /*  71019 */ // Label 822: @71019
     /*  71019 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(71048), // Rule ID 7265 //
     /*  71024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  71027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71035 */   // (bitconvert:{ *:[v8i32] } SReg_256:{ *:[v16f16] }:$src0)  =>  SReg_256:{ *:[v8i32] }:$src0
     /*  71035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71038 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71040 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71042 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71047 */   // GIR_Coverage, 7265,
     /*  71047 */   GIR_EraseRootFromParent_Done,
     /*  71048 */ // Label 823: @71048
     /*  71048 */ GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(71077), // Rule ID 7266 //
     /*  71053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  71056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71064 */   // (bitconvert:{ *:[v8f32] } VReg_256:{ *:[v8i32] }:$src0)  =>  VReg_256:{ *:[v8f32] }:$src0
     /*  71064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71067 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71076 */   // GIR_Coverage, 7266,
     /*  71076 */   GIR_EraseRootFromParent_Done,
     /*  71077 */ // Label 824: @71077
     /*  71077 */ GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(71106), // Rule ID 7267 //
     /*  71082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  71085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71093 */   // (bitconvert:{ *:[v8f32] } SReg_256:{ *:[v8i32] }:$src0)  =>  SReg_256:{ *:[v8f32] }:$src0
     /*  71093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71096 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71098 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71100 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71105 */   // GIR_Coverage, 7267,
     /*  71105 */   GIR_EraseRootFromParent_Done,
     /*  71106 */ // Label 825: @71106
     /*  71106 */ GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(71135), // Rule ID 7268 //
     /*  71111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  71114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71122 */   // (bitconvert:{ *:[v8f32] } VReg_256:{ *:[v4i64] }:$src0)  =>  VReg_256:{ *:[v8f32] }:$src0
     /*  71122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71134 */   // GIR_Coverage, 7268,
     /*  71134 */   GIR_EraseRootFromParent_Done,
     /*  71135 */ // Label 826: @71135
     /*  71135 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(71164), // Rule ID 7269 //
     /*  71140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  71143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71151 */   // (bitconvert:{ *:[v8f32] } SReg_256:{ *:[v4i64] }:$src0)  =>  SReg_256:{ *:[v8f32] }:$src0
     /*  71151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71154 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71156 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71158 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71163 */   // GIR_Coverage, 7269,
     /*  71163 */   GIR_EraseRootFromParent_Done,
     /*  71164 */ // Label 827: @71164
     /*  71164 */ GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(71193), // Rule ID 7270 //
     /*  71169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  71172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71180 */   // (bitconvert:{ *:[v8f32] } VReg_256:{ *:[v4f64] }:$src0)  =>  VReg_256:{ *:[v8f32] }:$src0
     /*  71180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71183 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71185 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71187 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71192 */   // GIR_Coverage, 7270,
     /*  71192 */   GIR_EraseRootFromParent_Done,
     /*  71193 */ // Label 828: @71193
     /*  71193 */ GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(71222), // Rule ID 7271 //
     /*  71198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  71201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71209 */   // (bitconvert:{ *:[v8f32] } SReg_256:{ *:[v4f64] }:$src0)  =>  SReg_256:{ *:[v8f32] }:$src0
     /*  71209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71212 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71214 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71216 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71221 */   // GIR_Coverage, 7271,
     /*  71221 */   GIR_EraseRootFromParent_Done,
     /*  71222 */ // Label 829: @71222
     /*  71222 */ GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(71251), // Rule ID 7272 //
     /*  71227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  71230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71238 */   // (bitconvert:{ *:[v8f32] } VReg_256:{ *:[v16i16] }:$src0)  =>  VReg_256:{ *:[v8f32] }:$src0
     /*  71238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71241 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71243 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71245 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71250 */   // GIR_Coverage, 7272,
     /*  71250 */   GIR_EraseRootFromParent_Done,
     /*  71251 */ // Label 830: @71251
     /*  71251 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(71280), // Rule ID 7273 //
     /*  71256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  71259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71267 */   // (bitconvert:{ *:[v8f32] } SReg_256:{ *:[v16i16] }:$src0)  =>  SReg_256:{ *:[v8f32] }:$src0
     /*  71267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71270 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71272 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71274 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71279 */   // GIR_Coverage, 7273,
     /*  71279 */   GIR_EraseRootFromParent_Done,
     /*  71280 */ // Label 831: @71280
     /*  71280 */ GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(71309), // Rule ID 7274 //
     /*  71285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  71288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71296 */   // (bitconvert:{ *:[v8f32] } VReg_256:{ *:[v16f16] }:$src0)  =>  VReg_256:{ *:[v8f32] }:$src0
     /*  71296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71299 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71301 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  71308 */   // GIR_Coverage, 7274,
     /*  71308 */   GIR_EraseRootFromParent_Done,
     /*  71309 */ // Label 832: @71309
     /*  71309 */ GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(71338), // Rule ID 7275 //
     /*  71314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  71317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71325 */   // (bitconvert:{ *:[v8f32] } SReg_256:{ *:[v16f16] }:$src0)  =>  SReg_256:{ *:[v8f32] }:$src0
     /*  71325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71328 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71330 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71332 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  71337 */   // GIR_Coverage, 7275,
     /*  71337 */   GIR_EraseRootFromParent_Done,
     /*  71338 */ // Label 833: @71338
     /*  71338 */ GIM_Reject,
     /*  71339 */ // Label 627: @71339
     /*  71339 */ GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(71368), // Rule ID 7352 //
     /*  71344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71355 */   // (bitconvert:{ *:[v8i64] } VReg_512:{ *:[v16i32] }:$src0)  =>  VReg_512:{ *:[v8i64] }:$src0
     /*  71355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71358 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71360 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71362 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71367 */   // GIR_Coverage, 7352,
     /*  71367 */   GIR_EraseRootFromParent_Done,
     /*  71368 */ // Label 834: @71368
     /*  71368 */ GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(71397), // Rule ID 7353 //
     /*  71373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71384 */   // (bitconvert:{ *:[v8i64] } SReg_512:{ *:[v16i32] }:$src0)  =>  SReg_512:{ *:[v8i64] }:$src0
     /*  71384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71387 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71389 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71391 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71396 */   // GIR_Coverage, 7353,
     /*  71396 */   GIR_EraseRootFromParent_Done,
     /*  71397 */ // Label 835: @71397
     /*  71397 */ GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(71426), // Rule ID 7354 //
     /*  71402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71413 */   // (bitconvert:{ *:[v8i64] } VReg_512:{ *:[v16f32] }:$src0)  =>  VReg_512:{ *:[v8i64] }:$src0
     /*  71413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71416 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71418 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71420 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71425 */   // GIR_Coverage, 7354,
     /*  71425 */   GIR_EraseRootFromParent_Done,
     /*  71426 */ // Label 836: @71426
     /*  71426 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(71455), // Rule ID 7355 //
     /*  71431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71442 */   // (bitconvert:{ *:[v8i64] } SReg_512:{ *:[v16f32] }:$src0)  =>  SReg_512:{ *:[v8i64] }:$src0
     /*  71442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71445 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71447 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71449 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71454 */   // GIR_Coverage, 7355,
     /*  71454 */   GIR_EraseRootFromParent_Done,
     /*  71455 */ // Label 837: @71455
     /*  71455 */ GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(71484), // Rule ID 7356 //
     /*  71460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  71463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71471 */   // (bitconvert:{ *:[v8i64] } VReg_512:{ *:[v8f64] }:$src0)  =>  VReg_512:{ *:[v8i64] }:$src0
     /*  71471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71474 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71476 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71478 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71483 */   // GIR_Coverage, 7356,
     /*  71483 */   GIR_EraseRootFromParent_Done,
     /*  71484 */ // Label 838: @71484
     /*  71484 */ GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(71513), // Rule ID 7357 //
     /*  71489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  71492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71500 */   // (bitconvert:{ *:[v8i64] } SReg_512:{ *:[v8f64] }:$src0)  =>  SReg_512:{ *:[v8i64] }:$src0
     /*  71500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71503 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71505 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71507 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71512 */   // GIR_Coverage, 7357,
     /*  71512 */   GIR_EraseRootFromParent_Done,
     /*  71513 */ // Label 839: @71513
     /*  71513 */ GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(71542), // Rule ID 7358 //
     /*  71518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71529 */   // (bitconvert:{ *:[v8i64] } VReg_512:{ *:[v32i16] }:$src0)  =>  VReg_512:{ *:[v8i64] }:$src0
     /*  71529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71532 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71534 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71536 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71541 */   // GIR_Coverage, 7358,
     /*  71541 */   GIR_EraseRootFromParent_Done,
     /*  71542 */ // Label 840: @71542
     /*  71542 */ GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(71571), // Rule ID 7359 //
     /*  71547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71558 */   // (bitconvert:{ *:[v8i64] } SReg_512:{ *:[v32i16] }:$src0)  =>  SReg_512:{ *:[v8i64] }:$src0
     /*  71558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71561 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71563 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71565 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71570 */   // GIR_Coverage, 7359,
     /*  71570 */   GIR_EraseRootFromParent_Done,
     /*  71571 */ // Label 841: @71571
     /*  71571 */ GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(71600), // Rule ID 7360 //
     /*  71576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71587 */   // (bitconvert:{ *:[v8i64] } VReg_512:{ *:[v32f16] }:$src0)  =>  VReg_512:{ *:[v8i64] }:$src0
     /*  71587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71590 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71592 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71594 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71599 */   // GIR_Coverage, 7360,
     /*  71599 */   GIR_EraseRootFromParent_Done,
     /*  71600 */ // Label 842: @71600
     /*  71600 */ GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(71629), // Rule ID 7361 //
     /*  71605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71616 */   // (bitconvert:{ *:[v8i64] } SReg_512:{ *:[v32f16] }:$src0)  =>  SReg_512:{ *:[v8i64] }:$src0
     /*  71616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71619 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71621 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71623 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71628 */   // GIR_Coverage, 7361,
     /*  71628 */   GIR_EraseRootFromParent_Done,
     /*  71629 */ // Label 843: @71629
     /*  71629 */ GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(71658), // Rule ID 7362 //
     /*  71634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71645 */   // (bitconvert:{ *:[v8f64] } VReg_512:{ *:[v16i32] }:$src0)  =>  VReg_512:{ *:[v8f64] }:$src0
     /*  71645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71648 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71650 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71652 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71657 */   // GIR_Coverage, 7362,
     /*  71657 */   GIR_EraseRootFromParent_Done,
     /*  71658 */ // Label 844: @71658
     /*  71658 */ GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(71687), // Rule ID 7363 //
     /*  71663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71674 */   // (bitconvert:{ *:[v8f64] } SReg_512:{ *:[v16i32] }:$src0)  =>  SReg_512:{ *:[v8f64] }:$src0
     /*  71674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71677 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71679 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71686 */   // GIR_Coverage, 7363,
     /*  71686 */   GIR_EraseRootFromParent_Done,
     /*  71687 */ // Label 845: @71687
     /*  71687 */ GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(71716), // Rule ID 7364 //
     /*  71692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71703 */   // (bitconvert:{ *:[v8f64] } VReg_512:{ *:[v16f32] }:$src0)  =>  VReg_512:{ *:[v8f64] }:$src0
     /*  71703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71706 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71708 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71710 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71715 */   // GIR_Coverage, 7364,
     /*  71715 */   GIR_EraseRootFromParent_Done,
     /*  71716 */ // Label 846: @71716
     /*  71716 */ GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(71745), // Rule ID 7365 //
     /*  71721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  71724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71732 */   // (bitconvert:{ *:[v8f64] } SReg_512:{ *:[v16f32] }:$src0)  =>  SReg_512:{ *:[v8f64] }:$src0
     /*  71732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71744 */   // GIR_Coverage, 7365,
     /*  71744 */   GIR_EraseRootFromParent_Done,
     /*  71745 */ // Label 847: @71745
     /*  71745 */ GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(71774), // Rule ID 7366 //
     /*  71750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  71753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71761 */   // (bitconvert:{ *:[v8f64] } VReg_512:{ *:[v8i64] }:$src0)  =>  VReg_512:{ *:[v8f64] }:$src0
     /*  71761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71764 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71766 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71768 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71773 */   // GIR_Coverage, 7366,
     /*  71773 */   GIR_EraseRootFromParent_Done,
     /*  71774 */ // Label 848: @71774
     /*  71774 */ GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(71803), // Rule ID 7367 //
     /*  71779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  71782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71790 */   // (bitconvert:{ *:[v8f64] } SReg_512:{ *:[v8i64] }:$src0)  =>  SReg_512:{ *:[v8f64] }:$src0
     /*  71790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71793 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71795 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71797 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71802 */   // GIR_Coverage, 7367,
     /*  71802 */   GIR_EraseRootFromParent_Done,
     /*  71803 */ // Label 849: @71803
     /*  71803 */ GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(71832), // Rule ID 7368 //
     /*  71808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71819 */   // (bitconvert:{ *:[v8f64] } VReg_512:{ *:[v32i16] }:$src0)  =>  VReg_512:{ *:[v8f64] }:$src0
     /*  71819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71822 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71824 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71826 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71831 */   // GIR_Coverage, 7368,
     /*  71831 */   GIR_EraseRootFromParent_Done,
     /*  71832 */ // Label 850: @71832
     /*  71832 */ GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(71861), // Rule ID 7369 //
     /*  71837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71848 */   // (bitconvert:{ *:[v8f64] } SReg_512:{ *:[v32i16] }:$src0)  =>  SReg_512:{ *:[v8f64] }:$src0
     /*  71848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71851 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71853 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71855 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71860 */   // GIR_Coverage, 7369,
     /*  71860 */   GIR_EraseRootFromParent_Done,
     /*  71861 */ // Label 851: @71861
     /*  71861 */ GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(71890), // Rule ID 7370 //
     /*  71866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71877 */   // (bitconvert:{ *:[v8f64] } VReg_512:{ *:[v32f16] }:$src0)  =>  VReg_512:{ *:[v8f64] }:$src0
     /*  71877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71880 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71882 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71884 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  71889 */   // GIR_Coverage, 7370,
     /*  71889 */   GIR_EraseRootFromParent_Done,
     /*  71890 */ // Label 852: @71890
     /*  71890 */ GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(71919), // Rule ID 7371 //
     /*  71895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  71898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71906 */   // (bitconvert:{ *:[v8f64] } SReg_512:{ *:[v32f16] }:$src0)  =>  SReg_512:{ *:[v8f64] }:$src0
     /*  71906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71909 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71911 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71913 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  71918 */   // GIR_Coverage, 7371,
     /*  71918 */   GIR_EraseRootFromParent_Done,
     /*  71919 */ // Label 853: @71919
     /*  71919 */ GIM_Reject,
     /*  71920 */ // Label 628: @71920
     /*  71920 */ GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(72033),
     /*  71925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v9s32,
     /*  71928 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(71954), // Rule ID 7316 //
     /*  71933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  71937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  71941 */     // (bitconvert:{ *:[v9i32] } VReg_288:{ *:[v9f32] }:$src0)  =>  VReg_288:{ *:[v9i32] }:$src0
     /*  71941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71944 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71946 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  71953 */     // GIR_Coverage, 7316,
     /*  71953 */     GIR_EraseRootFromParent_Done,
     /*  71954 */   // Label 855: @71954
     /*  71954 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(71980), // Rule ID 7317 //
     /*  71959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  71963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  71967 */     // (bitconvert:{ *:[v9i32] } SReg_288:{ *:[v9f32] }:$src0)  =>  SReg_288:{ *:[v9i32] }:$src0
     /*  71967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71970 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71972 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  71974 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  71979 */     // GIR_Coverage, 7317,
     /*  71979 */     GIR_EraseRootFromParent_Done,
     /*  71980 */   // Label 856: @71980
     /*  71980 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(72006), // Rule ID 7318 //
     /*  71985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  71989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  71993 */     // (bitconvert:{ *:[v9f32] } VReg_288:{ *:[v9i32] }:$src0)  =>  VReg_288:{ *:[v9f32] }:$src0
     /*  71993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  71996 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  71998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72000 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_288RegClassID),
     /*  72005 */     // GIR_Coverage, 7318,
     /*  72005 */     GIR_EraseRootFromParent_Done,
     /*  72006 */   // Label 857: @72006
     /*  72006 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(72032), // Rule ID 7319 //
     /*  72011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  72015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  72019 */     // (bitconvert:{ *:[v9f32] } SReg_288:{ *:[v9i32] }:$src0)  =>  SReg_288:{ *:[v9f32] }:$src0
     /*  72019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72022 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72024 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_288RegClassID),
     /*  72031 */     // GIR_Coverage, 7319,
     /*  72031 */     GIR_EraseRootFromParent_Done,
     /*  72032 */   // Label 858: @72032
     /*  72032 */   GIM_Reject,
     /*  72033 */ // Label 854: @72033
     /*  72033 */ GIM_Reject,
     /*  72034 */ // Label 629: @72034
     /*  72034 */ GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(72147),
     /*  72039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v10s32,
     /*  72042 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(72068), // Rule ID 7320 //
     /*  72047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72055 */     // (bitconvert:{ *:[v10i32] } VReg_320:{ *:[v10f32] }:$src0)  =>  VReg_320:{ *:[v10i32] }:$src0
     /*  72055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72058 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72060 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72062 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72067 */     // GIR_Coverage, 7320,
     /*  72067 */     GIR_EraseRootFromParent_Done,
     /*  72068 */   // Label 860: @72068
     /*  72068 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(72094), // Rule ID 7321 //
     /*  72073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72081 */     // (bitconvert:{ *:[v10i32] } SReg_320:{ *:[v10f32] }:$src0)  =>  SReg_320:{ *:[v10i32] }:$src0
     /*  72081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72084 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72086 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72088 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72093 */     // GIR_Coverage, 7321,
     /*  72093 */     GIR_EraseRootFromParent_Done,
     /*  72094 */   // Label 861: @72094
     /*  72094 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(72120), // Rule ID 7322 //
     /*  72099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72107 */     // (bitconvert:{ *:[v10f32] } VReg_320:{ *:[v10i32] }:$src0)  =>  VReg_320:{ *:[v10f32] }:$src0
     /*  72107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72110 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72112 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72114 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_320RegClassID),
     /*  72119 */     // GIR_Coverage, 7322,
     /*  72119 */     GIR_EraseRootFromParent_Done,
     /*  72120 */   // Label 862: @72120
     /*  72120 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(72146), // Rule ID 7323 //
     /*  72125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72133 */     // (bitconvert:{ *:[v10f32] } SReg_320:{ *:[v10i32] }:$src0)  =>  SReg_320:{ *:[v10f32] }:$src0
     /*  72133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72136 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72138 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72140 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_320RegClassID),
     /*  72145 */     // GIR_Coverage, 7323,
     /*  72145 */     GIR_EraseRootFromParent_Done,
     /*  72146 */   // Label 863: @72146
     /*  72146 */   GIM_Reject,
     /*  72147 */ // Label 859: @72147
     /*  72147 */ GIM_Reject,
     /*  72148 */ // Label 630: @72148
     /*  72148 */ GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(72261),
     /*  72153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v11s32,
     /*  72156 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(72182), // Rule ID 7324 //
     /*  72161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72169 */     // (bitconvert:{ *:[v11i32] } VReg_352:{ *:[v11f32] }:$src0)  =>  VReg_352:{ *:[v11i32] }:$src0
     /*  72169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72172 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72174 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72181 */     // GIR_Coverage, 7324,
     /*  72181 */     GIR_EraseRootFromParent_Done,
     /*  72182 */   // Label 865: @72182
     /*  72182 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(72208), // Rule ID 7325 //
     /*  72187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72195 */     // (bitconvert:{ *:[v11i32] } SReg_352:{ *:[v11f32] }:$src0)  =>  SReg_352:{ *:[v11i32] }:$src0
     /*  72195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72198 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72200 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72207 */     // GIR_Coverage, 7325,
     /*  72207 */     GIR_EraseRootFromParent_Done,
     /*  72208 */   // Label 866: @72208
     /*  72208 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(72234), // Rule ID 7326 //
     /*  72213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72221 */     // (bitconvert:{ *:[v11f32] } VReg_352:{ *:[v11i32] }:$src0)  =>  VReg_352:{ *:[v11f32] }:$src0
     /*  72221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72224 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72226 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_352RegClassID),
     /*  72233 */     // GIR_Coverage, 7326,
     /*  72233 */     GIR_EraseRootFromParent_Done,
     /*  72234 */   // Label 867: @72234
     /*  72234 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(72260), // Rule ID 7327 //
     /*  72239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72247 */     // (bitconvert:{ *:[v11f32] } SReg_352:{ *:[v11i32] }:$src0)  =>  SReg_352:{ *:[v11f32] }:$src0
     /*  72247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72250 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72252 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_352RegClassID),
     /*  72259 */     // GIR_Coverage, 7327,
     /*  72259 */     GIR_EraseRootFromParent_Done,
     /*  72260 */   // Label 868: @72260
     /*  72260 */   GIM_Reject,
     /*  72261 */ // Label 864: @72261
     /*  72261 */ GIM_Reject,
     /*  72262 */ // Label 631: @72262
     /*  72262 */ GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(72375),
     /*  72267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v12s32,
     /*  72270 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(72296), // Rule ID 7328 //
     /*  72275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72283 */     // (bitconvert:{ *:[v12i32] } VReg_384:{ *:[v12f32] }:$src0)  =>  VReg_384:{ *:[v12i32] }:$src0
     /*  72283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72286 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72288 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72290 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72295 */     // GIR_Coverage, 7328,
     /*  72295 */     GIR_EraseRootFromParent_Done,
     /*  72296 */   // Label 870: @72296
     /*  72296 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(72322), // Rule ID 7329 //
     /*  72301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72309 */     // (bitconvert:{ *:[v12i32] } SReg_384:{ *:[v12f32] }:$src0)  =>  SReg_384:{ *:[v12i32] }:$src0
     /*  72309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72312 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72314 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72321 */     // GIR_Coverage, 7329,
     /*  72321 */     GIR_EraseRootFromParent_Done,
     /*  72322 */   // Label 871: @72322
     /*  72322 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(72348), // Rule ID 7330 //
     /*  72327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72335 */     // (bitconvert:{ *:[v12f32] } VReg_384:{ *:[v12i32] }:$src0)  =>  VReg_384:{ *:[v12f32] }:$src0
     /*  72335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72338 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_384RegClassID),
     /*  72347 */     // GIR_Coverage, 7330,
     /*  72347 */     GIR_EraseRootFromParent_Done,
     /*  72348 */   // Label 872: @72348
     /*  72348 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(72374), // Rule ID 7331 //
     /*  72353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72361 */     // (bitconvert:{ *:[v12f32] } SReg_384:{ *:[v12i32] }:$src0)  =>  SReg_384:{ *:[v12f32] }:$src0
     /*  72361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72364 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72366 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_384RegClassID),
     /*  72373 */     // GIR_Coverage, 7331,
     /*  72373 */     GIR_EraseRootFromParent_Done,
     /*  72374 */   // Label 873: @72374
     /*  72374 */   GIM_Reject,
     /*  72375 */ // Label 869: @72375
     /*  72375 */ GIM_Reject,
     /*  72376 */ // Label 632: @72376
     /*  72376 */ GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(72405), // Rule ID 7296 //
     /*  72381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72392 */   // (bitconvert:{ *:[v16i16] } VReg_256:{ *:[v8i32] }:$src0)  =>  VReg_256:{ *:[v16i16] }:$src0
     /*  72392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72395 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72397 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72399 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72404 */   // GIR_Coverage, 7296,
     /*  72404 */   GIR_EraseRootFromParent_Done,
     /*  72405 */ // Label 874: @72405
     /*  72405 */ GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(72434), // Rule ID 7297 //
     /*  72410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72421 */   // (bitconvert:{ *:[v16i16] } SReg_256:{ *:[v8i32] }:$src0)  =>  SReg_256:{ *:[v16i16] }:$src0
     /*  72421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72424 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72426 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72433 */   // GIR_Coverage, 7297,
     /*  72433 */   GIR_EraseRootFromParent_Done,
     /*  72434 */ // Label 875: @72434
     /*  72434 */ GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(72463), // Rule ID 7298 //
     /*  72439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72450 */   // (bitconvert:{ *:[v16i16] } VReg_256:{ *:[v8f32] }:$src0)  =>  VReg_256:{ *:[v16i16] }:$src0
     /*  72450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72453 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72455 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72457 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72462 */   // GIR_Coverage, 7298,
     /*  72462 */   GIR_EraseRootFromParent_Done,
     /*  72463 */ // Label 876: @72463
     /*  72463 */ GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(72492), // Rule ID 7299 //
     /*  72468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72479 */   // (bitconvert:{ *:[v16i16] } SReg_256:{ *:[v8f32] }:$src0)  =>  SReg_256:{ *:[v16i16] }:$src0
     /*  72479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72482 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72484 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72486 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72491 */   // GIR_Coverage, 7299,
     /*  72491 */   GIR_EraseRootFromParent_Done,
     /*  72492 */ // Label 877: @72492
     /*  72492 */ GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(72521), // Rule ID 7300 //
     /*  72497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72508 */   // (bitconvert:{ *:[v16i16] } VReg_256:{ *:[v4i64] }:$src0)  =>  VReg_256:{ *:[v16i16] }:$src0
     /*  72508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72511 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72513 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72515 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72520 */   // GIR_Coverage, 7300,
     /*  72520 */   GIR_EraseRootFromParent_Done,
     /*  72521 */ // Label 878: @72521
     /*  72521 */ GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(72550), // Rule ID 7301 //
     /*  72526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72537 */   // (bitconvert:{ *:[v16i16] } SReg_256:{ *:[v4i64] }:$src0)  =>  SReg_256:{ *:[v16i16] }:$src0
     /*  72537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72540 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72542 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72544 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72549 */   // GIR_Coverage, 7301,
     /*  72549 */   GIR_EraseRootFromParent_Done,
     /*  72550 */ // Label 879: @72550
     /*  72550 */ GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(72579), // Rule ID 7302 //
     /*  72555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72566 */   // (bitconvert:{ *:[v16i16] } VReg_256:{ *:[v4f64] }:$src0)  =>  VReg_256:{ *:[v16i16] }:$src0
     /*  72566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72569 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72571 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72573 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72578 */   // GIR_Coverage, 7302,
     /*  72578 */   GIR_EraseRootFromParent_Done,
     /*  72579 */ // Label 880: @72579
     /*  72579 */ GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(72608), // Rule ID 7303 //
     /*  72584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72595 */   // (bitconvert:{ *:[v16i16] } SReg_256:{ *:[v4f64] }:$src0)  =>  SReg_256:{ *:[v16i16] }:$src0
     /*  72595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72598 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72600 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72602 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72607 */   // GIR_Coverage, 7303,
     /*  72607 */   GIR_EraseRootFromParent_Done,
     /*  72608 */ // Label 881: @72608
     /*  72608 */ GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(72637), // Rule ID 7304 //
     /*  72613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  72616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72624 */   // (bitconvert:{ *:[v16i16] } VReg_256:{ *:[v16f16] }:$src0)  =>  VReg_256:{ *:[v16i16] }:$src0
     /*  72624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72627 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72629 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72631 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72636 */   // GIR_Coverage, 7304,
     /*  72636 */   GIR_EraseRootFromParent_Done,
     /*  72637 */ // Label 882: @72637
     /*  72637 */ GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(72666), // Rule ID 7305 //
     /*  72642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  72645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72653 */   // (bitconvert:{ *:[v16i16] } SReg_256:{ *:[v16f16] }:$src0)  =>  SReg_256:{ *:[v16i16] }:$src0
     /*  72653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72656 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72658 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72660 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72665 */   // GIR_Coverage, 7305,
     /*  72665 */   GIR_EraseRootFromParent_Done,
     /*  72666 */ // Label 883: @72666
     /*  72666 */ GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(72695), // Rule ID 7306 //
     /*  72671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72682 */   // (bitconvert:{ *:[v16f16] } VReg_256:{ *:[v8i32] }:$src0)  =>  VReg_256:{ *:[v16f16] }:$src0
     /*  72682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72685 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72687 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72689 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72694 */   // GIR_Coverage, 7306,
     /*  72694 */   GIR_EraseRootFromParent_Done,
     /*  72695 */ // Label 884: @72695
     /*  72695 */ GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(72724), // Rule ID 7307 //
     /*  72700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72711 */   // (bitconvert:{ *:[v16f16] } SReg_256:{ *:[v8i32] }:$src0)  =>  SReg_256:{ *:[v16f16] }:$src0
     /*  72711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72714 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72716 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72718 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72723 */   // GIR_Coverage, 7307,
     /*  72723 */   GIR_EraseRootFromParent_Done,
     /*  72724 */ // Label 885: @72724
     /*  72724 */ GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(72753), // Rule ID 7308 //
     /*  72729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72740 */   // (bitconvert:{ *:[v16f16] } VReg_256:{ *:[v8f32] }:$src0)  =>  VReg_256:{ *:[v16f16] }:$src0
     /*  72740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72743 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72745 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72747 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72752 */   // GIR_Coverage, 7308,
     /*  72752 */   GIR_EraseRootFromParent_Done,
     /*  72753 */ // Label 886: @72753
     /*  72753 */ GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(72782), // Rule ID 7309 //
     /*  72758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  72761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72769 */   // (bitconvert:{ *:[v16f16] } SReg_256:{ *:[v8f32] }:$src0)  =>  SReg_256:{ *:[v16f16] }:$src0
     /*  72769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72772 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72774 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72776 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72781 */   // GIR_Coverage, 7309,
     /*  72781 */   GIR_EraseRootFromParent_Done,
     /*  72782 */ // Label 887: @72782
     /*  72782 */ GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(72811), // Rule ID 7310 //
     /*  72787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72798 */   // (bitconvert:{ *:[v16f16] } VReg_256:{ *:[v4i64] }:$src0)  =>  VReg_256:{ *:[v16f16] }:$src0
     /*  72798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72801 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72803 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72805 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72810 */   // GIR_Coverage, 7310,
     /*  72810 */   GIR_EraseRootFromParent_Done,
     /*  72811 */ // Label 888: @72811
     /*  72811 */ GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(72840), // Rule ID 7311 //
     /*  72816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72827 */   // (bitconvert:{ *:[v16f16] } SReg_256:{ *:[v4i64] }:$src0)  =>  SReg_256:{ *:[v16f16] }:$src0
     /*  72827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72830 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72832 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72834 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72839 */   // GIR_Coverage, 7311,
     /*  72839 */   GIR_EraseRootFromParent_Done,
     /*  72840 */ // Label 889: @72840
     /*  72840 */ GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(72869), // Rule ID 7312 //
     /*  72845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72856 */   // (bitconvert:{ *:[v16f16] } VReg_256:{ *:[v4f64] }:$src0)  =>  VReg_256:{ *:[v16f16] }:$src0
     /*  72856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72859 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72861 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72863 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72868 */   // GIR_Coverage, 7312,
     /*  72868 */   GIR_EraseRootFromParent_Done,
     /*  72869 */ // Label 890: @72869
     /*  72869 */ GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(72898), // Rule ID 7313 //
     /*  72874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  72877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72885 */   // (bitconvert:{ *:[v16f16] } SReg_256:{ *:[v4f64] }:$src0)  =>  SReg_256:{ *:[v16f16] }:$src0
     /*  72885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72888 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72890 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72892 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72897 */   // GIR_Coverage, 7313,
     /*  72897 */   GIR_EraseRootFromParent_Done,
     /*  72898 */ // Label 891: @72898
     /*  72898 */ GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(72927), // Rule ID 7314 //
     /*  72903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  72906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72914 */   // (bitconvert:{ *:[v16f16] } VReg_256:{ *:[v16i16] }:$src0)  =>  VReg_256:{ *:[v16f16] }:$src0
     /*  72914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72917 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72919 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72921 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /*  72926 */   // GIR_Coverage, 7314,
     /*  72926 */   GIR_EraseRootFromParent_Done,
     /*  72927 */ // Label 892: @72927
     /*  72927 */ GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(72956), // Rule ID 7315 //
     /*  72932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  72935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72943 */   // (bitconvert:{ *:[v16f16] } SReg_256:{ *:[v16i16] }:$src0)  =>  SReg_256:{ *:[v16f16] }:$src0
     /*  72943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72946 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72948 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72950 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /*  72955 */   // GIR_Coverage, 7315,
     /*  72955 */   GIR_EraseRootFromParent_Done,
     /*  72956 */ // Label 893: @72956
     /*  72956 */ GIM_Reject,
     /*  72957 */ // Label 633: @72957
     /*  72957 */ GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(72986), // Rule ID 7332 //
     /*  72962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  72965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  72969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  72973 */   // (bitconvert:{ *:[v16i32] } VReg_512:{ *:[v16f32] }:$src0)  =>  VReg_512:{ *:[v16i32] }:$src0
     /*  72973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  72976 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  72978 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  72980 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  72985 */   // GIR_Coverage, 7332,
     /*  72985 */   GIR_EraseRootFromParent_Done,
     /*  72986 */ // Label 894: @72986
     /*  72986 */ GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(73015), // Rule ID 7333 //
     /*  72991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  72994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  72998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73002 */   // (bitconvert:{ *:[v16i32] } SReg_512:{ *:[v16f32] }:$src0)  =>  SReg_512:{ *:[v16i32] }:$src0
     /*  73002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73005 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73007 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73009 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73014 */   // GIR_Coverage, 7333,
     /*  73014 */   GIR_EraseRootFromParent_Done,
     /*  73015 */ // Label 895: @73015
     /*  73015 */ GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(73044), // Rule ID 7334 //
     /*  73020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73031 */   // (bitconvert:{ *:[v16i32] } VReg_512:{ *:[v8i64] }:$src0)  =>  VReg_512:{ *:[v16i32] }:$src0
     /*  73031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73034 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73036 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73038 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73043 */   // GIR_Coverage, 7334,
     /*  73043 */   GIR_EraseRootFromParent_Done,
     /*  73044 */ // Label 896: @73044
     /*  73044 */ GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(73073), // Rule ID 7335 //
     /*  73049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73060 */   // (bitconvert:{ *:[v16i32] } SReg_512:{ *:[v8i64] }:$src0)  =>  SReg_512:{ *:[v16i32] }:$src0
     /*  73060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73063 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73065 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73067 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73072 */   // GIR_Coverage, 7335,
     /*  73072 */   GIR_EraseRootFromParent_Done,
     /*  73073 */ // Label 897: @73073
     /*  73073 */ GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(73102), // Rule ID 7336 //
     /*  73078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73089 */   // (bitconvert:{ *:[v16i32] } VReg_512:{ *:[v8f64] }:$src0)  =>  VReg_512:{ *:[v16i32] }:$src0
     /*  73089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73092 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73094 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73096 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73101 */   // GIR_Coverage, 7336,
     /*  73101 */   GIR_EraseRootFromParent_Done,
     /*  73102 */ // Label 898: @73102
     /*  73102 */ GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(73131), // Rule ID 7337 //
     /*  73107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73118 */   // (bitconvert:{ *:[v16i32] } SReg_512:{ *:[v8f64] }:$src0)  =>  SReg_512:{ *:[v16i32] }:$src0
     /*  73118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73121 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73123 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73125 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73130 */   // GIR_Coverage, 7337,
     /*  73130 */   GIR_EraseRootFromParent_Done,
     /*  73131 */ // Label 899: @73131
     /*  73131 */ GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(73160), // Rule ID 7338 //
     /*  73136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73147 */   // (bitconvert:{ *:[v16i32] } VReg_512:{ *:[v32i16] }:$src0)  =>  VReg_512:{ *:[v16i32] }:$src0
     /*  73147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73150 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73152 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73154 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73159 */   // GIR_Coverage, 7338,
     /*  73159 */   GIR_EraseRootFromParent_Done,
     /*  73160 */ // Label 900: @73160
     /*  73160 */ GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(73189), // Rule ID 7339 //
     /*  73165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73176 */   // (bitconvert:{ *:[v16i32] } SReg_512:{ *:[v32i16] }:$src0)  =>  SReg_512:{ *:[v16i32] }:$src0
     /*  73176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73179 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73181 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73183 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73188 */   // GIR_Coverage, 7339,
     /*  73188 */   GIR_EraseRootFromParent_Done,
     /*  73189 */ // Label 901: @73189
     /*  73189 */ GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(73218), // Rule ID 7340 //
     /*  73194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73205 */   // (bitconvert:{ *:[v16i32] } VReg_512:{ *:[v32f16] }:$src0)  =>  VReg_512:{ *:[v16i32] }:$src0
     /*  73205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73208 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73210 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73212 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73217 */   // GIR_Coverage, 7340,
     /*  73217 */   GIR_EraseRootFromParent_Done,
     /*  73218 */ // Label 902: @73218
     /*  73218 */ GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(73247), // Rule ID 7341 //
     /*  73223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73234 */   // (bitconvert:{ *:[v16i32] } SReg_512:{ *:[v32f16] }:$src0)  =>  SReg_512:{ *:[v16i32] }:$src0
     /*  73234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73237 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73239 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73241 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73246 */   // GIR_Coverage, 7341,
     /*  73246 */   GIR_EraseRootFromParent_Done,
     /*  73247 */ // Label 903: @73247
     /*  73247 */ GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(73276), // Rule ID 7342 //
     /*  73252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73263 */   // (bitconvert:{ *:[v16f32] } VReg_512:{ *:[v16i32] }:$src0)  =>  VReg_512:{ *:[v16f32] }:$src0
     /*  73263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73266 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73268 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73270 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73275 */   // GIR_Coverage, 7342,
     /*  73275 */   GIR_EraseRootFromParent_Done,
     /*  73276 */ // Label 904: @73276
     /*  73276 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(73305), // Rule ID 7343 //
     /*  73281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73292 */   // (bitconvert:{ *:[v16f32] } SReg_512:{ *:[v16i32] }:$src0)  =>  SReg_512:{ *:[v16f32] }:$src0
     /*  73292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73295 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73297 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73304 */   // GIR_Coverage, 7343,
     /*  73304 */   GIR_EraseRootFromParent_Done,
     /*  73305 */ // Label 905: @73305
     /*  73305 */ GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(73334), // Rule ID 7344 //
     /*  73310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73321 */   // (bitconvert:{ *:[v16f32] } VReg_512:{ *:[v8i64] }:$src0)  =>  VReg_512:{ *:[v16f32] }:$src0
     /*  73321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73324 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73326 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73328 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73333 */   // GIR_Coverage, 7344,
     /*  73333 */   GIR_EraseRootFromParent_Done,
     /*  73334 */ // Label 906: @73334
     /*  73334 */ GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(73363), // Rule ID 7345 //
     /*  73339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73350 */   // (bitconvert:{ *:[v16f32] } SReg_512:{ *:[v8i64] }:$src0)  =>  SReg_512:{ *:[v16f32] }:$src0
     /*  73350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73353 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73355 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73357 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73362 */   // GIR_Coverage, 7345,
     /*  73362 */   GIR_EraseRootFromParent_Done,
     /*  73363 */ // Label 907: @73363
     /*  73363 */ GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(73392), // Rule ID 7346 //
     /*  73368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73379 */   // (bitconvert:{ *:[v16f32] } VReg_512:{ *:[v8f64] }:$src0)  =>  VReg_512:{ *:[v16f32] }:$src0
     /*  73379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73382 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73384 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73386 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73391 */   // GIR_Coverage, 7346,
     /*  73391 */   GIR_EraseRootFromParent_Done,
     /*  73392 */ // Label 908: @73392
     /*  73392 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(73421), // Rule ID 7347 //
     /*  73397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  73400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73408 */   // (bitconvert:{ *:[v16f32] } SReg_512:{ *:[v8f64] }:$src0)  =>  SReg_512:{ *:[v16f32] }:$src0
     /*  73408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73411 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73413 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73415 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73420 */   // GIR_Coverage, 7347,
     /*  73420 */   GIR_EraseRootFromParent_Done,
     /*  73421 */ // Label 909: @73421
     /*  73421 */ GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(73450), // Rule ID 7348 //
     /*  73426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73437 */   // (bitconvert:{ *:[v16f32] } VReg_512:{ *:[v32i16] }:$src0)  =>  VReg_512:{ *:[v16f32] }:$src0
     /*  73437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73440 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73442 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73444 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73449 */   // GIR_Coverage, 7348,
     /*  73449 */   GIR_EraseRootFromParent_Done,
     /*  73450 */ // Label 910: @73450
     /*  73450 */ GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(73479), // Rule ID 7349 //
     /*  73455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73466 */   // (bitconvert:{ *:[v16f32] } SReg_512:{ *:[v32i16] }:$src0)  =>  SReg_512:{ *:[v16f32] }:$src0
     /*  73466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73469 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73471 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73473 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73478 */   // GIR_Coverage, 7349,
     /*  73478 */   GIR_EraseRootFromParent_Done,
     /*  73479 */ // Label 911: @73479
     /*  73479 */ GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(73508), // Rule ID 7350 //
     /*  73484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73495 */   // (bitconvert:{ *:[v16f32] } VReg_512:{ *:[v32f16] }:$src0)  =>  VReg_512:{ *:[v16f32] }:$src0
     /*  73495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73498 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73500 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73502 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73507 */   // GIR_Coverage, 7350,
     /*  73507 */   GIR_EraseRootFromParent_Done,
     /*  73508 */ // Label 912: @73508
     /*  73508 */ GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(73537), // Rule ID 7351 //
     /*  73513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  73516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73524 */   // (bitconvert:{ *:[v16f32] } SReg_512:{ *:[v32f16] }:$src0)  =>  SReg_512:{ *:[v16f32] }:$src0
     /*  73524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73527 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73529 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73536 */   // GIR_Coverage, 7351,
     /*  73536 */   GIR_EraseRootFromParent_Done,
     /*  73537 */ // Label 913: @73537
     /*  73537 */ GIM_Reject,
     /*  73538 */ // Label 634: @73538
     /*  73538 */ GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(73567), // Rule ID 7404 //
     /*  73543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73554 */   // (bitconvert:{ *:[v16i64] } VReg_1024:{ *:[v32i32] }:$src0)  =>  VReg_1024:{ *:[v16i64] }:$src0
     /*  73554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73557 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73559 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73561 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73566 */   // GIR_Coverage, 7404,
     /*  73566 */   GIR_EraseRootFromParent_Done,
     /*  73567 */ // Label 914: @73567
     /*  73567 */ GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(73596), // Rule ID 7405 //
     /*  73572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73583 */   // (bitconvert:{ *:[v16i64] } SReg_1024:{ *:[v32i32] }:$src0)  =>  SReg_1024:{ *:[v16i64] }:$src0
     /*  73583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73586 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73588 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73590 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73595 */   // GIR_Coverage, 7405,
     /*  73595 */   GIR_EraseRootFromParent_Done,
     /*  73596 */ // Label 915: @73596
     /*  73596 */ GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(73625), // Rule ID 7406 //
     /*  73601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73612 */   // (bitconvert:{ *:[v16i64] } VReg_1024:{ *:[v32f32] }:$src0)  =>  VReg_1024:{ *:[v16i64] }:$src0
     /*  73612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73615 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73617 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73619 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73624 */   // GIR_Coverage, 7406,
     /*  73624 */   GIR_EraseRootFromParent_Done,
     /*  73625 */ // Label 916: @73625
     /*  73625 */ GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(73654), // Rule ID 7407 //
     /*  73630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73641 */   // (bitconvert:{ *:[v16i64] } SReg_1024:{ *:[v32f32] }:$src0)  =>  SReg_1024:{ *:[v16i64] }:$src0
     /*  73641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73644 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73646 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73653 */   // GIR_Coverage, 7407,
     /*  73653 */   GIR_EraseRootFromParent_Done,
     /*  73654 */ // Label 917: @73654
     /*  73654 */ GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(73683), // Rule ID 7408 //
     /*  73659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  73662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73670 */   // (bitconvert:{ *:[v16i64] } VReg_1024:{ *:[v16f64] }:$src0)  =>  VReg_1024:{ *:[v16i64] }:$src0
     /*  73670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73673 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73675 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73677 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73682 */   // GIR_Coverage, 7408,
     /*  73682 */   GIR_EraseRootFromParent_Done,
     /*  73683 */ // Label 918: @73683
     /*  73683 */ GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(73712), // Rule ID 7409 //
     /*  73688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  73691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73699 */   // (bitconvert:{ *:[v16i64] } SReg_1024:{ *:[v16f64] }:$src0)  =>  SReg_1024:{ *:[v16i64] }:$src0
     /*  73699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73702 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73704 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73706 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73711 */   // GIR_Coverage, 7409,
     /*  73711 */   GIR_EraseRootFromParent_Done,
     /*  73712 */ // Label 919: @73712
     /*  73712 */ GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(73741), // Rule ID 7410 //
     /*  73717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73728 */   // (bitconvert:{ *:[v16f64] } VReg_1024:{ *:[v32i32] }:$src0)  =>  VReg_1024:{ *:[v16f64] }:$src0
     /*  73728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73731 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73733 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73735 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73740 */   // GIR_Coverage, 7410,
     /*  73740 */   GIR_EraseRootFromParent_Done,
     /*  73741 */ // Label 920: @73741
     /*  73741 */ GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(73770), // Rule ID 7411 //
     /*  73746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73757 */   // (bitconvert:{ *:[v16f64] } SReg_1024:{ *:[v32i32] }:$src0)  =>  SReg_1024:{ *:[v16f64] }:$src0
     /*  73757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73760 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73762 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73764 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73769 */   // GIR_Coverage, 7411,
     /*  73769 */   GIR_EraseRootFromParent_Done,
     /*  73770 */ // Label 921: @73770
     /*  73770 */ GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(73799), // Rule ID 7412 //
     /*  73775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73786 */   // (bitconvert:{ *:[v16f64] } VReg_1024:{ *:[v32f32] }:$src0)  =>  VReg_1024:{ *:[v16f64] }:$src0
     /*  73786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73789 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73791 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73793 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73798 */   // GIR_Coverage, 7412,
     /*  73798 */   GIR_EraseRootFromParent_Done,
     /*  73799 */ // Label 922: @73799
     /*  73799 */ GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(73828), // Rule ID 7413 //
     /*  73804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  73807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73815 */   // (bitconvert:{ *:[v16f64] } SReg_1024:{ *:[v32f32] }:$src0)  =>  SReg_1024:{ *:[v16f64] }:$src0
     /*  73815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73818 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73820 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73822 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73827 */   // GIR_Coverage, 7413,
     /*  73827 */   GIR_EraseRootFromParent_Done,
     /*  73828 */ // Label 923: @73828
     /*  73828 */ GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(73857), // Rule ID 7414 //
     /*  73833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  73836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73844 */   // (bitconvert:{ *:[v16f64] } VReg_1024:{ *:[v16i64] }:$src0)  =>  VReg_1024:{ *:[v16f64] }:$src0
     /*  73844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73847 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73849 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  73856 */   // GIR_Coverage, 7414,
     /*  73856 */   GIR_EraseRootFromParent_Done,
     /*  73857 */ // Label 924: @73857
     /*  73857 */ GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(73886), // Rule ID 7415 //
     /*  73862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  73865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73873 */   // (bitconvert:{ *:[v16f64] } SReg_1024:{ *:[v16i64] }:$src0)  =>  SReg_1024:{ *:[v16f64] }:$src0
     /*  73873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73876 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73878 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73880 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  73885 */   // GIR_Coverage, 7415,
     /*  73885 */   GIR_EraseRootFromParent_Done,
     /*  73886 */ // Label 925: @73886
     /*  73886 */ GIM_Reject,
     /*  73887 */ // Label 635: @73887
     /*  73887 */ GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(73916), // Rule ID 7372 //
     /*  73892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73903 */   // (bitconvert:{ *:[v32i16] } VReg_512:{ *:[v16i32] }:$src0)  =>  VReg_512:{ *:[v32i16] }:$src0
     /*  73903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73906 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73908 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73910 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73915 */   // GIR_Coverage, 7372,
     /*  73915 */   GIR_EraseRootFromParent_Done,
     /*  73916 */ // Label 926: @73916
     /*  73916 */ GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(73945), // Rule ID 7373 //
     /*  73921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73932 */   // (bitconvert:{ *:[v32i16] } SReg_512:{ *:[v16i32] }:$src0)  =>  SReg_512:{ *:[v32i16] }:$src0
     /*  73932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73935 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73937 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73939 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73944 */   // GIR_Coverage, 7373,
     /*  73944 */   GIR_EraseRootFromParent_Done,
     /*  73945 */ // Label 927: @73945
     /*  73945 */ GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(73974), // Rule ID 7374 //
     /*  73950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73961 */   // (bitconvert:{ *:[v32i16] } VReg_512:{ *:[v16f32] }:$src0)  =>  VReg_512:{ *:[v32i16] }:$src0
     /*  73961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73964 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73966 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73968 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  73973 */   // GIR_Coverage, 7374,
     /*  73973 */   GIR_EraseRootFromParent_Done,
     /*  73974 */ // Label 928: @73974
     /*  73974 */ GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(74003), // Rule ID 7375 //
     /*  73979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  73982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  73990 */   // (bitconvert:{ *:[v32i16] } SReg_512:{ *:[v16f32] }:$src0)  =>  SReg_512:{ *:[v32i16] }:$src0
     /*  73990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73993 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  73995 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  73997 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74002 */   // GIR_Coverage, 7375,
     /*  74002 */   GIR_EraseRootFromParent_Done,
     /*  74003 */ // Label 929: @74003
     /*  74003 */ GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(74032), // Rule ID 7376 //
     /*  74008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74019 */   // (bitconvert:{ *:[v32i16] } VReg_512:{ *:[v8i64] }:$src0)  =>  VReg_512:{ *:[v32i16] }:$src0
     /*  74019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74022 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74024 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74026 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74031 */   // GIR_Coverage, 7376,
     /*  74031 */   GIR_EraseRootFromParent_Done,
     /*  74032 */ // Label 930: @74032
     /*  74032 */ GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(74061), // Rule ID 7377 //
     /*  74037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74048 */   // (bitconvert:{ *:[v32i16] } SReg_512:{ *:[v8i64] }:$src0)  =>  SReg_512:{ *:[v32i16] }:$src0
     /*  74048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74051 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74053 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74055 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74060 */   // GIR_Coverage, 7377,
     /*  74060 */   GIR_EraseRootFromParent_Done,
     /*  74061 */ // Label 931: @74061
     /*  74061 */ GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(74090), // Rule ID 7378 //
     /*  74066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74077 */   // (bitconvert:{ *:[v32i16] } VReg_512:{ *:[v8f64] }:$src0)  =>  VReg_512:{ *:[v32i16] }:$src0
     /*  74077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74080 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74082 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74084 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74089 */   // GIR_Coverage, 7378,
     /*  74089 */   GIR_EraseRootFromParent_Done,
     /*  74090 */ // Label 932: @74090
     /*  74090 */ GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(74119), // Rule ID 7379 //
     /*  74095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74106 */   // (bitconvert:{ *:[v32i16] } SReg_512:{ *:[v8f64] }:$src0)  =>  SReg_512:{ *:[v32i16] }:$src0
     /*  74106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74109 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74111 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74113 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74118 */   // GIR_Coverage, 7379,
     /*  74118 */   GIR_EraseRootFromParent_Done,
     /*  74119 */ // Label 933: @74119
     /*  74119 */ GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(74148), // Rule ID 7380 //
     /*  74124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  74127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74135 */   // (bitconvert:{ *:[v32i16] } VReg_512:{ *:[v32f16] }:$src0)  =>  VReg_512:{ *:[v32i16] }:$src0
     /*  74135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74138 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74140 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74142 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74147 */   // GIR_Coverage, 7380,
     /*  74147 */   GIR_EraseRootFromParent_Done,
     /*  74148 */ // Label 934: @74148
     /*  74148 */ GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(74177), // Rule ID 7381 //
     /*  74153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  74156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74164 */   // (bitconvert:{ *:[v32i16] } SReg_512:{ *:[v32f16] }:$src0)  =>  SReg_512:{ *:[v32i16] }:$src0
     /*  74164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74167 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74169 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74171 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74176 */   // GIR_Coverage, 7381,
     /*  74176 */   GIR_EraseRootFromParent_Done,
     /*  74177 */ // Label 935: @74177
     /*  74177 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(74206), // Rule ID 7382 //
     /*  74182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  74185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74193 */   // (bitconvert:{ *:[v32f16] } VReg_512:{ *:[v16i32] }:$src0)  =>  VReg_512:{ *:[v32f16] }:$src0
     /*  74193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74196 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74198 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74200 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74205 */   // GIR_Coverage, 7382,
     /*  74205 */   GIR_EraseRootFromParent_Done,
     /*  74206 */ // Label 936: @74206
     /*  74206 */ GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(74235), // Rule ID 7383 //
     /*  74211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  74214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74222 */   // (bitconvert:{ *:[v32f16] } SReg_512:{ *:[v16i32] }:$src0)  =>  SReg_512:{ *:[v32f16] }:$src0
     /*  74222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74225 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74227 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74229 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74234 */   // GIR_Coverage, 7383,
     /*  74234 */   GIR_EraseRootFromParent_Done,
     /*  74235 */ // Label 937: @74235
     /*  74235 */ GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(74264), // Rule ID 7384 //
     /*  74240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  74243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74251 */   // (bitconvert:{ *:[v32f16] } VReg_512:{ *:[v16f32] }:$src0)  =>  VReg_512:{ *:[v32f16] }:$src0
     /*  74251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74254 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74256 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74263 */   // GIR_Coverage, 7384,
     /*  74263 */   GIR_EraseRootFromParent_Done,
     /*  74264 */ // Label 938: @74264
     /*  74264 */ GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(74293), // Rule ID 7385 //
     /*  74269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  74272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74280 */   // (bitconvert:{ *:[v32f16] } SReg_512:{ *:[v16f32] }:$src0)  =>  SReg_512:{ *:[v32f16] }:$src0
     /*  74280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74283 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74285 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74287 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74292 */   // GIR_Coverage, 7385,
     /*  74292 */   GIR_EraseRootFromParent_Done,
     /*  74293 */ // Label 939: @74293
     /*  74293 */ GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(74322), // Rule ID 7386 //
     /*  74298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74309 */   // (bitconvert:{ *:[v32f16] } VReg_512:{ *:[v8i64] }:$src0)  =>  VReg_512:{ *:[v32f16] }:$src0
     /*  74309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74312 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74314 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74321 */   // GIR_Coverage, 7386,
     /*  74321 */   GIR_EraseRootFromParent_Done,
     /*  74322 */ // Label 940: @74322
     /*  74322 */ GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(74351), // Rule ID 7387 //
     /*  74327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74338 */   // (bitconvert:{ *:[v32f16] } SReg_512:{ *:[v8i64] }:$src0)  =>  SReg_512:{ *:[v32f16] }:$src0
     /*  74338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74341 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74343 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74345 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74350 */   // GIR_Coverage, 7387,
     /*  74350 */   GIR_EraseRootFromParent_Done,
     /*  74351 */ // Label 941: @74351
     /*  74351 */ GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(74380), // Rule ID 7388 //
     /*  74356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74367 */   // (bitconvert:{ *:[v32f16] } VReg_512:{ *:[v8f64] }:$src0)  =>  VReg_512:{ *:[v32f16] }:$src0
     /*  74367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74370 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74372 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74374 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74379 */   // GIR_Coverage, 7388,
     /*  74379 */   GIR_EraseRootFromParent_Done,
     /*  74380 */ // Label 942: @74380
     /*  74380 */ GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(74409), // Rule ID 7389 //
     /*  74385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  74388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74396 */   // (bitconvert:{ *:[v32f16] } SReg_512:{ *:[v8f64] }:$src0)  =>  SReg_512:{ *:[v32f16] }:$src0
     /*  74396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74399 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74401 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74403 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74408 */   // GIR_Coverage, 7389,
     /*  74408 */   GIR_EraseRootFromParent_Done,
     /*  74409 */ // Label 943: @74409
     /*  74409 */ GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(74438), // Rule ID 7390 //
     /*  74414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  74417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74425 */   // (bitconvert:{ *:[v32f16] } VReg_512:{ *:[v32i16] }:$src0)  =>  VReg_512:{ *:[v32f16] }:$src0
     /*  74425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74428 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74430 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74432 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /*  74437 */   // GIR_Coverage, 7390,
     /*  74437 */   GIR_EraseRootFromParent_Done,
     /*  74438 */ // Label 944: @74438
     /*  74438 */ GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(74467), // Rule ID 7391 //
     /*  74443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  74446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74454 */   // (bitconvert:{ *:[v32f16] } SReg_512:{ *:[v32i16] }:$src0)  =>  SReg_512:{ *:[v32f16] }:$src0
     /*  74454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74457 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74459 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /*  74466 */   // GIR_Coverage, 7391,
     /*  74466 */   GIR_EraseRootFromParent_Done,
     /*  74467 */ // Label 945: @74467
     /*  74467 */ GIM_Reject,
     /*  74468 */ // Label 636: @74468
     /*  74468 */ GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(74497), // Rule ID 7392 //
     /*  74473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  74476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74484 */   // (bitconvert:{ *:[v32i32] } VReg_1024:{ *:[v32f32] }:$src0)  =>  VReg_1024:{ *:[v32i32] }:$src0
     /*  74484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74487 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74489 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74491 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74496 */   // GIR_Coverage, 7392,
     /*  74496 */   GIR_EraseRootFromParent_Done,
     /*  74497 */ // Label 946: @74497
     /*  74497 */ GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(74526), // Rule ID 7393 //
     /*  74502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  74505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74513 */   // (bitconvert:{ *:[v32i32] } SReg_1024:{ *:[v32f32] }:$src0)  =>  SReg_1024:{ *:[v32i32] }:$src0
     /*  74513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74516 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74518 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74520 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74525 */   // GIR_Coverage, 7393,
     /*  74525 */   GIR_EraseRootFromParent_Done,
     /*  74526 */ // Label 947: @74526
     /*  74526 */ GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(74555), // Rule ID 7394 //
     /*  74531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74542 */   // (bitconvert:{ *:[v32i32] } VReg_1024:{ *:[v16i64] }:$src0)  =>  VReg_1024:{ *:[v32i32] }:$src0
     /*  74542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74545 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74547 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74554 */   // GIR_Coverage, 7394,
     /*  74554 */   GIR_EraseRootFromParent_Done,
     /*  74555 */ // Label 948: @74555
     /*  74555 */ GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(74584), // Rule ID 7395 //
     /*  74560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74571 */   // (bitconvert:{ *:[v32i32] } SReg_1024:{ *:[v16i64] }:$src0)  =>  SReg_1024:{ *:[v32i32] }:$src0
     /*  74571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74574 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74576 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74578 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74583 */   // GIR_Coverage, 7395,
     /*  74583 */   GIR_EraseRootFromParent_Done,
     /*  74584 */ // Label 949: @74584
     /*  74584 */ GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(74613), // Rule ID 7396 //
     /*  74589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74600 */   // (bitconvert:{ *:[v32i32] } VReg_1024:{ *:[v16f64] }:$src0)  =>  VReg_1024:{ *:[v32i32] }:$src0
     /*  74600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74603 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74605 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74607 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74612 */   // GIR_Coverage, 7396,
     /*  74612 */   GIR_EraseRootFromParent_Done,
     /*  74613 */ // Label 950: @74613
     /*  74613 */ GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(74642), // Rule ID 7397 //
     /*  74618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74629 */   // (bitconvert:{ *:[v32i32] } SReg_1024:{ *:[v16f64] }:$src0)  =>  SReg_1024:{ *:[v32i32] }:$src0
     /*  74629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74632 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74634 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74636 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74641 */   // GIR_Coverage, 7397,
     /*  74641 */   GIR_EraseRootFromParent_Done,
     /*  74642 */ // Label 951: @74642
     /*  74642 */ GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(74671), // Rule ID 7398 //
     /*  74647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  74650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74658 */   // (bitconvert:{ *:[v32f32] } VReg_1024:{ *:[v32i32] }:$src0)  =>  VReg_1024:{ *:[v32f32] }:$src0
     /*  74658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74661 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74663 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74665 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74670 */   // GIR_Coverage, 7398,
     /*  74670 */   GIR_EraseRootFromParent_Done,
     /*  74671 */ // Label 952: @74671
     /*  74671 */ GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(74700), // Rule ID 7399 //
     /*  74676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s32,
     /*  74679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74687 */   // (bitconvert:{ *:[v32f32] } SReg_1024:{ *:[v32i32] }:$src0)  =>  SReg_1024:{ *:[v32f32] }:$src0
     /*  74687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74690 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74692 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74694 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74699 */   // GIR_Coverage, 7399,
     /*  74699 */   GIR_EraseRootFromParent_Done,
     /*  74700 */ // Label 953: @74700
     /*  74700 */ GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(74729), // Rule ID 7400 //
     /*  74705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74716 */   // (bitconvert:{ *:[v32f32] } VReg_1024:{ *:[v16i64] }:$src0)  =>  VReg_1024:{ *:[v32f32] }:$src0
     /*  74716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74719 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74721 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74728 */   // GIR_Coverage, 7400,
     /*  74728 */   GIR_EraseRootFromParent_Done,
     /*  74729 */ // Label 954: @74729
     /*  74729 */ GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(74758), // Rule ID 7401 //
     /*  74734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74745 */   // (bitconvert:{ *:[v32f32] } SReg_1024:{ *:[v16i64] }:$src0)  =>  SReg_1024:{ *:[v32f32] }:$src0
     /*  74745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74748 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74750 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74752 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74757 */   // GIR_Coverage, 7401,
     /*  74757 */   GIR_EraseRootFromParent_Done,
     /*  74758 */ // Label 955: @74758
     /*  74758 */ GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(74787), // Rule ID 7402 //
     /*  74763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74774 */   // (bitconvert:{ *:[v32f32] } VReg_1024:{ *:[v16f64] }:$src0)  =>  VReg_1024:{ *:[v32f32] }:$src0
     /*  74774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74777 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74779 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74781 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /*  74786 */   // GIR_Coverage, 7402,
     /*  74786 */   GIR_EraseRootFromParent_Done,
     /*  74787 */ // Label 956: @74787
     /*  74787 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(74816), // Rule ID 7403 //
     /*  74792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s64,
     /*  74795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74803 */   // (bitconvert:{ *:[v32f32] } SReg_1024:{ *:[v16f64] }:$src0)  =>  SReg_1024:{ *:[v32f32] }:$src0
     /*  74803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74806 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  74808 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74810 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_1024RegClassID),
     /*  74815 */   // GIR_Coverage, 7403,
     /*  74815 */   GIR_EraseRootFromParent_Done,
     /*  74816 */ // Label 957: @74816
     /*  74816 */ GIM_Reject,
     /*  74817 */ // Label 637: @74817
     /*  74817 */ GIM_Reject,
     /*  74818 */ // Label 9: @74818
     /*  74818 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 960*/ GIMT_Encode4(75012),
     /*  74829 */ /*GILLT_s16*//*Label 958*/ GIMT_Encode4(74837),
     /*  74833 */ /*GILLT_s32*//*Label 959*/ GIMT_Encode4(74976),
     /*  74837 */ // Label 958: @74837
     /*  74837 */ GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(74975),
     /*  74842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  74845 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(74904), // Rule ID 7001 //
     /*  74850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  74853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  74857 */     // MIs[0] round
     /*  74857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  74860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_SupportedRoundMode),
     /*  74865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  74872 */     // (fptrunc_round:{ *:[f16] } (VOP3OpSelMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (timm:{ *:[i32] })<<P:Predicate_SupportedRoundMode>>:$round)  =>  (FPTRUNC_ROUND_F16_F32_PSEUDO_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, (as_hw_round_mode:{ *:[i32] } ?:{ *:[i32] }:$round))
     /*  74872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FPTRUNC_ROUND_F16_F32_PSEUDO_t16_e64),
     /*  74875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  74877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  74882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  74887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  74896 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderRoundMode), // round
     /*  74902 */     GIR_RootConstrainSelectedInstOperands,
     /*  74903 */     // GIR_Coverage, 7001,
     /*  74903 */     GIR_EraseRootFromParent_Done,
     /*  74904 */   // Label 962: @74904
     /*  74904 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(74939), // Rule ID 6999 //
     /*  74909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /*  74912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  74916 */     // MIs[0] round
     /*  74916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  74919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_SupportedRoundMode),
     /*  74924 */     // (fptrunc_round:{ *:[f16] } f32:{ *:[f32] }:$src0, (timm:{ *:[i32] })<<P:Predicate_SupportedRoundMode>>:$round)  =>  (FPTRUNC_ROUND_F16_F32_PSEUDO:{ *:[f16] } ?:{ *:[f32] }:$src0, (as_hw_round_mode:{ *:[i32] } ?:{ *:[i32] }:$round))
     /*  74924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FPTRUNC_ROUND_F16_F32_PSEUDO),
     /*  74927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  74929 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74931 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderRoundMode), // round
     /*  74937 */     GIR_RootConstrainSelectedInstOperands,
     /*  74938 */     // GIR_Coverage, 6999,
     /*  74938 */     GIR_EraseRootFromParent_Done,
     /*  74939 */   // Label 963: @74939
     /*  74939 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(74974), // Rule ID 7000 //
     /*  74944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  74947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  74951 */     // MIs[0] round
     /*  74951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  74954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_SupportedRoundMode),
     /*  74959 */     // (fptrunc_round:{ *:[f16] } f32:{ *:[f32] }:$src0, (timm:{ *:[i32] })<<P:Predicate_SupportedRoundMode>>:$round)  =>  (FPTRUNC_ROUND_F16_F32_PSEUDO_fake16_e32:{ *:[f16] } ?:{ *:[f32] }:$src0, (as_hw_round_mode:{ *:[i32] } ?:{ *:[i32] }:$round))
     /*  74959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FPTRUNC_ROUND_F16_F32_PSEUDO_fake16_e32),
     /*  74962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  74964 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  74966 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderRoundMode), // round
     /*  74972 */     GIR_RootConstrainSelectedInstOperands,
     /*  74973 */     // GIR_Coverage, 7000,
     /*  74973 */     GIR_EraseRootFromParent_Done,
     /*  74974 */   // Label 964: @74974
     /*  74974 */   GIM_Reject,
     /*  74975 */ // Label 961: @74975
     /*  74975 */ GIM_Reject,
     /*  74976 */ // Label 959: @74976
     /*  74976 */ GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(75011), // Rule ID 7002 //
     /*  74981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  74984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  74988 */   // MIs[0] round
     /*  74988 */   GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  74991 */   GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_SupportedRoundMode),
     /*  74996 */   // (fptrunc_round:{ *:[f32] } f64:{ *:[f64] }:$src0, (timm:{ *:[i32] })<<P:Predicate_SupportedRoundMode>>:$round)  =>  (FPTRUNC_ROUND_F32_F64_PSEUDO:{ *:[f32] } ?:{ *:[f64] }:$src0, (as_hw_round_mode:{ *:[i32] } ?:{ *:[i32] }:$round))
     /*  74996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FPTRUNC_ROUND_F32_F64_PSEUDO),
     /*  74999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75001 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /*  75003 */   GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderRoundMode), // round
     /*  75009 */   GIR_RootConstrainSelectedInstOperands,
     /*  75010 */   // GIR_Coverage, 7002,
     /*  75010 */   GIR_EraseRootFromParent_Done,
     /*  75011 */ // Label 965: @75011
     /*  75011 */ GIM_Reject,
     /*  75012 */ // Label 960: @75012
     /*  75012 */ GIM_Reject,
     /*  75013 */ // Label 10: @75013
     /*  75013 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 969*/ GIMT_Encode4(75340),
     /*  75024 */ /*GILLT_s16*//*Label 966*/ GIMT_Encode4(75036),
     /*  75028 */ /*GILLT_s32*//*Label 967*/ GIMT_Encode4(75210),
     /*  75032 */ /*GILLT_s64*//*Label 968*/ GIMT_Encode4(75290),
     /*  75036 */ // Label 966: @75036
     /*  75036 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(75209),
     /*  75041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  75044 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(75071), // Rule ID 39 //
     /*  75049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /*  75052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  75056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13752),
     /*  75060 */     // (ftrunc:{ *:[f16] } f16:{ *:[f16] }:$src0)<<P:Predicate_anonymous_13752>>  =>  (S_TRUNC_F16:{ *:[f16] } f16:{ *:[f16] }:$src0)
     /*  75060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_TRUNC_F16),
     /*  75065 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /*  75069 */     GIR_RootConstrainSelectedInstOperands,
     /*  75070 */     // GIR_Coverage, 39,
     /*  75070 */     GIR_Done,
     /*  75071 */   // Label 971: @75071
     /*  75071 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(75117), // Rule ID 773 //
     /*  75076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /*  75079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75090 */     // (ftrunc:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_TRUNC_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRUNC_F16_e64),
     /*  75093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75115 */     GIR_RootConstrainSelectedInstOperands,
     /*  75116 */     // GIR_Coverage, 773,
     /*  75116 */     GIR_EraseRootFromParent_Done,
     /*  75117 */   // Label 972: @75117
     /*  75117 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(75163), // Rule ID 775 //
     /*  75122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  75125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75136 */     // (ftrunc:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_TRUNC_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRUNC_F16_fake16_e64),
     /*  75139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75161 */     GIR_RootConstrainSelectedInstOperands,
     /*  75162 */     // GIR_Coverage, 775,
     /*  75162 */     GIR_EraseRootFromParent_Done,
     /*  75163 */   // Label 973: @75163
     /*  75163 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(75208), // Rule ID 774 //
     /*  75168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  75171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  75175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  75182 */     // (ftrunc:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_TRUNC_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /*  75182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRUNC_F16_t16_e64),
     /*  75185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75206 */     GIR_RootConstrainSelectedInstOperands,
     /*  75207 */     // GIR_Coverage, 774,
     /*  75207 */     GIR_EraseRootFromParent_Done,
     /*  75208 */   // Label 974: @75208
     /*  75208 */   GIM_Reject,
     /*  75209 */ // Label 970: @75209
     /*  75209 */ GIM_Reject,
     /*  75210 */ // Label 967: @75210
     /*  75210 */ GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(75289),
     /*  75215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  75218 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(75245), // Rule ID 34 //
     /*  75223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /*  75226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  75230 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13752),
     /*  75234 */     // (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13752>>  =>  (S_TRUNC_F32:{ *:[f32] } f32:{ *:[f32] }:$src0)
     /*  75234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_TRUNC_F32),
     /*  75239 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /*  75243 */     GIR_RootConstrainSelectedInstOperands,
     /*  75244 */     // GIR_Coverage, 34,
     /*  75244 */     GIR_Done,
     /*  75245 */   // Label 976: @75245
     /*  75245 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(75288), // Rule ID 659 //
     /*  75250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75261 */     // (ftrunc:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_TRUNC_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRUNC_F32_e64),
     /*  75264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75286 */     GIR_RootConstrainSelectedInstOperands,
     /*  75287 */     // GIR_Coverage, 659,
     /*  75287 */     GIR_EraseRootFromParent_Done,
     /*  75288 */   // Label 977: @75288
     /*  75288 */   GIM_Reject,
     /*  75289 */ // Label 975: @75289
     /*  75289 */ GIM_Reject,
     /*  75290 */ // Label 968: @75290
     /*  75290 */ GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(75339), // Rule ID 703 //
     /*  75295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Plus),
     /*  75298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  75301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  75305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75312 */   // (ftrunc:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_TRUNC_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRUNC_F64_e64),
     /*  75315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75337 */   GIR_RootConstrainSelectedInstOperands,
     /*  75338 */   // GIR_Coverage, 703,
     /*  75338 */   GIR_EraseRootFromParent_Done,
     /*  75339 */ // Label 978: @75339
     /*  75339 */ GIM_Reject,
     /*  75340 */ // Label 969: @75340
     /*  75340 */ GIM_Reject,
     /*  75341 */ // Label 11: @75341
     /*  75341 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 982*/ GIMT_Encode4(75668),
     /*  75352 */ /*GILLT_s16*//*Label 979*/ GIMT_Encode4(75364),
     /*  75356 */ /*GILLT_s32*//*Label 980*/ GIMT_Encode4(75538),
     /*  75360 */ /*GILLT_s64*//*Label 981*/ GIMT_Encode4(75618),
     /*  75364 */ // Label 979: @75364
     /*  75364 */ GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(75537),
     /*  75369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  75372 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(75399), // Rule ID 40 //
     /*  75377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /*  75380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  75384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13753),
     /*  75388 */     // (froundeven:{ *:[f16] } f16:{ *:[f16] }:$src0)<<P:Predicate_anonymous_13753>>  =>  (S_RNDNE_F16:{ *:[f16] } f16:{ *:[f16] }:$src0)
     /*  75388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_RNDNE_F16),
     /*  75393 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /*  75397 */     GIR_RootConstrainSelectedInstOperands,
     /*  75398 */     // GIR_Coverage, 40,
     /*  75398 */     GIR_Done,
     /*  75399 */   // Label 984: @75399
     /*  75399 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(75445), // Rule ID 776 //
     /*  75404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /*  75407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75418 */     // (froundeven:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RNDNE_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RNDNE_F16_e64),
     /*  75421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75443 */     GIR_RootConstrainSelectedInstOperands,
     /*  75444 */     // GIR_Coverage, 776,
     /*  75444 */     GIR_EraseRootFromParent_Done,
     /*  75445 */   // Label 985: @75445
     /*  75445 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(75491), // Rule ID 778 //
     /*  75450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /*  75453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75464 */     // (froundeven:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RNDNE_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RNDNE_F16_fake16_e64),
     /*  75467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75489 */     GIR_RootConstrainSelectedInstOperands,
     /*  75490 */     // GIR_Coverage, 778,
     /*  75490 */     GIR_EraseRootFromParent_Done,
     /*  75491 */   // Label 986: @75491
     /*  75491 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(75536), // Rule ID 777 //
     /*  75496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /*  75499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  75503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /*  75510 */     // (froundeven:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_RNDNE_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /*  75510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RNDNE_F16_t16_e64),
     /*  75513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75534 */     GIR_RootConstrainSelectedInstOperands,
     /*  75535 */     // GIR_Coverage, 777,
     /*  75535 */     GIR_EraseRootFromParent_Done,
     /*  75536 */   // Label 987: @75536
     /*  75536 */   GIM_Reject,
     /*  75537 */ // Label 983: @75537
     /*  75537 */ GIM_Reject,
     /*  75538 */ // Label 980: @75538
     /*  75538 */ GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(75617),
     /*  75543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  75546 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(75573), // Rule ID 35 //
     /*  75551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /*  75554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /*  75558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13753),
     /*  75562 */     // (froundeven:{ *:[f32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13753>>  =>  (S_RNDNE_F32:{ *:[f32] } f32:{ *:[f32] }:$src0)
     /*  75562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_RNDNE_F32),
     /*  75567 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /*  75571 */     GIR_RootConstrainSelectedInstOperands,
     /*  75572 */     // GIR_Coverage, 35,
     /*  75572 */     GIR_Done,
     /*  75573 */   // Label 989: @75573
     /*  75573 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(75616), // Rule ID 661 //
     /*  75578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /*  75582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75589 */     // (froundeven:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RNDNE_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RNDNE_F32_e64),
     /*  75592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75614 */     GIR_RootConstrainSelectedInstOperands,
     /*  75615 */     // GIR_Coverage, 661,
     /*  75615 */     GIR_EraseRootFromParent_Done,
     /*  75616 */   // Label 990: @75616
     /*  75616 */   GIM_Reject,
     /*  75617 */ // Label 988: @75617
     /*  75617 */ GIM_Reject,
     /*  75618 */ // Label 981: @75618
     /*  75618 */ GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(75667), // Rule ID 705 //
     /*  75623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Plus),
     /*  75626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  75629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /*  75633 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /*  75640 */   // (froundeven:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RNDNE_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /*  75640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RNDNE_F64_e64),
     /*  75643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  75645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /*  75650 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /*  75655 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /*  75660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /*  75665 */   GIR_RootConstrainSelectedInstOperands,
     /*  75666 */   // GIR_Coverage, 705,
     /*  75666 */   GIR_EraseRootFromParent_Done,
     /*  75667 */ // Label 991: @75667
     /*  75667 */ GIM_Reject,
     /*  75668 */ // Label 982: @75668
     /*  75668 */ GIM_Reject,
     /*  75669 */ // Label 12: @75669
     /*  75669 */ GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(75808),
     /*  75674 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  75677 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(75702), // Rule ID 1351 //
     /*  75682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShaderCyclesHiLoRegisters),
     /*  75685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  75689 */     // (readcyclecounter:{ *:[i64] })  =>  (GET_SHADERCYCLESHILO:{ *:[i64] }:{ *:[i1] })
     /*  75689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::GET_SHADERCYCLESHILO),
     /*  75694 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /*  75700 */     GIR_RootConstrainSelectedInstOperands,
     /*  75701 */     // GIR_Coverage, 1351,
     /*  75701 */     GIR_Done,
     /*  75702 */   // Label 993: @75702
     /*  75702 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(75721), // Rule ID 3546 //
     /*  75707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMemTimeInst),
     /*  75710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  75714 */     // (readcyclecounter:{ *:[i64] })  =>  (S_MEMTIME:{ *:[i64] })
     /*  75714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MEMTIME),
     /*  75719 */     GIR_RootConstrainSelectedInstOperands,
     /*  75720 */     // GIR_Coverage, 3546,
     /*  75720 */     GIR_Done,
     /*  75721 */   // Label 994: @75721
     /*  75721 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(75807), // Rule ID 3547 //
     /*  75726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShaderCyclesRegister),
     /*  75729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  75733 */     // (readcyclecounter:{ *:[i64] })  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, (S_GETREG_B32:{ *:[i1] } 38941:{ *:[i32] }), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /*  75733 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /*  75736 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /*  75740 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75745 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /*  75748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  75750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /*  75753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_GETREG_B32),
     /*  75757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75762 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(38941),
     /*  75772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  75774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /*  75777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  75779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75782 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /*  75785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  75788 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /*  75791 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  75796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /*  75801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /*  75806 */     // GIR_Coverage, 3547,
     /*  75806 */     GIR_EraseRootFromParent_Done,
     /*  75807 */   // Label 995: @75807
     /*  75807 */   GIM_Reject,
     /*  75808 */ // Label 992: @75808
     /*  75808 */ GIM_Reject,
     /*  75809 */ // Label 13: @75809
     /*  75809 */ GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(75866),
     /*  75814 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  75817 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(75836), // Rule ID 3548 //
     /*  75822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMemRealTime),
     /*  75825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  75829 */     // (readsteadycounter:{ *:[i64] })  =>  (S_MEMREALTIME:{ *:[i64] })
     /*  75829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MEMREALTIME),
     /*  75834 */     GIR_RootConstrainSelectedInstOperands,
     /*  75835 */     // GIR_Coverage, 3548,
     /*  75835 */     GIR_Done,
     /*  75836 */   // Label 997: @75836
     /*  75836 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(75865), // Rule ID 3549 //
     /*  75841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /*  75844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  75848 */     // (readsteadycounter:{ *:[i64] })  =>  (S_SENDMSG_RTN_B64:{ *:[i64] } 131:{ *:[i32] })
     /*  75848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SENDMSG_RTN_B64),
     /*  75851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  75853 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(131),
     /*  75863 */     GIR_RootConstrainSelectedInstOperands,
     /*  75864 */     // GIR_Coverage, 3549,
     /*  75864 */     GIR_EraseRootFromParent_Done,
     /*  75865 */   // Label 998: @75865
     /*  75865 */   GIM_Reject,
     /*  75866 */ // Label 996: @75866
     /*  75866 */ GIM_Reject,
     /*  75867 */ // Label 14: @75867
     /*  75867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(33), /*)*//*default:*//*Label 1023*/ GIMT_Encode4(144406),
     /*  75878 */ /*GILLT_p0s64*//*Label 999*/ GIMT_Encode4(76010),
     /*  75882 */ /*GILLT_p1s64*//*Label 1000*/ GIMT_Encode4(77914),
     /*  75886 */ /*GILLT_p2s32*//*Label 1001*/ GIMT_Encode4(79818),
     /*  75890 */ /*GILLT_p3s32*//*Label 1002*/ GIMT_Encode4(81445),
     /*  75894 */ /*GILLT_p4s64*//*Label 1003*/ GIMT_Encode4(83072),
     /*  75898 */ /*GILLT_p5s32*//*Label 1004*/ GIMT_Encode4(84976),
     /*  75902 */ /*GILLT_p6s32*//*Label 1005*/ GIMT_Encode4(86603),
     /*  75906 */ /*GILLT_s1*//*Label 1006*/ GIMT_Encode4(88230),
     /*  75910 */ /*GILLT_s16*//*Label 1007*/ GIMT_Encode4(88830),
     /*  75914 */ /*GILLT_s32*//*Label 1008*/ GIMT_Encode4(95003),
     /*  75918 */ /*GILLT_s64*//*Label 1009*/ GIMT_Encode4(103127),
     /*  75922 */ /*GILLT_v2s16*//*Label 1010*/ GIMT_Encode4(108541),
     /*  75926 */ /*GILLT_v2s32*//*Label 1011*/ GIMT_Encode4(111785),
     /*  75930 */ /*GILLT_v2s64*//*Label 1012*/ GIMT_Encode4(115833),
     /*  75934 */ /*GILLT_v3s32*//*Label 1013*/ GIMT_Encode4(119631), GIMT_Encode4(0),
     /*  75942 */ /*GILLT_v4s16*//*Label 1014*/ GIMT_Encode4(122850),
     /*  75946 */ /*GILLT_v4s32*//*Label 1015*/ GIMT_Encode4(126648),
     /*  75950 */ /*GILLT_v4s64*//*Label 1016*/ GIMT_Encode4(130696), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  75966 */ /*GILLT_v8s16*//*Label 1017*/ GIMT_Encode4(132348),
     /*  75970 */ /*GILLT_v8s32*//*Label 1018*/ GIMT_Encode4(136146),
     /*  75974 */ /*GILLT_v8s64*//*Label 1019*/ GIMT_Encode4(137798), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  75994 */ /*GILLT_v16s16*//*Label 1020*/ GIMT_Encode4(139450),
     /*  75998 */ /*GILLT_v16s32*//*Label 1021*/ GIMT_Encode4(141102), GIMT_Encode4(0),
     /*  76006 */ /*GILLT_v32s16*//*Label 1022*/ GIMT_Encode4(142754),
     /*  76010 */ // Label 999: @76010
     /*  76010 */ GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(77913),
     /*  76015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76018 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(76082), // Rule ID 8561 //
     /*  76023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  76026 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  76046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  76053 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  76056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  76073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76080 */     GIR_RootConstrainSelectedInstOperands,
     /*  76081 */     // GIR_Coverage, 8561,
     /*  76081 */     GIR_EraseRootFromParent_Done,
     /*  76082 */   // Label 1025: @76082
     /*  76082 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(76142), // Rule ID 8566 //
     /*  76087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  76090 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76102 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  76113 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  76116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  76133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76140 */     GIR_RootConstrainSelectedInstOperands,
     /*  76141 */     // GIR_Coverage, 8566,
     /*  76141 */     GIR_EraseRootFromParent_Done,
     /*  76142 */   // Label 1026: @76142
     /*  76142 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(76202), // Rule ID 8572 //
     /*  76147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  76150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76162 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  76173 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  76176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  76193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76200 */     GIR_RootConstrainSelectedInstOperands,
     /*  76201 */     // GIR_Coverage, 8572,
     /*  76201 */     GIR_EraseRootFromParent_Done,
     /*  76202 */   // Label 1027: @76202
     /*  76202 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(76261), // Rule ID 8557 //
     /*  76207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  76210 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76226 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  76230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  76237 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  76240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76259 */     GIR_RootConstrainSelectedInstOperands,
     /*  76260 */     // GIR_Coverage, 8557,
     /*  76260 */     GIR_EraseRootFromParent_Done,
     /*  76261 */   // Label 1028: @76261
     /*  76261 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(76320), // Rule ID 8558 //
     /*  76266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  76269 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  76289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  76296 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  76299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76318 */     GIR_RootConstrainSelectedInstOperands,
     /*  76319 */     // GIR_Coverage, 8558,
     /*  76319 */     GIR_EraseRootFromParent_Done,
     /*  76320 */   // Label 1029: @76320
     /*  76320 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(76379), // Rule ID 8559 //
     /*  76325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  76328 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76344 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  76348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76355 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  76355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  76358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76377 */     GIR_RootConstrainSelectedInstOperands,
     /*  76378 */     // GIR_Coverage, 8559,
     /*  76378 */     GIR_EraseRootFromParent_Done,
     /*  76379 */   // Label 1030: @76379
     /*  76379 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(76441), // Rule ID 8560 //
     /*  76384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  76387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76399 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  76407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76414 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  76414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  76417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76439 */     GIR_RootConstrainSelectedInstOperands,
     /*  76440 */     // GIR_Coverage, 8560,
     /*  76440 */     GIR_EraseRootFromParent_Done,
     /*  76441 */   // Label 1031: @76441
     /*  76441 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(76496), // Rule ID 8563 //
     /*  76446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  76449 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  76472 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  76475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76494 */     GIR_RootConstrainSelectedInstOperands,
     /*  76495 */     // GIR_Coverage, 8563,
     /*  76495 */     GIR_EraseRootFromParent_Done,
     /*  76496 */   // Label 1032: @76496
     /*  76496 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(76551), // Rule ID 8564 //
     /*  76501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  76504 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76516 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76527 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  76527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /*  76530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76549 */     GIR_RootConstrainSelectedInstOperands,
     /*  76550 */     // GIR_Coverage, 8564,
     /*  76550 */     GIR_EraseRootFromParent_Done,
     /*  76551 */   // Label 1033: @76551
     /*  76551 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(76609), // Rule ID 8565 //
     /*  76556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  76559 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76571 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76582 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  76582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  76585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76607 */     GIR_RootConstrainSelectedInstOperands,
     /*  76608 */     // GIR_Coverage, 8565,
     /*  76608 */     GIR_EraseRootFromParent_Done,
     /*  76609 */   // Label 1034: @76609
     /*  76609 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(76674), // Rule ID 8284 //
     /*  76614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /*  76617 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76621 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  76626 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  76631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  76635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76639 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /*  76643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  76650 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  76650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  76653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  76655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  76660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76672 */     GIR_RootConstrainSelectedInstOperands,
     /*  76673 */     // GIR_Coverage, 8284,
     /*  76673 */     GIR_EraseRootFromParent_Done,
     /*  76674 */   // Label 1035: @76674
     /*  76674 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(76734), // Rule ID 8216 //
     /*  76679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  76682 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76686 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  76691 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  76695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  76699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  76710 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  76710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  76713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  76715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  76720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76732 */     GIR_RootConstrainSelectedInstOperands,
     /*  76733 */     // GIR_Coverage, 8216,
     /*  76733 */     GIR_EraseRootFromParent_Done,
     /*  76734 */   // Label 1036: @76734
     /*  76734 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(76786), // Rule ID 8568 //
     /*  76739 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  76762 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  76765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76784 */     GIR_RootConstrainSelectedInstOperands,
     /*  76785 */     // GIR_Coverage, 8568,
     /*  76785 */     GIR_EraseRootFromParent_Done,
     /*  76786 */   // Label 1037: @76786
     /*  76786 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(76841), // Rule ID 8569 //
     /*  76791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  76794 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76806 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  76817 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  76817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  76820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  76832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76839 */     GIR_RootConstrainSelectedInstOperands,
     /*  76840 */     // GIR_Coverage, 8569,
     /*  76840 */     GIR_EraseRootFromParent_Done,
     /*  76841 */   // Label 1038: @76841
     /*  76841 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(76896), // Rule ID 8570 //
     /*  76846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  76849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76861 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76872 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  76872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  76875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76894 */     GIR_RootConstrainSelectedInstOperands,
     /*  76895 */     // GIR_Coverage, 8570,
     /*  76895 */     GIR_EraseRootFromParent_Done,
     /*  76896 */   // Label 1039: @76896
     /*  76896 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(76954), // Rule ID 8571 //
     /*  76901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  76904 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  76912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  76920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  76927 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  76927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  76930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  76932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  76937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  76942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  76952 */     GIR_RootConstrainSelectedInstOperands,
     /*  76953 */     // GIR_Coverage, 8571,
     /*  76953 */     GIR_EraseRootFromParent_Done,
     /*  76954 */   // Label 1040: @76954
     /*  76954 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(77015), // Rule ID 8285 //
     /*  76959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /*  76962 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  76967 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  76972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  76976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  76980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /*  76984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  76991 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  76991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  76994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  76996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  77001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77013 */     GIR_RootConstrainSelectedInstOperands,
     /*  77014 */     // GIR_Coverage, 8285,
     /*  77014 */     GIR_EraseRootFromParent_Done,
     /*  77015 */   // Label 1041: @77015
     /*  77015 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(77071), // Rule ID 8217 //
     /*  77020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  77023 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  77028 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  77032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  77047 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  77047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  77050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  77057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77069 */     GIR_RootConstrainSelectedInstOperands,
     /*  77070 */     // GIR_Coverage, 8217,
     /*  77070 */     GIR_EraseRootFromParent_Done,
     /*  77071 */   // Label 1042: @77071
     /*  77071 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(77122), // Rule ID 8562 //
     /*  77076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  77079 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  77087 */     // MIs[0] sbase
     /*  77087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  77091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  77095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  77099 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  77103 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  77103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  77106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  77108 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  77110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77120 */     GIR_RootConstrainSelectedInstOperands,
     /*  77121 */     // GIR_Coverage, 8562,
     /*  77121 */     GIR_EraseRootFromParent_Done,
     /*  77122 */   // Label 1043: @77122
     /*  77122 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(77169), // Rule ID 8567 //
     /*  77127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  77130 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  77138 */     // MIs[0] sbase
     /*  77138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  77142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  77146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  77150 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  77150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  77153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  77155 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  77157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77167 */     GIR_RootConstrainSelectedInstOperands,
     /*  77168 */     // GIR_Coverage, 8567,
     /*  77168 */     GIR_EraseRootFromParent_Done,
     /*  77169 */   // Label 1044: @77169
     /*  77169 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(77213), // Rule ID 8573 //
     /*  77174 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  77182 */     // MIs[0] sbase
     /*  77182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  77186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  77190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  77194 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  77194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  77197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  77199 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  77201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77211 */     GIR_RootConstrainSelectedInstOperands,
     /*  77212 */     // GIR_Coverage, 8573,
     /*  77212 */     GIR_EraseRootFromParent_Done,
     /*  77213 */   // Label 1045: @77213
     /*  77213 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(77270), // Rule ID 4389 //
     /*  77218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  77221 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  77226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  77241 */     // (ld:{ *:[i64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  77241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /*  77244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  77251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  77256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  77261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77268 */     GIR_RootConstrainSelectedInstOperands,
     /*  77269 */     // GIR_Coverage, 4389,
     /*  77269 */     GIR_EraseRootFromParent_Done,
     /*  77270 */   // Label 1046: @77270
     /*  77270 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(77322), // Rule ID 4388 //
     /*  77275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  77278 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  77283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  77298 */     // (ld:{ *:[i64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  77298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /*  77301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  77308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77320 */     GIR_RootConstrainSelectedInstOperands,
     /*  77321 */     // GIR_Coverage, 4388,
     /*  77321 */     GIR_EraseRootFromParent_Done,
     /*  77322 */   // Label 1047: @77322
     /*  77322 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(77374), // Rule ID 4387 //
     /*  77327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  77330 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  77335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  77350 */     // (ld:{ *:[i64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  77350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /*  77353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  77360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77372 */     GIR_RootConstrainSelectedInstOperands,
     /*  77373 */     // GIR_Coverage, 4387,
     /*  77373 */     GIR_EraseRootFromParent_Done,
     /*  77374 */   // Label 1048: @77374
     /*  77374 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(77441), // Rule ID 4615 //
     /*  77379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  77382 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  77404 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  77404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /*  77407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  77409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  77414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  77419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  77424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  77429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77439 */     GIR_RootConstrainSelectedInstOperands,
     /*  77440 */     // GIR_Coverage, 4615,
     /*  77440 */     GIR_EraseRootFromParent_Done,
     /*  77441 */   // Label 1049: @77441
     /*  77441 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(77505), // Rule ID 4617 //
     /*  77446 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  77468 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  77468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /*  77471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  77473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  77478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  77483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  77488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  77493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77503 */     GIR_RootConstrainSelectedInstOperands,
     /*  77504 */     // GIR_Coverage, 4617,
     /*  77504 */     GIR_EraseRootFromParent_Done,
     /*  77505 */   // Label 1050: @77505
     /*  77505 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(77566), // Rule ID 8160 //
     /*  77510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /*  77513 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77517 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  77522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  77537 */     // (AMDGPUld_glue:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  77537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /*  77540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  77547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  77552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  77557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77564 */     GIR_RootConstrainSelectedInstOperands,
     /*  77565 */     // GIR_Coverage, 8160,
     /*  77565 */     GIR_EraseRootFromParent_Done,
     /*  77566 */   // Label 1051: @77566
     /*  77566 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(77628), // Rule ID 4614 //
     /*  77571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  77574 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  77596 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  77596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /*  77599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  77601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  77606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  77611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  77616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77626 */     GIR_RootConstrainSelectedInstOperands,
     /*  77627 */     // GIR_Coverage, 4614,
     /*  77627 */     GIR_EraseRootFromParent_Done,
     /*  77628 */   // Label 1052: @77628
     /*  77628 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(77687), // Rule ID 4616 //
     /*  77633 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  77655 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  77655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /*  77658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  77660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  77665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  77670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  77675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77685 */     GIR_RootConstrainSelectedInstOperands,
     /*  77686 */     // GIR_Coverage, 4616,
     /*  77686 */     GIR_EraseRootFromParent_Done,
     /*  77687 */   // Label 1053: @77687
     /*  77687 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(77744), // Rule ID 8162 //
     /*  77692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  77695 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  77700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  77715 */     // (ld:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  77715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /*  77718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  77725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  77730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  77735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77742 */     GIR_RootConstrainSelectedInstOperands,
     /*  77743 */     // GIR_Coverage, 8162,
     /*  77743 */     GIR_EraseRootFromParent_Done,
     /*  77744 */   // Label 1054: @77744
     /*  77744 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(77803), // Rule ID 3972 //
     /*  77749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  77752 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  77774 */     // (ld:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  77774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /*  77777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  77784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  77789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  77794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77801 */     GIR_RootConstrainSelectedInstOperands,
     /*  77802 */     // GIR_Coverage, 3972,
     /*  77802 */     GIR_EraseRootFromParent_Done,
     /*  77803 */   // Label 1055: @77803
     /*  77803 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(77857), // Rule ID 3971 //
     /*  77808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  77811 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77822 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  77833 */     // (ld:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  77833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /*  77836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  77843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77855 */     GIR_RootConstrainSelectedInstOperands,
     /*  77856 */     // GIR_Coverage, 3971,
     /*  77856 */     GIR_EraseRootFromParent_Done,
     /*  77857 */   // Label 1056: @77857
     /*  77857 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(77912), // Rule ID 3675 //
     /*  77862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  77865 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  77873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  77877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  77888 */     // (ld:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  77888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /*  77891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  77893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  77898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  77903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77910 */     GIR_RootConstrainSelectedInstOperands,
     /*  77911 */     // GIR_Coverage, 3675,
     /*  77911 */     GIR_EraseRootFromParent_Done,
     /*  77912 */   // Label 1057: @77912
     /*  77912 */   GIM_Reject,
     /*  77913 */ // Label 1024: @77913
     /*  77913 */ GIM_Reject,
     /*  77914 */ // Label 1000: @77914
     /*  77914 */ GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(79817),
     /*  77919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77922 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(77986), // Rule ID 8578 //
     /*  77927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  77930 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  77938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  77942 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  77946 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  77950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  77957 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  77957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  77960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  77962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  77967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  77972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  77977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  77984 */     GIR_RootConstrainSelectedInstOperands,
     /*  77985 */     // GIR_Coverage, 8578,
     /*  77985 */     GIR_EraseRootFromParent_Done,
     /*  77986 */   // Label 1059: @77986
     /*  77986 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(78046), // Rule ID 8583 //
     /*  77991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  77994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78006 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  78017 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  78020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  78037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78044 */     GIR_RootConstrainSelectedInstOperands,
     /*  78045 */     // GIR_Coverage, 8583,
     /*  78045 */     GIR_EraseRootFromParent_Done,
     /*  78046 */   // Label 1060: @78046
     /*  78046 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(78106), // Rule ID 8589 //
     /*  78051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  78054 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78066 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  78077 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  78080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  78097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78104 */     GIR_RootConstrainSelectedInstOperands,
     /*  78105 */     // GIR_Coverage, 8589,
     /*  78105 */     GIR_EraseRootFromParent_Done,
     /*  78106 */   // Label 1061: @78106
     /*  78106 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(78165), // Rule ID 8574 //
     /*  78111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  78114 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78126 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  78134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  78141 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  78144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78163 */     GIR_RootConstrainSelectedInstOperands,
     /*  78164 */     // GIR_Coverage, 8574,
     /*  78164 */     GIR_EraseRootFromParent_Done,
     /*  78165 */   // Label 1062: @78165
     /*  78165 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(78224), // Rule ID 8575 //
     /*  78170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  78173 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78189 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  78193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  78200 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  78203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78222 */     GIR_RootConstrainSelectedInstOperands,
     /*  78223 */     // GIR_Coverage, 8575,
     /*  78223 */     GIR_EraseRootFromParent_Done,
     /*  78224 */   // Label 1063: @78224
     /*  78224 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(78283), // Rule ID 8576 //
     /*  78229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  78232 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78244 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  78252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78259 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  78259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  78262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78281 */     GIR_RootConstrainSelectedInstOperands,
     /*  78282 */     // GIR_Coverage, 8576,
     /*  78282 */     GIR_EraseRootFromParent_Done,
     /*  78283 */   // Label 1064: @78283
     /*  78283 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(78345), // Rule ID 8577 //
     /*  78288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  78291 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78307 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  78311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78318 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  78318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  78321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78343 */     GIR_RootConstrainSelectedInstOperands,
     /*  78344 */     // GIR_Coverage, 8577,
     /*  78344 */     GIR_EraseRootFromParent_Done,
     /*  78345 */   // Label 1065: @78345
     /*  78345 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(78400), // Rule ID 8580 //
     /*  78350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  78353 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  78376 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  78379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78398 */     GIR_RootConstrainSelectedInstOperands,
     /*  78399 */     // GIR_Coverage, 8580,
     /*  78399 */     GIR_EraseRootFromParent_Done,
     /*  78400 */   // Label 1066: @78400
     /*  78400 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(78455), // Rule ID 8581 //
     /*  78405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  78408 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78420 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78431 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  78431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /*  78434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78453 */     GIR_RootConstrainSelectedInstOperands,
     /*  78454 */     // GIR_Coverage, 8581,
     /*  78454 */     GIR_EraseRootFromParent_Done,
     /*  78455 */   // Label 1067: @78455
     /*  78455 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(78513), // Rule ID 8582 //
     /*  78460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  78463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78486 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  78486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  78489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78511 */     GIR_RootConstrainSelectedInstOperands,
     /*  78512 */     // GIR_Coverage, 8582,
     /*  78512 */     GIR_EraseRootFromParent_Done,
     /*  78513 */   // Label 1068: @78513
     /*  78513 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(78578), // Rule ID 8288 //
     /*  78518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /*  78521 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78525 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78530 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  78539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78543 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /*  78547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  78554 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  78554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  78557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  78559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  78564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78576 */     GIR_RootConstrainSelectedInstOperands,
     /*  78577 */     // GIR_Coverage, 8288,
     /*  78577 */     GIR_EraseRootFromParent_Done,
     /*  78578 */   // Label 1069: @78578
     /*  78578 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(78638), // Rule ID 8220 //
     /*  78583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  78586 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78590 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78595 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  78599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  78603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  78614 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  78614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  78617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  78619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  78624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78636 */     GIR_RootConstrainSelectedInstOperands,
     /*  78637 */     // GIR_Coverage, 8220,
     /*  78637 */     GIR_EraseRootFromParent_Done,
     /*  78638 */   // Label 1070: @78638
     /*  78638 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(78690), // Rule ID 8585 //
     /*  78643 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  78666 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  78669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78688 */     GIR_RootConstrainSelectedInstOperands,
     /*  78689 */     // GIR_Coverage, 8585,
     /*  78689 */     GIR_EraseRootFromParent_Done,
     /*  78690 */   // Label 1071: @78690
     /*  78690 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(78745), // Rule ID 8586 //
     /*  78695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  78698 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78710 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  78721 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  78721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  78724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78743 */     GIR_RootConstrainSelectedInstOperands,
     /*  78744 */     // GIR_Coverage, 8586,
     /*  78744 */     GIR_EraseRootFromParent_Done,
     /*  78745 */   // Label 1072: @78745
     /*  78745 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(78800), // Rule ID 8587 //
     /*  78750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  78753 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78765 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78776 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  78776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  78779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78798 */     GIR_RootConstrainSelectedInstOperands,
     /*  78799 */     // GIR_Coverage, 8587,
     /*  78799 */     GIR_EraseRootFromParent_Done,
     /*  78800 */   // Label 1073: @78800
     /*  78800 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(78858), // Rule ID 8588 //
     /*  78805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  78808 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  78824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  78831 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  78831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  78834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  78836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  78841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  78846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78856 */     GIR_RootConstrainSelectedInstOperands,
     /*  78857 */     // GIR_Coverage, 8588,
     /*  78857 */     GIR_EraseRootFromParent_Done,
     /*  78858 */   // Label 1074: @78858
     /*  78858 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(78919), // Rule ID 8289 //
     /*  78863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /*  78866 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78871 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  78880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /*  78888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  78895 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  78895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  78898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  78900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  78905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78917 */     GIR_RootConstrainSelectedInstOperands,
     /*  78918 */     // GIR_Coverage, 8289,
     /*  78918 */     GIR_EraseRootFromParent_Done,
     /*  78919 */   // Label 1075: @78919
     /*  78919 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(78975), // Rule ID 8221 //
     /*  78924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  78927 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  78932 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  78936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  78940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  78944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  78951 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  78951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  78954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  78956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  78961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  78966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  78973 */     GIR_RootConstrainSelectedInstOperands,
     /*  78974 */     // GIR_Coverage, 8221,
     /*  78974 */     GIR_EraseRootFromParent_Done,
     /*  78975 */   // Label 1076: @78975
     /*  78975 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(79026), // Rule ID 8579 //
     /*  78980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  78983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  78991 */     // MIs[0] sbase
     /*  78991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  78995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  78999 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79003 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  79007 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  79007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  79010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79012 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  79014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79024 */     GIR_RootConstrainSelectedInstOperands,
     /*  79025 */     // GIR_Coverage, 8579,
     /*  79025 */     GIR_EraseRootFromParent_Done,
     /*  79026 */   // Label 1077: @79026
     /*  79026 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(79073), // Rule ID 8584 //
     /*  79031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  79034 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  79042 */     // MIs[0] sbase
     /*  79042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  79046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  79050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79054 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  79054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  79057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79059 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  79061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79071 */     GIR_RootConstrainSelectedInstOperands,
     /*  79072 */     // GIR_Coverage, 8584,
     /*  79072 */     GIR_EraseRootFromParent_Done,
     /*  79073 */   // Label 1078: @79073
     /*  79073 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(79117), // Rule ID 8590 //
     /*  79078 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  79086 */     // MIs[0] sbase
     /*  79086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  79090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  79094 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79098 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  79098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  79101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79103 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  79105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79115 */     GIR_RootConstrainSelectedInstOperands,
     /*  79116 */     // GIR_Coverage, 8590,
     /*  79116 */     GIR_EraseRootFromParent_Done,
     /*  79117 */   // Label 1079: @79117
     /*  79117 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(79174), // Rule ID 4395 //
     /*  79122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  79125 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  79130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  79145 */     // (ld:{ *:[i64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  79145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /*  79148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  79155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  79160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79172 */     GIR_RootConstrainSelectedInstOperands,
     /*  79173 */     // GIR_Coverage, 4395,
     /*  79173 */     GIR_EraseRootFromParent_Done,
     /*  79174 */   // Label 1080: @79174
     /*  79174 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(79226), // Rule ID 4394 //
     /*  79179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  79182 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  79187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  79202 */     // (ld:{ *:[i64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  79202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /*  79205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  79212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  79217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79224 */     GIR_RootConstrainSelectedInstOperands,
     /*  79225 */     // GIR_Coverage, 4394,
     /*  79225 */     GIR_EraseRootFromParent_Done,
     /*  79226 */   // Label 1081: @79226
     /*  79226 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(79278), // Rule ID 4393 //
     /*  79231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  79234 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  79239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  79254 */     // (ld:{ *:[i64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  79254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /*  79257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  79264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  79269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79276 */     GIR_RootConstrainSelectedInstOperands,
     /*  79277 */     // GIR_Coverage, 4393,
     /*  79277 */     GIR_EraseRootFromParent_Done,
     /*  79278 */   // Label 1082: @79278
     /*  79278 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(79345), // Rule ID 4619 //
     /*  79283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  79286 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  79308 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  79308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /*  79311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  79313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  79318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  79323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  79328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  79333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79343 */     GIR_RootConstrainSelectedInstOperands,
     /*  79344 */     // GIR_Coverage, 4619,
     /*  79344 */     GIR_EraseRootFromParent_Done,
     /*  79345 */   // Label 1083: @79345
     /*  79345 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(79409), // Rule ID 4621 //
     /*  79350 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  79372 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  79372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /*  79375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  79377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  79382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  79387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  79392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  79397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79407 */     GIR_RootConstrainSelectedInstOperands,
     /*  79408 */     // GIR_Coverage, 4621,
     /*  79408 */     GIR_EraseRootFromParent_Done,
     /*  79409 */   // Label 1084: @79409
     /*  79409 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(79470), // Rule ID 8164 //
     /*  79414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /*  79417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79421 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  79426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  79441 */     // (AMDGPUld_glue:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  79441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /*  79444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  79451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  79456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  79461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79468 */     GIR_RootConstrainSelectedInstOperands,
     /*  79469 */     // GIR_Coverage, 8164,
     /*  79469 */     GIR_EraseRootFromParent_Done,
     /*  79470 */   // Label 1085: @79470
     /*  79470 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(79532), // Rule ID 4618 //
     /*  79475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  79478 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  79500 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  79500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /*  79503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  79505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  79510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  79515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79530 */     GIR_RootConstrainSelectedInstOperands,
     /*  79531 */     // GIR_Coverage, 4618,
     /*  79531 */     GIR_EraseRootFromParent_Done,
     /*  79532 */   // Label 1086: @79532
     /*  79532 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(79591), // Rule ID 4620 //
     /*  79537 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  79559 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  79559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /*  79562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  79564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  79569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  79574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79589 */     GIR_RootConstrainSelectedInstOperands,
     /*  79590 */     // GIR_Coverage, 4620,
     /*  79590 */     GIR_EraseRootFromParent_Done,
     /*  79591 */   // Label 1087: @79591
     /*  79591 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(79648), // Rule ID 8166 //
     /*  79596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  79599 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  79604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  79619 */     // (ld:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  79619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /*  79622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  79629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  79634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  79639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79646 */     GIR_RootConstrainSelectedInstOperands,
     /*  79647 */     // GIR_Coverage, 8166,
     /*  79647 */     GIR_EraseRootFromParent_Done,
     /*  79648 */   // Label 1088: @79648
     /*  79648 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(79707), // Rule ID 3976 //
     /*  79653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  79656 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  79678 */     // (ld:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  79678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /*  79681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  79688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  79693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79705 */     GIR_RootConstrainSelectedInstOperands,
     /*  79706 */     // GIR_Coverage, 3976,
     /*  79706 */     GIR_EraseRootFromParent_Done,
     /*  79707 */   // Label 1089: @79707
     /*  79707 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(79761), // Rule ID 3975 //
     /*  79712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  79715 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  79737 */     // (ld:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  79737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /*  79740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  79747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  79752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79759 */     GIR_RootConstrainSelectedInstOperands,
     /*  79760 */     // GIR_Coverage, 3975,
     /*  79760 */     GIR_EraseRootFromParent_Done,
     /*  79761 */   // Label 1090: @79761
     /*  79761 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(79816), // Rule ID 3677 //
     /*  79766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  79769 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  79777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  79781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  79792 */     // (ld:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  79792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /*  79795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  79797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  79802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  79807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79814 */     GIR_RootConstrainSelectedInstOperands,
     /*  79815 */     // GIR_Coverage, 3677,
     /*  79815 */     GIR_EraseRootFromParent_Done,
     /*  79816 */   // Label 1091: @79816
     /*  79816 */   GIM_Reject,
     /*  79817 */ // Label 1058: @79817
     /*  79817 */ GIM_Reject,
     /*  79818 */ // Label 1001: @79818
     /*  79818 */ GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(81444),
     /*  79823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79826 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(79890), // Rule ID 2999 //
     /*  79831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  79834 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  79842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79846 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  79854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  79861 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  79861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  79864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  79871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  79876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79888 */     GIR_RootConstrainSelectedInstOperands,
     /*  79889 */     // GIR_Coverage, 2999,
     /*  79889 */     GIR_EraseRootFromParent_Done,
     /*  79890 */   // Label 1093: @79890
     /*  79890 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(79950), // Rule ID 3005 //
     /*  79895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  79898 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  79906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  79921 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  79921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  79924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  79931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  79936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  79941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  79948 */     GIR_RootConstrainSelectedInstOperands,
     /*  79949 */     // GIR_Coverage, 3005,
     /*  79949 */     GIR_EraseRootFromParent_Done,
     /*  79950 */   // Label 1094: @79950
     /*  79950 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(80009), // Rule ID 2995 //
     /*  79955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  79958 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  79966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  79970 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  79974 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  79978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  79985 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  79985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  79988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  79990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  79995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80007 */     GIR_RootConstrainSelectedInstOperands,
     /*  80008 */     // GIR_Coverage, 2995,
     /*  80008 */     GIR_EraseRootFromParent_Done,
     /*  80009 */   // Label 1095: @80009
     /*  80009 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(80068), // Rule ID 2996 //
     /*  80014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  80017 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80029 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80033 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  80037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  80044 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  80044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  80047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80066 */     GIR_RootConstrainSelectedInstOperands,
     /*  80067 */     // GIR_Coverage, 2996,
     /*  80067 */     GIR_EraseRootFromParent_Done,
     /*  80068 */   // Label 1096: @80068
     /*  80068 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(80127), // Rule ID 2997 //
     /*  80073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  80076 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  80096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  80103 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  80103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  80106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80125 */     GIR_RootConstrainSelectedInstOperands,
     /*  80126 */     // GIR_Coverage, 2997,
     /*  80126 */     GIR_EraseRootFromParent_Done,
     /*  80127 */   // Label 1097: @80127
     /*  80127 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(80189), // Rule ID 2998 //
     /*  80132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  80135 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  80155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  80162 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  80162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  80165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80187 */     GIR_RootConstrainSelectedInstOperands,
     /*  80188 */     // GIR_Coverage, 2998,
     /*  80188 */     GIR_EraseRootFromParent_Done,
     /*  80189 */   // Label 1098: @80189
     /*  80189 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(80241), // Rule ID 3001 //
     /*  80194 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  80217 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  80217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  80220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80239 */     GIR_RootConstrainSelectedInstOperands,
     /*  80240 */     // GIR_Coverage, 3001,
     /*  80240 */     GIR_EraseRootFromParent_Done,
     /*  80241 */   // Label 1099: @80241
     /*  80241 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(80296), // Rule ID 3002 //
     /*  80246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  80249 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80261 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  80272 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  80272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  80275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80294 */     GIR_RootConstrainSelectedInstOperands,
     /*  80295 */     // GIR_Coverage, 3002,
     /*  80295 */     GIR_EraseRootFromParent_Done,
     /*  80296 */   // Label 1100: @80296
     /*  80296 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(80351), // Rule ID 3003 //
     /*  80301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  80304 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  80327 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  80327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  80330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80349 */     GIR_RootConstrainSelectedInstOperands,
     /*  80350 */     // GIR_Coverage, 3003,
     /*  80350 */     GIR_EraseRootFromParent_Done,
     /*  80351 */   // Label 1101: @80351
     /*  80351 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(80409), // Rule ID 3004 //
     /*  80356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  80359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80371 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  80382 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  80382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  80385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  80392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80407 */     GIR_RootConstrainSelectedInstOperands,
     /*  80408 */     // GIR_Coverage, 3004,
     /*  80408 */     GIR_EraseRootFromParent_Done,
     /*  80409 */   // Label 1102: @80409
     /*  80409 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(80460), // Rule ID 3000 //
     /*  80414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  80417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80425 */     // MIs[0] sbase
     /*  80425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  80429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  80433 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80437 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  80441 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  80441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  80444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80446 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  80448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80458 */     GIR_RootConstrainSelectedInstOperands,
     /*  80459 */     // GIR_Coverage, 3000,
     /*  80459 */     GIR_EraseRootFromParent_Done,
     /*  80460 */   // Label 1103: @80460
     /*  80460 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(80504), // Rule ID 3006 //
     /*  80465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  80473 */     // MIs[0] sbase
     /*  80473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  80477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  80481 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  80485 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  80485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  80488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  80490 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  80492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80502 */     GIR_RootConstrainSelectedInstOperands,
     /*  80503 */     // GIR_Coverage, 3006,
     /*  80503 */     GIR_EraseRootFromParent_Done,
     /*  80504 */   // Label 1104: @80504
     /*  80504 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(80564), // Rule ID 6559 //
     /*  80509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  80512 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  80532 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  80532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  80535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  80537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  80542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  80552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80562 */     GIR_RootConstrainSelectedInstOperands,
     /*  80563 */     // GIR_Coverage, 6559,
     /*  80563 */     GIR_EraseRootFromParent_Done,
     /*  80564 */   // Label 1105: @80564
     /*  80564 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(80624), // Rule ID 6561 //
     /*  80569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  80572 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  80592 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  80592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  80595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  80597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  80602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  80607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  80612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80622 */     GIR_RootConstrainSelectedInstOperands,
     /*  80623 */     // GIR_Coverage, 6561,
     /*  80623 */     GIR_EraseRootFromParent_Done,
     /*  80624 */   // Label 1106: @80624
     /*  80624 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(80681), // Rule ID 4329 //
     /*  80629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  80632 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  80652 */     // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  80652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  80655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  80657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  80662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  80667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  80672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80679 */     GIR_RootConstrainSelectedInstOperands,
     /*  80680 */     // GIR_Coverage, 4329,
     /*  80680 */     GIR_EraseRootFromParent_Done,
     /*  80681 */   // Label 1107: @80681
     /*  80681 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(80733), // Rule ID 4328 //
     /*  80686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  80689 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  80709 */     // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  80709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  80712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  80714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  80719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80731 */     GIR_RootConstrainSelectedInstOperands,
     /*  80732 */     // GIR_Coverage, 4328,
     /*  80732 */     GIR_EraseRootFromParent_Done,
     /*  80733 */   // Label 1108: @80733
     /*  80733 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(80785), // Rule ID 4327 //
     /*  80738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  80741 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  80761 */     // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  80761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  80764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  80766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  80771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  80776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80783 */     GIR_RootConstrainSelectedInstOperands,
     /*  80784 */     // GIR_Coverage, 4327,
     /*  80784 */     GIR_EraseRootFromParent_Done,
     /*  80785 */   // Label 1109: @80785
     /*  80785 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(80852), // Rule ID 4575 //
     /*  80790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  80793 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  80800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  80815 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  80815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  80818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  80820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  80825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  80830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  80835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  80840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80850 */     GIR_RootConstrainSelectedInstOperands,
     /*  80851 */     // GIR_Coverage, 4575,
     /*  80851 */     GIR_EraseRootFromParent_Done,
     /*  80852 */   // Label 1110: @80852
     /*  80852 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(80916), // Rule ID 4577 //
     /*  80857 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  80864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  80879 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  80879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  80882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  80884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  80889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  80894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  80899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  80904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80914 */     GIR_RootConstrainSelectedInstOperands,
     /*  80915 */     // GIR_Coverage, 4577,
     /*  80915 */     GIR_EraseRootFromParent_Done,
     /*  80916 */   // Label 1111: @80916
     /*  80916 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(80981), // Rule ID 6558 //
     /*  80921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  80924 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  80944 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  80944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  80947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  80949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  80954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  80959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  80964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  80969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80979 */     GIR_RootConstrainSelectedInstOperands,
     /*  80980 */     // GIR_Coverage, 6558,
     /*  80980 */     GIR_EraseRootFromParent_Done,
     /*  80981 */   // Label 1112: @80981
     /*  80981 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(81046), // Rule ID 6560 //
     /*  80986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  80989 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  80994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  80998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  81009 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  81009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  81012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  81014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  81019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  81024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  81029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  81034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81044 */     GIR_RootConstrainSelectedInstOperands,
     /*  81045 */     // GIR_Coverage, 6560,
     /*  81045 */     GIR_EraseRootFromParent_Done,
     /*  81046 */   // Label 1113: @81046
     /*  81046 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(81108), // Rule ID 4574 //
     /*  81051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  81054 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  81061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  81076 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  81076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  81079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  81081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  81086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  81096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81106 */     GIR_RootConstrainSelectedInstOperands,
     /*  81107 */     // GIR_Coverage, 4574,
     /*  81107 */     GIR_EraseRootFromParent_Done,
     /*  81108 */   // Label 1114: @81108
     /*  81108 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(81167), // Rule ID 4576 //
     /*  81113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  81120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  81135 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  81135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  81138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  81140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  81145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  81155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81165 */     GIR_RootConstrainSelectedInstOperands,
     /*  81166 */     // GIR_Coverage, 4576,
     /*  81166 */     GIR_EraseRootFromParent_Done,
     /*  81167 */   // Label 1115: @81167
     /*  81167 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(81223), // Rule ID 8034 //
     /*  81172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  81175 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81179 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  81184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  81199 */     // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  81199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /*  81202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  81204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  81209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81221 */     GIR_RootConstrainSelectedInstOperands,
     /*  81222 */     // GIR_Coverage, 8034,
     /*  81222 */     GIR_EraseRootFromParent_Done,
     /*  81223 */   // Label 1116: @81223
     /*  81223 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(81275), // Rule ID 8035 //
     /*  81228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  81231 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  81236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  81251 */     // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  81251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /*  81254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  81256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  81261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81273 */     GIR_RootConstrainSelectedInstOperands,
     /*  81274 */     // GIR_Coverage, 8035,
     /*  81274 */     GIR_EraseRootFromParent_Done,
     /*  81275 */   // Label 1117: @81275
     /*  81275 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(81334), // Rule ID 3932 //
     /*  81280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  81283 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  81290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  81305 */     // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /*  81308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  81310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  81315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  81320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  81325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81332 */     GIR_RootConstrainSelectedInstOperands,
     /*  81333 */     // GIR_Coverage, 3932,
     /*  81333 */     GIR_EraseRootFromParent_Done,
     /*  81334 */   // Label 1118: @81334
     /*  81334 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(81388), // Rule ID 3931 //
     /*  81339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  81342 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  81349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  81364 */     // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  81364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /*  81367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  81369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  81374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81386 */     GIR_RootConstrainSelectedInstOperands,
     /*  81387 */     // GIR_Coverage, 3931,
     /*  81387 */     GIR_EraseRootFromParent_Done,
     /*  81388 */   // Label 1119: @81388
     /*  81388 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(81443), // Rule ID 3654 //
     /*  81393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  81396 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  81404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  81408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  81419 */     // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  81419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /*  81422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  81424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  81429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81441 */     GIR_RootConstrainSelectedInstOperands,
     /*  81442 */     // GIR_Coverage, 3654,
     /*  81442 */     GIR_EraseRootFromParent_Done,
     /*  81443 */   // Label 1120: @81443
     /*  81443 */   GIM_Reject,
     /*  81444 */ // Label 1092: @81444
     /*  81444 */ GIM_Reject,
     /*  81445 */ // Label 1002: @81445
     /*  81445 */ GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(83071),
     /*  81450 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81453 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(81517), // Rule ID 3011 //
     /*  81458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  81461 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81473 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81477 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  81481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  81488 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  81491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  81508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81515 */     GIR_RootConstrainSelectedInstOperands,
     /*  81516 */     // GIR_Coverage, 3011,
     /*  81516 */     GIR_EraseRootFromParent_Done,
     /*  81517 */   // Label 1122: @81517
     /*  81517 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(81577), // Rule ID 3017 //
     /*  81522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  81525 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81537 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  81548 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  81551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  81568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81575 */     GIR_RootConstrainSelectedInstOperands,
     /*  81576 */     // GIR_Coverage, 3017,
     /*  81576 */     GIR_EraseRootFromParent_Done,
     /*  81577 */   // Label 1123: @81577
     /*  81577 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(81636), // Rule ID 3007 //
     /*  81582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  81585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  81605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  81612 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  81615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81634 */     GIR_RootConstrainSelectedInstOperands,
     /*  81635 */     // GIR_Coverage, 3007,
     /*  81635 */     GIR_EraseRootFromParent_Done,
     /*  81636 */   // Label 1124: @81636
     /*  81636 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(81695), // Rule ID 3008 //
     /*  81641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  81644 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81660 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  81664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  81671 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  81674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81693 */     GIR_RootConstrainSelectedInstOperands,
     /*  81694 */     // GIR_Coverage, 3008,
     /*  81694 */     GIR_EraseRootFromParent_Done,
     /*  81695 */   // Label 1125: @81695
     /*  81695 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(81754), // Rule ID 3009 //
     /*  81700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  81703 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81715 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81719 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  81723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  81730 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  81730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  81733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81752 */     GIR_RootConstrainSelectedInstOperands,
     /*  81753 */     // GIR_Coverage, 3009,
     /*  81753 */     GIR_EraseRootFromParent_Done,
     /*  81754 */   // Label 1126: @81754
     /*  81754 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(81816), // Rule ID 3010 //
     /*  81759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  81762 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81774 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81778 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  81782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  81789 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  81789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  81792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81814 */     GIR_RootConstrainSelectedInstOperands,
     /*  81815 */     // GIR_Coverage, 3010,
     /*  81815 */     GIR_EraseRootFromParent_Done,
     /*  81816 */   // Label 1127: @81816
     /*  81816 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(81868), // Rule ID 3013 //
     /*  81821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81833 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  81844 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  81847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81866 */     GIR_RootConstrainSelectedInstOperands,
     /*  81867 */     // GIR_Coverage, 3013,
     /*  81867 */     GIR_EraseRootFromParent_Done,
     /*  81868 */   // Label 1128: @81868
     /*  81868 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(81923), // Rule ID 3014 //
     /*  81873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  81876 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  81899 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  81899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  81902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  81914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81921 */     GIR_RootConstrainSelectedInstOperands,
     /*  81922 */     // GIR_Coverage, 3014,
     /*  81922 */     GIR_EraseRootFromParent_Done,
     /*  81923 */   // Label 1129: @81923
     /*  81923 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(81978), // Rule ID 3015 //
     /*  81928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  81931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  81947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  81954 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  81954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  81957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  81959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  81964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  81969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81976 */     GIR_RootConstrainSelectedInstOperands,
     /*  81977 */     // GIR_Coverage, 3015,
     /*  81977 */     GIR_EraseRootFromParent_Done,
     /*  81978 */   // Label 1130: @81978
     /*  81978 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(82036), // Rule ID 3016 //
     /*  81983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  81986 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  81994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  82002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  82009 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  82009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  82012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  82014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  82019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  82024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82034 */     GIR_RootConstrainSelectedInstOperands,
     /*  82035 */     // GIR_Coverage, 3016,
     /*  82035 */     GIR_EraseRootFromParent_Done,
     /*  82036 */   // Label 1131: @82036
     /*  82036 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(82087), // Rule ID 3012 //
     /*  82041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  82044 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  82052 */     // MIs[0] sbase
     /*  82052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  82056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  82060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  82064 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  82068 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  82068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  82071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  82073 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  82075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82085 */     GIR_RootConstrainSelectedInstOperands,
     /*  82086 */     // GIR_Coverage, 3012,
     /*  82086 */     GIR_EraseRootFromParent_Done,
     /*  82087 */   // Label 1132: @82087
     /*  82087 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(82131), // Rule ID 3018 //
     /*  82092 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  82100 */     // MIs[0] sbase
     /*  82100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  82104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  82108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  82112 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  82112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  82115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  82117 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  82119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82129 */     GIR_RootConstrainSelectedInstOperands,
     /*  82130 */     // GIR_Coverage, 3018,
     /*  82130 */     GIR_EraseRootFromParent_Done,
     /*  82131 */   // Label 1133: @82131
     /*  82131 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(82191), // Rule ID 6563 //
     /*  82136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  82139 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  82159 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  82159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  82162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  82174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82189 */     GIR_RootConstrainSelectedInstOperands,
     /*  82190 */     // GIR_Coverage, 6563,
     /*  82190 */     GIR_EraseRootFromParent_Done,
     /*  82191 */   // Label 1134: @82191
     /*  82191 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(82251), // Rule ID 6565 //
     /*  82196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  82199 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  82219 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  82219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  82222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  82234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82249 */     GIR_RootConstrainSelectedInstOperands,
     /*  82250 */     // GIR_Coverage, 6565,
     /*  82250 */     GIR_EraseRootFromParent_Done,
     /*  82251 */   // Label 1135: @82251
     /*  82251 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(82308), // Rule ID 4335 //
     /*  82256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  82259 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  82279 */     // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  82279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  82282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  82289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  82294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82306 */     GIR_RootConstrainSelectedInstOperands,
     /*  82307 */     // GIR_Coverage, 4335,
     /*  82307 */     GIR_EraseRootFromParent_Done,
     /*  82308 */   // Label 1136: @82308
     /*  82308 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(82360), // Rule ID 4334 //
     /*  82313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  82316 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  82336 */     // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  82336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  82339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  82346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  82351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82358 */     GIR_RootConstrainSelectedInstOperands,
     /*  82359 */     // GIR_Coverage, 4334,
     /*  82359 */     GIR_EraseRootFromParent_Done,
     /*  82360 */   // Label 1137: @82360
     /*  82360 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(82412), // Rule ID 4333 //
     /*  82365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  82368 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  82388 */     // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  82388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  82391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  82398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  82403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82410 */     GIR_RootConstrainSelectedInstOperands,
     /*  82411 */     // GIR_Coverage, 4333,
     /*  82411 */     GIR_EraseRootFromParent_Done,
     /*  82412 */   // Label 1138: @82412
     /*  82412 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(82479), // Rule ID 4579 //
     /*  82417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  82420 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  82442 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  82442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  82445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  82452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  82462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  82467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82477 */     GIR_RootConstrainSelectedInstOperands,
     /*  82478 */     // GIR_Coverage, 4579,
     /*  82478 */     GIR_EraseRootFromParent_Done,
     /*  82479 */   // Label 1139: @82479
     /*  82479 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(82543), // Rule ID 4581 //
     /*  82484 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  82506 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  82506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  82509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  82516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  82526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  82531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82541 */     GIR_RootConstrainSelectedInstOperands,
     /*  82542 */     // GIR_Coverage, 4581,
     /*  82542 */     GIR_EraseRootFromParent_Done,
     /*  82543 */   // Label 1140: @82543
     /*  82543 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(82608), // Rule ID 6562 //
     /*  82548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  82551 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  82571 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  82571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  82574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  82581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  82591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  82596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82606 */     GIR_RootConstrainSelectedInstOperands,
     /*  82607 */     // GIR_Coverage, 6562,
     /*  82607 */     GIR_EraseRootFromParent_Done,
     /*  82608 */   // Label 1141: @82608
     /*  82608 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(82673), // Rule ID 6564 //
     /*  82613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  82616 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  82621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  82636 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  82636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  82639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  82646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  82656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  82661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82671 */     GIR_RootConstrainSelectedInstOperands,
     /*  82672 */     // GIR_Coverage, 6564,
     /*  82672 */     GIR_EraseRootFromParent_Done,
     /*  82673 */   // Label 1142: @82673
     /*  82673 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(82735), // Rule ID 4578 //
     /*  82678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  82681 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  82703 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  82703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  82706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  82718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82733 */     GIR_RootConstrainSelectedInstOperands,
     /*  82734 */     // GIR_Coverage, 4578,
     /*  82734 */     GIR_EraseRootFromParent_Done,
     /*  82735 */   // Label 1143: @82735
     /*  82735 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(82794), // Rule ID 4580 //
     /*  82740 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  82762 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  82762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  82765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  82767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  82772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  82777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82792 */     GIR_RootConstrainSelectedInstOperands,
     /*  82793 */     // GIR_Coverage, 4580,
     /*  82793 */     GIR_EraseRootFromParent_Done,
     /*  82794 */   // Label 1144: @82794
     /*  82794 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(82850), // Rule ID 8036 //
     /*  82799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  82802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82806 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  82811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  82826 */     // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  82826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /*  82829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  82836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  82841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82848 */     GIR_RootConstrainSelectedInstOperands,
     /*  82849 */     // GIR_Coverage, 8036,
     /*  82849 */     GIR_EraseRootFromParent_Done,
     /*  82850 */   // Label 1145: @82850
     /*  82850 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(82902), // Rule ID 8037 //
     /*  82855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  82858 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  82863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  82878 */     // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  82878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /*  82881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  82888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  82893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82900 */     GIR_RootConstrainSelectedInstOperands,
     /*  82901 */     // GIR_Coverage, 8037,
     /*  82901 */     GIR_EraseRootFromParent_Done,
     /*  82902 */   // Label 1146: @82902
     /*  82902 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(82961), // Rule ID 3936 //
     /*  82907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  82910 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  82932 */     // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  82932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /*  82935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  82942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  82947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  82952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82959 */     GIR_RootConstrainSelectedInstOperands,
     /*  82960 */     // GIR_Coverage, 3936,
     /*  82960 */     GIR_EraseRootFromParent_Done,
     /*  82961 */   // Label 1147: @82961
     /*  82961 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(83015), // Rule ID 3935 //
     /*  82966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  82969 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  82976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  82980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  82991 */     // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  82991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /*  82994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  82996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  83001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83013 */     GIR_RootConstrainSelectedInstOperands,
     /*  83014 */     // GIR_Coverage, 3935,
     /*  83014 */     GIR_EraseRootFromParent_Done,
     /*  83015 */   // Label 1148: @83015
     /*  83015 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(83070), // Rule ID 3656 //
     /*  83020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  83023 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  83031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  83035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  83046 */     // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  83046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /*  83049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  83051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  83056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83068 */     GIR_RootConstrainSelectedInstOperands,
     /*  83069 */     // GIR_Coverage, 3656,
     /*  83069 */     GIR_EraseRootFromParent_Done,
     /*  83070 */   // Label 1149: @83070
     /*  83070 */   GIM_Reject,
     /*  83071 */ // Label 1121: @83071
     /*  83071 */ GIM_Reject,
     /*  83072 */ // Label 1003: @83072
     /*  83072 */ GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(84975),
     /*  83077 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83080 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(83144), // Rule ID 8595 //
     /*  83085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  83088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83100 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83104 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  83108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  83115 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  83118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  83135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83142 */     GIR_RootConstrainSelectedInstOperands,
     /*  83143 */     // GIR_Coverage, 8595,
     /*  83143 */     GIR_EraseRootFromParent_Done,
     /*  83144 */   // Label 1151: @83144
     /*  83144 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(83204), // Rule ID 8600 //
     /*  83149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  83152 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83164 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  83175 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  83178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  83195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83202 */     GIR_RootConstrainSelectedInstOperands,
     /*  83203 */     // GIR_Coverage, 8600,
     /*  83203 */     GIR_EraseRootFromParent_Done,
     /*  83204 */   // Label 1152: @83204
     /*  83204 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(83264), // Rule ID 8606 //
     /*  83209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  83212 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83224 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  83235 */     // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  83238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  83255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83262 */     GIR_RootConstrainSelectedInstOperands,
     /*  83263 */     // GIR_Coverage, 8606,
     /*  83263 */     GIR_EraseRootFromParent_Done,
     /*  83264 */   // Label 1153: @83264
     /*  83264 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(83323), // Rule ID 8591 //
     /*  83269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  83272 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83288 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  83292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  83299 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  83302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83321 */     GIR_RootConstrainSelectedInstOperands,
     /*  83322 */     // GIR_Coverage, 8591,
     /*  83322 */     GIR_EraseRootFromParent_Done,
     /*  83323 */   // Label 1154: @83323
     /*  83323 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(83382), // Rule ID 8592 //
     /*  83328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  83331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83347 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  83351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  83358 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  83361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83380 */     GIR_RootConstrainSelectedInstOperands,
     /*  83381 */     // GIR_Coverage, 8592,
     /*  83381 */     GIR_EraseRootFromParent_Done,
     /*  83382 */   // Label 1155: @83382
     /*  83382 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(83441), // Rule ID 8593 //
     /*  83387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  83390 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83402 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  83410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83417 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  83417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  83420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83439 */     GIR_RootConstrainSelectedInstOperands,
     /*  83440 */     // GIR_Coverage, 8593,
     /*  83440 */     GIR_EraseRootFromParent_Done,
     /*  83441 */   // Label 1156: @83441
     /*  83441 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(83503), // Rule ID 8594 //
     /*  83446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  83449 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  83469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83476 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  83476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  83479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83501 */     GIR_RootConstrainSelectedInstOperands,
     /*  83502 */     // GIR_Coverage, 8594,
     /*  83502 */     GIR_EraseRootFromParent_Done,
     /*  83503 */   // Label 1157: @83503
     /*  83503 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(83558), // Rule ID 8597 //
     /*  83508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  83511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83523 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  83534 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  83537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83556 */     GIR_RootConstrainSelectedInstOperands,
     /*  83557 */     // GIR_Coverage, 8597,
     /*  83557 */     GIR_EraseRootFromParent_Done,
     /*  83558 */   // Label 1158: @83558
     /*  83558 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(83613), // Rule ID 8598 //
     /*  83563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  83566 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83589 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  83589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /*  83592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83611 */     GIR_RootConstrainSelectedInstOperands,
     /*  83612 */     // GIR_Coverage, 8598,
     /*  83612 */     GIR_EraseRootFromParent_Done,
     /*  83613 */   // Label 1159: @83613
     /*  83613 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(83671), // Rule ID 8599 //
     /*  83618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  83621 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83644 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  83644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /*  83647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83669 */     GIR_RootConstrainSelectedInstOperands,
     /*  83670 */     // GIR_Coverage, 8599,
     /*  83670 */     GIR_EraseRootFromParent_Done,
     /*  83671 */   // Label 1160: @83671
     /*  83671 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(83736), // Rule ID 8292 //
     /*  83676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /*  83679 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83683 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  83688 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  83693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  83697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83701 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /*  83705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  83712 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  83712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  83715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  83717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  83722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83734 */     GIR_RootConstrainSelectedInstOperands,
     /*  83735 */     // GIR_Coverage, 8292,
     /*  83735 */     GIR_EraseRootFromParent_Done,
     /*  83736 */   // Label 1161: @83736
     /*  83736 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(83796), // Rule ID 8224 //
     /*  83741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  83744 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83748 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  83753 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  83757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  83761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  83772 */     // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  83772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /*  83775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  83777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  83782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83794 */     GIR_RootConstrainSelectedInstOperands,
     /*  83795 */     // GIR_Coverage, 8224,
     /*  83795 */     GIR_EraseRootFromParent_Done,
     /*  83796 */   // Label 1162: @83796
     /*  83796 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(83848), // Rule ID 8602 //
     /*  83801 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  83824 */     // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  83827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83846 */     GIR_RootConstrainSelectedInstOperands,
     /*  83847 */     // GIR_Coverage, 8602,
     /*  83847 */     GIR_EraseRootFromParent_Done,
     /*  83848 */   // Label 1163: @83848
     /*  83848 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(83903), // Rule ID 8603 //
     /*  83853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  83856 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83868 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  83879 */     // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  83879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  83882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83901 */     GIR_RootConstrainSelectedInstOperands,
     /*  83902 */     // GIR_Coverage, 8603,
     /*  83902 */     GIR_EraseRootFromParent_Done,
     /*  83903 */   // Label 1164: @83903
     /*  83903 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(83958), // Rule ID 8604 //
     /*  83908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  83911 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83934 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  83934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  83937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  83949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83956 */     GIR_RootConstrainSelectedInstOperands,
     /*  83957 */     // GIR_Coverage, 8604,
     /*  83957 */     GIR_EraseRootFromParent_Done,
     /*  83958 */   // Label 1165: @83958
     /*  83958 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(84016), // Rule ID 8605 //
     /*  83963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  83966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  83974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83978 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  83982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  83989 */     // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  83989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  83992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  83994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  83999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  84004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84014 */     GIR_RootConstrainSelectedInstOperands,
     /*  84015 */     // GIR_Coverage, 8605,
     /*  84015 */     GIR_EraseRootFromParent_Done,
     /*  84016 */   // Label 1166: @84016
     /*  84016 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(84077), // Rule ID 8293 //
     /*  84021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /*  84024 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  84029 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  84034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /*  84046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  84053 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  84053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  84056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  84063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84075 */     GIR_RootConstrainSelectedInstOperands,
     /*  84076 */     // GIR_Coverage, 8293,
     /*  84076 */     GIR_EraseRootFromParent_Done,
     /*  84077 */   // Label 1167: @84077
     /*  84077 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(84133), // Rule ID 8225 //
     /*  84082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  84085 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  84090 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /*  84094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  84109 */     // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  84109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /*  84112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  84119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84131 */     GIR_RootConstrainSelectedInstOperands,
     /*  84132 */     // GIR_Coverage, 8225,
     /*  84132 */     GIR_EraseRootFromParent_Done,
     /*  84133 */   // Label 1168: @84133
     /*  84133 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(84184), // Rule ID 8596 //
     /*  84138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  84141 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  84149 */     // MIs[0] sbase
     /*  84149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  84153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  84157 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  84161 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  84165 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  84165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  84168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  84170 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  84172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84182 */     GIR_RootConstrainSelectedInstOperands,
     /*  84183 */     // GIR_Coverage, 8596,
     /*  84183 */     GIR_EraseRootFromParent_Done,
     /*  84184 */   // Label 1169: @84184
     /*  84184 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(84231), // Rule ID 8601 //
     /*  84189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  84192 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  84200 */     // MIs[0] sbase
     /*  84200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  84204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  84208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  84212 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  84212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /*  84215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  84217 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  84219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84229 */     GIR_RootConstrainSelectedInstOperands,
     /*  84230 */     // GIR_Coverage, 8601,
     /*  84230 */     GIR_EraseRootFromParent_Done,
     /*  84231 */   // Label 1170: @84231
     /*  84231 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(84275), // Rule ID 8607 //
     /*  84236 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  84244 */     // MIs[0] sbase
     /*  84244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  84248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  84252 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  84256 */     // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  84256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  84259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  84261 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  84263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84273 */     GIR_RootConstrainSelectedInstOperands,
     /*  84274 */     // GIR_Coverage, 8607,
     /*  84274 */     GIR_EraseRootFromParent_Done,
     /*  84275 */   // Label 1171: @84275
     /*  84275 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(84332), // Rule ID 4401 //
     /*  84280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  84283 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  84288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  84303 */     // (ld:{ *:[i64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  84303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /*  84306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  84313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  84318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  84323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84330 */     GIR_RootConstrainSelectedInstOperands,
     /*  84331 */     // GIR_Coverage, 4401,
     /*  84331 */     GIR_EraseRootFromParent_Done,
     /*  84332 */   // Label 1172: @84332
     /*  84332 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(84384), // Rule ID 4400 //
     /*  84337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  84340 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  84345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  84360 */     // (ld:{ *:[i64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  84360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /*  84363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  84370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84382 */     GIR_RootConstrainSelectedInstOperands,
     /*  84383 */     // GIR_Coverage, 4400,
     /*  84383 */     GIR_EraseRootFromParent_Done,
     /*  84384 */   // Label 1173: @84384
     /*  84384 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(84436), // Rule ID 4399 //
     /*  84389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  84392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  84397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  84412 */     // (ld:{ *:[i64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  84412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /*  84415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  84422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84434 */     GIR_RootConstrainSelectedInstOperands,
     /*  84435 */     // GIR_Coverage, 4399,
     /*  84435 */     GIR_EraseRootFromParent_Done,
     /*  84436 */   // Label 1174: @84436
     /*  84436 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(84503), // Rule ID 4623 //
     /*  84441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  84444 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  84466 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  84466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /*  84469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  84471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  84476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  84481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  84486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  84491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84501 */     GIR_RootConstrainSelectedInstOperands,
     /*  84502 */     // GIR_Coverage, 4623,
     /*  84502 */     GIR_EraseRootFromParent_Done,
     /*  84503 */   // Label 1175: @84503
     /*  84503 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(84567), // Rule ID 4625 //
     /*  84508 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  84530 */     // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  84530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /*  84533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  84535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  84540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  84545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  84550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  84555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84565 */     GIR_RootConstrainSelectedInstOperands,
     /*  84566 */     // GIR_Coverage, 4625,
     /*  84566 */     GIR_EraseRootFromParent_Done,
     /*  84567 */   // Label 1176: @84567
     /*  84567 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(84628), // Rule ID 8168 //
     /*  84572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /*  84575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84579 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  84584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  84599 */     // (AMDGPUld_glue:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  84599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /*  84602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  84609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  84614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  84619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84626 */     GIR_RootConstrainSelectedInstOperands,
     /*  84627 */     // GIR_Coverage, 8168,
     /*  84627 */     GIR_EraseRootFromParent_Done,
     /*  84628 */   // Label 1177: @84628
     /*  84628 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(84690), // Rule ID 4622 //
     /*  84633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  84636 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  84658 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  84658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /*  84661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  84663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  84668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  84673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  84678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84688 */     GIR_RootConstrainSelectedInstOperands,
     /*  84689 */     // GIR_Coverage, 4622,
     /*  84689 */     GIR_EraseRootFromParent_Done,
     /*  84690 */   // Label 1178: @84690
     /*  84690 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(84749), // Rule ID 4624 //
     /*  84695 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  84717 */     // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  84717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /*  84720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  84722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  84727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  84732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  84737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84747 */     GIR_RootConstrainSelectedInstOperands,
     /*  84748 */     // GIR_Coverage, 4624,
     /*  84748 */     GIR_EraseRootFromParent_Done,
     /*  84749 */   // Label 1179: @84749
     /*  84749 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(84806), // Rule ID 8170 //
     /*  84754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  84757 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  84762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /*  84777 */     // (ld:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /*  84777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /*  84780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  84787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /*  84792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /*  84797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84804 */     GIR_RootConstrainSelectedInstOperands,
     /*  84805 */     // GIR_Coverage, 8170,
     /*  84805 */     GIR_EraseRootFromParent_Done,
     /*  84806 */   // Label 1180: @84806
     /*  84806 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(84865), // Rule ID 3980 //
     /*  84811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  84814 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  84836 */     // (ld:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  84836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /*  84839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  84846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  84851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  84856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84863 */     GIR_RootConstrainSelectedInstOperands,
     /*  84864 */     // GIR_Coverage, 3980,
     /*  84864 */     GIR_EraseRootFromParent_Done,
     /*  84865 */   // Label 1181: @84865
     /*  84865 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(84919), // Rule ID 3979 //
     /*  84870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  84873 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  84895 */     // (ld:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  84895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /*  84898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  84905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84917 */     GIR_RootConstrainSelectedInstOperands,
     /*  84918 */     // GIR_Coverage, 3979,
     /*  84918 */     GIR_EraseRootFromParent_Done,
     /*  84919 */   // Label 1182: @84919
     /*  84919 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(84974), // Rule ID 3679 //
     /*  84924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  84927 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  84935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /*  84939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  84950 */     // (ld:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  84950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /*  84953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  84955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  84960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  84965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84972 */     GIR_RootConstrainSelectedInstOperands,
     /*  84973 */     // GIR_Coverage, 3679,
     /*  84973 */     GIR_EraseRootFromParent_Done,
     /*  84974 */   // Label 1183: @84974
     /*  84974 */   GIM_Reject,
     /*  84975 */ // Label 1150: @84975
     /*  84975 */ GIM_Reject,
     /*  84976 */ // Label 1004: @84976
     /*  84976 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(86602),
     /*  84981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84984 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(85048), // Rule ID 3023 //
     /*  84989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  84992 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85004 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  85019 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  85022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  85039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85046 */     GIR_RootConstrainSelectedInstOperands,
     /*  85047 */     // GIR_Coverage, 3023,
     /*  85047 */     GIR_EraseRootFromParent_Done,
     /*  85048 */   // Label 1185: @85048
     /*  85048 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(85108), // Rule ID 3029 //
     /*  85053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  85056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85068 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  85079 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  85082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  85099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85106 */     GIR_RootConstrainSelectedInstOperands,
     /*  85107 */     // GIR_Coverage, 3029,
     /*  85107 */     GIR_EraseRootFromParent_Done,
     /*  85108 */   // Label 1186: @85108
     /*  85108 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(85167), // Rule ID 3019 //
     /*  85113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  85116 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85128 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  85143 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  85146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85165 */     GIR_RootConstrainSelectedInstOperands,
     /*  85166 */     // GIR_Coverage, 3019,
     /*  85166 */     GIR_EraseRootFromParent_Done,
     /*  85167 */   // Label 1187: @85167
     /*  85167 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(85226), // Rule ID 3020 //
     /*  85172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  85175 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85191 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  85202 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  85205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85224 */     GIR_RootConstrainSelectedInstOperands,
     /*  85225 */     // GIR_Coverage, 3020,
     /*  85225 */     GIR_EraseRootFromParent_Done,
     /*  85226 */   // Label 1188: @85226
     /*  85226 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(85285), // Rule ID 3021 //
     /*  85231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  85234 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85250 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  85261 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  85261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  85264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85283 */     GIR_RootConstrainSelectedInstOperands,
     /*  85284 */     // GIR_Coverage, 3021,
     /*  85284 */     GIR_EraseRootFromParent_Done,
     /*  85285 */   // Label 1189: @85285
     /*  85285 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(85347), // Rule ID 3022 //
     /*  85290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  85293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85305 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85309 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  85320 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  85320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  85323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85345 */     GIR_RootConstrainSelectedInstOperands,
     /*  85346 */     // GIR_Coverage, 3022,
     /*  85346 */     GIR_EraseRootFromParent_Done,
     /*  85347 */   // Label 1190: @85347
     /*  85347 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(85399), // Rule ID 3025 //
     /*  85352 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85364 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  85375 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  85378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85397 */     GIR_RootConstrainSelectedInstOperands,
     /*  85398 */     // GIR_Coverage, 3025,
     /*  85398 */     GIR_EraseRootFromParent_Done,
     /*  85399 */   // Label 1191: @85399
     /*  85399 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(85454), // Rule ID 3026 //
     /*  85404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  85407 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85419 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  85430 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  85433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85452 */     GIR_RootConstrainSelectedInstOperands,
     /*  85453 */     // GIR_Coverage, 3026,
     /*  85453 */     GIR_EraseRootFromParent_Done,
     /*  85454 */   // Label 1192: @85454
     /*  85454 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(85509), // Rule ID 3027 //
     /*  85459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  85462 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  85485 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  85485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  85488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85507 */     GIR_RootConstrainSelectedInstOperands,
     /*  85508 */     // GIR_Coverage, 3027,
     /*  85508 */     GIR_EraseRootFromParent_Done,
     /*  85509 */   // Label 1193: @85509
     /*  85509 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(85567), // Rule ID 3028 //
     /*  85514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  85517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  85540 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  85540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  85543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  85550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85565 */     GIR_RootConstrainSelectedInstOperands,
     /*  85566 */     // GIR_Coverage, 3028,
     /*  85566 */     GIR_EraseRootFromParent_Done,
     /*  85567 */   // Label 1194: @85567
     /*  85567 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(85618), // Rule ID 3024 //
     /*  85572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  85575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85583 */     // MIs[0] sbase
     /*  85583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  85587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  85591 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85595 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  85599 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  85599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  85602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85604 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  85606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85616 */     GIR_RootConstrainSelectedInstOperands,
     /*  85617 */     // GIR_Coverage, 3024,
     /*  85617 */     GIR_EraseRootFromParent_Done,
     /*  85618 */   // Label 1195: @85618
     /*  85618 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(85662), // Rule ID 3030 //
     /*  85623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  85631 */     // MIs[0] sbase
     /*  85631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  85635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  85639 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  85643 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  85643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  85646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  85648 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  85650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85660 */     GIR_RootConstrainSelectedInstOperands,
     /*  85661 */     // GIR_Coverage, 3030,
     /*  85661 */     GIR_EraseRootFromParent_Done,
     /*  85662 */   // Label 1196: @85662
     /*  85662 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(85722), // Rule ID 6567 //
     /*  85667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  85670 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  85675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  85690 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  85690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  85693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  85695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  85700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  85710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85720 */     GIR_RootConstrainSelectedInstOperands,
     /*  85721 */     // GIR_Coverage, 6567,
     /*  85721 */     GIR_EraseRootFromParent_Done,
     /*  85722 */   // Label 1197: @85722
     /*  85722 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(85782), // Rule ID 6569 //
     /*  85727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  85730 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  85735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  85750 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  85750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  85753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  85755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  85760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  85765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  85770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85780 */     GIR_RootConstrainSelectedInstOperands,
     /*  85781 */     // GIR_Coverage, 6569,
     /*  85781 */     GIR_EraseRootFromParent_Done,
     /*  85782 */   // Label 1198: @85782
     /*  85782 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(85839), // Rule ID 4341 //
     /*  85787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  85790 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  85795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  85810 */     // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  85810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  85813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  85815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  85820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  85825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  85830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85837 */     GIR_RootConstrainSelectedInstOperands,
     /*  85838 */     // GIR_Coverage, 4341,
     /*  85838 */     GIR_EraseRootFromParent_Done,
     /*  85839 */   // Label 1199: @85839
     /*  85839 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(85891), // Rule ID 4340 //
     /*  85844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  85847 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  85852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  85867 */     // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  85867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  85870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  85872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  85877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85889 */     GIR_RootConstrainSelectedInstOperands,
     /*  85890 */     // GIR_Coverage, 4340,
     /*  85890 */     GIR_EraseRootFromParent_Done,
     /*  85891 */   // Label 1200: @85891
     /*  85891 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(85943), // Rule ID 4339 //
     /*  85896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  85899 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  85904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  85919 */     // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  85919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  85922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  85924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  85929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  85934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85941 */     GIR_RootConstrainSelectedInstOperands,
     /*  85942 */     // GIR_Coverage, 4339,
     /*  85942 */     GIR_EraseRootFromParent_Done,
     /*  85943 */   // Label 1201: @85943
     /*  85943 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(86010), // Rule ID 4583 //
     /*  85948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  85951 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  85958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  85962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  85973 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  85973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  85976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  85978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  85983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  85988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  85993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  85998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86008 */     GIR_RootConstrainSelectedInstOperands,
     /*  86009 */     // GIR_Coverage, 4583,
     /*  86009 */     GIR_EraseRootFromParent_Done,
     /*  86010 */   // Label 1202: @86010
     /*  86010 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(86074), // Rule ID 4585 //
     /*  86015 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  86037 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  86037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  86040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  86042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  86047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  86052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  86057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  86062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86072 */     GIR_RootConstrainSelectedInstOperands,
     /*  86073 */     // GIR_Coverage, 4585,
     /*  86073 */     GIR_EraseRootFromParent_Done,
     /*  86074 */   // Label 1203: @86074
     /*  86074 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(86139), // Rule ID 6566 //
     /*  86079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  86082 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  86087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  86102 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  86102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  86105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  86107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  86112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  86117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  86122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  86127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86137 */     GIR_RootConstrainSelectedInstOperands,
     /*  86138 */     // GIR_Coverage, 6566,
     /*  86138 */     GIR_EraseRootFromParent_Done,
     /*  86139 */   // Label 1204: @86139
     /*  86139 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(86204), // Rule ID 6568 //
     /*  86144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  86147 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  86152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  86167 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  86167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  86170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  86172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  86177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  86182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  86187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  86192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86202 */     GIR_RootConstrainSelectedInstOperands,
     /*  86203 */     // GIR_Coverage, 6568,
     /*  86203 */     GIR_EraseRootFromParent_Done,
     /*  86204 */   // Label 1205: @86204
     /*  86204 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(86266), // Rule ID 4582 //
     /*  86209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  86212 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  86234 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  86234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  86237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  86239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  86244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  86254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86264 */     GIR_RootConstrainSelectedInstOperands,
     /*  86265 */     // GIR_Coverage, 4582,
     /*  86265 */     GIR_EraseRootFromParent_Done,
     /*  86266 */   // Label 1206: @86266
     /*  86266 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(86325), // Rule ID 4584 //
     /*  86271 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  86293 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  86293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  86296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  86298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  86303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  86313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86323 */     GIR_RootConstrainSelectedInstOperands,
     /*  86324 */     // GIR_Coverage, 4584,
     /*  86324 */     GIR_EraseRootFromParent_Done,
     /*  86325 */   // Label 1207: @86325
     /*  86325 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(86381), // Rule ID 8038 //
     /*  86330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  86333 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86337 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  86342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  86357 */     // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  86357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /*  86360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  86362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  86367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86379 */     GIR_RootConstrainSelectedInstOperands,
     /*  86380 */     // GIR_Coverage, 8038,
     /*  86380 */     GIR_EraseRootFromParent_Done,
     /*  86381 */   // Label 1208: @86381
     /*  86381 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(86433), // Rule ID 8039 //
     /*  86386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  86389 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  86394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  86409 */     // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  86409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /*  86412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  86414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  86419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86431 */     GIR_RootConstrainSelectedInstOperands,
     /*  86432 */     // GIR_Coverage, 8039,
     /*  86432 */     GIR_EraseRootFromParent_Done,
     /*  86433 */   // Label 1209: @86433
     /*  86433 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(86492), // Rule ID 3940 //
     /*  86438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  86441 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  86463 */     // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  86463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /*  86466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  86468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  86473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  86478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  86483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86490 */     GIR_RootConstrainSelectedInstOperands,
     /*  86491 */     // GIR_Coverage, 3940,
     /*  86491 */     GIR_EraseRootFromParent_Done,
     /*  86492 */   // Label 1210: @86492
     /*  86492 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(86546), // Rule ID 3939 //
     /*  86497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  86500 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  86522 */     // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  86522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /*  86525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  86527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  86532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86544 */     GIR_RootConstrainSelectedInstOperands,
     /*  86545 */     // GIR_Coverage, 3939,
     /*  86545 */     GIR_EraseRootFromParent_Done,
     /*  86546 */   // Label 1211: @86546
     /*  86546 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(86601), // Rule ID 3658 //
     /*  86551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  86554 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  86562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  86566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  86577 */     // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  86577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /*  86580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  86582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  86587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86599 */     GIR_RootConstrainSelectedInstOperands,
     /*  86600 */     // GIR_Coverage, 3658,
     /*  86600 */     GIR_EraseRootFromParent_Done,
     /*  86601 */   // Label 1212: @86601
     /*  86601 */   GIM_Reject,
     /*  86602 */ // Label 1184: @86602
     /*  86602 */ GIM_Reject,
     /*  86603 */ // Label 1005: @86603
     /*  86603 */ GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(88229),
     /*  86608 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86611 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(86675), // Rule ID 3035 //
     /*  86616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  86619 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  86639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  86646 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  86646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  86649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  86666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86673 */     GIR_RootConstrainSelectedInstOperands,
     /*  86674 */     // GIR_Coverage, 3035,
     /*  86674 */     GIR_EraseRootFromParent_Done,
     /*  86675 */   // Label 1214: @86675
     /*  86675 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(86735), // Rule ID 3041 //
     /*  86680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  86683 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  86706 */     // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  86706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  86709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  86726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86733 */     GIR_RootConstrainSelectedInstOperands,
     /*  86734 */     // GIR_Coverage, 3041,
     /*  86734 */     GIR_EraseRootFromParent_Done,
     /*  86735 */   // Label 1215: @86735
     /*  86735 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(86794), // Rule ID 3031 //
     /*  86740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  86743 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86759 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  86763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  86770 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  86770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  86773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86792 */     GIR_RootConstrainSelectedInstOperands,
     /*  86793 */     // GIR_Coverage, 3031,
     /*  86793 */     GIR_EraseRootFromParent_Done,
     /*  86794 */   // Label 1216: @86794
     /*  86794 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(86853), // Rule ID 3032 //
     /*  86799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  86802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  86822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  86829 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  86829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  86832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  86844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86851 */     GIR_RootConstrainSelectedInstOperands,
     /*  86852 */     // GIR_Coverage, 3032,
     /*  86852 */     GIR_EraseRootFromParent_Done,
     /*  86853 */   // Label 1217: @86853
     /*  86853 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(86912), // Rule ID 3033 //
     /*  86858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  86861 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86873 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  86881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  86888 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  86888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  86891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86910 */     GIR_RootConstrainSelectedInstOperands,
     /*  86911 */     // GIR_Coverage, 3033,
     /*  86911 */     GIR_EraseRootFromParent_Done,
     /*  86912 */   // Label 1218: @86912
     /*  86912 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(86974), // Rule ID 3034 //
     /*  86917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  86920 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86932 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  86940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  86947 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  86947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  86950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  86952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  86957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  86962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86972 */     GIR_RootConstrainSelectedInstOperands,
     /*  86973 */     // GIR_Coverage, 3034,
     /*  86973 */     GIR_EraseRootFromParent_Done,
     /*  86974 */   // Label 1219: @86974
     /*  86974 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(87026), // Rule ID 3037 //
     /*  86979 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  86983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  86987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86991 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  86995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  87002 */     // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  87002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  87005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  87012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87024 */     GIR_RootConstrainSelectedInstOperands,
     /*  87025 */     // GIR_Coverage, 3037,
     /*  87025 */     GIR_EraseRootFromParent_Done,
     /*  87026 */   // Label 1220: @87026
     /*  87026 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(87081), // Rule ID 3038 //
     /*  87031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  87034 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  87042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  87050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  87057 */     // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  87057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  87060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  87067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87079 */     GIR_RootConstrainSelectedInstOperands,
     /*  87080 */     // GIR_Coverage, 3038,
     /*  87080 */     GIR_EraseRootFromParent_Done,
     /*  87081 */   // Label 1221: @87081
     /*  87081 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(87136), // Rule ID 3039 //
     /*  87086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  87089 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  87097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  87105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  87112 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  87112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  87115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  87122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87134 */     GIR_RootConstrainSelectedInstOperands,
     /*  87135 */     // GIR_Coverage, 3039,
     /*  87135 */     GIR_EraseRootFromParent_Done,
     /*  87136 */   // Label 1222: @87136
     /*  87136 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(87194), // Rule ID 3040 //
     /*  87141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  87144 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  87152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87156 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  87160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  87167 */     // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  87167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  87170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  87177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87192 */     GIR_RootConstrainSelectedInstOperands,
     /*  87193 */     // GIR_Coverage, 3040,
     /*  87193 */     GIR_EraseRootFromParent_Done,
     /*  87194 */   // Label 1223: @87194
     /*  87194 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(87245), // Rule ID 3036 //
     /*  87199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  87202 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  87210 */     // MIs[0] sbase
     /*  87210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  87214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  87218 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  87222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  87226 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  87226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  87229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87231 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  87233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87243 */     GIR_RootConstrainSelectedInstOperands,
     /*  87244 */     // GIR_Coverage, 3036,
     /*  87244 */     GIR_EraseRootFromParent_Done,
     /*  87245 */   // Label 1224: @87245
     /*  87245 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(87289), // Rule ID 3042 //
     /*  87250 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  87258 */     // MIs[0] sbase
     /*  87258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  87262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  87266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  87270 */     // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  87270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  87273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  87275 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  87277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87287 */     GIR_RootConstrainSelectedInstOperands,
     /*  87288 */     // GIR_Coverage, 3042,
     /*  87288 */     GIR_EraseRootFromParent_Done,
     /*  87289 */   // Label 1225: @87289
     /*  87289 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(87349), // Rule ID 6571 //
     /*  87294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  87297 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  87317 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  87317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  87320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  87337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87347 */     GIR_RootConstrainSelectedInstOperands,
     /*  87348 */     // GIR_Coverage, 6571,
     /*  87348 */     GIR_EraseRootFromParent_Done,
     /*  87349 */   // Label 1226: @87349
     /*  87349 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(87409), // Rule ID 6573 //
     /*  87354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  87357 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  87377 */     // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  87377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  87380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  87397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87407 */     GIR_RootConstrainSelectedInstOperands,
     /*  87408 */     // GIR_Coverage, 6573,
     /*  87408 */     GIR_EraseRootFromParent_Done,
     /*  87409 */   // Label 1227: @87409
     /*  87409 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(87466), // Rule ID 4347 //
     /*  87414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  87417 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  87437 */     // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  87437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  87440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  87442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  87447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  87452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  87457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87464 */     GIR_RootConstrainSelectedInstOperands,
     /*  87465 */     // GIR_Coverage, 4347,
     /*  87465 */     GIR_EraseRootFromParent_Done,
     /*  87466 */   // Label 1228: @87466
     /*  87466 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(87518), // Rule ID 4346 //
     /*  87471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  87474 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  87494 */     // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  87494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  87497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  87499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  87504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87516 */     GIR_RootConstrainSelectedInstOperands,
     /*  87517 */     // GIR_Coverage, 4346,
     /*  87517 */     GIR_EraseRootFromParent_Done,
     /*  87518 */   // Label 1229: @87518
     /*  87518 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(87570), // Rule ID 4345 //
     /*  87523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  87526 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  87546 */     // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  87546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  87549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  87551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  87556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87568 */     GIR_RootConstrainSelectedInstOperands,
     /*  87569 */     // GIR_Coverage, 4345,
     /*  87569 */     GIR_EraseRootFromParent_Done,
     /*  87570 */   // Label 1230: @87570
     /*  87570 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(87637), // Rule ID 4587 //
     /*  87575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  87578 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  87585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  87600 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  87600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  87603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  87610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  87620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  87625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87635 */     GIR_RootConstrainSelectedInstOperands,
     /*  87636 */     // GIR_Coverage, 4587,
     /*  87636 */     GIR_EraseRootFromParent_Done,
     /*  87637 */   // Label 1231: @87637
     /*  87637 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(87701), // Rule ID 4589 //
     /*  87642 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  87649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  87664 */     // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  87664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  87667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  87674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  87684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  87689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87699 */     GIR_RootConstrainSelectedInstOperands,
     /*  87700 */     // GIR_Coverage, 4589,
     /*  87700 */     GIR_EraseRootFromParent_Done,
     /*  87701 */   // Label 1232: @87701
     /*  87701 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(87766), // Rule ID 6570 //
     /*  87706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  87709 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  87729 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  87729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  87732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  87739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  87749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  87754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87764 */     GIR_RootConstrainSelectedInstOperands,
     /*  87765 */     // GIR_Coverage, 6570,
     /*  87765 */     GIR_EraseRootFromParent_Done,
     /*  87766 */   // Label 1233: @87766
     /*  87766 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(87831), // Rule ID 6572 //
     /*  87771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  87774 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  87779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  87794 */     // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  87794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  87797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  87804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  87814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  87819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87829 */     GIR_RootConstrainSelectedInstOperands,
     /*  87830 */     // GIR_Coverage, 6572,
     /*  87830 */     GIR_EraseRootFromParent_Done,
     /*  87831 */   // Label 1234: @87831
     /*  87831 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(87893), // Rule ID 4586 //
     /*  87836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  87839 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  87846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  87861 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  87861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  87864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  87881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87891 */     GIR_RootConstrainSelectedInstOperands,
     /*  87892 */     // GIR_Coverage, 4586,
     /*  87892 */     GIR_EraseRootFromParent_Done,
     /*  87893 */   // Label 1235: @87893
     /*  87893 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(87952), // Rule ID 4588 //
     /*  87898 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  87905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  87920 */     // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  87920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  87923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  87925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  87930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  87935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  87940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  87950 */     GIR_RootConstrainSelectedInstOperands,
     /*  87951 */     // GIR_Coverage, 4588,
     /*  87951 */     GIR_EraseRootFromParent_Done,
     /*  87952 */   // Label 1236: @87952
     /*  87952 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(88008), // Rule ID 8040 //
     /*  87957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  87960 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  87964 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  87969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  87973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  87977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  87984 */     // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  87984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /*  87987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  87989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  87994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88006 */     GIR_RootConstrainSelectedInstOperands,
     /*  88007 */     // GIR_Coverage, 8040,
     /*  88007 */     GIR_EraseRootFromParent_Done,
     /*  88008 */   // Label 1237: @88008
     /*  88008 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(88060), // Rule ID 8041 //
     /*  88013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /*  88016 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  88021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  88036 */     // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  88036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /*  88039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  88041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  88046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88058 */     GIR_RootConstrainSelectedInstOperands,
     /*  88059 */     // GIR_Coverage, 8041,
     /*  88059 */     GIR_EraseRootFromParent_Done,
     /*  88060 */   // Label 1238: @88060
     /*  88060 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(88119), // Rule ID 3944 //
     /*  88065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  88068 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  88075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  88090 */     // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /*  88093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  88095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  88100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  88105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  88110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88117 */     GIR_RootConstrainSelectedInstOperands,
     /*  88118 */     // GIR_Coverage, 3944,
     /*  88118 */     GIR_EraseRootFromParent_Done,
     /*  88119 */   // Label 1239: @88119
     /*  88119 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(88173), // Rule ID 3943 //
     /*  88124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /*  88127 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  88134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  88149 */     // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  88149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /*  88152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  88154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  88159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88171 */     GIR_RootConstrainSelectedInstOperands,
     /*  88172 */     // GIR_Coverage, 3943,
     /*  88172 */     GIR_EraseRootFromParent_Done,
     /*  88173 */   // Label 1240: @88173
     /*  88173 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(88228), // Rule ID 3660 //
     /*  88178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /*  88181 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  88189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  88204 */     // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  88204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /*  88207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  88209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  88214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88226 */     GIR_RootConstrainSelectedInstOperands,
     /*  88227 */     // GIR_Coverage, 3660,
     /*  88227 */     GIR_EraseRootFromParent_Done,
     /*  88228 */   // Label 1241: @88228
     /*  88228 */   GIM_Reject,
     /*  88229 */ // Label 1213: @88229
     /*  88229 */ GIM_Reject,
     /*  88230 */ // Label 1006: @88230
     /*  88230 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(88829),
     /*  88235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88238 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  88242 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  88246 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(88302), // Rule ID 3115 //
     /*  88251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  88254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88262 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  88273 */     // (ld:{ *:[i1] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  88276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  88293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88300 */     GIR_RootConstrainSelectedInstOperands,
     /*  88301 */     // GIR_Coverage, 3115,
     /*  88301 */     GIR_EraseRootFromParent_Done,
     /*  88302 */   // Label 1243: @88302
     /*  88302 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(88354), // Rule ID 3121 //
     /*  88307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  88310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  88325 */     // (ld:{ *:[i1] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  88328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  88345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88352 */     GIR_RootConstrainSelectedInstOperands,
     /*  88353 */     // GIR_Coverage, 3121,
     /*  88353 */     GIR_EraseRootFromParent_Done,
     /*  88354 */   // Label 1244: @88354
     /*  88354 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(88405), // Rule ID 3111 //
     /*  88359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  88362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88370 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  88381 */     // (ld:{ *:[i1] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  88384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88403 */     GIR_RootConstrainSelectedInstOperands,
     /*  88404 */     // GIR_Coverage, 3111,
     /*  88404 */     GIR_EraseRootFromParent_Done,
     /*  88405 */   // Label 1245: @88405
     /*  88405 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(88456), // Rule ID 3112 //
     /*  88410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  88413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88421 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  88432 */     // (ld:{ *:[i1] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  88435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88454 */     GIR_RootConstrainSelectedInstOperands,
     /*  88455 */     // GIR_Coverage, 3112,
     /*  88455 */     GIR_EraseRootFromParent_Done,
     /*  88456 */   // Label 1246: @88456
     /*  88456 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(88507), // Rule ID 3113 //
     /*  88461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  88464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  88483 */     // (ld:{ *:[i1] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  88483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  88486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88505 */     GIR_RootConstrainSelectedInstOperands,
     /*  88506 */     // GIR_Coverage, 3113,
     /*  88506 */     GIR_EraseRootFromParent_Done,
     /*  88507 */   // Label 1247: @88507
     /*  88507 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(88561), // Rule ID 3114 //
     /*  88512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  88515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88523 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  88534 */     // (ld:{ *:[i1] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  88534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  88537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88559 */     GIR_RootConstrainSelectedInstOperands,
     /*  88560 */     // GIR_Coverage, 3114,
     /*  88560 */     GIR_EraseRootFromParent_Done,
     /*  88561 */   // Label 1248: @88561
     /*  88561 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(88605), // Rule ID 3117 //
     /*  88566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  88581 */     // (ld:{ *:[i1] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  88584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88603 */     GIR_RootConstrainSelectedInstOperands,
     /*  88604 */     // GIR_Coverage, 3117,
     /*  88604 */     GIR_EraseRootFromParent_Done,
     /*  88605 */   // Label 1249: @88605
     /*  88605 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(88652), // Rule ID 3118 //
     /*  88610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  88613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  88628 */     // (ld:{ *:[i1] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  88628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /*  88631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88650 */     GIR_RootConstrainSelectedInstOperands,
     /*  88651 */     // GIR_Coverage, 3118,
     /*  88651 */     GIR_EraseRootFromParent_Done,
     /*  88652 */   // Label 1250: @88652
     /*  88652 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(88699), // Rule ID 3119 //
     /*  88657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  88660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  88675 */     // (ld:{ *:[i1] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  88675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /*  88678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88697 */     GIR_RootConstrainSelectedInstOperands,
     /*  88698 */     // GIR_Coverage, 3119,
     /*  88698 */     GIR_EraseRootFromParent_Done,
     /*  88699 */   // Label 1251: @88699
     /*  88699 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(88749), // Rule ID 3120 //
     /*  88704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  88707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  88722 */     // (ld:{ *:[i1] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i1] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  88722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /*  88725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  88732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88747 */     GIR_RootConstrainSelectedInstOperands,
     /*  88748 */     // GIR_Coverage, 3120,
     /*  88748 */     GIR_EraseRootFromParent_Done,
     /*  88749 */   // Label 1252: @88749
     /*  88749 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(88792), // Rule ID 3116 //
     /*  88754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  88757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88761 */     // MIs[0] sbase
     /*  88761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  88765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  88769 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  88773 */     // (ld:{ *:[i1] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i1] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  88773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  88776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88778 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  88780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88790 */     GIR_RootConstrainSelectedInstOperands,
     /*  88791 */     // GIR_Coverage, 3116,
     /*  88791 */     GIR_EraseRootFromParent_Done,
     /*  88792 */   // Label 1253: @88792
     /*  88792 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(88828), // Rule ID 3122 //
     /*  88797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /*  88801 */     // MIs[0] sbase
     /*  88801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  88805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  88809 */     // (ld:{ *:[i1] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i1] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  88809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /*  88812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  88814 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  88816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88826 */     GIR_RootConstrainSelectedInstOperands,
     /*  88827 */     // GIR_Coverage, 3122,
     /*  88827 */     GIR_EraseRootFromParent_Done,
     /*  88828 */   // Label 1254: @88828
     /*  88828 */   GIM_Reject,
     /*  88829 */ // Label 1242: @88829
     /*  88829 */ GIM_Reject,
     /*  88830 */ // Label 1007: @88830
     /*  88830 */ GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(88904), // Rule ID 6519 //
     /*  88835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  88838 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88841 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  88845 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  88852 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  88857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88861 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88865 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  88872 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  88872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /*  88875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  88877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  88882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  88892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88902 */   GIR_RootConstrainSelectedInstOperands,
     /*  88903 */   // GIR_Coverage, 6519,
     /*  88903 */   GIR_EraseRootFromParent_Done,
     /*  88904 */ // Label 1255: @88904
     /*  88904 */ GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(88978), // Rule ID 6521 //
     /*  88909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  88912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88915 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  88919 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  88926 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  88931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88935 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  88939 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  88946 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  88946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /*  88949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  88951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  88956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  88961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  88966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  88972 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  88976 */   GIR_RootConstrainSelectedInstOperands,
     /*  88977 */   // GIR_Coverage, 6521,
     /*  88977 */   GIR_EraseRootFromParent_Done,
     /*  88978 */ // Label 1256: @88978
     /*  88978 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(89041), // Rule ID 6539 //
     /*  88983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  88986 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88989 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  88994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  88998 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89002 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  89009 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  89009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /*  89012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  89014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  89019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  89024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89035 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89039 */   GIR_RootConstrainSelectedInstOperands,
     /*  89040 */   // GIR_Coverage, 6539,
     /*  89040 */   GIR_EraseRootFromParent_Done,
     /*  89041 */ // Label 1257: @89041
     /*  89041 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(89104), // Rule ID 6541 //
     /*  89046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  89049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89052 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  89072 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  89072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /*  89075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  89077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  89082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  89087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89102 */   GIR_RootConstrainSelectedInstOperands,
     /*  89103 */   // GIR_Coverage, 6541,
     /*  89103 */   GIR_EraseRootFromParent_Done,
     /*  89104 */ // Label 1258: @89104
     /*  89104 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(89175), // Rule ID 3592 //
     /*  89109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /*  89112 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89115 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89119 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89126 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  89135 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89139 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89146 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_SVS_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_SVS_t16),
     /*  89149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89169 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89173 */   GIR_RootConstrainSelectedInstOperands,
     /*  89174 */   // GIR_Coverage, 3592,
     /*  89174 */   GIR_EraseRootFromParent_Done,
     /*  89175 */ // Label 1259: @89175
     /*  89175 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(89246), // Rule ID 4260 //
     /*  89180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /*  89183 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89186 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89190 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89197 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89206 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89210 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89217 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /*  89220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89222 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89244 */   GIR_RootConstrainSelectedInstOperands,
     /*  89245 */   // GIR_Coverage, 4260,
     /*  89245 */   GIR_EraseRootFromParent_Done,
     /*  89246 */ // Label 1260: @89246
     /*  89246 */ GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(89317), // Rule ID 4275 //
     /*  89251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /*  89254 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89257 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89261 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89268 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89277 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89281 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89288 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /*  89291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89311 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89315 */   GIR_RootConstrainSelectedInstOperands,
     /*  89316 */   // GIR_Coverage, 4275,
     /*  89316 */   GIR_EraseRootFromParent_Done,
     /*  89317 */ // Label 1261: @89317
     /*  89317 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(89377), // Rule ID 4269 //
     /*  89322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /*  89325 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89328 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89341 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89348 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SVS),
     /*  89351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89375 */   GIR_RootConstrainSelectedInstOperands,
     /*  89376 */   // GIR_Coverage, 4269,
     /*  89376 */   GIR_EraseRootFromParent_Done,
     /*  89377 */ // Label 1262: @89377
     /*  89377 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(89437), // Rule ID 4284 //
     /*  89382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /*  89385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89388 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89397 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89401 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89408 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SVS),
     /*  89411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89431 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89435 */   GIR_RootConstrainSelectedInstOperands,
     /*  89436 */   // GIR_Coverage, 4284,
     /*  89436 */   GIR_EraseRootFromParent_Done,
     /*  89437 */ // Label 1263: @89437
     /*  89437 */ GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(89497), // Rule ID 4299 //
     /*  89442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /*  89445 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89448 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  89457 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89461 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  89468 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_SHORT_D16_SVS_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SHORT_D16_SVS_t16),
     /*  89471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  89483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  89488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89491 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89495 */   GIR_RootConstrainSelectedInstOperands,
     /*  89496 */   // GIR_Coverage, 4299,
     /*  89496 */   GIR_EraseRootFromParent_Done,
     /*  89497 */ // Label 1264: @89497
     /*  89497 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(89563), // Rule ID 3591 //
     /*  89502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /*  89505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89508 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89519 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  89528 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89532 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89539 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_SADDR_t16),
     /*  89542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89561 */   GIR_RootConstrainSelectedInstOperands,
     /*  89562 */   // GIR_Coverage, 3591,
     /*  89562 */   GIR_EraseRootFromParent_Done,
     /*  89563 */ // Label 1265: @89563
     /*  89563 */ GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(89629), // Rule ID 4259 //
     /*  89568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /*  89571 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89574 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89585 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89598 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89605 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  89605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /*  89608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89623 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89627 */   GIR_RootConstrainSelectedInstOperands,
     /*  89628 */   // GIR_Coverage, 4259,
     /*  89628 */   GIR_EraseRootFromParent_Done,
     /*  89629 */ // Label 1266: @89629
     /*  89629 */ GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(89695), // Rule ID 4274 //
     /*  89634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /*  89637 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89640 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89644 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89651 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89671 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  89671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /*  89674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89693 */   GIR_RootConstrainSelectedInstOperands,
     /*  89694 */   // GIR_Coverage, 4274,
     /*  89694 */   GIR_EraseRootFromParent_Done,
     /*  89695 */ // Label 1267: @89695
     /*  89695 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(89750), // Rule ID 4268 //
     /*  89700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /*  89703 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89706 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89726 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  89726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SADDR),
     /*  89729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89744 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89748 */   GIR_RootConstrainSelectedInstOperands,
     /*  89749 */   // GIR_Coverage, 4268,
     /*  89749 */   GIR_EraseRootFromParent_Done,
     /*  89750 */ // Label 1268: @89750
     /*  89750 */ GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(89805), // Rule ID 4283 //
     /*  89755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /*  89758 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89761 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89770 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89774 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89781 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  89781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SADDR),
     /*  89784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89791 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89799 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89803 */   GIR_RootConstrainSelectedInstOperands,
     /*  89804 */   // GIR_Coverage, 4283,
     /*  89804 */   GIR_EraseRootFromParent_Done,
     /*  89805 */ // Label 1269: @89805
     /*  89805 */ GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(89860), // Rule ID 4298 //
     /*  89810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /*  89813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89816 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  89825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  89836 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_SHORT_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SHORT_D16_SADDR_t16),
     /*  89839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  89846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89854 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89858 */   GIR_RootConstrainSelectedInstOperands,
     /*  89859 */   // GIR_Coverage, 4298,
     /*  89859 */   GIR_EraseRootFromParent_Done,
     /*  89860 */ // Label 1270: @89860
     /*  89860 */ GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(89926), // Rule ID 3590 //
     /*  89865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /*  89868 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89871 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89875 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89882 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  89891 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89895 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  89902 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  89902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_t16),
     /*  89905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89907 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89924 */   GIR_RootConstrainSelectedInstOperands,
     /*  89925 */   // GIR_Coverage, 3590,
     /*  89925 */   GIR_EraseRootFromParent_Done,
     /*  89926 */ // Label 1271: @89926
     /*  89926 */ GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(89992), // Rule ID 4258 //
     /*  89931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /*  89934 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89937 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  89941 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  89948 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  89953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  89957 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  89961 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  89968 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  89968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /*  89971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  89973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  89978 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  89983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  89990 */   GIR_RootConstrainSelectedInstOperands,
     /*  89991 */   // GIR_Coverage, 4258,
     /*  89991 */   GIR_EraseRootFromParent_Done,
     /*  89992 */ // Label 1272: @89992
     /*  89992 */ GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(90058), // Rule ID 4273 //
     /*  89997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /*  90000 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90003 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90007 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90014 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90023 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90027 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  90034 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  90034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /*  90037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  90039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  90044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  90049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90052 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90056 */   GIR_RootConstrainSelectedInstOperands,
     /*  90057 */   // GIR_Coverage, 4273,
     /*  90057 */   GIR_EraseRootFromParent_Done,
     /*  90058 */ // Label 1273: @90058
     /*  90058 */ GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(90113), // Rule ID 4267 //
     /*  90063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /*  90066 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90069 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90078 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90082 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  90089 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  90089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT),
     /*  90092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  90094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  90099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  90104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90107 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90111 */   GIR_RootConstrainSelectedInstOperands,
     /*  90112 */   // GIR_Coverage, 4267,
     /*  90112 */   GIR_EraseRootFromParent_Done,
     /*  90113 */ // Label 1274: @90113
     /*  90113 */ GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(90168), // Rule ID 4282 //
     /*  90118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /*  90121 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90124 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  90144 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_USHORT:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  90144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT),
     /*  90147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  90149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  90154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  90159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90162 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90166 */   GIR_RootConstrainSelectedInstOperands,
     /*  90167 */   // GIR_Coverage, 4282,
     /*  90167 */   GIR_EraseRootFromParent_Done,
     /*  90168 */ // Label 1275: @90168
     /*  90168 */ GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(90223), // Rule ID 4297 //
     /*  90173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /*  90176 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90179 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  90188 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90192 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  90199 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  90199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SHORT_D16_t16),
     /*  90202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  90204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  90209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  90214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90217 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90221 */   GIR_RootConstrainSelectedInstOperands,
     /*  90222 */   // GIR_Coverage, 4297,
     /*  90222 */   GIR_EraseRootFromParent_Done,
     /*  90223 */ // Label 1276: @90223
     /*  90223 */ GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(90304), // Rule ID 4511 //
     /*  90228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  90231 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90234 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90238 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90245 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90256 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90260 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  90267 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /*  90270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90298 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90302 */   GIR_RootConstrainSelectedInstOperands,
     /*  90303 */   // GIR_Coverage, 4511,
     /*  90303 */   GIR_EraseRootFromParent_Done,
     /*  90304 */ // Label 1277: @90304
     /*  90304 */ GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(90382), // Rule ID 4513 //
     /*  90309 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90312 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90316 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90323 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90338 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  90345 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /*  90348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90376 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90380 */   GIR_RootConstrainSelectedInstOperands,
     /*  90381 */   // GIR_Coverage, 4513,
     /*  90381 */   GIR_EraseRootFromParent_Done,
     /*  90382 */ // Label 1278: @90382
     /*  90382 */ GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(90463), // Rule ID 4519 //
     /*  90387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  90390 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90393 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90397 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  90404 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  90426 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /*  90429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90457 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90461 */   GIR_RootConstrainSelectedInstOperands,
     /*  90462 */   // GIR_Coverage, 4519,
     /*  90462 */   GIR_EraseRootFromParent_Done,
     /*  90463 */ // Label 1279: @90463
     /*  90463 */ GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(90541), // Rule ID 4521 //
     /*  90468 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90471 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90475 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  90482 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90493 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90497 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  90504 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_ADDR64),
     /*  90507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90535 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90539 */   GIR_RootConstrainSelectedInstOperands,
     /*  90540 */   // GIR_Coverage, 4521,
     /*  90540 */   GIR_EraseRootFromParent_Done,
     /*  90541 */ // Label 1280: @90541
     /*  90541 */ GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(90620), // Rule ID 6518 //
     /*  90546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  90549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90552 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90556 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90563 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90576 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  90583 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  90583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFEN),
     /*  90586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90618 */   GIR_RootConstrainSelectedInstOperands,
     /*  90619 */   // GIR_Coverage, 6518,
     /*  90619 */   GIR_EraseRootFromParent_Done,
     /*  90620 */ // Label 1281: @90620
     /*  90620 */ GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(90699), // Rule ID 6520 //
     /*  90625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  90628 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90631 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90635 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90642 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90651 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90655 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  90662 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  90662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFEN),
     /*  90665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90693 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90697 */   GIR_RootConstrainSelectedInstOperands,
     /*  90698 */   // GIR_Coverage, 6520,
     /*  90698 */   GIR_EraseRootFromParent_Done,
     /*  90699 */ // Label 1282: @90699
     /*  90699 */ GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(90767), // Rule ID 6538 //
     /*  90704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  90707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90710 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90723 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  90730 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_USHORT_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  90730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFEN),
     /*  90733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90761 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90765 */   GIR_RootConstrainSelectedInstOperands,
     /*  90766 */   // GIR_Coverage, 6538,
     /*  90766 */   GIR_EraseRootFromParent_Done,
     /*  90767 */ // Label 1283: @90767
     /*  90767 */ GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(90835), // Rule ID 6540 //
     /*  90772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  90775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90778 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  90783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90787 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90791 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  90798 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  90798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFEN),
     /*  90801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  90808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  90818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  90823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90829 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90833 */   GIR_RootConstrainSelectedInstOperands,
     /*  90834 */   // GIR_Coverage, 6540,
     /*  90834 */   GIR_EraseRootFromParent_Done,
     /*  90835 */ // Label 1284: @90835
     /*  90835 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(90911), // Rule ID 4510 //
     /*  90840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  90843 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90846 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90850 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90857 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  90879 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /*  90882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  90894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  90899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90905 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90909 */   GIR_RootConstrainSelectedInstOperands,
     /*  90910 */   // GIR_Coverage, 4510,
     /*  90910 */   GIR_EraseRootFromParent_Done,
     /*  90911 */ // Label 1285: @90911
     /*  90911 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(90984), // Rule ID 4512 //
     /*  90916 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90919 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90923 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  90930 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  90937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  90941 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  90945 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  90952 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  90952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /*  90955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  90957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  90962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  90967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  90972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  90978 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  90982 */   GIR_RootConstrainSelectedInstOperands,
     /*  90983 */   // GIR_Coverage, 4512,
     /*  90983 */   GIR_EraseRootFromParent_Done,
     /*  90984 */ // Label 1286: @90984
     /*  90984 */ GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(91060), // Rule ID 4518 //
     /*  90989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  90992 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  90995 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  90999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  91006 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91017 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91021 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91028 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  91028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /*  91031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91033 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91038 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91054 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91058 */   GIR_RootConstrainSelectedInstOperands,
     /*  91059 */   // GIR_Coverage, 4518,
     /*  91059 */   GIR_EraseRootFromParent_Done,
     /*  91060 */ // Label 1287: @91060
     /*  91060 */ GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(91133), // Rule ID 4520 //
     /*  91065 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  91068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91072 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  91079 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91101 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  91101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /*  91104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91127 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91131 */   GIR_RootConstrainSelectedInstOperands,
     /*  91132 */   // GIR_Coverage, 4520,
     /*  91132 */   GIR_EraseRootFromParent_Done,
     /*  91133 */ // Label 1288: @91133
     /*  91133 */ GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(91208), // Rule ID 6488 //
     /*  91138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91141 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91144 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91148 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91155 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91165 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91169 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91176 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /*  91179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91191 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91206 */   GIR_RootConstrainSelectedInstOperands,
     /*  91207 */   // GIR_Coverage, 6488,
     /*  91207 */   GIR_EraseRootFromParent_Done,
     /*  91208 */ // Label 1289: @91208
     /*  91208 */ GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(91283), // Rule ID 6489 //
     /*  91213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91219 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91223 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91230 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91240 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91244 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91251 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /*  91254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91281 */   GIR_RootConstrainSelectedInstOperands,
     /*  91282 */   // GIR_Coverage, 6489,
     /*  91282 */   GIR_EraseRootFromParent_Done,
     /*  91283 */ // Label 1290: @91283
     /*  91283 */ GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(91359), // Rule ID 6494 //
     /*  91288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91294 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91298 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91305 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91320 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91327 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /*  91330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91353 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91357 */   GIR_RootConstrainSelectedInstOperands,
     /*  91358 */   // GIR_Coverage, 6494,
     /*  91358 */   GIR_EraseRootFromParent_Done,
     /*  91359 */ // Label 1291: @91359
     /*  91359 */ GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(91435), // Rule ID 6495 //
     /*  91364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91367 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91370 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91374 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91381 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91403 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /*  91406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91429 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91433 */   GIR_RootConstrainSelectedInstOperands,
     /*  91434 */   // GIR_Coverage, 6495,
     /*  91434 */   GIR_EraseRootFromParent_Done,
     /*  91435 */ // Label 1292: @91435
     /*  91435 */ GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(91500), // Rule ID 6498 //
     /*  91440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91443 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91446 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91457 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91461 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91468 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /*  91471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91494 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91498 */   GIR_RootConstrainSelectedInstOperands,
     /*  91499 */   // GIR_Coverage, 6498,
     /*  91499 */   GIR_EraseRootFromParent_Done,
     /*  91500 */ // Label 1293: @91500
     /*  91500 */ GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(91565), // Rule ID 6499 //
     /*  91505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /*  91508 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91511 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  91518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91522 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91526 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /*  91533 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  91533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /*  91536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  91538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  91543 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  91548 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  91553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91559 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91563 */   GIR_RootConstrainSelectedInstOperands,
     /*  91564 */   // GIR_Coverage, 6499,
     /*  91564 */   GIR_EraseRootFromParent_Done,
     /*  91565 */ // Label 1294: @91565
     /*  91565 */ GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(91631), // Rule ID 8014 //
     /*  91570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  91573 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91576 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91580 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91587 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91596 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91600 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91607 */   // (AMDGPUld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_extload_glue>><<P:Predicate_extloadi8_glue>><<P:Predicate_extloadi8_local_m0>>  =>  (DS_READ_U8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /*  91610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91625 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91629 */   GIR_RootConstrainSelectedInstOperands,
     /*  91630 */   // GIR_Coverage, 8014,
     /*  91630 */   GIR_EraseRootFromParent_Done,
     /*  91631 */ // Label 1295: @91631
     /*  91631 */ GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(91697), // Rule ID 8015 //
     /*  91636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /*  91639 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91642 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91646 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91653 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91662 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91666 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91673 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /*  91676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91695 */   GIR_RootConstrainSelectedInstOperands,
     /*  91696 */   // GIR_Coverage, 8015,
     /*  91696 */   GIR_EraseRootFromParent_Done,
     /*  91697 */ // Label 1296: @91697
     /*  91697 */ GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(91763), // Rule ID 8016 //
     /*  91702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /*  91705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91708 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91712 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91719 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91739 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /*  91742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91761 */   GIR_RootConstrainSelectedInstOperands,
     /*  91762 */   // GIR_Coverage, 8016,
     /*  91762 */   GIR_EraseRootFromParent_Done,
     /*  91763 */ // Label 1297: @91763
     /*  91763 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(91829), // Rule ID 8017 //
     /*  91768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /*  91771 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91774 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91778 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91785 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  91794 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91798 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91805 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_local>>  =>  (DS_READ_U8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_t16),
     /*  91808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91827 */   GIR_RootConstrainSelectedInstOperands,
     /*  91828 */   // GIR_Coverage, 8017,
     /*  91828 */   GIR_EraseRootFromParent_Done,
     /*  91829 */ // Label 1298: @91829
     /*  91829 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(91895), // Rule ID 8042 //
     /*  91834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  91837 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  91840 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91844 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91851 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91864 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91871 */   // (AMDGPUatomic_ld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext_glue>><<P:Predicate_atomic_load_aext_8_glue>><<P:Predicate_atomic_load_aext_8_local_m0>>  =>  (DS_READ_U8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /*  91874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91876 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91889 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91893 */   GIR_RootConstrainSelectedInstOperands,
     /*  91894 */   // GIR_Coverage, 8042,
     /*  91894 */   GIR_EraseRootFromParent_Done,
     /*  91895 */ // Label 1299: @91895
     /*  91895 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(91961), // Rule ID 8043 //
     /*  91900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /*  91903 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  91906 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91910 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91917 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91926 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91930 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  91937 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  91937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /*  91940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  91942 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  91947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  91952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  91955 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  91959 */   GIR_RootConstrainSelectedInstOperands,
     /*  91960 */   // GIR_Coverage, 8043,
     /*  91960 */   GIR_EraseRootFromParent_Done,
     /*  91961 */ // Label 1300: @91961
     /*  91961 */ GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(92027), // Rule ID 8044 //
     /*  91966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /*  91969 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  91972 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  91976 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  91983 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  91988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  91992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  91996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92003 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /*  92006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92021 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92025 */   GIR_RootConstrainSelectedInstOperands,
     /*  92026 */   // GIR_Coverage, 8044,
     /*  92026 */   GIR_EraseRootFromParent_Done,
     /*  92027 */ // Label 1301: @92027
     /*  92027 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(92093), // Rule ID 8045 //
     /*  92032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /*  92035 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92038 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92042 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92049 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  92058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92069 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_local>>  =>  (DS_READ_U8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_t16),
     /*  92072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92091 */   GIR_RootConstrainSelectedInstOperands,
     /*  92092 */   // GIR_Coverage, 8045,
     /*  92092 */   GIR_EraseRootFromParent_Done,
     /*  92093 */ // Label 1302: @92093
     /*  92093 */ GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(92159), // Rule ID 8060 //
     /*  92098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  92101 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92108 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  92115 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92128 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92135 */   // (AMDGPUatomic_ld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext_glue>><<P:Predicate_atomic_load_nonext_16_glue>><<P:Predicate_atomic_load_nonext_16_local_m0>>  =>  (DS_READ_U16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /*  92138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92157 */   GIR_RootConstrainSelectedInstOperands,
     /*  92158 */   // GIR_Coverage, 8060,
     /*  92158 */   GIR_EraseRootFromParent_Done,
     /*  92159 */ // Label 1303: @92159
     /*  92159 */ GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(92225), // Rule ID 8061 //
     /*  92164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /*  92167 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92170 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92174 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  92181 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92194 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92201 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /*  92204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92219 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92223 */   GIR_RootConstrainSelectedInstOperands,
     /*  92224 */   // GIR_Coverage, 8061,
     /*  92224 */   GIR_EraseRootFromParent_Done,
     /*  92225 */ // Label 1304: @92225
     /*  92225 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(92291), // Rule ID 8062 //
     /*  92230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /*  92233 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  92247 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92256 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92260 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92267 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /*  92270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92285 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92289 */   GIR_RootConstrainSelectedInstOperands,
     /*  92290 */   // GIR_Coverage, 8062,
     /*  92290 */   GIR_EraseRootFromParent_Done,
     /*  92291 */ // Label 1305: @92291
     /*  92291 */ GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(92357), // Rule ID 8063 //
     /*  92296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /*  92299 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92302 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92306 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  92313 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  92322 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92326 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92333 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_local>>  =>  (DS_READ_U16_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_t16),
     /*  92336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92351 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92355 */   GIR_RootConstrainSelectedInstOperands,
     /*  92356 */   // GIR_Coverage, 8063,
     /*  92356 */   GIR_EraseRootFromParent_Done,
     /*  92357 */ // Label 1306: @92357
     /*  92357 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(92416), // Rule ID 8022 //
     /*  92362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /*  92365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92368 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92372 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92381 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92385 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92392 */   // (AMDGPUld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_U16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /*  92395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92410 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92414 */   GIR_RootConstrainSelectedInstOperands,
     /*  92415 */   // GIR_Coverage, 8022,
     /*  92415 */   GIR_EraseRootFromParent_Done,
     /*  92416 */ // Label 1307: @92416
     /*  92416 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(92471), // Rule ID 8023 //
     /*  92421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /*  92424 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92427 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92440 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92447 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_U16_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /*  92450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92465 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92469 */   GIR_RootConstrainSelectedInstOperands,
     /*  92470 */   // GIR_Coverage, 8023,
     /*  92470 */   GIR_EraseRootFromParent_Done,
     /*  92471 */ // Label 1308: @92471
     /*  92471 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(92526), // Rule ID 8024 //
     /*  92476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /*  92479 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92482 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92491 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92502 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_U16_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /*  92505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92520 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92524 */   GIR_RootConstrainSelectedInstOperands,
     /*  92525 */   // GIR_Coverage, 8024,
     /*  92525 */   GIR_EraseRootFromParent_Done,
     /*  92526 */ // Label 1309: @92526
     /*  92526 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(92581), // Rule ID 8025 //
     /*  92531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /*  92534 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92537 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /*  92542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  92546 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92550 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /*  92557 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_U16_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /*  92557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_t16),
     /*  92560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92562 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /*  92567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  92572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92575 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92579 */   GIR_RootConstrainSelectedInstOperands,
     /*  92580 */   // GIR_Coverage, 8025,
     /*  92580 */   GIR_EraseRootFromParent_Done,
     /*  92581 */ // Label 1310: @92581
     /*  92581 */ GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(92654), // Rule ID 3569 //
     /*  92586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  92589 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92592 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92596 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92603 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  92614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92625 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_SADDR_t16),
     /*  92628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  92635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  92640 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  92645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92648 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92652 */   GIR_RootConstrainSelectedInstOperands,
     /*  92653 */   // GIR_Coverage, 3569,
     /*  92653 */   GIR_EraseRootFromParent_Done,
     /*  92654 */ // Label 1311: @92654
     /*  92654 */ GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(92727), // Rule ID 3852 //
     /*  92659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  92662 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92665 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92669 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92676 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92687 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92691 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92698 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /*  92701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92703 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  92708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  92713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  92718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92725 */   GIR_RootConstrainSelectedInstOperands,
     /*  92726 */   // GIR_Coverage, 3852,
     /*  92726 */   GIR_EraseRootFromParent_Done,
     /*  92727 */ // Label 1312: @92727
     /*  92727 */ GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(92800), // Rule ID 3864 //
     /*  92732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  92735 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92738 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92742 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92749 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92760 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92764 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92771 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /*  92774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  92781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  92786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  92791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92794 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92798 */   GIR_RootConstrainSelectedInstOperands,
     /*  92799 */   // GIR_Coverage, 3864,
     /*  92799 */   GIR_EraseRootFromParent_Done,
     /*  92800 */ // Label 1313: @92800
     /*  92800 */ GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(92873), // Rule ID 3870 //
     /*  92805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  92808 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  92822 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92833 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92844 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /*  92847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  92854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  92859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  92864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92871 */   GIR_RootConstrainSelectedInstOperands,
     /*  92872 */   // GIR_Coverage, 3870,
     /*  92872 */   GIR_EraseRootFromParent_Done,
     /*  92873 */ // Label 1314: @92873
     /*  92873 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(92946), // Rule ID 3874 //
     /*  92878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  92881 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92884 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92888 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92895 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92910 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92917 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /*  92920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  92927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  92932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  92937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  92940 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  92944 */   GIR_RootConstrainSelectedInstOperands,
     /*  92945 */   // GIR_Coverage, 3874,
     /*  92945 */   GIR_EraseRootFromParent_Done,
     /*  92946 */ // Label 1315: @92946
     /*  92946 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(93019), // Rule ID 3886 //
     /*  92951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  92954 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  92957 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  92961 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  92968 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  92975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  92979 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  92983 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  92990 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  92990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /*  92993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  92995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93013 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93017 */   GIR_RootConstrainSelectedInstOperands,
     /*  93018 */   // GIR_Coverage, 3886,
     /*  93018 */   GIR_EraseRootFromParent_Done,
     /*  93019 */ // Label 1316: @93019
     /*  93019 */ GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(93092), // Rule ID 3892 //
     /*  93024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  93027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93034 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  93041 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93063 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /*  93066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93090 */   GIR_RootConstrainSelectedInstOperands,
     /*  93091 */   // GIR_Coverage, 3892,
     /*  93091 */   GIR_EraseRootFromParent_Done,
     /*  93092 */ // Label 1317: @93092
     /*  93092 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(93165), // Rule ID 3902 //
     /*  93097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93100 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93103 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93114 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  93125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93129 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93136 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_SADDR_t16),
     /*  93139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93159 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93163 */   GIR_RootConstrainSelectedInstOperands,
     /*  93164 */   // GIR_Coverage, 3902,
     /*  93164 */   GIR_EraseRootFromParent_Done,
     /*  93165 */ // Label 1318: @93165
     /*  93165 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(93238), // Rule ID 3908 //
     /*  93170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93173 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93176 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93180 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  93187 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  93198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93202 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93209 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_SHORT_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_SADDR_t16),
     /*  93212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93232 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93236 */   GIR_RootConstrainSelectedInstOperands,
     /*  93237 */   // GIR_Coverage, 3908,
     /*  93237 */   GIR_EraseRootFromParent_Done,
     /*  93238 */ // Label 1319: @93238
     /*  93238 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(93300), // Rule ID 3862 //
     /*  93243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  93246 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93249 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93260 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93264 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93271 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /*  93274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93281 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93286 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93298 */   GIR_RootConstrainSelectedInstOperands,
     /*  93299 */   // GIR_Coverage, 3862,
     /*  93299 */   GIR_EraseRootFromParent_Done,
     /*  93300 */ // Label 1320: @93300
     /*  93300 */ GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(93362), // Rule ID 3884 //
     /*  93305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  93308 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93311 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93322 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93326 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93333 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /*  93336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93356 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93360 */   GIR_RootConstrainSelectedInstOperands,
     /*  93361 */   // GIR_Coverage, 3884,
     /*  93361 */   GIR_EraseRootFromParent_Done,
     /*  93362 */ // Label 1321: @93362
     /*  93362 */ GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(93424), // Rule ID 3900 //
     /*  93367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93370 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93373 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  93384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93388 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /*  93395 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_SHORT_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_SADDR_t16),
     /*  93398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  93405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /*  93410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  93415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93422 */   GIR_RootConstrainSelectedInstOperands,
     /*  93423 */   // GIR_Coverage, 3900,
     /*  93423 */   GIR_EraseRootFromParent_Done,
     /*  93424 */ // Label 1322: @93424
     /*  93424 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(93492), // Rule ID 3568 //
     /*  93429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93432 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93435 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93439 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93446 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  93457 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93461 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93468 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_t16),
     /*  93471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93486 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93490 */   GIR_RootConstrainSelectedInstOperands,
     /*  93491 */   // GIR_Coverage, 3568,
     /*  93491 */   GIR_EraseRootFromParent_Done,
     /*  93492 */ // Label 1323: @93492
     /*  93492 */ GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(93560), // Rule ID 3851 //
     /*  93497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  93500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93503 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93507 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93514 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93529 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93536 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /*  93539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93554 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93558 */   GIR_RootConstrainSelectedInstOperands,
     /*  93559 */   // GIR_Coverage, 3851,
     /*  93559 */   GIR_EraseRootFromParent_Done,
     /*  93560 */ // Label 1324: @93560
     /*  93560 */ GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(93628), // Rule ID 3863 //
     /*  93565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  93568 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93571 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93575 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93582 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93597 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93604 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /*  93607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93622 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93626 */   GIR_RootConstrainSelectedInstOperands,
     /*  93627 */   // GIR_Coverage, 3863,
     /*  93627 */   GIR_EraseRootFromParent_Done,
     /*  93628 */ // Label 1325: @93628
     /*  93628 */ GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(93696), // Rule ID 3869 //
     /*  93633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  93636 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93639 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93643 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  93650 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93672 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /*  93675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93694 */   GIR_RootConstrainSelectedInstOperands,
     /*  93695 */   // GIR_Coverage, 3869,
     /*  93695 */   GIR_EraseRootFromParent_Done,
     /*  93696 */ // Label 1326: @93696
     /*  93696 */ GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(93764), // Rule ID 3873 //
     /*  93701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  93704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  93707 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93711 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93718 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93729 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93733 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93740 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /*  93743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93762 */   GIR_RootConstrainSelectedInstOperands,
     /*  93763 */   // GIR_Coverage, 3873,
     /*  93763 */   GIR_EraseRootFromParent_Done,
     /*  93764 */ // Label 1327: @93764
     /*  93764 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(93832), // Rule ID 3885 //
     /*  93769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  93772 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93775 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93779 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93786 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93808 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /*  93811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93826 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93830 */   GIR_RootConstrainSelectedInstOperands,
     /*  93831 */   // GIR_Coverage, 3885,
     /*  93831 */   GIR_EraseRootFromParent_Done,
     /*  93832 */ // Label 1328: @93832
     /*  93832 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(93900), // Rule ID 3891 //
     /*  93837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  93840 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93843 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93847 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  93854 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  93865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93876 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  93876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /*  93879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93898 */   GIR_RootConstrainSelectedInstOperands,
     /*  93899 */   // GIR_Coverage, 3891,
     /*  93899 */   GIR_EraseRootFromParent_Done,
     /*  93900 */ // Label 1329: @93900
     /*  93900 */ GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(93968), // Rule ID 3901 //
     /*  93905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93908 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93911 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93915 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  93922 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  93933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  93937 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  93944 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  93944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_t16),
     /*  93947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  93949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  93954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  93959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93962 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  93966 */   GIR_RootConstrainSelectedInstOperands,
     /*  93967 */   // GIR_Coverage, 3901,
     /*  93967 */   GIR_EraseRootFromParent_Done,
     /*  93968 */ // Label 1330: @93968
     /*  93968 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(94036), // Rule ID 3907 //
     /*  93973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  93976 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  93979 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  93983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  93990 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  93997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  94012 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_global>>  =>  (GLOBAL_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_t16),
     /*  94015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94030 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94034 */   GIR_RootConstrainSelectedInstOperands,
     /*  94035 */   // GIR_Coverage, 3907,
     /*  94035 */   GIR_EraseRootFromParent_Done,
     /*  94036 */ // Label 1331: @94036
     /*  94036 */ GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(94093), // Rule ID 3861 //
     /*  94041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /*  94044 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94047 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  94069 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /*  94072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94091 */   GIR_RootConstrainSelectedInstOperands,
     /*  94092 */   // GIR_Coverage, 3861,
     /*  94092 */   GIR_EraseRootFromParent_Done,
     /*  94093 */ // Label 1332: @94093
     /*  94093 */ GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(94150), // Rule ID 3883 //
     /*  94098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /*  94101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94104 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94115 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94119 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  94126 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /*  94129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94148 */   GIR_RootConstrainSelectedInstOperands,
     /*  94149 */   // GIR_Coverage, 3883,
     /*  94149 */   GIR_EraseRootFromParent_Done,
     /*  94150 */ // Label 1333: @94150
     /*  94150 */ GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(94207), // Rule ID 3899 //
     /*  94155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /*  94158 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94161 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94172 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94176 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /*  94183 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_t16),
     /*  94186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94188 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94205 */   GIR_RootConstrainSelectedInstOperands,
     /*  94206 */   // GIR_Coverage, 3899,
     /*  94206 */   GIR_EraseRootFromParent_Done,
     /*  94207 */ // Label 1334: @94207
     /*  94207 */ GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(94276), // Rule ID 3606 //
     /*  94212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /*  94215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94218 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94222 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94229 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94241 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94245 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94252 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /*  94255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94270 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94274 */   GIR_RootConstrainSelectedInstOperands,
     /*  94275 */   // GIR_Coverage, 3606,
     /*  94275 */   GIR_EraseRootFromParent_Done,
     /*  94276 */ // Label 1335: @94276
     /*  94276 */ GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(94345), // Rule ID 3610 //
     /*  94281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /*  94284 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94287 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94291 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94298 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94310 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94314 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94321 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /*  94324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94326 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94331 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94339 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94343 */   GIR_RootConstrainSelectedInstOperands,
     /*  94344 */   // GIR_Coverage, 3610,
     /*  94344 */   GIR_EraseRootFromParent_Done,
     /*  94345 */ // Label 1336: @94345
     /*  94345 */ GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(94414), // Rule ID 3612 //
     /*  94350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /*  94353 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94360 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  94367 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94390 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /*  94393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94412 */   GIR_RootConstrainSelectedInstOperands,
     /*  94413 */   // GIR_Coverage, 3612,
     /*  94413 */   GIR_EraseRootFromParent_Done,
     /*  94414 */ // Label 1337: @94414
     /*  94414 */ GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(94483), // Rule ID 3618 //
     /*  94419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /*  94422 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94425 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94429 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94436 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94459 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /*  94462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94477 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94481 */   GIR_RootConstrainSelectedInstOperands,
     /*  94482 */   // GIR_Coverage, 3618,
     /*  94482 */   GIR_EraseRootFromParent_Done,
     /*  94483 */ // Label 1338: @94483
     /*  94483 */ GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(94552), // Rule ID 3622 //
     /*  94488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /*  94491 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94494 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94498 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94505 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94517 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94521 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94528 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /*  94531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94533 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94546 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94550 */   GIR_RootConstrainSelectedInstOperands,
     /*  94551 */   // GIR_Coverage, 3622,
     /*  94551 */   GIR_EraseRootFromParent_Done,
     /*  94552 */ // Label 1339: @94552
     /*  94552 */ GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(94621), // Rule ID 3624 //
     /*  94557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /*  94560 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94563 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94567 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  94574 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94590 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94597 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /*  94600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94619 */   GIR_RootConstrainSelectedInstOperands,
     /*  94620 */   // GIR_Coverage, 3624,
     /*  94620 */   GIR_EraseRootFromParent_Done,
     /*  94621 */ // Label 1340: @94621
     /*  94621 */ GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(94690), // Rule ID 3630 //
     /*  94626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /*  94629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94632 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94643 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94655 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94659 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94666 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_flat>>  =>  (FLAT_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE_D16_t16),
     /*  94669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94684 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94688 */   GIR_RootConstrainSelectedInstOperands,
     /*  94689 */   // GIR_Coverage, 3630,
     /*  94689 */   GIR_EraseRootFromParent_Done,
     /*  94690 */ // Label 1341: @94690
     /*  94690 */ GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(94759), // Rule ID 3634 //
     /*  94695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /*  94698 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94701 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  94712 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94724 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94728 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94735 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_flat>>  =>  (FLAT_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE_D16_t16),
     /*  94738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94753 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94757 */   GIR_RootConstrainSelectedInstOperands,
     /*  94758 */   // GIR_Coverage, 3634,
     /*  94758 */   GIR_EraseRootFromParent_Done,
     /*  94759 */ // Label 1342: @94759
     /*  94759 */ GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(94828), // Rule ID 3636 //
     /*  94764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /*  94767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  94770 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94774 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  94781 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94793 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94797 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94804 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>><<P:Predicate_atomic_load_nonext_16_flat>>  =>  (FLAT_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SHORT_D16_t16),
     /*  94807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94826 */   GIR_RootConstrainSelectedInstOperands,
     /*  94827 */   // GIR_Coverage, 3636,
     /*  94827 */   GIR_EraseRootFromParent_Done,
     /*  94828 */ // Label 1343: @94828
     /*  94828 */ GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(94886), // Rule ID 3609 //
     /*  94833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /*  94836 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94839 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94851 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94855 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94862 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /*  94865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94880 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94884 */   GIR_RootConstrainSelectedInstOperands,
     /*  94885 */   // GIR_Coverage, 3609,
     /*  94885 */   GIR_EraseRootFromParent_Done,
     /*  94886 */ // Label 1344: @94886
     /*  94886 */ GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(94944), // Rule ID 3621 //
     /*  94891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /*  94894 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94897 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  94909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94920 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  94920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /*  94923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94938 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94942 */   GIR_RootConstrainSelectedInstOperands,
     /*  94943 */   // GIR_Coverage, 3621,
     /*  94943 */   GIR_EraseRootFromParent_Done,
     /*  94944 */ // Label 1345: @94944
     /*  94944 */ GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(95002), // Rule ID 3633 //
     /*  94949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /*  94952 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94955 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  94963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /*  94967 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94971 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /*  94978 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  94978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SHORT_D16_t16),
     /*  94981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  94983 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  94988 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94996 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95000 */   GIR_RootConstrainSelectedInstOperands,
     /*  95001 */   // GIR_Coverage, 3633,
     /*  95001 */   GIR_EraseRootFromParent_Done,
     /*  95002 */ // Label 1346: @95002
     /*  95002 */ GIM_Reject,
     /*  95003 */ // Label 1008: @95003
     /*  95003 */ GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(95070), // Rule ID 2910 //
     /*  95008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  95011 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95014 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95022 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95026 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95030 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95034 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95041 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95064 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95068 */   GIR_RootConstrainSelectedInstOperands,
     /*  95069 */   // GIR_Coverage, 2910,
     /*  95069 */   GIR_EraseRootFromParent_Done,
     /*  95070 */ // Label 1347: @95070
     /*  95070 */ GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(95137), // Rule ID 2963 //
     /*  95075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  95078 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95081 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95089 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95093 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95097 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95101 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95108 */   // (ld:{ *:[f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95135 */   GIR_RootConstrainSelectedInstOperands,
     /*  95136 */   // GIR_Coverage, 2963,
     /*  95136 */   GIR_EraseRootFromParent_Done,
     /*  95137 */ // Label 1348: @95137
     /*  95137 */ GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(95207), // Rule ID 2919 //
     /*  95142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  95145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95148 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95152 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95163 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95167 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi8),
     /*  95171 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95178 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_smrd_extloadi8>>  =>  (S_LOAD_U8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_SGPR_IMM),
     /*  95181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95183 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95188 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95205 */   GIR_RootConstrainSelectedInstOperands,
     /*  95206 */   // GIR_Coverage, 2919,
     /*  95206 */   GIR_EraseRootFromParent_Done,
     /*  95207 */ // Label 1349: @95207
     /*  95207 */ GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(95277), // Rule ID 2934 //
     /*  95212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  95215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95218 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95222 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  95229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95233 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95237 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi16),
     /*  95241 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95248 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_smrd_extloadi16>>  =>  (S_LOAD_U16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_SGPR_IMM),
     /*  95251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95258 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95275 */   GIR_RootConstrainSelectedInstOperands,
     /*  95276 */   // GIR_Coverage, 2934,
     /*  95276 */   GIR_EraseRootFromParent_Done,
     /*  95277 */ // Label 1350: @95277
     /*  95277 */ GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(95340), // Rule ID 2957 //
     /*  95282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  95285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95300 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95304 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95311 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95316 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95321 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95326 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95334 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95338 */   GIR_RootConstrainSelectedInstOperands,
     /*  95339 */   // GIR_Coverage, 2957,
     /*  95339 */   GIR_EraseRootFromParent_Done,
     /*  95340 */ // Label 1351: @95340
     /*  95340 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(95403), // Rule ID 2969 //
     /*  95345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  95348 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95351 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95359 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95363 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /*  95374 */   // (ld:{ *:[f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95401 */   GIR_RootConstrainSelectedInstOperands,
     /*  95402 */   // GIR_Coverage, 2969,
     /*  95402 */   GIR_EraseRootFromParent_Done,
     /*  95403 */ // Label 1352: @95403
     /*  95403 */ GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(95465), // Rule ID 2906 //
     /*  95408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  95411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95414 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95426 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95430 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  95441 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  95444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95459 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95463 */   GIR_RootConstrainSelectedInstOperands,
     /*  95464 */   // GIR_Coverage, 2906,
     /*  95464 */   GIR_EraseRootFromParent_Done,
     /*  95465 */ // Label 1353: @95465
     /*  95465 */ GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(95527), // Rule ID 2907 //
     /*  95470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  95473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95488 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95492 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  95503 */   // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  95506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95521 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95525 */   GIR_RootConstrainSelectedInstOperands,
     /*  95526 */   // GIR_Coverage, 2907,
     /*  95526 */   GIR_EraseRootFromParent_Done,
     /*  95527 */ // Label 1354: @95527
     /*  95527 */ GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(95589), // Rule ID 2908 //
     /*  95532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  95535 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95538 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95546 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95550 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95554 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95558 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  95565 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  95565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  95568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95583 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95587 */   GIR_RootConstrainSelectedInstOperands,
     /*  95588 */   // GIR_Coverage, 2908,
     /*  95588 */   GIR_EraseRootFromParent_Done,
     /*  95589 */ // Label 1355: @95589
     /*  95589 */ GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(95654), // Rule ID 2909 //
     /*  95594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  95597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95600 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95612 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95616 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95620 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  95627 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  95627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95637 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95648 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95652 */   GIR_RootConstrainSelectedInstOperands,
     /*  95653 */   // GIR_Coverage, 2909,
     /*  95653 */   GIR_EraseRootFromParent_Done,
     /*  95654 */ // Label 1356: @95654
     /*  95654 */ GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(95716), // Rule ID 2959 //
     /*  95659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  95662 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95665 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95673 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95677 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95681 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95685 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  95692 */   // (ld:{ *:[f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  95695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95697 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95702 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95714 */   GIR_RootConstrainSelectedInstOperands,
     /*  95715 */   // GIR_Coverage, 2959,
     /*  95715 */   GIR_EraseRootFromParent_Done,
     /*  95716 */ // Label 1357: @95716
     /*  95716 */ GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(95778), // Rule ID 2960 //
     /*  95721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /*  95724 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95727 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95735 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95739 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95743 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95747 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  95754 */   // (ld:{ *:[f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  95757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95764 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95772 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95776 */   GIR_RootConstrainSelectedInstOperands,
     /*  95777 */   // GIR_Coverage, 2960,
     /*  95777 */   GIR_EraseRootFromParent_Done,
     /*  95778 */ // Label 1358: @95778
     /*  95778 */ GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(95840), // Rule ID 2961 //
     /*  95783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /*  95786 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95789 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95801 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95805 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  95816 */   // (ld:{ *:[f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  95816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  95819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95834 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95838 */   GIR_RootConstrainSelectedInstOperands,
     /*  95839 */   // GIR_Coverage, 2961,
     /*  95839 */   GIR_EraseRootFromParent_Done,
     /*  95840 */ // Label 1359: @95840
     /*  95840 */ GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(95905), // Rule ID 2962 //
     /*  95845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /*  95848 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95851 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95863 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  95867 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  95871 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  95878 */   // (ld:{ *:[f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  95878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  95881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95883 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  95893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95899 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95903 */   GIR_RootConstrainSelectedInstOperands,
     /*  95904 */   // GIR_Coverage, 2962,
     /*  95904 */   GIR_EraseRootFromParent_Done,
     /*  95905 */ // Label 1360: @95905
     /*  95905 */ GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(95970), // Rule ID 2917 //
     /*  95910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  95913 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95916 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95920 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95935 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi8),
     /*  95939 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  95946 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_smrd_extloadi8>>  =>  (S_LOAD_U8_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  95946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_IMM),
     /*  95949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  95951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  95956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  95964 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95968 */   GIR_RootConstrainSelectedInstOperands,
     /*  95969 */   // GIR_Coverage, 2917,
     /*  95969 */   GIR_EraseRootFromParent_Done,
     /*  95970 */ // Label 1361: @95970
     /*  95970 */ GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(96038), // Rule ID 2918 //
     /*  95975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  95978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95981 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95985 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  95996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96000 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi8),
     /*  96004 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96011 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_smrd_extloadi8>>  =>  (S_LOAD_U8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_SGPR_IMM),
     /*  96014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96016 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96032 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96036 */   GIR_RootConstrainSelectedInstOperands,
     /*  96037 */   // GIR_Coverage, 2918,
     /*  96037 */   GIR_EraseRootFromParent_Done,
     /*  96038 */ // Label 1362: @96038
     /*  96038 */ GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(96103), // Rule ID 2932 //
     /*  96043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  96046 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96049 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96053 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96064 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96068 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi16),
     /*  96072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  96079 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_smrd_extloadi16>>  =>  (S_LOAD_U16_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  96079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_IMM),
     /*  96082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96097 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96101 */   GIR_RootConstrainSelectedInstOperands,
     /*  96102 */   // GIR_Coverage, 2932,
     /*  96102 */   GIR_EraseRootFromParent_Done,
     /*  96103 */ // Label 1363: @96103
     /*  96103 */ GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(96171), // Rule ID 2933 //
     /*  96108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  96111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96114 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96129 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96133 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi16),
     /*  96137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96144 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_smrd_extloadi16>>  =>  (S_LOAD_U16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_SGPR_IMM),
     /*  96147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96169 */   GIR_RootConstrainSelectedInstOperands,
     /*  96170 */   // GIR_Coverage, 2933,
     /*  96170 */   GIR_EraseRootFromParent_Done,
     /*  96171 */ // Label 1364: @96171
     /*  96171 */ GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(96226), // Rule ID 2953 //
     /*  96176 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96179 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96187 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96191 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  96202 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  96202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96220 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96224 */   GIR_RootConstrainSelectedInstOperands,
     /*  96225 */   // GIR_Coverage, 2953,
     /*  96225 */   GIR_EraseRootFromParent_Done,
     /*  96226 */ // Label 1365: @96226
     /*  96226 */ GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(96284), // Rule ID 2954 //
     /*  96231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  96234 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96237 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96245 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96249 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96253 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  96260 */   // (ld:{ *:[i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  96260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  96263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96278 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96282 */   GIR_RootConstrainSelectedInstOperands,
     /*  96283 */   // GIR_Coverage, 2954,
     /*  96283 */   GIR_EraseRootFromParent_Done,
     /*  96284 */ // Label 1366: @96284
     /*  96284 */ GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(96342), // Rule ID 2955 //
     /*  96289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  96292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96295 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96303 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96307 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96311 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96318 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  96318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  96321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96323 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96340 */   GIR_RootConstrainSelectedInstOperands,
     /*  96341 */   // GIR_Coverage, 2955,
     /*  96341 */   GIR_EraseRootFromParent_Done,
     /*  96342 */ // Label 1367: @96342
     /*  96342 */ GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(96403), // Rule ID 2956 //
     /*  96347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  96350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96353 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96361 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96365 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96369 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96376 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  96379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96386 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96401 */   GIR_RootConstrainSelectedInstOperands,
     /*  96402 */   // GIR_Coverage, 2956,
     /*  96402 */   GIR_EraseRootFromParent_Done,
     /*  96403 */ // Label 1368: @96403
     /*  96403 */ GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(96458), // Rule ID 2965 //
     /*  96408 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96411 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96419 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96423 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96427 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /*  96434 */   // (ld:{ *:[f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  96434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96452 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96456 */   GIR_RootConstrainSelectedInstOperands,
     /*  96457 */   // GIR_Coverage, 2965,
     /*  96457 */   GIR_EraseRootFromParent_Done,
     /*  96458 */ // Label 1369: @96458
     /*  96458 */ GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(96516), // Rule ID 2966 //
     /*  96463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /*  96466 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96469 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96477 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96481 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96485 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /*  96492 */   // (ld:{ *:[f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  96492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /*  96495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96497 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96502 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96510 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96514 */   GIR_RootConstrainSelectedInstOperands,
     /*  96515 */   // GIR_Coverage, 2966,
     /*  96515 */   GIR_EraseRootFromParent_Done,
     /*  96516 */ // Label 1370: @96516
     /*  96516 */ GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(96574), // Rule ID 2967 //
     /*  96521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /*  96524 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96527 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96539 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96550 */   // (ld:{ *:[f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /*  96550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /*  96553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96568 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96572 */   GIR_RootConstrainSelectedInstOperands,
     /*  96573 */   // GIR_Coverage, 2967,
     /*  96573 */   GIR_EraseRootFromParent_Done,
     /*  96574 */ // Label 1371: @96574
     /*  96574 */ GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(96635), // Rule ID 2968 //
     /*  96579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /*  96582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96597 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /*  96608 */   // (ld:{ *:[f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /*  96611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /*  96618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  96623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96629 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96633 */   GIR_RootConstrainSelectedInstOperands,
     /*  96634 */   // GIR_Coverage, 2968,
     /*  96634 */   GIR_EraseRootFromParent_Done,
     /*  96635 */ // Label 1372: @96635
     /*  96635 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(96689), // Rule ID 2911 //
     /*  96640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  96643 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96646 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96654 */   // MIs[0] sbase
     /*  96654 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96662 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96666 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  96670 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96675 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96683 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96687 */   GIR_RootConstrainSelectedInstOperands,
     /*  96688 */   // GIR_Coverage, 2911,
     /*  96688 */   GIR_EraseRootFromParent_Done,
     /*  96689 */ // Label 1373: @96689
     /*  96689 */ GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(96743), // Rule ID 2964 //
     /*  96694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /*  96697 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96700 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96708 */   // MIs[0] sbase
     /*  96708 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96716 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96720 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /*  96724 */   // (ld:{ *:[f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96729 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96741 */   GIR_RootConstrainSelectedInstOperands,
     /*  96742 */   // GIR_Coverage, 2964,
     /*  96742 */   GIR_EraseRootFromParent_Done,
     /*  96743 */ // Label 1374: @96743
     /*  96743 */ GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(96800), // Rule ID 2920 //
     /*  96748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  96751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96769 */   // MIs[0] sbase
     /*  96769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96777 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi8),
     /*  96781 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_smrd_extloadi8>>  =>  (S_LOAD_U8_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_IMM),
     /*  96784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96786 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96794 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96798 */   GIR_RootConstrainSelectedInstOperands,
     /*  96799 */   // GIR_Coverage, 2920,
     /*  96799 */   GIR_EraseRootFromParent_Done,
     /*  96800 */ // Label 1375: @96800
     /*  96800 */ GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(96857), // Rule ID 2935 //
     /*  96805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /*  96808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96811 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96826 */   // MIs[0] sbase
     /*  96826 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96834 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_extloadi16),
     /*  96838 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_smrd_extloadi16>>  =>  (S_LOAD_U16_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_IMM),
     /*  96841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96843 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96855 */   GIR_RootConstrainSelectedInstOperands,
     /*  96856 */   // GIR_Coverage, 2935,
     /*  96856 */   GIR_EraseRootFromParent_Done,
     /*  96857 */ // Label 1376: @96857
     /*  96857 */ GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(96904), // Rule ID 2958 //
     /*  96862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96865 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96873 */   // MIs[0] sbase
     /*  96873 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96881 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96885 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96890 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96902 */   GIR_RootConstrainSelectedInstOperands,
     /*  96903 */   // GIR_Coverage, 2958,
     /*  96903 */   GIR_EraseRootFromParent_Done,
     /*  96904 */ // Label 1377: @96904
     /*  96904 */ GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(96951), // Rule ID 2970 //
     /*  96909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96912 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /*  96920 */   // MIs[0] sbase
     /*  96920 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  96924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /*  96928 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /*  96932 */   // (ld:{ *:[f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  96932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /*  96935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /*  96937 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /*  96939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  96945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96949 */   GIR_RootConstrainSelectedInstOperands,
     /*  96950 */   // GIR_Coverage, 2970,
     /*  96950 */   GIR_EraseRootFromParent_Done,
     /*  96951 */ // Label 1378: @96951
     /*  96951 */ GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(97025), // Rule ID 6507 //
     /*  96956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  96959 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96962 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96966 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96973 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  96978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  96982 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96986 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  96993 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  96993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /*  96996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  96998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97003 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97023 */   GIR_RootConstrainSelectedInstOperands,
     /*  97024 */   // GIR_Coverage, 6507,
     /*  97024 */   GIR_EraseRootFromParent_Done,
     /*  97025 */ // Label 1379: @97025
     /*  97025 */ GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(97099), // Rule ID 6509 //
     /*  97030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  97033 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97036 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97040 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97047 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97056 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97060 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97067 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /*  97070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97072 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97097 */   GIR_RootConstrainSelectedInstOperands,
     /*  97098 */   // GIR_Coverage, 6509,
     /*  97098 */   GIR_EraseRootFromParent_Done,
     /*  97099 */ // Label 1380: @97099
     /*  97099 */ GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(97173), // Rule ID 6531 //
     /*  97104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  97107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97110 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97114 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97121 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97141 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /*  97144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97171 */   GIR_RootConstrainSelectedInstOperands,
     /*  97172 */   // GIR_Coverage, 6531,
     /*  97172 */   GIR_EraseRootFromParent_Done,
     /*  97173 */ // Label 1381: @97173
     /*  97173 */ GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(97247), // Rule ID 6533 //
     /*  97178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  97181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97184 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97188 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97195 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97215 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /*  97218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97241 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97245 */   GIR_RootConstrainSelectedInstOperands,
     /*  97246 */   // GIR_Coverage, 6533,
     /*  97246 */   GIR_EraseRootFromParent_Done,
     /*  97247 */ // Label 1382: @97247
     /*  97247 */ GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(97310), // Rule ID 6543 //
     /*  97252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  97255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97258 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97271 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97278 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  97281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97304 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97308 */   GIR_RootConstrainSelectedInstOperands,
     /*  97309 */   // GIR_Coverage, 6543,
     /*  97309 */   GIR_EraseRootFromParent_Done,
     /*  97310 */ // Label 1383: @97310
     /*  97310 */ GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(97373), // Rule ID 6545 //
     /*  97315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  97318 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97321 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97330 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97334 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97341 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  97344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97346 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97351 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97367 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97371 */   GIR_RootConstrainSelectedInstOperands,
     /*  97372 */   // GIR_Coverage, 6545,
     /*  97372 */   GIR_EraseRootFromParent_Done,
     /*  97373 */ // Label 1384: @97373
     /*  97373 */ GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(97436), // Rule ID 6547 //
     /*  97378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  97381 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97384 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97397 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97404 */   // (ld:{ *:[f32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[f32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /*  97407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97419 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97434 */   GIR_RootConstrainSelectedInstOperands,
     /*  97435 */   // GIR_Coverage, 6547,
     /*  97435 */   GIR_EraseRootFromParent_Done,
     /*  97436 */ // Label 1385: @97436
     /*  97436 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(97499), // Rule ID 6549 //
     /*  97441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  97444 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97447 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97456 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97460 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /*  97467 */   // (ld:{ *:[f32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[f32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  97467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /*  97470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  97472 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  97477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /*  97482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97493 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97497 */   GIR_RootConstrainSelectedInstOperands,
     /*  97498 */   // GIR_Coverage, 6549,
     /*  97498 */   GIR_EraseRootFromParent_Done,
     /*  97499 */ // Label 1386: @97499
     /*  97499 */ GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(97570), // Rule ID 3580 //
     /*  97504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  97507 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97510 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97521 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  97541 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  97541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /*  97544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  97551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  97556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97568 */   GIR_RootConstrainSelectedInstOperands,
     /*  97569 */   // GIR_Coverage, 3580,
     /*  97569 */   GIR_EraseRootFromParent_Done,
     /*  97570 */ // Label 1387: @97570
     /*  97570 */ GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(97641), // Rule ID 4251 //
     /*  97575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  97578 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97581 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97585 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97592 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97601 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97605 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  97612 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (SCRATCH_LOAD_USHORT_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  97612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SVS),
     /*  97615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  97622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  97627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97635 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97639 */   GIR_RootConstrainSelectedInstOperands,
     /*  97640 */   // GIR_Coverage, 4251,
     /*  97640 */   GIR_EraseRootFromParent_Done,
     /*  97641 */ // Label 1388: @97641
     /*  97641 */ GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(97701), // Rule ID 4305 //
     /*  97646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  97649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97652 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  97672 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  97672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  97675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  97682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  97687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97695 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97699 */   GIR_RootConstrainSelectedInstOperands,
     /*  97700 */   // GIR_Coverage, 4305,
     /*  97700 */   GIR_EraseRootFromParent_Done,
     /*  97701 */ // Label 1389: @97701
     /*  97701 */ GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(97761), // Rule ID 4311 //
     /*  97706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /*  97709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97712 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97721 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97725 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /*  97732 */   // (ld:{ *:[f32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /*  97732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /*  97735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97737 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  97742 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /*  97747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  97752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97759 */   GIR_RootConstrainSelectedInstOperands,
     /*  97760 */   // GIR_Coverage, 4311,
     /*  97760 */   GIR_EraseRootFromParent_Done,
     /*  97761 */ // Label 1390: @97761
     /*  97761 */ GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(97827), // Rule ID 3579 //
     /*  97766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  97769 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97772 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97776 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97783 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97796 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  97803 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  97803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /*  97806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  97813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97825 */   GIR_RootConstrainSelectedInstOperands,
     /*  97826 */   // GIR_Coverage, 3579,
     /*  97826 */   GIR_EraseRootFromParent_Done,
     /*  97827 */ // Label 1391: @97827
     /*  97827 */ GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(97893), // Rule ID 4250 //
     /*  97832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  97835 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97838 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97849 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  97869 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (SCRATCH_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  97869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SADDR),
     /*  97872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  97879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97891 */   GIR_RootConstrainSelectedInstOperands,
     /*  97892 */   // GIR_Coverage, 4250,
     /*  97892 */   GIR_EraseRootFromParent_Done,
     /*  97893 */ // Label 1392: @97893
     /*  97893 */ GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(97948), // Rule ID 4304 //
     /*  97898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  97901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97904 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97913 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97917 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  97924 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  97924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  97927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  97934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97946 */   GIR_RootConstrainSelectedInstOperands,
     /*  97947 */   // GIR_Coverage, 4304,
     /*  97947 */   GIR_EraseRootFromParent_Done,
     /*  97948 */ // Label 1393: @97948
     /*  97948 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(98003), // Rule ID 4310 //
     /*  97953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  97956 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97959 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  97964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  97968 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97972 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /*  97979 */   // (ld:{ *:[f32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[f32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /*  97979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /*  97982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  97984 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /*  97989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97997 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98001 */   GIR_RootConstrainSelectedInstOperands,
     /*  98002 */   // GIR_Coverage, 4310,
     /*  98002 */   GIR_EraseRootFromParent_Done,
     /*  98003 */ // Label 1394: @98003
     /*  98003 */ GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(98069), // Rule ID 3578 //
     /*  98008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  98011 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98014 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98018 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98025 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  98030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98034 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98038 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  98045 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  98045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /*  98048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  98050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  98055 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98063 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98067 */   GIR_RootConstrainSelectedInstOperands,
     /*  98068 */   // GIR_Coverage, 3578,
     /*  98068 */   GIR_EraseRootFromParent_Done,
     /*  98069 */ // Label 1395: @98069
     /*  98069 */ GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(98135), // Rule ID 4249 //
     /*  98074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  98077 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98080 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98084 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98091 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  98096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98104 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  98111 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (SCRATCH_LOAD_USHORT:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  98111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT),
     /*  98114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  98116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  98121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98129 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98133 */   GIR_RootConstrainSelectedInstOperands,
     /*  98134 */   // GIR_Coverage, 4249,
     /*  98134 */   GIR_EraseRootFromParent_Done,
     /*  98135 */ // Label 1396: @98135
     /*  98135 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(98190), // Rule ID 4303 //
     /*  98140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  98143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98146 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  98151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98155 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98159 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  98166 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  98166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  98169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  98171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  98176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98184 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98188 */   GIR_RootConstrainSelectedInstOperands,
     /*  98189 */   // GIR_Coverage, 4303,
     /*  98189 */   GIR_EraseRootFromParent_Done,
     /*  98190 */ // Label 1397: @98190
     /*  98190 */ GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(98245), // Rule ID 4309 //
     /*  98195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /*  98198 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98201 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  98206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /*  98221 */   // (ld:{ *:[f32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /*  98221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /*  98224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /*  98226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /*  98231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98239 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98243 */   GIR_RootConstrainSelectedInstOperands,
     /*  98244 */   // GIR_Coverage, 4309,
     /*  98244 */   GIR_EraseRootFromParent_Done,
     /*  98245 */ // Label 1398: @98245
     /*  98245 */ GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(98326), // Rule ID 4493 //
     /*  98250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  98253 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98256 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98260 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98267 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98282 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98289 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /*  98292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98299 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98304 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98324 */   GIR_RootConstrainSelectedInstOperands,
     /*  98325 */   // GIR_Coverage, 4493,
     /*  98325 */   GIR_EraseRootFromParent_Done,
     /*  98326 */ // Label 1399: @98326
     /*  98326 */ GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(98404), // Rule ID 4497 //
     /*  98331 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98334 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98338 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98345 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98356 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98360 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98367 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /*  98370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98398 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98402 */   GIR_RootConstrainSelectedInstOperands,
     /*  98403 */   // GIR_Coverage, 4497,
     /*  98403 */   GIR_EraseRootFromParent_Done,
     /*  98404 */ // Label 1400: @98404
     /*  98404 */ GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(98485), // Rule ID 4503 //
     /*  98409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  98412 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98415 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98419 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98426 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98448 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /*  98451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98479 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98483 */   GIR_RootConstrainSelectedInstOperands,
     /*  98484 */   // GIR_Coverage, 4503,
     /*  98484 */   GIR_EraseRootFromParent_Done,
     /*  98485 */ // Label 1401: @98485
     /*  98485 */ GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(98563), // Rule ID 4505 //
     /*  98490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98493 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98497 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98504 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98515 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98519 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98526 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_ADDR64),
     /*  98529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98561 */   GIR_RootConstrainSelectedInstOperands,
     /*  98562 */   // GIR_Coverage, 4505,
     /*  98562 */   GIR_EraseRootFromParent_Done,
     /*  98563 */ // Label 1402: @98563
     /*  98563 */ GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(98644), // Rule ID 4523 //
     /*  98568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  98571 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98574 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98585 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98596 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98600 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98607 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /*  98610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98642 */   GIR_RootConstrainSelectedInstOperands,
     /*  98643 */   // GIR_Coverage, 4523,
     /*  98643 */   GIR_EraseRootFromParent_Done,
     /*  98644 */ // Label 1403: @98644
     /*  98644 */ GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(98722), // Rule ID 4525 //
     /*  98649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98652 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98663 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98685 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /*  98688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98720 */   GIR_RootConstrainSelectedInstOperands,
     /*  98721 */   // GIR_Coverage, 4525,
     /*  98721 */   GIR_EraseRootFromParent_Done,
     /*  98722 */ // Label 1404: @98722
     /*  98722 */ GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(98803), // Rule ID 4543 //
     /*  98727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  98730 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98733 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98737 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98744 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98755 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98759 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98766 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /*  98769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98797 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98801 */   GIR_RootConstrainSelectedInstOperands,
     /*  98802 */   // GIR_Coverage, 4543,
     /*  98802 */   GIR_EraseRootFromParent_Done,
     /*  98803 */ // Label 1405: @98803
     /*  98803 */ GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(98881), // Rule ID 4545 //
     /*  98808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98811 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98822 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98833 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98844 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  98844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_ADDR64),
     /*  98847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98875 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98879 */   GIR_RootConstrainSelectedInstOperands,
     /*  98880 */   // GIR_Coverage, 4545,
     /*  98880 */   GIR_EraseRootFromParent_Done,
     /*  98881 */ // Label 1406: @98881
     /*  98881 */ GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(98962), // Rule ID 6476 //
     /*  98886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /*  98889 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98892 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  98903 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98914 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98918 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  98925 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_atomic_load_nonext_32_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  98925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  98928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  98930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  98935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  98940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  98945 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  98950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98956 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98960 */   GIR_RootConstrainSelectedInstOperands,
     /*  98961 */   // GIR_Coverage, 6476,
     /*  98961 */   GIR_EraseRootFromParent_Done,
     /*  98962 */ // Label 1407: @98962
     /*  98962 */ GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(99042), // Rule ID 6479 //
     /*  98967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /*  98970 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98973 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98977 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98984 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  98990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  98994 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98998 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99005 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  99005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /*  99008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99025 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99040 */   GIR_RootConstrainSelectedInstOperands,
     /*  99041 */   // GIR_Coverage, 6479,
     /*  99041 */   GIR_EraseRootFromParent_Done,
     /*  99042 */ // Label 1408: @99042
     /*  99042 */ GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(99122), // Rule ID 6482 //
     /*  99047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /*  99050 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99053 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99057 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99064 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  99070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99078 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99085 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_constant>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /*  99085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /*  99088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99105 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99120 */   GIR_RootConstrainSelectedInstOperands,
     /*  99121 */   // GIR_Coverage, 6482,
     /*  99121 */   GIR_EraseRootFromParent_Done,
     /*  99122 */ // Label 1409: @99122
     /*  99122 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(99201), // Rule ID 6506 //
     /*  99127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  99130 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99133 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99137 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99144 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99157 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99164 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFEN),
     /*  99167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99179 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99184 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99195 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99199 */   GIR_RootConstrainSelectedInstOperands,
     /*  99200 */   // GIR_Coverage, 6506,
     /*  99200 */   GIR_EraseRootFromParent_Done,
     /*  99201 */ // Label 1410: @99201
     /*  99201 */ GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(99280), // Rule ID 6508 //
     /*  99206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  99209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99212 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99223 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99243 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFEN),
     /*  99246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99258 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99274 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99278 */   GIR_RootConstrainSelectedInstOperands,
     /*  99279 */   // GIR_Coverage, 6508,
     /*  99279 */   GIR_EraseRootFromParent_Done,
     /*  99280 */ // Label 1411: @99280
     /*  99280 */ GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(99359), // Rule ID 6530 //
     /*  99285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  99288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99291 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99302 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99311 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99315 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99322 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (BUFFER_LOAD_USHORT_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFEN),
     /*  99325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99353 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99357 */   GIR_RootConstrainSelectedInstOperands,
     /*  99358 */   // GIR_Coverage, 6530,
     /*  99358 */   GIR_EraseRootFromParent_Done,
     /*  99359 */ // Label 1412: @99359
     /*  99359 */ GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(99438), // Rule ID 6532 //
     /*  99364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  99367 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99370 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99374 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99381 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99394 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99401 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFEN),
     /*  99404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99436 */   GIR_RootConstrainSelectedInstOperands,
     /*  99437 */   // GIR_Coverage, 6532,
     /*  99437 */   GIR_EraseRootFromParent_Done,
     /*  99438 */ // Label 1413: @99438
     /*  99438 */ GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(99508), // Rule ID 4559 //
     /*  99443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  99446 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99449 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  99456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99464 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99471 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  99471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  99474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99506 */   GIR_RootConstrainSelectedInstOperands,
     /*  99507 */   // GIR_Coverage, 4559,
     /*  99507 */   GIR_EraseRootFromParent_Done,
     /*  99508 */ // Label 1414: @99508
     /*  99508 */ GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(99575), // Rule ID 4561 //
     /*  99513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99516 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  99523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99527 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99531 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99538 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  99538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  99541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99543 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99548 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99569 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99573 */   GIR_RootConstrainSelectedInstOperands,
     /*  99574 */   // GIR_Coverage, 4561,
     /*  99574 */   GIR_EraseRootFromParent_Done,
     /*  99575 */ // Label 1415: @99575
     /*  99575 */ GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(99645), // Rule ID 4563 //
     /*  99580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  99583 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99586 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  99593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99597 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99608 */   // (ld:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  99608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /*  99611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99643 */   GIR_RootConstrainSelectedInstOperands,
     /*  99644 */   // GIR_Coverage, 4563,
     /*  99644 */   GIR_EraseRootFromParent_Done,
     /*  99645 */ // Label 1416: @99645
     /*  99645 */ GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(99712), // Rule ID 4565 //
     /*  99650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99653 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /*  99660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /*  99675 */   // (ld:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /*  99675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /*  99678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99710 */   GIR_RootConstrainSelectedInstOperands,
     /*  99711 */   // GIR_Coverage, 4565,
     /*  99711 */   GIR_EraseRootFromParent_Done,
     /*  99712 */ // Label 1417: @99712
     /*  99712 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(99780), // Rule ID 6542 //
     /*  99717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  99720 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99723 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99743 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  99746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99774 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99778 */   GIR_RootConstrainSelectedInstOperands,
     /*  99779 */   // GIR_Coverage, 6542,
     /*  99779 */   GIR_EraseRootFromParent_Done,
     /*  99780 */ // Label 1418: @99780
     /*  99780 */ GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(99848), // Rule ID 6544 //
     /*  99785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  99788 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99791 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99800 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99804 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99811 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  99814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99846 */   GIR_RootConstrainSelectedInstOperands,
     /*  99847 */   // GIR_Coverage, 6544,
     /*  99847 */   GIR_EraseRootFromParent_Done,
     /*  99848 */ // Label 1419: @99848
     /*  99848 */ GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(99916), // Rule ID 6546 //
     /*  99853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /*  99856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99859 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99879 */   // (ld:{ *:[f32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /*  99882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99899 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99910 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99914 */   GIR_RootConstrainSelectedInstOperands,
     /*  99915 */   // GIR_Coverage, 6546,
     /*  99915 */   GIR_EraseRootFromParent_Done,
     /*  99916 */ // Label 1420: @99916
     /*  99916 */ GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(99984), // Rule ID 6548 //
     /*  99921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /*  99924 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99927 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /*  99932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /*  99936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99940 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /*  99947 */   // (ld:{ *:[f32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /*  99947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /*  99950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /*  99952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /*  99957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /*  99962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /*  99967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /*  99972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99978 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99982 */   GIR_RootConstrainSelectedInstOperands,
     /*  99983 */   // GIR_Coverage, 6548,
     /*  99983 */   GIR_EraseRootFromParent_Done,
     /*  99984 */ // Label 1421: @99984
     /*  99984 */ GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(100060), // Rule ID 4492 //
     /*  99989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /*  99992 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99995 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100006 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100017 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100021 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100028 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 100031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100033 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100038 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100054 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100058 */   GIR_RootConstrainSelectedInstOperands,
     /* 100059 */   // GIR_Coverage, 4492,
     /* 100059 */   GIR_EraseRootFromParent_Done,
     /* 100060 */ // Label 1422: @100060
     /* 100060 */ GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(100133), // Rule ID 4496 //
     /* 100065 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100068 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100072 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100079 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100101 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 100104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100127 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100131 */   GIR_RootConstrainSelectedInstOperands,
     /* 100132 */   // GIR_Coverage, 4496,
     /* 100132 */   GIR_EraseRootFromParent_Done,
     /* 100133 */ // Label 1423: @100133
     /* 100133 */ GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(100209), // Rule ID 4502 //
     /* 100138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 100141 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100144 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100148 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100155 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100177 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 100180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100203 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100207 */   GIR_RootConstrainSelectedInstOperands,
     /* 100208 */   // GIR_Coverage, 4502,
     /* 100208 */   GIR_EraseRootFromParent_Done,
     /* 100209 */ // Label 1424: @100209
     /* 100209 */ GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(100282), // Rule ID 4504 //
     /* 100214 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100217 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100228 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100250 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 100253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100280 */   GIR_RootConstrainSelectedInstOperands,
     /* 100281 */   // GIR_Coverage, 4504,
     /* 100281 */   GIR_EraseRootFromParent_Done,
     /* 100282 */ // Label 1425: @100282
     /* 100282 */ GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(100358), // Rule ID 4522 //
     /* 100287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 100290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100293 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100297 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100304 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100315 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100319 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100326 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 100329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100331 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100341 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100352 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100356 */   GIR_RootConstrainSelectedInstOperands,
     /* 100357 */   // GIR_Coverage, 4522,
     /* 100357 */   GIR_EraseRootFromParent_Done,
     /* 100358 */ // Label 1426: @100358
     /* 100358 */ GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(100431), // Rule ID 4524 //
     /* 100363 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100366 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100370 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100377 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100399 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 100402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100425 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100429 */   GIR_RootConstrainSelectedInstOperands,
     /* 100430 */   // GIR_Coverage, 4524,
     /* 100430 */   GIR_EraseRootFromParent_Done,
     /* 100431 */ // Label 1427: @100431
     /* 100431 */ GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(100507), // Rule ID 4542 //
     /* 100436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 100439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100442 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100446 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100453 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100464 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100468 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100475 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 100478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100501 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100505 */   GIR_RootConstrainSelectedInstOperands,
     /* 100506 */   // GIR_Coverage, 4542,
     /* 100506 */   GIR_EraseRootFromParent_Done,
     /* 100507 */ // Label 1428: @100507
     /* 100507 */ GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(100580), // Rule ID 4544 //
     /* 100512 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100515 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100519 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100526 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100537 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100541 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100548 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 100551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100578 */   GIR_RootConstrainSelectedInstOperands,
     /* 100579 */   // GIR_Coverage, 4544,
     /* 100579 */   GIR_EraseRootFromParent_Done,
     /* 100580 */ // Label 1429: @100580
     /* 100580 */ GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(100645), // Rule ID 4558 //
     /* 100585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 100588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100591 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100602 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100606 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100613 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 100616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100643 */   GIR_RootConstrainSelectedInstOperands,
     /* 100644 */   // GIR_Coverage, 4558,
     /* 100644 */   GIR_EraseRootFromParent_Done,
     /* 100645 */ // Label 1430: @100645
     /* 100645 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(100707), // Rule ID 4560 //
     /* 100650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100653 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100675 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 100678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100701 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100705 */   GIR_RootConstrainSelectedInstOperands,
     /* 100706 */   // GIR_Coverage, 4560,
     /* 100706 */   GIR_EraseRootFromParent_Done,
     /* 100707 */ // Label 1431: @100707
     /* 100707 */ GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(100772), // Rule ID 4562 //
     /* 100712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 100715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100718 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100729 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100733 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100740 */   // (ld:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 100743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100770 */   GIR_RootConstrainSelectedInstOperands,
     /* 100771 */   // GIR_Coverage, 4562,
     /* 100771 */   GIR_EraseRootFromParent_Done,
     /* 100772 */ // Label 1432: @100772
     /* 100772 */ GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(100834), // Rule ID 4564 //
     /* 100777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100780 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 100787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 100802 */   // (ld:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 100802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 100805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 100807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 100812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 100817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100828 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100832 */   GIR_RootConstrainSelectedInstOperands,
     /* 100833 */   // GIR_Coverage, 4564,
     /* 100833 */   GIR_EraseRootFromParent_Done,
     /* 100834 */ // Label 1433: @100834
     /* 100834 */ GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(100900), // Rule ID 8001 //
     /* 100839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 100842 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100845 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100849 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100856 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 100861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 100876 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_extload_glue>><<P:Predicate_extloadi8_glue>><<P:Predicate_extloadi8_local_m0>>  =>  (DS_READ_U8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 100876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 100879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 100881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 100886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100898 */   GIR_RootConstrainSelectedInstOperands,
     /* 100899 */   // GIR_Coverage, 8001,
     /* 100899 */   GIR_EraseRootFromParent_Done,
     /* 100900 */ // Label 1434: @100900
     /* 100900 */ GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(100966), // Rule ID 8002 //
     /* 100905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 100908 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100911 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100915 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100922 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 100927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 100942 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 100942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 100945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 100947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 100952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100960 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100964 */   GIR_RootConstrainSelectedInstOperands,
     /* 100965 */   // GIR_Coverage, 8002,
     /* 100965 */   GIR_EraseRootFromParent_Done,
     /* 100966 */ // Label 1435: @100966
     /* 100966 */ GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(101032), // Rule ID 8009 //
     /* 100971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 100974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100977 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100981 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100988 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 100993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 100997 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101001 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101008 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_extload_glue>><<P:Predicate_extloadi16_glue>><<P:Predicate_extloadi16_local_m0>>  =>  (DS_READ_U16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /* 101011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101030 */   GIR_RootConstrainSelectedInstOperands,
     /* 101031 */   // GIR_Coverage, 8009,
     /* 101031 */   GIR_EraseRootFromParent_Done,
     /* 101032 */ // Label 1436: @101032
     /* 101032 */ GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(101098), // Rule ID 8010 //
     /* 101037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101043 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101047 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101054 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101063 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101067 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101074 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /* 101077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101092 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101096 */   GIR_RootConstrainSelectedInstOperands,
     /* 101097 */   // GIR_Coverage, 8010,
     /* 101097 */   GIR_EraseRootFromParent_Done,
     /* 101098 */ // Label 1437: @101098
     /* 101098 */ GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(101164), // Rule ID 8046 //
     /* 101103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 101106 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101109 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101113 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101120 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101129 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101133 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101140 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext_glue>><<P:Predicate_atomic_load_aext_8_glue>><<P:Predicate_atomic_load_aext_8_local_m0>>  =>  (DS_READ_U8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 101143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101158 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101162 */   GIR_RootConstrainSelectedInstOperands,
     /* 101163 */   // GIR_Coverage, 8046,
     /* 101163 */   GIR_EraseRootFromParent_Done,
     /* 101164 */ // Label 1438: @101164
     /* 101164 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(101230), // Rule ID 8047 //
     /* 101169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101172 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101175 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101179 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101186 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101206 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 101209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101228 */   GIR_RootConstrainSelectedInstOperands,
     /* 101229 */   // GIR_Coverage, 8047,
     /* 101229 */   GIR_EraseRootFromParent_Done,
     /* 101230 */ // Label 1439: @101230
     /* 101230 */ GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(101296), // Rule ID 8064 //
     /* 101235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 101238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101241 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101245 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101252 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101261 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101265 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101272 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext_glue>><<P:Predicate_atomic_load_aext_16_glue>><<P:Predicate_atomic_load_aext_16_local_m0>>  =>  (DS_READ_U16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /* 101275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101290 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101294 */   GIR_RootConstrainSelectedInstOperands,
     /* 101295 */   // GIR_Coverage, 8064,
     /* 101295 */   GIR_EraseRootFromParent_Done,
     /* 101296 */ // Label 1440: @101296
     /* 101296 */ GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(101362), // Rule ID 8065 //
     /* 101301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101304 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101307 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101311 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101318 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101327 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101331 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101338 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /* 101341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101356 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101360 */   GIR_RootConstrainSelectedInstOperands,
     /* 101361 */   // GIR_Coverage, 8065,
     /* 101361 */   GIR_EraseRootFromParent_Done,
     /* 101362 */ // Label 1441: @101362
     /* 101362 */ GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(101428), // Rule ID 8070 //
     /* 101367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 101370 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101373 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101377 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101384 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101397 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101404 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext_glue>><<P:Predicate_atomic_load_nonext_32_glue>><<P:Predicate_atomic_load_nonext_32_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /* 101407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101422 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101426 */   GIR_RootConstrainSelectedInstOperands,
     /* 101427 */   // GIR_Coverage, 8070,
     /* 101427 */   GIR_EraseRootFromParent_Done,
     /* 101428 */ // Label 1442: @101428
     /* 101428 */ GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(101494), // Rule ID 8071 //
     /* 101433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101436 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101439 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101443 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101450 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101459 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101463 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101470 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_atomic_load_nonext_32_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /* 101473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101475 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101488 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101492 */   GIR_RootConstrainSelectedInstOperands,
     /* 101493 */   // GIR_Coverage, 8071,
     /* 101493 */   GIR_EraseRootFromParent_Done,
     /* 101494 */ // Label 1443: @101494
     /* 101494 */ GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(101553), // Rule ID 8026 //
     /* 101499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 101502 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101505 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101509 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101522 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101529 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /* 101532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101547 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101551 */   GIR_RootConstrainSelectedInstOperands,
     /* 101552 */   // GIR_Coverage, 8026,
     /* 101552 */   GIR_EraseRootFromParent_Done,
     /* 101553 */ // Label 1444: @101553
     /* 101553 */ GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(101612), // Rule ID 8028 //
     /* 101558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 101561 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101564 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101568 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101577 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101581 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101588 */   // (AMDGPUld_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /* 101591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101606 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101610 */   GIR_RootConstrainSelectedInstOperands,
     /* 101611 */   // GIR_Coverage, 8028,
     /* 101611 */   GIR_EraseRootFromParent_Done,
     /* 101612 */ // Label 1445: @101612
     /* 101612 */ GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(101667), // Rule ID 8027 //
     /* 101617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101620 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101623 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101632 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101636 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101643 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /* 101646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101665 */   GIR_RootConstrainSelectedInstOperands,
     /* 101666 */   // GIR_Coverage, 8027,
     /* 101666 */   GIR_EraseRootFromParent_Done,
     /* 101667 */ // Label 1446: @101667
     /* 101667 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(101722), // Rule ID 8029 //
     /* 101672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 101675 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101678 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 101683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101687 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101691 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 101698 */   // (ld:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 101698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /* 101701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101703 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 101708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101720 */   GIR_RootConstrainSelectedInstOperands,
     /* 101721 */   // GIR_Coverage, 8029,
     /* 101721 */   GIR_EraseRootFromParent_Done,
     /* 101722 */ // Label 1447: @101722
     /* 101722 */ GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(101795), // Rule ID 3565 //
     /* 101727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 101730 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101733 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101737 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101744 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 101751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101755 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101759 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 101766 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 101766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 101769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 101776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 101781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 101786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101793 */   GIR_RootConstrainSelectedInstOperands,
     /* 101794 */   // GIR_Coverage, 3565,
     /* 101794 */   GIR_EraseRootFromParent_Done,
     /* 101795 */ // Label 1448: @101795
     /* 101795 */ GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(101868), // Rule ID 3834 //
     /* 101800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 101803 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101806 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101817 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 101824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101828 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101832 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 101839 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 101839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 101842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 101849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 101854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 101859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101862 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101866 */   GIR_RootConstrainSelectedInstOperands,
     /* 101867 */   // GIR_Coverage, 3834,
     /* 101867 */   GIR_EraseRootFromParent_Done,
     /* 101868 */ // Label 1449: @101868
     /* 101868 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(101941), // Rule ID 3840 //
     /* 101873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 101876 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101879 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101883 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101890 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 101897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101901 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101905 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 101912 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 101912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 101915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 101922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 101927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 101932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101939 */   GIR_RootConstrainSelectedInstOperands,
     /* 101940 */   // GIR_Coverage, 3840,
     /* 101940 */   GIR_EraseRootFromParent_Done,
     /* 101941 */ // Label 1450: @101941
     /* 101941 */ GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(102014), // Rule ID 3846 //
     /* 101946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 101949 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101952 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101963 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 101970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 101974 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101978 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 101985 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 101985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 101988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 101990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 101995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 102000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 102005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102008 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102012 */   GIR_RootConstrainSelectedInstOperands,
     /* 102013 */   // GIR_Coverage, 3846,
     /* 102013 */   GIR_EraseRootFromParent_Done,
     /* 102014 */ // Label 1451: @102014
     /* 102014 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(102087), // Rule ID 4010 //
     /* 102019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102022 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102025 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102029 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102036 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102047 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102051 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 102058 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_atomic_load_nonext_32_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 102058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /* 102061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 102068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 102073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 102078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102081 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102085 */   GIR_RootConstrainSelectedInstOperands,
     /* 102086 */   // GIR_Coverage, 4010,
     /* 102086 */   GIR_EraseRootFromParent_Done,
     /* 102087 */ // Label 1452: @102087
     /* 102087 */ GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(102149), // Rule ID 3918 //
     /* 102092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102098 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 102120 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 102120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /* 102123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 102130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 102135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 102140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102143 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102147 */   GIR_RootConstrainSelectedInstOperands,
     /* 102148 */   // GIR_Coverage, 3918,
     /* 102148 */   GIR_EraseRootFromParent_Done,
     /* 102149 */ // Label 1453: @102149
     /* 102149 */ GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(102211), // Rule ID 3920 //
     /* 102154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102157 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102160 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102175 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 102182 */   // (ld:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[f32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 102182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /* 102185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 102192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 102197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 102202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102205 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102209 */   GIR_RootConstrainSelectedInstOperands,
     /* 102210 */   // GIR_Coverage, 3920,
     /* 102210 */   GIR_EraseRootFromParent_Done,
     /* 102211 */ // Label 1454: @102211
     /* 102211 */ GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(102279), // Rule ID 3564 //
     /* 102216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102219 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102222 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102226 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102233 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102244 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102248 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102255 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 102258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102273 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102277 */   GIR_RootConstrainSelectedInstOperands,
     /* 102278 */   // GIR_Coverage, 3564,
     /* 102278 */   GIR_EraseRootFromParent_Done,
     /* 102279 */ // Label 1455: @102279
     /* 102279 */ GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(102347), // Rule ID 3833 //
     /* 102284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102287 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102290 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102294 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102301 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102323 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 102326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102345 */   GIR_RootConstrainSelectedInstOperands,
     /* 102346 */   // GIR_Coverage, 3833,
     /* 102346 */   GIR_EraseRootFromParent_Done,
     /* 102347 */ // Label 1456: @102347
     /* 102347 */ GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(102415), // Rule ID 3839 //
     /* 102352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102355 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102358 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102362 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102369 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102391 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 102394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102413 */   GIR_RootConstrainSelectedInstOperands,
     /* 102414 */   // GIR_Coverage, 3839,
     /* 102414 */   GIR_EraseRootFromParent_Done,
     /* 102415 */ // Label 1457: @102415
     /* 102415 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(102483), // Rule ID 3845 //
     /* 102420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102426 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102430 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102437 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102459 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 102462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102477 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102481 */   GIR_RootConstrainSelectedInstOperands,
     /* 102482 */   // GIR_Coverage, 3845,
     /* 102482 */   GIR_EraseRootFromParent_Done,
     /* 102483 */ // Label 1458: @102483
     /* 102483 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(102551), // Rule ID 4009 //
     /* 102488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102491 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102494 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102498 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102505 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102516 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102520 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102527 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_atomic_load_nonext_32_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /* 102530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102545 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102549 */   GIR_RootConstrainSelectedInstOperands,
     /* 102550 */   // GIR_Coverage, 4009,
     /* 102550 */   GIR_EraseRootFromParent_Done,
     /* 102551 */ // Label 1459: @102551
     /* 102551 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(102608), // Rule ID 3917 //
     /* 102556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102562 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102573 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102577 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102584 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /* 102587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102589 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102594 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102602 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102606 */   GIR_RootConstrainSelectedInstOperands,
     /* 102607 */   // GIR_Coverage, 3917,
     /* 102607 */   GIR_EraseRootFromParent_Done,
     /* 102608 */ // Label 1460: @102608
     /* 102608 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(102665), // Rule ID 3919 //
     /* 102613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 102616 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102619 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102630 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102634 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 102641 */   // (ld:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /* 102644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102646 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102659 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102663 */   GIR_RootConstrainSelectedInstOperands,
     /* 102664 */   // GIR_Coverage, 3919,
     /* 102664 */   GIR_EraseRootFromParent_Done,
     /* 102665 */ // Label 1461: @102665
     /* 102665 */ GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(102734), // Rule ID 3593 //
     /* 102670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 102673 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102676 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102680 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102687 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102699 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102703 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 102710 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_atomic_load_aext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 102713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102715 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102720 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102728 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102732 */   GIR_RootConstrainSelectedInstOperands,
     /* 102733 */   // GIR_Coverage, 3593,
     /* 102733 */   GIR_EraseRootFromParent_Done,
     /* 102734 */ // Label 1462: @102734
     /* 102734 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(102803), // Rule ID 3595 //
     /* 102739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 102742 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102745 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102749 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102756 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102772 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 102779 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_atomic_load_aext_16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /* 102782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102797 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102801 */   GIR_RootConstrainSelectedInstOperands,
     /* 102802 */   // GIR_Coverage, 3595,
     /* 102802 */   GIR_EraseRootFromParent_Done,
     /* 102803 */ // Label 1463: @102803
     /* 102803 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(102872), // Rule ID 3597 //
     /* 102808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 102811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102814 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102818 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102825 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102837 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102841 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 102848 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>><<P:Predicate_extloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 102851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102866 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102870 */   GIR_RootConstrainSelectedInstOperands,
     /* 102871 */   // GIR_Coverage, 3597,
     /* 102871 */   GIR_EraseRootFromParent_Done,
     /* 102872 */ // Label 1464: @102872
     /* 102872 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(102941), // Rule ID 3601 //
     /* 102877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 102880 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102883 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102887 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102894 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102910 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 102917 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>><<P:Predicate_extloadi16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /* 102920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102939 */   GIR_RootConstrainSelectedInstOperands,
     /* 102940 */   // GIR_Coverage, 3601,
     /* 102940 */   GIR_EraseRootFromParent_Done,
     /* 102941 */ // Label 1465: @102941
     /* 102941 */ GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(103010), // Rule ID 3642 //
     /* 102946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 102949 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102952 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102963 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 102971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 102975 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102979 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 102986 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_atomic_load_nonext_32_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 102986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /* 102989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 102991 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 102996 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103008 */   GIR_RootConstrainSelectedInstOperands,
     /* 103009 */   // GIR_Coverage, 3642,
     /* 103009 */   GIR_EraseRootFromParent_Done,
     /* 103010 */ // Label 1466: @103010
     /* 103010 */ GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(103068), // Rule ID 3646 //
     /* 103015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 103018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103021 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 103029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 103033 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103037 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 103044 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 103044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /* 103047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 103049 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 103054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103066 */   GIR_RootConstrainSelectedInstOperands,
     /* 103067 */   // GIR_Coverage, 3646,
     /* 103067 */   GIR_EraseRootFromParent_Done,
     /* 103068 */ // Label 1467: @103068
     /* 103068 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(103126), // Rule ID 3648 //
     /* 103073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 103076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103079 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 103087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 103091 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103095 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 103102 */   // (ld:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 103102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /* 103105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 103107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 103112 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103124 */   GIR_RootConstrainSelectedInstOperands,
     /* 103125 */   // GIR_Coverage, 3648,
     /* 103125 */   GIR_EraseRootFromParent_Done,
     /* 103126 */ // Label 1468: @103126
     /* 103126 */ GIM_Reject,
     /* 103127 */ // Label 1009: @103127
     /* 103127 */ GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(103194), // Rule ID 3064 //
     /* 103132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103135 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103138 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103146 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103150 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103154 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103165 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103192 */   GIR_RootConstrainSelectedInstOperands,
     /* 103193 */   // GIR_Coverage, 3064,
     /* 103193 */   GIR_EraseRootFromParent_Done,
     /* 103194 */ // Label 1469: @103194
     /* 103194 */ GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(103261), // Rule ID 3098 //
     /* 103199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103202 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103205 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103217 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103221 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103225 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103232 */   // (ld:{ *:[f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103255 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103259 */   GIR_RootConstrainSelectedInstOperands,
     /* 103260 */   // GIR_Coverage, 3098,
     /* 103260 */   GIR_EraseRootFromParent_Done,
     /* 103261 */ // Label 1470: @103261
     /* 103261 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(103328), // Rule ID 8544 //
     /* 103266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103269 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103272 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103284 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103288 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103292 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103299 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103304 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103326 */   GIR_RootConstrainSelectedInstOperands,
     /* 103327 */   // GIR_Coverage, 8544,
     /* 103327 */   GIR_EraseRootFromParent_Done,
     /* 103328 */ // Label 1471: @103328
     /* 103328 */ GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(103391), // Rule ID 3069 //
     /* 103333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103339 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103351 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103355 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103362 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 103365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103367 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103385 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103389 */   GIR_RootConstrainSelectedInstOperands,
     /* 103390 */   // GIR_Coverage, 3069,
     /* 103390 */   GIR_EraseRootFromParent_Done,
     /* 103391 */ // Label 1472: @103391
     /* 103391 */ GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(103454), // Rule ID 3103 //
     /* 103396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103399 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103402 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103410 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103414 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103418 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103425 */   // (ld:{ *:[f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 103428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103452 */   GIR_RootConstrainSelectedInstOperands,
     /* 103453 */   // GIR_Coverage, 3103,
     /* 103453 */   GIR_EraseRootFromParent_Done,
     /* 103454 */ // Label 1473: @103454
     /* 103454 */ GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(103517), // Rule ID 8549 //
     /* 103459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103462 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103477 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103488 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 103491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103511 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103515 */   GIR_RootConstrainSelectedInstOperands,
     /* 103516 */   // GIR_Coverage, 8549,
     /* 103516 */   GIR_EraseRootFromParent_Done,
     /* 103517 */ // Label 1474: @103517
     /* 103517 */ GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(103580), // Rule ID 3075 //
     /* 103522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 103525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103528 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103536 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103540 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103551 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103578 */   GIR_RootConstrainSelectedInstOperands,
     /* 103579 */   // GIR_Coverage, 3075,
     /* 103579 */   GIR_EraseRootFromParent_Done,
     /* 103580 */ // Label 1475: @103580
     /* 103580 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(103643), // Rule ID 3109 //
     /* 103585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 103588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103591 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103599 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103603 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103614 */   // (ld:{ *:[f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103637 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103641 */   GIR_RootConstrainSelectedInstOperands,
     /* 103642 */   // GIR_Coverage, 3109,
     /* 103642 */   GIR_EraseRootFromParent_Done,
     /* 103643 */ // Label 1476: @103643
     /* 103643 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(103706), // Rule ID 8555 //
     /* 103648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 103651 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103654 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103662 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103666 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103670 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 103677 */   // (ld:{ *:[i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103692 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 103697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103704 */   GIR_RootConstrainSelectedInstOperands,
     /* 103705 */   // GIR_Coverage, 8555,
     /* 103705 */   GIR_EraseRootFromParent_Done,
     /* 103706 */ // Label 1477: @103706
     /* 103706 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(103768), // Rule ID 3060 //
     /* 103711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 103714 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103717 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103725 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103729 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103733 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103737 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 103744 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 103747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103762 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103766 */   GIR_RootConstrainSelectedInstOperands,
     /* 103767 */   // GIR_Coverage, 3060,
     /* 103767 */   GIR_EraseRootFromParent_Done,
     /* 103768 */ // Label 1478: @103768
     /* 103768 */ GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(103830), // Rule ID 3061 //
     /* 103773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 103776 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103779 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103787 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103791 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103795 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 103806 */   // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 103809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103828 */   GIR_RootConstrainSelectedInstOperands,
     /* 103829 */   // GIR_Coverage, 3061,
     /* 103829 */   GIR_EraseRootFromParent_Done,
     /* 103830 */ // Label 1479: @103830
     /* 103830 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(103892), // Rule ID 3062 //
     /* 103835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 103838 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103841 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103849 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103853 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103857 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103861 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 103868 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 103868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 103871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103886 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103890 */   GIR_RootConstrainSelectedInstOperands,
     /* 103891 */   // GIR_Coverage, 3062,
     /* 103891 */   GIR_EraseRootFromParent_Done,
     /* 103892 */ // Label 1480: @103892
     /* 103892 */ GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(103957), // Rule ID 3063 //
     /* 103897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 103900 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103903 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103911 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103915 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103919 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 103930 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 103930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 103933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 103935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 103940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 103945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103955 */   GIR_RootConstrainSelectedInstOperands,
     /* 103956 */   // GIR_Coverage, 3063,
     /* 103956 */   GIR_EraseRootFromParent_Done,
     /* 103957 */ // Label 1481: @103957
     /* 103957 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(104019), // Rule ID 3094 //
     /* 103962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 103965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103968 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 103976 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103980 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 103984 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 103988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 103995 */   // (ld:{ *:[f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 103995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 103998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104013 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104017 */   GIR_RootConstrainSelectedInstOperands,
     /* 104018 */   // GIR_Coverage, 3094,
     /* 104018 */   GIR_EraseRootFromParent_Done,
     /* 104019 */ // Label 1482: @104019
     /* 104019 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(104081), // Rule ID 3095 //
     /* 104024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 104027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104038 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104042 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104046 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104050 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 104057 */   // (ld:{ *:[f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 104060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104079 */   GIR_RootConstrainSelectedInstOperands,
     /* 104080 */   // GIR_Coverage, 3095,
     /* 104080 */   GIR_EraseRootFromParent_Done,
     /* 104081 */ // Label 1483: @104081
     /* 104081 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(104143), // Rule ID 3096 //
     /* 104086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 104089 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104104 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104108 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104112 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104119 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 104119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 104122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104137 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104141 */   GIR_RootConstrainSelectedInstOperands,
     /* 104142 */   // GIR_Coverage, 3096,
     /* 104142 */   GIR_EraseRootFromParent_Done,
     /* 104143 */ // Label 1484: @104143
     /* 104143 */ GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(104208), // Rule ID 3097 //
     /* 104148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 104151 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104154 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104162 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104166 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104170 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104174 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104181 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 104181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 104184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104191 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104206 */   GIR_RootConstrainSelectedInstOperands,
     /* 104207 */   // GIR_Coverage, 3097,
     /* 104207 */   GIR_EraseRootFromParent_Done,
     /* 104208 */ // Label 1485: @104208
     /* 104208 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(104270), // Rule ID 8540 //
     /* 104213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 104216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104219 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104231 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104235 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 104246 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 104249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104264 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104268 */   GIR_RootConstrainSelectedInstOperands,
     /* 104269 */   // GIR_Coverage, 8540,
     /* 104269 */   GIR_EraseRootFromParent_Done,
     /* 104270 */ // Label 1486: @104270
     /* 104270 */ GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(104332), // Rule ID 8541 //
     /* 104275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 104278 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104281 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104289 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104293 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104297 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104301 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 104308 */   // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 104311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104318 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104326 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104330 */   GIR_RootConstrainSelectedInstOperands,
     /* 104331 */   // GIR_Coverage, 8541,
     /* 104331 */   GIR_EraseRootFromParent_Done,
     /* 104332 */ // Label 1487: @104332
     /* 104332 */ GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(104394), // Rule ID 8542 //
     /* 104337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 104340 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104343 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104351 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104355 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104359 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104363 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104370 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 104370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 104373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104388 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104392 */   GIR_RootConstrainSelectedInstOperands,
     /* 104393 */   // GIR_Coverage, 8542,
     /* 104393 */   GIR_EraseRootFromParent_Done,
     /* 104394 */ // Label 1488: @104394
     /* 104394 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(104459), // Rule ID 8543 //
     /* 104399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 104402 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104405 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104413 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104417 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104421 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 104425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104432 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 104432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 104435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104453 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104457 */   GIR_RootConstrainSelectedInstOperands,
     /* 104458 */   // GIR_Coverage, 8543,
     /* 104458 */   GIR_EraseRootFromParent_Done,
     /* 104459 */ // Label 1489: @104459
     /* 104459 */ GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(104517), // Rule ID 3066 //
     /* 104464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 104467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104470 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104478 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104482 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104486 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 104493 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 104496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104511 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104515 */   GIR_RootConstrainSelectedInstOperands,
     /* 104516 */   // GIR_Coverage, 3066,
     /* 104516 */   GIR_EraseRootFromParent_Done,
     /* 104517 */ // Label 1490: @104517
     /* 104517 */ GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(104575), // Rule ID 3067 //
     /* 104522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 104525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104528 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104536 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104540 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104551 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 104551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 104554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104569 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104573 */   GIR_RootConstrainSelectedInstOperands,
     /* 104574 */   // GIR_Coverage, 3067,
     /* 104574 */   GIR_EraseRootFromParent_Done,
     /* 104575 */ // Label 1491: @104575
     /* 104575 */ GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(104636), // Rule ID 3068 //
     /* 104580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 104583 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104586 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104598 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104609 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 104609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 104612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104634 */   GIR_RootConstrainSelectedInstOperands,
     /* 104635 */   // GIR_Coverage, 3068,
     /* 104635 */   GIR_EraseRootFromParent_Done,
     /* 104636 */ // Label 1492: @104636
     /* 104636 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(104694), // Rule ID 3100 //
     /* 104641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 104644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104647 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104655 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104659 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104663 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 104670 */   // (ld:{ *:[f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 104673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104688 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104692 */   GIR_RootConstrainSelectedInstOperands,
     /* 104693 */   // GIR_Coverage, 3100,
     /* 104693 */   GIR_EraseRootFromParent_Done,
     /* 104694 */ // Label 1493: @104694
     /* 104694 */ GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(104752), // Rule ID 3101 //
     /* 104699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 104702 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104705 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104713 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104717 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104728 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 104728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 104731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104750 */   GIR_RootConstrainSelectedInstOperands,
     /* 104751 */   // GIR_Coverage, 3101,
     /* 104751 */   GIR_EraseRootFromParent_Done,
     /* 104752 */ // Label 1494: @104752
     /* 104752 */ GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(104813), // Rule ID 3102 //
     /* 104757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 104760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104763 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104771 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104775 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104779 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104786 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 104786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 104789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104791 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104807 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104811 */   GIR_RootConstrainSelectedInstOperands,
     /* 104812 */   // GIR_Coverage, 3102,
     /* 104812 */   GIR_EraseRootFromParent_Done,
     /* 104813 */ // Label 1495: @104813
     /* 104813 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(104871), // Rule ID 8546 //
     /* 104818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 104821 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104824 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104836 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104840 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 104847 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 104847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 104850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104852 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104865 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104869 */   GIR_RootConstrainSelectedInstOperands,
     /* 104870 */   // GIR_Coverage, 8546,
     /* 104870 */   GIR_EraseRootFromParent_Done,
     /* 104871 */ // Label 1496: @104871
     /* 104871 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(104929), // Rule ID 8547 //
     /* 104876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 104879 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104882 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104894 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104905 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 104905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 104908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104923 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104927 */   GIR_RootConstrainSelectedInstOperands,
     /* 104928 */   // GIR_Coverage, 8547,
     /* 104928 */   GIR_EraseRootFromParent_Done,
     /* 104929 */ // Label 1497: @104929
     /* 104929 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(104990), // Rule ID 8548 //
     /* 104934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 104937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 104948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104952 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 104956 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 104963 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 104963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 104966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 104968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 104973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 104978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104984 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104988 */   GIR_RootConstrainSelectedInstOperands,
     /* 104989 */   // GIR_Coverage, 8548,
     /* 104989 */   GIR_EraseRootFromParent_Done,
     /* 104990 */ // Label 1498: @104990
     /* 104990 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(105058), // Rule ID 8260 //
     /* 104995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 104998 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105001 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105005 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105010 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 105019 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105023 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 105027 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 105034 */   // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 105034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 105037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 105039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 105044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105052 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105056 */   GIR_RootConstrainSelectedInstOperands,
     /* 105057 */   // GIR_Coverage, 8260,
     /* 105057 */   GIR_EraseRootFromParent_Done,
     /* 105058 */ // Label 1499: @105058
     /* 105058 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(105126), // Rule ID 8264 //
     /* 105063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 105066 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105069 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105073 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105078 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 105087 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105091 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 105095 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 105102 */   // (AMDGPUld_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 105102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 105105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 105107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 105112 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105124 */   GIR_RootConstrainSelectedInstOperands,
     /* 105125 */   // GIR_Coverage, 8264,
     /* 105125 */   GIR_EraseRootFromParent_Done,
     /* 105126 */ // Label 1500: @105126
     /* 105126 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(105189), // Rule ID 8192 //
     /* 105131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 105134 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105137 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105141 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105146 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 105150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 105154 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 105165 */   // (AMDGPUld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 105165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 105168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 105170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 105175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105183 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105187 */   GIR_RootConstrainSelectedInstOperands,
     /* 105188 */   // GIR_Coverage, 8192,
     /* 105188 */   GIR_EraseRootFromParent_Done,
     /* 105189 */ // Label 1501: @105189
     /* 105189 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(105252), // Rule ID 8196 //
     /* 105194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 105197 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105200 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105204 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105209 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 105213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 105217 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105221 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 105228 */   // (AMDGPUld_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 105228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 105231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 105233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 105238 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105246 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105250 */   GIR_RootConstrainSelectedInstOperands,
     /* 105251 */   // GIR_Coverage, 8196,
     /* 105251 */   GIR_EraseRootFromParent_Done,
     /* 105252 */ // Label 1502: @105252
     /* 105252 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(105307), // Rule ID 3071 //
     /* 105257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105272 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105276 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 105283 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 105286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105301 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105305 */   GIR_RootConstrainSelectedInstOperands,
     /* 105306 */   // GIR_Coverage, 3071,
     /* 105306 */   GIR_EraseRootFromParent_Done,
     /* 105307 */ // Label 1503: @105307
     /* 105307 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(105365), // Rule ID 3072 //
     /* 105312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 105315 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105326 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105330 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105334 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 105341 */   // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 105344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105346 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105351 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105363 */   GIR_RootConstrainSelectedInstOperands,
     /* 105364 */   // GIR_Coverage, 3072,
     /* 105364 */   GIR_EraseRootFromParent_Done,
     /* 105365 */ // Label 1504: @105365
     /* 105365 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(105423), // Rule ID 3073 //
     /* 105370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 105373 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105376 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105388 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105399 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 105399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 105402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105417 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105421 */   GIR_RootConstrainSelectedInstOperands,
     /* 105422 */   // GIR_Coverage, 3073,
     /* 105422 */   GIR_EraseRootFromParent_Done,
     /* 105423 */ // Label 1505: @105423
     /* 105423 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(105484), // Rule ID 3074 //
     /* 105428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 105431 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105434 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105446 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105450 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105457 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 105457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 105460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105467 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105478 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105482 */   GIR_RootConstrainSelectedInstOperands,
     /* 105483 */   // GIR_Coverage, 3074,
     /* 105483 */   GIR_EraseRootFromParent_Done,
     /* 105484 */ // Label 1506: @105484
     /* 105484 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(105539), // Rule ID 3105 //
     /* 105489 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105492 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105500 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105504 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105508 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 105515 */   // (ld:{ *:[f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 105518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105537 */   GIR_RootConstrainSelectedInstOperands,
     /* 105538 */   // GIR_Coverage, 3105,
     /* 105538 */   GIR_EraseRootFromParent_Done,
     /* 105539 */ // Label 1507: @105539
     /* 105539 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(105597), // Rule ID 3106 //
     /* 105544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 105547 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105550 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105558 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105562 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105566 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 105573 */   // (ld:{ *:[f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 105576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105591 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105595 */   GIR_RootConstrainSelectedInstOperands,
     /* 105596 */   // GIR_Coverage, 3106,
     /* 105596 */   GIR_EraseRootFromParent_Done,
     /* 105597 */ // Label 1508: @105597
     /* 105597 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(105655), // Rule ID 3107 //
     /* 105602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 105605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105608 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105616 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105620 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105624 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105631 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 105631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 105634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105636 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105649 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105653 */   GIR_RootConstrainSelectedInstOperands,
     /* 105654 */   // GIR_Coverage, 3107,
     /* 105654 */   GIR_EraseRootFromParent_Done,
     /* 105655 */ // Label 1509: @105655
     /* 105655 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(105716), // Rule ID 3108 //
     /* 105660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 105663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105678 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105682 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105689 */   // (ld:{ *:[f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 105689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 105692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105714 */   GIR_RootConstrainSelectedInstOperands,
     /* 105715 */   // GIR_Coverage, 3108,
     /* 105715 */   GIR_EraseRootFromParent_Done,
     /* 105716 */ // Label 1510: @105716
     /* 105716 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(105771), // Rule ID 8551 //
     /* 105721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105724 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105736 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105740 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 105747 */   // (ld:{ *:[i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 105750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105752 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105757 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105765 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105769 */   GIR_RootConstrainSelectedInstOperands,
     /* 105770 */   // GIR_Coverage, 8551,
     /* 105770 */   GIR_EraseRootFromParent_Done,
     /* 105771 */ // Label 1511: @105771
     /* 105771 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(105829), // Rule ID 8552 //
     /* 105776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 105779 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105782 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105794 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105798 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 105805 */   // (ld:{ *:[i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 105805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 105808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105827 */   GIR_RootConstrainSelectedInstOperands,
     /* 105828 */   // GIR_Coverage, 8552,
     /* 105828 */   GIR_EraseRootFromParent_Done,
     /* 105829 */ // Label 1512: @105829
     /* 105829 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(105887), // Rule ID 8553 //
     /* 105834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 105837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105852 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105856 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105863 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 105863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 105866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105881 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105885 */   GIR_RootConstrainSelectedInstOperands,
     /* 105886 */   // GIR_Coverage, 8553,
     /* 105886 */   GIR_EraseRootFromParent_Done,
     /* 105887 */ // Label 1513: @105887
     /* 105887 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(105948), // Rule ID 8554 //
     /* 105892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 105895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 105906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105910 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 105914 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 105921 */   // (ld:{ *:[i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 105921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 105924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 105926 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 105931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 105936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105946 */   GIR_RootConstrainSelectedInstOperands,
     /* 105947 */   // GIR_Coverage, 8554,
     /* 105947 */   GIR_EraseRootFromParent_Done,
     /* 105948 */ // Label 1514: @105948
     /* 105948 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(106012), // Rule ID 8261 //
     /* 105953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 105956 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105959 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105964 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 105969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 105973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105977 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 105981 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 105988 */   // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 105988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 105991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 105993 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 105998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106006 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106010 */   GIR_RootConstrainSelectedInstOperands,
     /* 106011 */   // GIR_Coverage, 8261,
     /* 106011 */   GIR_EraseRootFromParent_Done,
     /* 106012 */ // Label 1515: @106012
     /* 106012 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(106076), // Rule ID 8265 //
     /* 106017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 106020 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106023 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 106028 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 106033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106037 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106041 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 106045 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 106052 */   // (ld:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 106052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 106055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 106062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106070 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106074 */   GIR_RootConstrainSelectedInstOperands,
     /* 106075 */   // GIR_Coverage, 8265,
     /* 106075 */   GIR_EraseRootFromParent_Done,
     /* 106076 */ // Label 1516: @106076
     /* 106076 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(106135), // Rule ID 8193 //
     /* 106081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 106084 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106087 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 106092 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 106096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106104 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 106111 */   // (ld:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 106111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 106114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 106121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106129 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106133 */   GIR_RootConstrainSelectedInstOperands,
     /* 106134 */   // GIR_Coverage, 8193,
     /* 106134 */   GIR_EraseRootFromParent_Done,
     /* 106135 */ // Label 1517: @106135
     /* 106135 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(106194), // Rule ID 8197 //
     /* 106140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 106143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106146 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 106151 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 106155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106159 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106163 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 106170 */   // (ld:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 106170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 106173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 106180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106192 */   GIR_RootConstrainSelectedInstOperands,
     /* 106193 */   // GIR_Coverage, 8197,
     /* 106193 */   GIR_EraseRootFromParent_Done,
     /* 106194 */ // Label 1518: @106194
     /* 106194 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(106248), // Rule ID 3065 //
     /* 106199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106202 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106205 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106213 */   // MIs[0] sbase
     /* 106213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106221 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106225 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 106229 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106234 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106242 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106246 */   GIR_RootConstrainSelectedInstOperands,
     /* 106247 */   // GIR_Coverage, 3065,
     /* 106247 */   GIR_EraseRootFromParent_Done,
     /* 106248 */ // Label 1519: @106248
     /* 106248 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(106302), // Rule ID 3099 //
     /* 106253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106256 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106259 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106267 */   // MIs[0] sbase
     /* 106267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106275 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106279 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 106283 */   // (ld:{ *:[f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106288 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106296 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106300 */   GIR_RootConstrainSelectedInstOperands,
     /* 106301 */   // GIR_Coverage, 3099,
     /* 106301 */   GIR_EraseRootFromParent_Done,
     /* 106302 */ // Label 1520: @106302
     /* 106302 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(106356), // Rule ID 8545 //
     /* 106307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106310 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106313 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106321 */   // MIs[0] sbase
     /* 106321 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106329 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106333 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 106337 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106342 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106350 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106354 */   GIR_RootConstrainSelectedInstOperands,
     /* 106355 */   // GIR_Coverage, 8545,
     /* 106355 */   GIR_EraseRootFromParent_Done,
     /* 106356 */ // Label 1521: @106356
     /* 106356 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(106406), // Rule ID 3070 //
     /* 106361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106364 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106367 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106375 */   // MIs[0] sbase
     /* 106375 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106383 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106387 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 106390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106392 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106400 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106404 */   GIR_RootConstrainSelectedInstOperands,
     /* 106405 */   // GIR_Coverage, 3070,
     /* 106405 */   GIR_EraseRootFromParent_Done,
     /* 106406 */ // Label 1522: @106406
     /* 106406 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(106456), // Rule ID 3104 //
     /* 106411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106414 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106417 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106425 */   // MIs[0] sbase
     /* 106425 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106433 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106437 */   // (ld:{ *:[f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 106440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106442 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106450 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106454 */   GIR_RootConstrainSelectedInstOperands,
     /* 106455 */   // GIR_Coverage, 3104,
     /* 106455 */   GIR_EraseRootFromParent_Done,
     /* 106456 */ // Label 1523: @106456
     /* 106456 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(106506), // Rule ID 8550 //
     /* 106461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 106464 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106467 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106475 */   // MIs[0] sbase
     /* 106475 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106483 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106487 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 106490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106492 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106504 */   GIR_RootConstrainSelectedInstOperands,
     /* 106505 */   // GIR_Coverage, 8550,
     /* 106505 */   GIR_EraseRootFromParent_Done,
     /* 106506 */ // Label 1524: @106506
     /* 106506 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(106553), // Rule ID 3076 //
     /* 106511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106514 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106522 */   // MIs[0] sbase
     /* 106522 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106530 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106534 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106539 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106547 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106551 */   GIR_RootConstrainSelectedInstOperands,
     /* 106552 */   // GIR_Coverage, 3076,
     /* 106552 */   GIR_EraseRootFromParent_Done,
     /* 106553 */ // Label 1525: @106553
     /* 106553 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(106600), // Rule ID 3110 //
     /* 106558 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106561 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106569 */   // MIs[0] sbase
     /* 106569 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106577 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106581 */   // (ld:{ *:[f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106586 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106594 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106598 */   GIR_RootConstrainSelectedInstOperands,
     /* 106599 */   // GIR_Coverage, 3110,
     /* 106599 */   GIR_EraseRootFromParent_Done,
     /* 106600 */ // Label 1526: @106600
     /* 106600 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(106647), // Rule ID 8556 //
     /* 106605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106608 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 106616 */   // MIs[0] sbase
     /* 106616 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 106624 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 106628 */   // (ld:{ *:[i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 106628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 106631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 106633 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 106635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106641 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106645 */   GIR_RootConstrainSelectedInstOperands,
     /* 106646 */   // GIR_Coverage, 8556,
     /* 106646 */   GIR_EraseRootFromParent_Done,
     /* 106647 */ // Label 1527: @106647
     /* 106647 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(106707), // Rule ID 4353 //
     /* 106652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 106655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106658 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 106678 */   // (ld:{ *:[i64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 106678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 106681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 106688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 106693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 106698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106701 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106705 */   GIR_RootConstrainSelectedInstOperands,
     /* 106706 */   // GIR_Coverage, 4353,
     /* 106706 */   GIR_EraseRootFromParent_Done,
     /* 106707 */ // Label 1528: @106707
     /* 106707 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(106767), // Rule ID 4359 //
     /* 106712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 106715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106718 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106727 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 106738 */   // (ld:{ *:[f64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[f64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 106738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 106741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 106748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 106753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 106758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106761 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106765 */   GIR_RootConstrainSelectedInstOperands,
     /* 106766 */   // GIR_Coverage, 4359,
     /* 106766 */   GIR_EraseRootFromParent_Done,
     /* 106767 */ // Label 1529: @106767
     /* 106767 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(106822), // Rule ID 4352 //
     /* 106772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 106775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106778 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106787 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106791 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 106798 */   // (ld:{ *:[i64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 106798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 106801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 106808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106820 */   GIR_RootConstrainSelectedInstOperands,
     /* 106821 */   // GIR_Coverage, 4352,
     /* 106821 */   GIR_EraseRootFromParent_Done,
     /* 106822 */ // Label 1530: @106822
     /* 106822 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(106877), // Rule ID 4358 //
     /* 106827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 106830 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106833 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106842 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 106853 */   // (ld:{ *:[f64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[f64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 106853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 106856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 106863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106871 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106875 */   GIR_RootConstrainSelectedInstOperands,
     /* 106876 */   // GIR_Coverage, 4358,
     /* 106876 */   GIR_EraseRootFromParent_Done,
     /* 106877 */ // Label 1531: @106877
     /* 106877 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(106932), // Rule ID 4351 //
     /* 106882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 106885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106888 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106897 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106901 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 106908 */   // (ld:{ *:[i64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 106908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 106911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 106918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106926 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106930 */   GIR_RootConstrainSelectedInstOperands,
     /* 106931 */   // GIR_Coverage, 4351,
     /* 106931 */   GIR_EraseRootFromParent_Done,
     /* 106932 */ // Label 1532: @106932
     /* 106932 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(106987), // Rule ID 4357 //
     /* 106937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 106940 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106943 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 106948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 106952 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106956 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 106963 */   // (ld:{ *:[f64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[f64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 106963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 106966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 106968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 106973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106985 */   GIR_RootConstrainSelectedInstOperands,
     /* 106986 */   // GIR_Coverage, 4357,
     /* 106986 */   GIR_EraseRootFromParent_Done,
     /* 106987 */ // Label 1533: @106987
     /* 106987 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(107068), // Rule ID 6484 //
     /* 106992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 106995 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 106998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 107009 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107020 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 107031 */   // (atomic_load:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_atomic_load_nonext_64_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 107031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 107034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 107041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 107051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 107056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107066 */   GIR_RootConstrainSelectedInstOperands,
     /* 107067 */   // GIR_Coverage, 6484,
     /* 107067 */   GIR_EraseRootFromParent_Done,
     /* 107068 */ // Label 1534: @107068
     /* 107068 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(107138), // Rule ID 4591 //
     /* 107073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 107076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107079 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 107101 */   // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 107104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 107111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 107121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 107126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107132 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107136 */   GIR_RootConstrainSelectedInstOperands,
     /* 107137 */   // GIR_Coverage, 4591,
     /* 107137 */   GIR_EraseRootFromParent_Done,
     /* 107138 */ // Label 1535: @107138
     /* 107138 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(107205), // Rule ID 4593 //
     /* 107143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107146 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107157 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107161 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 107168 */   // (ld:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 107171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 107178 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107183 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 107188 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 107193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107199 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107203 */   GIR_RootConstrainSelectedInstOperands,
     /* 107204 */   // GIR_Coverage, 4593,
     /* 107204 */   GIR_EraseRootFromParent_Done,
     /* 107205 */ // Label 1536: @107205
     /* 107205 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(107275), // Rule ID 4595 //
     /* 107210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 107213 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107216 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107231 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 107238 */   // (ld:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[f64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 107241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107243 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 107248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 107258 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 107263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107273 */   GIR_RootConstrainSelectedInstOperands,
     /* 107274 */   // GIR_Coverage, 4595,
     /* 107274 */   GIR_EraseRootFromParent_Done,
     /* 107275 */ // Label 1537: @107275
     /* 107275 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(107342), // Rule ID 4597 //
     /* 107280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107283 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107294 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107298 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 107305 */   // (ld:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[f64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 107308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107310 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 107315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 107325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 107330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107340 */   GIR_RootConstrainSelectedInstOperands,
     /* 107341 */   // GIR_Coverage, 4597,
     /* 107341 */   GIR_EraseRootFromParent_Done,
     /* 107342 */ // Label 1538: @107342
     /* 107342 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(107406), // Rule ID 8132 //
     /* 107347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 107350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107353 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107357 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107366 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107370 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 107377 */   // (AMDGPUld_glue:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 107377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 107380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 107392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 107397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107400 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107404 */   GIR_RootConstrainSelectedInstOperands,
     /* 107405 */   // GIR_Coverage, 8132,
     /* 107405 */   GIR_EraseRootFromParent_Done,
     /* 107406 */ // Label 1539: @107406
     /* 107406 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(107470), // Rule ID 8140 //
     /* 107411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 107414 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107417 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107421 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 107441 */   // (AMDGPUld_glue:{ *:[f64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[f64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 107441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 107444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 107456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 107461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107464 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107468 */   GIR_RootConstrainSelectedInstOperands,
     /* 107469 */   // GIR_Coverage, 8140,
     /* 107469 */   GIR_EraseRootFromParent_Done,
     /* 107470 */ // Label 1540: @107470
     /* 107470 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(107535), // Rule ID 4590 //
     /* 107475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 107478 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107481 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107492 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 107503 */   // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 107506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 107518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 107523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107533 */   GIR_RootConstrainSelectedInstOperands,
     /* 107534 */   // GIR_Coverage, 4590,
     /* 107534 */   GIR_EraseRootFromParent_Done,
     /* 107535 */ // Label 1541: @107535
     /* 107535 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(107597), // Rule ID 4592 //
     /* 107540 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107543 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107554 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107558 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 107565 */   // (ld:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 107568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 107580 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 107585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107591 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107595 */   GIR_RootConstrainSelectedInstOperands,
     /* 107596 */   // GIR_Coverage, 4592,
     /* 107596 */   GIR_EraseRootFromParent_Done,
     /* 107597 */ // Label 1542: @107597
     /* 107597 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(107662), // Rule ID 4594 //
     /* 107602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 107605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107608 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107619 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107623 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 107630 */   // (ld:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[f64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 107633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107640 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 107645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 107650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107656 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107660 */   GIR_RootConstrainSelectedInstOperands,
     /* 107661 */   // GIR_Coverage, 4594,
     /* 107661 */   GIR_EraseRootFromParent_Done,
     /* 107662 */ // Label 1543: @107662
     /* 107662 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(107724), // Rule ID 4596 //
     /* 107667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107670 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 107677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107681 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107685 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 107692 */   // (ld:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[f64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 107692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 107695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 107697 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 107702 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 107707 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 107712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107718 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107722 */   GIR_RootConstrainSelectedInstOperands,
     /* 107723 */   // GIR_Coverage, 4596,
     /* 107723 */   GIR_EraseRootFromParent_Done,
     /* 107724 */ // Label 1544: @107724
     /* 107724 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(107784), // Rule ID 8134 //
     /* 107729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 107732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107735 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107744 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107748 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 107755 */   // (ld:{ *:[i64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 107755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 107758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 107770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 107775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107778 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107782 */   GIR_RootConstrainSelectedInstOperands,
     /* 107783 */   // GIR_Coverage, 8134,
     /* 107783 */   GIR_EraseRootFromParent_Done,
     /* 107784 */ // Label 1545: @107784
     /* 107784 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(107844), // Rule ID 8142 //
     /* 107789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 107792 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107795 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107804 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107808 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 107815 */   // (ld:{ *:[f64] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[f64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 107815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 107818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107820 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107825 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 107830 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 107835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107838 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107842 */   GIR_RootConstrainSelectedInstOperands,
     /* 107843 */   // GIR_Coverage, 8142,
     /* 107843 */   GIR_EraseRootFromParent_Done,
     /* 107844 */ // Label 1546: @107844
     /* 107844 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(107910), // Rule ID 8072 //
     /* 107849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 107852 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 107855 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107859 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 107866 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107875 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107879 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 107886 */   // (AMDGPUatomic_ld_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext_glue>><<P:Predicate_atomic_load_nonext_64_glue>><<P:Predicate_atomic_load_nonext_64_local_m0>>  =>  (DS_READ_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 107886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 107889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107891 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107908 */   GIR_RootConstrainSelectedInstOperands,
     /* 107909 */   // GIR_Coverage, 8072,
     /* 107909 */   GIR_EraseRootFromParent_Done,
     /* 107910 */ // Label 1547: @107910
     /* 107910 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(107976), // Rule ID 8073 //
     /* 107915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 107918 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 107921 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107925 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 107932 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 107937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 107941 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107945 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 107952 */   // (atomic_load:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_atomic_load_nonext_64_local>>  =>  (DS_READ_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 107952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 107955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 107957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 107962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107974 */   GIR_RootConstrainSelectedInstOperands,
     /* 107975 */   // GIR_Coverage, 8073,
     /* 107975 */   GIR_EraseRootFromParent_Done,
     /* 107976 */ // Label 1548: @107976
     /* 107976 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(108049), // Rule ID 4012 //
     /* 107981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 107984 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 107987 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107991 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 107998 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108009 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108013 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 108020 */   // (atomic_load:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_atomic_load_nonext_64_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 108023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108025 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 108030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 108035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108043 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108047 */   GIR_RootConstrainSelectedInstOperands,
     /* 108048 */   // GIR_Coverage, 4012,
     /* 108048 */   GIR_EraseRootFromParent_Done,
     /* 108049 */ // Label 1549: @108049
     /* 108049 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(108111), // Rule ID 3948 //
     /* 108054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 108057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108060 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 108082 */   // (ld:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 108085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 108092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 108097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108109 */   GIR_RootConstrainSelectedInstOperands,
     /* 108110 */   // GIR_Coverage, 3948,
     /* 108110 */   GIR_EraseRootFromParent_Done,
     /* 108111 */ // Label 1550: @108111
     /* 108111 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(108173), // Rule ID 3952 //
     /* 108116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 108119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108122 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 108144 */   // (ld:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[f64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 108147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 108154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 108159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108171 */   GIR_RootConstrainSelectedInstOperands,
     /* 108172 */   // GIR_Coverage, 3952,
     /* 108172 */   GIR_EraseRootFromParent_Done,
     /* 108173 */ // Label 1551: @108173
     /* 108173 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(108241), // Rule ID 4011 //
     /* 108178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 108181 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 108184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108188 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 108195 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108206 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108210 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 108217 */   // (atomic_load:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_atomic_load_nonext_64_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 108220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108222 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108235 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108239 */   GIR_RootConstrainSelectedInstOperands,
     /* 108240 */   // GIR_Coverage, 4011,
     /* 108240 */   GIR_EraseRootFromParent_Done,
     /* 108241 */ // Label 1552: @108241
     /* 108241 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(108298), // Rule ID 3947 //
     /* 108246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 108249 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108252 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108263 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108267 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 108274 */   // (ld:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 108277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108292 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108296 */   GIR_RootConstrainSelectedInstOperands,
     /* 108297 */   // GIR_Coverage, 3947,
     /* 108297 */   GIR_EraseRootFromParent_Done,
     /* 108298 */ // Label 1553: @108298
     /* 108298 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(108355), // Rule ID 3951 //
     /* 108303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 108306 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108309 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108324 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 108331 */   // (ld:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[f64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 108334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108341 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108349 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108353 */   GIR_RootConstrainSelectedInstOperands,
     /* 108354 */   // GIR_Coverage, 3951,
     /* 108354 */   GIR_EraseRootFromParent_Done,
     /* 108355 */ // Label 1554: @108355
     /* 108355 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(108424), // Rule ID 3643 //
     /* 108360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 108363 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 108366 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108370 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 108377 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108389 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108393 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 108400 */   // (atomic_load:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_atomic_load_nonext_64_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 108403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108422 */   GIR_RootConstrainSelectedInstOperands,
     /* 108423 */   // GIR_Coverage, 3643,
     /* 108423 */   GIR_EraseRootFromParent_Done,
     /* 108424 */ // Label 1555: @108424
     /* 108424 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(108482), // Rule ID 3663 //
     /* 108429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 108432 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108435 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108447 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108451 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 108458 */   // (ld:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 108461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108480 */   GIR_RootConstrainSelectedInstOperands,
     /* 108481 */   // GIR_Coverage, 3663,
     /* 108481 */   GIR_EraseRootFromParent_Done,
     /* 108482 */ // Label 1556: @108482
     /* 108482 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(108540), // Rule ID 3665 //
     /* 108487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 108490 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108493 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 108501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 108505 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 108516 */   // (ld:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[f64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 108516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 108519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 108521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 108526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108534 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108538 */   GIR_RootConstrainSelectedInstOperands,
     /* 108539 */   // GIR_Coverage, 3665,
     /* 108539 */   GIR_EraseRootFromParent_Done,
     /* 108540 */ // Label 1557: @108540
     /* 108540 */ GIM_Reject,
     /* 108541 */ // Label 1010: @108541
     /* 108541 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(111784),
     /* 108546 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108549 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(108613), // Rule ID 2975 //
     /* 108554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 108557 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108569 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108573 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 108577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 108584 */     // (ld:{ *:[v2i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 108587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 108599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108611 */     GIR_RootConstrainSelectedInstOperands,
     /* 108612 */     // GIR_Coverage, 2975,
     /* 108612 */     GIR_EraseRootFromParent_Done,
     /* 108613 */   // Label 1559: @108613
     /* 108613 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(108677), // Rule ID 2987 //
     /* 108618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 108621 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 108641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 108648 */     // (ld:{ *:[v2f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 108651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 108663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108675 */     GIR_RootConstrainSelectedInstOperands,
     /* 108676 */     // GIR_Coverage, 2987,
     /* 108676 */     GIR_EraseRootFromParent_Done,
     /* 108677 */   // Label 1560: @108677
     /* 108677 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(108737), // Rule ID 2981 //
     /* 108682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 108685 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108697 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 108708 */     // (ld:{ *:[v2i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 108711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 108723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108735 */     GIR_RootConstrainSelectedInstOperands,
     /* 108736 */     // GIR_Coverage, 2981,
     /* 108736 */     GIR_EraseRootFromParent_Done,
     /* 108737 */   // Label 1561: @108737
     /* 108737 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(108797), // Rule ID 2993 //
     /* 108742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 108745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 108768 */     // (ld:{ *:[v2f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 108771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 108783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 108788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108795 */     GIR_RootConstrainSelectedInstOperands,
     /* 108796 */     // GIR_Coverage, 2993,
     /* 108796 */     GIR_EraseRootFromParent_Done,
     /* 108797 */   // Label 1562: @108797
     /* 108797 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(108856), // Rule ID 2971 //
     /* 108802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 108805 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 108825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 108832 */     // (ld:{ *:[v2i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 108835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108854 */     GIR_RootConstrainSelectedInstOperands,
     /* 108855 */     // GIR_Coverage, 2971,
     /* 108855 */     GIR_EraseRootFromParent_Done,
     /* 108856 */   // Label 1563: @108856
     /* 108856 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(108915), // Rule ID 2972 //
     /* 108861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 108864 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108876 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 108884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 108891 */     // (ld:{ *:[v2i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 108891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /* 108894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108913 */     GIR_RootConstrainSelectedInstOperands,
     /* 108914 */     // GIR_Coverage, 2972,
     /* 108914 */     GIR_EraseRootFromParent_Done,
     /* 108915 */   // Label 1564: @108915
     /* 108915 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(108974), // Rule ID 2973 //
     /* 108920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 108923 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108935 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108939 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 108943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 108950 */     // (ld:{ *:[v2i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 108950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /* 108953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 108955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 108960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 108965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108972 */     GIR_RootConstrainSelectedInstOperands,
     /* 108973 */     // GIR_Coverage, 2973,
     /* 108973 */     GIR_EraseRootFromParent_Done,
     /* 108974 */   // Label 1565: @108974
     /* 108974 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(109036), // Rule ID 2974 //
     /* 108979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 108982 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 108990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108994 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 108998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109009 */     // (ld:{ *:[v2i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 109012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109034 */     GIR_RootConstrainSelectedInstOperands,
     /* 109035 */     // GIR_Coverage, 2974,
     /* 109035 */     GIR_EraseRootFromParent_Done,
     /* 109036 */   // Label 1566: @109036
     /* 109036 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(109095), // Rule ID 2983 //
     /* 109041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 109044 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 109071 */     // (ld:{ *:[v2f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109093 */     GIR_RootConstrainSelectedInstOperands,
     /* 109094 */     // GIR_Coverage, 2983,
     /* 109094 */     GIR_EraseRootFromParent_Done,
     /* 109095 */   // Label 1567: @109095
     /* 109095 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(109154), // Rule ID 2984 //
     /* 109100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 109103 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109115 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109119 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 109130 */     // (ld:{ *:[v2f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /* 109133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109152 */     GIR_RootConstrainSelectedInstOperands,
     /* 109153 */     // GIR_Coverage, 2984,
     /* 109153 */     GIR_EraseRootFromParent_Done,
     /* 109154 */   // Label 1568: @109154
     /* 109154 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(109213), // Rule ID 2985 //
     /* 109159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 109162 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109174 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109189 */     // (ld:{ *:[v2f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 109189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /* 109192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109211 */     GIR_RootConstrainSelectedInstOperands,
     /* 109212 */     // GIR_Coverage, 2985,
     /* 109212 */     GIR_EraseRootFromParent_Done,
     /* 109213 */   // Label 1569: @109213
     /* 109213 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(109275), // Rule ID 2986 //
     /* 109218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 109221 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109237 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109248 */     // (ld:{ *:[v2f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 109251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109273 */     GIR_RootConstrainSelectedInstOperands,
     /* 109274 */     // GIR_Coverage, 2986,
     /* 109274 */     GIR_EraseRootFromParent_Done,
     /* 109275 */   // Label 1570: @109275
     /* 109275 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(109327), // Rule ID 2977 //
     /* 109280 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 109303 */     // (ld:{ *:[v2i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109325 */     GIR_RootConstrainSelectedInstOperands,
     /* 109326 */     // GIR_Coverage, 2977,
     /* 109326 */     GIR_EraseRootFromParent_Done,
     /* 109327 */   // Label 1571: @109327
     /* 109327 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(109382), // Rule ID 2978 //
     /* 109332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 109335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109347 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 109358 */     // (ld:{ *:[v2i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /* 109361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109380 */     GIR_RootConstrainSelectedInstOperands,
     /* 109381 */     // GIR_Coverage, 2978,
     /* 109381 */     GIR_EraseRootFromParent_Done,
     /* 109382 */   // Label 1572: @109382
     /* 109382 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(109437), // Rule ID 2979 //
     /* 109387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 109390 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109402 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109413 */     // (ld:{ *:[v2i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 109413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /* 109416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109435 */     GIR_RootConstrainSelectedInstOperands,
     /* 109436 */     // GIR_Coverage, 2979,
     /* 109436 */     GIR_EraseRootFromParent_Done,
     /* 109437 */   // Label 1573: @109437
     /* 109437 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(109495), // Rule ID 2980 //
     /* 109442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 109445 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109468 */     // (ld:{ *:[v2i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 109471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109493 */     GIR_RootConstrainSelectedInstOperands,
     /* 109494 */     // GIR_Coverage, 2980,
     /* 109494 */     GIR_EraseRootFromParent_Done,
     /* 109495 */   // Label 1574: @109495
     /* 109495 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(109547), // Rule ID 2989 //
     /* 109500 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109512 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 109523 */     // (ld:{ *:[v2f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109545 */     GIR_RootConstrainSelectedInstOperands,
     /* 109546 */     // GIR_Coverage, 2989,
     /* 109546 */     GIR_EraseRootFromParent_Done,
     /* 109547 */   // Label 1575: @109547
     /* 109547 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(109602), // Rule ID 2990 //
     /* 109552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 109555 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 109578 */     // (ld:{ *:[v2f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM_ci:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 109578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM_ci),
     /* 109581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109600 */     GIR_RootConstrainSelectedInstOperands,
     /* 109601 */     // GIR_Coverage, 2990,
     /* 109601 */     GIR_EraseRootFromParent_Done,
     /* 109602 */   // Label 1576: @109602
     /* 109602 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(109657), // Rule ID 2991 //
     /* 109607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 109610 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109622 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109633 */     // (ld:{ *:[v2f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 109633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR),
     /* 109636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109655 */     GIR_RootConstrainSelectedInstOperands,
     /* 109656 */     // GIR_Coverage, 2991,
     /* 109656 */     GIR_EraseRootFromParent_Done,
     /* 109657 */   // Label 1577: @109657
     /* 109657 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(109715), // Rule ID 2992 //
     /* 109662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 109665 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 109688 */     // (ld:{ *:[v2f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_SGPR_IMM:{ *:[v2f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_SGPR_IMM),
     /* 109691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 109698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109713 */     GIR_RootConstrainSelectedInstOperands,
     /* 109714 */     // GIR_Coverage, 2992,
     /* 109714 */     GIR_EraseRootFromParent_Done,
     /* 109715 */   // Label 1578: @109715
     /* 109715 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(109766), // Rule ID 2976 //
     /* 109720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 109723 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109731 */     // MIs[0] sbase
     /* 109731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 109739 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109743 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109747 */     // (ld:{ *:[v2i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109752 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 109754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109764 */     GIR_RootConstrainSelectedInstOperands,
     /* 109765 */     // GIR_Coverage, 2976,
     /* 109765 */     GIR_EraseRootFromParent_Done,
     /* 109766 */   // Label 1579: @109766
     /* 109766 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(109817), // Rule ID 2988 //
     /* 109771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 109774 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109782 */     // MIs[0] sbase
     /* 109782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 109790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109794 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 109798 */     // (ld:{ *:[v2f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109803 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 109805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109815 */     GIR_RootConstrainSelectedInstOperands,
     /* 109816 */     // GIR_Coverage, 2988,
     /* 109816 */     GIR_EraseRootFromParent_Done,
     /* 109817 */   // Label 1580: @109817
     /* 109817 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(109861), // Rule ID 2982 //
     /* 109822 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109830 */     // MIs[0] sbase
     /* 109830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 109838 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109842 */     // (ld:{ *:[v2i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109847 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 109849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109859 */     GIR_RootConstrainSelectedInstOperands,
     /* 109860 */     // GIR_Coverage, 2982,
     /* 109860 */     GIR_EraseRootFromParent_Done,
     /* 109861 */   // Label 1581: @109861
     /* 109861 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(109905), // Rule ID 2994 //
     /* 109866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 109874 */     // MIs[0] sbase
     /* 109874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 109882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 109886 */     // (ld:{ *:[v2f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORD_IMM:{ *:[v2f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 109886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORD_IMM),
     /* 109889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 109891 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 109893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109903 */     GIR_RootConstrainSelectedInstOperands,
     /* 109904 */     // GIR_Coverage, 2994,
     /* 109904 */     GIR_EraseRootFromParent_Done,
     /* 109905 */   // Label 1582: @109905
     /* 109905 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(109965), // Rule ID 6551 //
     /* 109910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 109913 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 109918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 109922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 109933 */     // (ld:{ *:[v2i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 109933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 109936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 109938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 109943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 109948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109963 */     GIR_RootConstrainSelectedInstOperands,
     /* 109964 */     // GIR_Coverage, 6551,
     /* 109964 */     GIR_EraseRootFromParent_Done,
     /* 109965 */   // Label 1583: @109965
     /* 109965 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(110025), // Rule ID 6553 //
     /* 109970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 109973 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 109978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 109982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 109993 */     // (ld:{ *:[v2i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 109993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 109996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 109998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 110008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110023 */     GIR_RootConstrainSelectedInstOperands,
     /* 110024 */     // GIR_Coverage, 6553,
     /* 110024 */     GIR_EraseRootFromParent_Done,
     /* 110025 */   // Label 1584: @110025
     /* 110025 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(110085), // Rule ID 6555 //
     /* 110030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 110033 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 110053 */     // (ld:{ *:[v2f16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2f16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 110056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 110068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110083 */     GIR_RootConstrainSelectedInstOperands,
     /* 110084 */     // GIR_Coverage, 6555,
     /* 110084 */     GIR_EraseRootFromParent_Done,
     /* 110085 */   // Label 1585: @110085
     /* 110085 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(110145), // Rule ID 6557 //
     /* 110090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 110093 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 110113 */     // (ld:{ *:[v2f16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2f16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 110116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 110128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110143 */     GIR_RootConstrainSelectedInstOperands,
     /* 110144 */     // GIR_Coverage, 6557,
     /* 110144 */     GIR_EraseRootFromParent_Done,
     /* 110145 */   // Label 1586: @110145
     /* 110145 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(110202), // Rule ID 4317 //
     /* 110150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 110153 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 110173 */     // (ld:{ *:[v2i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[v2i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 110173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /* 110176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 110183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 110188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110200 */     GIR_RootConstrainSelectedInstOperands,
     /* 110201 */     // GIR_Coverage, 4317,
     /* 110201 */     GIR_EraseRootFromParent_Done,
     /* 110202 */   // Label 1587: @110202
     /* 110202 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(110259), // Rule ID 4323 //
     /* 110207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 110210 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 110230 */     // (ld:{ *:[v2f16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SVS:{ *:[v2f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 110230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SVS),
     /* 110233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 110240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 110245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110257 */     GIR_RootConstrainSelectedInstOperands,
     /* 110258 */     // GIR_Coverage, 4323,
     /* 110258 */     GIR_EraseRootFromParent_Done,
     /* 110259 */   // Label 1588: @110259
     /* 110259 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(110311), // Rule ID 4316 //
     /* 110264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 110267 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 110287 */     // (ld:{ *:[v2i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[v2i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 110287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /* 110290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 110297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110309 */     GIR_RootConstrainSelectedInstOperands,
     /* 110310 */     // GIR_Coverage, 4316,
     /* 110310 */     GIR_EraseRootFromParent_Done,
     /* 110311 */   // Label 1589: @110311
     /* 110311 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(110363), // Rule ID 4322 //
     /* 110316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 110319 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 110339 */     // (ld:{ *:[v2f16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD_SADDR:{ *:[v2f16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 110339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD_SADDR),
     /* 110342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 110349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110361 */     GIR_RootConstrainSelectedInstOperands,
     /* 110362 */     // GIR_Coverage, 4322,
     /* 110362 */     GIR_EraseRootFromParent_Done,
     /* 110363 */   // Label 1590: @110363
     /* 110363 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(110415), // Rule ID 4315 //
     /* 110368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 110371 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 110391 */     // (ld:{ *:[v2i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[v2i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 110391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /* 110394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 110401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110413 */     GIR_RootConstrainSelectedInstOperands,
     /* 110414 */     // GIR_Coverage, 4315,
     /* 110414 */     GIR_EraseRootFromParent_Done,
     /* 110415 */   // Label 1591: @110415
     /* 110415 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(110467), // Rule ID 4321 //
     /* 110420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 110423 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 110443 */     // (ld:{ *:[v2f16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORD:{ *:[v2f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 110443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORD),
     /* 110446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 110448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 110453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110465 */     GIR_RootConstrainSelectedInstOperands,
     /* 110466 */     // GIR_Coverage, 4321,
     /* 110466 */     GIR_EraseRootFromParent_Done,
     /* 110467 */   // Label 1592: @110467
     /* 110467 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(110534), // Rule ID 4567 //
     /* 110472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 110475 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 110482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 110497 */     // (ld:{ *:[v2i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[v2i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 110497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /* 110500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110532 */     GIR_RootConstrainSelectedInstOperands,
     /* 110533 */     // GIR_Coverage, 4567,
     /* 110533 */     GIR_EraseRootFromParent_Done,
     /* 110534 */   // Label 1593: @110534
     /* 110534 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(110598), // Rule ID 4569 //
     /* 110539 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 110546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 110561 */     // (ld:{ *:[v2i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[v2i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 110561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /* 110564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110596 */     GIR_RootConstrainSelectedInstOperands,
     /* 110597 */     // GIR_Coverage, 4569,
     /* 110597 */     GIR_EraseRootFromParent_Done,
     /* 110598 */   // Label 1594: @110598
     /* 110598 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(110665), // Rule ID 4571 //
     /* 110603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 110606 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 110613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 110628 */     // (ld:{ *:[v2f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_ADDR64:{ *:[v2f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 110628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_ADDR64),
     /* 110631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110663 */     GIR_RootConstrainSelectedInstOperands,
     /* 110664 */     // GIR_Coverage, 4571,
     /* 110664 */     GIR_EraseRootFromParent_Done,
     /* 110665 */   // Label 1595: @110665
     /* 110665 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(110729), // Rule ID 4573 //
     /* 110670 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 110677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 110692 */     // (ld:{ *:[v2f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_ADDR64:{ *:[v2f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 110692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_ADDR64),
     /* 110695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110727 */     GIR_RootConstrainSelectedInstOperands,
     /* 110728 */     // GIR_Coverage, 4573,
     /* 110728 */     GIR_EraseRootFromParent_Done,
     /* 110729 */   // Label 1596: @110729
     /* 110729 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(110794), // Rule ID 6550 //
     /* 110734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 110737 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 110757 */     // (ld:{ *:[v2i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[v2i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 110760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110792 */     GIR_RootConstrainSelectedInstOperands,
     /* 110793 */     // GIR_Coverage, 6550,
     /* 110793 */     GIR_EraseRootFromParent_Done,
     /* 110794 */   // Label 1597: @110794
     /* 110794 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(110859), // Rule ID 6552 //
     /* 110799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 110802 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 110822 */     // (ld:{ *:[v2i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[v2i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 110825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110857 */     GIR_RootConstrainSelectedInstOperands,
     /* 110858 */     // GIR_Coverage, 6552,
     /* 110858 */     GIR_EraseRootFromParent_Done,
     /* 110859 */   // Label 1598: @110859
     /* 110859 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(110924), // Rule ID 6554 //
     /* 110864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 110867 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 110887 */     // (ld:{ *:[v2f16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[v2f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 110890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110922 */     GIR_RootConstrainSelectedInstOperands,
     /* 110923 */     // GIR_Coverage, 6554,
     /* 110923 */     GIR_EraseRootFromParent_Done,
     /* 110924 */   // Label 1599: @110924
     /* 110924 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(110989), // Rule ID 6556 //
     /* 110929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 110932 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 110937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 110941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 110952 */     // (ld:{ *:[v2f16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[v2f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 110952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 110955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 110957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 110962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 110967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 110972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 110977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110987 */     GIR_RootConstrainSelectedInstOperands,
     /* 110988 */     // GIR_Coverage, 6556,
     /* 110988 */     GIR_EraseRootFromParent_Done,
     /* 110989 */   // Label 1600: @110989
     /* 110989 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(111051), // Rule ID 4566 //
     /* 110994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 110997 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 111019 */     // (ld:{ *:[v2i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 111019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 111022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 111024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 111029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111049 */     GIR_RootConstrainSelectedInstOperands,
     /* 111050 */     // GIR_Coverage, 4566,
     /* 111050 */     GIR_EraseRootFromParent_Done,
     /* 111051 */   // Label 1601: @111051
     /* 111051 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(111110), // Rule ID 4568 //
     /* 111056 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 111078 */     // (ld:{ *:[v2i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 111078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 111081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 111083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 111088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111108 */     GIR_RootConstrainSelectedInstOperands,
     /* 111109 */     // GIR_Coverage, 4568,
     /* 111109 */     GIR_EraseRootFromParent_Done,
     /* 111110 */   // Label 1602: @111110
     /* 111110 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(111172), // Rule ID 4570 //
     /* 111115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 111118 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 111140 */     // (ld:{ *:[v2f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 111140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 111143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 111145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 111150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111170 */     GIR_RootConstrainSelectedInstOperands,
     /* 111171 */     // GIR_Coverage, 4570,
     /* 111171 */     GIR_EraseRootFromParent_Done,
     /* 111172 */   // Label 1603: @111172
     /* 111172 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(111231), // Rule ID 4572 //
     /* 111177 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 111199 */     // (ld:{ *:[v2f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 111199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 111202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 111204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 111209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111229 */     GIR_RootConstrainSelectedInstOperands,
     /* 111230 */     // GIR_Coverage, 4572,
     /* 111230 */     GIR_EraseRootFromParent_Done,
     /* 111231 */   // Label 1604: @111231
     /* 111231 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(111287), // Rule ID 8030 //
     /* 111236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 111239 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111243 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 111248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 111263 */     // (AMDGPUld_glue:{ *:[v2i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[v2i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 111263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /* 111266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 111273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111285 */     GIR_RootConstrainSelectedInstOperands,
     /* 111286 */     // GIR_Coverage, 8030,
     /* 111286 */     GIR_EraseRootFromParent_Done,
     /* 111287 */   // Label 1605: @111287
     /* 111287 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(111343), // Rule ID 8032 //
     /* 111292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 111295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111299 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 111304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 111319 */     // (AMDGPUld_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B32:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 111319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32),
     /* 111322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 111329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111341 */     GIR_RootConstrainSelectedInstOperands,
     /* 111342 */     // GIR_Coverage, 8032,
     /* 111342 */     GIR_EraseRootFromParent_Done,
     /* 111343 */   // Label 1606: @111343
     /* 111343 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(111395), // Rule ID 8031 //
     /* 111348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 111351 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 111356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 111371 */     // (ld:{ *:[v2i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[v2i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 111371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /* 111374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 111381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111393 */     GIR_RootConstrainSelectedInstOperands,
     /* 111394 */     // GIR_Coverage, 8031,
     /* 111394 */     GIR_EraseRootFromParent_Done,
     /* 111395 */   // Label 1607: @111395
     /* 111395 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(111447), // Rule ID 8033 //
     /* 111400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 111403 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 111408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 111423 */     // (ld:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B32_gfx9:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 111423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B32_gfx9),
     /* 111426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 111433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111445 */     GIR_RootConstrainSelectedInstOperands,
     /* 111446 */     // GIR_Coverage, 8033,
     /* 111446 */     GIR_EraseRootFromParent_Done,
     /* 111447 */   // Label 1608: @111447
     /* 111447 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(111506), // Rule ID 3924 //
     /* 111452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 111455 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 111477 */     // (ld:{ *:[v2i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[v2i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 111477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /* 111480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 111487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 111492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111504 */     GIR_RootConstrainSelectedInstOperands,
     /* 111505 */     // GIR_Coverage, 3924,
     /* 111505 */     GIR_EraseRootFromParent_Done,
     /* 111506 */   // Label 1609: @111506
     /* 111506 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(111565), // Rule ID 3928 //
     /* 111511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 111514 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 111536 */     // (ld:{ *:[v2f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD_SADDR:{ *:[v2f16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 111536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD_SADDR),
     /* 111539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 111546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 111551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111563 */     GIR_RootConstrainSelectedInstOperands,
     /* 111564 */     // GIR_Coverage, 3928,
     /* 111564 */     GIR_EraseRootFromParent_Done,
     /* 111565 */   // Label 1610: @111565
     /* 111565 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(111619), // Rule ID 3923 //
     /* 111570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 111573 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 111595 */     // (ld:{ *:[v2i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[v2i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 111595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /* 111598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 111605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111617 */     GIR_RootConstrainSelectedInstOperands,
     /* 111618 */     // GIR_Coverage, 3923,
     /* 111618 */     GIR_EraseRootFromParent_Done,
     /* 111619 */   // Label 1611: @111619
     /* 111619 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(111673), // Rule ID 3927 //
     /* 111624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 111627 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 111649 */     // (ld:{ *:[v2f16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORD:{ *:[v2f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 111649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORD),
     /* 111652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 111659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111671 */     GIR_RootConstrainSelectedInstOperands,
     /* 111672 */     // GIR_Coverage, 3927,
     /* 111672 */     GIR_EraseRootFromParent_Done,
     /* 111673 */   // Label 1612: @111673
     /* 111673 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(111728), // Rule ID 3650 //
     /* 111678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 111681 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 111704 */     // (ld:{ *:[v2i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[v2i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 111704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /* 111707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 111714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111726 */     GIR_RootConstrainSelectedInstOperands,
     /* 111727 */     // GIR_Coverage, 3650,
     /* 111727 */     GIR_EraseRootFromParent_Done,
     /* 111728 */   // Label 1613: @111728
     /* 111728 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(111783), // Rule ID 3652 //
     /* 111733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 111736 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 111744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 111748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 111759 */     // (ld:{ *:[v2f16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORD:{ *:[v2f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 111759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORD),
     /* 111762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 111764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 111769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111781 */     GIR_RootConstrainSelectedInstOperands,
     /* 111782 */     // GIR_Coverage, 3652,
     /* 111782 */     GIR_EraseRootFromParent_Done,
     /* 111783 */   // Label 1614: @111783
     /* 111783 */   GIM_Reject,
     /* 111784 */ // Label 1558: @111784
     /* 111784 */ GIM_Reject,
     /* 111785 */ // Label 1011: @111785
     /* 111785 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(115832),
     /* 111790 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111793 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(111857), // Rule ID 3047 //
     /* 111798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 111801 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 111809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 111817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 111821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 111828 */     // (ld:{ *:[v2i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 111828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 111831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 111833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 111838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111855 */     GIR_RootConstrainSelectedInstOperands,
     /* 111856 */     // GIR_Coverage, 3047,
     /* 111856 */     GIR_EraseRootFromParent_Done,
     /* 111857 */   // Label 1616: @111857
     /* 111857 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(111921), // Rule ID 3081 //
     /* 111862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 111865 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 111873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 111881 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 111885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 111892 */     // (ld:{ *:[v2f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 111892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 111895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 111897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 111902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111919 */     GIR_RootConstrainSelectedInstOperands,
     /* 111920 */     // GIR_Coverage, 3081,
     /* 111920 */     GIR_EraseRootFromParent_Done,
     /* 111921 */   // Label 1617: @111921
     /* 111921 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(111981), // Rule ID 3052 //
     /* 111926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 111929 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 111937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111941 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 111945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 111952 */     // (ld:{ *:[v2i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 111952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 111955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 111957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 111962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 111967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 111972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111979 */     GIR_RootConstrainSelectedInstOperands,
     /* 111980 */     // GIR_Coverage, 3052,
     /* 111980 */     GIR_EraseRootFromParent_Done,
     /* 111981 */   // Label 1618: @111981
     /* 111981 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(112041), // Rule ID 3086 //
     /* 111986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 111989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 111997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112001 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 112012 */     // (ld:{ *:[v2f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 112015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 112032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112039 */     GIR_RootConstrainSelectedInstOperands,
     /* 112040 */     // GIR_Coverage, 3086,
     /* 112040 */     GIR_EraseRootFromParent_Done,
     /* 112041 */   // Label 1619: @112041
     /* 112041 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(112101), // Rule ID 3058 //
     /* 112046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 112049 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112061 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 112072 */     // (ld:{ *:[v2i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 112075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 112092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112099 */     GIR_RootConstrainSelectedInstOperands,
     /* 112100 */     // GIR_Coverage, 3058,
     /* 112100 */     GIR_EraseRootFromParent_Done,
     /* 112101 */   // Label 1620: @112101
     /* 112101 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(112161), // Rule ID 3092 //
     /* 112106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 112109 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112121 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 112132 */     // (ld:{ *:[v2f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 112135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 112152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112159 */     GIR_RootConstrainSelectedInstOperands,
     /* 112160 */     // GIR_Coverage, 3092,
     /* 112160 */     GIR_EraseRootFromParent_Done,
     /* 112161 */   // Label 1621: @112161
     /* 112161 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(112220), // Rule ID 3043 //
     /* 112166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 112169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112181 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 112196 */     // (ld:{ *:[v2i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 112199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112218 */     GIR_RootConstrainSelectedInstOperands,
     /* 112219 */     // GIR_Coverage, 3043,
     /* 112219 */     GIR_EraseRootFromParent_Done,
     /* 112220 */   // Label 1622: @112220
     /* 112220 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(112279), // Rule ID 3044 //
     /* 112225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 112228 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112240 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112244 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 112255 */     // (ld:{ *:[v2i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 112258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112277 */     GIR_RootConstrainSelectedInstOperands,
     /* 112278 */     // GIR_Coverage, 3044,
     /* 112278 */     GIR_EraseRootFromParent_Done,
     /* 112279 */   // Label 1623: @112279
     /* 112279 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(112338), // Rule ID 3045 //
     /* 112284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 112287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112314 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 112314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 112317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112336 */     GIR_RootConstrainSelectedInstOperands,
     /* 112337 */     // GIR_Coverage, 3045,
     /* 112337 */     GIR_EraseRootFromParent_Done,
     /* 112338 */   // Label 1624: @112338
     /* 112338 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(112400), // Rule ID 3046 //
     /* 112343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 112346 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112358 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112373 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 112373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 112376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112398 */     GIR_RootConstrainSelectedInstOperands,
     /* 112399 */     // GIR_Coverage, 3046,
     /* 112399 */     GIR_EraseRootFromParent_Done,
     /* 112400 */   // Label 1625: @112400
     /* 112400 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(112459), // Rule ID 3077 //
     /* 112405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 112408 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112420 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 112435 */     // (ld:{ *:[v2f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 112438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112457 */     GIR_RootConstrainSelectedInstOperands,
     /* 112458 */     // GIR_Coverage, 3077,
     /* 112458 */     GIR_EraseRootFromParent_Done,
     /* 112459 */   // Label 1626: @112459
     /* 112459 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(112518), // Rule ID 3078 //
     /* 112464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 112467 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112483 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 112494 */     // (ld:{ *:[v2f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 112497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112516 */     GIR_RootConstrainSelectedInstOperands,
     /* 112517 */     // GIR_Coverage, 3078,
     /* 112517 */     GIR_EraseRootFromParent_Done,
     /* 112518 */   // Label 1627: @112518
     /* 112518 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(112577), // Rule ID 3079 //
     /* 112523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 112526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112553 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 112553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 112556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112575 */     GIR_RootConstrainSelectedInstOperands,
     /* 112576 */     // GIR_Coverage, 3079,
     /* 112576 */     GIR_EraseRootFromParent_Done,
     /* 112577 */   // Label 1628: @112577
     /* 112577 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(112639), // Rule ID 3080 //
     /* 112582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 112585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 112605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112612 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 112612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 112615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112637 */     GIR_RootConstrainSelectedInstOperands,
     /* 112638 */     // GIR_Coverage, 3080,
     /* 112638 */     GIR_EraseRootFromParent_Done,
     /* 112639 */   // Label 1629: @112639
     /* 112639 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(112694), // Rule ID 3049 //
     /* 112644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 112647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 112670 */     // (ld:{ *:[v2i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 112673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112692 */     GIR_RootConstrainSelectedInstOperands,
     /* 112693 */     // GIR_Coverage, 3049,
     /* 112693 */     GIR_EraseRootFromParent_Done,
     /* 112694 */   // Label 1630: @112694
     /* 112694 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(112749), // Rule ID 3050 //
     /* 112699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 112702 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112714 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112725 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 112725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 112728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112747 */     GIR_RootConstrainSelectedInstOperands,
     /* 112748 */     // GIR_Coverage, 3050,
     /* 112748 */     GIR_EraseRootFromParent_Done,
     /* 112749 */   // Label 1631: @112749
     /* 112749 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(112807), // Rule ID 3051 //
     /* 112754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 112757 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112769 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112780 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 112780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 112783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112805 */     GIR_RootConstrainSelectedInstOperands,
     /* 112806 */     // GIR_Coverage, 3051,
     /* 112806 */     GIR_EraseRootFromParent_Done,
     /* 112807 */   // Label 1632: @112807
     /* 112807 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(112862), // Rule ID 3083 //
     /* 112812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 112815 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 112838 */     // (ld:{ *:[v2f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 112838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 112841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112860 */     GIR_RootConstrainSelectedInstOperands,
     /* 112861 */     // GIR_Coverage, 3083,
     /* 112861 */     GIR_EraseRootFromParent_Done,
     /* 112862 */   // Label 1633: @112862
     /* 112862 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(112917), // Rule ID 3084 //
     /* 112867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 112870 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112893 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 112893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 112896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112915 */     GIR_RootConstrainSelectedInstOperands,
     /* 112916 */     // GIR_Coverage, 3084,
     /* 112916 */     GIR_EraseRootFromParent_Done,
     /* 112917 */   // Label 1634: @112917
     /* 112917 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(112975), // Rule ID 3085 //
     /* 112922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 112925 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 112933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 112941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 112948 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 112948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 112951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 112953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 112958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 112963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112973 */     GIR_RootConstrainSelectedInstOperands,
     /* 112974 */     // GIR_Coverage, 3085,
     /* 112974 */     GIR_EraseRootFromParent_Done,
     /* 112975 */   // Label 1635: @112975
     /* 112975 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(113040), // Rule ID 8268 //
     /* 112980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 112983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112987 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 112992 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 112997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 113009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113016 */     // (AMDGPUld_glue:{ *:[v2i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 113019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113038 */     GIR_RootConstrainSelectedInstOperands,
     /* 113039 */     // GIR_Coverage, 8268,
     /* 113039 */     GIR_EraseRootFromParent_Done,
     /* 113040 */   // Label 1636: @113040
     /* 113040 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(113105), // Rule ID 8272 //
     /* 113045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 113048 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113052 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 113074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113081 */     // (AMDGPUld_glue:{ *:[v2f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 113084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113103 */     GIR_RootConstrainSelectedInstOperands,
     /* 113104 */     // GIR_Coverage, 8272,
     /* 113104 */     GIR_EraseRootFromParent_Done,
     /* 113105 */   // Label 1637: @113105
     /* 113105 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(113165), // Rule ID 8200 //
     /* 113110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 113113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113117 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113122 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 113126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113141 */     // (AMDGPUld_glue:{ *:[v2i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 113144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113163 */     GIR_RootConstrainSelectedInstOperands,
     /* 113164 */     // GIR_Coverage, 8200,
     /* 113164 */     GIR_EraseRootFromParent_Done,
     /* 113165 */   // Label 1638: @113165
     /* 113165 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(113225), // Rule ID 8204 //
     /* 113170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 113173 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113177 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113182 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 113186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113201 */     // (AMDGPUld_glue:{ *:[v2f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 113204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113223 */     GIR_RootConstrainSelectedInstOperands,
     /* 113224 */     // GIR_Coverage, 8204,
     /* 113224 */     GIR_EraseRootFromParent_Done,
     /* 113225 */   // Label 1639: @113225
     /* 113225 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(113277), // Rule ID 3054 //
     /* 113230 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 113253 */     // (ld:{ *:[v2i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 113253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 113256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113275 */     GIR_RootConstrainSelectedInstOperands,
     /* 113276 */     // GIR_Coverage, 3054,
     /* 113276 */     GIR_EraseRootFromParent_Done,
     /* 113277 */   // Label 1640: @113277
     /* 113277 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(113332), // Rule ID 3055 //
     /* 113282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 113285 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113297 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 113308 */     // (ld:{ *:[v2i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 113308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 113311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113330 */     GIR_RootConstrainSelectedInstOperands,
     /* 113331 */     // GIR_Coverage, 3055,
     /* 113331 */     GIR_EraseRootFromParent_Done,
     /* 113332 */   // Label 1641: @113332
     /* 113332 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(113387), // Rule ID 3056 //
     /* 113337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 113340 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113352 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 113363 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 113363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 113366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 113378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113385 */     GIR_RootConstrainSelectedInstOperands,
     /* 113386 */     // GIR_Coverage, 3056,
     /* 113386 */     GIR_EraseRootFromParent_Done,
     /* 113387 */   // Label 1642: @113387
     /* 113387 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(113445), // Rule ID 3057 //
     /* 113392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 113395 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113407 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 113418 */     // (ld:{ *:[v2i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 113418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 113421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 113433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113443 */     GIR_RootConstrainSelectedInstOperands,
     /* 113444 */     // GIR_Coverage, 3057,
     /* 113444 */     GIR_EraseRootFromParent_Done,
     /* 113445 */   // Label 1643: @113445
     /* 113445 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(113497), // Rule ID 3088 //
     /* 113450 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 113473 */     // (ld:{ *:[v2f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 113473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 113476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113495 */     GIR_RootConstrainSelectedInstOperands,
     /* 113496 */     // GIR_Coverage, 3088,
     /* 113496 */     GIR_EraseRootFromParent_Done,
     /* 113497 */   // Label 1644: @113497
     /* 113497 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(113552), // Rule ID 3089 //
     /* 113502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 113505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113517 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 113528 */     // (ld:{ *:[v2f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 113528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 113531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113550 */     GIR_RootConstrainSelectedInstOperands,
     /* 113551 */     // GIR_Coverage, 3089,
     /* 113551 */     GIR_EraseRootFromParent_Done,
     /* 113552 */   // Label 1645: @113552
     /* 113552 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(113607), // Rule ID 3090 //
     /* 113557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 113560 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 113583 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 113583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 113586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 113598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113605 */     GIR_RootConstrainSelectedInstOperands,
     /* 113606 */     // GIR_Coverage, 3090,
     /* 113606 */     GIR_EraseRootFromParent_Done,
     /* 113607 */   // Label 1646: @113607
     /* 113607 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(113665), // Rule ID 3091 //
     /* 113612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 113615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113627 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 113638 */     // (ld:{ *:[v2f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 113638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 113641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 113648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 113653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113663 */     GIR_RootConstrainSelectedInstOperands,
     /* 113664 */     // GIR_Coverage, 3091,
     /* 113664 */     GIR_EraseRootFromParent_Done,
     /* 113665 */   // Label 1647: @113665
     /* 113665 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(113726), // Rule ID 8269 //
     /* 113670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 113673 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113678 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113691 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 113695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113702 */     // (ld:{ *:[v2i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 113705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113724 */     GIR_RootConstrainSelectedInstOperands,
     /* 113725 */     // GIR_Coverage, 8269,
     /* 113725 */     GIR_EraseRootFromParent_Done,
     /* 113726 */   // Label 1648: @113726
     /* 113726 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(113787), // Rule ID 8273 //
     /* 113731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 113734 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113739 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113752 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 113756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113763 */     // (ld:{ *:[v2f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 113766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113785 */     GIR_RootConstrainSelectedInstOperands,
     /* 113786 */     // GIR_Coverage, 8273,
     /* 113786 */     GIR_EraseRootFromParent_Done,
     /* 113787 */   // Label 1649: @113787
     /* 113787 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(113843), // Rule ID 8201 //
     /* 113792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 113795 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113800 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 113804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113819 */     // (ld:{ *:[v2i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 113822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113841 */     GIR_RootConstrainSelectedInstOperands,
     /* 113842 */     // GIR_Coverage, 8201,
     /* 113842 */     GIR_EraseRootFromParent_Done,
     /* 113843 */   // Label 1650: @113843
     /* 113843 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(113899), // Rule ID 8205 //
     /* 113848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 113851 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 113856 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 113860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 113864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 113875 */     // (ld:{ *:[v2f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 113875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 113878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 113880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 113885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113897 */     GIR_RootConstrainSelectedInstOperands,
     /* 113898 */     // GIR_Coverage, 8205,
     /* 113898 */     GIR_EraseRootFromParent_Done,
     /* 113899 */   // Label 1651: @113899
     /* 113899 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(113950), // Rule ID 3048 //
     /* 113904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 113907 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113915 */     // MIs[0] sbase
     /* 113915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 113923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113927 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 113931 */     // (ld:{ *:[v2i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 113931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 113934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113936 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 113938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113948 */     GIR_RootConstrainSelectedInstOperands,
     /* 113949 */     // GIR_Coverage, 3048,
     /* 113949 */     GIR_EraseRootFromParent_Done,
     /* 113950 */   // Label 1652: @113950
     /* 113950 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(114001), // Rule ID 3082 //
     /* 113955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 113958 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 113966 */     // MIs[0] sbase
     /* 113966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 113974 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 113978 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 113982 */     // (ld:{ *:[v2f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 113982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 113985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 113987 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 113989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113999 */     GIR_RootConstrainSelectedInstOperands,
     /* 114000 */     // GIR_Coverage, 3082,
     /* 114000 */     GIR_EraseRootFromParent_Done,
     /* 114001 */   // Label 1653: @114001
     /* 114001 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(114048), // Rule ID 3053 //
     /* 114006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 114009 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 114017 */     // MIs[0] sbase
     /* 114017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 114025 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 114029 */     // (ld:{ *:[v2i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v2i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 114029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 114032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 114034 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 114036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114046 */     GIR_RootConstrainSelectedInstOperands,
     /* 114047 */     // GIR_Coverage, 3053,
     /* 114047 */     GIR_EraseRootFromParent_Done,
     /* 114048 */   // Label 1654: @114048
     /* 114048 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(114095), // Rule ID 3087 //
     /* 114053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 114056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 114064 */     // MIs[0] sbase
     /* 114064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 114072 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 114076 */     // (ld:{ *:[v2f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v2f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 114076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 114079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 114081 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 114083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114093 */     GIR_RootConstrainSelectedInstOperands,
     /* 114094 */     // GIR_Coverage, 3087,
     /* 114094 */     GIR_EraseRootFromParent_Done,
     /* 114095 */   // Label 1655: @114095
     /* 114095 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(114139), // Rule ID 3059 //
     /* 114100 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 114108 */     // MIs[0] sbase
     /* 114108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 114116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 114120 */     // (ld:{ *:[v2i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 114120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 114123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 114125 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 114127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114137 */     GIR_RootConstrainSelectedInstOperands,
     /* 114138 */     // GIR_Coverage, 3059,
     /* 114138 */     GIR_EraseRootFromParent_Done,
     /* 114139 */   // Label 1656: @114139
     /* 114139 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(114183), // Rule ID 3093 //
     /* 114144 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 114152 */     // MIs[0] sbase
     /* 114152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 114160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 114164 */     // (ld:{ *:[v2f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v2f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 114164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 114167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 114169 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 114171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114181 */     GIR_RootConstrainSelectedInstOperands,
     /* 114182 */     // GIR_Coverage, 3093,
     /* 114182 */     GIR_EraseRootFromParent_Done,
     /* 114183 */   // Label 1657: @114183
     /* 114183 */   GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(114243), // Rule ID 6575 //
     /* 114188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 114191 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 114211 */     // (ld:{ *:[v2i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v2i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 114211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 114214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 114226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 114231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114241 */     GIR_RootConstrainSelectedInstOperands,
     /* 114242 */     // GIR_Coverage, 6575,
     /* 114242 */     GIR_EraseRootFromParent_Done,
     /* 114243 */   // Label 1658: @114243
     /* 114243 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(114303), // Rule ID 6577 //
     /* 114248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 114251 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 114271 */     // (ld:{ *:[v2i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v2i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 114271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 114274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 114286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 114291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114301 */     GIR_RootConstrainSelectedInstOperands,
     /* 114302 */     // GIR_Coverage, 6577,
     /* 114302 */     GIR_EraseRootFromParent_Done,
     /* 114303 */   // Label 1659: @114303
     /* 114303 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(114360), // Rule ID 4365 //
     /* 114308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 114311 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 114331 */     // (ld:{ *:[v2i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[v2i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 114331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 114334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 114341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 114346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 114351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114358 */     GIR_RootConstrainSelectedInstOperands,
     /* 114359 */     // GIR_Coverage, 4365,
     /* 114359 */     GIR_EraseRootFromParent_Done,
     /* 114360 */   // Label 1660: @114360
     /* 114360 */   GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(114417), // Rule ID 4371 //
     /* 114365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 114368 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 114388 */     // (ld:{ *:[v2f32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[v2f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 114388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 114391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 114398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 114403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 114408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114415 */     GIR_RootConstrainSelectedInstOperands,
     /* 114416 */     // GIR_Coverage, 4371,
     /* 114416 */     GIR_EraseRootFromParent_Done,
     /* 114417 */   // Label 1661: @114417
     /* 114417 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(114469), // Rule ID 4364 //
     /* 114422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 114425 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 114445 */     // (ld:{ *:[v2i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[v2i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 114445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 114448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 114455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114467 */     GIR_RootConstrainSelectedInstOperands,
     /* 114468 */     // GIR_Coverage, 4364,
     /* 114468 */     GIR_EraseRootFromParent_Done,
     /* 114469 */   // Label 1662: @114469
     /* 114469 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(114521), // Rule ID 4370 //
     /* 114474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 114477 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 114497 */     // (ld:{ *:[v2f32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[v2f32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 114497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 114500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 114507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114519 */     GIR_RootConstrainSelectedInstOperands,
     /* 114520 */     // GIR_Coverage, 4370,
     /* 114520 */     GIR_EraseRootFromParent_Done,
     /* 114521 */   // Label 1663: @114521
     /* 114521 */   GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(114573), // Rule ID 4363 //
     /* 114526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 114529 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 114549 */     // (ld:{ *:[v2i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[v2i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 114549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 114552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 114559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114571 */     GIR_RootConstrainSelectedInstOperands,
     /* 114572 */     // GIR_Coverage, 4363,
     /* 114572 */     GIR_EraseRootFromParent_Done,
     /* 114573 */   // Label 1664: @114573
     /* 114573 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(114625), // Rule ID 4369 //
     /* 114578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 114581 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 114601 */     // (ld:{ *:[v2f32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[v2f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 114601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 114604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 114606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 114611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114623 */     GIR_RootConstrainSelectedInstOperands,
     /* 114624 */     // GIR_Coverage, 4369,
     /* 114624 */     GIR_EraseRootFromParent_Done,
     /* 114625 */   // Label 1665: @114625
     /* 114625 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(114692), // Rule ID 4599 //
     /* 114630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 114633 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 114640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 114655 */     // (ld:{ *:[v2i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[v2i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 114655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 114658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 114675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 114680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114690 */     GIR_RootConstrainSelectedInstOperands,
     /* 114691 */     // GIR_Coverage, 4599,
     /* 114691 */     GIR_EraseRootFromParent_Done,
     /* 114692 */   // Label 1666: @114692
     /* 114692 */   GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(114756), // Rule ID 4601 //
     /* 114697 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 114704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 114719 */     // (ld:{ *:[v2i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[v2i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 114719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 114722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 114739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 114744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114754 */     GIR_RootConstrainSelectedInstOperands,
     /* 114755 */     // GIR_Coverage, 4601,
     /* 114755 */     GIR_EraseRootFromParent_Done,
     /* 114756 */   // Label 1667: @114756
     /* 114756 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(114823), // Rule ID 4603 //
     /* 114761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 114764 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 114771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 114786 */     // (ld:{ *:[v2f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[v2f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 114786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 114789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 114806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 114811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114821 */     GIR_RootConstrainSelectedInstOperands,
     /* 114822 */     // GIR_Coverage, 4603,
     /* 114822 */     GIR_EraseRootFromParent_Done,
     /* 114823 */   // Label 1668: @114823
     /* 114823 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(114887), // Rule ID 4605 //
     /* 114828 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 114835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 114850 */     // (ld:{ *:[v2f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[v2f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 114850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 114853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 114870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 114875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114885 */     GIR_RootConstrainSelectedInstOperands,
     /* 114886 */     // GIR_Coverage, 4605,
     /* 114886 */     GIR_EraseRootFromParent_Done,
     /* 114887 */   // Label 1669: @114887
     /* 114887 */   GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(114952), // Rule ID 6574 //
     /* 114892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 114895 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 114915 */     // (ld:{ *:[v2i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[v2i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 114915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 114918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 114935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 114940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114950 */     GIR_RootConstrainSelectedInstOperands,
     /* 114951 */     // GIR_Coverage, 6574,
     /* 114951 */     GIR_EraseRootFromParent_Done,
     /* 114952 */   // Label 1670: @114952
     /* 114952 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(115017), // Rule ID 6576 //
     /* 114957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 114960 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 114965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 114969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 114980 */     // (ld:{ *:[v2i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[v2i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 114980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 114983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 114985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 114990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 114995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 115000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 115005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115015 */     GIR_RootConstrainSelectedInstOperands,
     /* 115016 */     // GIR_Coverage, 6576,
     /* 115016 */     GIR_EraseRootFromParent_Done,
     /* 115017 */   // Label 1671: @115017
     /* 115017 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(115078), // Rule ID 8144 //
     /* 115022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 115025 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115029 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 115034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 115049 */     // (AMDGPUld_glue:{ *:[v2i32] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 115049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 115052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 115059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 115064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 115069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115076 */     GIR_RootConstrainSelectedInstOperands,
     /* 115077 */     // GIR_Coverage, 8144,
     /* 115077 */     GIR_EraseRootFromParent_Done,
     /* 115078 */   // Label 1672: @115078
     /* 115078 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(115139), // Rule ID 8148 //
     /* 115083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 115086 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115090 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 115095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 115110 */     // (AMDGPUld_glue:{ *:[v2f32] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 115110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 115113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 115120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 115125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 115130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115137 */     GIR_RootConstrainSelectedInstOperands,
     /* 115138 */     // GIR_Coverage, 8148,
     /* 115138 */     GIR_EraseRootFromParent_Done,
     /* 115139 */   // Label 1673: @115139
     /* 115139 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(115201), // Rule ID 4598 //
     /* 115144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 115147 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 115169 */     // (ld:{ *:[v2i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 115169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 115172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 115174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 115179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115199 */     GIR_RootConstrainSelectedInstOperands,
     /* 115200 */     // GIR_Coverage, 4598,
     /* 115200 */     GIR_EraseRootFromParent_Done,
     /* 115201 */   // Label 1674: @115201
     /* 115201 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(115260), // Rule ID 4600 //
     /* 115206 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 115228 */     // (ld:{ *:[v2i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 115228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 115231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 115233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 115238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115258 */     GIR_RootConstrainSelectedInstOperands,
     /* 115259 */     // GIR_Coverage, 4600,
     /* 115259 */     GIR_EraseRootFromParent_Done,
     /* 115260 */   // Label 1675: @115260
     /* 115260 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(115322), // Rule ID 4602 //
     /* 115265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 115268 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 115290 */     // (ld:{ *:[v2f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 115290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 115293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 115295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 115300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115320 */     GIR_RootConstrainSelectedInstOperands,
     /* 115321 */     // GIR_Coverage, 4602,
     /* 115321 */     GIR_EraseRootFromParent_Done,
     /* 115322 */   // Label 1676: @115322
     /* 115322 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(115381), // Rule ID 4604 //
     /* 115327 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 115349 */     // (ld:{ *:[v2f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 115349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 115352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 115354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 115359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115379 */     GIR_RootConstrainSelectedInstOperands,
     /* 115380 */     // GIR_Coverage, 4604,
     /* 115380 */     GIR_EraseRootFromParent_Done,
     /* 115381 */   // Label 1677: @115381
     /* 115381 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(115438), // Rule ID 8146 //
     /* 115386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 115389 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 115394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 115409 */     // (ld:{ *:[v2i32] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 115409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 115412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 115419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 115424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 115429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115436 */     GIR_RootConstrainSelectedInstOperands,
     /* 115437 */     // GIR_Coverage, 8146,
     /* 115437 */     GIR_EraseRootFromParent_Done,
     /* 115438 */   // Label 1678: @115438
     /* 115438 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(115495), // Rule ID 8150 //
     /* 115443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 115446 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 115451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 115466 */     // (ld:{ *:[v2f32] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[v2f32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 115466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 115469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 115476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 115481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 115486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115493 */     GIR_RootConstrainSelectedInstOperands,
     /* 115494 */     // GIR_Coverage, 8150,
     /* 115494 */     GIR_EraseRootFromParent_Done,
     /* 115495 */   // Label 1679: @115495
     /* 115495 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(115554), // Rule ID 3956 //
     /* 115500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 115503 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 115525 */     // (ld:{ *:[v2i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[v2i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 115535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 115540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115552 */     GIR_RootConstrainSelectedInstOperands,
     /* 115553 */     // GIR_Coverage, 3956,
     /* 115553 */     GIR_EraseRootFromParent_Done,
     /* 115554 */   // Label 1680: @115554
     /* 115554 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(115613), // Rule ID 3960 //
     /* 115559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 115562 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 115584 */     // (ld:{ *:[v2f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[v2f32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 115584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 115587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 115594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 115599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115611 */     GIR_RootConstrainSelectedInstOperands,
     /* 115612 */     // GIR_Coverage, 3960,
     /* 115612 */     GIR_EraseRootFromParent_Done,
     /* 115613 */   // Label 1681: @115613
     /* 115613 */   GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(115667), // Rule ID 3955 //
     /* 115618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 115621 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 115643 */     // (ld:{ *:[v2i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[v2i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 115643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 115646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 115653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115665 */     GIR_RootConstrainSelectedInstOperands,
     /* 115666 */     // GIR_Coverage, 3955,
     /* 115666 */     GIR_EraseRootFromParent_Done,
     /* 115667 */   // Label 1682: @115667
     /* 115667 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(115721), // Rule ID 3959 //
     /* 115672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 115675 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 115697 */     // (ld:{ *:[v2f32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[v2f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 115697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 115700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 115707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115719 */     GIR_RootConstrainSelectedInstOperands,
     /* 115720 */     // GIR_Coverage, 3959,
     /* 115720 */     GIR_EraseRootFromParent_Done,
     /* 115721 */   // Label 1683: @115721
     /* 115721 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(115776), // Rule ID 3667 //
     /* 115726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 115729 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 115752 */     // (ld:{ *:[v2i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[v2i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 115752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 115755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 115762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115774 */     GIR_RootConstrainSelectedInstOperands,
     /* 115775 */     // GIR_Coverage, 3667,
     /* 115775 */     GIR_EraseRootFromParent_Done,
     /* 115776 */   // Label 1684: @115776
     /* 115776 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(115831), // Rule ID 3669 //
     /* 115781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 115784 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 115792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 115796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 115807 */     // (ld:{ *:[v2f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[v2f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 115807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 115810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 115812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 115817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115829 */     GIR_RootConstrainSelectedInstOperands,
     /* 115830 */     // GIR_Coverage, 3669,
     /* 115830 */     GIR_EraseRootFromParent_Done,
     /* 115831 */   // Label 1685: @115831
     /* 115831 */   GIM_Reject,
     /* 115832 */ // Label 1615: @115832
     /* 115832 */ GIM_Reject,
     /* 115833 */ // Label 1012: @115833
     /* 115833 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(119630),
     /* 115838 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115841 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(115905), // Rule ID 3225 //
     /* 115846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 115849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 115857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115861 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 115865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 115869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 115876 */     // (ld:{ *:[v2i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 115876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 115879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 115881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 115886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115903 */     GIR_RootConstrainSelectedInstOperands,
     /* 115904 */     // GIR_Coverage, 3225,
     /* 115904 */     GIR_EraseRootFromParent_Done,
     /* 115905 */   // Label 1687: @115905
     /* 115905 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(115969), // Rule ID 3242 //
     /* 115910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 115913 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 115921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 115929 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 115933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 115940 */     // (ld:{ *:[v2f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 115940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 115943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 115945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 115950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 115955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 115960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 115963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115967 */     GIR_RootConstrainSelectedInstOperands,
     /* 115968 */     // GIR_Coverage, 3242,
     /* 115968 */     GIR_EraseRootFromParent_Done,
     /* 115969 */   // Label 1688: @115969
     /* 115969 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(116029), // Rule ID 3230 //
     /* 115974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 115977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 115985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115989 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 115993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 116000 */     // (ld:{ *:[v2i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 116003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 116020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116027 */     GIR_RootConstrainSelectedInstOperands,
     /* 116028 */     // GIR_Coverage, 3230,
     /* 116028 */     GIR_EraseRootFromParent_Done,
     /* 116029 */   // Label 1689: @116029
     /* 116029 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(116089), // Rule ID 3247 //
     /* 116034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 116037 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116049 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 116060 */     // (ld:{ *:[v2f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 116063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 116080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116087 */     GIR_RootConstrainSelectedInstOperands,
     /* 116088 */     // GIR_Coverage, 3247,
     /* 116088 */     GIR_EraseRootFromParent_Done,
     /* 116089 */   // Label 1690: @116089
     /* 116089 */   GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(116149), // Rule ID 3236 //
     /* 116094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 116097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116109 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 116120 */     // (ld:{ *:[v2i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 116123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116147 */     GIR_RootConstrainSelectedInstOperands,
     /* 116148 */     // GIR_Coverage, 3236,
     /* 116148 */     GIR_EraseRootFromParent_Done,
     /* 116149 */   // Label 1691: @116149
     /* 116149 */   GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(116209), // Rule ID 3253 //
     /* 116154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 116157 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116169 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 116180 */     // (ld:{ *:[v2f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 116183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 116200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116207 */     GIR_RootConstrainSelectedInstOperands,
     /* 116208 */     // GIR_Coverage, 3253,
     /* 116208 */     GIR_EraseRootFromParent_Done,
     /* 116209 */   // Label 1692: @116209
     /* 116209 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(116268), // Rule ID 3221 //
     /* 116214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 116217 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116229 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 116244 */     // (ld:{ *:[v2i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 116247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116266 */     GIR_RootConstrainSelectedInstOperands,
     /* 116267 */     // GIR_Coverage, 3221,
     /* 116267 */     GIR_EraseRootFromParent_Done,
     /* 116268 */   // Label 1693: @116268
     /* 116268 */   GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(116327), // Rule ID 3222 //
     /* 116273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 116276 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116288 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 116303 */     // (ld:{ *:[v2i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 116306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116325 */     GIR_RootConstrainSelectedInstOperands,
     /* 116326 */     // GIR_Coverage, 3222,
     /* 116326 */     GIR_EraseRootFromParent_Done,
     /* 116327 */   // Label 1694: @116327
     /* 116327 */   GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(116386), // Rule ID 3223 //
     /* 116332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 116335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116347 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116351 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116362 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 116362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 116365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116384 */     GIR_RootConstrainSelectedInstOperands,
     /* 116385 */     // GIR_Coverage, 3223,
     /* 116385 */     GIR_EraseRootFromParent_Done,
     /* 116386 */   // Label 1695: @116386
     /* 116386 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(116448), // Rule ID 3224 //
     /* 116391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 116394 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116421 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 116421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 116424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116446 */     GIR_RootConstrainSelectedInstOperands,
     /* 116447 */     // GIR_Coverage, 3224,
     /* 116447 */     GIR_EraseRootFromParent_Done,
     /* 116448 */   // Label 1696: @116448
     /* 116448 */   GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(116507), // Rule ID 3238 //
     /* 116453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 116456 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 116483 */     // (ld:{ *:[v2f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 116486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116505 */     GIR_RootConstrainSelectedInstOperands,
     /* 116506 */     // GIR_Coverage, 3238,
     /* 116506 */     GIR_EraseRootFromParent_Done,
     /* 116507 */   // Label 1697: @116507
     /* 116507 */   GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(116566), // Rule ID 3239 //
     /* 116512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 116515 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116531 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 116542 */     // (ld:{ *:[v2f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 116545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116564 */     GIR_RootConstrainSelectedInstOperands,
     /* 116565 */     // GIR_Coverage, 3239,
     /* 116565 */     GIR_EraseRootFromParent_Done,
     /* 116566 */   // Label 1698: @116566
     /* 116566 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(116625), // Rule ID 3240 //
     /* 116571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 116574 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116586 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116601 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 116601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 116604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116623 */     GIR_RootConstrainSelectedInstOperands,
     /* 116624 */     // GIR_Coverage, 3240,
     /* 116624 */     GIR_EraseRootFromParent_Done,
     /* 116625 */   // Label 1699: @116625
     /* 116625 */   GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(116687), // Rule ID 3241 //
     /* 116630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 116633 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116649 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 116653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116660 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 116660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 116663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116685 */     GIR_RootConstrainSelectedInstOperands,
     /* 116686 */     // GIR_Coverage, 3241,
     /* 116686 */     GIR_EraseRootFromParent_Done,
     /* 116687 */   // Label 1700: @116687
     /* 116687 */   GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(116742), // Rule ID 3227 //
     /* 116692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 116695 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116707 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 116718 */     // (ld:{ *:[v2i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 116721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116740 */     GIR_RootConstrainSelectedInstOperands,
     /* 116741 */     // GIR_Coverage, 3227,
     /* 116741 */     GIR_EraseRootFromParent_Done,
     /* 116742 */   // Label 1701: @116742
     /* 116742 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(116797), // Rule ID 3228 //
     /* 116747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 116750 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116762 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116773 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 116773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 116776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116795 */     GIR_RootConstrainSelectedInstOperands,
     /* 116796 */     // GIR_Coverage, 3228,
     /* 116796 */     GIR_EraseRootFromParent_Done,
     /* 116797 */   // Label 1702: @116797
     /* 116797 */   GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(116855), // Rule ID 3229 //
     /* 116802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 116805 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116828 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 116828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 116831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116853 */     GIR_RootConstrainSelectedInstOperands,
     /* 116854 */     // GIR_Coverage, 3229,
     /* 116854 */     GIR_EraseRootFromParent_Done,
     /* 116855 */   // Label 1703: @116855
     /* 116855 */   GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(116910), // Rule ID 3244 //
     /* 116860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 116863 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 116886 */     // (ld:{ *:[v2f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 116886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 116889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116908 */     GIR_RootConstrainSelectedInstOperands,
     /* 116909 */     // GIR_Coverage, 3244,
     /* 116909 */     GIR_EraseRootFromParent_Done,
     /* 116910 */   // Label 1704: @116910
     /* 116910 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(116965), // Rule ID 3245 //
     /* 116915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 116918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116930 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116941 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 116941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 116944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 116946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 116951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 116956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 116959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116963 */     GIR_RootConstrainSelectedInstOperands,
     /* 116964 */     // GIR_Coverage, 3245,
     /* 116964 */     GIR_EraseRootFromParent_Done,
     /* 116965 */   // Label 1705: @116965
     /* 116965 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(117023), // Rule ID 3246 //
     /* 116970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 116973 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 116981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 116989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 116996 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 116996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 116999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 117011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117021 */     GIR_RootConstrainSelectedInstOperands,
     /* 117022 */     // GIR_Coverage, 3246,
     /* 117022 */     GIR_EraseRootFromParent_Done,
     /* 117023 */   // Label 1706: @117023
     /* 117023 */   GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(117083), // Rule ID 8244 //
     /* 117028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 117031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117035 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117040 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 117044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117059 */     // (AMDGPUld_glue:{ *:[v2i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 117062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117081 */     GIR_RootConstrainSelectedInstOperands,
     /* 117082 */     // GIR_Coverage, 8244,
     /* 117082 */     GIR_EraseRootFromParent_Done,
     /* 117083 */   // Label 1707: @117083
     /* 117083 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(117143), // Rule ID 8248 //
     /* 117088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 117091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117095 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117100 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 117104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117119 */     // (AMDGPUld_glue:{ *:[v2f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 117122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117141 */     GIR_RootConstrainSelectedInstOperands,
     /* 117142 */     // GIR_Coverage, 8248,
     /* 117142 */     GIR_EraseRootFromParent_Done,
     /* 117143 */   // Label 1708: @117143
     /* 117143 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(117208), // Rule ID 8312 //
     /* 117148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 117151 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117155 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117160 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 117177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117184 */     // (AMDGPUld_glue:{ *:[v2i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 117187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117206 */     GIR_RootConstrainSelectedInstOperands,
     /* 117207 */     // GIR_Coverage, 8312,
     /* 117207 */     GIR_EraseRootFromParent_Done,
     /* 117208 */   // Label 1709: @117208
     /* 117208 */   GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(117273), // Rule ID 8316 //
     /* 117213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 117216 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117220 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117225 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117238 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 117242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117249 */     // (AMDGPUld_glue:{ *:[v2f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 117252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117271 */     GIR_RootConstrainSelectedInstOperands,
     /* 117272 */     // GIR_Coverage, 8316,
     /* 117272 */     GIR_EraseRootFromParent_Done,
     /* 117273 */   // Label 1710: @117273
     /* 117273 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(117325), // Rule ID 3232 //
     /* 117278 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 117301 */     // (ld:{ *:[v2i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 117301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 117304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117323 */     GIR_RootConstrainSelectedInstOperands,
     /* 117324 */     // GIR_Coverage, 3232,
     /* 117324 */     GIR_EraseRootFromParent_Done,
     /* 117325 */   // Label 1711: @117325
     /* 117325 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(117380), // Rule ID 3233 //
     /* 117330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 117333 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117345 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 117356 */     // (ld:{ *:[v2i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 117356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 117359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117378 */     GIR_RootConstrainSelectedInstOperands,
     /* 117379 */     // GIR_Coverage, 3233,
     /* 117379 */     GIR_EraseRootFromParent_Done,
     /* 117380 */   // Label 1712: @117380
     /* 117380 */   GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(117435), // Rule ID 3234 //
     /* 117385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 117388 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117400 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 117411 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 117411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 117414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 117426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117433 */     GIR_RootConstrainSelectedInstOperands,
     /* 117434 */     // GIR_Coverage, 3234,
     /* 117434 */     GIR_EraseRootFromParent_Done,
     /* 117435 */   // Label 1713: @117435
     /* 117435 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(117493), // Rule ID 3235 //
     /* 117440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 117443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117455 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 117466 */     // (ld:{ *:[v2i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 117466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 117469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 117481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117491 */     GIR_RootConstrainSelectedInstOperands,
     /* 117492 */     // GIR_Coverage, 3235,
     /* 117492 */     GIR_EraseRootFromParent_Done,
     /* 117493 */   // Label 1714: @117493
     /* 117493 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(117545), // Rule ID 3249 //
     /* 117498 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117510 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 117521 */     // (ld:{ *:[v2f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 117521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 117524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117543 */     GIR_RootConstrainSelectedInstOperands,
     /* 117544 */     // GIR_Coverage, 3249,
     /* 117544 */     GIR_EraseRootFromParent_Done,
     /* 117545 */   // Label 1715: @117545
     /* 117545 */   GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(117600), // Rule ID 3250 //
     /* 117550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 117553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117565 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 117576 */     // (ld:{ *:[v2f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 117576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 117579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117598 */     GIR_RootConstrainSelectedInstOperands,
     /* 117599 */     // GIR_Coverage, 3250,
     /* 117599 */     GIR_EraseRootFromParent_Done,
     /* 117600 */   // Label 1716: @117600
     /* 117600 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(117655), // Rule ID 3251 //
     /* 117605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 117608 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117620 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 117631 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 117631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 117634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 117646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117653 */     GIR_RootConstrainSelectedInstOperands,
     /* 117654 */     // GIR_Coverage, 3251,
     /* 117654 */     GIR_EraseRootFromParent_Done,
     /* 117655 */   // Label 1717: @117655
     /* 117655 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(117713), // Rule ID 3252 //
     /* 117660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 117663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117675 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 117686 */     // (ld:{ *:[v2f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v2f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 117686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 117689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 117696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 117701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117711 */     GIR_RootConstrainSelectedInstOperands,
     /* 117712 */     // GIR_Coverage, 3252,
     /* 117712 */     GIR_EraseRootFromParent_Done,
     /* 117713 */   // Label 1718: @117713
     /* 117713 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(117769), // Rule ID 8245 //
     /* 117718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 117721 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117726 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 117730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117745 */     // (ld:{ *:[v2i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 117748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117767 */     GIR_RootConstrainSelectedInstOperands,
     /* 117768 */     // GIR_Coverage, 8245,
     /* 117768 */     GIR_EraseRootFromParent_Done,
     /* 117769 */   // Label 1719: @117769
     /* 117769 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(117825), // Rule ID 8249 //
     /* 117774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 117777 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117782 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 117786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117801 */     // (ld:{ *:[v2f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 117804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117823 */     GIR_RootConstrainSelectedInstOperands,
     /* 117824 */     // GIR_Coverage, 8249,
     /* 117824 */     GIR_EraseRootFromParent_Done,
     /* 117825 */   // Label 1720: @117825
     /* 117825 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(117886), // Rule ID 8313 //
     /* 117830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 117833 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117838 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117851 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 117855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117862 */     // (ld:{ *:[v2i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 117865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117884 */     GIR_RootConstrainSelectedInstOperands,
     /* 117885 */     // GIR_Coverage, 8313,
     /* 117885 */     GIR_EraseRootFromParent_Done,
     /* 117886 */   // Label 1721: @117886
     /* 117886 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(117947), // Rule ID 8317 //
     /* 117891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 117894 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117899 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 117904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 117908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 117916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 117923 */     // (ld:{ *:[v2f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 117923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 117926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 117928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 117933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117945 */     GIR_RootConstrainSelectedInstOperands,
     /* 117946 */     // GIR_Coverage, 8317,
     /* 117946 */     GIR_EraseRootFromParent_Done,
     /* 117947 */   // Label 1722: @117947
     /* 117947 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(117998), // Rule ID 3226 //
     /* 117952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 117955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 117963 */     // MIs[0] sbase
     /* 117963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 117971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 117975 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 117979 */     // (ld:{ *:[v2i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 117979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 117982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 117984 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117996 */     GIR_RootConstrainSelectedInstOperands,
     /* 117997 */     // GIR_Coverage, 3226,
     /* 117997 */     GIR_EraseRootFromParent_Done,
     /* 117998 */   // Label 1723: @117998
     /* 117998 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(118049), // Rule ID 3243 //
     /* 118003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 118006 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 118014 */     // MIs[0] sbase
     /* 118014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 118022 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 118026 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 118030 */     // (ld:{ *:[v2f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 118030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 118033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 118035 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 118037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118047 */     GIR_RootConstrainSelectedInstOperands,
     /* 118048 */     // GIR_Coverage, 3243,
     /* 118048 */     GIR_EraseRootFromParent_Done,
     /* 118049 */   // Label 1724: @118049
     /* 118049 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(118096), // Rule ID 3231 //
     /* 118054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 118057 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 118065 */     // MIs[0] sbase
     /* 118065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 118073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 118077 */     // (ld:{ *:[v2i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v2i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 118077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 118080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 118082 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 118084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118094 */     GIR_RootConstrainSelectedInstOperands,
     /* 118095 */     // GIR_Coverage, 3231,
     /* 118095 */     GIR_EraseRootFromParent_Done,
     /* 118096 */   // Label 1725: @118096
     /* 118096 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(118143), // Rule ID 3248 //
     /* 118101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 118104 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 118112 */     // MIs[0] sbase
     /* 118112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 118120 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 118124 */     // (ld:{ *:[v2f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v2f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 118124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 118127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 118129 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 118131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118141 */     GIR_RootConstrainSelectedInstOperands,
     /* 118142 */     // GIR_Coverage, 3248,
     /* 118142 */     GIR_EraseRootFromParent_Done,
     /* 118143 */   // Label 1726: @118143
     /* 118143 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(118187), // Rule ID 3237 //
     /* 118148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 118156 */     // MIs[0] sbase
     /* 118156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 118164 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 118168 */     // (ld:{ *:[v2i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 118168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 118171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 118173 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 118175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118185 */     GIR_RootConstrainSelectedInstOperands,
     /* 118186 */     // GIR_Coverage, 3237,
     /* 118186 */     GIR_EraseRootFromParent_Done,
     /* 118187 */   // Label 1727: @118187
     /* 118187 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(118231), // Rule ID 3254 //
     /* 118192 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 118200 */     // MIs[0] sbase
     /* 118200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 118208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 118212 */     // (ld:{ *:[v2f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v2f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 118212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 118215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 118217 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 118219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118229 */     GIR_RootConstrainSelectedInstOperands,
     /* 118230 */     // GIR_Coverage, 3254,
     /* 118230 */     GIR_EraseRootFromParent_Done,
     /* 118231 */   // Label 1728: @118231
     /* 118231 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(118288), // Rule ID 4422 //
     /* 118236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 118239 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 118259 */     // (ld:{ *:[v2i64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v2i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 118259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 118262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 118269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 118274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 118279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118286 */     GIR_RootConstrainSelectedInstOperands,
     /* 118287 */     // GIR_Coverage, 4422,
     /* 118287 */     GIR_EraseRootFromParent_Done,
     /* 118288 */   // Label 1729: @118288
     /* 118288 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(118345), // Rule ID 4428 //
     /* 118293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 118296 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 118316 */     // (ld:{ *:[v2f64] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v2f64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 118316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 118319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 118326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 118331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 118336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118343 */     GIR_RootConstrainSelectedInstOperands,
     /* 118344 */     // GIR_Coverage, 4428,
     /* 118344 */     GIR_EraseRootFromParent_Done,
     /* 118345 */   // Label 1730: @118345
     /* 118345 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(118397), // Rule ID 4421 //
     /* 118350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 118353 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 118373 */     // (ld:{ *:[v2i64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v2i64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 118373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 118376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 118383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118395 */     GIR_RootConstrainSelectedInstOperands,
     /* 118396 */     // GIR_Coverage, 4421,
     /* 118396 */     GIR_EraseRootFromParent_Done,
     /* 118397 */   // Label 1731: @118397
     /* 118397 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(118449), // Rule ID 4427 //
     /* 118402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 118405 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 118425 */     // (ld:{ *:[v2f64] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v2f64] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 118425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 118428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 118435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118447 */     GIR_RootConstrainSelectedInstOperands,
     /* 118448 */     // GIR_Coverage, 4427,
     /* 118448 */     GIR_EraseRootFromParent_Done,
     /* 118449 */   // Label 1732: @118449
     /* 118449 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(118501), // Rule ID 4420 //
     /* 118454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 118457 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 118477 */     // (ld:{ *:[v2i64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v2i64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 118477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 118480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 118487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118499 */     GIR_RootConstrainSelectedInstOperands,
     /* 118500 */     // GIR_Coverage, 4420,
     /* 118500 */     GIR_EraseRootFromParent_Done,
     /* 118501 */   // Label 1733: @118501
     /* 118501 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(118553), // Rule ID 4426 //
     /* 118506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 118509 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 118514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 118529 */     // (ld:{ *:[v2f64] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v2f64] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 118529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 118532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 118539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118551 */     GIR_RootConstrainSelectedInstOperands,
     /* 118552 */     // GIR_Coverage, 4426,
     /* 118552 */     GIR_EraseRootFromParent_Done,
     /* 118553 */   // Label 1734: @118553
     /* 118553 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(118620), // Rule ID 4643 //
     /* 118558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 118561 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 118568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 118583 */     // (ld:{ *:[v2i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v2i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 118583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 118586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 118588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 118593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 118598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 118603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 118608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118618 */     GIR_RootConstrainSelectedInstOperands,
     /* 118619 */     // GIR_Coverage, 4643,
     /* 118619 */     GIR_EraseRootFromParent_Done,
     /* 118620 */   // Label 1735: @118620
     /* 118620 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(118684), // Rule ID 4645 //
     /* 118625 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 118632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 118647 */     // (ld:{ *:[v2i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v2i64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 118647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 118650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 118652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 118657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 118662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 118667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 118672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118682 */     GIR_RootConstrainSelectedInstOperands,
     /* 118683 */     // GIR_Coverage, 4645,
     /* 118683 */     GIR_EraseRootFromParent_Done,
     /* 118684 */   // Label 1736: @118684
     /* 118684 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(118751), // Rule ID 4647 //
     /* 118689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 118692 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 118699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 118714 */     // (ld:{ *:[v2f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v2f64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 118714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 118717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 118719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 118724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 118729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 118734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 118739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118749 */     GIR_RootConstrainSelectedInstOperands,
     /* 118750 */     // GIR_Coverage, 4647,
     /* 118750 */     GIR_EraseRootFromParent_Done,
     /* 118751 */   // Label 1737: @118751
     /* 118751 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(118815), // Rule ID 4649 //
     /* 118756 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 118763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 118778 */     // (ld:{ *:[v2f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v2f64] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 118778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 118781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 118783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 118788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 118793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 118798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 118803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118813 */     GIR_RootConstrainSelectedInstOperands,
     /* 118814 */     // GIR_Coverage, 4649,
     /* 118814 */     GIR_EraseRootFromParent_Done,
     /* 118815 */   // Label 1738: @118815
     /* 118815 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(118876), // Rule ID 8176 //
     /* 118820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 118823 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118827 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 118832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 118847 */     // (AMDGPUld_glue:{ *:[v2i64] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 118847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 118850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 118857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 118862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 118867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118874 */     GIR_RootConstrainSelectedInstOperands,
     /* 118875 */     // GIR_Coverage, 8176,
     /* 118875 */     GIR_EraseRootFromParent_Done,
     /* 118876 */   // Label 1739: @118876
     /* 118876 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(118937), // Rule ID 8180 //
     /* 118881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 118884 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118888 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 118893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 118908 */     // (AMDGPUld_glue:{ *:[v2f64] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 118908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 118911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 118913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 118918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 118923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 118928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118935 */     GIR_RootConstrainSelectedInstOperands,
     /* 118936 */     // GIR_Coverage, 8180,
     /* 118936 */     GIR_EraseRootFromParent_Done,
     /* 118937 */   // Label 1740: @118937
     /* 118937 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(118999), // Rule ID 4642 //
     /* 118942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 118945 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 118952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 118956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 118967 */     // (ld:{ *:[v2i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 118967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 118970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 118972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 118977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 118982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 118987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 118993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118997 */     GIR_RootConstrainSelectedInstOperands,
     /* 118998 */     // GIR_Coverage, 4642,
     /* 118998 */     GIR_EraseRootFromParent_Done,
     /* 118999 */   // Label 1741: @118999
     /* 118999 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(119058), // Rule ID 4644 //
     /* 119004 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 119026 */     // (ld:{ *:[v2i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 119026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 119029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 119031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 119036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119056 */     GIR_RootConstrainSelectedInstOperands,
     /* 119057 */     // GIR_Coverage, 4644,
     /* 119057 */     GIR_EraseRootFromParent_Done,
     /* 119058 */   // Label 1742: @119058
     /* 119058 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(119120), // Rule ID 4646 //
     /* 119063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 119066 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 119088 */     // (ld:{ *:[v2f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 119088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 119091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 119093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 119098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119118 */     GIR_RootConstrainSelectedInstOperands,
     /* 119119 */     // GIR_Coverage, 4646,
     /* 119119 */     GIR_EraseRootFromParent_Done,
     /* 119120 */   // Label 1743: @119120
     /* 119120 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(119179), // Rule ID 4648 //
     /* 119125 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 119147 */     // (ld:{ *:[v2f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 119147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 119150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 119152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 119157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119177 */     GIR_RootConstrainSelectedInstOperands,
     /* 119178 */     // GIR_Coverage, 4648,
     /* 119178 */     GIR_EraseRootFromParent_Done,
     /* 119179 */   // Label 1744: @119179
     /* 119179 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(119236), // Rule ID 8178 //
     /* 119184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 119187 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 119192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 119207 */     // (ld:{ *:[v2i64] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v2i64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 119207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 119210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 119217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 119222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 119227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119234 */     GIR_RootConstrainSelectedInstOperands,
     /* 119235 */     // GIR_Coverage, 8178,
     /* 119235 */     GIR_EraseRootFromParent_Done,
     /* 119236 */   // Label 1745: @119236
     /* 119236 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(119293), // Rule ID 8182 //
     /* 119241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 119244 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 119249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 119264 */     // (ld:{ *:[v2f64] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v2f64] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 119264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 119267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 119274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 119279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 119284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119291 */     GIR_RootConstrainSelectedInstOperands,
     /* 119292 */     // GIR_Coverage, 8182,
     /* 119292 */     GIR_EraseRootFromParent_Done,
     /* 119293 */   // Label 1746: @119293
     /* 119293 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(119352), // Rule ID 3994 //
     /* 119298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 119301 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 119323 */     // (ld:{ *:[v2i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v2i64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 119326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 119333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 119338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119350 */     GIR_RootConstrainSelectedInstOperands,
     /* 119351 */     // GIR_Coverage, 3994,
     /* 119351 */     GIR_EraseRootFromParent_Done,
     /* 119352 */   // Label 1747: @119352
     /* 119352 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(119411), // Rule ID 3998 //
     /* 119357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 119360 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 119382 */     // (ld:{ *:[v2f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v2f64] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 119385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 119392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 119397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119409 */     GIR_RootConstrainSelectedInstOperands,
     /* 119410 */     // GIR_Coverage, 3998,
     /* 119410 */     GIR_EraseRootFromParent_Done,
     /* 119411 */   // Label 1748: @119411
     /* 119411 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(119465), // Rule ID 3993 //
     /* 119416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 119419 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 119441 */     // (ld:{ *:[v2i64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v2i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 119441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 119444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 119451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119463 */     GIR_RootConstrainSelectedInstOperands,
     /* 119464 */     // GIR_Coverage, 3993,
     /* 119464 */     GIR_EraseRootFromParent_Done,
     /* 119465 */   // Label 1749: @119465
     /* 119465 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(119519), // Rule ID 3997 //
     /* 119470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 119473 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 119495 */     // (ld:{ *:[v2f64] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v2f64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 119495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 119498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 119505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119517 */     GIR_RootConstrainSelectedInstOperands,
     /* 119518 */     // GIR_Coverage, 3997,
     /* 119518 */     GIR_EraseRootFromParent_Done,
     /* 119519 */   // Label 1750: @119519
     /* 119519 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(119574), // Rule ID 3685 //
     /* 119524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 119527 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 119550 */     // (ld:{ *:[v2i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v2i64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 119550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 119553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 119560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119572 */     GIR_RootConstrainSelectedInstOperands,
     /* 119573 */     // GIR_Coverage, 3685,
     /* 119573 */     GIR_EraseRootFromParent_Done,
     /* 119574 */   // Label 1751: @119574
     /* 119574 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(119629), // Rule ID 3687 //
     /* 119579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 119582 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 119590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 119594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 119605 */     // (ld:{ *:[v2f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v2f64] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 119605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 119608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 119610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 119615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119627 */     GIR_RootConstrainSelectedInstOperands,
     /* 119628 */     // GIR_Coverage, 3687,
     /* 119628 */     GIR_EraseRootFromParent_Done,
     /* 119629 */   // Label 1752: @119629
     /* 119629 */   GIM_Reject,
     /* 119630 */ // Label 1686: @119630
     /* 119630 */ GIM_Reject,
     /* 119631 */ // Label 1013: @119631
     /* 119631 */ GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(122849),
     /* 119636 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119639 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(119703), // Rule ID 3160 //
     /* 119644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 119647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 119667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119674 */     // (ld:{ *:[v3i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 119677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119701 */     GIR_RootConstrainSelectedInstOperands,
     /* 119702 */     // GIR_Coverage, 3160,
     /* 119702 */     GIR_EraseRootFromParent_Done,
     /* 119703 */   // Label 1754: @119703
     /* 119703 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(119767), // Rule ID 3175 //
     /* 119708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 119711 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 119731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119738 */     // (ld:{ *:[v3f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 119741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119765 */     GIR_RootConstrainSelectedInstOperands,
     /* 119766 */     // GIR_Coverage, 3175,
     /* 119766 */     GIR_EraseRootFromParent_Done,
     /* 119767 */   // Label 1755: @119767
     /* 119767 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(119827), // Rule ID 3165 //
     /* 119772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 119775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119787 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119798 */     // (ld:{ *:[v3i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM_ec:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM_ec),
     /* 119801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119825 */     GIR_RootConstrainSelectedInstOperands,
     /* 119826 */     // GIR_Coverage, 3165,
     /* 119826 */     GIR_EraseRootFromParent_Done,
     /* 119827 */   // Label 1756: @119827
     /* 119827 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(119887), // Rule ID 3180 //
     /* 119832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 119835 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119847 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119858 */     // (ld:{ *:[v3f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM_ec:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM_ec),
     /* 119861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119885 */     GIR_RootConstrainSelectedInstOperands,
     /* 119886 */     // GIR_Coverage, 3180,
     /* 119886 */     GIR_EraseRootFromParent_Done,
     /* 119887 */   // Label 1757: @119887
     /* 119887 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(119947), // Rule ID 3170 //
     /* 119892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 119895 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119918 */     // (ld:{ *:[v3i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 119921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 119941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119945 */     GIR_RootConstrainSelectedInstOperands,
     /* 119946 */     // GIR_Coverage, 3170,
     /* 119946 */     GIR_EraseRootFromParent_Done,
     /* 119947 */   // Label 1758: @119947
     /* 119947 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(120007), // Rule ID 3185 //
     /* 119952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 119955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 119963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119967 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 119971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 119978 */     // (ld:{ *:[v3f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 119978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 119981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 119983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 119988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 119993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 119998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120005 */     GIR_RootConstrainSelectedInstOperands,
     /* 120006 */     // GIR_Coverage, 3185,
     /* 120006 */     GIR_EraseRootFromParent_Done,
     /* 120007 */   // Label 1759: @120007
     /* 120007 */   GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(120066), // Rule ID 3157 //
     /* 120012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 120015 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120027 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 120042 */     // (ld:{ *:[v3i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 120042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 120045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120064 */     GIR_RootConstrainSelectedInstOperands,
     /* 120065 */     // GIR_Coverage, 3157,
     /* 120065 */     GIR_EraseRootFromParent_Done,
     /* 120066 */   // Label 1760: @120066
     /* 120066 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(120125), // Rule ID 3158 //
     /* 120071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 120074 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120090 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120101 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 120101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR),
     /* 120104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120123 */     GIR_RootConstrainSelectedInstOperands,
     /* 120124 */     // GIR_Coverage, 3158,
     /* 120124 */     GIR_EraseRootFromParent_Done,
     /* 120125 */   // Label 1761: @120125
     /* 120125 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(120187), // Rule ID 3159 //
     /* 120130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 120133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120149 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120160 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 120160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 120163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120185 */     GIR_RootConstrainSelectedInstOperands,
     /* 120186 */     // GIR_Coverage, 3159,
     /* 120186 */     GIR_EraseRootFromParent_Done,
     /* 120187 */   // Label 1762: @120187
     /* 120187 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(120246), // Rule ID 3172 //
     /* 120192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 120195 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 120222 */     // (ld:{ *:[v3f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 120222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 120225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120244 */     GIR_RootConstrainSelectedInstOperands,
     /* 120245 */     // GIR_Coverage, 3172,
     /* 120245 */     GIR_EraseRootFromParent_Done,
     /* 120246 */   // Label 1763: @120246
     /* 120246 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(120305), // Rule ID 3173 //
     /* 120251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 120254 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120270 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120281 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 120281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR),
     /* 120284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120303 */     GIR_RootConstrainSelectedInstOperands,
     /* 120304 */     // GIR_Coverage, 3173,
     /* 120304 */     GIR_EraseRootFromParent_Done,
     /* 120305 */   // Label 1764: @120305
     /* 120305 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(120367), // Rule ID 3174 //
     /* 120310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 120313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120329 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 120333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120340 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 120340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 120343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120365 */     GIR_RootConstrainSelectedInstOperands,
     /* 120366 */     // GIR_Coverage, 3174,
     /* 120366 */     GIR_EraseRootFromParent_Done,
     /* 120367 */   // Label 1765: @120367
     /* 120367 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(120422), // Rule ID 3162 //
     /* 120372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 120375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120387 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 120398 */     // (ld:{ *:[v3i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM_ec:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 120398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM_ec),
     /* 120401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120420 */     GIR_RootConstrainSelectedInstOperands,
     /* 120421 */     // GIR_Coverage, 3162,
     /* 120421 */     GIR_EraseRootFromParent_Done,
     /* 120422 */   // Label 1766: @120422
     /* 120422 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(120477), // Rule ID 3163 //
     /* 120427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 120430 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120442 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120453 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_ec:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 120453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_ec),
     /* 120456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120475 */     GIR_RootConstrainSelectedInstOperands,
     /* 120476 */     // GIR_Coverage, 3163,
     /* 120476 */     GIR_EraseRootFromParent_Done,
     /* 120477 */   // Label 1767: @120477
     /* 120477 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(120535), // Rule ID 3164 //
     /* 120482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 120485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120497 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120508 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM_ec:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 120508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM_ec),
     /* 120511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120533 */     GIR_RootConstrainSelectedInstOperands,
     /* 120534 */     // GIR_Coverage, 3164,
     /* 120534 */     GIR_EraseRootFromParent_Done,
     /* 120535 */   // Label 1768: @120535
     /* 120535 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(120590), // Rule ID 3177 //
     /* 120540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 120543 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120555 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 120566 */     // (ld:{ *:[v3f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM_ec:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 120566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM_ec),
     /* 120569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120588 */     GIR_RootConstrainSelectedInstOperands,
     /* 120589 */     // GIR_Coverage, 3177,
     /* 120589 */     GIR_EraseRootFromParent_Done,
     /* 120590 */   // Label 1769: @120590
     /* 120590 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(120645), // Rule ID 3178 //
     /* 120595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 120598 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120610 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120621 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_ec:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_ec),
     /* 120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120643 */     GIR_RootConstrainSelectedInstOperands,
     /* 120644 */     // GIR_Coverage, 3178,
     /* 120644 */     GIR_EraseRootFromParent_Done,
     /* 120645 */   // Label 1770: @120645
     /* 120645 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(120703), // Rule ID 3179 //
     /* 120650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 120653 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 120676 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM_ec:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 120676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM_ec),
     /* 120679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 120691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120701 */     GIR_RootConstrainSelectedInstOperands,
     /* 120702 */     // GIR_Coverage, 3179,
     /* 120702 */     GIR_EraseRootFromParent_Done,
     /* 120703 */   // Label 1771: @120703
     /* 120703 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(120763), // Rule ID 8228 //
     /* 120708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 120711 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120715 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 120720 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 120724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 120728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 120739 */     // (AMDGPUld_glue:{ *:[v3i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B96:{ *:[v3i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 120739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96),
     /* 120742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 120744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 120749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120761 */     GIR_RootConstrainSelectedInstOperands,
     /* 120762 */     // GIR_Coverage, 8228,
     /* 120762 */     GIR_EraseRootFromParent_Done,
     /* 120763 */   // Label 1772: @120763
     /* 120763 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(120823), // Rule ID 8232 //
     /* 120768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 120771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120775 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 120780 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 120784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 120788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 120799 */     // (AMDGPUld_glue:{ *:[v3f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B96:{ *:[v3f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 120799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96),
     /* 120802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 120804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 120809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120821 */     GIR_RootConstrainSelectedInstOperands,
     /* 120822 */     // GIR_Coverage, 8232,
     /* 120822 */     GIR_EraseRootFromParent_Done,
     /* 120823 */   // Label 1773: @120823
     /* 120823 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(120879), // Rule ID 8296 //
     /* 120828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 120831 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120835 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 120840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 120844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 120855 */     // (AMDGPUld_glue:{ *:[v3i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B96:{ *:[v3i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 120855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96),
     /* 120858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 120860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 120865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120877 */     GIR_RootConstrainSelectedInstOperands,
     /* 120878 */     // GIR_Coverage, 8296,
     /* 120878 */     GIR_EraseRootFromParent_Done,
     /* 120879 */   // Label 1774: @120879
     /* 120879 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(120935), // Rule ID 8300 //
     /* 120884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 120887 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120891 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 120896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 120900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 120911 */     // (AMDGPUld_glue:{ *:[v3f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ_B96:{ *:[v3f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 120911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96),
     /* 120914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 120916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 120921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120933 */     GIR_RootConstrainSelectedInstOperands,
     /* 120934 */     // GIR_Coverage, 8300,
     /* 120934 */     GIR_EraseRootFromParent_Done,
     /* 120935 */   // Label 1775: @120935
     /* 120935 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(120987), // Rule ID 3167 //
     /* 120940 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 120948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 120956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 120963 */     // (ld:{ *:[v3i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 120963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 120966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 120968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 120973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120985 */     GIR_RootConstrainSelectedInstOperands,
     /* 120986 */     // GIR_Coverage, 3167,
     /* 120986 */     GIR_EraseRootFromParent_Done,
     /* 120987 */   // Label 1776: @120987
     /* 120987 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(121042), // Rule ID 3168 //
     /* 120992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 120995 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121007 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 121018 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 121018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR),
     /* 121021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 121028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121040 */     GIR_RootConstrainSelectedInstOperands,
     /* 121041 */     // GIR_Coverage, 3168,
     /* 121041 */     GIR_EraseRootFromParent_Done,
     /* 121042 */   // Label 1777: @121042
     /* 121042 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(121100), // Rule ID 3169 //
     /* 121047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 121050 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121062 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 121073 */     // (ld:{ *:[v3i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 121076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 121083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121098 */     GIR_RootConstrainSelectedInstOperands,
     /* 121099 */     // GIR_Coverage, 3169,
     /* 121099 */     GIR_EraseRootFromParent_Done,
     /* 121100 */   // Label 1778: @121100
     /* 121100 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(121152), // Rule ID 3182 //
     /* 121105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 121128 */     // (ld:{ *:[v3f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 121128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 121131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 121138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121150 */     GIR_RootConstrainSelectedInstOperands,
     /* 121151 */     // GIR_Coverage, 3182,
     /* 121151 */     GIR_EraseRootFromParent_Done,
     /* 121152 */   // Label 1779: @121152
     /* 121152 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(121207), // Rule ID 3183 //
     /* 121157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 121160 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 121183 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 121183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR),
     /* 121186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 121193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121205 */     GIR_RootConstrainSelectedInstOperands,
     /* 121206 */     // GIR_Coverage, 3183,
     /* 121206 */     GIR_EraseRootFromParent_Done,
     /* 121207 */   // Label 1780: @121207
     /* 121207 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(121265), // Rule ID 3184 //
     /* 121212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 121215 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121227 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 121238 */     // (ld:{ *:[v3f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_SGPR_IMM),
     /* 121241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 121248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121263 */     GIR_RootConstrainSelectedInstOperands,
     /* 121264 */     // GIR_Coverage, 3184,
     /* 121264 */     GIR_EraseRootFromParent_Done,
     /* 121265 */   // Label 1781: @121265
     /* 121265 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(121321), // Rule ID 8229 //
     /* 121270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 121273 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 121278 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 121282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 121297 */     // (ld:{ *:[v3i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B96_gfx9:{ *:[v3i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 121297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96_gfx9),
     /* 121300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 121307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121319 */     GIR_RootConstrainSelectedInstOperands,
     /* 121320 */     // GIR_Coverage, 8229,
     /* 121320 */     GIR_EraseRootFromParent_Done,
     /* 121321 */   // Label 1782: @121321
     /* 121321 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(121377), // Rule ID 8233 //
     /* 121326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 121329 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 121334 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 121338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 121353 */     // (ld:{ *:[v3f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B96_gfx9:{ *:[v3f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 121353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96_gfx9),
     /* 121356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 121363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121375 */     GIR_RootConstrainSelectedInstOperands,
     /* 121376 */     // GIR_Coverage, 8233,
     /* 121376 */     GIR_EraseRootFromParent_Done,
     /* 121377 */   // Label 1783: @121377
     /* 121377 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(121429), // Rule ID 8297 //
     /* 121382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 121385 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 121390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 121405 */     // (ld:{ *:[v3i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B96_gfx9:{ *:[v3i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 121405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96_gfx9),
     /* 121408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 121415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121427 */     GIR_RootConstrainSelectedInstOperands,
     /* 121428 */     // GIR_Coverage, 8297,
     /* 121428 */     GIR_EraseRootFromParent_Done,
     /* 121429 */   // Label 1784: @121429
     /* 121429 */   GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(121481), // Rule ID 8301 //
     /* 121434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 121437 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 121442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 121457 */     // (ld:{ *:[v3f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ_B96_gfx9:{ *:[v3f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 121457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96_gfx9),
     /* 121460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 121467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121479 */     GIR_RootConstrainSelectedInstOperands,
     /* 121480 */     // GIR_Coverage, 8301,
     /* 121480 */     GIR_EraseRootFromParent_Done,
     /* 121481 */   // Label 1785: @121481
     /* 121481 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(121532), // Rule ID 3161 //
     /* 121486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 121489 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121497 */     // MIs[0] sbase
     /* 121497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121509 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 121513 */     // (ld:{ *:[v3i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 121516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121518 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121530 */     GIR_RootConstrainSelectedInstOperands,
     /* 121531 */     // GIR_Coverage, 3161,
     /* 121531 */     GIR_EraseRootFromParent_Done,
     /* 121532 */   // Label 1786: @121532
     /* 121532 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(121583), // Rule ID 3176 //
     /* 121537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 121540 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121548 */     // MIs[0] sbase
     /* 121548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 121564 */     // (ld:{ *:[v3f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 121567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121569 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121581 */     GIR_RootConstrainSelectedInstOperands,
     /* 121582 */     // GIR_Coverage, 3176,
     /* 121582 */     GIR_EraseRootFromParent_Done,
     /* 121583 */   // Label 1787: @121583
     /* 121583 */   GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(121630), // Rule ID 3166 //
     /* 121588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 121591 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121599 */     // MIs[0] sbase
     /* 121599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121611 */     // (ld:{ *:[v3i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM_ec:{ *:[v3i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM_ec),
     /* 121614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121616 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121628 */     GIR_RootConstrainSelectedInstOperands,
     /* 121629 */     // GIR_Coverage, 3166,
     /* 121629 */     GIR_EraseRootFromParent_Done,
     /* 121630 */   // Label 1788: @121630
     /* 121630 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(121677), // Rule ID 3181 //
     /* 121635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 121638 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121646 */     // MIs[0] sbase
     /* 121646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121654 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121658 */     // (ld:{ *:[v3f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM_ec:{ *:[v3f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM_ec),
     /* 121661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121663 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121675 */     GIR_RootConstrainSelectedInstOperands,
     /* 121676 */     // GIR_Coverage, 3181,
     /* 121676 */     GIR_EraseRootFromParent_Done,
     /* 121677 */   // Label 1789: @121677
     /* 121677 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(121721), // Rule ID 3171 //
     /* 121682 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121690 */     // MIs[0] sbase
     /* 121690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121698 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121702 */     // (ld:{ *:[v3i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 121705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121707 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121719 */     GIR_RootConstrainSelectedInstOperands,
     /* 121720 */     // GIR_Coverage, 3171,
     /* 121720 */     GIR_EraseRootFromParent_Done,
     /* 121721 */   // Label 1790: @121721
     /* 121721 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(121765), // Rule ID 3186 //
     /* 121726 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 121734 */     // MIs[0] sbase
     /* 121734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 121742 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 121746 */     // (ld:{ *:[v3f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX3_IMM:{ *:[v3f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 121746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX3_IMM),
     /* 121749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 121751 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 121753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121763 */     GIR_RootConstrainSelectedInstOperands,
     /* 121764 */     // GIR_Coverage, 3186,
     /* 121764 */     GIR_EraseRootFromParent_Done,
     /* 121765 */   // Label 1791: @121765
     /* 121765 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(121825), // Rule ID 6579 //
     /* 121770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 121773 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 121778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 121793 */     // (ld:{ *:[v3i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX3_OFFSET:{ *:[v3i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 121793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFSET),
     /* 121796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 121798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 121803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 121813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121823 */     GIR_RootConstrainSelectedInstOperands,
     /* 121824 */     // GIR_Coverage, 6579,
     /* 121824 */     GIR_EraseRootFromParent_Done,
     /* 121825 */   // Label 1792: @121825
     /* 121825 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(121885), // Rule ID 6581 //
     /* 121830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 121833 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 121838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 121853 */     // (ld:{ *:[v3i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET:{ *:[v3i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 121853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET),
     /* 121856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 121858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 121863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 121868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 121873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121883 */     GIR_RootConstrainSelectedInstOperands,
     /* 121884 */     // GIR_Coverage, 6581,
     /* 121884 */     GIR_EraseRootFromParent_Done,
     /* 121885 */   // Label 1793: @121885
     /* 121885 */   GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(121942), // Rule ID 4407 //
     /* 121890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 121893 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 121898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 121913 */     // (ld:{ *:[v3i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX3_SVS:{ *:[v3i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 121913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX3_SVS),
     /* 121916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 121923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 121928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 121933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121940 */     GIR_RootConstrainSelectedInstOperands,
     /* 121941 */     // GIR_Coverage, 4407,
     /* 121941 */     GIR_EraseRootFromParent_Done,
     /* 121942 */   // Label 1794: @121942
     /* 121942 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(121994), // Rule ID 4406 //
     /* 121947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 121950 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 121955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 121959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 121970 */     // (ld:{ *:[v3i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX3_SADDR:{ *:[v3i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 121970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX3_SADDR),
     /* 121973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 121975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 121980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121992 */     GIR_RootConstrainSelectedInstOperands,
     /* 121993 */     // GIR_Coverage, 4406,
     /* 121993 */     GIR_EraseRootFromParent_Done,
     /* 121994 */   // Label 1795: @121994
     /* 121994 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(122046), // Rule ID 4405 //
     /* 121999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 122002 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 122007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 122022 */     // (ld:{ *:[v3i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX3:{ *:[v3i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 122022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX3),
     /* 122025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 122027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 122032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122044 */     GIR_RootConstrainSelectedInstOperands,
     /* 122045 */     // GIR_Coverage, 4405,
     /* 122045 */     GIR_EraseRootFromParent_Done,
     /* 122046 */   // Label 1796: @122046
     /* 122046 */   GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(122113), // Rule ID 4627 //
     /* 122051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 122054 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 122076 */     // (ld:{ *:[v3i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_ADDR64:{ *:[v3i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_ADDR64),
     /* 122079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122111 */     GIR_RootConstrainSelectedInstOperands,
     /* 122112 */     // GIR_Coverage, 4627,
     /* 122112 */     GIR_EraseRootFromParent_Done,
     /* 122113 */   // Label 1797: @122113
     /* 122113 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(122177), // Rule ID 4629 //
     /* 122118 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 122140 */     // (ld:{ *:[v3i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_ADDR64:{ *:[v3i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_ADDR64),
     /* 122143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122175 */     GIR_RootConstrainSelectedInstOperands,
     /* 122176 */     // GIR_Coverage, 4629,
     /* 122176 */     GIR_EraseRootFromParent_Done,
     /* 122177 */   // Label 1798: @122177
     /* 122177 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(122244), // Rule ID 4631 //
     /* 122182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 122185 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 122207 */     // (ld:{ *:[v3f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_ADDR64:{ *:[v3f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_ADDR64),
     /* 122210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122242 */     GIR_RootConstrainSelectedInstOperands,
     /* 122243 */     // GIR_Coverage, 4631,
     /* 122243 */     GIR_EraseRootFromParent_Done,
     /* 122244 */   // Label 1799: @122244
     /* 122244 */   GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(122308), // Rule ID 4633 //
     /* 122249 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 122271 */     // (ld:{ *:[v3f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_ADDR64:{ *:[v3f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_ADDR64),
     /* 122274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122306 */     GIR_RootConstrainSelectedInstOperands,
     /* 122307 */     // GIR_Coverage, 4633,
     /* 122307 */     GIR_EraseRootFromParent_Done,
     /* 122308 */   // Label 1800: @122308
     /* 122308 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(122373), // Rule ID 6578 //
     /* 122313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 122316 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 122321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 122336 */     // (ld:{ *:[v3i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX3_OFFEN:{ *:[v3i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 122336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFEN),
     /* 122339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122371 */     GIR_RootConstrainSelectedInstOperands,
     /* 122372 */     // GIR_Coverage, 6578,
     /* 122372 */     GIR_EraseRootFromParent_Done,
     /* 122373 */   // Label 1801: @122373
     /* 122373 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(122438), // Rule ID 6580 //
     /* 122378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 122381 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 122386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 122401 */     // (ld:{ *:[v3i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN:{ *:[v3i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 122401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN),
     /* 122404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 122411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 122421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 122426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122436 */     GIR_RootConstrainSelectedInstOperands,
     /* 122437 */     // GIR_Coverage, 6580,
     /* 122437 */     GIR_EraseRootFromParent_Done,
     /* 122438 */   // Label 1802: @122438
     /* 122438 */   GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(122500), // Rule ID 4626 //
     /* 122443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 122446 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 122468 */     // (ld:{ *:[v3i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_OFFSET:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFSET),
     /* 122471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122498 */     GIR_RootConstrainSelectedInstOperands,
     /* 122499 */     // GIR_Coverage, 4626,
     /* 122499 */     GIR_EraseRootFromParent_Done,
     /* 122500 */   // Label 1803: @122500
     /* 122500 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(122559), // Rule ID 4628 //
     /* 122505 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 122527 */     // (ld:{ *:[v3i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET),
     /* 122530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122557 */     GIR_RootConstrainSelectedInstOperands,
     /* 122558 */     // GIR_Coverage, 4628,
     /* 122558 */     GIR_EraseRootFromParent_Done,
     /* 122559 */   // Label 1804: @122559
     /* 122559 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(122621), // Rule ID 4630 //
     /* 122564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 122567 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 122589 */     // (ld:{ *:[v3f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_OFFSET:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFSET),
     /* 122592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122619 */     GIR_RootConstrainSelectedInstOperands,
     /* 122620 */     // GIR_Coverage, 4630,
     /* 122620 */     GIR_EraseRootFromParent_Done,
     /* 122621 */   // Label 1805: @122621
     /* 122621 */   GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(122680), // Rule ID 4632 //
     /* 122626 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 122648 */     // (ld:{ *:[v3f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 122648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET),
     /* 122651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 122653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 122658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122678 */     GIR_RootConstrainSelectedInstOperands,
     /* 122679 */     // GIR_Coverage, 4632,
     /* 122679 */     GIR_EraseRootFromParent_Done,
     /* 122680 */   // Label 1806: @122680
     /* 122680 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(122739), // Rule ID 3984 //
     /* 122685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 122688 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 122710 */     // (ld:{ *:[v3i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX3_SADDR:{ *:[v3i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 122710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX3_SADDR),
     /* 122713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 122715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 122720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 122725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122737 */     GIR_RootConstrainSelectedInstOperands,
     /* 122738 */     // GIR_Coverage, 3984,
     /* 122738 */     GIR_EraseRootFromParent_Done,
     /* 122739 */   // Label 1807: @122739
     /* 122739 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(122793), // Rule ID 3983 //
     /* 122744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 122747 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 122769 */     // (ld:{ *:[v3i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX3:{ *:[v3i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 122769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX3),
     /* 122772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 122774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 122779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122791 */     GIR_RootConstrainSelectedInstOperands,
     /* 122792 */     // GIR_Coverage, 3983,
     /* 122792 */     GIR_EraseRootFromParent_Done,
     /* 122793 */   // Label 1808: @122793
     /* 122793 */   GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(122848), // Rule ID 3605 //
     /* 122798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 122801 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 122809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 122813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 122824 */     // (ld:{ *:[v3i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX3:{ *:[v3i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 122824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX3),
     /* 122827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 122829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 122834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122846 */     GIR_RootConstrainSelectedInstOperands,
     /* 122847 */     // GIR_Coverage, 3605,
     /* 122847 */     GIR_EraseRootFromParent_Done,
     /* 122848 */   // Label 1809: @122848
     /* 122848 */   GIM_Reject,
     /* 122849 */ // Label 1753: @122849
     /* 122849 */ GIM_Reject,
     /* 122850 */ // Label 1014: @122850
     /* 122850 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(126647),
     /* 122855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122858 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(122922), // Rule ID 3127 //
     /* 122863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 122866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 122874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122878 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 122882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 122886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 122893 */     // (ld:{ *:[v4i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 122893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 122896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 122898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 122903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122920 */     GIR_RootConstrainSelectedInstOperands,
     /* 122921 */     // GIR_Coverage, 3127,
     /* 122921 */     GIR_EraseRootFromParent_Done,
     /* 122922 */   // Label 1811: @122922
     /* 122922 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(122986), // Rule ID 3144 //
     /* 122927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 122930 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 122938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122942 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 122946 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 122950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 122957 */     // (ld:{ *:[v4f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 122957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 122960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 122962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 122967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 122972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 122977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122984 */     GIR_RootConstrainSelectedInstOperands,
     /* 122985 */     // GIR_Coverage, 3144,
     /* 122985 */     GIR_EraseRootFromParent_Done,
     /* 122986 */   // Label 1812: @122986
     /* 122986 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(123046), // Rule ID 3132 //
     /* 122991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 122994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123006 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 123017 */     // (ld:{ *:[v4i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 123020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 123037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123044 */     GIR_RootConstrainSelectedInstOperands,
     /* 123045 */     // GIR_Coverage, 3132,
     /* 123045 */     GIR_EraseRootFromParent_Done,
     /* 123046 */   // Label 1813: @123046
     /* 123046 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(123106), // Rule ID 3149 //
     /* 123051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 123054 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123066 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 123077 */     // (ld:{ *:[v4f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 123080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 123097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123104 */     GIR_RootConstrainSelectedInstOperands,
     /* 123105 */     // GIR_Coverage, 3149,
     /* 123105 */     GIR_EraseRootFromParent_Done,
     /* 123106 */   // Label 1814: @123106
     /* 123106 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(123166), // Rule ID 3138 //
     /* 123111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 123114 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123126 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 123137 */     // (ld:{ *:[v4i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 123140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 123157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123164 */     GIR_RootConstrainSelectedInstOperands,
     /* 123165 */     // GIR_Coverage, 3138,
     /* 123165 */     GIR_EraseRootFromParent_Done,
     /* 123166 */   // Label 1815: @123166
     /* 123166 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(123226), // Rule ID 3155 //
     /* 123171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 123174 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123186 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 123197 */     // (ld:{ *:[v4f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 123200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 123217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123224 */     GIR_RootConstrainSelectedInstOperands,
     /* 123225 */     // GIR_Coverage, 3155,
     /* 123225 */     GIR_EraseRootFromParent_Done,
     /* 123226 */   // Label 1816: @123226
     /* 123226 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(123285), // Rule ID 3123 //
     /* 123231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 123234 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123250 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 123261 */     // (ld:{ *:[v4i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 123264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123283 */     GIR_RootConstrainSelectedInstOperands,
     /* 123284 */     // GIR_Coverage, 3123,
     /* 123284 */     GIR_EraseRootFromParent_Done,
     /* 123285 */   // Label 1817: @123285
     /* 123285 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(123344), // Rule ID 3124 //
     /* 123290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 123293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123305 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123309 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 123320 */     // (ld:{ *:[v4i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 123323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123342 */     GIR_RootConstrainSelectedInstOperands,
     /* 123343 */     // GIR_Coverage, 3124,
     /* 123343 */     GIR_EraseRootFromParent_Done,
     /* 123344 */   // Label 1818: @123344
     /* 123344 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(123403), // Rule ID 3125 //
     /* 123349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 123352 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123364 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123368 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123379 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 123379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 123382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123401 */     GIR_RootConstrainSelectedInstOperands,
     /* 123402 */     // GIR_Coverage, 3125,
     /* 123402 */     GIR_EraseRootFromParent_Done,
     /* 123403 */   // Label 1819: @123403
     /* 123403 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(123465), // Rule ID 3126 //
     /* 123408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 123411 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123423 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123438 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 123438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 123441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123463 */     GIR_RootConstrainSelectedInstOperands,
     /* 123464 */     // GIR_Coverage, 3126,
     /* 123464 */     GIR_EraseRootFromParent_Done,
     /* 123465 */   // Label 1820: @123465
     /* 123465 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(123524), // Rule ID 3140 //
     /* 123470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 123473 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123485 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123489 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 123500 */     // (ld:{ *:[v4f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 123503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123522 */     GIR_RootConstrainSelectedInstOperands,
     /* 123523 */     // GIR_Coverage, 3140,
     /* 123523 */     GIR_EraseRootFromParent_Done,
     /* 123524 */   // Label 1821: @123524
     /* 123524 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(123583), // Rule ID 3141 //
     /* 123529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 123532 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123544 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123548 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 123559 */     // (ld:{ *:[v4f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 123562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123581 */     GIR_RootConstrainSelectedInstOperands,
     /* 123582 */     // GIR_Coverage, 3141,
     /* 123582 */     GIR_EraseRootFromParent_Done,
     /* 123583 */   // Label 1822: @123583
     /* 123583 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(123642), // Rule ID 3142 //
     /* 123588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 123591 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123618 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 123618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 123621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123640 */     GIR_RootConstrainSelectedInstOperands,
     /* 123641 */     // GIR_Coverage, 3142,
     /* 123641 */     GIR_EraseRootFromParent_Done,
     /* 123642 */   // Label 1823: @123642
     /* 123642 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(123704), // Rule ID 3143 //
     /* 123647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 123650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123666 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 123670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123677 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 123677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 123680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123702 */     GIR_RootConstrainSelectedInstOperands,
     /* 123703 */     // GIR_Coverage, 3143,
     /* 123703 */     GIR_EraseRootFromParent_Done,
     /* 123704 */   // Label 1824: @123704
     /* 123704 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(123759), // Rule ID 3129 //
     /* 123709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 123712 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123724 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 123735 */     // (ld:{ *:[v4i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 123738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123757 */     GIR_RootConstrainSelectedInstOperands,
     /* 123758 */     // GIR_Coverage, 3129,
     /* 123758 */     GIR_EraseRootFromParent_Done,
     /* 123759 */   // Label 1825: @123759
     /* 123759 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(123814), // Rule ID 3130 //
     /* 123764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 123767 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123779 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123790 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 123790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 123793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123812 */     GIR_RootConstrainSelectedInstOperands,
     /* 123813 */     // GIR_Coverage, 3130,
     /* 123813 */     GIR_EraseRootFromParent_Done,
     /* 123814 */   // Label 1826: @123814
     /* 123814 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(123872), // Rule ID 3131 //
     /* 123819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 123822 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123845 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 123845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 123848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123870 */     GIR_RootConstrainSelectedInstOperands,
     /* 123871 */     // GIR_Coverage, 3131,
     /* 123871 */     GIR_EraseRootFromParent_Done,
     /* 123872 */   // Label 1827: @123872
     /* 123872 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(123927), // Rule ID 3146 //
     /* 123877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 123880 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123892 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 123903 */     // (ld:{ *:[v4f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 123903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 123906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123925 */     GIR_RootConstrainSelectedInstOperands,
     /* 123926 */     // GIR_Coverage, 3146,
     /* 123926 */     GIR_EraseRootFromParent_Done,
     /* 123927 */   // Label 1828: @123927
     /* 123927 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(123982), // Rule ID 3147 //
     /* 123932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 123935 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 123951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 123958 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_ec:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 123958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_ec),
     /* 123961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 123963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 123968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 123973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 123976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123980 */     GIR_RootConstrainSelectedInstOperands,
     /* 123981 */     // GIR_Coverage, 3147,
     /* 123981 */     GIR_EraseRootFromParent_Done,
     /* 123982 */   // Label 1829: @123982
     /* 123982 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(124040), // Rule ID 3148 //
     /* 123987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 123990 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 123998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 124013 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM_ec:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 124013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM_ec),
     /* 124016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 124028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124038 */     GIR_RootConstrainSelectedInstOperands,
     /* 124039 */     // GIR_Coverage, 3148,
     /* 124039 */     GIR_EraseRootFromParent_Done,
     /* 124040 */   // Label 1830: @124040
     /* 124040 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(124105), // Rule ID 8276 //
     /* 124045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 124048 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124052 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 124074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124081 */     // (AMDGPUld_glue:{ *:[v4i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 124084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124103 */     GIR_RootConstrainSelectedInstOperands,
     /* 124104 */     // GIR_Coverage, 8276,
     /* 124104 */     GIR_EraseRootFromParent_Done,
     /* 124105 */   // Label 1831: @124105
     /* 124105 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(124170), // Rule ID 8280 //
     /* 124110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 124113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124117 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124122 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124135 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 124139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124146 */     // (AMDGPUld_glue:{ *:[v4f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B64:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 124149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124168 */     GIR_RootConstrainSelectedInstOperands,
     /* 124169 */     // GIR_Coverage, 8280,
     /* 124169 */     GIR_EraseRootFromParent_Done,
     /* 124170 */   // Label 1832: @124170
     /* 124170 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(124230), // Rule ID 8208 //
     /* 124175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 124178 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124182 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124187 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 124191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124206 */     // (AMDGPUld_glue:{ *:[v4i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 124209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124228 */     GIR_RootConstrainSelectedInstOperands,
     /* 124229 */     // GIR_Coverage, 8208,
     /* 124229 */     GIR_EraseRootFromParent_Done,
     /* 124230 */   // Label 1833: @124230
     /* 124230 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(124290), // Rule ID 8212 //
     /* 124235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 124238 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124242 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124247 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 124251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124266 */     // (AMDGPUld_glue:{ *:[v4f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align8_local_m0>>  =>  (DS_READ_B64:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64),
     /* 124269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124288 */     GIR_RootConstrainSelectedInstOperands,
     /* 124289 */     // GIR_Coverage, 8212,
     /* 124289 */     GIR_EraseRootFromParent_Done,
     /* 124290 */   // Label 1834: @124290
     /* 124290 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(124342), // Rule ID 3134 //
     /* 124295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124307 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 124318 */     // (ld:{ *:[v4i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 124318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 124321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124340 */     GIR_RootConstrainSelectedInstOperands,
     /* 124341 */     // GIR_Coverage, 3134,
     /* 124341 */     GIR_EraseRootFromParent_Done,
     /* 124342 */   // Label 1835: @124342
     /* 124342 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(124397), // Rule ID 3135 //
     /* 124347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 124350 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 124373 */     // (ld:{ *:[v4i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 124373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 124376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124395 */     GIR_RootConstrainSelectedInstOperands,
     /* 124396 */     // GIR_Coverage, 3135,
     /* 124396 */     GIR_EraseRootFromParent_Done,
     /* 124397 */   // Label 1836: @124397
     /* 124397 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(124452), // Rule ID 3136 //
     /* 124402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 124405 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124417 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 124428 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 124428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 124431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 124443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124450 */     GIR_RootConstrainSelectedInstOperands,
     /* 124451 */     // GIR_Coverage, 3136,
     /* 124451 */     GIR_EraseRootFromParent_Done,
     /* 124452 */   // Label 1837: @124452
     /* 124452 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(124510), // Rule ID 3137 //
     /* 124457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 124460 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 124483 */     // (ld:{ *:[v4i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 124483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 124486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 124498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124508 */     GIR_RootConstrainSelectedInstOperands,
     /* 124509 */     // GIR_Coverage, 3137,
     /* 124509 */     GIR_EraseRootFromParent_Done,
     /* 124510 */   // Label 1838: @124510
     /* 124510 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(124562), // Rule ID 3151 //
     /* 124515 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 124538 */     // (ld:{ *:[v4f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 124538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 124541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124560 */     GIR_RootConstrainSelectedInstOperands,
     /* 124561 */     // GIR_Coverage, 3151,
     /* 124561 */     GIR_EraseRootFromParent_Done,
     /* 124562 */   // Label 1839: @124562
     /* 124562 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(124617), // Rule ID 3152 //
     /* 124567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 124570 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124582 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 124593 */     // (ld:{ *:[v4f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ci:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 124593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ci),
     /* 124596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124615 */     GIR_RootConstrainSelectedInstOperands,
     /* 124616 */     // GIR_Coverage, 3152,
     /* 124616 */     GIR_EraseRootFromParent_Done,
     /* 124617 */   // Label 1840: @124617
     /* 124617 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(124672), // Rule ID 3153 //
     /* 124622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 124625 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 124648 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 124648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR),
     /* 124651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 124663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124670 */     GIR_RootConstrainSelectedInstOperands,
     /* 124671 */     // GIR_Coverage, 3153,
     /* 124671 */     GIR_EraseRootFromParent_Done,
     /* 124672 */   // Label 1841: @124672
     /* 124672 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(124730), // Rule ID 3154 //
     /* 124677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 124680 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124692 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 124703 */     // (ld:{ *:[v4f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_SGPR_IMM:{ *:[v4f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 124703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_SGPR_IMM),
     /* 124706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 124708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 124713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 124718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124728 */     GIR_RootConstrainSelectedInstOperands,
     /* 124729 */     // GIR_Coverage, 3154,
     /* 124729 */     GIR_EraseRootFromParent_Done,
     /* 124730 */   // Label 1842: @124730
     /* 124730 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(124791), // Rule ID 8277 //
     /* 124735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 124738 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124743 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 124760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124767 */     // (ld:{ *:[v4i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 124770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124789 */     GIR_RootConstrainSelectedInstOperands,
     /* 124790 */     // GIR_Coverage, 8277,
     /* 124790 */     GIR_EraseRootFromParent_Done,
     /* 124791 */   // Label 1843: @124791
     /* 124791 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(124852), // Rule ID 8281 //
     /* 124796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 124799 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124804 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 124821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124828 */     // (ld:{ *:[v4f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B64_gfx9:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 124831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124850 */     GIR_RootConstrainSelectedInstOperands,
     /* 124851 */     // GIR_Coverage, 8281,
     /* 124851 */     GIR_EraseRootFromParent_Done,
     /* 124852 */   // Label 1844: @124852
     /* 124852 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(124908), // Rule ID 8209 //
     /* 124857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 124860 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124865 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 124869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124884 */     // (ld:{ *:[v4i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 124887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124906 */     GIR_RootConstrainSelectedInstOperands,
     /* 124907 */     // GIR_Coverage, 8209,
     /* 124907 */     GIR_EraseRootFromParent_Done,
     /* 124908 */   // Label 1845: @124908
     /* 124908 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(124964), // Rule ID 8213 //
     /* 124913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 124916 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 124921 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 124925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 124929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 124940 */     // (ld:{ *:[v4f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align8_local>>  =>  (DS_READ_B64_gfx9:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 124940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_gfx9),
     /* 124943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 124945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 124950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124962 */     GIR_RootConstrainSelectedInstOperands,
     /* 124963 */     // GIR_Coverage, 8213,
     /* 124963 */     GIR_EraseRootFromParent_Done,
     /* 124964 */   // Label 1846: @124964
     /* 124964 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(125015), // Rule ID 3128 //
     /* 124969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 124972 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 124980 */     // MIs[0] sbase
     /* 124980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 124988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 124992 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 124996 */     // (ld:{ *:[v4i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 124996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 124999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125001 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125013 */     GIR_RootConstrainSelectedInstOperands,
     /* 125014 */     // GIR_Coverage, 3128,
     /* 125014 */     GIR_EraseRootFromParent_Done,
     /* 125015 */   // Label 1847: @125015
     /* 125015 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(125066), // Rule ID 3145 //
     /* 125020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 125023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 125031 */     // MIs[0] sbase
     /* 125031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 125039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 125043 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 125047 */     // (ld:{ *:[v4f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 125047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 125050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125052 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125064 */     GIR_RootConstrainSelectedInstOperands,
     /* 125065 */     // GIR_Coverage, 3145,
     /* 125065 */     GIR_EraseRootFromParent_Done,
     /* 125066 */   // Label 1848: @125066
     /* 125066 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(125113), // Rule ID 3133 //
     /* 125071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 125074 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 125082 */     // MIs[0] sbase
     /* 125082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 125090 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 125094 */     // (ld:{ *:[v4i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v4i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 125094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 125097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125099 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125111 */     GIR_RootConstrainSelectedInstOperands,
     /* 125112 */     // GIR_Coverage, 3133,
     /* 125112 */     GIR_EraseRootFromParent_Done,
     /* 125113 */   // Label 1849: @125113
     /* 125113 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(125160), // Rule ID 3150 //
     /* 125118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 125121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 125129 */     // MIs[0] sbase
     /* 125129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 125137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 125141 */     // (ld:{ *:[v4f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM_ec:{ *:[v4f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 125141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM_ec),
     /* 125144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125146 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125158 */     GIR_RootConstrainSelectedInstOperands,
     /* 125159 */     // GIR_Coverage, 3150,
     /* 125159 */     GIR_EraseRootFromParent_Done,
     /* 125160 */   // Label 1850: @125160
     /* 125160 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(125204), // Rule ID 3139 //
     /* 125165 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 125173 */     // MIs[0] sbase
     /* 125173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 125181 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 125185 */     // (ld:{ *:[v4i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 125185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 125188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125190 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125202 */     GIR_RootConstrainSelectedInstOperands,
     /* 125203 */     // GIR_Coverage, 3139,
     /* 125203 */     GIR_EraseRootFromParent_Done,
     /* 125204 */   // Label 1851: @125204
     /* 125204 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(125248), // Rule ID 3156 //
     /* 125209 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 125217 */     // MIs[0] sbase
     /* 125217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 125225 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 125229 */     // (ld:{ *:[v4f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX2_IMM:{ *:[v4f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 125229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX2_IMM),
     /* 125232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 125234 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 125236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125246 */     GIR_RootConstrainSelectedInstOperands,
     /* 125247 */     // GIR_Coverage, 3156,
     /* 125247 */     GIR_EraseRootFromParent_Done,
     /* 125248 */   // Label 1852: @125248
     /* 125248 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(125305), // Rule ID 4377 //
     /* 125253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 125256 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 125276 */     // (ld:{ *:[v4i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[v4i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 125276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 125279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 125286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 125291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 125296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125303 */     GIR_RootConstrainSelectedInstOperands,
     /* 125304 */     // GIR_Coverage, 4377,
     /* 125304 */     GIR_EraseRootFromParent_Done,
     /* 125305 */   // Label 1853: @125305
     /* 125305 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(125362), // Rule ID 4383 //
     /* 125310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 125313 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 125333 */     // (ld:{ *:[v4f16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SVS:{ *:[v4f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 125333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SVS),
     /* 125336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 125343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 125348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 125353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125360 */     GIR_RootConstrainSelectedInstOperands,
     /* 125361 */     // GIR_Coverage, 4383,
     /* 125361 */     GIR_EraseRootFromParent_Done,
     /* 125362 */   // Label 1854: @125362
     /* 125362 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(125414), // Rule ID 4376 //
     /* 125367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 125370 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 125390 */     // (ld:{ *:[v4i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[v4i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 125390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 125393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 125400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125412 */     GIR_RootConstrainSelectedInstOperands,
     /* 125413 */     // GIR_Coverage, 4376,
     /* 125413 */     GIR_EraseRootFromParent_Done,
     /* 125414 */   // Label 1855: @125414
     /* 125414 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(125466), // Rule ID 4382 //
     /* 125419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 125422 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 125442 */     // (ld:{ *:[v4f16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2_SADDR:{ *:[v4f16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 125442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2_SADDR),
     /* 125445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 125452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125464 */     GIR_RootConstrainSelectedInstOperands,
     /* 125465 */     // GIR_Coverage, 4382,
     /* 125465 */     GIR_EraseRootFromParent_Done,
     /* 125466 */   // Label 1856: @125466
     /* 125466 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(125518), // Rule ID 4375 //
     /* 125471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 125474 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 125494 */     // (ld:{ *:[v4i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[v4i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 125494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 125497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 125504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125516 */     GIR_RootConstrainSelectedInstOperands,
     /* 125517 */     // GIR_Coverage, 4375,
     /* 125517 */     GIR_EraseRootFromParent_Done,
     /* 125518 */   // Label 1857: @125518
     /* 125518 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(125570), // Rule ID 4381 //
     /* 125523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 125526 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 125531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 125546 */     // (ld:{ *:[v4f16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX2:{ *:[v4f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 125546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX2),
     /* 125549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 125556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125568 */     GIR_RootConstrainSelectedInstOperands,
     /* 125569 */     // GIR_Coverage, 4381,
     /* 125569 */     GIR_EraseRootFromParent_Done,
     /* 125570 */   // Label 1858: @125570
     /* 125570 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(125637), // Rule ID 4607 //
     /* 125575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 125578 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 125585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 125600 */     // (ld:{ *:[v4i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[v4i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 125600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 125603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 125605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 125610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 125615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 125620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 125625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125635 */     GIR_RootConstrainSelectedInstOperands,
     /* 125636 */     // GIR_Coverage, 4607,
     /* 125636 */     GIR_EraseRootFromParent_Done,
     /* 125637 */   // Label 1859: @125637
     /* 125637 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(125701), // Rule ID 4609 //
     /* 125642 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 125649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 125664 */     // (ld:{ *:[v4i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[v4i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 125664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 125667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 125669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 125674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 125679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 125684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 125689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125699 */     GIR_RootConstrainSelectedInstOperands,
     /* 125700 */     // GIR_Coverage, 4609,
     /* 125700 */     GIR_EraseRootFromParent_Done,
     /* 125701 */   // Label 1860: @125701
     /* 125701 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(125768), // Rule ID 4611 //
     /* 125706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 125709 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 125716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 125731 */     // (ld:{ *:[v4f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_ADDR64:{ *:[v4f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 125731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_ADDR64),
     /* 125734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 125736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 125741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 125746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 125751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 125756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125766 */     GIR_RootConstrainSelectedInstOperands,
     /* 125767 */     // GIR_Coverage, 4611,
     /* 125767 */     GIR_EraseRootFromParent_Done,
     /* 125768 */   // Label 1861: @125768
     /* 125768 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(125832), // Rule ID 4613 //
     /* 125773 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 125780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 125795 */     // (ld:{ *:[v4f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64:{ *:[v4f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 125795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_ADDR64),
     /* 125798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 125800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 125805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 125810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 125815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 125820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125830 */     GIR_RootConstrainSelectedInstOperands,
     /* 125831 */     // GIR_Coverage, 4613,
     /* 125831 */     GIR_EraseRootFromParent_Done,
     /* 125832 */   // Label 1862: @125832
     /* 125832 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(125893), // Rule ID 8152 //
     /* 125837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 125840 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125844 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 125849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 125864 */     // (AMDGPUld_glue:{ *:[v4i16] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 125864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 125867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 125874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 125879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 125884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125891 */     GIR_RootConstrainSelectedInstOperands,
     /* 125892 */     // GIR_Coverage, 8152,
     /* 125892 */     GIR_EraseRootFromParent_Done,
     /* 125893 */   // Label 1863: @125893
     /* 125893 */   GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(125954), // Rule ID 8156 //
     /* 125898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 125901 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125905 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 125910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 125925 */     // (AMDGPUld_glue:{ *:[v4f16] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B32:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 125925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32),
     /* 125928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 125930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 125935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 125940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 125945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125952 */     GIR_RootConstrainSelectedInstOperands,
     /* 125953 */     // GIR_Coverage, 8156,
     /* 125953 */     GIR_EraseRootFromParent_Done,
     /* 125954 */   // Label 1864: @125954
     /* 125954 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(126016), // Rule ID 4606 //
     /* 125959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 125962 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 125969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 125973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 125984 */     // (ld:{ *:[v4i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 125984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 125987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 125989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 125994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 125999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126014 */     GIR_RootConstrainSelectedInstOperands,
     /* 126015 */     // GIR_Coverage, 4606,
     /* 126015 */     GIR_EraseRootFromParent_Done,
     /* 126016 */   // Label 1865: @126016
     /* 126016 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(126075), // Rule ID 4608 //
     /* 126021 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 126043 */     // (ld:{ *:[v4i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 126043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 126046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 126048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 126053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126073 */     GIR_RootConstrainSelectedInstOperands,
     /* 126074 */     // GIR_Coverage, 4608,
     /* 126074 */     GIR_EraseRootFromParent_Done,
     /* 126075 */   // Label 1866: @126075
     /* 126075 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(126137), // Rule ID 4610 //
     /* 126080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 126083 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 126105 */     // (ld:{ *:[v4f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 126105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 126108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 126110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 126115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126135 */     GIR_RootConstrainSelectedInstOperands,
     /* 126136 */     // GIR_Coverage, 4610,
     /* 126136 */     GIR_EraseRootFromParent_Done,
     /* 126137 */   // Label 1867: @126137
     /* 126137 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(126196), // Rule ID 4612 //
     /* 126142 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 126164 */     // (ld:{ *:[v4f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 126164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 126167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 126169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 126174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126194 */     GIR_RootConstrainSelectedInstOperands,
     /* 126195 */     // GIR_Coverage, 4612,
     /* 126195 */     GIR_EraseRootFromParent_Done,
     /* 126196 */   // Label 1868: @126196
     /* 126196 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(126253), // Rule ID 8154 //
     /* 126201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 126204 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 126209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 126224 */     // (ld:{ *:[v4i16] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 126224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 126227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 126234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 126239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 126244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126251 */     GIR_RootConstrainSelectedInstOperands,
     /* 126252 */     // GIR_Coverage, 8154,
     /* 126252 */     GIR_EraseRootFromParent_Done,
     /* 126253 */   // Label 1869: @126253
     /* 126253 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(126310), // Rule ID 8158 //
     /* 126258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 126261 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 126266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 126281 */     // (ld:{ *:[v4f16] } (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B32_gfx9:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 126281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B32_gfx9),
     /* 126284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 126291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 126296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 126301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126308 */     GIR_RootConstrainSelectedInstOperands,
     /* 126309 */     // GIR_Coverage, 8158,
     /* 126309 */     GIR_EraseRootFromParent_Done,
     /* 126310 */   // Label 1870: @126310
     /* 126310 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(126369), // Rule ID 3964 //
     /* 126315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 126318 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 126340 */     // (ld:{ *:[v4i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[v4i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 126343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 126350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 126355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126367 */     GIR_RootConstrainSelectedInstOperands,
     /* 126368 */     // GIR_Coverage, 3964,
     /* 126368 */     GIR_EraseRootFromParent_Done,
     /* 126369 */   // Label 1871: @126369
     /* 126369 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(126428), // Rule ID 3968 //
     /* 126374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 126377 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 126399 */     // (ld:{ *:[v4f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2_SADDR:{ *:[v4f16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2_SADDR),
     /* 126402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 126409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 126414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126426 */     GIR_RootConstrainSelectedInstOperands,
     /* 126427 */     // GIR_Coverage, 3968,
     /* 126427 */     GIR_EraseRootFromParent_Done,
     /* 126428 */   // Label 1872: @126428
     /* 126428 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(126482), // Rule ID 3963 //
     /* 126433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 126436 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 126458 */     // (ld:{ *:[v4i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[v4i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 126458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 126461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 126468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 126473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126480 */     GIR_RootConstrainSelectedInstOperands,
     /* 126481 */     // GIR_Coverage, 3963,
     /* 126481 */     GIR_EraseRootFromParent_Done,
     /* 126482 */   // Label 1873: @126482
     /* 126482 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(126536), // Rule ID 3967 //
     /* 126487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 126490 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 126512 */     // (ld:{ *:[v4f16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX2:{ *:[v4f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 126512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX2),
     /* 126515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 126522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 126527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126534 */     GIR_RootConstrainSelectedInstOperands,
     /* 126535 */     // GIR_Coverage, 3967,
     /* 126535 */     GIR_EraseRootFromParent_Done,
     /* 126536 */   // Label 1874: @126536
     /* 126536 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(126591), // Rule ID 3671 //
     /* 126541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 126544 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 126567 */     // (ld:{ *:[v4i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[v4i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 126567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 126570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 126577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 126582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126589 */     GIR_RootConstrainSelectedInstOperands,
     /* 126590 */     // GIR_Coverage, 3671,
     /* 126590 */     GIR_EraseRootFromParent_Done,
     /* 126591 */   // Label 1875: @126591
     /* 126591 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(126646), // Rule ID 3673 //
     /* 126596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 126599 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 126607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 126611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 126622 */     // (ld:{ *:[v4f16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX2:{ *:[v4f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 126622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX2),
     /* 126625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 126627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 126632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 126637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126644 */     GIR_RootConstrainSelectedInstOperands,
     /* 126645 */     // GIR_Coverage, 3673,
     /* 126645 */     GIR_EraseRootFromParent_Done,
     /* 126646 */   // Label 1876: @126646
     /* 126646 */   GIM_Reject,
     /* 126647 */ // Label 1810: @126647
     /* 126647 */ GIM_Reject,
     /* 126648 */ // Label 1015: @126648
     /* 126648 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(130695),
     /* 126653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126656 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(126720), // Rule ID 3191 //
     /* 126661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 126664 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126680 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 126684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126691 */     // (ld:{ *:[v4i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 126694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 126696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 126701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126718 */     GIR_RootConstrainSelectedInstOperands,
     /* 126719 */     // GIR_Coverage, 3191,
     /* 126719 */     GIR_EraseRootFromParent_Done,
     /* 126720 */   // Label 1878: @126720
     /* 126720 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(126784), // Rule ID 3208 //
     /* 126725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 126728 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126744 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 126748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126755 */     // (ld:{ *:[v4f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 126758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 126760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 126765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126782 */     GIR_RootConstrainSelectedInstOperands,
     /* 126783 */     // GIR_Coverage, 3208,
     /* 126783 */     GIR_EraseRootFromParent_Done,
     /* 126784 */   // Label 1879: @126784
     /* 126784 */   GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(126844), // Rule ID 3196 //
     /* 126789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 126792 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126804 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126815 */     // (ld:{ *:[v4i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 126818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 126820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 126825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126842 */     GIR_RootConstrainSelectedInstOperands,
     /* 126843 */     // GIR_Coverage, 3196,
     /* 126843 */     GIR_EraseRootFromParent_Done,
     /* 126844 */   // Label 1880: @126844
     /* 126844 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(126904), // Rule ID 3213 //
     /* 126849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 126852 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126864 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126875 */     // (ld:{ *:[v4f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 126878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 126880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 126885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126902 */     GIR_RootConstrainSelectedInstOperands,
     /* 126903 */     // GIR_Coverage, 3213,
     /* 126903 */     GIR_EraseRootFromParent_Done,
     /* 126904 */   // Label 1881: @126904
     /* 126904 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(126964), // Rule ID 3202 //
     /* 126909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 126912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126924 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126935 */     // (ld:{ *:[v4i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 126938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 126940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 126945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 126950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 126955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 126958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126962 */     GIR_RootConstrainSelectedInstOperands,
     /* 126963 */     // GIR_Coverage, 3202,
     /* 126963 */     GIR_EraseRootFromParent_Done,
     /* 126964 */   // Label 1882: @126964
     /* 126964 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(127024), // Rule ID 3219 //
     /* 126969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 126972 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 126976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 126980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 126984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 126988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 126995 */     // (ld:{ *:[v4f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 126995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 126998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 127015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127022 */     GIR_RootConstrainSelectedInstOperands,
     /* 127023 */     // GIR_Coverage, 3219,
     /* 127023 */     GIR_EraseRootFromParent_Done,
     /* 127024 */   // Label 1883: @127024
     /* 127024 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(127083), // Rule ID 3187 //
     /* 127029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 127032 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127044 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 127059 */     // (ld:{ *:[v4i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 127062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127081 */     GIR_RootConstrainSelectedInstOperands,
     /* 127082 */     // GIR_Coverage, 3187,
     /* 127082 */     GIR_EraseRootFromParent_Done,
     /* 127083 */   // Label 1884: @127083
     /* 127083 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(127142), // Rule ID 3188 //
     /* 127088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 127091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 127118 */     // (ld:{ *:[v4i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 127121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127140 */     GIR_RootConstrainSelectedInstOperands,
     /* 127141 */     // GIR_Coverage, 3188,
     /* 127141 */     GIR_EraseRootFromParent_Done,
     /* 127142 */   // Label 1885: @127142
     /* 127142 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(127201), // Rule ID 3189 //
     /* 127147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 127150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127162 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127166 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127177 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 127177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 127180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127199 */     GIR_RootConstrainSelectedInstOperands,
     /* 127200 */     // GIR_Coverage, 3189,
     /* 127200 */     GIR_EraseRootFromParent_Done,
     /* 127201 */   // Label 1886: @127201
     /* 127201 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(127263), // Rule ID 3190 //
     /* 127206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 127209 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127221 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127225 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127236 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 127236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 127239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127261 */     GIR_RootConstrainSelectedInstOperands,
     /* 127262 */     // GIR_Coverage, 3190,
     /* 127262 */     GIR_EraseRootFromParent_Done,
     /* 127263 */   // Label 1887: @127263
     /* 127263 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(127322), // Rule ID 3204 //
     /* 127268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 127271 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127283 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127287 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 127298 */     // (ld:{ *:[v4f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 127301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127320 */     GIR_RootConstrainSelectedInstOperands,
     /* 127321 */     // GIR_Coverage, 3204,
     /* 127321 */     GIR_EraseRootFromParent_Done,
     /* 127322 */   // Label 1888: @127322
     /* 127322 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(127381), // Rule ID 3205 //
     /* 127327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 127330 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127342 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127346 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 127357 */     // (ld:{ *:[v4f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 127360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127379 */     GIR_RootConstrainSelectedInstOperands,
     /* 127380 */     // GIR_Coverage, 3205,
     /* 127380 */     GIR_EraseRootFromParent_Done,
     /* 127381 */   // Label 1889: @127381
     /* 127381 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(127440), // Rule ID 3206 //
     /* 127386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 127389 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127416 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 127416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 127419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127438 */     GIR_RootConstrainSelectedInstOperands,
     /* 127439 */     // GIR_Coverage, 3206,
     /* 127439 */     GIR_EraseRootFromParent_Done,
     /* 127440 */   // Label 1890: @127440
     /* 127440 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(127502), // Rule ID 3207 //
     /* 127445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 127448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127460 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127464 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 127468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127475 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 127475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 127478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127500 */     GIR_RootConstrainSelectedInstOperands,
     /* 127501 */     // GIR_Coverage, 3207,
     /* 127501 */     GIR_EraseRootFromParent_Done,
     /* 127502 */   // Label 1891: @127502
     /* 127502 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(127557), // Rule ID 3193 //
     /* 127507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 127510 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 127533 */     // (ld:{ *:[v4i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 127536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127555 */     GIR_RootConstrainSelectedInstOperands,
     /* 127556 */     // GIR_Coverage, 3193,
     /* 127556 */     GIR_EraseRootFromParent_Done,
     /* 127557 */   // Label 1892: @127557
     /* 127557 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(127612), // Rule ID 3194 //
     /* 127562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 127565 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127577 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127588 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 127588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 127591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127610 */     GIR_RootConstrainSelectedInstOperands,
     /* 127611 */     // GIR_Coverage, 3194,
     /* 127611 */     GIR_EraseRootFromParent_Done,
     /* 127612 */   // Label 1893: @127612
     /* 127612 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(127670), // Rule ID 3195 //
     /* 127617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 127620 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127643 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 127643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 127646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127668 */     GIR_RootConstrainSelectedInstOperands,
     /* 127669 */     // GIR_Coverage, 3195,
     /* 127669 */     GIR_EraseRootFromParent_Done,
     /* 127670 */   // Label 1894: @127670
     /* 127670 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(127725), // Rule ID 3210 //
     /* 127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 127678 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127690 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 127701 */     // (ld:{ *:[v4f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 127701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 127704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127723 */     GIR_RootConstrainSelectedInstOperands,
     /* 127724 */     // GIR_Coverage, 3210,
     /* 127724 */     GIR_EraseRootFromParent_Done,
     /* 127725 */   // Label 1895: @127725
     /* 127725 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(127780), // Rule ID 3211 //
     /* 127730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 127733 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127745 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127756 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 127756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 127759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127778 */     GIR_RootConstrainSelectedInstOperands,
     /* 127779 */     // GIR_Coverage, 3211,
     /* 127779 */     GIR_EraseRootFromParent_Done,
     /* 127780 */   // Label 1896: @127780
     /* 127780 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(127838), // Rule ID 3212 //
     /* 127785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 127788 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 127796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127800 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 127804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 127811 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 127811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 127814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 127816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 127821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 127826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127836 */     GIR_RootConstrainSelectedInstOperands,
     /* 127837 */     // GIR_Coverage, 3212,
     /* 127837 */     GIR_EraseRootFromParent_Done,
     /* 127838 */   // Label 1897: @127838
     /* 127838 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(127898), // Rule ID 8236 //
     /* 127843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 127846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127850 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 127855 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 127859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 127863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 127874 */     // (AMDGPUld_glue:{ *:[v4i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 127874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 127877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 127879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 127884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127896 */     GIR_RootConstrainSelectedInstOperands,
     /* 127897 */     // GIR_Coverage, 8236,
     /* 127897 */     GIR_EraseRootFromParent_Done,
     /* 127898 */   // Label 1898: @127898
     /* 127898 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(127958), // Rule ID 8240 //
     /* 127903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 127906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127910 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 127915 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 127919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 127923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 127934 */     // (AMDGPUld_glue:{ *:[v4f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 127934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 127937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 127939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 127944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 127949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 127952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127956 */     GIR_RootConstrainSelectedInstOperands,
     /* 127957 */     // GIR_Coverage, 8240,
     /* 127957 */     GIR_EraseRootFromParent_Done,
     /* 127958 */   // Label 1899: @127958
     /* 127958 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(128023), // Rule ID 8304 //
     /* 127963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 127966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 127970 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 127975 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 127980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 127984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 127988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 127992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 127999 */     // (AMDGPUld_glue:{ *:[v4i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 127999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 128002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128021 */     GIR_RootConstrainSelectedInstOperands,
     /* 128022 */     // GIR_Coverage, 8304,
     /* 128022 */     GIR_EraseRootFromParent_Done,
     /* 128023 */   // Label 1900: @128023
     /* 128023 */   GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(128088), // Rule ID 8308 //
     /* 128028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 128031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128035 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128040 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 128049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 128057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 128064 */     // (AMDGPUld_glue:{ *:[v4f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 128064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 128067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128086 */     GIR_RootConstrainSelectedInstOperands,
     /* 128087 */     // GIR_Coverage, 8308,
     /* 128087 */     GIR_EraseRootFromParent_Done,
     /* 128088 */   // Label 1901: @128088
     /* 128088 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(128140), // Rule ID 3198 //
     /* 128093 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 128116 */     // (ld:{ *:[v4i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 128116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 128119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128138 */     GIR_RootConstrainSelectedInstOperands,
     /* 128139 */     // GIR_Coverage, 3198,
     /* 128139 */     GIR_EraseRootFromParent_Done,
     /* 128140 */   // Label 1902: @128140
     /* 128140 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(128195), // Rule ID 3199 //
     /* 128145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 128148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 128171 */     // (ld:{ *:[v4i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 128171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 128174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128193 */     GIR_RootConstrainSelectedInstOperands,
     /* 128194 */     // GIR_Coverage, 3199,
     /* 128194 */     GIR_EraseRootFromParent_Done,
     /* 128195 */   // Label 1903: @128195
     /* 128195 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(128250), // Rule ID 3200 //
     /* 128200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 128203 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128215 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 128226 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 128226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 128229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 128241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128248 */     GIR_RootConstrainSelectedInstOperands,
     /* 128249 */     // GIR_Coverage, 3200,
     /* 128249 */     GIR_EraseRootFromParent_Done,
     /* 128250 */   // Label 1904: @128250
     /* 128250 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(128308), // Rule ID 3201 //
     /* 128255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 128258 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128270 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 128281 */     // (ld:{ *:[v4i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 128284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 128296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128306 */     GIR_RootConstrainSelectedInstOperands,
     /* 128307 */     // GIR_Coverage, 3201,
     /* 128307 */     GIR_EraseRootFromParent_Done,
     /* 128308 */   // Label 1905: @128308
     /* 128308 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(128360), // Rule ID 3215 //
     /* 128313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 128336 */     // (ld:{ *:[v4f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 128336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 128339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128358 */     GIR_RootConstrainSelectedInstOperands,
     /* 128359 */     // GIR_Coverage, 3215,
     /* 128359 */     GIR_EraseRootFromParent_Done,
     /* 128360 */   // Label 1906: @128360
     /* 128360 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(128415), // Rule ID 3216 //
     /* 128365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 128368 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 128391 */     // (ld:{ *:[v4f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 128391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 128394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128413 */     GIR_RootConstrainSelectedInstOperands,
     /* 128414 */     // GIR_Coverage, 3216,
     /* 128414 */     GIR_EraseRootFromParent_Done,
     /* 128415 */   // Label 1907: @128415
     /* 128415 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(128470), // Rule ID 3217 //
     /* 128420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 128423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128435 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 128446 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 128446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 128449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 128461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128468 */     GIR_RootConstrainSelectedInstOperands,
     /* 128469 */     // GIR_Coverage, 3217,
     /* 128469 */     GIR_EraseRootFromParent_Done,
     /* 128470 */   // Label 1908: @128470
     /* 128470 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(128528), // Rule ID 3218 //
     /* 128475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 128478 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 128501 */     // (ld:{ *:[v4f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 128504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 128511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 128516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128526 */     GIR_RootConstrainSelectedInstOperands,
     /* 128527 */     // GIR_Coverage, 3218,
     /* 128527 */     GIR_EraseRootFromParent_Done,
     /* 128528 */   // Label 1909: @128528
     /* 128528 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(128584), // Rule ID 8237 //
     /* 128533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 128536 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128541 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 128545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 128549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 128560 */     // (ld:{ *:[v4i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 128560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 128563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128582 */     GIR_RootConstrainSelectedInstOperands,
     /* 128583 */     // GIR_Coverage, 8237,
     /* 128583 */     GIR_EraseRootFromParent_Done,
     /* 128584 */   // Label 1910: @128584
     /* 128584 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(128640), // Rule ID 8241 //
     /* 128589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 128592 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128597 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 128601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 128605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 128616 */     // (ld:{ *:[v4f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 128616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 128619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128638 */     GIR_RootConstrainSelectedInstOperands,
     /* 128639 */     // GIR_Coverage, 8241,
     /* 128639 */     GIR_EraseRootFromParent_Done,
     /* 128640 */   // Label 1911: @128640
     /* 128640 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(128701), // Rule ID 8305 //
     /* 128645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 128648 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128653 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 128662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128666 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 128670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 128677 */     // (ld:{ *:[v4i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 128677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 128680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128699 */     GIR_RootConstrainSelectedInstOperands,
     /* 128700 */     // GIR_Coverage, 8305,
     /* 128700 */     GIR_EraseRootFromParent_Done,
     /* 128701 */   // Label 1912: @128701
     /* 128701 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(128762), // Rule ID 8309 //
     /* 128706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 128709 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128714 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 128719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 128723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 128727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 128731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 128738 */     // (ld:{ *:[v4f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 128738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 128741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 128743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 128748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 128753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128760 */     GIR_RootConstrainSelectedInstOperands,
     /* 128761 */     // GIR_Coverage, 8309,
     /* 128761 */     GIR_EraseRootFromParent_Done,
     /* 128762 */   // Label 1913: @128762
     /* 128762 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(128813), // Rule ID 3192 //
     /* 128767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 128770 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128778 */     // MIs[0] sbase
     /* 128778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 128786 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 128794 */     // (ld:{ *:[v4i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 128797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128799 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 128801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128811 */     GIR_RootConstrainSelectedInstOperands,
     /* 128812 */     // GIR_Coverage, 3192,
     /* 128812 */     GIR_EraseRootFromParent_Done,
     /* 128813 */   // Label 1914: @128813
     /* 128813 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(128864), // Rule ID 3209 //
     /* 128818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 128821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128829 */     // MIs[0] sbase
     /* 128829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 128837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128841 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 128845 */     // (ld:{ *:[v4f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 128848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128850 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 128852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128862 */     GIR_RootConstrainSelectedInstOperands,
     /* 128863 */     // GIR_Coverage, 3209,
     /* 128863 */     GIR_EraseRootFromParent_Done,
     /* 128864 */   // Label 1915: @128864
     /* 128864 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(128911), // Rule ID 3197 //
     /* 128869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 128872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128880 */     // MIs[0] sbase
     /* 128880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 128888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128892 */     // (ld:{ *:[v4i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v4i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 128895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128897 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 128899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128909 */     GIR_RootConstrainSelectedInstOperands,
     /* 128910 */     // GIR_Coverage, 3197,
     /* 128910 */     GIR_EraseRootFromParent_Done,
     /* 128911 */   // Label 1916: @128911
     /* 128911 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(128958), // Rule ID 3214 //
     /* 128916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 128919 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128927 */     // MIs[0] sbase
     /* 128927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 128935 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128939 */     // (ld:{ *:[v4f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v4f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 128942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128944 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 128946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128956 */     GIR_RootConstrainSelectedInstOperands,
     /* 128957 */     // GIR_Coverage, 3214,
     /* 128957 */     GIR_EraseRootFromParent_Done,
     /* 128958 */   // Label 1917: @128958
     /* 128958 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(129002), // Rule ID 3203 //
     /* 128963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 128967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 128971 */     // MIs[0] sbase
     /* 128971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 128979 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 128983 */     // (ld:{ *:[v4i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 128983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 128986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 128988 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 128990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 128996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129000 */     GIR_RootConstrainSelectedInstOperands,
     /* 129001 */     // GIR_Coverage, 3203,
     /* 129001 */     GIR_EraseRootFromParent_Done,
     /* 129002 */   // Label 1918: @129002
     /* 129002 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(129046), // Rule ID 3220 //
     /* 129007 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 129011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 129015 */     // MIs[0] sbase
     /* 129015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 129023 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 129027 */     // (ld:{ *:[v4f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v4f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 129027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 129030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 129032 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 129034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129044 */     GIR_RootConstrainSelectedInstOperands,
     /* 129045 */     // GIR_Coverage, 3220,
     /* 129045 */     GIR_EraseRootFromParent_Done,
     /* 129046 */   // Label 1919: @129046
     /* 129046 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(129106), // Rule ID 6583 //
     /* 129051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 129054 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 129074 */     // (ld:{ *:[v4i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v4i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 129074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 129077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 129089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 129094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129104 */     GIR_RootConstrainSelectedInstOperands,
     /* 129105 */     // GIR_Coverage, 6583,
     /* 129105 */     GIR_EraseRootFromParent_Done,
     /* 129106 */   // Label 1920: @129106
     /* 129106 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(129166), // Rule ID 6585 //
     /* 129111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 129114 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 129134 */     // (ld:{ *:[v4i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v4i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 129134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 129137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 129149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 129154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129164 */     GIR_RootConstrainSelectedInstOperands,
     /* 129165 */     // GIR_Coverage, 6585,
     /* 129165 */     GIR_EraseRootFromParent_Done,
     /* 129166 */   // Label 1921: @129166
     /* 129166 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(129223), // Rule ID 4410 //
     /* 129171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 129174 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 129194 */     // (ld:{ *:[v4i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v4i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 129194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 129197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 129204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 129209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 129214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129221 */     GIR_RootConstrainSelectedInstOperands,
     /* 129222 */     // GIR_Coverage, 4410,
     /* 129222 */     GIR_EraseRootFromParent_Done,
     /* 129223 */   // Label 1922: @129223
     /* 129223 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(129280), // Rule ID 4416 //
     /* 129228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 129231 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 129251 */     // (ld:{ *:[v4f32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v4f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 129251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 129254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 129261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 129266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 129271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129278 */     GIR_RootConstrainSelectedInstOperands,
     /* 129279 */     // GIR_Coverage, 4416,
     /* 129279 */     GIR_EraseRootFromParent_Done,
     /* 129280 */   // Label 1923: @129280
     /* 129280 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(129332), // Rule ID 4409 //
     /* 129285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 129288 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 129308 */     // (ld:{ *:[v4i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v4i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 129308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 129311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 129318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 129323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129330 */     GIR_RootConstrainSelectedInstOperands,
     /* 129331 */     // GIR_Coverage, 4409,
     /* 129331 */     GIR_EraseRootFromParent_Done,
     /* 129332 */   // Label 1924: @129332
     /* 129332 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(129384), // Rule ID 4415 //
     /* 129337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 129340 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 129360 */     // (ld:{ *:[v4f32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v4f32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 129360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 129363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 129370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 129375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129382 */     GIR_RootConstrainSelectedInstOperands,
     /* 129383 */     // GIR_Coverage, 4415,
     /* 129383 */     GIR_EraseRootFromParent_Done,
     /* 129384 */   // Label 1925: @129384
     /* 129384 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(129436), // Rule ID 4408 //
     /* 129389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 129392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 129412 */     // (ld:{ *:[v4i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v4i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 129412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 129415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 129422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 129427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129434 */     GIR_RootConstrainSelectedInstOperands,
     /* 129435 */     // GIR_Coverage, 4408,
     /* 129435 */     GIR_EraseRootFromParent_Done,
     /* 129436 */   // Label 1926: @129436
     /* 129436 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(129488), // Rule ID 4414 //
     /* 129441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 129444 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 129464 */     // (ld:{ *:[v4f32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v4f32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 129464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 129467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 129474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 129479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129486 */     GIR_RootConstrainSelectedInstOperands,
     /* 129487 */     // GIR_Coverage, 4414,
     /* 129487 */     GIR_EraseRootFromParent_Done,
     /* 129488 */   // Label 1927: @129488
     /* 129488 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(129555), // Rule ID 4635 //
     /* 129493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 129496 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 129503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 129518 */     // (ld:{ *:[v4i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v4i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 129518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 129521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129553 */     GIR_RootConstrainSelectedInstOperands,
     /* 129554 */     // GIR_Coverage, 4635,
     /* 129554 */     GIR_EraseRootFromParent_Done,
     /* 129555 */   // Label 1928: @129555
     /* 129555 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(129619), // Rule ID 4637 //
     /* 129560 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 129567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 129582 */     // (ld:{ *:[v4i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v4i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 129582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 129585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129617 */     GIR_RootConstrainSelectedInstOperands,
     /* 129618 */     // GIR_Coverage, 4637,
     /* 129618 */     GIR_EraseRootFromParent_Done,
     /* 129619 */   // Label 1929: @129619
     /* 129619 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(129686), // Rule ID 4639 //
     /* 129624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 129627 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 129634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 129649 */     // (ld:{ *:[v4f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v4f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 129649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 129652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129684 */     GIR_RootConstrainSelectedInstOperands,
     /* 129685 */     // GIR_Coverage, 4639,
     /* 129685 */     GIR_EraseRootFromParent_Done,
     /* 129686 */   // Label 1930: @129686
     /* 129686 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(129750), // Rule ID 4641 //
     /* 129691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 129698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 129713 */     // (ld:{ *:[v4f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v4f32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 129713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 129716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129748 */     GIR_RootConstrainSelectedInstOperands,
     /* 129749 */     // GIR_Coverage, 4641,
     /* 129749 */     GIR_EraseRootFromParent_Done,
     /* 129750 */   // Label 1931: @129750
     /* 129750 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(129815), // Rule ID 6582 //
     /* 129755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 129758 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 129778 */     // (ld:{ *:[v4i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v4i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 129778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 129781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129813 */     GIR_RootConstrainSelectedInstOperands,
     /* 129814 */     // GIR_Coverage, 6582,
     /* 129814 */     GIR_EraseRootFromParent_Done,
     /* 129815 */   // Label 1932: @129815
     /* 129815 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(129880), // Rule ID 6584 //
     /* 129820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 129823 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 129828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 129843 */     // (ld:{ *:[v4i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v4i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 129843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 129846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 129848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 129853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 129858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 129863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 129868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129878 */     GIR_RootConstrainSelectedInstOperands,
     /* 129879 */     // GIR_Coverage, 6584,
     /* 129879 */     GIR_EraseRootFromParent_Done,
     /* 129880 */   // Label 1933: @129880
     /* 129880 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(129941), // Rule ID 8136 //
     /* 129885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 129888 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 129892 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 129897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 129912 */     // (AMDGPUld_glue:{ *:[v4i32] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 129912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 129915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 129922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 129927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 129932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129939 */     GIR_RootConstrainSelectedInstOperands,
     /* 129940 */     // GIR_Coverage, 8136,
     /* 129940 */     GIR_EraseRootFromParent_Done,
     /* 129941 */   // Label 1934: @129941
     /* 129941 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(130002), // Rule ID 8172 //
     /* 129946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 129949 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 129953 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 129958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 129962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 129966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 129973 */     // (AMDGPUld_glue:{ *:[v4f32] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 129973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 129976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 129978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 129983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 129988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 129993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 129996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130000 */     GIR_RootConstrainSelectedInstOperands,
     /* 130001 */     // GIR_Coverage, 8172,
     /* 130001 */     GIR_EraseRootFromParent_Done,
     /* 130002 */   // Label 1935: @130002
     /* 130002 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(130064), // Rule ID 4634 //
     /* 130007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 130010 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 130032 */     // (ld:{ *:[v4i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 130032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 130035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 130037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 130042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130062 */     GIR_RootConstrainSelectedInstOperands,
     /* 130063 */     // GIR_Coverage, 4634,
     /* 130063 */     GIR_EraseRootFromParent_Done,
     /* 130064 */   // Label 1936: @130064
     /* 130064 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(130123), // Rule ID 4636 //
     /* 130069 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 130091 */     // (ld:{ *:[v4i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 130091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 130094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 130096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 130101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130121 */     GIR_RootConstrainSelectedInstOperands,
     /* 130122 */     // GIR_Coverage, 4636,
     /* 130122 */     GIR_EraseRootFromParent_Done,
     /* 130123 */   // Label 1937: @130123
     /* 130123 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(130185), // Rule ID 4638 //
     /* 130128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 130131 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 130153 */     // (ld:{ *:[v4f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 130153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 130156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 130158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 130163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130183 */     GIR_RootConstrainSelectedInstOperands,
     /* 130184 */     // GIR_Coverage, 4638,
     /* 130184 */     GIR_EraseRootFromParent_Done,
     /* 130185 */   // Label 1938: @130185
     /* 130185 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(130244), // Rule ID 4640 //
     /* 130190 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 130212 */     // (ld:{ *:[v4f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 130212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 130215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 130217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 130222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130242 */     GIR_RootConstrainSelectedInstOperands,
     /* 130243 */     // GIR_Coverage, 4640,
     /* 130243 */     GIR_EraseRootFromParent_Done,
     /* 130244 */   // Label 1939: @130244
     /* 130244 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(130301), // Rule ID 8138 //
     /* 130249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 130252 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 130257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 130272 */     // (ld:{ *:[v4i32] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v4i32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 130272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 130275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 130282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 130287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 130292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130299 */     GIR_RootConstrainSelectedInstOperands,
     /* 130300 */     // GIR_Coverage, 8138,
     /* 130300 */     GIR_EraseRootFromParent_Done,
     /* 130301 */   // Label 1940: @130301
     /* 130301 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(130358), // Rule ID 8174 //
     /* 130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 130309 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 130314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 130329 */     // (ld:{ *:[v4f32] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v4f32] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 130329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 130332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 130339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 130344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 130349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130356 */     GIR_RootConstrainSelectedInstOperands,
     /* 130357 */     // GIR_Coverage, 8174,
     /* 130357 */     GIR_EraseRootFromParent_Done,
     /* 130358 */   // Label 1941: @130358
     /* 130358 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(130417), // Rule ID 3986 //
     /* 130363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 130366 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 130388 */     // (ld:{ *:[v4i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v4i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 130391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 130398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 130403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130415 */     GIR_RootConstrainSelectedInstOperands,
     /* 130416 */     // GIR_Coverage, 3986,
     /* 130416 */     GIR_EraseRootFromParent_Done,
     /* 130417 */   // Label 1942: @130417
     /* 130417 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(130476), // Rule ID 3990 //
     /* 130422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 130425 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 130447 */     // (ld:{ *:[v4f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v4f32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 130450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 130457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 130462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130474 */     GIR_RootConstrainSelectedInstOperands,
     /* 130475 */     // GIR_Coverage, 3990,
     /* 130475 */     GIR_EraseRootFromParent_Done,
     /* 130476 */   // Label 1943: @130476
     /* 130476 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(130530), // Rule ID 3985 //
     /* 130481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 130484 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 130506 */     // (ld:{ *:[v4i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v4i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 130506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 130509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 130516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 130521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130528 */     GIR_RootConstrainSelectedInstOperands,
     /* 130529 */     // GIR_Coverage, 3985,
     /* 130529 */     GIR_EraseRootFromParent_Done,
     /* 130530 */   // Label 1944: @130530
     /* 130530 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(130584), // Rule ID 3989 //
     /* 130535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 130538 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 130560 */     // (ld:{ *:[v4f32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v4f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 130560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 130563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 130570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 130575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130582 */     GIR_RootConstrainSelectedInstOperands,
     /* 130583 */     // GIR_Coverage, 3989,
     /* 130583 */     GIR_EraseRootFromParent_Done,
     /* 130584 */   // Label 1945: @130584
     /* 130584 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(130639), // Rule ID 3681 //
     /* 130589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 130592 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 130615 */     // (ld:{ *:[v4i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v4i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 130615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 130618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 130625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 130630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130637 */     GIR_RootConstrainSelectedInstOperands,
     /* 130638 */     // GIR_Coverage, 3681,
     /* 130638 */     GIR_EraseRootFromParent_Done,
     /* 130639 */   // Label 1946: @130639
     /* 130639 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(130694), // Rule ID 3683 //
     /* 130644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 130647 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 130655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 130659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 130670 */     // (ld:{ *:[v4f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v4f32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 130670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 130673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 130675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 130680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 130685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130692 */     GIR_RootConstrainSelectedInstOperands,
     /* 130693 */     // GIR_Coverage, 3683,
     /* 130693 */     GIR_EraseRootFromParent_Done,
     /* 130694 */   // Label 1947: @130694
     /* 130694 */   GIM_Reject,
     /* 130695 */ // Label 1877: @130695
     /* 130695 */ GIM_Reject,
     /* 130696 */ // Label 1016: @130696
     /* 130696 */ GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(132347),
     /* 130701 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130704 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 130708 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 130712 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(130768), // Rule ID 3327 //
     /* 130717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 130720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 130732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 130739 */     // (ld:{ *:[v4i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 130742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 130744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 130749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130766 */     GIR_RootConstrainSelectedInstOperands,
     /* 130767 */     // GIR_Coverage, 3327,
     /* 130767 */     GIR_EraseRootFromParent_Done,
     /* 130768 */   // Label 1949: @130768
     /* 130768 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(130824), // Rule ID 3344 //
     /* 130773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 130776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 130788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 130795 */     // (ld:{ *:[v4f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 130798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 130800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 130805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130822 */     GIR_RootConstrainSelectedInstOperands,
     /* 130823 */     // GIR_Coverage, 3344,
     /* 130823 */     GIR_EraseRootFromParent_Done,
     /* 130824 */   // Label 1950: @130824
     /* 130824 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(130876), // Rule ID 3332 //
     /* 130829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 130832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 130847 */     // (ld:{ *:[v4i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 130850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 130852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 130857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130874 */     GIR_RootConstrainSelectedInstOperands,
     /* 130875 */     // GIR_Coverage, 3332,
     /* 130875 */     GIR_EraseRootFromParent_Done,
     /* 130876 */   // Label 1951: @130876
     /* 130876 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(130928), // Rule ID 3349 //
     /* 130881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 130884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 130899 */     // (ld:{ *:[v4f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 130902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 130904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 130909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130926 */     GIR_RootConstrainSelectedInstOperands,
     /* 130927 */     // GIR_Coverage, 3349,
     /* 130927 */     GIR_EraseRootFromParent_Done,
     /* 130928 */   // Label 1952: @130928
     /* 130928 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(130980), // Rule ID 3338 //
     /* 130933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 130936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 130951 */     // (ld:{ *:[v4i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 130951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 130954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 130956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 130961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 130966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 130971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 130974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130978 */     GIR_RootConstrainSelectedInstOperands,
     /* 130979 */     // GIR_Coverage, 3338,
     /* 130979 */     GIR_EraseRootFromParent_Done,
     /* 130980 */   // Label 1953: @130980
     /* 130980 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(131032), // Rule ID 3355 //
     /* 130985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 130988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 130992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 130996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 131003 */     // (ld:{ *:[v4f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 131006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 131023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131030 */     GIR_RootConstrainSelectedInstOperands,
     /* 131031 */     // GIR_Coverage, 3355,
     /* 131031 */     GIR_EraseRootFromParent_Done,
     /* 131032 */   // Label 1954: @131032
     /* 131032 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(131083), // Rule ID 3323 //
     /* 131037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 131040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131059 */     // (ld:{ *:[v4i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 131062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131081 */     GIR_RootConstrainSelectedInstOperands,
     /* 131082 */     // GIR_Coverage, 3323,
     /* 131082 */     GIR_EraseRootFromParent_Done,
     /* 131083 */   // Label 1955: @131083
     /* 131083 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(131134), // Rule ID 3324 //
     /* 131088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 131091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131099 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 131110 */     // (ld:{ *:[v4i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 131113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131132 */     GIR_RootConstrainSelectedInstOperands,
     /* 131133 */     // GIR_Coverage, 3324,
     /* 131133 */     GIR_EraseRootFromParent_Done,
     /* 131134 */   // Label 1956: @131134
     /* 131134 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(131185), // Rule ID 3325 //
     /* 131139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 131142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131161 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 131161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 131164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131183 */     GIR_RootConstrainSelectedInstOperands,
     /* 131184 */     // GIR_Coverage, 3325,
     /* 131184 */     GIR_EraseRootFromParent_Done,
     /* 131185 */   // Label 1957: @131185
     /* 131185 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(131239), // Rule ID 3326 //
     /* 131190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 131193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131212 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 131212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 131215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131237 */     GIR_RootConstrainSelectedInstOperands,
     /* 131238 */     // GIR_Coverage, 3326,
     /* 131238 */     GIR_EraseRootFromParent_Done,
     /* 131239 */   // Label 1958: @131239
     /* 131239 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(131290), // Rule ID 3340 //
     /* 131244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 131247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131255 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131266 */     // (ld:{ *:[v4f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 131269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131288 */     GIR_RootConstrainSelectedInstOperands,
     /* 131289 */     // GIR_Coverage, 3340,
     /* 131289 */     GIR_EraseRootFromParent_Done,
     /* 131290 */   // Label 1959: @131290
     /* 131290 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(131341), // Rule ID 3341 //
     /* 131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 131298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 131317 */     // (ld:{ *:[v4f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 131320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131339 */     GIR_RootConstrainSelectedInstOperands,
     /* 131340 */     // GIR_Coverage, 3341,
     /* 131340 */     GIR_EraseRootFromParent_Done,
     /* 131341 */   // Label 1960: @131341
     /* 131341 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(131392), // Rule ID 3342 //
     /* 131346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 131349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131357 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131368 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 131368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 131371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131390 */     GIR_RootConstrainSelectedInstOperands,
     /* 131391 */     // GIR_Coverage, 3342,
     /* 131391 */     GIR_EraseRootFromParent_Done,
     /* 131392 */   // Label 1961: @131392
     /* 131392 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(131446), // Rule ID 3343 //
     /* 131397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 131400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 131412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131419 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 131419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 131422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131444 */     GIR_RootConstrainSelectedInstOperands,
     /* 131445 */     // GIR_Coverage, 3343,
     /* 131445 */     GIR_EraseRootFromParent_Done,
     /* 131446 */   // Label 1962: @131446
     /* 131446 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(131493), // Rule ID 3329 //
     /* 131451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 131454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131469 */     // (ld:{ *:[v4i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 131472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131491 */     GIR_RootConstrainSelectedInstOperands,
     /* 131492 */     // GIR_Coverage, 3329,
     /* 131492 */     GIR_EraseRootFromParent_Done,
     /* 131493 */   // Label 1963: @131493
     /* 131493 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(131540), // Rule ID 3330 //
     /* 131498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 131501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131516 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 131516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 131519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131538 */     GIR_RootConstrainSelectedInstOperands,
     /* 131539 */     // GIR_Coverage, 3330,
     /* 131539 */     GIR_EraseRootFromParent_Done,
     /* 131540 */   // Label 1964: @131540
     /* 131540 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(131590), // Rule ID 3331 //
     /* 131545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 131548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131563 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 131563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 131566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131588 */     GIR_RootConstrainSelectedInstOperands,
     /* 131589 */     // GIR_Coverage, 3331,
     /* 131589 */     GIR_EraseRootFromParent_Done,
     /* 131590 */   // Label 1965: @131590
     /* 131590 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(131637), // Rule ID 3346 //
     /* 131595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 131598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131613 */     // (ld:{ *:[v4f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 131616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131635 */     GIR_RootConstrainSelectedInstOperands,
     /* 131636 */     // GIR_Coverage, 3346,
     /* 131636 */     GIR_EraseRootFromParent_Done,
     /* 131637 */   // Label 1966: @131637
     /* 131637 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(131684), // Rule ID 3347 //
     /* 131642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 131645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131660 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 131660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 131663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131682 */     GIR_RootConstrainSelectedInstOperands,
     /* 131683 */     // GIR_Coverage, 3347,
     /* 131683 */     GIR_EraseRootFromParent_Done,
     /* 131684 */   // Label 1967: @131684
     /* 131684 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(131734), // Rule ID 3348 //
     /* 131689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 131692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131707 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 131707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 131710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131732 */     GIR_RootConstrainSelectedInstOperands,
     /* 131733 */     // GIR_Coverage, 3348,
     /* 131733 */     GIR_EraseRootFromParent_Done,
     /* 131734 */   // Label 1968: @131734
     /* 131734 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(131778), // Rule ID 3334 //
     /* 131739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131754 */     // (ld:{ *:[v4i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 131757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131776 */     GIR_RootConstrainSelectedInstOperands,
     /* 131777 */     // GIR_Coverage, 3334,
     /* 131777 */     GIR_EraseRootFromParent_Done,
     /* 131778 */   // Label 1969: @131778
     /* 131778 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(131825), // Rule ID 3335 //
     /* 131783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 131786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 131801 */     // (ld:{ *:[v4i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 131804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131823 */     GIR_RootConstrainSelectedInstOperands,
     /* 131824 */     // GIR_Coverage, 3335,
     /* 131824 */     GIR_EraseRootFromParent_Done,
     /* 131825 */   // Label 1970: @131825
     /* 131825 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(131872), // Rule ID 3336 //
     /* 131830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 131833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131848 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 131848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 131851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131870 */     GIR_RootConstrainSelectedInstOperands,
     /* 131871 */     // GIR_Coverage, 3336,
     /* 131871 */     GIR_EraseRootFromParent_Done,
     /* 131872 */   // Label 1971: @131872
     /* 131872 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(131922), // Rule ID 3337 //
     /* 131877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 131880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 131895 */     // (ld:{ *:[v4i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 131895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 131898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 131910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131920 */     GIR_RootConstrainSelectedInstOperands,
     /* 131921 */     // GIR_Coverage, 3337,
     /* 131921 */     GIR_EraseRootFromParent_Done,
     /* 131922 */   // Label 1972: @131922
     /* 131922 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(131966), // Rule ID 3351 //
     /* 131927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 131942 */     // (ld:{ *:[v4f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 131945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 131957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 131960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131964 */     GIR_RootConstrainSelectedInstOperands,
     /* 131965 */     // GIR_Coverage, 3351,
     /* 131965 */     GIR_EraseRootFromParent_Done,
     /* 131966 */   // Label 1973: @131966
     /* 131966 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(132013), // Rule ID 3352 //
     /* 131971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 131974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 131978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 131982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 131989 */     // (ld:{ *:[v4f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 131989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 131992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 131994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 131999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 132004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132011 */     GIR_RootConstrainSelectedInstOperands,
     /* 132012 */     // GIR_Coverage, 3352,
     /* 132012 */     GIR_EraseRootFromParent_Done,
     /* 132013 */   // Label 1974: @132013
     /* 132013 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(132060), // Rule ID 3353 //
     /* 132018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 132021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 132036 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 132036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 132039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132058 */     GIR_RootConstrainSelectedInstOperands,
     /* 132059 */     // GIR_Coverage, 3353,
     /* 132059 */     GIR_EraseRootFromParent_Done,
     /* 132060 */   // Label 1975: @132060
     /* 132060 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(132110), // Rule ID 3354 //
     /* 132065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 132068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 132083 */     // (ld:{ *:[v4f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v4f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 132086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132108 */     GIR_RootConstrainSelectedInstOperands,
     /* 132109 */     // GIR_Coverage, 3354,
     /* 132109 */     GIR_EraseRootFromParent_Done,
     /* 132110 */   // Label 1976: @132110
     /* 132110 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(132153), // Rule ID 3328 //
     /* 132115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132122 */     // MIs[0] sbase
     /* 132122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132134 */     // (ld:{ *:[v4i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 132137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132139 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132151 */     GIR_RootConstrainSelectedInstOperands,
     /* 132152 */     // GIR_Coverage, 3328,
     /* 132152 */     GIR_EraseRootFromParent_Done,
     /* 132153 */   // Label 1977: @132153
     /* 132153 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(132196), // Rule ID 3345 //
     /* 132158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132165 */     // MIs[0] sbase
     /* 132165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132177 */     // (ld:{ *:[v4f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 132180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132182 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132194 */     GIR_RootConstrainSelectedInstOperands,
     /* 132195 */     // GIR_Coverage, 3345,
     /* 132195 */     GIR_EraseRootFromParent_Done,
     /* 132196 */   // Label 1978: @132196
     /* 132196 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(132235), // Rule ID 3333 //
     /* 132201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132208 */     // MIs[0] sbase
     /* 132208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132216 */     // (ld:{ *:[v4i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v4i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 132219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132221 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132233 */     GIR_RootConstrainSelectedInstOperands,
     /* 132234 */     // GIR_Coverage, 3333,
     /* 132234 */     GIR_EraseRootFromParent_Done,
     /* 132235 */   // Label 1979: @132235
     /* 132235 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(132274), // Rule ID 3350 //
     /* 132240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132247 */     // MIs[0] sbase
     /* 132247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132255 */     // (ld:{ *:[v4f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v4f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 132258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132260 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132272 */     GIR_RootConstrainSelectedInstOperands,
     /* 132273 */     // GIR_Coverage, 3350,
     /* 132273 */     GIR_EraseRootFromParent_Done,
     /* 132274 */   // Label 1980: @132274
     /* 132274 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(132310), // Rule ID 3339 //
     /* 132279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132283 */     // MIs[0] sbase
     /* 132283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132291 */     // (ld:{ *:[v4i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 132294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132296 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132308 */     GIR_RootConstrainSelectedInstOperands,
     /* 132309 */     // GIR_Coverage, 3339,
     /* 132309 */     GIR_EraseRootFromParent_Done,
     /* 132310 */   // Label 1981: @132310
     /* 132310 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(132346), // Rule ID 3356 //
     /* 132315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 132319 */     // MIs[0] sbase
     /* 132319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 132327 */     // (ld:{ *:[v4f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v4f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 132330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132332 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 132334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132344 */     GIR_RootConstrainSelectedInstOperands,
     /* 132345 */     // GIR_Coverage, 3356,
     /* 132345 */     GIR_EraseRootFromParent_Done,
     /* 132346 */   // Label 1982: @132346
     /* 132346 */   GIM_Reject,
     /* 132347 */ // Label 1948: @132347
     /* 132347 */ GIM_Reject,
     /* 132348 */ // Label 1017: @132348
     /* 132348 */ GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(136145),
     /* 132353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 132356 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(132420), // Rule ID 3259 //
     /* 132361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 132364 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132376 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132391 */     // (ld:{ *:[v8i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 132394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132418 */     GIR_RootConstrainSelectedInstOperands,
     /* 132419 */     // GIR_Coverage, 3259,
     /* 132419 */     GIR_EraseRootFromParent_Done,
     /* 132420 */   // Label 1984: @132420
     /* 132420 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(132484), // Rule ID 3276 //
     /* 132425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 132428 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132440 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132444 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132455 */     // (ld:{ *:[v8f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 132458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132482 */     GIR_RootConstrainSelectedInstOperands,
     /* 132483 */     // GIR_Coverage, 3276,
     /* 132483 */     GIR_EraseRootFromParent_Done,
     /* 132484 */   // Label 1985: @132484
     /* 132484 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(132544), // Rule ID 3264 //
     /* 132489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 132492 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132504 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132515 */     // (ld:{ *:[v8i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 132518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132542 */     GIR_RootConstrainSelectedInstOperands,
     /* 132543 */     // GIR_Coverage, 3264,
     /* 132543 */     GIR_EraseRootFromParent_Done,
     /* 132544 */   // Label 1986: @132544
     /* 132544 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(132604), // Rule ID 3281 //
     /* 132549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 132552 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132564 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132575 */     // (ld:{ *:[v8f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 132578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132602 */     GIR_RootConstrainSelectedInstOperands,
     /* 132603 */     // GIR_Coverage, 3281,
     /* 132603 */     GIR_EraseRootFromParent_Done,
     /* 132604 */   // Label 1987: @132604
     /* 132604 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(132664), // Rule ID 3270 //
     /* 132609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 132612 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132624 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132635 */     // (ld:{ *:[v8i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 132638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132662 */     GIR_RootConstrainSelectedInstOperands,
     /* 132663 */     // GIR_Coverage, 3270,
     /* 132663 */     GIR_EraseRootFromParent_Done,
     /* 132664 */   // Label 1988: @132664
     /* 132664 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(132724), // Rule ID 3287 //
     /* 132669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 132672 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132684 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 132695 */     // (ld:{ *:[v8f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 132698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 132715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132722 */     GIR_RootConstrainSelectedInstOperands,
     /* 132723 */     // GIR_Coverage, 3287,
     /* 132723 */     GIR_EraseRootFromParent_Done,
     /* 132724 */   // Label 1989: @132724
     /* 132724 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(132783), // Rule ID 3255 //
     /* 132729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132732 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132744 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132748 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 132759 */     // (ld:{ *:[v8i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 132762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 132774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132781 */     GIR_RootConstrainSelectedInstOperands,
     /* 132782 */     // GIR_Coverage, 3255,
     /* 132782 */     GIR_EraseRootFromParent_Done,
     /* 132783 */   // Label 1990: @132783
     /* 132783 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(132842), // Rule ID 3256 //
     /* 132788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 132791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132803 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 132818 */     // (ld:{ *:[v8i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 132821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 132833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132840 */     GIR_RootConstrainSelectedInstOperands,
     /* 132841 */     // GIR_Coverage, 3256,
     /* 132841 */     GIR_EraseRootFromParent_Done,
     /* 132842 */   // Label 1991: @132842
     /* 132842 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(132901), // Rule ID 3257 //
     /* 132847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 132850 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132862 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 132877 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 132877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 132880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132899 */     GIR_RootConstrainSelectedInstOperands,
     /* 132900 */     // GIR_Coverage, 3257,
     /* 132900 */     GIR_EraseRootFromParent_Done,
     /* 132901 */   // Label 1992: @132901
     /* 132901 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(132963), // Rule ID 3258 //
     /* 132906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 132909 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132921 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 132936 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 132936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 132939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 132941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 132946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 132951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 132957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132961 */     GIR_RootConstrainSelectedInstOperands,
     /* 132962 */     // GIR_Coverage, 3258,
     /* 132962 */     GIR_EraseRootFromParent_Done,
     /* 132963 */   // Label 1993: @132963
     /* 132963 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(133022), // Rule ID 3272 //
     /* 132968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 132971 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 132975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 132979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 132983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 132987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 132991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 132998 */     // (ld:{ *:[v8f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 132998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 133001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133020 */     GIR_RootConstrainSelectedInstOperands,
     /* 133021 */     // GIR_Coverage, 3272,
     /* 133021 */     GIR_EraseRootFromParent_Done,
     /* 133022 */   // Label 1994: @133022
     /* 133022 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(133081), // Rule ID 3273 //
     /* 133027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 133030 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 133050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 133057 */     // (ld:{ *:[v8f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 133057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 133060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133079 */     GIR_RootConstrainSelectedInstOperands,
     /* 133080 */     // GIR_Coverage, 3273,
     /* 133080 */     GIR_EraseRootFromParent_Done,
     /* 133081 */   // Label 1995: @133081
     /* 133081 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(133140), // Rule ID 3274 //
     /* 133086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 133089 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 133109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133116 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 133116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 133119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133138 */     GIR_RootConstrainSelectedInstOperands,
     /* 133139 */     // GIR_Coverage, 3274,
     /* 133139 */     GIR_EraseRootFromParent_Done,
     /* 133140 */   // Label 1996: @133140
     /* 133140 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(133202), // Rule ID 3275 //
     /* 133145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 133148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133164 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 133168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133175 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 133175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 133178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133200 */     GIR_RootConstrainSelectedInstOperands,
     /* 133201 */     // GIR_Coverage, 3275,
     /* 133201 */     GIR_EraseRootFromParent_Done,
     /* 133202 */   // Label 1997: @133202
     /* 133202 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(133257), // Rule ID 3261 //
     /* 133207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 133210 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 133233 */     // (ld:{ *:[v8i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 133233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 133236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133255 */     GIR_RootConstrainSelectedInstOperands,
     /* 133256 */     // GIR_Coverage, 3261,
     /* 133256 */     GIR_EraseRootFromParent_Done,
     /* 133257 */   // Label 1998: @133257
     /* 133257 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(133312), // Rule ID 3262 //
     /* 133262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 133265 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133277 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133288 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 133288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 133291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133310 */     GIR_RootConstrainSelectedInstOperands,
     /* 133311 */     // GIR_Coverage, 3262,
     /* 133311 */     GIR_EraseRootFromParent_Done,
     /* 133312 */   // Label 1999: @133312
     /* 133312 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(133370), // Rule ID 3263 //
     /* 133317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 133320 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133343 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 133343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 133346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133368 */     GIR_RootConstrainSelectedInstOperands,
     /* 133369 */     // GIR_Coverage, 3263,
     /* 133369 */     GIR_EraseRootFromParent_Done,
     /* 133370 */   // Label 2000: @133370
     /* 133370 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(133425), // Rule ID 3278 //
     /* 133375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 133378 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 133401 */     // (ld:{ *:[v8f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 133401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 133404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133423 */     GIR_RootConstrainSelectedInstOperands,
     /* 133424 */     // GIR_Coverage, 3278,
     /* 133424 */     GIR_EraseRootFromParent_Done,
     /* 133425 */   // Label 2001: @133425
     /* 133425 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(133480), // Rule ID 3279 //
     /* 133430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 133433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133445 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133456 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_ec:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 133456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_ec),
     /* 133459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133478 */     GIR_RootConstrainSelectedInstOperands,
     /* 133479 */     // GIR_Coverage, 3279,
     /* 133479 */     GIR_EraseRootFromParent_Done,
     /* 133480 */   // Label 2002: @133480
     /* 133480 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(133538), // Rule ID 3280 //
     /* 133485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 133488 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133500 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133511 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM_ec:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 133511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM_ec),
     /* 133514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133536 */     GIR_RootConstrainSelectedInstOperands,
     /* 133537 */     // GIR_Coverage, 3280,
     /* 133537 */     GIR_EraseRootFromParent_Done,
     /* 133538 */   // Label 2003: @133538
     /* 133538 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(133598), // Rule ID 8252 //
     /* 133543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 133546 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133550 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133555 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 133559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 133563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 133574 */     // (AMDGPUld_glue:{ *:[v8i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 133574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 133577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 133579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 133584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133596 */     GIR_RootConstrainSelectedInstOperands,
     /* 133597 */     // GIR_Coverage, 8252,
     /* 133597 */     GIR_EraseRootFromParent_Done,
     /* 133598 */   // Label 2004: @133598
     /* 133598 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(133658), // Rule ID 8256 //
     /* 133603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 133606 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133610 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133615 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 133619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 133623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 133634 */     // (AMDGPUld_glue:{ *:[v8f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align16_local_m0>>  =>  (DS_READ_B128:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 133634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 133637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 133639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 133644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133656 */     GIR_RootConstrainSelectedInstOperands,
     /* 133657 */     // GIR_Coverage, 8256,
     /* 133657 */     GIR_EraseRootFromParent_Done,
     /* 133658 */   // Label 2005: @133658
     /* 133658 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(133723), // Rule ID 8320 //
     /* 133663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 133666 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133670 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133675 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 133684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133688 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 133692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 133699 */     // (AMDGPUld_glue:{ *:[v8i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 133699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 133702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 133704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 133709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133721 */     GIR_RootConstrainSelectedInstOperands,
     /* 133722 */     // GIR_Coverage, 8320,
     /* 133722 */     GIR_EraseRootFromParent_Done,
     /* 133723 */   // Label 2006: @133723
     /* 133723 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(133788), // Rule ID 8324 //
     /* 133728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 133731 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133735 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133740 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 133745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 133749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local_m0),
     /* 133757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 133764 */     // (AMDGPUld_glue:{ *:[v8f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>><<P:Predicate_load_align_less_than_4_local_m0>>  =>  (DS_READ_B128:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 133764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128),
     /* 133767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 133769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 133774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133786 */     GIR_RootConstrainSelectedInstOperands,
     /* 133787 */     // GIR_Coverage, 8324,
     /* 133787 */     GIR_EraseRootFromParent_Done,
     /* 133788 */   // Label 2007: @133788
     /* 133788 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(133840), // Rule ID 3266 //
     /* 133793 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133805 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 133816 */     // (ld:{ *:[v8i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133838 */     GIR_RootConstrainSelectedInstOperands,
     /* 133839 */     // GIR_Coverage, 3266,
     /* 133839 */     GIR_EraseRootFromParent_Done,
     /* 133840 */   // Label 2008: @133840
     /* 133840 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(133895), // Rule ID 3267 //
     /* 133845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 133848 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 133871 */     // (ld:{ *:[v8i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 133871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 133874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 133886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133893 */     GIR_RootConstrainSelectedInstOperands,
     /* 133894 */     // GIR_Coverage, 3267,
     /* 133894 */     GIR_EraseRootFromParent_Done,
     /* 133895 */   // Label 2009: @133895
     /* 133895 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(133950), // Rule ID 3268 //
     /* 133900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 133903 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133915 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133926 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 133926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 133929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133948 */     GIR_RootConstrainSelectedInstOperands,
     /* 133949 */     // GIR_Coverage, 3268,
     /* 133949 */     GIR_EraseRootFromParent_Done,
     /* 133950 */   // Label 2010: @133950
     /* 133950 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(134008), // Rule ID 3269 //
     /* 133955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 133958 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 133962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 133966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 133970 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 133974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 133981 */     // (ld:{ *:[v8i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 133981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 133984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 133986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 133991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 133996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 133999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134006 */     GIR_RootConstrainSelectedInstOperands,
     /* 134007 */     // GIR_Coverage, 3269,
     /* 134007 */     GIR_EraseRootFromParent_Done,
     /* 134008 */   // Label 2011: @134008
     /* 134008 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(134060), // Rule ID 3283 //
     /* 134013 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134025 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 134036 */     // (ld:{ *:[v8f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 134036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 134039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 134046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134058 */     GIR_RootConstrainSelectedInstOperands,
     /* 134059 */     // GIR_Coverage, 3283,
     /* 134059 */     GIR_EraseRootFromParent_Done,
     /* 134060 */   // Label 2012: @134060
     /* 134060 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(134115), // Rule ID 3284 //
     /* 134065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 134068 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134080 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 134091 */     // (ld:{ *:[v8f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ci:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 134091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ci),
     /* 134094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 134101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134113 */     GIR_RootConstrainSelectedInstOperands,
     /* 134114 */     // GIR_Coverage, 3284,
     /* 134114 */     GIR_EraseRootFromParent_Done,
     /* 134115 */   // Label 2013: @134115
     /* 134115 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(134170), // Rule ID 3285 //
     /* 134120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 134123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134135 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 134146 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 134146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR),
     /* 134149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 134156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 134161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134168 */     GIR_RootConstrainSelectedInstOperands,
     /* 134169 */     // GIR_Coverage, 3285,
     /* 134169 */     GIR_EraseRootFromParent_Done,
     /* 134170 */   // Label 2014: @134170
     /* 134170 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(134228), // Rule ID 3286 //
     /* 134175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 134178 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 134201 */     // (ld:{ *:[v8f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_SGPR_IMM:{ *:[v8f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_SGPR_IMM),
     /* 134204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 134211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 134216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134226 */     GIR_RootConstrainSelectedInstOperands,
     /* 134227 */     // GIR_Coverage, 3286,
     /* 134227 */     GIR_EraseRootFromParent_Done,
     /* 134228 */   // Label 2015: @134228
     /* 134228 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(134284), // Rule ID 8253 //
     /* 134233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 134236 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134241 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 134245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 134260 */     // (ld:{ *:[v8i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 134260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 134263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 134270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134282 */     GIR_RootConstrainSelectedInstOperands,
     /* 134283 */     // GIR_Coverage, 8253,
     /* 134283 */     GIR_EraseRootFromParent_Done,
     /* 134284 */   // Label 2016: @134284
     /* 134284 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(134340), // Rule ID 8257 //
     /* 134289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 134292 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134297 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 134301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 134316 */     // (ld:{ *:[v8f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align16_local>>  =>  (DS_READ_B128_gfx9:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 134316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 134319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 134326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134338 */     GIR_RootConstrainSelectedInstOperands,
     /* 134339 */     // GIR_Coverage, 8257,
     /* 134339 */     GIR_EraseRootFromParent_Done,
     /* 134340 */   // Label 2017: @134340
     /* 134340 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(134401), // Rule ID 8321 //
     /* 134345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 134348 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134353 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134366 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 134370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 134377 */     // (ld:{ *:[v8i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 134377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 134380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 134387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134399 */     GIR_RootConstrainSelectedInstOperands,
     /* 134400 */     // GIR_Coverage, 8321,
     /* 134400 */     GIR_EraseRootFromParent_Done,
     /* 134401 */   // Label 2018: @134401
     /* 134401 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(134462), // Rule ID 8325 //
     /* 134406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 134409 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134414 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 134419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_load_align_less_than_4_local),
     /* 134431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 134438 */     // (ld:{ *:[v8f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_local>><<P:Predicate_load_align_less_than_4_local>>  =>  (DS_READ_B128_gfx9:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 134438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B128_gfx9),
     /* 134441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 134448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134460 */     GIR_RootConstrainSelectedInstOperands,
     /* 134461 */     // GIR_Coverage, 8325,
     /* 134461 */     GIR_EraseRootFromParent_Done,
     /* 134462 */   // Label 2019: @134462
     /* 134462 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(134513), // Rule ID 3260 //
     /* 134467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 134470 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134478 */     // MIs[0] sbase
     /* 134478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 134494 */     // (ld:{ *:[v8i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 134497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134499 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134511 */     GIR_RootConstrainSelectedInstOperands,
     /* 134512 */     // GIR_Coverage, 3260,
     /* 134512 */     GIR_EraseRootFromParent_Done,
     /* 134513 */   // Label 2020: @134513
     /* 134513 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(134564), // Rule ID 3277 //
     /* 134518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 134521 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134529 */     // MIs[0] sbase
     /* 134529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134537 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134541 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 134545 */     // (ld:{ *:[v8f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 134548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134550 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134562 */     GIR_RootConstrainSelectedInstOperands,
     /* 134563 */     // GIR_Coverage, 3277,
     /* 134563 */     GIR_EraseRootFromParent_Done,
     /* 134564 */   // Label 2021: @134564
     /* 134564 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(134611), // Rule ID 3265 //
     /* 134569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 134572 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134580 */     // MIs[0] sbase
     /* 134580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134592 */     // (ld:{ *:[v8i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v8i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 134595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134597 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134609 */     GIR_RootConstrainSelectedInstOperands,
     /* 134610 */     // GIR_Coverage, 3265,
     /* 134610 */     GIR_EraseRootFromParent_Done,
     /* 134611 */   // Label 2022: @134611
     /* 134611 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(134658), // Rule ID 3282 //
     /* 134616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 134619 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134627 */     // MIs[0] sbase
     /* 134627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134639 */     // (ld:{ *:[v8f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM_ec:{ *:[v8f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM_ec),
     /* 134642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134644 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134656 */     GIR_RootConstrainSelectedInstOperands,
     /* 134657 */     // GIR_Coverage, 3282,
     /* 134657 */     GIR_EraseRootFromParent_Done,
     /* 134658 */   // Label 2023: @134658
     /* 134658 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(134702), // Rule ID 3271 //
     /* 134663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134671 */     // MIs[0] sbase
     /* 134671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134679 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134683 */     // (ld:{ *:[v8i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 134686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134688 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134700 */     GIR_RootConstrainSelectedInstOperands,
     /* 134701 */     // GIR_Coverage, 3271,
     /* 134701 */     GIR_EraseRootFromParent_Done,
     /* 134702 */   // Label 2024: @134702
     /* 134702 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(134746), // Rule ID 3288 //
     /* 134707 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 134711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 134715 */     // MIs[0] sbase
     /* 134715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 134723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 134727 */     // (ld:{ *:[v8f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX4_IMM:{ *:[v8f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 134727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX4_IMM),
     /* 134730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 134732 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 134734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134744 */     GIR_RootConstrainSelectedInstOperands,
     /* 134745 */     // GIR_Coverage, 3288,
     /* 134745 */     GIR_EraseRootFromParent_Done,
     /* 134746 */   // Label 2025: @134746
     /* 134746 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(134803), // Rule ID 4434 //
     /* 134751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 134754 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 134759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 134774 */     // (ld:{ *:[v8i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v8i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 134774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 134777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 134784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 134789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 134794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134801 */     GIR_RootConstrainSelectedInstOperands,
     /* 134802 */     // GIR_Coverage, 4434,
     /* 134802 */     GIR_EraseRootFromParent_Done,
     /* 134803 */   // Label 2026: @134803
     /* 134803 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(134860), // Rule ID 4440 //
     /* 134808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 134811 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 134816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 134831 */     // (ld:{ *:[v8f16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SVS:{ *:[v8f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 134831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SVS),
     /* 134834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 134841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 134846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 134851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134858 */     GIR_RootConstrainSelectedInstOperands,
     /* 134859 */     // GIR_Coverage, 4440,
     /* 134859 */     GIR_EraseRootFromParent_Done,
     /* 134860 */   // Label 2027: @134860
     /* 134860 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(134912), // Rule ID 4433 //
     /* 134865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 134868 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 134873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 134888 */     // (ld:{ *:[v8i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v8i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 134888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 134891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 134898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134910 */     GIR_RootConstrainSelectedInstOperands,
     /* 134911 */     // GIR_Coverage, 4433,
     /* 134911 */     GIR_EraseRootFromParent_Done,
     /* 134912 */   // Label 2028: @134912
     /* 134912 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(134964), // Rule ID 4439 //
     /* 134917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 134920 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 134925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 134940 */     // (ld:{ *:[v8f16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4_SADDR:{ *:[v8f16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 134940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4_SADDR),
     /* 134943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 134950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 134955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 134958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134962 */     GIR_RootConstrainSelectedInstOperands,
     /* 134963 */     // GIR_Coverage, 4439,
     /* 134963 */     GIR_EraseRootFromParent_Done,
     /* 134964 */   // Label 2029: @134964
     /* 134964 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(135016), // Rule ID 4432 //
     /* 134969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 134972 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 134977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 134981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 134985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 134992 */     // (ld:{ *:[v8i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v8i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 134992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 134995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 134997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 135002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 135007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135014 */     GIR_RootConstrainSelectedInstOperands,
     /* 135015 */     // GIR_Coverage, 4432,
     /* 135015 */     GIR_EraseRootFromParent_Done,
     /* 135016 */   // Label 2030: @135016
     /* 135016 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(135068), // Rule ID 4438 //
     /* 135021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 135024 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 135029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 135044 */     // (ld:{ *:[v8f16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_private>>  =>  (SCRATCH_LOAD_DWORDX4:{ *:[v8f16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 135044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_DWORDX4),
     /* 135047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 135054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 135059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135066 */     GIR_RootConstrainSelectedInstOperands,
     /* 135067 */     // GIR_Coverage, 4438,
     /* 135067 */     GIR_EraseRootFromParent_Done,
     /* 135068 */   // Label 2031: @135068
     /* 135068 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(135135), // Rule ID 4651 //
     /* 135073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 135076 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 135098 */     // (ld:{ *:[v8i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v8i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 135101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 135108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 135118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 135123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135133 */     GIR_RootConstrainSelectedInstOperands,
     /* 135134 */     // GIR_Coverage, 4651,
     /* 135134 */     GIR_EraseRootFromParent_Done,
     /* 135135 */   // Label 2032: @135135
     /* 135135 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(135199), // Rule ID 4653 //
     /* 135140 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 135162 */     // (ld:{ *:[v8i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v8i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 135165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 135172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 135182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 135187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135197 */     GIR_RootConstrainSelectedInstOperands,
     /* 135198 */     // GIR_Coverage, 4653,
     /* 135198 */     GIR_EraseRootFromParent_Done,
     /* 135199 */   // Label 2033: @135199
     /* 135199 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(135266), // Rule ID 4655 //
     /* 135204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 135207 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 135229 */     // (ld:{ *:[v8f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_ADDR64:{ *:[v8f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_ADDR64),
     /* 135232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 135239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 135249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 135254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135264 */     GIR_RootConstrainSelectedInstOperands,
     /* 135265 */     // GIR_Coverage, 4655,
     /* 135265 */     GIR_EraseRootFromParent_Done,
     /* 135266 */   // Label 2034: @135266
     /* 135266 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(135330), // Rule ID 4657 //
     /* 135271 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 135293 */     // (ld:{ *:[v8f16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64:{ *:[v8f16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_ADDR64),
     /* 135296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 135303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 135313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 135318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135328 */     GIR_RootConstrainSelectedInstOperands,
     /* 135329 */     // GIR_Coverage, 4657,
     /* 135329 */     GIR_EraseRootFromParent_Done,
     /* 135330 */   // Label 2035: @135330
     /* 135330 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(135391), // Rule ID 8184 //
     /* 135335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 135338 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 135342 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 135347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 135362 */     // (AMDGPUld_glue:{ *:[v8i16] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 135362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 135365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 135372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 135377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 135382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135389 */     GIR_RootConstrainSelectedInstOperands,
     /* 135390 */     // GIR_Coverage, 8184,
     /* 135390 */     GIR_EraseRootFromParent_Done,
     /* 135391 */   // Label 2036: @135391
     /* 135391 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(135452), // Rule ID 8188 //
     /* 135396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 135399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 135403 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 135408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 135423 */     // (AMDGPUld_glue:{ *:[v8f16] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload_glue>><<P:Predicate_load_glue>><<P:Predicate_load_local_m0>>  =>  (DS_READ2_B64:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 135423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64),
     /* 135426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 135433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 135438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 135443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135450 */     GIR_RootConstrainSelectedInstOperands,
     /* 135451 */     // GIR_Coverage, 8188,
     /* 135451 */     GIR_EraseRootFromParent_Done,
     /* 135452 */   // Label 2037: @135452
     /* 135452 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(135514), // Rule ID 4650 //
     /* 135457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 135460 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 135482 */     // (ld:{ *:[v8i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 135485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 135497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135512 */     GIR_RootConstrainSelectedInstOperands,
     /* 135513 */     // GIR_Coverage, 4650,
     /* 135513 */     GIR_EraseRootFromParent_Done,
     /* 135514 */   // Label 2038: @135514
     /* 135514 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(135573), // Rule ID 4652 //
     /* 135519 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 135541 */     // (ld:{ *:[v8i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 135544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 135556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135571 */     GIR_RootConstrainSelectedInstOperands,
     /* 135572 */     // GIR_Coverage, 4652,
     /* 135572 */     GIR_EraseRootFromParent_Done,
     /* 135573 */   // Label 2039: @135573
     /* 135573 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(135635), // Rule ID 4654 //
     /* 135578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 135581 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 135603 */     // (ld:{ *:[v8f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 135606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 135618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135633 */     GIR_RootConstrainSelectedInstOperands,
     /* 135634 */     // GIR_Coverage, 4654,
     /* 135634 */     GIR_EraseRootFromParent_Done,
     /* 135635 */   // Label 2040: @135635
     /* 135635 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(135694), // Rule ID 4656 //
     /* 135640 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 135662 */     // (ld:{ *:[v8f16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 135662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 135665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 135667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 135672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 135677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135692 */     GIR_RootConstrainSelectedInstOperands,
     /* 135693 */     // GIR_Coverage, 4656,
     /* 135693 */     GIR_EraseRootFromParent_Done,
     /* 135694 */   // Label 2041: @135694
     /* 135694 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(135751), // Rule ID 8186 //
     /* 135699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 135702 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 135707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 135722 */     // (ld:{ *:[v8i16] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v8i16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 135722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 135725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 135732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 135737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 135742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135749 */     GIR_RootConstrainSelectedInstOperands,
     /* 135750 */     // GIR_Coverage, 8186,
     /* 135750 */     GIR_EraseRootFromParent_Done,
     /* 135751 */   // Label 2042: @135751
     /* 135751 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(135808), // Rule ID 8190 //
     /* 135756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 135759 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 135764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 135779 */     // (ld:{ *:[v8f16] } (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedload>><<P:Predicate_load_local>>  =>  (DS_READ2_B64_gfx9:{ *:[v8f16] } ?:{ *:[i32] }:$ptr, ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 135779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ2_B64_gfx9),
     /* 135782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 135789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 135794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 135799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135806 */     GIR_RootConstrainSelectedInstOperands,
     /* 135807 */     // GIR_Coverage, 8190,
     /* 135807 */     GIR_EraseRootFromParent_Done,
     /* 135808 */   // Label 2043: @135808
     /* 135808 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(135867), // Rule ID 4002 //
     /* 135813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 135816 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 135838 */     // (ld:{ *:[v8i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v8i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 135838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 135841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 135848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 135853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135865 */     GIR_RootConstrainSelectedInstOperands,
     /* 135866 */     // GIR_Coverage, 4002,
     /* 135866 */     GIR_EraseRootFromParent_Done,
     /* 135867 */   // Label 2044: @135867
     /* 135867 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(135926), // Rule ID 4006 //
     /* 135872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 135875 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 135897 */     // (ld:{ *:[v8f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4_SADDR:{ *:[v8f16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 135897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4_SADDR),
     /* 135900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 135907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 135912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 135917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135924 */     GIR_RootConstrainSelectedInstOperands,
     /* 135925 */     // GIR_Coverage, 4006,
     /* 135925 */     GIR_EraseRootFromParent_Done,
     /* 135926 */   // Label 2045: @135926
     /* 135926 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(135980), // Rule ID 4001 //
     /* 135931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 135934 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 135949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 135956 */     // (ld:{ *:[v8i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v8i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 135956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 135959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 135961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 135966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 135971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 135974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135978 */     GIR_RootConstrainSelectedInstOperands,
     /* 135979 */     // GIR_Coverage, 4001,
     /* 135979 */     GIR_EraseRootFromParent_Done,
     /* 135980 */   // Label 2046: @135980
     /* 135980 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(136034), // Rule ID 4005 //
     /* 135985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 135988 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 135995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 135999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 136010 */     // (ld:{ *:[v8f16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_global>>  =>  (GLOBAL_LOAD_DWORDX4:{ *:[v8f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 136010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_DWORDX4),
     /* 136013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 136015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 136020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136032 */     GIR_RootConstrainSelectedInstOperands,
     /* 136033 */     // GIR_Coverage, 4005,
     /* 136033 */     GIR_EraseRootFromParent_Done,
     /* 136034 */   // Label 2047: @136034
     /* 136034 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(136089), // Rule ID 3689 //
     /* 136039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 136042 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 136050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 136054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 136065 */     // (ld:{ *:[v8i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v8i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 136065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 136068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 136070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 136075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136087 */     GIR_RootConstrainSelectedInstOperands,
     /* 136088 */     // GIR_Coverage, 3689,
     /* 136088 */     GIR_EraseRootFromParent_Done,
     /* 136089 */   // Label 2048: @136089
     /* 136089 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(136144), // Rule ID 3691 //
     /* 136094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 136097 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 136105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 136109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 136120 */     // (ld:{ *:[v8f16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load_flat>>  =>  (FLAT_LOAD_DWORDX4:{ *:[v8f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 136120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_DWORDX4),
     /* 136123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 136125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 136130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136142 */     GIR_RootConstrainSelectedInstOperands,
     /* 136143 */     // GIR_Coverage, 3691,
     /* 136143 */     GIR_EraseRootFromParent_Done,
     /* 136144 */   // Label 2049: @136144
     /* 136144 */   GIM_Reject,
     /* 136145 */ // Label 1983: @136145
     /* 136145 */ GIM_Reject,
     /* 136146 */ // Label 1018: @136146
     /* 136146 */ GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(137797),
     /* 136151 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 136154 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 136158 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 136162 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(136218), // Rule ID 3293 //
     /* 136167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136189 */     // (ld:{ *:[v8i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136216 */     GIR_RootConstrainSelectedInstOperands,
     /* 136217 */     // GIR_Coverage, 3293,
     /* 136217 */     GIR_EraseRootFromParent_Done,
     /* 136218 */   // Label 2051: @136218
     /* 136218 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(136274), // Rule ID 3310 //
     /* 136223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136234 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136245 */     // (ld:{ *:[v8f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136272 */     GIR_RootConstrainSelectedInstOperands,
     /* 136273 */     // GIR_Coverage, 3310,
     /* 136273 */     GIR_EraseRootFromParent_Done,
     /* 136274 */   // Label 2052: @136274
     /* 136274 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(136326), // Rule ID 3298 //
     /* 136279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136297 */     // (ld:{ *:[v8i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 136300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136324 */     GIR_RootConstrainSelectedInstOperands,
     /* 136325 */     // GIR_Coverage, 3298,
     /* 136325 */     GIR_EraseRootFromParent_Done,
     /* 136326 */   // Label 2053: @136326
     /* 136326 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(136378), // Rule ID 3315 //
     /* 136331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136349 */     // (ld:{ *:[v8f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 136352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136376 */     GIR_RootConstrainSelectedInstOperands,
     /* 136377 */     // GIR_Coverage, 3315,
     /* 136377 */     GIR_EraseRootFromParent_Done,
     /* 136378 */   // Label 2054: @136378
     /* 136378 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(136430), // Rule ID 3304 //
     /* 136383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 136386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136401 */     // (ld:{ *:[v8i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136428 */     GIR_RootConstrainSelectedInstOperands,
     /* 136429 */     // GIR_Coverage, 3304,
     /* 136429 */     GIR_EraseRootFromParent_Done,
     /* 136430 */   // Label 2055: @136430
     /* 136430 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(136482), // Rule ID 3321 //
     /* 136435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 136438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 136453 */     // (ld:{ *:[v8f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 136473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136480 */     GIR_RootConstrainSelectedInstOperands,
     /* 136481 */     // GIR_Coverage, 3321,
     /* 136481 */     GIR_EraseRootFromParent_Done,
     /* 136482 */   // Label 2056: @136482
     /* 136482 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(136533), // Rule ID 3289 //
     /* 136487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 136490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 136509 */     // (ld:{ *:[v8i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 136512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136531 */     GIR_RootConstrainSelectedInstOperands,
     /* 136532 */     // GIR_Coverage, 3289,
     /* 136532 */     GIR_EraseRootFromParent_Done,
     /* 136533 */   // Label 2057: @136533
     /* 136533 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(136584), // Rule ID 3290 //
     /* 136538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 136541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136549 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 136560 */     // (ld:{ *:[v8i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 136563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136582 */     GIR_RootConstrainSelectedInstOperands,
     /* 136583 */     // GIR_Coverage, 3290,
     /* 136583 */     GIR_EraseRootFromParent_Done,
     /* 136584 */   // Label 2058: @136584
     /* 136584 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(136635), // Rule ID 3291 //
     /* 136589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 136592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 136611 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136633 */     GIR_RootConstrainSelectedInstOperands,
     /* 136634 */     // GIR_Coverage, 3291,
     /* 136634 */     GIR_EraseRootFromParent_Done,
     /* 136635 */   // Label 2059: @136635
     /* 136635 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(136689), // Rule ID 3292 //
     /* 136640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 136662 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 136662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136687 */     GIR_RootConstrainSelectedInstOperands,
     /* 136688 */     // GIR_Coverage, 3292,
     /* 136688 */     GIR_EraseRootFromParent_Done,
     /* 136689 */   // Label 2060: @136689
     /* 136689 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(136740), // Rule ID 3306 //
     /* 136694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 136697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 136716 */     // (ld:{ *:[v8f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 136719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136738 */     GIR_RootConstrainSelectedInstOperands,
     /* 136739 */     // GIR_Coverage, 3306,
     /* 136739 */     GIR_EraseRootFromParent_Done,
     /* 136740 */   // Label 2061: @136740
     /* 136740 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(136791), // Rule ID 3307 //
     /* 136745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 136748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 136767 */     // (ld:{ *:[v8f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 136770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136789 */     GIR_RootConstrainSelectedInstOperands,
     /* 136790 */     // GIR_Coverage, 3307,
     /* 136790 */     GIR_EraseRootFromParent_Done,
     /* 136791 */   // Label 2062: @136791
     /* 136791 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(136842), // Rule ID 3308 //
     /* 136796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 136799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 136818 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 136818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 136821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136840 */     GIR_RootConstrainSelectedInstOperands,
     /* 136841 */     // GIR_Coverage, 3308,
     /* 136841 */     GIR_EraseRootFromParent_Done,
     /* 136842 */   // Label 2063: @136842
     /* 136842 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(136896), // Rule ID 3309 //
     /* 136847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 136862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 136869 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 136869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 136872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136894 */     GIR_RootConstrainSelectedInstOperands,
     /* 136895 */     // GIR_Coverage, 3309,
     /* 136895 */     GIR_EraseRootFromParent_Done,
     /* 136896 */   // Label 2064: @136896
     /* 136896 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(136943), // Rule ID 3295 //
     /* 136901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 136904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 136919 */     // (ld:{ *:[v8i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 136919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 136922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 136934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136941 */     GIR_RootConstrainSelectedInstOperands,
     /* 136942 */     // GIR_Coverage, 3295,
     /* 136942 */     GIR_EraseRootFromParent_Done,
     /* 136943 */   // Label 2065: @136943
     /* 136943 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(136990), // Rule ID 3296 //
     /* 136948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 136951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 136955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 136959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 136966 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 136966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 136969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 136971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 136976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 136981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 136984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136988 */     GIR_RootConstrainSelectedInstOperands,
     /* 136989 */     // GIR_Coverage, 3296,
     /* 136989 */     GIR_EraseRootFromParent_Done,
     /* 136990 */   // Label 2066: @136990
     /* 136990 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(137040), // Rule ID 3297 //
     /* 136995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 136998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137013 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 137016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137038 */     GIR_RootConstrainSelectedInstOperands,
     /* 137039 */     // GIR_Coverage, 3297,
     /* 137039 */     GIR_EraseRootFromParent_Done,
     /* 137040 */   // Label 2067: @137040
     /* 137040 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(137087), // Rule ID 3312 //
     /* 137045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 137048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 137063 */     // (ld:{ *:[v8f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 137066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 137078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137085 */     GIR_RootConstrainSelectedInstOperands,
     /* 137086 */     // GIR_Coverage, 3312,
     /* 137086 */     GIR_EraseRootFromParent_Done,
     /* 137087 */   // Label 2068: @137087
     /* 137087 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(137134), // Rule ID 3313 //
     /* 137092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 137095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137110 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 137110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 137113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137132 */     GIR_RootConstrainSelectedInstOperands,
     /* 137133 */     // GIR_Coverage, 3313,
     /* 137133 */     GIR_EraseRootFromParent_Done,
     /* 137134 */   // Label 2069: @137134
     /* 137134 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(137184), // Rule ID 3314 //
     /* 137139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 137142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137157 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 137160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137182 */     GIR_RootConstrainSelectedInstOperands,
     /* 137183 */     // GIR_Coverage, 3314,
     /* 137183 */     GIR_EraseRootFromParent_Done,
     /* 137184 */   // Label 2070: @137184
     /* 137184 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(137228), // Rule ID 3300 //
     /* 137189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 137204 */     // (ld:{ *:[v8i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 137219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137226 */     GIR_RootConstrainSelectedInstOperands,
     /* 137227 */     // GIR_Coverage, 3300,
     /* 137227 */     GIR_EraseRootFromParent_Done,
     /* 137228 */   // Label 2071: @137228
     /* 137228 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(137275), // Rule ID 3301 //
     /* 137233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 137236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 137251 */     // (ld:{ *:[v8i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 137254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 137266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137273 */     GIR_RootConstrainSelectedInstOperands,
     /* 137274 */     // GIR_Coverage, 3301,
     /* 137274 */     GIR_EraseRootFromParent_Done,
     /* 137275 */   // Label 2072: @137275
     /* 137275 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(137322), // Rule ID 3302 //
     /* 137280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 137283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137298 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 137298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 137301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137320 */     GIR_RootConstrainSelectedInstOperands,
     /* 137321 */     // GIR_Coverage, 3302,
     /* 137321 */     GIR_EraseRootFromParent_Done,
     /* 137322 */   // Label 2073: @137322
     /* 137322 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(137372), // Rule ID 3303 //
     /* 137327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 137330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137345 */     // (ld:{ *:[v8i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 137348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137370 */     GIR_RootConstrainSelectedInstOperands,
     /* 137371 */     // GIR_Coverage, 3303,
     /* 137371 */     GIR_EraseRootFromParent_Done,
     /* 137372 */   // Label 2074: @137372
     /* 137372 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(137416), // Rule ID 3317 //
     /* 137377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 137392 */     // (ld:{ *:[v8f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 137407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137414 */     GIR_RootConstrainSelectedInstOperands,
     /* 137415 */     // GIR_Coverage, 3317,
     /* 137415 */     GIR_EraseRootFromParent_Done,
     /* 137416 */   // Label 2075: @137416
     /* 137416 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(137463), // Rule ID 3318 //
     /* 137421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 137424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 137439 */     // (ld:{ *:[v8f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 137442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 137454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137461 */     GIR_RootConstrainSelectedInstOperands,
     /* 137462 */     // GIR_Coverage, 3318,
     /* 137462 */     GIR_EraseRootFromParent_Done,
     /* 137463 */   // Label 2076: @137463
     /* 137463 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(137510), // Rule ID 3319 //
     /* 137468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 137471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137486 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 137486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 137489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137508 */     GIR_RootConstrainSelectedInstOperands,
     /* 137509 */     // GIR_Coverage, 3319,
     /* 137509 */     GIR_EraseRootFromParent_Done,
     /* 137510 */   // Label 2077: @137510
     /* 137510 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(137560), // Rule ID 3320 //
     /* 137515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 137518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 137533 */     // (ld:{ *:[v8f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 137536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137558 */     GIR_RootConstrainSelectedInstOperands,
     /* 137559 */     // GIR_Coverage, 3320,
     /* 137559 */     GIR_EraseRootFromParent_Done,
     /* 137560 */   // Label 2078: @137560
     /* 137560 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(137603), // Rule ID 3294 //
     /* 137565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 137568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137572 */     // MIs[0] sbase
     /* 137572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137580 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 137584 */     // (ld:{ *:[v8i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137589 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137601 */     GIR_RootConstrainSelectedInstOperands,
     /* 137602 */     // GIR_Coverage, 3294,
     /* 137602 */     GIR_EraseRootFromParent_Done,
     /* 137603 */   // Label 2079: @137603
     /* 137603 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(137646), // Rule ID 3311 //
     /* 137608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 137611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137615 */     // MIs[0] sbase
     /* 137615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137623 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 137627 */     // (ld:{ *:[v8f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137632 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137644 */     GIR_RootConstrainSelectedInstOperands,
     /* 137645 */     // GIR_Coverage, 3311,
     /* 137645 */     GIR_EraseRootFromParent_Done,
     /* 137646 */   // Label 2080: @137646
     /* 137646 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(137685), // Rule ID 3299 //
     /* 137651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 137654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137658 */     // MIs[0] sbase
     /* 137658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137666 */     // (ld:{ *:[v8i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v8i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 137669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137671 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137683 */     GIR_RootConstrainSelectedInstOperands,
     /* 137684 */     // GIR_Coverage, 3299,
     /* 137684 */     GIR_EraseRootFromParent_Done,
     /* 137685 */   // Label 2081: @137685
     /* 137685 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(137724), // Rule ID 3316 //
     /* 137690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 137693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137697 */     // MIs[0] sbase
     /* 137697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137705 */     // (ld:{ *:[v8f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v8f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 137708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137710 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137722 */     GIR_RootConstrainSelectedInstOperands,
     /* 137723 */     // GIR_Coverage, 3316,
     /* 137723 */     GIR_EraseRootFromParent_Done,
     /* 137724 */   // Label 2082: @137724
     /* 137724 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(137760), // Rule ID 3305 //
     /* 137729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137733 */     // MIs[0] sbase
     /* 137733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137741 */     // (ld:{ *:[v8i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137746 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137758 */     GIR_RootConstrainSelectedInstOperands,
     /* 137759 */     // GIR_Coverage, 3305,
     /* 137759 */     GIR_EraseRootFromParent_Done,
     /* 137760 */   // Label 2083: @137760
     /* 137760 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(137796), // Rule ID 3322 //
     /* 137765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 137769 */     // MIs[0] sbase
     /* 137769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 137777 */     // (ld:{ *:[v8f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v8f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 137777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 137780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137782 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 137784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137794 */     GIR_RootConstrainSelectedInstOperands,
     /* 137795 */     // GIR_Coverage, 3322,
     /* 137795 */     GIR_EraseRootFromParent_Done,
     /* 137796 */   // Label 2084: @137796
     /* 137796 */   GIM_Reject,
     /* 137797 */ // Label 2050: @137797
     /* 137797 */ GIM_Reject,
     /* 137798 */ // Label 1019: @137798
     /* 137798 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(139449),
     /* 137803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137806 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 137810 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 137814 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(137870), // Rule ID 3429 //
     /* 137819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 137822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 137826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137830 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 137834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 137841 */     // (ld:{ *:[v8i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 137844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137868 */     GIR_RootConstrainSelectedInstOperands,
     /* 137869 */     // GIR_Coverage, 3429,
     /* 137869 */     GIR_EraseRootFromParent_Done,
     /* 137870 */   // Label 2086: @137870
     /* 137870 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(137926), // Rule ID 3446 //
     /* 137875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 137878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 137882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137886 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 137890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 137897 */     // (ld:{ *:[v8f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 137900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 137917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137924 */     GIR_RootConstrainSelectedInstOperands,
     /* 137925 */     // GIR_Coverage, 3446,
     /* 137925 */     GIR_EraseRootFromParent_Done,
     /* 137926 */   // Label 2087: @137926
     /* 137926 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(137978), // Rule ID 3434 //
     /* 137931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 137934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 137938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 137949 */     // (ld:{ *:[v8i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 137949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 137952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 137954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 137959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 137964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 137969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 137972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137976 */     GIR_RootConstrainSelectedInstOperands,
     /* 137977 */     // GIR_Coverage, 3434,
     /* 137977 */     GIR_EraseRootFromParent_Done,
     /* 137978 */   // Label 2088: @137978
     /* 137978 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(138030), // Rule ID 3451 //
     /* 137983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 137986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 137990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 137994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 138001 */     // (ld:{ *:[v8f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 138004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 138021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138028 */     GIR_RootConstrainSelectedInstOperands,
     /* 138029 */     // GIR_Coverage, 3451,
     /* 138029 */     GIR_EraseRootFromParent_Done,
     /* 138030 */   // Label 2089: @138030
     /* 138030 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(138082), // Rule ID 3440 //
     /* 138035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 138038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 138053 */     // (ld:{ *:[v8i64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 138056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 138073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138080 */     GIR_RootConstrainSelectedInstOperands,
     /* 138081 */     // GIR_Coverage, 3440,
     /* 138081 */     GIR_EraseRootFromParent_Done,
     /* 138082 */   // Label 2090: @138082
     /* 138082 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(138134), // Rule ID 3457 //
     /* 138087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 138090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 138105 */     // (ld:{ *:[v8f64] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 138108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 138125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138132 */     GIR_RootConstrainSelectedInstOperands,
     /* 138133 */     // GIR_Coverage, 3457,
     /* 138133 */     GIR_EraseRootFromParent_Done,
     /* 138134 */   // Label 2091: @138134
     /* 138134 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(138185), // Rule ID 3425 //
     /* 138139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 138142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 138161 */     // (ld:{ *:[v8i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 138164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138183 */     GIR_RootConstrainSelectedInstOperands,
     /* 138184 */     // GIR_Coverage, 3425,
     /* 138184 */     GIR_EraseRootFromParent_Done,
     /* 138185 */   // Label 2092: @138185
     /* 138185 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(138236), // Rule ID 3426 //
     /* 138190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 138193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 138212 */     // (ld:{ *:[v8i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 138215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138234 */     GIR_RootConstrainSelectedInstOperands,
     /* 138235 */     // GIR_Coverage, 3426,
     /* 138235 */     GIR_EraseRootFromParent_Done,
     /* 138236 */   // Label 2093: @138236
     /* 138236 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(138287), // Rule ID 3427 //
     /* 138241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 138244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138252 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138263 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 138263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 138266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138285 */     GIR_RootConstrainSelectedInstOperands,
     /* 138286 */     // GIR_Coverage, 3427,
     /* 138286 */     GIR_EraseRootFromParent_Done,
     /* 138287 */   // Label 2094: @138287
     /* 138287 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(138341), // Rule ID 3428 //
     /* 138292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 138295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138314 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 138314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 138317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138339 */     GIR_RootConstrainSelectedInstOperands,
     /* 138340 */     // GIR_Coverage, 3428,
     /* 138340 */     GIR_EraseRootFromParent_Done,
     /* 138341 */   // Label 2095: @138341
     /* 138341 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(138392), // Rule ID 3442 //
     /* 138346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 138349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138357 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 138368 */     // (ld:{ *:[v8f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 138371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138390 */     GIR_RootConstrainSelectedInstOperands,
     /* 138391 */     // GIR_Coverage, 3442,
     /* 138391 */     GIR_EraseRootFromParent_Done,
     /* 138392 */   // Label 2096: @138392
     /* 138392 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(138443), // Rule ID 3443 //
     /* 138397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 138400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 138419 */     // (ld:{ *:[v8f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 138422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138441 */     GIR_RootConstrainSelectedInstOperands,
     /* 138442 */     // GIR_Coverage, 3443,
     /* 138442 */     GIR_EraseRootFromParent_Done,
     /* 138443 */   // Label 2097: @138443
     /* 138443 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(138494), // Rule ID 3444 //
     /* 138448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 138451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138470 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 138470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 138473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138492 */     GIR_RootConstrainSelectedInstOperands,
     /* 138493 */     // GIR_Coverage, 3444,
     /* 138493 */     GIR_EraseRootFromParent_Done,
     /* 138494 */   // Label 2098: @138494
     /* 138494 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(138548), // Rule ID 3445 //
     /* 138499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 138502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138510 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 138514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138521 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 138521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 138524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138546 */     GIR_RootConstrainSelectedInstOperands,
     /* 138547 */     // GIR_Coverage, 3445,
     /* 138547 */     GIR_EraseRootFromParent_Done,
     /* 138548 */   // Label 2099: @138548
     /* 138548 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(138595), // Rule ID 3431 //
     /* 138553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 138556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 138571 */     // (ld:{ *:[v8i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 138574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138593 */     GIR_RootConstrainSelectedInstOperands,
     /* 138594 */     // GIR_Coverage, 3431,
     /* 138594 */     GIR_EraseRootFromParent_Done,
     /* 138595 */   // Label 2100: @138595
     /* 138595 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(138642), // Rule ID 3432 //
     /* 138600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 138603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138618 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 138618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 138621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138640 */     GIR_RootConstrainSelectedInstOperands,
     /* 138641 */     // GIR_Coverage, 3432,
     /* 138641 */     GIR_EraseRootFromParent_Done,
     /* 138642 */   // Label 2101: @138642
     /* 138642 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(138692), // Rule ID 3433 //
     /* 138647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 138650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138665 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 138665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 138668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138690 */     GIR_RootConstrainSelectedInstOperands,
     /* 138691 */     // GIR_Coverage, 3433,
     /* 138691 */     GIR_EraseRootFromParent_Done,
     /* 138692 */   // Label 2102: @138692
     /* 138692 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(138739), // Rule ID 3448 //
     /* 138697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 138700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 138715 */     // (ld:{ *:[v8f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 138718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138737 */     GIR_RootConstrainSelectedInstOperands,
     /* 138738 */     // GIR_Coverage, 3448,
     /* 138738 */     GIR_EraseRootFromParent_Done,
     /* 138739 */   // Label 2103: @138739
     /* 138739 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(138786), // Rule ID 3449 //
     /* 138744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 138747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138762 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 138762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 138765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138784 */     GIR_RootConstrainSelectedInstOperands,
     /* 138785 */     // GIR_Coverage, 3449,
     /* 138785 */     GIR_EraseRootFromParent_Done,
     /* 138786 */   // Label 2104: @138786
     /* 138786 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(138836), // Rule ID 3450 //
     /* 138791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 138794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138809 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 138809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 138812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138834 */     GIR_RootConstrainSelectedInstOperands,
     /* 138835 */     // GIR_Coverage, 3450,
     /* 138835 */     GIR_EraseRootFromParent_Done,
     /* 138836 */   // Label 2105: @138836
     /* 138836 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(138880), // Rule ID 3436 //
     /* 138841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 138856 */     // (ld:{ *:[v8i64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 138859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138878 */     GIR_RootConstrainSelectedInstOperands,
     /* 138879 */     // GIR_Coverage, 3436,
     /* 138879 */     GIR_EraseRootFromParent_Done,
     /* 138880 */   // Label 2106: @138880
     /* 138880 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(138927), // Rule ID 3437 //
     /* 138885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 138888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 138903 */     // (ld:{ *:[v8i64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 138903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 138906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 138918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138925 */     GIR_RootConstrainSelectedInstOperands,
     /* 138926 */     // GIR_Coverage, 3437,
     /* 138926 */     GIR_EraseRootFromParent_Done,
     /* 138927 */   // Label 2107: @138927
     /* 138927 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(138974), // Rule ID 3438 //
     /* 138932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 138935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138950 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 138950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 138953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 138955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 138960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 138965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 138968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138972 */     GIR_RootConstrainSelectedInstOperands,
     /* 138973 */     // GIR_Coverage, 3438,
     /* 138973 */     GIR_EraseRootFromParent_Done,
     /* 138974 */   // Label 2108: @138974
     /* 138974 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(139024), // Rule ID 3439 //
     /* 138979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 138982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 138986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 138990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 138997 */     // (ld:{ *:[v8i64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8i64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 138997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 139000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139022 */     GIR_RootConstrainSelectedInstOperands,
     /* 139023 */     // GIR_Coverage, 3439,
     /* 139023 */     GIR_EraseRootFromParent_Done,
     /* 139024 */   // Label 2109: @139024
     /* 139024 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(139068), // Rule ID 3453 //
     /* 139029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 139044 */     // (ld:{ *:[v8f64] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 139047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 139059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139066 */     GIR_RootConstrainSelectedInstOperands,
     /* 139067 */     // GIR_Coverage, 3453,
     /* 139067 */     GIR_EraseRootFromParent_Done,
     /* 139068 */   // Label 2110: @139068
     /* 139068 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(139115), // Rule ID 3454 //
     /* 139073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 139076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 139091 */     // (ld:{ *:[v8f64] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 139094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 139106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139113 */     GIR_RootConstrainSelectedInstOperands,
     /* 139114 */     // GIR_Coverage, 3454,
     /* 139114 */     GIR_EraseRootFromParent_Done,
     /* 139115 */   // Label 2111: @139115
     /* 139115 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(139162), // Rule ID 3455 //
     /* 139120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 139123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 139138 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 139138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 139141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139160 */     GIR_RootConstrainSelectedInstOperands,
     /* 139161 */     // GIR_Coverage, 3455,
     /* 139161 */     GIR_EraseRootFromParent_Done,
     /* 139162 */   // Label 2112: @139162
     /* 139162 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(139212), // Rule ID 3456 //
     /* 139167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 139170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 139185 */     // (ld:{ *:[v8f64] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v8f64] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 139188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139210 */     GIR_RootConstrainSelectedInstOperands,
     /* 139211 */     // GIR_Coverage, 3456,
     /* 139211 */     GIR_EraseRootFromParent_Done,
     /* 139212 */   // Label 2113: @139212
     /* 139212 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(139255), // Rule ID 3430 //
     /* 139217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 139220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139224 */     // MIs[0] sbase
     /* 139224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139236 */     // (ld:{ *:[v8i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 139239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139241 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139253 */     GIR_RootConstrainSelectedInstOperands,
     /* 139254 */     // GIR_Coverage, 3430,
     /* 139254 */     GIR_EraseRootFromParent_Done,
     /* 139255 */   // Label 2114: @139255
     /* 139255 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(139298), // Rule ID 3447 //
     /* 139260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 139263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139267 */     // MIs[0] sbase
     /* 139267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139279 */     // (ld:{ *:[v8f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 139282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139284 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139296 */     GIR_RootConstrainSelectedInstOperands,
     /* 139297 */     // GIR_Coverage, 3447,
     /* 139297 */     GIR_EraseRootFromParent_Done,
     /* 139298 */   // Label 2115: @139298
     /* 139298 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(139337), // Rule ID 3435 //
     /* 139303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 139306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139310 */     // MIs[0] sbase
     /* 139310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139318 */     // (ld:{ *:[v8i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v8i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 139321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139323 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139335 */     GIR_RootConstrainSelectedInstOperands,
     /* 139336 */     // GIR_Coverage, 3435,
     /* 139336 */     GIR_EraseRootFromParent_Done,
     /* 139337 */   // Label 2116: @139337
     /* 139337 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(139376), // Rule ID 3452 //
     /* 139342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 139345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139349 */     // MIs[0] sbase
     /* 139349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139357 */     // (ld:{ *:[v8f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v8f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 139360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139362 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139374 */     GIR_RootConstrainSelectedInstOperands,
     /* 139375 */     // GIR_Coverage, 3452,
     /* 139375 */     GIR_EraseRootFromParent_Done,
     /* 139376 */   // Label 2117: @139376
     /* 139376 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(139412), // Rule ID 3441 //
     /* 139381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139385 */     // MIs[0] sbase
     /* 139385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139393 */     // (ld:{ *:[v8i64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8i64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 139396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139398 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139410 */     GIR_RootConstrainSelectedInstOperands,
     /* 139411 */     // GIR_Coverage, 3441,
     /* 139411 */     GIR_EraseRootFromParent_Done,
     /* 139412 */   // Label 2118: @139412
     /* 139412 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(139448), // Rule ID 3458 //
     /* 139417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 139421 */     // MIs[0] sbase
     /* 139421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 139429 */     // (ld:{ *:[v8f64] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v8f64] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 139432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139434 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 139436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139446 */     GIR_RootConstrainSelectedInstOperands,
     /* 139447 */     // GIR_Coverage, 3458,
     /* 139447 */     GIR_EraseRootFromParent_Done,
     /* 139448 */   // Label 2119: @139448
     /* 139448 */   GIM_Reject,
     /* 139449 */ // Label 2085: @139449
     /* 139449 */ GIM_Reject,
     /* 139450 */ // Label 1020: @139450
     /* 139450 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(141101),
     /* 139455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 139462 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 139466 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(139522), // Rule ID 3361 //
     /* 139471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 139474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139493 */     // (ld:{ *:[v16i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 139496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139520 */     GIR_RootConstrainSelectedInstOperands,
     /* 139521 */     // GIR_Coverage, 3361,
     /* 139521 */     GIR_EraseRootFromParent_Done,
     /* 139522 */   // Label 2121: @139522
     /* 139522 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(139578), // Rule ID 3378 //
     /* 139527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 139530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139549 */     // (ld:{ *:[v16f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 139552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139576 */     GIR_RootConstrainSelectedInstOperands,
     /* 139577 */     // GIR_Coverage, 3378,
     /* 139577 */     GIR_EraseRootFromParent_Done,
     /* 139578 */   // Label 2122: @139578
     /* 139578 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(139630), // Rule ID 3366 //
     /* 139583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 139586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139601 */     // (ld:{ *:[v16i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 139604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139628 */     GIR_RootConstrainSelectedInstOperands,
     /* 139629 */     // GIR_Coverage, 3366,
     /* 139629 */     GIR_EraseRootFromParent_Done,
     /* 139630 */   // Label 2123: @139630
     /* 139630 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(139682), // Rule ID 3383 //
     /* 139635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 139638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139653 */     // (ld:{ *:[v16f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 139656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139680 */     GIR_RootConstrainSelectedInstOperands,
     /* 139681 */     // GIR_Coverage, 3383,
     /* 139681 */     GIR_EraseRootFromParent_Done,
     /* 139682 */   // Label 2124: @139682
     /* 139682 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(139734), // Rule ID 3372 //
     /* 139687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 139690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139705 */     // (ld:{ *:[v16i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 139708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139732 */     GIR_RootConstrainSelectedInstOperands,
     /* 139733 */     // GIR_Coverage, 3372,
     /* 139733 */     GIR_EraseRootFromParent_Done,
     /* 139734 */   // Label 2125: @139734
     /* 139734 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(139786), // Rule ID 3389 //
     /* 139739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 139742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 139757 */     // (ld:{ *:[v16f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 139760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 139777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139784 */     GIR_RootConstrainSelectedInstOperands,
     /* 139785 */     // GIR_Coverage, 3389,
     /* 139785 */     GIR_EraseRootFromParent_Done,
     /* 139786 */   // Label 2126: @139786
     /* 139786 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(139837), // Rule ID 3357 //
     /* 139791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 139794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139802 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 139813 */     // (ld:{ *:[v16i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 139816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 139828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139835 */     GIR_RootConstrainSelectedInstOperands,
     /* 139836 */     // GIR_Coverage, 3357,
     /* 139836 */     GIR_EraseRootFromParent_Done,
     /* 139837 */   // Label 2127: @139837
     /* 139837 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(139888), // Rule ID 3358 //
     /* 139842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 139845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 139864 */     // (ld:{ *:[v16i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 139864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 139867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 139879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139886 */     GIR_RootConstrainSelectedInstOperands,
     /* 139887 */     // GIR_Coverage, 3358,
     /* 139887 */     GIR_EraseRootFromParent_Done,
     /* 139888 */   // Label 2128: @139888
     /* 139888 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(139939), // Rule ID 3359 //
     /* 139893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 139896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139904 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 139915 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 139915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 139918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139937 */     GIR_RootConstrainSelectedInstOperands,
     /* 139938 */     // GIR_Coverage, 3359,
     /* 139938 */     GIR_EraseRootFromParent_Done,
     /* 139939 */   // Label 2129: @139939
     /* 139939 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(139993), // Rule ID 3360 //
     /* 139944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 139947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 139951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 139955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 139959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 139966 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 139966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 139969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 139971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 139976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 139981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139991 */     GIR_RootConstrainSelectedInstOperands,
     /* 139992 */     // GIR_Coverage, 3360,
     /* 139992 */     GIR_EraseRootFromParent_Done,
     /* 139993 */   // Label 2130: @139993
     /* 139993 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(140044), // Rule ID 3374 //
     /* 139998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140009 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 140020 */     // (ld:{ *:[v16f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 140023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140042 */     GIR_RootConstrainSelectedInstOperands,
     /* 140043 */     // GIR_Coverage, 3374,
     /* 140043 */     GIR_EraseRootFromParent_Done,
     /* 140044 */   // Label 2131: @140044
     /* 140044 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(140095), // Rule ID 3375 //
     /* 140049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 140052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 140071 */     // (ld:{ *:[v16f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 140074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140093 */     GIR_RootConstrainSelectedInstOperands,
     /* 140094 */     // GIR_Coverage, 3375,
     /* 140094 */     GIR_EraseRootFromParent_Done,
     /* 140095 */   // Label 2132: @140095
     /* 140095 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(140146), // Rule ID 3376 //
     /* 140100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 140103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140122 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 140122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 140125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140144 */     GIR_RootConstrainSelectedInstOperands,
     /* 140145 */     // GIR_Coverage, 3376,
     /* 140145 */     GIR_EraseRootFromParent_Done,
     /* 140146 */   // Label 2133: @140146
     /* 140146 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(140200), // Rule ID 3377 //
     /* 140151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 140154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140162 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140173 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 140176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140198 */     GIR_RootConstrainSelectedInstOperands,
     /* 140199 */     // GIR_Coverage, 3377,
     /* 140199 */     GIR_EraseRootFromParent_Done,
     /* 140200 */   // Label 2134: @140200
     /* 140200 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(140247), // Rule ID 3363 //
     /* 140205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 140223 */     // (ld:{ *:[v16i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 140226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140245 */     GIR_RootConstrainSelectedInstOperands,
     /* 140246 */     // GIR_Coverage, 3363,
     /* 140246 */     GIR_EraseRootFromParent_Done,
     /* 140247 */   // Label 2135: @140247
     /* 140247 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(140294), // Rule ID 3364 //
     /* 140252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 140255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140270 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 140270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 140273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140292 */     GIR_RootConstrainSelectedInstOperands,
     /* 140293 */     // GIR_Coverage, 3364,
     /* 140293 */     GIR_EraseRootFromParent_Done,
     /* 140294 */   // Label 2136: @140294
     /* 140294 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(140344), // Rule ID 3365 //
     /* 140299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 140302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140317 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 140320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140342 */     GIR_RootConstrainSelectedInstOperands,
     /* 140343 */     // GIR_Coverage, 3365,
     /* 140343 */     GIR_EraseRootFromParent_Done,
     /* 140344 */   // Label 2137: @140344
     /* 140344 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(140391), // Rule ID 3380 //
     /* 140349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 140367 */     // (ld:{ *:[v16f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 140370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140389 */     GIR_RootConstrainSelectedInstOperands,
     /* 140390 */     // GIR_Coverage, 3380,
     /* 140390 */     GIR_EraseRootFromParent_Done,
     /* 140391 */   // Label 2138: @140391
     /* 140391 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(140438), // Rule ID 3381 //
     /* 140396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 140399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140414 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_ec:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 140414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_ec),
     /* 140417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140436 */     GIR_RootConstrainSelectedInstOperands,
     /* 140437 */     // GIR_Coverage, 3381,
     /* 140437 */     GIR_EraseRootFromParent_Done,
     /* 140438 */   // Label 2139: @140438
     /* 140438 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(140488), // Rule ID 3382 //
     /* 140443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 140446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140461 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM_ec:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM_ec),
     /* 140464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140486 */     GIR_RootConstrainSelectedInstOperands,
     /* 140487 */     // GIR_Coverage, 3382,
     /* 140487 */     GIR_EraseRootFromParent_Done,
     /* 140488 */   // Label 2140: @140488
     /* 140488 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(140532), // Rule ID 3368 //
     /* 140493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 140508 */     // (ld:{ *:[v16i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 140511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140530 */     GIR_RootConstrainSelectedInstOperands,
     /* 140531 */     // GIR_Coverage, 3368,
     /* 140531 */     GIR_EraseRootFromParent_Done,
     /* 140532 */   // Label 2141: @140532
     /* 140532 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(140579), // Rule ID 3369 //
     /* 140537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 140540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 140555 */     // (ld:{ *:[v16i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 140558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140577 */     GIR_RootConstrainSelectedInstOperands,
     /* 140578 */     // GIR_Coverage, 3369,
     /* 140578 */     GIR_EraseRootFromParent_Done,
     /* 140579 */   // Label 2142: @140579
     /* 140579 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(140626), // Rule ID 3370 //
     /* 140584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 140587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140602 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 140602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 140605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140624 */     GIR_RootConstrainSelectedInstOperands,
     /* 140625 */     // GIR_Coverage, 3370,
     /* 140625 */     GIR_EraseRootFromParent_Done,
     /* 140626 */   // Label 2143: @140626
     /* 140626 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(140676), // Rule ID 3371 //
     /* 140631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 140634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140649 */     // (ld:{ *:[v16i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 140652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140674 */     GIR_RootConstrainSelectedInstOperands,
     /* 140675 */     // GIR_Coverage, 3371,
     /* 140675 */     GIR_EraseRootFromParent_Done,
     /* 140676 */   // Label 2144: @140676
     /* 140676 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(140720), // Rule ID 3385 //
     /* 140681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 140696 */     // (ld:{ *:[v16f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 140699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140718 */     GIR_RootConstrainSelectedInstOperands,
     /* 140719 */     // GIR_Coverage, 3385,
     /* 140719 */     GIR_EraseRootFromParent_Done,
     /* 140720 */   // Label 2145: @140720
     /* 140720 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(140767), // Rule ID 3386 //
     /* 140725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 140728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 140743 */     // (ld:{ *:[v16f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ci:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 140743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ci),
     /* 140746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 140758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140765 */     GIR_RootConstrainSelectedInstOperands,
     /* 140766 */     // GIR_Coverage, 3386,
     /* 140766 */     GIR_EraseRootFromParent_Done,
     /* 140767 */   // Label 2146: @140767
     /* 140767 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(140814), // Rule ID 3387 //
     /* 140772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 140775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140790 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 140790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR),
     /* 140793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140812 */     GIR_RootConstrainSelectedInstOperands,
     /* 140813 */     // GIR_Coverage, 3387,
     /* 140813 */     GIR_EraseRootFromParent_Done,
     /* 140814 */   // Label 2147: @140814
     /* 140814 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(140864), // Rule ID 3388 //
     /* 140819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 140822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 140830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 140837 */     // (ld:{ *:[v16f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_SGPR_IMM:{ *:[v16f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_SGPR_IMM),
     /* 140840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 140847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 140852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140862 */     GIR_RootConstrainSelectedInstOperands,
     /* 140863 */     // GIR_Coverage, 3388,
     /* 140863 */     GIR_EraseRootFromParent_Done,
     /* 140864 */   // Label 2148: @140864
     /* 140864 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(140907), // Rule ID 3362 //
     /* 140869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140876 */     // MIs[0] sbase
     /* 140876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 140884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140888 */     // (ld:{ *:[v16i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 140891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140893 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 140895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140905 */     GIR_RootConstrainSelectedInstOperands,
     /* 140906 */     // GIR_Coverage, 3362,
     /* 140906 */     GIR_EraseRootFromParent_Done,
     /* 140907 */   // Label 2149: @140907
     /* 140907 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(140950), // Rule ID 3379 //
     /* 140912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140919 */     // MIs[0] sbase
     /* 140919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 140927 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 140931 */     // (ld:{ *:[v16f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 140934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140936 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 140938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140948 */     GIR_RootConstrainSelectedInstOperands,
     /* 140949 */     // GIR_Coverage, 3379,
     /* 140949 */     GIR_EraseRootFromParent_Done,
     /* 140950 */   // Label 2150: @140950
     /* 140950 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(140989), // Rule ID 3367 //
     /* 140955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 140962 */     // MIs[0] sbase
     /* 140962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 140970 */     // (ld:{ *:[v16i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v16i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 140970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 140973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 140975 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 140977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140987 */     GIR_RootConstrainSelectedInstOperands,
     /* 140988 */     // GIR_Coverage, 3367,
     /* 140988 */     GIR_EraseRootFromParent_Done,
     /* 140989 */   // Label 2151: @140989
     /* 140989 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(141028), // Rule ID 3384 //
     /* 140994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 140997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 141001 */     // MIs[0] sbase
     /* 141001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 141005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 141009 */     // (ld:{ *:[v16f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM_ec:{ *:[v16f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM_ec),
     /* 141012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141014 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 141016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141026 */     GIR_RootConstrainSelectedInstOperands,
     /* 141027 */     // GIR_Coverage, 3384,
     /* 141027 */     GIR_EraseRootFromParent_Done,
     /* 141028 */   // Label 2152: @141028
     /* 141028 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(141064), // Rule ID 3373 //
     /* 141033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 141037 */     // MIs[0] sbase
     /* 141037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 141041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 141045 */     // (ld:{ *:[v16i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 141048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141050 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141062 */     GIR_RootConstrainSelectedInstOperands,
     /* 141063 */     // GIR_Coverage, 3373,
     /* 141063 */     GIR_EraseRootFromParent_Done,
     /* 141064 */   // Label 2153: @141064
     /* 141064 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(141100), // Rule ID 3390 //
     /* 141069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 141073 */     // MIs[0] sbase
     /* 141073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 141077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 141081 */     // (ld:{ *:[v16f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX8_IMM:{ *:[v16f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX8_IMM),
     /* 141084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141086 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 141088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141098 */     GIR_RootConstrainSelectedInstOperands,
     /* 141099 */     // GIR_Coverage, 3390,
     /* 141099 */     GIR_EraseRootFromParent_Done,
     /* 141100 */   // Label 2154: @141100
     /* 141100 */   GIM_Reject,
     /* 141101 */ // Label 2120: @141101
     /* 141101 */ GIM_Reject,
     /* 141102 */ // Label 1021: @141102
     /* 141102 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(142753),
     /* 141107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141110 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 141114 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 141118 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(141174), // Rule ID 3395 //
     /* 141123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141134 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141145 */     // (ld:{ *:[v16i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141172 */     GIR_RootConstrainSelectedInstOperands,
     /* 141173 */     // GIR_Coverage, 3395,
     /* 141173 */     GIR_EraseRootFromParent_Done,
     /* 141174 */   // Label 2156: @141174
     /* 141174 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(141230), // Rule ID 3412 //
     /* 141179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141201 */     // (ld:{ *:[v16f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141228 */     GIR_RootConstrainSelectedInstOperands,
     /* 141229 */     // GIR_Coverage, 3412,
     /* 141229 */     GIR_EraseRootFromParent_Done,
     /* 141230 */   // Label 2157: @141230
     /* 141230 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(141282), // Rule ID 3400 //
     /* 141235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141253 */     // (ld:{ *:[v16i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 141256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141280 */     GIR_RootConstrainSelectedInstOperands,
     /* 141281 */     // GIR_Coverage, 3400,
     /* 141281 */     GIR_EraseRootFromParent_Done,
     /* 141282 */   // Label 2158: @141282
     /* 141282 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(141334), // Rule ID 3417 //
     /* 141287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141305 */     // (ld:{ *:[v16f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 141308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141332 */     GIR_RootConstrainSelectedInstOperands,
     /* 141333 */     // GIR_Coverage, 3417,
     /* 141333 */     GIR_EraseRootFromParent_Done,
     /* 141334 */   // Label 2159: @141334
     /* 141334 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(141386), // Rule ID 3406 //
     /* 141339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 141342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141357 */     // (ld:{ *:[v16i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141384 */     GIR_RootConstrainSelectedInstOperands,
     /* 141385 */     // GIR_Coverage, 3406,
     /* 141385 */     GIR_EraseRootFromParent_Done,
     /* 141386 */   // Label 2160: @141386
     /* 141386 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(141438), // Rule ID 3423 //
     /* 141391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 141394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 141409 */     // (ld:{ *:[v16f32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 141429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141436 */     GIR_RootConstrainSelectedInstOperands,
     /* 141437 */     // GIR_Coverage, 3423,
     /* 141437 */     GIR_EraseRootFromParent_Done,
     /* 141438 */   // Label 2161: @141438
     /* 141438 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(141489), // Rule ID 3391 //
     /* 141443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 141446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141454 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 141465 */     // (ld:{ *:[v16i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 141468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 141480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141487 */     GIR_RootConstrainSelectedInstOperands,
     /* 141488 */     // GIR_Coverage, 3391,
     /* 141488 */     GIR_EraseRootFromParent_Done,
     /* 141489 */   // Label 2162: @141489
     /* 141489 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(141540), // Rule ID 3392 //
     /* 141494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 141497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 141516 */     // (ld:{ *:[v16i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 141519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 141531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141538 */     GIR_RootConstrainSelectedInstOperands,
     /* 141539 */     // GIR_Coverage, 3392,
     /* 141539 */     GIR_EraseRootFromParent_Done,
     /* 141540 */   // Label 2163: @141540
     /* 141540 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(141591), // Rule ID 3393 //
     /* 141545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 141548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141567 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 141567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 141570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141589 */     GIR_RootConstrainSelectedInstOperands,
     /* 141590 */     // GIR_Coverage, 3393,
     /* 141590 */     GIR_EraseRootFromParent_Done,
     /* 141591 */   // Label 2164: @141591
     /* 141591 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(141645), // Rule ID 3394 //
     /* 141596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141618 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141643 */     GIR_RootConstrainSelectedInstOperands,
     /* 141644 */     // GIR_Coverage, 3394,
     /* 141644 */     GIR_EraseRootFromParent_Done,
     /* 141645 */   // Label 2165: @141645
     /* 141645 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(141696), // Rule ID 3408 //
     /* 141650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 141653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141661 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 141672 */     // (ld:{ *:[v16f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 141675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 141687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141694 */     GIR_RootConstrainSelectedInstOperands,
     /* 141695 */     // GIR_Coverage, 3408,
     /* 141695 */     GIR_EraseRootFromParent_Done,
     /* 141696 */   // Label 2166: @141696
     /* 141696 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(141747), // Rule ID 3409 //
     /* 141701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 141704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 141723 */     // (ld:{ *:[v16f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 141726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 141738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141745 */     GIR_RootConstrainSelectedInstOperands,
     /* 141746 */     // GIR_Coverage, 3409,
     /* 141746 */     GIR_EraseRootFromParent_Done,
     /* 141747 */   // Label 2167: @141747
     /* 141747 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(141798), // Rule ID 3410 //
     /* 141752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 141755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141763 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141774 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 141774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 141777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141796 */     GIR_RootConstrainSelectedInstOperands,
     /* 141797 */     // GIR_Coverage, 3410,
     /* 141797 */     GIR_EraseRootFromParent_Done,
     /* 141798 */   // Label 2168: @141798
     /* 141798 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(141852), // Rule ID 3411 //
     /* 141803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 141818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141825 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 141828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141850 */     GIR_RootConstrainSelectedInstOperands,
     /* 141851 */     // GIR_Coverage, 3411,
     /* 141851 */     GIR_EraseRootFromParent_Done,
     /* 141852 */   // Label 2169: @141852
     /* 141852 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(141899), // Rule ID 3397 //
     /* 141857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 141860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 141875 */     // (ld:{ *:[v16i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 141875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 141878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 141890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141897 */     GIR_RootConstrainSelectedInstOperands,
     /* 141898 */     // GIR_Coverage, 3397,
     /* 141898 */     GIR_EraseRootFromParent_Done,
     /* 141899 */   // Label 2170: @141899
     /* 141899 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(141946), // Rule ID 3398 //
     /* 141904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 141907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141922 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 141922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 141925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141944 */     GIR_RootConstrainSelectedInstOperands,
     /* 141945 */     // GIR_Coverage, 3398,
     /* 141945 */     GIR_EraseRootFromParent_Done,
     /* 141946 */   // Label 2171: @141946
     /* 141946 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(141996), // Rule ID 3399 //
     /* 141951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 141954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 141958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 141962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 141969 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 141969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 141972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 141974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 141979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 141984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 141990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 141994 */     GIR_RootConstrainSelectedInstOperands,
     /* 141995 */     // GIR_Coverage, 3399,
     /* 141995 */     GIR_EraseRootFromParent_Done,
     /* 141996 */   // Label 2172: @141996
     /* 141996 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(142043), // Rule ID 3414 //
     /* 142001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 142004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 142019 */     // (ld:{ *:[v16f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 142022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 142034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142041 */     GIR_RootConstrainSelectedInstOperands,
     /* 142042 */     // GIR_Coverage, 3414,
     /* 142042 */     GIR_EraseRootFromParent_Done,
     /* 142043 */   // Label 2173: @142043
     /* 142043 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(142090), // Rule ID 3415 //
     /* 142048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 142051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142066 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 142066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 142069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142088 */     GIR_RootConstrainSelectedInstOperands,
     /* 142089 */     // GIR_Coverage, 3415,
     /* 142089 */     GIR_EraseRootFromParent_Done,
     /* 142090 */   // Label 2174: @142090
     /* 142090 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(142140), // Rule ID 3416 //
     /* 142095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 142098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142113 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 142116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142138 */     GIR_RootConstrainSelectedInstOperands,
     /* 142139 */     // GIR_Coverage, 3416,
     /* 142139 */     GIR_EraseRootFromParent_Done,
     /* 142140 */   // Label 2175: @142140
     /* 142140 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(142184), // Rule ID 3402 //
     /* 142145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 142160 */     // (ld:{ *:[v16i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 142175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142182 */     GIR_RootConstrainSelectedInstOperands,
     /* 142183 */     // GIR_Coverage, 3402,
     /* 142183 */     GIR_EraseRootFromParent_Done,
     /* 142184 */   // Label 2176: @142184
     /* 142184 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(142231), // Rule ID 3403 //
     /* 142189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 142192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 142207 */     // (ld:{ *:[v16i32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 142210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 142222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142229 */     GIR_RootConstrainSelectedInstOperands,
     /* 142230 */     // GIR_Coverage, 3403,
     /* 142230 */     GIR_EraseRootFromParent_Done,
     /* 142231 */   // Label 2177: @142231
     /* 142231 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(142278), // Rule ID 3404 //
     /* 142236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 142239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142254 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 142254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 142257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142276 */     GIR_RootConstrainSelectedInstOperands,
     /* 142277 */     // GIR_Coverage, 3404,
     /* 142277 */     GIR_EraseRootFromParent_Done,
     /* 142278 */   // Label 2178: @142278
     /* 142278 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(142328), // Rule ID 3405 //
     /* 142283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 142286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142301 */     // (ld:{ *:[v16i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 142304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142326 */     GIR_RootConstrainSelectedInstOperands,
     /* 142327 */     // GIR_Coverage, 3405,
     /* 142327 */     GIR_EraseRootFromParent_Done,
     /* 142328 */   // Label 2179: @142328
     /* 142328 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(142372), // Rule ID 3419 //
     /* 142333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 142348 */     // (ld:{ *:[v16f32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 142363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142370 */     GIR_RootConstrainSelectedInstOperands,
     /* 142371 */     // GIR_Coverage, 3419,
     /* 142371 */     GIR_EraseRootFromParent_Done,
     /* 142372 */   // Label 2180: @142372
     /* 142372 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(142419), // Rule ID 3420 //
     /* 142377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 142380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 142395 */     // (ld:{ *:[v16f32] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 142398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 142410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142417 */     GIR_RootConstrainSelectedInstOperands,
     /* 142418 */     // GIR_Coverage, 3420,
     /* 142418 */     GIR_EraseRootFromParent_Done,
     /* 142419 */   // Label 2181: @142419
     /* 142419 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(142466), // Rule ID 3421 //
     /* 142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 142427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142442 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 142442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 142445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142464 */     GIR_RootConstrainSelectedInstOperands,
     /* 142465 */     // GIR_Coverage, 3421,
     /* 142465 */     GIR_EraseRootFromParent_Done,
     /* 142466 */   // Label 2182: @142466
     /* 142466 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(142516), // Rule ID 3422 //
     /* 142471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 142474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 142489 */     // (ld:{ *:[v16f32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 142492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142514 */     GIR_RootConstrainSelectedInstOperands,
     /* 142515 */     // GIR_Coverage, 3422,
     /* 142515 */     GIR_EraseRootFromParent_Done,
     /* 142516 */   // Label 2183: @142516
     /* 142516 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(142559), // Rule ID 3396 //
     /* 142521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 142524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142528 */     // MIs[0] sbase
     /* 142528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142536 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 142540 */     // (ld:{ *:[v16i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142545 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142557 */     GIR_RootConstrainSelectedInstOperands,
     /* 142558 */     // GIR_Coverage, 3396,
     /* 142558 */     GIR_EraseRootFromParent_Done,
     /* 142559 */   // Label 2184: @142559
     /* 142559 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(142602), // Rule ID 3413 //
     /* 142564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 142567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142571 */     // MIs[0] sbase
     /* 142571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142579 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 142583 */     // (ld:{ *:[v16f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142588 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142600 */     GIR_RootConstrainSelectedInstOperands,
     /* 142601 */     // GIR_Coverage, 3413,
     /* 142601 */     GIR_EraseRootFromParent_Done,
     /* 142602 */   // Label 2185: @142602
     /* 142602 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(142641), // Rule ID 3401 //
     /* 142607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 142610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142614 */     // MIs[0] sbase
     /* 142614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142622 */     // (ld:{ *:[v16i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v16i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 142625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142627 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142639 */     GIR_RootConstrainSelectedInstOperands,
     /* 142640 */     // GIR_Coverage, 3401,
     /* 142640 */     GIR_EraseRootFromParent_Done,
     /* 142641 */   // Label 2186: @142641
     /* 142641 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(142680), // Rule ID 3418 //
     /* 142646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 142649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142653 */     // MIs[0] sbase
     /* 142653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142661 */     // (ld:{ *:[v16f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v16f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 142664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142666 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142678 */     GIR_RootConstrainSelectedInstOperands,
     /* 142679 */     // GIR_Coverage, 3418,
     /* 142679 */     GIR_EraseRootFromParent_Done,
     /* 142680 */   // Label 2187: @142680
     /* 142680 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(142716), // Rule ID 3407 //
     /* 142685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142689 */     // MIs[0] sbase
     /* 142689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142697 */     // (ld:{ *:[v16i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142702 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142714 */     GIR_RootConstrainSelectedInstOperands,
     /* 142715 */     // GIR_Coverage, 3407,
     /* 142715 */     GIR_EraseRootFromParent_Done,
     /* 142716 */   // Label 2188: @142716
     /* 142716 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(142752), // Rule ID 3424 //
     /* 142721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142725 */     // MIs[0] sbase
     /* 142725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 142729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 142733 */     // (ld:{ *:[v16f32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v16f32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 142733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 142736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142738 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 142740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142750 */     GIR_RootConstrainSelectedInstOperands,
     /* 142751 */     // GIR_Coverage, 3424,
     /* 142751 */     GIR_EraseRootFromParent_Done,
     /* 142752 */   // Label 2189: @142752
     /* 142752 */   GIM_Reject,
     /* 142753 */ // Label 2155: @142753
     /* 142753 */ GIM_Reject,
     /* 142754 */ // Label 1022: @142754
     /* 142754 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(144405),
     /* 142759 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142762 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 142766 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_load),
     /* 142770 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(142826), // Rule ID 3463 //
     /* 142775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 142778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142786 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 142790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 142797 */     // (ld:{ *:[v32i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 142800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 142817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142824 */     GIR_RootConstrainSelectedInstOperands,
     /* 142825 */     // GIR_Coverage, 3463,
     /* 142825 */     GIR_EraseRootFromParent_Done,
     /* 142826 */   // Label 2191: @142826
     /* 142826 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(142882), // Rule ID 3480 //
     /* 142831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 142834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 142846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 142853 */     // (ld:{ *:[v32f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 142856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 142873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142880 */     GIR_RootConstrainSelectedInstOperands,
     /* 142881 */     // GIR_Coverage, 3480,
     /* 142881 */     GIR_EraseRootFromParent_Done,
     /* 142882 */   // Label 2192: @142882
     /* 142882 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(142934), // Rule ID 3468 //
     /* 142887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 142890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 142905 */     // (ld:{ *:[v32i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 142908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 142925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142932 */     GIR_RootConstrainSelectedInstOperands,
     /* 142933 */     // GIR_Coverage, 3468,
     /* 142933 */     GIR_EraseRootFromParent_Done,
     /* 142934 */   // Label 2193: @142934
     /* 142934 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(142986), // Rule ID 3485 //
     /* 142939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 142942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 142950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 142957 */     // (ld:{ *:[v32f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 142957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 142960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 142962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 142967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 142972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 142977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 142980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 142984 */     GIR_RootConstrainSelectedInstOperands,
     /* 142985 */     // GIR_Coverage, 3485,
     /* 142985 */     GIR_EraseRootFromParent_Done,
     /* 142986 */   // Label 2194: @142986
     /* 142986 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(143038), // Rule ID 3474 //
     /* 142991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 142994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 142998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 143009 */     // (ld:{ *:[v32i16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 143012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 143029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143036 */     GIR_RootConstrainSelectedInstOperands,
     /* 143037 */     // GIR_Coverage, 3474,
     /* 143037 */     GIR_EraseRootFromParent_Done,
     /* 143038 */   // Label 2195: @143038
     /* 143038 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(143090), // Rule ID 3491 //
     /* 143043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 143046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 143061 */     // (ld:{ *:[v32f16] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 143064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 143081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143088 */     GIR_RootConstrainSelectedInstOperands,
     /* 143089 */     // GIR_Coverage, 3491,
     /* 143089 */     GIR_EraseRootFromParent_Done,
     /* 143090 */   // Label 2196: @143090
     /* 143090 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(143141), // Rule ID 3459 //
     /* 143095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 143098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 143117 */     // (ld:{ *:[v32i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 143120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143139 */     GIR_RootConstrainSelectedInstOperands,
     /* 143140 */     // GIR_Coverage, 3459,
     /* 143140 */     GIR_EraseRootFromParent_Done,
     /* 143141 */   // Label 2197: @143141
     /* 143141 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(143192), // Rule ID 3460 //
     /* 143146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 143149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143157 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 143168 */     // (ld:{ *:[v32i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 143171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143190 */     GIR_RootConstrainSelectedInstOperands,
     /* 143191 */     // GIR_Coverage, 3460,
     /* 143191 */     GIR_EraseRootFromParent_Done,
     /* 143192 */   // Label 2198: @143192
     /* 143192 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(143243), // Rule ID 3461 //
     /* 143197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 143200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143219 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 143219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 143222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143241 */     GIR_RootConstrainSelectedInstOperands,
     /* 143242 */     // GIR_Coverage, 3461,
     /* 143242 */     GIR_EraseRootFromParent_Done,
     /* 143243 */   // Label 2199: @143243
     /* 143243 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(143297), // Rule ID 3462 //
     /* 143248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 143251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143259 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143270 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 143270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 143273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143295 */     GIR_RootConstrainSelectedInstOperands,
     /* 143296 */     // GIR_Coverage, 3462,
     /* 143296 */     GIR_EraseRootFromParent_Done,
     /* 143297 */   // Label 2200: @143297
     /* 143297 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(143348), // Rule ID 3476 //
     /* 143302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 143305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 143324 */     // (ld:{ *:[v32f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 143327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143346 */     GIR_RootConstrainSelectedInstOperands,
     /* 143347 */     // GIR_Coverage, 3476,
     /* 143347 */     GIR_EraseRootFromParent_Done,
     /* 143348 */   // Label 2201: @143348
     /* 143348 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(143399), // Rule ID 3477 //
     /* 143353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX7Only),
     /* 143356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143364 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 143375 */     // (ld:{ *:[v32f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 143378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143397 */     GIR_RootConstrainSelectedInstOperands,
     /* 143398 */     // GIR_Coverage, 3477,
     /* 143398 */     GIR_EraseRootFromParent_Done,
     /* 143399 */   // Label 2202: @143399
     /* 143399 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(143450), // Rule ID 3478 //
     /* 143404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 143407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143415 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143426 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 143426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 143429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143448 */     GIR_RootConstrainSelectedInstOperands,
     /* 143449 */     // GIR_Coverage, 3478,
     /* 143449 */     GIR_EraseRootFromParent_Done,
     /* 143450 */   // Label 2203: @143450
     /* 143450 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(143504), // Rule ID 3479 //
     /* 143455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 143458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 143470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143477 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 143477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 143480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143502 */     GIR_RootConstrainSelectedInstOperands,
     /* 143503 */     // GIR_Coverage, 3479,
     /* 143503 */     GIR_EraseRootFromParent_Done,
     /* 143504 */   // Label 2204: @143504
     /* 143504 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(143551), // Rule ID 3465 //
     /* 143509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 143512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 143527 */     // (ld:{ *:[v32i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 143530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143549 */     GIR_RootConstrainSelectedInstOperands,
     /* 143550 */     // GIR_Coverage, 3465,
     /* 143550 */     GIR_EraseRootFromParent_Done,
     /* 143551 */   // Label 2205: @143551
     /* 143551 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(143598), // Rule ID 3466 //
     /* 143556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 143559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143574 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 143574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 143577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143596 */     GIR_RootConstrainSelectedInstOperands,
     /* 143597 */     // GIR_Coverage, 3466,
     /* 143597 */     GIR_EraseRootFromParent_Done,
     /* 143598 */   // Label 2206: @143598
     /* 143598 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(143648), // Rule ID 3467 //
     /* 143603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 143606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143621 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 143621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 143624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143646 */     GIR_RootConstrainSelectedInstOperands,
     /* 143647 */     // GIR_Coverage, 3467,
     /* 143647 */     GIR_EraseRootFromParent_Done,
     /* 143648 */   // Label 2207: @143648
     /* 143648 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(143695), // Rule ID 3482 //
     /* 143653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 143656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 143671 */     // (ld:{ *:[v32f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 143674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143693 */     GIR_RootConstrainSelectedInstOperands,
     /* 143694 */     // GIR_Coverage, 3482,
     /* 143694 */     GIR_EraseRootFromParent_Done,
     /* 143695 */   // Label 2208: @143695
     /* 143695 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(143742), // Rule ID 3483 //
     /* 143700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isNotGFX9Plus),
     /* 143703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143718 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_ec:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 143718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_ec),
     /* 143721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143740 */     GIR_RootConstrainSelectedInstOperands,
     /* 143741 */     // GIR_Coverage, 3483,
     /* 143741 */     GIR_EraseRootFromParent_Done,
     /* 143742 */   // Label 2209: @143742
     /* 143742 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(143792), // Rule ID 3484 //
     /* 143747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled_isGFX9Plus),
     /* 143750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143765 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM_ec:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 143765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM_ec),
     /* 143768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143790 */     GIR_RootConstrainSelectedInstOperands,
     /* 143791 */     // GIR_Coverage, 3484,
     /* 143791 */     GIR_EraseRootFromParent_Done,
     /* 143792 */   // Label 2210: @143792
     /* 143792 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(143836), // Rule ID 3470 //
     /* 143797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 143812 */     // (ld:{ *:[v32i16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 143815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143834 */     GIR_RootConstrainSelectedInstOperands,
     /* 143835 */     // GIR_Coverage, 3470,
     /* 143835 */     GIR_EraseRootFromParent_Done,
     /* 143836 */   // Label 2211: @143836
     /* 143836 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(143883), // Rule ID 3471 //
     /* 143841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 143844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 143859 */     // (ld:{ *:[v32i16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 143859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 143862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 143874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143881 */     GIR_RootConstrainSelectedInstOperands,
     /* 143882 */     // GIR_Coverage, 3471,
     /* 143882 */     GIR_EraseRootFromParent_Done,
     /* 143883 */   // Label 2212: @143883
     /* 143883 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(143930), // Rule ID 3472 //
     /* 143888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 143891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143906 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 143906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 143909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143928 */     GIR_RootConstrainSelectedInstOperands,
     /* 143929 */     // GIR_Coverage, 3472,
     /* 143929 */     GIR_EraseRootFromParent_Done,
     /* 143930 */   // Label 2213: @143930
     /* 143930 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(143980), // Rule ID 3473 //
     /* 143935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 143938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 143953 */     // (ld:{ *:[v32i16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32i16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 143953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 143956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 143958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 143963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 143968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 143974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 143978 */     GIR_RootConstrainSelectedInstOperands,
     /* 143979 */     // GIR_Coverage, 3473,
     /* 143979 */     GIR_EraseRootFromParent_Done,
     /* 143980 */   // Label 2214: @143980
     /* 143980 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(144024), // Rule ID 3487 //
     /* 143985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 143989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 143993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 144000 */     // (ld:{ *:[v32f16] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 144003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 144010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 144015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144022 */     GIR_RootConstrainSelectedInstOperands,
     /* 144023 */     // GIR_Coverage, 3487,
     /* 144023 */     GIR_EraseRootFromParent_Done,
     /* 144024 */   // Label 2215: @144024
     /* 144024 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(144071), // Rule ID 3488 //
     /* 144029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 144032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm32),
     /* 144047 */     // (ld:{ *:[v32f16] } (SMRDImm32:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ci:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ci),
     /* 144050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 144057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 144062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144069 */     GIR_RootConstrainSelectedInstOperands,
     /* 144070 */     // GIR_Coverage, 3488,
     /* 144070 */     GIR_EraseRootFromParent_Done,
     /* 144071 */   // Label 2216: @144071
     /* 144071 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(144118), // Rule ID 3489 //
     /* 144076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 144079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 144094 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] })
     /* 144094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR),
     /* 144097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 144104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 144109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144116 */     GIR_RootConstrainSelectedInstOperands,
     /* 144117 */     // GIR_Coverage, 3489,
     /* 144117 */     GIR_EraseRootFromParent_Done,
     /* 144118 */   // Label 2217: @144118
     /* 144118 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(144168), // Rule ID 3490 //
     /* 144123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 144126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 144141 */     // (ld:{ *:[v32f16] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_SGPR_IMM:{ *:[v32f16] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_SGPR_IMM),
     /* 144144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 144151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 144156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144166 */     GIR_RootConstrainSelectedInstOperands,
     /* 144167 */     // GIR_Coverage, 3490,
     /* 144167 */     GIR_EraseRootFromParent_Done,
     /* 144168 */   // Label 2218: @144168
     /* 144168 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(144211), // Rule ID 3464 //
     /* 144173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 144176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144180 */     // MIs[0] sbase
     /* 144180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 144192 */     // (ld:{ *:[v32i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 144195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144197 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144209 */     GIR_RootConstrainSelectedInstOperands,
     /* 144210 */     // GIR_Coverage, 3464,
     /* 144210 */     GIR_EraseRootFromParent_Done,
     /* 144211 */   // Label 2219: @144211
     /* 144211 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(144254), // Rule ID 3481 //
     /* 144216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 144219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144223 */     // MIs[0] sbase
     /* 144223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144231 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_aligned_smrd_load),
     /* 144235 */     // (ld:{ *:[v32f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>><<P:Predicate_aligned_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 144238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144240 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144252 */     GIR_RootConstrainSelectedInstOperands,
     /* 144253 */     // GIR_Coverage, 3481,
     /* 144253 */     GIR_EraseRootFromParent_Done,
     /* 144254 */   // Label 2220: @144254
     /* 144254 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(144293), // Rule ID 3469 //
     /* 144259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 144262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144266 */     // MIs[0] sbase
     /* 144266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144274 */     // (ld:{ *:[v32i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v32i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 144277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144279 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144291 */     GIR_RootConstrainSelectedInstOperands,
     /* 144292 */     // GIR_Coverage, 3469,
     /* 144292 */     GIR_EraseRootFromParent_Done,
     /* 144293 */   // Label 2221: @144293
     /* 144293 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(144332), // Rule ID 3486 //
     /* 144298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXNACKEnabled),
     /* 144301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144305 */     // MIs[0] sbase
     /* 144305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144313 */     // (ld:{ *:[v32f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM_ec:{ *:[v32f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM_ec),
     /* 144316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144318 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144330 */     GIR_RootConstrainSelectedInstOperands,
     /* 144331 */     // GIR_Coverage, 3486,
     /* 144331 */     GIR_EraseRootFromParent_Done,
     /* 144332 */   // Label 2222: @144332
     /* 144332 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(144368), // Rule ID 3475 //
     /* 144337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144341 */     // MIs[0] sbase
     /* 144341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144349 */     // (ld:{ *:[v32i16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32i16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 144352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144354 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144366 */     GIR_RootConstrainSelectedInstOperands,
     /* 144367 */     // GIR_Coverage, 3475,
     /* 144367 */     GIR_EraseRootFromParent_Done,
     /* 144368 */   // Label 2223: @144368
     /* 144368 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(144404), // Rule ID 3492 //
     /* 144373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 144377 */     // MIs[0] sbase
     /* 144377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 144381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 144385 */     // (ld:{ *:[v32f16] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_smrd_load>>  =>  (S_LOAD_DWORDX16_IMM:{ *:[v32f16] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 144385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_DWORDX16_IMM),
     /* 144388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 144390 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 144392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144402 */     GIR_RootConstrainSelectedInstOperands,
     /* 144403 */     // GIR_Coverage, 3492,
     /* 144403 */     GIR_EraseRootFromParent_Done,
     /* 144404 */   // Label 2224: @144404
     /* 144404 */   GIM_Reject,
     /* 144405 */ // Label 2190: @144405
     /* 144405 */ GIM_Reject,
     /* 144406 */ // Label 1023: @144406
     /* 144406 */ GIM_Reject,
     /* 144407 */ // Label 15: @144407
     /* 144407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 2227*/ GIMT_Encode4(151868),
     /* 144418 */ /*GILLT_s16*//*Label 2225*/ GIMT_Encode4(144426),
     /* 144422 */ /*GILLT_s32*//*Label 2226*/ GIMT_Encode4(147260),
     /* 144426 */ // Label 2225: @144426
     /* 144426 */ GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(144496), // Rule ID 6515 //
     /* 144431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 144434 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144437 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144444 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144453 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144457 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 144464 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 144464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 144467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 144469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 144474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 144479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 144484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144490 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144494 */   GIR_RootConstrainSelectedInstOperands,
     /* 144495 */   // GIR_Coverage, 6515,
     /* 144495 */   GIR_EraseRootFromParent_Done,
     /* 144496 */ // Label 2228: @144496
     /* 144496 */ GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(144566), // Rule ID 6517 //
     /* 144501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 144504 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144507 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144514 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144523 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 144534 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 144534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 144537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 144539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 144544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 144549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 144554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144560 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144564 */   GIR_RootConstrainSelectedInstOperands,
     /* 144565 */   // GIR_Coverage, 6517,
     /* 144565 */   GIR_EraseRootFromParent_Done,
     /* 144566 */ // Label 2229: @144566
     /* 144566 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(144633), // Rule ID 4266 //
     /* 144571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /* 144574 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144577 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144584 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144597 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 144604 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SVS),
     /* 144607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 144614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 144619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 144624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144627 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144631 */   GIR_RootConstrainSelectedInstOperands,
     /* 144632 */   // GIR_Coverage, 4266,
     /* 144632 */   GIR_EraseRootFromParent_Done,
     /* 144633 */ // Label 2230: @144633
     /* 144633 */ GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(144700), // Rule ID 4281 //
     /* 144638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /* 144641 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144644 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144651 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 144671 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SVS),
     /* 144674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 144681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 144686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 144691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144694 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144698 */   GIR_RootConstrainSelectedInstOperands,
     /* 144699 */   // GIR_Coverage, 4281,
     /* 144699 */   GIR_EraseRootFromParent_Done,
     /* 144700 */ // Label 2231: @144700
     /* 144700 */ GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(144767), // Rule ID 4296 //
     /* 144705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /* 144708 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144711 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144718 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 144727 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 144738 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_D16_SVS_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_D16_SVS_t16),
     /* 144741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 144748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 144753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 144758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144761 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144765 */   GIR_RootConstrainSelectedInstOperands,
     /* 144766 */   // GIR_Coverage, 4296,
     /* 144766 */   GIR_EraseRootFromParent_Done,
     /* 144767 */ // Label 2232: @144767
     /* 144767 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(144829), // Rule ID 4265 //
     /* 144772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 144775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144778 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144785 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144794 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144798 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 144805 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 144805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SADDR),
     /* 144808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 144815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 144820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144827 */   GIR_RootConstrainSelectedInstOperands,
     /* 144828 */   // GIR_Coverage, 4265,
     /* 144828 */   GIR_EraseRootFromParent_Done,
     /* 144829 */ // Label 2233: @144829
     /* 144829 */ GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(144891), // Rule ID 4280 //
     /* 144834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 144837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144840 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144847 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 144867 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 144867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SADDR),
     /* 144870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 144877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 144882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144885 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144889 */   GIR_RootConstrainSelectedInstOperands,
     /* 144890 */   // GIR_Coverage, 4280,
     /* 144890 */   GIR_EraseRootFromParent_Done,
     /* 144891 */ // Label 2234: @144891
     /* 144891 */ GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(144953), // Rule ID 4295 //
     /* 144896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 144899 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144909 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 144918 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144922 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 144929 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 144929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_D16_SADDR_t16),
     /* 144932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 144939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 144944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 144947 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 144951 */   GIR_RootConstrainSelectedInstOperands,
     /* 144952 */   // GIR_Coverage, 4295,
     /* 144952 */   GIR_EraseRootFromParent_Done,
     /* 144953 */ // Label 2235: @144953
     /* 144953 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(145015), // Rule ID 4264 //
     /* 144958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 144961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 144971 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 144976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 144980 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 144984 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 144991 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 144991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE),
     /* 144994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 144996 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 145001 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145009 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145013 */   GIR_RootConstrainSelectedInstOperands,
     /* 145014 */   // GIR_Coverage, 4264,
     /* 145014 */   GIR_EraseRootFromParent_Done,
     /* 145015 */ // Label 2236: @145015
     /* 145015 */ GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(145077), // Rule ID 4279 //
     /* 145020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 145023 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145026 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145033 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 145038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 145053 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 145053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE),
     /* 145056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 145063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145071 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145075 */   GIR_RootConstrainSelectedInstOperands,
     /* 145076 */   // GIR_Coverage, 4279,
     /* 145076 */   GIR_EraseRootFromParent_Done,
     /* 145077 */ // Label 2237: @145077
     /* 145077 */ GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(145139), // Rule ID 4294 //
     /* 145082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 145085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145088 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145095 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 145100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 145104 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 145115 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_D16_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 145115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_D16_t16),
     /* 145118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 145125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145133 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145137 */   GIR_RootConstrainSelectedInstOperands,
     /* 145138 */   // GIR_Coverage, 4294,
     /* 145138 */   GIR_EraseRootFromParent_Done,
     /* 145139 */ // Label 2238: @145139
     /* 145139 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(145214), // Rule ID 6514 //
     /* 145144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 145147 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145150 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145157 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 145162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 145177 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 145177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFEN),
     /* 145180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 145187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 145197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 145202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145208 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145212 */   GIR_RootConstrainSelectedInstOperands,
     /* 145213 */   // GIR_Coverage, 6514,
     /* 145213 */   GIR_EraseRootFromParent_Done,
     /* 145214 */ // Label 2239: @145214
     /* 145214 */ GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(145289), // Rule ID 6516 //
     /* 145219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 145222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145225 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145232 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 145237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145241 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145245 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 145252 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 145252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFEN),
     /* 145255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 145262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 145272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 145277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145283 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145287 */   GIR_RootConstrainSelectedInstOperands,
     /* 145288 */   // GIR_Coverage, 6516,
     /* 145288 */   GIR_EraseRootFromParent_Done,
     /* 145289 */ // Label 2240: @145289
     /* 145289 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(145360), // Rule ID 6486 //
     /* 145294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 145297 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145300 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145307 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 145313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145317 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145321 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 145328 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_constant>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 145328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 145331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 145343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 145348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145358 */   GIR_RootConstrainSelectedInstOperands,
     /* 145359 */   // GIR_Coverage, 6486,
     /* 145359 */   GIR_EraseRootFromParent_Done,
     /* 145360 */ // Label 2241: @145360
     /* 145360 */ GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(145431), // Rule ID 6487 //
     /* 145365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 145368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145371 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145378 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 145384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 145399 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_constant>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 145399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 145402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 145414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 145419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145425 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145429 */   GIR_RootConstrainSelectedInstOperands,
     /* 145430 */   // GIR_Coverage, 6487,
     /* 145430 */   GIR_EraseRootFromParent_Done,
     /* 145431 */ // Label 2242: @145431
     /* 145431 */ GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(145503), // Rule ID 6492 //
     /* 145436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 145439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145442 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145449 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 145456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145464 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 145471 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 145471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 145474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 145486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 145491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145497 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145501 */   GIR_RootConstrainSelectedInstOperands,
     /* 145502 */   // GIR_Coverage, 6492,
     /* 145502 */   GIR_EraseRootFromParent_Done,
     /* 145503 */ // Label 2243: @145503
     /* 145503 */ GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(145575), // Rule ID 6493 //
     /* 145508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 145511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145521 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 145528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145532 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145536 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 145543 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 145543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 145546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 145548 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 145553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 145558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 145563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145569 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145573 */   GIR_RootConstrainSelectedInstOperands,
     /* 145574 */   // GIR_Coverage, 6493,
     /* 145574 */   GIR_EraseRootFromParent_Done,
     /* 145575 */ // Label 2244: @145575
     /* 145575 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(145637), // Rule ID 7998 //
     /* 145580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 145583 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145586 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145593 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145602 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145606 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145613 */   // (AMDGPUld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_sextload_glue>><<P:Predicate_sextloadi8_glue>><<P:Predicate_sextloadi8_local_m0>>  =>  (DS_READ_I8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8),
     /* 145616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145631 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145635 */   GIR_RootConstrainSelectedInstOperands,
     /* 145636 */   // GIR_Coverage, 7998,
     /* 145636 */   GIR_EraseRootFromParent_Done,
     /* 145637 */ // Label 2245: @145637
     /* 145637 */ GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(145699), // Rule ID 7999 //
     /* 145642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 145645 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145655 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145675 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 145678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145693 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145697 */   GIR_RootConstrainSelectedInstOperands,
     /* 145698 */   // GIR_Coverage, 7999,
     /* 145698 */   GIR_EraseRootFromParent_Done,
     /* 145699 */ // Label 2246: @145699
     /* 145699 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(145761), // Rule ID 8000 //
     /* 145704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 145707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145710 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145717 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 145726 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145730 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145737 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_local>>  =>  (DS_READ_I8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_t16),
     /* 145740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145742 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145759 */   GIR_RootConstrainSelectedInstOperands,
     /* 145760 */   // GIR_Coverage, 8000,
     /* 145760 */   GIR_EraseRootFromParent_Done,
     /* 145761 */ // Label 2247: @145761
     /* 145761 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(145823), // Rule ID 8013 //
     /* 145766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 145769 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145772 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145779 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145788 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145792 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145799 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 145802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145821 */   GIR_RootConstrainSelectedInstOperands,
     /* 145822 */   // GIR_Coverage, 8013,
     /* 145822 */   GIR_EraseRootFromParent_Done,
     /* 145823 */ // Label 2248: @145823
     /* 145823 */ GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(145885), // Rule ID 8054 //
     /* 145828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 145831 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 145834 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145841 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145850 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145854 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145861 */   // (AMDGPUatomic_ld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext_glue>><<P:Predicate_atomic_load_sext_8_glue>><<P:Predicate_atomic_load_sext_8_local_m0>>  =>  (DS_READ_I8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8),
     /* 145864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145871 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145883 */   GIR_RootConstrainSelectedInstOperands,
     /* 145884 */   // GIR_Coverage, 8054,
     /* 145884 */   GIR_EraseRootFromParent_Done,
     /* 145885 */ // Label 2249: @145885
     /* 145885 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(145947), // Rule ID 8055 //
     /* 145890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 145893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 145896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145903 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145912 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145916 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145923 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 145926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 145938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 145941 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 145945 */   GIR_RootConstrainSelectedInstOperands,
     /* 145946 */   // GIR_Coverage, 8055,
     /* 145946 */   GIR_EraseRootFromParent_Done,
     /* 145947 */ // Label 2250: @145947
     /* 145947 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(146009), // Rule ID 8056 //
     /* 145952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 145955 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 145958 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 145965 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 145970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 145974 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 145978 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 145985 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 145985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 145988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 145990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 145995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146003 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146007 */   GIR_RootConstrainSelectedInstOperands,
     /* 146008 */   // GIR_Coverage, 8056,
     /* 146008 */   GIR_EraseRootFromParent_Done,
     /* 146009 */ // Label 2251: @146009
     /* 146009 */ GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(146071), // Rule ID 8057 //
     /* 146014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 146017 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146020 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146027 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 146032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 146036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 146047 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_local>>  =>  (DS_READ_I8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 146047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_t16),
     /* 146050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146052 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 146057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146065 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146069 */   GIR_RootConstrainSelectedInstOperands,
     /* 146070 */   // GIR_Coverage, 8057,
     /* 146070 */   GIR_EraseRootFromParent_Done,
     /* 146071 */ // Label 2252: @146071
     /* 146071 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(146140), // Rule ID 3856 //
     /* 146076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 146079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146082 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146089 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146104 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146111 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 146114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146134 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146138 */   GIR_RootConstrainSelectedInstOperands,
     /* 146139 */   // GIR_Coverage, 3856,
     /* 146139 */   GIR_EraseRootFromParent_Done,
     /* 146140 */ // Label 2253: @146140
     /* 146140 */ GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(146209), // Rule ID 3868 //
     /* 146145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 146148 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146151 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146158 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146169 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146173 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146180 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 146183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146185 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146203 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146207 */   GIR_RootConstrainSelectedInstOperands,
     /* 146208 */   // GIR_Coverage, 3868,
     /* 146208 */   GIR_EraseRootFromParent_Done,
     /* 146209 */ // Label 2254: @146209
     /* 146209 */ GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(146278), // Rule ID 3878 //
     /* 146214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 146217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146220 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146227 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146238 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146242 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146249 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 146252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146272 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146276 */   GIR_RootConstrainSelectedInstOperands,
     /* 146277 */   // GIR_Coverage, 3878,
     /* 146277 */   GIR_EraseRootFromParent_Done,
     /* 146278 */ // Label 2255: @146278
     /* 146278 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(146347), // Rule ID 3890 //
     /* 146283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 146286 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146289 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146296 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146307 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146311 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146318 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 146321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146323 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146345 */   GIR_RootConstrainSelectedInstOperands,
     /* 146346 */   // GIR_Coverage, 3890,
     /* 146346 */   GIR_EraseRootFromParent_Done,
     /* 146347 */ // Label 2256: @146347
     /* 146347 */ GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(146416), // Rule ID 3898 //
     /* 146352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 146355 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146365 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 146376 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146380 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146387 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_D16_SADDR_t16),
     /* 146390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146410 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146414 */   GIR_RootConstrainSelectedInstOperands,
     /* 146415 */   // GIR_Coverage, 3898,
     /* 146415 */   GIR_EraseRootFromParent_Done,
     /* 146416 */ // Label 2257: @146416
     /* 146416 */ GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(146485), // Rule ID 3906 //
     /* 146421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 146424 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146427 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146434 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 146445 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146449 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 146456 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_D16_SADDR_t16),
     /* 146459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146461 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 146466 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 146471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 146476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146479 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146483 */   GIR_RootConstrainSelectedInstOperands,
     /* 146484 */   // GIR_Coverage, 3906,
     /* 146484 */   GIR_EraseRootFromParent_Done,
     /* 146485 */ // Label 2258: @146485
     /* 146485 */ GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(146549), // Rule ID 3855 //
     /* 146490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 146493 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146496 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146503 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146514 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146518 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146525 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 146528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146535 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146543 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146547 */   GIR_RootConstrainSelectedInstOperands,
     /* 146548 */   // GIR_Coverage, 3855,
     /* 146548 */   GIR_EraseRootFromParent_Done,
     /* 146549 */ // Label 2259: @146549
     /* 146549 */ GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(146613), // Rule ID 3867 //
     /* 146554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 146557 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146560 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146567 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146578 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146582 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146589 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 146592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146594 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146599 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146607 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146611 */   GIR_RootConstrainSelectedInstOperands,
     /* 146612 */   // GIR_Coverage, 3867,
     /* 146612 */   GIR_EraseRootFromParent_Done,
     /* 146613 */ // Label 2260: @146613
     /* 146613 */ GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(146677), // Rule ID 3877 //
     /* 146618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 146621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146624 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146631 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146646 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146653 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 146656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146671 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146675 */   GIR_RootConstrainSelectedInstOperands,
     /* 146676 */   // GIR_Coverage, 3877,
     /* 146676 */   GIR_EraseRootFromParent_Done,
     /* 146677 */ // Label 2261: @146677
     /* 146677 */ GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(146741), // Rule ID 3889 //
     /* 146682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 146685 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146688 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146695 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146706 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146710 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146717 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 146720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146727 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146735 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146739 */   GIR_RootConstrainSelectedInstOperands,
     /* 146740 */   // GIR_Coverage, 3889,
     /* 146740 */   GIR_EraseRootFromParent_Done,
     /* 146741 */ // Label 2262: @146741
     /* 146741 */ GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(146805), // Rule ID 3897 //
     /* 146746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 146749 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146752 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146759 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 146770 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146774 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146781 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_D16_t16),
     /* 146784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146791 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146799 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146803 */   GIR_RootConstrainSelectedInstOperands,
     /* 146804 */   // GIR_Coverage, 3897,
     /* 146804 */   GIR_EraseRootFromParent_Done,
     /* 146805 */ // Label 2263: @146805
     /* 146805 */ GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(146869), // Rule ID 3905 //
     /* 146810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 146813 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146816 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146823 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 146834 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146838 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 146845 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 146845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_D16_t16),
     /* 146848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146855 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146863 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146867 */   GIR_RootConstrainSelectedInstOperands,
     /* 146868 */   // GIR_Coverage, 3905,
     /* 146868 */   GIR_EraseRootFromParent_Done,
     /* 146869 */ // Label 2264: @146869
     /* 146869 */ GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(146934), // Rule ID 3608 //
     /* 146874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 146877 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146880 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146887 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 146910 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 146913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146928 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146932 */   GIR_RootConstrainSelectedInstOperands,
     /* 146933 */   // GIR_Coverage, 3608,
     /* 146933 */   GIR_EraseRootFromParent_Done,
     /* 146934 */ // Label 2265: @146934
     /* 146934 */ GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(146999), // Rule ID 3613 //
     /* 146939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 146942 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 146945 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 146952 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 146960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 146964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 146968 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 146975 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 146975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 146978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 146980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 146985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 146990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146993 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 146997 */   GIR_RootConstrainSelectedInstOperands,
     /* 146998 */   // GIR_Coverage, 3613,
     /* 146998 */   GIR_EraseRootFromParent_Done,
     /* 146999 */ // Label 2266: @146999
     /* 146999 */ GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(147064), // Rule ID 3620 //
     /* 147004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 147007 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147010 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147017 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 147025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 147040 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 147040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 147043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 147045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 147050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147058 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147062 */   GIR_RootConstrainSelectedInstOperands,
     /* 147063 */   // GIR_Coverage, 3620,
     /* 147063 */   GIR_EraseRootFromParent_Done,
     /* 147064 */ // Label 2267: @147064
     /* 147064 */ GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(147129), // Rule ID 3625 //
     /* 147069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 147072 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147075 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147082 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 147090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147094 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147098 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 147105 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 147105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 147108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 147110 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 147115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147123 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147127 */   GIR_RootConstrainSelectedInstOperands,
     /* 147128 */   // GIR_Coverage, 3625,
     /* 147128 */   GIR_EraseRootFromParent_Done,
     /* 147129 */ // Label 2268: @147129
     /* 147129 */ GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(147194), // Rule ID 3632 //
     /* 147134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 147137 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147140 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147147 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 147155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 147159 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147163 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 147170 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_flat>>  =>  (FLAT_LOAD_SBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE_D16_t16),
     /* 147173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 147175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 147180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147192 */   GIR_RootConstrainSelectedInstOperands,
     /* 147193 */   // GIR_Coverage, 3632,
     /* 147193 */   GIR_EraseRootFromParent_Done,
     /* 147194 */ // Label 2269: @147194
     /* 147194 */ GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(147259), // Rule ID 3637 //
     /* 147199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 147202 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147205 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147212 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 147220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 147224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147228 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 147235 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_flat>>  =>  (FLAT_LOAD_SBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE_D16_t16),
     /* 147238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 147240 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 147245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147253 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147257 */   GIR_RootConstrainSelectedInstOperands,
     /* 147258 */   // GIR_Coverage, 3637,
     /* 147258 */   GIR_EraseRootFromParent_Done,
     /* 147259 */ // Label 2270: @147259
     /* 147259 */ GIM_Reject,
     /* 147260 */ // Label 2226: @147260
     /* 147260 */ GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(147326), // Rule ID 2930 //
     /* 147265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147268 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147286 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi8),
     /* 147290 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 147297 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_smrd_sextloadi8>>  =>  (S_LOAD_I8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I8_SGPR_IMM),
     /* 147300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 147317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147324 */   GIR_RootConstrainSelectedInstOperands,
     /* 147325 */   // GIR_Coverage, 2930,
     /* 147325 */   GIR_EraseRootFromParent_Done,
     /* 147326 */ // Label 2271: @147326
     /* 147326 */ GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(147392), // Rule ID 2942 //
     /* 147331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147337 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147352 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi16),
     /* 147356 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 147363 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_smrd_sextloadi16>>  =>  (S_LOAD_I16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I16_SGPR_IMM),
     /* 147366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147378 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 147383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147390 */   GIR_RootConstrainSelectedInstOperands,
     /* 147391 */   // GIR_Coverage, 2942,
     /* 147391 */   GIR_EraseRootFromParent_Done,
     /* 147392 */ // Label 2272: @147392
     /* 147392 */ GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(147453), // Rule ID 2928 //
     /* 147397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147400 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147403 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147418 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi8),
     /* 147422 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 147429 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_smrd_sextloadi8>>  =>  (S_LOAD_I8_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I8_IMM),
     /* 147432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147434 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147447 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147451 */   GIR_RootConstrainSelectedInstOperands,
     /* 147452 */   // GIR_Coverage, 2928,
     /* 147452 */   GIR_EraseRootFromParent_Done,
     /* 147453 */ // Label 2273: @147453
     /* 147453 */ GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(147517), // Rule ID 2929 //
     /* 147458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147464 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147475 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147479 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi8),
     /* 147483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 147490 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_smrd_sextloadi8>>  =>  (S_LOAD_I8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 147490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I8_SGPR_IMM),
     /* 147493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147511 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147515 */   GIR_RootConstrainSelectedInstOperands,
     /* 147516 */   // GIR_Coverage, 2929,
     /* 147516 */   GIR_EraseRootFromParent_Done,
     /* 147517 */ // Label 2274: @147517
     /* 147517 */ GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(147578), // Rule ID 2940 //
     /* 147522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147528 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147543 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi16),
     /* 147547 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 147554 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_smrd_sextloadi16>>  =>  (S_LOAD_I16_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 147554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I16_IMM),
     /* 147557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147559 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147564 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 147569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147576 */   GIR_RootConstrainSelectedInstOperands,
     /* 147577 */   // GIR_Coverage, 2940,
     /* 147577 */   GIR_EraseRootFromParent_Done,
     /* 147578 */ // Label 2275: @147578
     /* 147578 */ GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(147642), // Rule ID 2941 //
     /* 147583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147589 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147600 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147604 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi16),
     /* 147608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 147615 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_smrd_sextloadi16>>  =>  (S_LOAD_I16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 147615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I16_SGPR_IMM),
     /* 147618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 147625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147640 */   GIR_RootConstrainSelectedInstOperands,
     /* 147641 */   // GIR_Coverage, 2941,
     /* 147641 */   GIR_EraseRootFromParent_Done,
     /* 147642 */ // Label 2276: @147642
     /* 147642 */ GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(147695), // Rule ID 2931 //
     /* 147647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147653 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147664 */   // MIs[0] sbase
     /* 147664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 147668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 147672 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi8),
     /* 147676 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_smrd_sextloadi8>>  =>  (S_LOAD_I8_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 147676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I8_IMM),
     /* 147679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147681 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 147683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147693 */   GIR_RootConstrainSelectedInstOperands,
     /* 147694 */   // GIR_Coverage, 2931,
     /* 147694 */   GIR_EraseRootFromParent_Done,
     /* 147695 */ // Label 2277: @147695
     /* 147695 */ GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(147748), // Rule ID 2943 //
     /* 147700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 147703 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147706 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 147717 */   // MIs[0] sbase
     /* 147717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 147721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 147725 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_sextloadi16),
     /* 147729 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_smrd_sextloadi16>>  =>  (S_LOAD_I16_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 147729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_I16_IMM),
     /* 147732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 147734 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 147736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147742 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147746 */   GIR_RootConstrainSelectedInstOperands,
     /* 147747 */   // GIR_Coverage, 2943,
     /* 147747 */   GIR_EraseRootFromParent_Done,
     /* 147748 */ // Label 2278: @147748
     /* 147748 */ GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(147818), // Rule ID 6501 //
     /* 147753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 147756 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147759 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147766 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 147771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147775 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147779 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 147786 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 147786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 147789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 147791 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 147796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 147806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147812 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147816 */   GIR_RootConstrainSelectedInstOperands,
     /* 147817 */   // GIR_Coverage, 6501,
     /* 147817 */   GIR_EraseRootFromParent_Done,
     /* 147818 */ // Label 2279: @147818
     /* 147818 */ GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(147888), // Rule ID 6505 //
     /* 147823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 147826 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147829 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 147836 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 147841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147849 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 147856 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 147856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 147859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 147861 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 147866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147871 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 147876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147886 */   GIR_RootConstrainSelectedInstOperands,
     /* 147887 */   // GIR_Coverage, 6505,
     /* 147887 */   GIR_EraseRootFromParent_Done,
     /* 147888 */ // Label 2280: @147888
     /* 147888 */ GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(147958), // Rule ID 6527 //
     /* 147893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 147896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147899 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147906 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 147911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147915 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147919 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 147926 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (BUFFER_LOAD_SSHORT_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 147926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFSET),
     /* 147929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 147931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 147936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 147941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 147946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 147956 */   GIR_RootConstrainSelectedInstOperands,
     /* 147957 */   // GIR_Coverage, 6527,
     /* 147957 */   GIR_EraseRootFromParent_Done,
     /* 147958 */ // Label 2281: @147958
     /* 147958 */ GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(148028), // Rule ID 6529 //
     /* 147963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 147966 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147969 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 147976 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 147981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 147985 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 147989 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 147996 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 147996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFSET),
     /* 147999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148001 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 148011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 148016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148026 */   GIR_RootConstrainSelectedInstOperands,
     /* 148027 */   // GIR_Coverage, 6529,
     /* 148027 */   GIR_EraseRootFromParent_Done,
     /* 148028 */ // Label 2282: @148028
     /* 148028 */ GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(148095), // Rule ID 4248 //
     /* 148033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 148036 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148039 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148046 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148055 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148059 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 148066 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 148066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SVS),
     /* 148069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 148076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 148081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 148086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148089 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148093 */   GIR_RootConstrainSelectedInstOperands,
     /* 148094 */   // GIR_Coverage, 4248,
     /* 148094 */   GIR_EraseRootFromParent_Done,
     /* 148095 */ // Label 2283: @148095
     /* 148095 */ GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(148162), // Rule ID 4257 //
     /* 148100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 148103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148106 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148113 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148122 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148126 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 148133 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (SCRATCH_LOAD_SSHORT_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 148133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SSHORT_SVS),
     /* 148136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 148143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 148148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 148153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148156 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148160 */   GIR_RootConstrainSelectedInstOperands,
     /* 148161 */   // GIR_Coverage, 4257,
     /* 148161 */   GIR_EraseRootFromParent_Done,
     /* 148162 */ // Label 2284: @148162
     /* 148162 */ GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(148224), // Rule ID 4247 //
     /* 148167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 148170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148173 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148180 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148193 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 148200 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 148200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE_SADDR),
     /* 148203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 148210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 148215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148222 */   GIR_RootConstrainSelectedInstOperands,
     /* 148223 */   // GIR_Coverage, 4247,
     /* 148223 */   GIR_EraseRootFromParent_Done,
     /* 148224 */ // Label 2285: @148224
     /* 148224 */ GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(148286), // Rule ID 4256 //
     /* 148229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 148232 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148235 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148242 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148255 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 148262 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (SCRATCH_LOAD_SSHORT_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 148262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SSHORT_SADDR),
     /* 148265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 148272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 148277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148284 */   GIR_RootConstrainSelectedInstOperands,
     /* 148285 */   // GIR_Coverage, 4256,
     /* 148285 */   GIR_EraseRootFromParent_Done,
     /* 148286 */ // Label 2286: @148286
     /* 148286 */ GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(148348), // Rule ID 4246 //
     /* 148291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 148294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148297 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148304 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148317 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 148324 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (SCRATCH_LOAD_SBYTE:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 148324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SBYTE),
     /* 148327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 148334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 148339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148342 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148346 */   GIR_RootConstrainSelectedInstOperands,
     /* 148347 */   // GIR_Coverage, 4246,
     /* 148347 */   GIR_EraseRootFromParent_Done,
     /* 148348 */ // Label 2287: @148348
     /* 148348 */ GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(148410), // Rule ID 4255 //
     /* 148353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 148356 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148359 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148366 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 148371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148375 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148379 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 148386 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (SCRATCH_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 148386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_SSHORT),
     /* 148389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 148391 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 148396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 148401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148404 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148408 */   GIR_RootConstrainSelectedInstOperands,
     /* 148409 */   // GIR_Coverage, 4255,
     /* 148409 */   GIR_EraseRootFromParent_Done,
     /* 148410 */ // Label 2288: @148410
     /* 148410 */ GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(148487), // Rule ID 4531 //
     /* 148415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 148418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148421 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148428 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148439 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148443 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148450 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_ADDR64),
     /* 148453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148465 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148470 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148481 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148485 */   GIR_RootConstrainSelectedInstOperands,
     /* 148486 */   // GIR_Coverage, 4531,
     /* 148486 */   GIR_EraseRootFromParent_Done,
     /* 148487 */ // Label 2289: @148487
     /* 148487 */ GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(148561), // Rule ID 4533 //
     /* 148492 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148495 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148502 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148513 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148517 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148524 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_ADDR64),
     /* 148527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148529 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148559 */   GIR_RootConstrainSelectedInstOperands,
     /* 148560 */   // GIR_Coverage, 4533,
     /* 148560 */   GIR_EraseRootFromParent_Done,
     /* 148561 */ // Label 2290: @148561
     /* 148561 */ GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(148638), // Rule ID 4535 //
     /* 148566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 148569 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148572 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148579 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148601 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (BUFFER_LOAD_SBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_ADDR64),
     /* 148604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148621 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148636 */   GIR_RootConstrainSelectedInstOperands,
     /* 148637 */   // GIR_Coverage, 4535,
     /* 148637 */   GIR_EraseRootFromParent_Done,
     /* 148638 */ // Label 2291: @148638
     /* 148638 */ GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(148712), // Rule ID 4537 //
     /* 148643 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148646 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 148653 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148675 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_ADDR64),
     /* 148678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148710 */   GIR_RootConstrainSelectedInstOperands,
     /* 148711 */   // GIR_Coverage, 4537,
     /* 148711 */   GIR_EraseRootFromParent_Done,
     /* 148712 */ // Label 2292: @148712
     /* 148712 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(148789), // Rule ID 4539 //
     /* 148717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 148720 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148723 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148730 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148745 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148752 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_ADDR64),
     /* 148755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148757 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148767 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148783 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148787 */   GIR_RootConstrainSelectedInstOperands,
     /* 148788 */   // GIR_Coverage, 4539,
     /* 148788 */   GIR_EraseRootFromParent_Done,
     /* 148789 */ // Label 2293: @148789
     /* 148789 */ GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(148863), // Rule ID 4541 //
     /* 148794 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148797 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148804 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148815 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148819 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148826 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_ADDR64),
     /* 148829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148857 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148861 */   GIR_RootConstrainSelectedInstOperands,
     /* 148862 */   // GIR_Coverage, 4541,
     /* 148862 */   GIR_EraseRootFromParent_Done,
     /* 148863 */ // Label 2294: @148863
     /* 148863 */ GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(148940), // Rule ID 4551 //
     /* 148868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 148871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148874 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148881 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148892 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148896 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148903 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (BUFFER_LOAD_SSHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_ADDR64),
     /* 148906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 148928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148934 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 148938 */   GIR_RootConstrainSelectedInstOperands,
     /* 148939 */   // GIR_Coverage, 4551,
     /* 148939 */   GIR_EraseRootFromParent_Done,
     /* 148940 */ // Label 2295: @148940
     /* 148940 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(149014), // Rule ID 4553 //
     /* 148945 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148948 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 148955 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 148962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 148966 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 148970 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 148977 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 148977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_ADDR64),
     /* 148980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 148982 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 148987 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 148992 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 148997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149008 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149012 */   GIR_RootConstrainSelectedInstOperands,
     /* 149013 */   // GIR_Coverage, 4553,
     /* 149013 */   GIR_EraseRootFromParent_Done,
     /* 149014 */ // Label 2296: @149014
     /* 149014 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(149091), // Rule ID 4555 //
     /* 149019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 149022 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149025 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149032 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149043 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149047 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 149054 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SSHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_ADDR64),
     /* 149057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149064 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149085 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149089 */   GIR_RootConstrainSelectedInstOperands,
     /* 149090 */   // GIR_Coverage, 4555,
     /* 149090 */   GIR_EraseRootFromParent_Done,
     /* 149091 */ // Label 2297: @149091
     /* 149091 */ GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(149165), // Rule ID 4557 //
     /* 149096 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149099 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149106 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149117 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149121 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 149128 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_ADDR64),
     /* 149131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149133 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149159 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149163 */   GIR_RootConstrainSelectedInstOperands,
     /* 149164 */   // GIR_Coverage, 4557,
     /* 149164 */   GIR_EraseRootFromParent_Done,
     /* 149165 */ // Label 2298: @149165
     /* 149165 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(149241), // Rule ID 6478 //
     /* 149170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 149173 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149176 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149183 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149193 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149197 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 149204 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_constant>>  =>  (BUFFER_LOAD_SBYTE_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 149204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_ADDR64),
     /* 149207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149235 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149239 */   GIR_RootConstrainSelectedInstOperands,
     /* 149240 */   // GIR_Coverage, 6478,
     /* 149240 */   GIR_EraseRootFromParent_Done,
     /* 149241 */ // Label 2299: @149241
     /* 149241 */ GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(149317), // Rule ID 6481 //
     /* 149246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 149249 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149252 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149259 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149273 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 149280 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_constant>>  =>  (BUFFER_LOAD_SSHORT_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 149280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_ADDR64),
     /* 149283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149295 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149311 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149315 */   GIR_RootConstrainSelectedInstOperands,
     /* 149316 */   // GIR_Coverage, 6481,
     /* 149316 */   GIR_EraseRootFromParent_Done,
     /* 149317 */ // Label 2300: @149317
     /* 149317 */ GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(149392), // Rule ID 6500 //
     /* 149322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 149325 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149328 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149335 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 149340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149344 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149348 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 149355 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 149355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFEN),
     /* 149358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149390 */   GIR_RootConstrainSelectedInstOperands,
     /* 149391 */   // GIR_Coverage, 6500,
     /* 149391 */   GIR_EraseRootFromParent_Done,
     /* 149392 */ // Label 2301: @149392
     /* 149392 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(149467), // Rule ID 6504 //
     /* 149397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 149400 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149403 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149410 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 149415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149419 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149423 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 149430 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_private>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 149430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFEN),
     /* 149433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149445 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149450 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149465 */   GIR_RootConstrainSelectedInstOperands,
     /* 149466 */   // GIR_Coverage, 6504,
     /* 149466 */   GIR_EraseRootFromParent_Done,
     /* 149467 */ // Label 2302: @149467
     /* 149467 */ GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(149542), // Rule ID 6526 //
     /* 149472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 149475 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149478 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149485 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 149490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149494 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149498 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 149505 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (BUFFER_LOAD_SSHORT_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 149505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFEN),
     /* 149508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149510 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149536 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149540 */   GIR_RootConstrainSelectedInstOperands,
     /* 149541 */   // GIR_Coverage, 6526,
     /* 149541 */   GIR_EraseRootFromParent_Done,
     /* 149542 */ // Label 2303: @149542
     /* 149542 */ GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(149617), // Rule ID 6528 //
     /* 149547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 149550 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149553 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149560 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 149565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149569 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149573 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 149580 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_private>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 149580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFEN),
     /* 149583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149585 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 149590 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 149600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 149605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149615 */   GIR_RootConstrainSelectedInstOperands,
     /* 149616 */   // GIR_Coverage, 6528,
     /* 149616 */   GIR_EraseRootFromParent_Done,
     /* 149617 */ // Label 2304: @149617
     /* 149617 */ GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(149689), // Rule ID 4530 //
     /* 149622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 149625 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149635 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149650 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 149657 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 149660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 149672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 149677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149683 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149687 */   GIR_RootConstrainSelectedInstOperands,
     /* 149688 */   // GIR_Coverage, 4530,
     /* 149688 */   GIR_EraseRootFromParent_Done,
     /* 149689 */ // Label 2305: @149689
     /* 149689 */ GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(149758), // Rule ID 4532 //
     /* 149694 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149697 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149704 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 149726 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 149729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 149741 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 149746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149752 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149756 */   GIR_RootConstrainSelectedInstOperands,
     /* 149757 */   // GIR_Coverage, 4532,
     /* 149757 */   GIR_EraseRootFromParent_Done,
     /* 149758 */ // Label 2306: @149758
     /* 149758 */ GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(149830), // Rule ID 4534 //
     /* 149763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 149766 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149769 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149776 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149787 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149791 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 149798 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 149801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 149813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 149818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149828 */   GIR_RootConstrainSelectedInstOperands,
     /* 149829 */   // GIR_Coverage, 4534,
     /* 149829 */   GIR_EraseRootFromParent_Done,
     /* 149830 */ // Label 2307: @149830
     /* 149830 */ GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(149899), // Rule ID 4536 //
     /* 149835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 149845 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 149867 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 149870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 149882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 149887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149893 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149897 */   GIR_RootConstrainSelectedInstOperands,
     /* 149898 */   // GIR_Coverage, 4536,
     /* 149898 */   GIR_EraseRootFromParent_Done,
     /* 149899 */ // Label 2308: @149899
     /* 149899 */ GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(149971), // Rule ID 4538 //
     /* 149904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 149907 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149910 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149917 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 149932 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 149939 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 149939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 149942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 149944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 149949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 149954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 149959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 149965 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 149969 */   GIR_RootConstrainSelectedInstOperands,
     /* 149970 */   // GIR_Coverage, 4538,
     /* 149970 */   GIR_EraseRootFromParent_Done,
     /* 149971 */ // Label 2309: @149971
     /* 149971 */ GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(150040), // Rule ID 4540 //
     /* 149976 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 149986 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 149993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 149997 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150001 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 150008 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 150008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 150011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 150013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 150018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 150023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 150028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150034 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150038 */   GIR_RootConstrainSelectedInstOperands,
     /* 150039 */   // GIR_Coverage, 4540,
     /* 150039 */   GIR_EraseRootFromParent_Done,
     /* 150040 */ // Label 2310: @150040
     /* 150040 */ GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(150112), // Rule ID 4550 //
     /* 150045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 150048 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150051 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150058 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 150065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150069 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150073 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 150080 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (BUFFER_LOAD_SSHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 150080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFSET),
     /* 150083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 150085 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 150090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 150095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 150100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150106 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150110 */   GIR_RootConstrainSelectedInstOperands,
     /* 150111 */   // GIR_Coverage, 4550,
     /* 150111 */   GIR_EraseRootFromParent_Done,
     /* 150112 */ // Label 2311: @150112
     /* 150112 */ GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(150181), // Rule ID 4552 //
     /* 150117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150120 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150127 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 150134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150138 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150142 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 150149 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 150149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFSET),
     /* 150152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 150154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 150159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 150164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 150169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150175 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150179 */   GIR_RootConstrainSelectedInstOperands,
     /* 150180 */   // GIR_Coverage, 4552,
     /* 150180 */   GIR_EraseRootFromParent_Done,
     /* 150181 */ // Label 2312: @150181
     /* 150181 */ GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(150253), // Rule ID 4554 //
     /* 150186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 150189 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150192 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150199 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 150206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 150221 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SSHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 150221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFSET),
     /* 150224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 150226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 150231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 150236 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 150241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150247 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150251 */   GIR_RootConstrainSelectedInstOperands,
     /* 150252 */   // GIR_Coverage, 4554,
     /* 150252 */   GIR_EraseRootFromParent_Done,
     /* 150253 */ // Label 2313: @150253
     /* 150253 */ GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(150322), // Rule ID 4556 //
     /* 150258 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150261 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150268 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 150275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150279 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150283 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 150290 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 150290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFSET),
     /* 150293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 150295 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 150300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 150305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 150310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150320 */   GIR_RootConstrainSelectedInstOperands,
     /* 150321 */   // GIR_Coverage, 4556,
     /* 150321 */   GIR_EraseRootFromParent_Done,
     /* 150322 */ // Label 2314: @150322
     /* 150322 */ GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(150384), // Rule ID 7996 //
     /* 150327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 150330 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 150340 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150360 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_sextload_glue>><<P:Predicate_sextloadi8_glue>><<P:Predicate_sextloadi8_local_m0>>  =>  (DS_READ_I8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8),
     /* 150363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150378 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150382 */   GIR_RootConstrainSelectedInstOperands,
     /* 150383 */   // GIR_Coverage, 7996,
     /* 150383 */   GIR_EraseRootFromParent_Done,
     /* 150384 */ // Label 2315: @150384
     /* 150384 */ GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(150446), // Rule ID 7997 //
     /* 150389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 150392 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150395 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 150402 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150411 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150415 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150422 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 150425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150444 */   GIR_RootConstrainSelectedInstOperands,
     /* 150445 */   // GIR_Coverage, 7997,
     /* 150445 */   GIR_EraseRootFromParent_Done,
     /* 150446 */ // Label 2316: @150446
     /* 150446 */ GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(150508), // Rule ID 8005 //
     /* 150451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 150454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150457 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150464 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150484 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_sextload_glue>><<P:Predicate_sextloadi16_glue>><<P:Predicate_sextloadi16_local_m0>>  =>  (DS_READ_I16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16),
     /* 150487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150506 */   GIR_RootConstrainSelectedInstOperands,
     /* 150507 */   // GIR_Coverage, 8005,
     /* 150507 */   GIR_EraseRootFromParent_Done,
     /* 150508 */ // Label 2317: @150508
     /* 150508 */ GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(150570), // Rule ID 8006 //
     /* 150513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 150516 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150519 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150526 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150539 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150546 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_local>>  =>  (DS_READ_I16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16_gfx9),
     /* 150549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150568 */   GIR_RootConstrainSelectedInstOperands,
     /* 150569 */   // GIR_Coverage, 8006,
     /* 150569 */   GIR_EraseRootFromParent_Done,
     /* 150570 */ // Label 2318: @150570
     /* 150570 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(150632), // Rule ID 8007 //
     /* 150575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 150578 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150581 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150588 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150597 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150608 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_sextload_glue>><<P:Predicate_sextloadi16_glue>><<P:Predicate_sextloadi16_local_m0>>  =>  (DS_READ_I16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16),
     /* 150611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150626 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150630 */   GIR_RootConstrainSelectedInstOperands,
     /* 150631 */   // GIR_Coverage, 8007,
     /* 150631 */   GIR_EraseRootFromParent_Done,
     /* 150632 */ // Label 2319: @150632
     /* 150632 */ GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(150694), // Rule ID 8008 //
     /* 150637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 150640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150643 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150650 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150659 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150663 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150670 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_local>>  =>  (DS_READ_I16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16_gfx9),
     /* 150673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150688 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150692 */   GIR_RootConstrainSelectedInstOperands,
     /* 150693 */   // GIR_Coverage, 8008,
     /* 150693 */   GIR_EraseRootFromParent_Done,
     /* 150694 */ // Label 2320: @150694
     /* 150694 */ GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(150756), // Rule ID 8058 //
     /* 150699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 150702 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 150712 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150721 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150725 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150732 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext_glue>><<P:Predicate_atomic_load_sext_8_glue>><<P:Predicate_atomic_load_sext_8_local_m0>>  =>  (DS_READ_I8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8),
     /* 150735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150737 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150742 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150750 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150754 */   GIR_RootConstrainSelectedInstOperands,
     /* 150755 */   // GIR_Coverage, 8058,
     /* 150755 */   GIR_EraseRootFromParent_Done,
     /* 150756 */ // Label 2321: @150756
     /* 150756 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(150818), // Rule ID 8059 //
     /* 150761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 150764 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150767 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 150774 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150783 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150787 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150794 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_local>>  =>  (DS_READ_I8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I8_gfx9),
     /* 150797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150812 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150816 */   GIR_RootConstrainSelectedInstOperands,
     /* 150817 */   // GIR_Coverage, 8059,
     /* 150817 */   GIR_EraseRootFromParent_Done,
     /* 150818 */ // Label 2322: @150818
     /* 150818 */ GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(150880), // Rule ID 8068 //
     /* 150823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 150826 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150829 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150836 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150849 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150856 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext_glue>><<P:Predicate_atomic_load_sext_16_glue>><<P:Predicate_atomic_load_sext_16_local_m0>>  =>  (DS_READ_I16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16),
     /* 150859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150861 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150878 */   GIR_RootConstrainSelectedInstOperands,
     /* 150879 */   // GIR_Coverage, 8068,
     /* 150879 */   GIR_EraseRootFromParent_Done,
     /* 150880 */ // Label 2323: @150880
     /* 150880 */ GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(150942), // Rule ID 8069 //
     /* 150885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 150888 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150891 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 150898 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 150903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 150918 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_local>>  =>  (DS_READ_I16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 150918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_I16_gfx9),
     /* 150921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 150928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 150933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 150936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 150940 */   GIR_RootConstrainSelectedInstOperands,
     /* 150941 */   // GIR_Coverage, 8069,
     /* 150941 */   GIR_EraseRootFromParent_Done,
     /* 150942 */ // Label 2324: @150942
     /* 150942 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(151011), // Rule ID 3838 //
     /* 150947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 150950 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 150953 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 150960 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 150967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 150971 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 150975 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 150982 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 150982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 150985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 150987 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 150992 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 150997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151005 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151009 */   GIR_RootConstrainSelectedInstOperands,
     /* 151010 */   // GIR_Coverage, 3838,
     /* 151010 */   GIR_EraseRootFromParent_Done,
     /* 151011 */ // Label 2325: @151011
     /* 151011 */ GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(151080), // Rule ID 3844 //
     /* 151016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 151019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151022 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151029 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151040 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151044 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 151051 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 151051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE_SADDR),
     /* 151054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 151061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 151066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151074 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151078 */   GIR_RootConstrainSelectedInstOperands,
     /* 151079 */   // GIR_Coverage, 3844,
     /* 151079 */   GIR_EraseRootFromParent_Done,
     /* 151080 */ // Label 2326: @151080
     /* 151080 */ GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(151149), // Rule ID 3850 //
     /* 151085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 151088 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151091 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151098 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 151120 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (GLOBAL_LOAD_SSHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 151120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT_SADDR),
     /* 151123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 151130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 151135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151143 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151147 */   GIR_RootConstrainSelectedInstOperands,
     /* 151148 */   // GIR_Coverage, 3850,
     /* 151148 */   GIR_EraseRootFromParent_Done,
     /* 151149 */ // Label 2327: @151149
     /* 151149 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(151218), // Rule ID 3858 //
     /* 151154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 151157 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151160 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151167 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151178 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151182 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 151189 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (GLOBAL_LOAD_SSHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 151189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT_SADDR),
     /* 151192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 151199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 151204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151212 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151216 */   GIR_RootConstrainSelectedInstOperands,
     /* 151217 */   // GIR_Coverage, 3858,
     /* 151217 */   GIR_EraseRootFromParent_Done,
     /* 151218 */ // Label 2328: @151218
     /* 151218 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(151287), // Rule ID 3880 //
     /* 151223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 151226 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151229 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151236 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151247 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151251 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 151258 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (GLOBAL_LOAD_SSHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 151258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT_SADDR),
     /* 151261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 151268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 151273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151281 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151285 */   GIR_RootConstrainSelectedInstOperands,
     /* 151286 */   // GIR_Coverage, 3880,
     /* 151286 */   GIR_EraseRootFromParent_Done,
     /* 151287 */ // Label 2329: @151287
     /* 151287 */ GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(151351), // Rule ID 3837 //
     /* 151292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 151295 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151298 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151305 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151320 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 151327 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 151330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151349 */   GIR_RootConstrainSelectedInstOperands,
     /* 151350 */   // GIR_Coverage, 3837,
     /* 151350 */   GIR_EraseRootFromParent_Done,
     /* 151351 */ // Label 2330: @151351
     /* 151351 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(151415), // Rule ID 3843 //
     /* 151356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 151359 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151362 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151369 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 151391 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_global>>  =>  (GLOBAL_LOAD_SBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SBYTE),
     /* 151394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151413 */   GIR_RootConstrainSelectedInstOperands,
     /* 151414 */   // GIR_Coverage, 3843,
     /* 151414 */   GIR_EraseRootFromParent_Done,
     /* 151415 */ // Label 2331: @151415
     /* 151415 */ GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(151479), // Rule ID 3849 //
     /* 151420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 151423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151426 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151433 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151444 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151448 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 151455 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_global>>  =>  (GLOBAL_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT),
     /* 151458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151465 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151473 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151477 */   GIR_RootConstrainSelectedInstOperands,
     /* 151478 */   // GIR_Coverage, 3849,
     /* 151478 */   GIR_EraseRootFromParent_Done,
     /* 151479 */ // Label 2332: @151479
     /* 151479 */ GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(151543), // Rule ID 3857 //
     /* 151484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 151487 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151490 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151497 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151508 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151512 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 151519 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (GLOBAL_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT),
     /* 151522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151529 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151541 */   GIR_RootConstrainSelectedInstOperands,
     /* 151542 */   // GIR_Coverage, 3857,
     /* 151542 */   GIR_EraseRootFromParent_Done,
     /* 151543 */ // Label 2333: @151543
     /* 151543 */ GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(151607), // Rule ID 3879 //
     /* 151548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 151551 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151554 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151561 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151576 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 151583 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_global>>  =>  (GLOBAL_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SSHORT),
     /* 151586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151605 */   GIR_RootConstrainSelectedInstOperands,
     /* 151606 */   // GIR_Coverage, 3879,
     /* 151606 */   GIR_EraseRootFromParent_Done,
     /* 151607 */ // Label 2334: @151607
     /* 151607 */ GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(151672), // Rule ID 3599 //
     /* 151612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 151615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151618 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151625 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151637 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151641 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 151648 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>><<P:Predicate_sextloadi8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 151651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151666 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151670 */   GIR_RootConstrainSelectedInstOperands,
     /* 151671 */   // GIR_Coverage, 3599,
     /* 151671 */   GIR_EraseRootFromParent_Done,
     /* 151672 */ // Label 2335: @151672
     /* 151672 */ GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(151737), // Rule ID 3600 //
     /* 151677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 151680 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151683 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151690 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151706 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 151713 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_atomic_load_sext_8_flat>>  =>  (FLAT_LOAD_SBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SBYTE),
     /* 151716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151735 */   GIR_RootConstrainSelectedInstOperands,
     /* 151736 */   // GIR_Coverage, 3600,
     /* 151736 */   GIR_EraseRootFromParent_Done,
     /* 151737 */ // Label 2336: @151737
     /* 151737 */ GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(151802), // Rule ID 3603 //
     /* 151742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 151745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151748 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151755 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151767 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 151778 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>><<P:Predicate_sextloadi16_flat>>  =>  (FLAT_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SSHORT),
     /* 151781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151796 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151800 */   GIR_RootConstrainSelectedInstOperands,
     /* 151801 */   // GIR_Coverage, 3603,
     /* 151801 */   GIR_EraseRootFromParent_Done,
     /* 151802 */ // Label 2337: @151802
     /* 151802 */ GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(151867), // Rule ID 3604 //
     /* 151807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 151810 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 151813 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 151820 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 151828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 151843 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_atomic_load_sext_16_flat>>  =>  (FLAT_LOAD_SSHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 151843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_SSHORT),
     /* 151846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 151848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 151853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 151858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151865 */   GIR_RootConstrainSelectedInstOperands,
     /* 151866 */   // GIR_Coverage, 3604,
     /* 151866 */   GIR_EraseRootFromParent_Done,
     /* 151867 */ // Label 2338: @151867
     /* 151867 */ GIM_Reject,
     /* 151868 */ // Label 2227: @151868
     /* 151868 */ GIM_Reject,
     /* 151869 */ // Label 16: @151869
     /* 151869 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 2341*/ GIMT_Encode4(159738),
     /* 151880 */ /*GILLT_s16*//*Label 2339*/ GIMT_Encode4(151888),
     /* 151884 */ /*GILLT_s32*//*Label 2340*/ GIMT_Encode4(155413),
     /* 151888 */ // Label 2339: @151888
     /* 151888 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(151958), // Rule ID 6523 //
     /* 151893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 151896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151899 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151906 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 151911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151915 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151919 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 151926 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 151926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 151929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 151931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 151936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 151941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 151946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 151952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 151956 */   GIR_RootConstrainSelectedInstOperands,
     /* 151957 */   // GIR_Coverage, 6523,
     /* 151957 */   GIR_EraseRootFromParent_Done,
     /* 151958 */ // Label 2342: @151958
     /* 151958 */ GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(152028), // Rule ID 6525 //
     /* 151963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 151966 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151969 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 151976 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 151981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 151985 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 151989 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 151996 */   // (ld:{ *:[i16] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 151996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 151999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152001 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 152011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 152016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152026 */   GIR_RootConstrainSelectedInstOperands,
     /* 152027 */   // GIR_Coverage, 6525,
     /* 152027 */   GIR_EraseRootFromParent_Done,
     /* 152028 */ // Label 2343: @152028
     /* 152028 */ GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(152095), // Rule ID 4263 //
     /* 152033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /* 152036 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152039 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152046 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152055 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152059 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 152066 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 152066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /* 152069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 152081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 152086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152089 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152093 */   GIR_RootConstrainSelectedInstOperands,
     /* 152094 */   // GIR_Coverage, 4263,
     /* 152094 */   GIR_EraseRootFromParent_Done,
     /* 152095 */ // Label 2344: @152095
     /* 152095 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(152162), // Rule ID 4278 //
     /* 152100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /* 152103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152106 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152113 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152122 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152126 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 152133 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 152133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /* 152136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 152148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 152153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152156 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152160 */   GIR_RootConstrainSelectedInstOperands,
     /* 152161 */   // GIR_Coverage, 4278,
     /* 152161 */   GIR_EraseRootFromParent_Done,
     /* 152162 */ // Label 2345: @152162
     /* 152162 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(152229), // Rule ID 4293 //
     /* 152167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /* 152170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152173 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152180 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 152189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152193 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 152200 */   // (ld:{ *:[i16] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_SVS_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 152200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_SVS_t16),
     /* 152203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 152215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 152220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152223 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152227 */   GIR_RootConstrainSelectedInstOperands,
     /* 152228 */   // GIR_Coverage, 4293,
     /* 152228 */   GIR_EraseRootFromParent_Done,
     /* 152229 */ // Label 2346: @152229
     /* 152229 */ GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(152291), // Rule ID 4262 //
     /* 152234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 152237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152247 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152256 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152260 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 152267 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 152267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /* 152270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 152277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152285 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152289 */   GIR_RootConstrainSelectedInstOperands,
     /* 152290 */   // GIR_Coverage, 4262,
     /* 152290 */   GIR_EraseRootFromParent_Done,
     /* 152291 */ // Label 2347: @152291
     /* 152291 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(152353), // Rule ID 4277 //
     /* 152296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 152299 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152302 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152309 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152318 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152322 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 152329 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 152329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /* 152332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 152339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152347 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152351 */   GIR_RootConstrainSelectedInstOperands,
     /* 152352 */   // GIR_Coverage, 4277,
     /* 152352 */   GIR_EraseRootFromParent_Done,
     /* 152353 */ // Label 2348: @152353
     /* 152353 */ GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(152415), // Rule ID 4292 //
     /* 152358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 152361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152364 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152371 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 152380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 152391 */   // (ld:{ *:[i16] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 152391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_SADDR_t16),
     /* 152394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 152401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152413 */   GIR_RootConstrainSelectedInstOperands,
     /* 152414 */   // GIR_Coverage, 4292,
     /* 152414 */   GIR_EraseRootFromParent_Done,
     /* 152415 */ // Label 2349: @152415
     /* 152415 */ GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(152477), // Rule ID 4261 //
     /* 152420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 152423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152426 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152433 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 152453 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 152453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /* 152456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152471 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152475 */   GIR_RootConstrainSelectedInstOperands,
     /* 152476 */   // GIR_Coverage, 4261,
     /* 152476 */   GIR_EraseRootFromParent_Done,
     /* 152477 */ // Label 2350: @152477
     /* 152477 */ GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(152539), // Rule ID 4276 //
     /* 152482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 152485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152495 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152504 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152508 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 152515 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 152515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /* 152518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152537 */   GIR_RootConstrainSelectedInstOperands,
     /* 152538 */   // GIR_Coverage, 4276,
     /* 152538 */   GIR_EraseRootFromParent_Done,
     /* 152539 */ // Label 2351: @152539
     /* 152539 */ GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(152601), // Rule ID 4291 //
     /* 152544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 152547 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152550 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152557 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 152566 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152570 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 152577 */   // (ld:{ *:[i16] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 152577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_D16_t16),
     /* 152580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 152582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 152587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 152592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152595 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152599 */   GIR_RootConstrainSelectedInstOperands,
     /* 152600 */   // GIR_Coverage, 4291,
     /* 152600 */   GIR_EraseRootFromParent_Done,
     /* 152601 */ // Label 2352: @152601
     /* 152601 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(152678), // Rule ID 4515 //
     /* 152606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 152609 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152619 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 152626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152630 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152634 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 152641 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 152641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /* 152644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152646 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 152651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 152661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 152666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152672 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152676 */   GIR_RootConstrainSelectedInstOperands,
     /* 152677 */   // GIR_Coverage, 4515,
     /* 152677 */   GIR_EraseRootFromParent_Done,
     /* 152678 */ // Label 2353: @152678
     /* 152678 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(152752), // Rule ID 4517 //
     /* 152683 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152686 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152693 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 152700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152704 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152708 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 152715 */   // (atomic_load:{ *:[i16] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i16] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 152715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /* 152718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152720 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 152725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 152735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 152740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152750 */   GIR_RootConstrainSelectedInstOperands,
     /* 152751 */   // GIR_Coverage, 4517,
     /* 152751 */   GIR_EraseRootFromParent_Done,
     /* 152752 */ // Label 2354: @152752
     /* 152752 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(152827), // Rule ID 6522 //
     /* 152757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 152760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152763 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152770 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152779 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152783 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 152790 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 152790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFEN),
     /* 152793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 152800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 152810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 152815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152825 */   GIR_RootConstrainSelectedInstOperands,
     /* 152826 */   // GIR_Coverage, 6522,
     /* 152826 */   GIR_EraseRootFromParent_Done,
     /* 152827 */ // Label 2355: @152827
     /* 152827 */ GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(152902), // Rule ID 6524 //
     /* 152832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 152835 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152845 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 152850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152854 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152858 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 152865 */   // (ld:{ *:[i16] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFEN:{ *:[i16] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 152865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFEN),
     /* 152868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152870 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 152875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 152885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 152890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152896 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152900 */   GIR_RootConstrainSelectedInstOperands,
     /* 152901 */   // GIR_Coverage, 6524,
     /* 152901 */   GIR_EraseRootFromParent_Done,
     /* 152902 */ // Label 2356: @152902
     /* 152902 */ GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(152974), // Rule ID 4514 //
     /* 152907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 152910 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152913 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152920 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 152927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 152931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 152935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 152942 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 152942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 152945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 152947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 152952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 152957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 152962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 152968 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 152972 */   GIR_RootConstrainSelectedInstOperands,
     /* 152973 */   // GIR_Coverage, 4514,
     /* 152973 */   GIR_EraseRootFromParent_Done,
     /* 152974 */ // Label 2357: @152974
     /* 152974 */ GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(153043), // Rule ID 4516 //
     /* 152979 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152982 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 152989 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 152996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153000 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153004 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 153011 */   // (atomic_load:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 153011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 153014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 153016 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 153021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 153026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153041 */   GIR_RootConstrainSelectedInstOperands,
     /* 153042 */   // GIR_Coverage, 4516,
     /* 153042 */   GIR_EraseRootFromParent_Done,
     /* 153043 */ // Label 2358: @153043
     /* 153043 */ GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(153114), // Rule ID 6490 //
     /* 153048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 153051 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153054 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153061 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 153082 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 153082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 153085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 153087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 153092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 153097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153108 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153112 */   GIR_RootConstrainSelectedInstOperands,
     /* 153113 */   // GIR_Coverage, 6490,
     /* 153113 */   GIR_EraseRootFromParent_Done,
     /* 153114 */ // Label 2359: @153114
     /* 153114 */ GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(153185), // Rule ID 6491 //
     /* 153119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 153122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153125 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153132 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153142 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 153153 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 153153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 153156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 153158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 153163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 153168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153179 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153183 */   GIR_RootConstrainSelectedInstOperands,
     /* 153184 */   // GIR_Coverage, 6491,
     /* 153184 */   GIR_EraseRootFromParent_Done,
     /* 153185 */ // Label 2360: @153185
     /* 153185 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(153257), // Rule ID 6496 //
     /* 153190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 153193 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153196 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153203 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153214 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153218 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 153225 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 153225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 153228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 153230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 153235 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 153240 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153251 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153255 */   GIR_RootConstrainSelectedInstOperands,
     /* 153256 */   // GIR_Coverage, 6496,
     /* 153256 */   GIR_EraseRootFromParent_Done,
     /* 153257 */ // Label 2361: @153257
     /* 153257 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(153329), // Rule ID 6497 //
     /* 153262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 153265 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153268 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153275 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153286 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153290 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 153297 */   // (ld:{ *:[i16] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i16] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 153297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 153300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 153302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 153307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 153312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153323 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153327 */   GIR_RootConstrainSelectedInstOperands,
     /* 153328 */   // GIR_Coverage, 6497,
     /* 153328 */   GIR_EraseRootFromParent_Done,
     /* 153329 */ // Label 2362: @153329
     /* 153329 */ GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(153391), // Rule ID 8018 //
     /* 153334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 153337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153340 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153347 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153356 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153360 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153367 */   // (AMDGPUld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_zextload_glue>><<P:Predicate_zextloadi8_glue>><<P:Predicate_zextloadi8_local_m0>>  =>  (DS_READ_U8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 153370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153385 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153389 */   GIR_RootConstrainSelectedInstOperands,
     /* 153390 */   // GIR_Coverage, 8018,
     /* 153390 */   GIR_EraseRootFromParent_Done,
     /* 153391 */ // Label 2363: @153391
     /* 153391 */ GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(153453), // Rule ID 8019 //
     /* 153396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 153399 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153402 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153409 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153418 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153422 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153429 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 153432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153434 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153447 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153451 */   GIR_RootConstrainSelectedInstOperands,
     /* 153452 */   // GIR_Coverage, 8019,
     /* 153452 */   GIR_EraseRootFromParent_Done,
     /* 153453 */ // Label 2364: @153453
     /* 153453 */ GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(153515), // Rule ID 8020 //
     /* 153458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 153461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153464 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153471 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153480 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153484 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153491 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 153494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153496 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153509 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153513 */   GIR_RootConstrainSelectedInstOperands,
     /* 153514 */   // GIR_Coverage, 8020,
     /* 153514 */   GIR_EraseRootFromParent_Done,
     /* 153515 */ // Label 2365: @153515
     /* 153515 */ GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(153577), // Rule ID 8021 //
     /* 153520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 153523 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153526 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153533 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 153542 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153546 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153553 */   // (ld:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_local>>  =>  (DS_READ_U8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_t16),
     /* 153556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153571 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153575 */   GIR_RootConstrainSelectedInstOperands,
     /* 153576 */   // GIR_Coverage, 8021,
     /* 153576 */   GIR_EraseRootFromParent_Done,
     /* 153577 */ // Label 2366: @153577
     /* 153577 */ GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(153639), // Rule ID 8048 //
     /* 153582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 153585 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153588 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153595 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153604 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153615 */   // (AMDGPUatomic_ld_glue:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext_glue>><<P:Predicate_atomic_load_zext_8_glue>><<P:Predicate_atomic_load_zext_8_local_m0>>  =>  (DS_READ_U8:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 153618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153637 */   GIR_RootConstrainSelectedInstOperands,
     /* 153638 */   // GIR_Coverage, 8048,
     /* 153638 */   GIR_EraseRootFromParent_Done,
     /* 153639 */ // Label 2367: @153639
     /* 153639 */ GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(153701), // Rule ID 8049 //
     /* 153644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 153647 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153650 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153657 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153666 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153670 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153677 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 153680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153695 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153699 */   GIR_RootConstrainSelectedInstOperands,
     /* 153700 */   // GIR_Coverage, 8049,
     /* 153700 */   GIR_EraseRootFromParent_Done,
     /* 153701 */ // Label 2368: @153701
     /* 153701 */ GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(153763), // Rule ID 8050 //
     /* 153706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 153709 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153712 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153719 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153739 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 153742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153761 */   GIR_RootConstrainSelectedInstOperands,
     /* 153762 */   // GIR_Coverage, 8050,
     /* 153762 */   GIR_EraseRootFromParent_Done,
     /* 153763 */ // Label 2369: @153763
     /* 153763 */ GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(153825), // Rule ID 8051 //
     /* 153768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 153771 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153774 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153781 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 153786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 153790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153794 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 153801 */   // (atomic_load:{ *:[i16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_local>>  =>  (DS_READ_U8_t16:{ *:[i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 153801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_t16),
     /* 153804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 153811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 153816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153823 */   GIR_RootConstrainSelectedInstOperands,
     /* 153824 */   // GIR_Coverage, 8051,
     /* 153824 */   GIR_EraseRootFromParent_Done,
     /* 153825 */ // Label 2370: @153825
     /* 153825 */ GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(153894), // Rule ID 3854 //
     /* 153830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 153833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153836 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153843 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153854 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153858 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 153865 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 153865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 153868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153870 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 153875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 153880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153892 */   GIR_RootConstrainSelectedInstOperands,
     /* 153893 */   // GIR_Coverage, 3854,
     /* 153893 */   GIR_EraseRootFromParent_Done,
     /* 153894 */ // Label 2371: @153894
     /* 153894 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(153963), // Rule ID 3866 //
     /* 153899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 153902 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 153912 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 153934 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 153934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 153937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 153939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 153944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 153949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 153954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 153957 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 153961 */   GIR_RootConstrainSelectedInstOperands,
     /* 153962 */   // GIR_Coverage, 3866,
     /* 153962 */   GIR_EraseRootFromParent_Done,
     /* 153963 */ // Label 2372: @153963
     /* 153963 */ GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(154032), // Rule ID 3872 //
     /* 153968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 153971 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153974 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 153981 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 153988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 153992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 153996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154003 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 154006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154030 */   GIR_RootConstrainSelectedInstOperands,
     /* 154031 */   // GIR_Coverage, 3872,
     /* 154031 */   GIR_EraseRootFromParent_Done,
     /* 154032 */ // Label 2373: @154032
     /* 154032 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(154101), // Rule ID 3876 //
     /* 154037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154043 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154050 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154072 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 154075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154095 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154099 */   GIR_RootConstrainSelectedInstOperands,
     /* 154100 */   // GIR_Coverage, 3876,
     /* 154100 */   GIR_EraseRootFromParent_Done,
     /* 154101 */ // Label 2374: @154101
     /* 154101 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(154170), // Rule ID 3888 //
     /* 154106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154109 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154112 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154119 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154141 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 154144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154164 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154168 */   GIR_RootConstrainSelectedInstOperands,
     /* 154169 */   // GIR_Coverage, 3888,
     /* 154169 */   GIR_EraseRootFromParent_Done,
     /* 154170 */ // Label 2375: @154170
     /* 154170 */ GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(154239), // Rule ID 3894 //
     /* 154175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154178 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 154188 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154199 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154203 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154210 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 154213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154233 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154237 */   GIR_RootConstrainSelectedInstOperands,
     /* 154238 */   // GIR_Coverage, 3894,
     /* 154238 */   GIR_EraseRootFromParent_Done,
     /* 154239 */ // Label 2376: @154239
     /* 154239 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(154308), // Rule ID 3896 //
     /* 154244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154247 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154250 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154257 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154272 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154279 */   // (ld:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_SADDR_t16),
     /* 154282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154302 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154306 */   GIR_RootConstrainSelectedInstOperands,
     /* 154307 */   // GIR_Coverage, 3896,
     /* 154307 */   GIR_EraseRootFromParent_Done,
     /* 154308 */ // Label 2377: @154308
     /* 154308 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(154377), // Rule ID 3904 //
     /* 154313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154316 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154319 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154326 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154341 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154348 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_SADDR_t16),
     /* 154351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154375 */   GIR_RootConstrainSelectedInstOperands,
     /* 154376 */   // GIR_Coverage, 3904,
     /* 154376 */   GIR_EraseRootFromParent_Done,
     /* 154377 */ // Label 2378: @154377
     /* 154377 */ GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(154446), // Rule ID 3910 //
     /* 154382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154385 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154388 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 154395 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154406 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154410 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 154417 */   // (atomic_load:{ *:[i16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_SHORT_D16_SADDR_t16:{ *:[i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_SADDR_t16),
     /* 154420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 154427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 154432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 154437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154444 */   GIR_RootConstrainSelectedInstOperands,
     /* 154445 */   // GIR_Coverage, 3910,
     /* 154445 */   GIR_EraseRootFromParent_Done,
     /* 154446 */ // Label 2379: @154446
     /* 154446 */ GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(154510), // Rule ID 3853 //
     /* 154451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 154454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154457 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154464 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154475 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154479 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154486 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 154489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154496 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154504 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154508 */   GIR_RootConstrainSelectedInstOperands,
     /* 154509 */   // GIR_Coverage, 3853,
     /* 154509 */   GIR_EraseRootFromParent_Done,
     /* 154510 */ // Label 2380: @154510
     /* 154510 */ GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(154574), // Rule ID 3865 //
     /* 154515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 154518 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154521 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154528 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154550 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 154553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154568 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154572 */   GIR_RootConstrainSelectedInstOperands,
     /* 154573 */   // GIR_Coverage, 3865,
     /* 154573 */   GIR_EraseRootFromParent_Done,
     /* 154574 */ // Label 2381: @154574
     /* 154574 */ GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(154638), // Rule ID 3871 //
     /* 154579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 154582 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154585 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 154592 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154603 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154614 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 154617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154636 */   GIR_RootConstrainSelectedInstOperands,
     /* 154637 */   // GIR_Coverage, 3871,
     /* 154637 */   GIR_EraseRootFromParent_Done,
     /* 154638 */ // Label 2382: @154638
     /* 154638 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(154702), // Rule ID 3875 //
     /* 154643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154646 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154649 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154656 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154678 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 154681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154700 */   GIR_RootConstrainSelectedInstOperands,
     /* 154701 */   // GIR_Coverage, 3875,
     /* 154701 */   GIR_EraseRootFromParent_Done,
     /* 154702 */ // Label 2383: @154702
     /* 154702 */ GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(154766), // Rule ID 3887 //
     /* 154707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154710 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154713 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154720 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154731 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154735 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154742 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 154745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154752 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154760 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154764 */   GIR_RootConstrainSelectedInstOperands,
     /* 154765 */   // GIR_Coverage, 3887,
     /* 154765 */   GIR_EraseRootFromParent_Done,
     /* 154766 */ // Label 2384: @154766
     /* 154766 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(154830), // Rule ID 3893 //
     /* 154771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 154774 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154777 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 154784 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 154795 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154806 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 154806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 154809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154828 */   GIR_RootConstrainSelectedInstOperands,
     /* 154829 */   // GIR_Coverage, 3893,
     /* 154829 */   GIR_EraseRootFromParent_Done,
     /* 154830 */ // Label 2385: @154830
     /* 154830 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(154894), // Rule ID 3895 //
     /* 154835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154838 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154841 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154848 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154863 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154870 */   // (ld:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_t16),
     /* 154873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154892 */   GIR_RootConstrainSelectedInstOperands,
     /* 154893 */   // GIR_Coverage, 3895,
     /* 154893 */   GIR_EraseRootFromParent_Done,
     /* 154894 */ // Label 2386: @154894
     /* 154894 */ GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(154958), // Rule ID 3903 //
     /* 154899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154902 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 154912 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154934 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_D16_t16),
     /* 154937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 154939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 154944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 154949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 154952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 154956 */   GIR_RootConstrainSelectedInstOperands,
     /* 154957 */   // GIR_Coverage, 3903,
     /* 154957 */   GIR_EraseRootFromParent_Done,
     /* 154958 */ // Label 2387: @154958
     /* 154958 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(155022), // Rule ID 3909 //
     /* 154963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 154966 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 154969 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 154976 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 154983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 154987 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 154991 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 154998 */   // (atomic_load:{ *:[i16] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_SHORT_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 154998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_SHORT_D16_t16),
     /* 155001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155003 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155020 */   GIR_RootConstrainSelectedInstOperands,
     /* 155021 */   // GIR_Coverage, 3909,
     /* 155021 */   GIR_EraseRootFromParent_Done,
     /* 155022 */ // Label 2388: @155022
     /* 155022 */ GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(155087), // Rule ID 3607 //
     /* 155027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 155030 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155033 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155040 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155063 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 155063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 155066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155081 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155085 */   GIR_RootConstrainSelectedInstOperands,
     /* 155086 */   // GIR_Coverage, 3607,
     /* 155086 */   GIR_EraseRootFromParent_Done,
     /* 155087 */ // Label 2389: @155087
     /* 155087 */ GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(155152), // Rule ID 3611 //
     /* 155092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 155095 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 155098 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155105 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155117 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155121 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155128 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 155128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 155131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155133 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155146 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155150 */   GIR_RootConstrainSelectedInstOperands,
     /* 155151 */   // GIR_Coverage, 3611,
     /* 155151 */   GIR_EraseRootFromParent_Done,
     /* 155152 */ // Label 2390: @155152
     /* 155152 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(155217), // Rule ID 3619 //
     /* 155157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 155160 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155163 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155170 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155186 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155193 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 155193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 155196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155203 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155215 */   GIR_RootConstrainSelectedInstOperands,
     /* 155216 */   // GIR_Coverage, 3619,
     /* 155216 */   GIR_EraseRootFromParent_Done,
     /* 155217 */ // Label 2391: @155217
     /* 155217 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(155282), // Rule ID 3623 //
     /* 155222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 155225 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 155228 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155235 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155247 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155251 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155258 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 155258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 155261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155280 */   GIR_RootConstrainSelectedInstOperands,
     /* 155281 */   // GIR_Coverage, 3623,
     /* 155281 */   GIR_EraseRootFromParent_Done,
     /* 155282 */ // Label 2392: @155282
     /* 155282 */ GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(155347), // Rule ID 3631 //
     /* 155287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 155290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155293 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155300 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 155312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155323 */   // (ld:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_flat>>  =>  (FLAT_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE_D16_t16),
     /* 155326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155345 */   GIR_RootConstrainSelectedInstOperands,
     /* 155346 */   // GIR_Coverage, 3631,
     /* 155346 */   GIR_EraseRootFromParent_Done,
     /* 155347 */ // Label 2393: @155347
     /* 155347 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(155412), // Rule ID 3635 //
     /* 155352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 155355 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 155358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155365 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 155373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 155377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 155388 */   // (atomic_load:{ *:[i16] } (FlatOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_flat>>  =>  (FLAT_LOAD_UBYTE_D16_t16:{ *:[i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE_D16_t16),
     /* 155391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 155393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 155398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155406 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155410 */   GIR_RootConstrainSelectedInstOperands,
     /* 155411 */   // GIR_Coverage, 3635,
     /* 155411 */   GIR_EraseRootFromParent_Done,
     /* 155412 */ // Label 2394: @155412
     /* 155412 */ GIM_Reject,
     /* 155413 */ // Label 2340: @155413
     /* 155413 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(155479), // Rule ID 2926 //
     /* 155418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155421 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155424 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155435 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155439 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi8),
     /* 155443 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 155450 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_smrd_zextloadi8>>  =>  (S_LOAD_U8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_SGPR_IMM),
     /* 155453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 155465 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 155470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155473 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155477 */   GIR_RootConstrainSelectedInstOperands,
     /* 155478 */   // GIR_Coverage, 2926,
     /* 155478 */   GIR_EraseRootFromParent_Done,
     /* 155479 */ // Label 2395: @155479
     /* 155479 */ GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(155545), // Rule ID 2938 //
     /* 155484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155487 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155490 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 155497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155501 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155505 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi16),
     /* 155509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr_imm),
     /* 155516 */   // (ld:{ *:[i32] } (SMRDSgprImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_smrd_zextloadi16>>  =>  (S_LOAD_U16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_SGPR_IMM),
     /* 155519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 155531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 155536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155539 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155543 */   GIR_RootConstrainSelectedInstOperands,
     /* 155544 */   // GIR_Coverage, 2938,
     /* 155544 */   GIR_EraseRootFromParent_Done,
     /* 155545 */ // Label 2396: @155545
     /* 155545 */ GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(155606), // Rule ID 2924 //
     /* 155550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155556 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155571 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi8),
     /* 155575 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 155582 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_smrd_zextloadi8>>  =>  (S_LOAD_U8_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_IMM),
     /* 155585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155592 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155600 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155604 */   GIR_RootConstrainSelectedInstOperands,
     /* 155605 */   // GIR_Coverage, 2924,
     /* 155605 */   GIR_EraseRootFromParent_Done,
     /* 155606 */ // Label 2397: @155606
     /* 155606 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(155670), // Rule ID 2925 //
     /* 155611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155614 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155617 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155628 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155632 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi8),
     /* 155636 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 155643 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_smrd_zextloadi8>>  =>  (S_LOAD_U8_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 155643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_SGPR_IMM),
     /* 155646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 155658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155668 */   GIR_RootConstrainSelectedInstOperands,
     /* 155669 */   // GIR_Coverage, 2925,
     /* 155669 */   GIR_EraseRootFromParent_Done,
     /* 155670 */ // Label 2398: @155670
     /* 155670 */ GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(155731), // Rule ID 2936 //
     /* 155675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155681 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 155688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155696 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi16),
     /* 155700 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 155707 */   // (ld:{ *:[i32] } (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_smrd_zextloadi16>>  =>  (S_LOAD_U16_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 155707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_IMM),
     /* 155710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 155722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155725 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155729 */   GIR_RootConstrainSelectedInstOperands,
     /* 155730 */   // GIR_Coverage, 2936,
     /* 155730 */   GIR_EraseRootFromParent_Done,
     /* 155731 */ // Label 2399: @155731
     /* 155731 */ GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(155795), // Rule ID 2937 //
     /* 155736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155739 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155742 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 155749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155753 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155757 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi16),
     /* 155761 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_sgpr),
     /* 155768 */   // (ld:{ *:[i32] } (SMRDSgpr:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$soffset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_smrd_zextloadi16>>  =>  (S_LOAD_U16_SGPR_IMM:{ *:[i32] } ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$soffset, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 155768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_SGPR_IMM),
     /* 155771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 155778 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 155783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155793 */   GIR_RootConstrainSelectedInstOperands,
     /* 155794 */   // GIR_Coverage, 2937,
     /* 155794 */   GIR_EraseRootFromParent_Done,
     /* 155795 */ // Label 2400: @155795
     /* 155795 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(155848), // Rule ID 2927 //
     /* 155800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155806 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155817 */   // MIs[0] sbase
     /* 155817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 155821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 155825 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi8),
     /* 155829 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_smrd_zextloadi8>>  =>  (S_LOAD_U8_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 155829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U8_IMM),
     /* 155832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155834 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 155836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155846 */   GIR_RootConstrainSelectedInstOperands,
     /* 155847 */   // GIR_Coverage, 2927,
     /* 155847 */   GIR_EraseRootFromParent_Done,
     /* 155848 */ // Label 2401: @155848
     /* 155848 */ GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(155901), // Rule ID 2939 //
     /* 155853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 155856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155859 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 155866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 155870 */   // MIs[0] sbase
     /* 155870 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 155874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 155878 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_zextloadi16),
     /* 155882 */   // (ld:{ *:[i32] } SReg_64:{ *:[i64] }:$sbase)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_smrd_zextloadi16>>  =>  (S_LOAD_U16_IMM:{ *:[i32] } i64:{ *:[i64] }:$sbase, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 155882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LOAD_U16_IMM),
     /* 155885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 155887 */   GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 155889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155895 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155899 */   GIR_RootConstrainSelectedInstOperands,
     /* 155900 */   // GIR_Coverage, 2939,
     /* 155900 */   GIR_EraseRootFromParent_Done,
     /* 155901 */ // Label 2402: @155901
     /* 155901 */ GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(155971), // Rule ID 6511 //
     /* 155906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 155909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155912 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155919 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 155924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 155932 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 155939 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 155939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 155942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 155944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 155949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 155954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 155959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155965 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 155969 */   GIR_RootConstrainSelectedInstOperands,
     /* 155970 */   // GIR_Coverage, 6511,
     /* 155970 */   GIR_EraseRootFromParent_Done,
     /* 155971 */ // Label 2403: @155971
     /* 155971 */ GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(156041), // Rule ID 6513 //
     /* 155976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 155979 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155982 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 155989 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 155994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 155998 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156002 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 156009 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 156009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 156012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 156024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 156029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156035 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156039 */   GIR_RootConstrainSelectedInstOperands,
     /* 156040 */   // GIR_Coverage, 6513,
     /* 156040 */   GIR_EraseRootFromParent_Done,
     /* 156041 */ // Label 2404: @156041
     /* 156041 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(156111), // Rule ID 6535 //
     /* 156046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 156049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156052 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156059 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 156079 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 156079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 156082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 156094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 156099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156109 */   GIR_RootConstrainSelectedInstOperands,
     /* 156110 */   // GIR_Coverage, 6535,
     /* 156110 */   GIR_EraseRootFromParent_Done,
     /* 156111 */ // Label 2405: @156111
     /* 156111 */ GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(156181), // Rule ID 6537 //
     /* 156116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 156119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156129 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156138 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156142 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 156149 */   // (ld:{ *:[i32] } (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 156149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 156152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 156164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 156169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156175 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156179 */   GIR_RootConstrainSelectedInstOperands,
     /* 156180 */   // GIR_Coverage, 6537,
     /* 156180 */   GIR_EraseRootFromParent_Done,
     /* 156181 */ // Label 2406: @156181
     /* 156181 */ GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(156248), // Rule ID 4245 //
     /* 156186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 156189 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156192 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156199 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156212 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 156219 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 156219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SVS),
     /* 156222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 156229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 156234 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 156239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156242 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156246 */   GIR_RootConstrainSelectedInstOperands,
     /* 156247 */   // GIR_Coverage, 4245,
     /* 156247 */   GIR_EraseRootFromParent_Done,
     /* 156248 */ // Label 2407: @156248
     /* 156248 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(156315), // Rule ID 4254 //
     /* 156253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 156256 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156259 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156266 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156275 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156279 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 156286 */   // (ld:{ *:[i32] } (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (SCRATCH_LOAD_USHORT_SVS:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 156286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SVS),
     /* 156289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156291 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 156296 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 156301 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 156306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156309 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156313 */   GIR_RootConstrainSelectedInstOperands,
     /* 156314 */   // GIR_Coverage, 4254,
     /* 156314 */   GIR_EraseRootFromParent_Done,
     /* 156315 */ // Label 2408: @156315
     /* 156315 */ GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(156377), // Rule ID 4244 //
     /* 156320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 156323 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156326 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156333 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156342 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156346 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 156353 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 156353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE_SADDR),
     /* 156356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 156363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 156368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156375 */   GIR_RootConstrainSelectedInstOperands,
     /* 156376 */   // GIR_Coverage, 4244,
     /* 156376 */   GIR_EraseRootFromParent_Done,
     /* 156377 */ // Label 2409: @156377
     /* 156377 */ GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(156439), // Rule ID 4253 //
     /* 156382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 156385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156388 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156395 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 156415 */   // (ld:{ *:[i32] } (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (SCRATCH_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 156415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT_SADDR),
     /* 156418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 156425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 156430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156433 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156437 */   GIR_RootConstrainSelectedInstOperands,
     /* 156438 */   // GIR_Coverage, 4253,
     /* 156438 */   GIR_EraseRootFromParent_Done,
     /* 156439 */ // Label 2410: @156439
     /* 156439 */ GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(156501), // Rule ID 4243 //
     /* 156444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 156447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156450 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156457 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156466 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156470 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 156477 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (SCRATCH_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 156477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_UBYTE),
     /* 156480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 156487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 156492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156499 */   GIR_RootConstrainSelectedInstOperands,
     /* 156500 */   // GIR_Coverage, 4243,
     /* 156500 */   GIR_EraseRootFromParent_Done,
     /* 156501 */ // Label 2411: @156501
     /* 156501 */ GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(156563), // Rule ID 4252 //
     /* 156506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 156509 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156519 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 156524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156528 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156532 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 156539 */   // (ld:{ *:[i32] } (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (SCRATCH_LOAD_USHORT:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 156539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_LOAD_USHORT),
     /* 156542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 156544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 156549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 156554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156561 */   GIR_RootConstrainSelectedInstOperands,
     /* 156562 */   // GIR_Coverage, 4252,
     /* 156562 */   GIR_EraseRootFromParent_Done,
     /* 156563 */ // Label 2412: @156563
     /* 156563 */ GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(156640), // Rule ID 4499 //
     /* 156568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 156571 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156574 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156581 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156592 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156596 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156603 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /* 156606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 156628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156634 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156638 */   GIR_RootConstrainSelectedInstOperands,
     /* 156639 */   // GIR_Coverage, 4499,
     /* 156639 */   GIR_EraseRootFromParent_Done,
     /* 156640 */ // Label 2413: @156640
     /* 156640 */ GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(156714), // Rule ID 4501 //
     /* 156645 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156655 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156666 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156670 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156677 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /* 156680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156692 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156697 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 156702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156708 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156712 */   GIR_RootConstrainSelectedInstOperands,
     /* 156713 */   // GIR_Coverage, 4501,
     /* 156713 */   GIR_EraseRootFromParent_Done,
     /* 156714 */ // Label 2414: @156714
     /* 156714 */ GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(156791), // Rule ID 4507 //
     /* 156719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 156722 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156725 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156732 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156743 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156747 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156754 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /* 156757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156764 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 156779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156789 */   GIR_RootConstrainSelectedInstOperands,
     /* 156790 */   // GIR_Coverage, 4507,
     /* 156790 */   GIR_EraseRootFromParent_Done,
     /* 156791 */ // Label 2415: @156791
     /* 156791 */ GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(156865), // Rule ID 4509 //
     /* 156796 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156799 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 156806 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156828 */   // (atomic_load:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_ADDR64),
     /* 156831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 156853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156859 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156863 */   GIR_RootConstrainSelectedInstOperands,
     /* 156864 */   // GIR_Coverage, 4509,
     /* 156864 */   GIR_EraseRootFromParent_Done,
     /* 156865 */ // Label 2416: @156865
     /* 156865 */ GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(156942), // Rule ID 4527 //
     /* 156870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 156873 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156883 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156894 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156905 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /* 156908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 156930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 156940 */   GIR_RootConstrainSelectedInstOperands,
     /* 156941 */   // GIR_Coverage, 4527,
     /* 156941 */   GIR_EraseRootFromParent_Done,
     /* 156942 */ // Label 2417: @156942
     /* 156942 */ GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(157016), // Rule ID 4529 //
     /* 156947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156950 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 156957 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 156964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 156968 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 156972 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 156979 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 156979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_ADDR64),
     /* 156982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 156984 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 156989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 156994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 156999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157010 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157014 */   GIR_RootConstrainSelectedInstOperands,
     /* 157015 */   // GIR_Coverage, 4529,
     /* 157015 */   GIR_EraseRootFromParent_Done,
     /* 157016 */ // Label 2418: @157016
     /* 157016 */ GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(157093), // Rule ID 4547 //
     /* 157021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 157024 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157027 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157034 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157045 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 157056 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /* 157059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157091 */   GIR_RootConstrainSelectedInstOperands,
     /* 157092 */   // GIR_Coverage, 4547,
     /* 157092 */   GIR_EraseRootFromParent_Done,
     /* 157093 */ // Label 2419: @157093
     /* 157093 */ GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(157167), // Rule ID 4549 //
     /* 157098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157101 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157108 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157119 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157123 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 157130 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_ADDR64:{ *:[i32] } i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_ADDR64),
     /* 157133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157165 */   GIR_RootConstrainSelectedInstOperands,
     /* 157166 */   // GIR_Coverage, 4549,
     /* 157166 */   GIR_EraseRootFromParent_Done,
     /* 157167 */ // Label 2420: @157167
     /* 157167 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(157243), // Rule ID 6480 //
     /* 157172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 157175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157178 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157185 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 157206 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_constant>>  =>  (BUFFER_LOAD_UBYTE_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 157206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_ADDR64),
     /* 157209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157221 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157237 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157241 */   GIR_RootConstrainSelectedInstOperands,
     /* 157242 */   // GIR_Coverage, 6480,
     /* 157242 */   GIR_EraseRootFromParent_Done,
     /* 157243 */ // Label 2421: @157243
     /* 157243 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(157319), // Rule ID 6483 //
     /* 157248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 157251 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157254 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157261 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157271 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157275 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 157282 */   // (ld:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_constant>>  =>  (BUFFER_LOAD_USHORT_ADDR64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 157282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_ADDR64),
     /* 157285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157313 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157317 */   GIR_RootConstrainSelectedInstOperands,
     /* 157318 */   // GIR_Coverage, 6483,
     /* 157318 */   GIR_EraseRootFromParent_Done,
     /* 157319 */ // Label 2422: @157319
     /* 157319 */ GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(157394), // Rule ID 6510 //
     /* 157324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 157327 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157330 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157337 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 157342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157346 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157350 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 157357 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 157357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFEN),
     /* 157360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157362 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157367 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157388 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157392 */   GIR_RootConstrainSelectedInstOperands,
     /* 157393 */   // GIR_Coverage, 6510,
     /* 157393 */   GIR_EraseRootFromParent_Done,
     /* 157394 */ // Label 2423: @157394
     /* 157394 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(157469), // Rule ID 6512 //
     /* 157399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 157402 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157405 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157412 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 157417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 157432 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_private>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 157432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFEN),
     /* 157435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157463 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157467 */   GIR_RootConstrainSelectedInstOperands,
     /* 157468 */   // GIR_Coverage, 6512,
     /* 157468 */   GIR_EraseRootFromParent_Done,
     /* 157469 */ // Label 2424: @157469
     /* 157469 */ GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(157544), // Rule ID 6534 //
     /* 157474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 157477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157480 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157487 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 157492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157500 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 157507 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (BUFFER_LOAD_USHORT_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 157507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFEN),
     /* 157510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157538 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157542 */   GIR_RootConstrainSelectedInstOperands,
     /* 157543 */   // GIR_Coverage, 6534,
     /* 157543 */   GIR_EraseRootFromParent_Done,
     /* 157544 */ // Label 2425: @157544
     /* 157544 */ GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(157619), // Rule ID 6536 //
     /* 157549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 157552 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157555 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157562 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 157567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157571 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157575 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 157582 */   // (ld:{ *:[i32] } (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_private>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFEN:{ *:[i32] } ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 157582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFEN),
     /* 157585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 157592 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 157602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 157607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157617 */   GIR_RootConstrainSelectedInstOperands,
     /* 157618 */   // GIR_Coverage, 6536,
     /* 157618 */   GIR_EraseRootFromParent_Done,
     /* 157619 */ // Label 2426: @157619
     /* 157619 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(157691), // Rule ID 4498 //
     /* 157624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 157627 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157630 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157637 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157648 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157652 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 157659 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 157662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 157674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 157679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157689 */   GIR_RootConstrainSelectedInstOperands,
     /* 157690 */   // GIR_Coverage, 4498,
     /* 157690 */   GIR_EraseRootFromParent_Done,
     /* 157691 */ // Label 2427: @157691
     /* 157691 */ GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(157760), // Rule ID 4500 //
     /* 157696 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157699 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157706 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 157728 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 157731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 157743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 157748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157758 */   GIR_RootConstrainSelectedInstOperands,
     /* 157759 */   // GIR_Coverage, 4500,
     /* 157759 */   GIR_EraseRootFromParent_Done,
     /* 157760 */ // Label 2428: @157760
     /* 157760 */ GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(157832), // Rule ID 4506 //
     /* 157765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 157768 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157771 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157778 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157789 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157793 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 157800 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 157803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 157815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 157820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157826 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157830 */   GIR_RootConstrainSelectedInstOperands,
     /* 157831 */   // GIR_Coverage, 4506,
     /* 157831 */   GIR_EraseRootFromParent_Done,
     /* 157832 */ // Label 2429: @157832
     /* 157832 */ GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(157901), // Rule ID 4508 //
     /* 157837 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157840 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 157847 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 157869 */   // (atomic_load:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 157872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 157884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 157889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157895 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157899 */   GIR_RootConstrainSelectedInstOperands,
     /* 157900 */   // GIR_Coverage, 4508,
     /* 157900 */   GIR_EraseRootFromParent_Done,
     /* 157901 */ // Label 2430: @157901
     /* 157901 */ GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(157973), // Rule ID 4526 //
     /* 157906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 157909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157912 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157919 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157930 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 157934 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 157941 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 157941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 157944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 157946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 157951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 157956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 157961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 157967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 157971 */   GIR_RootConstrainSelectedInstOperands,
     /* 157972 */   // GIR_Coverage, 4526,
     /* 157972 */   GIR_EraseRootFromParent_Done,
     /* 157973 */ // Label 2431: @157973
     /* 157973 */ GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(158042), // Rule ID 4528 //
     /* 157978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157981 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 157988 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 157995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 157999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158003 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 158010 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 158010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 158013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 158015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 158020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 158025 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158040 */   GIR_RootConstrainSelectedInstOperands,
     /* 158041 */   // GIR_Coverage, 4528,
     /* 158041 */   GIR_EraseRootFromParent_Done,
     /* 158042 */ // Label 2432: @158042
     /* 158042 */ GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(158114), // Rule ID 4546 //
     /* 158047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 158050 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158053 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158060 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 158082 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 158082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 158085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 158087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 158092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 158097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158108 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158112 */   GIR_RootConstrainSelectedInstOperands,
     /* 158113 */   // GIR_Coverage, 4546,
     /* 158113 */   GIR_EraseRootFromParent_Done,
     /* 158114 */ // Label 2433: @158114
     /* 158114 */ GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(158183), // Rule ID 4548 //
     /* 158119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158129 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158140 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158144 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 158151 */   // (ld:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 158151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 158154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 158156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 158161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 158166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158177 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158181 */   GIR_RootConstrainSelectedInstOperands,
     /* 158182 */   // GIR_Coverage, 4548,
     /* 158182 */   GIR_EraseRootFromParent_Done,
     /* 158183 */ // Label 2434: @158183
     /* 158183 */ GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(158245), // Rule ID 8003 //
     /* 158188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 158191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158194 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158201 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158221 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_zextload_glue>><<P:Predicate_zextloadi8_glue>><<P:Predicate_zextloadi8_local_m0>>  =>  (DS_READ_U8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 158224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158239 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158243 */   GIR_RootConstrainSelectedInstOperands,
     /* 158244 */   // GIR_Coverage, 8003,
     /* 158244 */   GIR_EraseRootFromParent_Done,
     /* 158245 */ // Label 2435: @158245
     /* 158245 */ GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(158307), // Rule ID 8004 //
     /* 158250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 158253 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158256 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158263 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158272 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158276 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158283 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 158286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158301 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158305 */   GIR_RootConstrainSelectedInstOperands,
     /* 158306 */   // GIR_Coverage, 8004,
     /* 158306 */   GIR_EraseRootFromParent_Done,
     /* 158307 */ // Label 2436: @158307
     /* 158307 */ GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(158369), // Rule ID 8011 //
     /* 158312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 158315 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158318 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158325 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158338 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158345 */   // (AMDGPUld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload_glue>><<P:Predicate_zextload_glue>><<P:Predicate_zextloadi16_glue>><<P:Predicate_zextloadi16_local_m0>>  =>  (DS_READ_U16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /* 158348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158363 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158367 */   GIR_RootConstrainSelectedInstOperands,
     /* 158368 */   // GIR_Coverage, 8011,
     /* 158368 */   GIR_EraseRootFromParent_Done,
     /* 158369 */ // Label 2437: @158369
     /* 158369 */ GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(158431), // Rule ID 8012 //
     /* 158374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 158377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158387 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158396 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158400 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158407 */   // (ld:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /* 158410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158412 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158417 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158425 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158429 */   GIR_RootConstrainSelectedInstOperands,
     /* 158430 */   // GIR_Coverage, 8012,
     /* 158430 */   GIR_EraseRootFromParent_Done,
     /* 158431 */ // Label 2438: @158431
     /* 158431 */ GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(158493), // Rule ID 8052 //
     /* 158436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 158439 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158442 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158449 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158469 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext_glue>><<P:Predicate_atomic_load_zext_8_glue>><<P:Predicate_atomic_load_zext_8_local_m0>>  =>  (DS_READ_U8:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8),
     /* 158472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158487 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158491 */   GIR_RootConstrainSelectedInstOperands,
     /* 158492 */   // GIR_Coverage, 8052,
     /* 158492 */   GIR_EraseRootFromParent_Done,
     /* 158493 */ // Label 2439: @158493
     /* 158493 */ GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(158555), // Rule ID 8053 //
     /* 158498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 158501 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158511 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158520 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158524 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158531 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_local>>  =>  (DS_READ_U8_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U8_gfx9),
     /* 158534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158553 */   GIR_RootConstrainSelectedInstOperands,
     /* 158554 */   // GIR_Coverage, 8053,
     /* 158554 */   GIR_EraseRootFromParent_Done,
     /* 158555 */ // Label 2440: @158555
     /* 158555 */ GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(158617), // Rule ID 8066 //
     /* 158560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 158563 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158566 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158573 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158582 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158586 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158593 */   // (AMDGPUatomic_ld_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext_glue>><<P:Predicate_atomic_load_zext_16_glue>><<P:Predicate_atomic_load_zext_16_local_m0>>  =>  (DS_READ_U16:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16),
     /* 158596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158615 */   GIR_RootConstrainSelectedInstOperands,
     /* 158616 */   // GIR_Coverage, 8066,
     /* 158616 */   GIR_EraseRootFromParent_Done,
     /* 158617 */ // Label 2441: @158617
     /* 158617 */ GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(158679), // Rule ID 8067 //
     /* 158622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 158625 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158635 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 158640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158644 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158648 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 158655 */   // (atomic_load:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_local>>  =>  (DS_READ_U16_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 158655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_U16_gfx9),
     /* 158658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 158665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 158670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158673 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158677 */   GIR_RootConstrainSelectedInstOperands,
     /* 158678 */   // GIR_Coverage, 8067,
     /* 158678 */   GIR_EraseRootFromParent_Done,
     /* 158679 */ // Label 2442: @158679
     /* 158679 */ GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(158748), // Rule ID 3832 //
     /* 158684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 158687 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158690 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158697 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158708 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158712 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 158719 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 158719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 158722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 158729 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 158734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158742 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158746 */   GIR_RootConstrainSelectedInstOperands,
     /* 158747 */   // GIR_Coverage, 3832,
     /* 158747 */   GIR_EraseRootFromParent_Done,
     /* 158748 */ // Label 2443: @158748
     /* 158748 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(158817), // Rule ID 3836 //
     /* 158753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 158756 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158759 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158766 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158777 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158781 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 158788 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 158788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 158791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 158798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 158803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158811 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158815 */   GIR_RootConstrainSelectedInstOperands,
     /* 158816 */   // GIR_Coverage, 3836,
     /* 158816 */   GIR_EraseRootFromParent_Done,
     /* 158817 */ // Label 2444: @158817
     /* 158817 */ GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(158886), // Rule ID 3842 //
     /* 158822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 158825 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158828 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 158835 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158846 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158850 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 158857 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 158857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE_SADDR),
     /* 158860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 158867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 158872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158880 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158884 */   GIR_RootConstrainSelectedInstOperands,
     /* 158885 */   // GIR_Coverage, 3842,
     /* 158885 */   GIR_EraseRootFromParent_Done,
     /* 158886 */ // Label 2445: @158886
     /* 158886 */ GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(158955), // Rule ID 3848 //
     /* 158891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 158894 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158897 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158904 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158915 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158919 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 158926 */   // (ld:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 158926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 158929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 158931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 158936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 158941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 158946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 158949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 158953 */   GIR_RootConstrainSelectedInstOperands,
     /* 158954 */   // GIR_Coverage, 3848,
     /* 158954 */   GIR_EraseRootFromParent_Done,
     /* 158955 */ // Label 2446: @158955
     /* 158955 */ GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(159024), // Rule ID 3860 //
     /* 158960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 158963 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 158966 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 158973 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 158980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 158984 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 158988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 158995 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 158995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 158998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 159005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 159010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 159015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159018 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159022 */   GIR_RootConstrainSelectedInstOperands,
     /* 159023 */   // GIR_Coverage, 3860,
     /* 159023 */   GIR_EraseRootFromParent_Done,
     /* 159024 */ // Label 2447: @159024
     /* 159024 */ GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(159093), // Rule ID 3882 //
     /* 159029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 159032 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159035 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159042 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159053 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159057 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 159064 */   // (atomic_load:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 159064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT_SADDR),
     /* 159067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 159074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 159079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 159084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159091 */   GIR_RootConstrainSelectedInstOperands,
     /* 159092 */   // GIR_Coverage, 3882,
     /* 159092 */   GIR_EraseRootFromParent_Done,
     /* 159093 */ // Label 2448: @159093
     /* 159093 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(159157), // Rule ID 3831 //
     /* 159098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 159101 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159104 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 159111 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159122 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159126 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159133 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 159136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159151 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159155 */   GIR_RootConstrainSelectedInstOperands,
     /* 159156 */   // GIR_Coverage, 3831,
     /* 159156 */   GIR_EraseRootFromParent_Done,
     /* 159157 */ // Label 2449: @159157
     /* 159157 */ GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(159221), // Rule ID 3835 //
     /* 159162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 159165 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159168 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159175 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159186 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159190 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159197 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 159200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159202 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159215 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159219 */   GIR_RootConstrainSelectedInstOperands,
     /* 159220 */   // GIR_Coverage, 3835,
     /* 159220 */   GIR_EraseRootFromParent_Done,
     /* 159221 */ // Label 2450: @159221
     /* 159221 */ GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(159285), // Rule ID 3841 //
     /* 159226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 159229 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 159239 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159261 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_global>>  =>  (GLOBAL_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_UBYTE),
     /* 159264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159279 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159283 */   GIR_RootConstrainSelectedInstOperands,
     /* 159284 */   // GIR_Coverage, 3841,
     /* 159284 */   GIR_EraseRootFromParent_Done,
     /* 159285 */ // Label 2451: @159285
     /* 159285 */ GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(159349), // Rule ID 3847 //
     /* 159290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 159293 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159296 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159303 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159314 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159318 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159325 */   // (ld:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 159328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159343 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159347 */   GIR_RootConstrainSelectedInstOperands,
     /* 159348 */   // GIR_Coverage, 3847,
     /* 159348 */   GIR_EraseRootFromParent_Done,
     /* 159349 */ // Label 2452: @159349
     /* 159349 */ GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(159413), // Rule ID 3859 //
     /* 159354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 159357 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159360 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159367 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159378 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159382 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159389 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 159392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159407 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159411 */   GIR_RootConstrainSelectedInstOperands,
     /* 159412 */   // GIR_Coverage, 3859,
     /* 159412 */   GIR_EraseRootFromParent_Done,
     /* 159413 */ // Label 2453: @159413
     /* 159413 */ GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(159477), // Rule ID 3881 //
     /* 159418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 159421 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159424 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159431 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 159453 */   // (atomic_load:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_global>>  =>  (GLOBAL_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_USHORT),
     /* 159456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159471 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159475 */   GIR_RootConstrainSelectedInstOperands,
     /* 159476 */   // GIR_Coverage, 3881,
     /* 159476 */   GIR_EraseRootFromParent_Done,
     /* 159477 */ // Label 2454: @159477
     /* 159477 */ GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(159542), // Rule ID 3594 //
     /* 159482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 159485 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 159495 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159507 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159511 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 159518 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_atomic_load_zext_8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 159521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159528 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159536 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159540 */   GIR_RootConstrainSelectedInstOperands,
     /* 159541 */   // GIR_Coverage, 3594,
     /* 159541 */   GIR_EraseRootFromParent_Done,
     /* 159542 */ // Label 2455: @159542
     /* 159542 */ GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(159607), // Rule ID 3596 //
     /* 159547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 159550 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 159553 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159560 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159576 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 159583 */   // (atomic_load:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_atomic_load_zext_16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /* 159586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159605 */   GIR_RootConstrainSelectedInstOperands,
     /* 159606 */   // GIR_Coverage, 3596,
     /* 159606 */   GIR_EraseRootFromParent_Done,
     /* 159607 */ // Label 2456: @159607
     /* 159607 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(159672), // Rule ID 3598 //
     /* 159612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 159615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159618 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 159625 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159637 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159641 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 159648 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>><<P:Predicate_zextloadi8_flat>>  =>  (FLAT_LOAD_UBYTE:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_UBYTE),
     /* 159651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159666 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159670 */   GIR_RootConstrainSelectedInstOperands,
     /* 159671 */   // GIR_Coverage, 3598,
     /* 159671 */   GIR_EraseRootFromParent_Done,
     /* 159672 */ // Label 2457: @159672
     /* 159672 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(159737), // Rule ID 3602 //
     /* 159677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 159680 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159683 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 159690 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 159698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 159702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159706 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 159713 */   // (ld:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>><<P:Predicate_zextloadi16_flat>>  =>  (FLAT_LOAD_USHORT:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 159713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_LOAD_USHORT),
     /* 159716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 159718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 159723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159735 */   GIR_RootConstrainSelectedInstOperands,
     /* 159736 */   // GIR_Coverage, 3602,
     /* 159736 */   GIR_EraseRootFromParent_Done,
     /* 159737 */ // Label 2458: @159737
     /* 159737 */ GIM_Reject,
     /* 159738 */ // Label 2341: @159738
     /* 159738 */ GIM_Reject,
     /* 159739 */ // Label 17: @159739
     /* 159739 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(23), /*)*//*default:*//*Label 2476*/ GIMT_Encode4(194363),
     /* 159750 */ /*GILLT_p0s64*//*Label 2459*/ GIMT_Encode4(159842),
     /* 159754 */ /*GILLT_p1s64*//*Label 2460*/ GIMT_Encode4(160835),
     /* 159758 */ /*GILLT_p2s32*//*Label 2461*/ GIMT_Encode4(161828),
     /* 159762 */ /*GILLT_p3s32*//*Label 2462*/ GIMT_Encode4(162699),
     /* 159766 */ /*GILLT_p4s64*//*Label 2463*/ GIMT_Encode4(163570),
     /* 159770 */ /*GILLT_p5s32*//*Label 2464*/ GIMT_Encode4(164563),
     /* 159774 */ /*GILLT_p6s32*//*Label 2465*/ GIMT_Encode4(165434), GIMT_Encode4(0),
     /* 159782 */ /*GILLT_s16*//*Label 2466*/ GIMT_Encode4(166305),
     /* 159786 */ /*GILLT_s32*//*Label 2467*/ GIMT_Encode4(171336),
     /* 159790 */ /*GILLT_s64*//*Label 2468*/ GIMT_Encode4(178438),
     /* 159794 */ /*GILLT_v2s16*//*Label 2469*/ GIMT_Encode4(180868),
     /* 159798 */ /*GILLT_v2s32*//*Label 2470*/ GIMT_Encode4(182600),
     /* 159802 */ /*GILLT_v2s64*//*Label 2471*/ GIMT_Encode4(184810),
     /* 159806 */ /*GILLT_v3s32*//*Label 2472*/ GIMT_Encode4(186786), GIMT_Encode4(0),
     /* 159814 */ /*GILLT_v4s16*//*Label 2473*/ GIMT_Encode4(188201),
     /* 159818 */ /*GILLT_v4s32*//*Label 2474*/ GIMT_Encode4(190177), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 159838 */ /*GILLT_v8s16*//*Label 2475*/ GIMT_Encode4(192387),
     /* 159842 */ // Label 2459: @159842
     /* 159842 */ GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(160834),
     /* 159847 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159850 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(159911), // Rule ID 8286 //
     /* 159855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 159858 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 159862 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 159867 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 159872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159876 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 159880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 159887 */     // (AMDGPUst_glue p0:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 159887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 159890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 159895 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 159897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159909 */     GIR_RootConstrainSelectedInstOperands,
     /* 159910 */     // GIR_Coverage, 8286,
     /* 159910 */     GIR_EraseRootFromParent_Done,
     /* 159911 */   // Label 2478: @159911
     /* 159911 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(159967), // Rule ID 8218 //
     /* 159916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 159919 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 159923 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 159928 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 159932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 159943 */     // (AMDGPUst_glue p0:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 159943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 159946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 159951 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 159953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 159958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 159961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 159965 */     GIR_RootConstrainSelectedInstOperands,
     /* 159966 */     // GIR_Coverage, 8218,
     /* 159966 */     GIR_EraseRootFromParent_Done,
     /* 159967 */   // Label 2479: @159967
     /* 159967 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(160024), // Rule ID 8287 //
     /* 159972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 159975 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 159980 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 159985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 159989 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 159993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 160000 */     // (st p0:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 160000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 160003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160008 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 160010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160022 */     GIR_RootConstrainSelectedInstOperands,
     /* 160023 */     // GIR_Coverage, 8287,
     /* 160023 */     GIR_EraseRootFromParent_Done,
     /* 160024 */   // Label 2480: @160024
     /* 160024 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(160076), // Rule ID 8219 //
     /* 160029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 160032 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160037 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 160041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 160052 */     // (st p0:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 160052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 160055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160060 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 160062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160074 */     GIR_RootConstrainSelectedInstOperands,
     /* 160075 */     // GIR_Coverage, 8219,
     /* 160075 */     GIR_EraseRootFromParent_Done,
     /* 160076 */   // Label 2481: @160076
     /* 160076 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(160129), // Rule ID 4392 //
     /* 160081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 160084 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 160089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 160100 */     // (st p0:{ *:[i64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 160100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 160103 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 160110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 160115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 160120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160127 */     GIR_RootConstrainSelectedInstOperands,
     /* 160128 */     // GIR_Coverage, 4392,
     /* 160128 */     GIR_EraseRootFromParent_Done,
     /* 160129 */   // Label 2482: @160129
     /* 160129 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(160177), // Rule ID 4391 //
     /* 160134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 160137 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 160142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 160153 */     // (st p0:{ *:[i64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 160153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 160156 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 160163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160175 */     GIR_RootConstrainSelectedInstOperands,
     /* 160176 */     // GIR_Coverage, 4391,
     /* 160176 */     GIR_EraseRootFromParent_Done,
     /* 160177 */   // Label 2483: @160177
     /* 160177 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(160225), // Rule ID 4390 //
     /* 160182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 160185 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 160190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 160201 */     // (st p0:{ *:[i64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 160201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 160204 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 160211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160223 */     GIR_RootConstrainSelectedInstOperands,
     /* 160224 */     // GIR_Coverage, 4390,
     /* 160224 */     GIR_EraseRootFromParent_Done,
     /* 160225 */   // Label 2484: @160225
     /* 160225 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(160286), // Rule ID 4721 //
     /* 160230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 160233 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 160249 */     // (st p0:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 p0:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 160249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 160252 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 160254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 160259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 160264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 160269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 160274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160284 */     GIR_RootConstrainSelectedInstOperands,
     /* 160285 */     // GIR_Coverage, 4721,
     /* 160285 */     GIR_EraseRootFromParent_Done,
     /* 160286 */   // Label 2485: @160286
     /* 160286 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(160344), // Rule ID 4723 //
     /* 160291 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 160307 */     // (st p0:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 p0:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 160307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 160310 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 160312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 160317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 160322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 160327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 160332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160342 */     GIR_RootConstrainSelectedInstOperands,
     /* 160343 */     // GIR_Coverage, 4723,
     /* 160343 */     GIR_EraseRootFromParent_Done,
     /* 160344 */   // Label 2486: @160344
     /* 160344 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(160461), // Rule ID 8161 //
     /* 160349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 160352 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 160356 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 160372 */     // (AMDGPUst_glue p0:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 160372 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 160375 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160379 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160384 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 160390 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 160395 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 160400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 160403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160412 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 160418 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 160423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 160428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 160431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 160442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 160447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 160452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160459 */     GIR_RootConstrainSelectedInstOperands,
     /* 160460 */     // GIR_Coverage, 8161,
     /* 160460 */     GIR_EraseRootFromParent_Done,
     /* 160461 */   // Label 2487: @160461
     /* 160461 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(160517), // Rule ID 4720 //
     /* 160466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 160469 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 160485 */     // (st p0:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 160485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 160488 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 160490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 160495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 160500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 160505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160515 */     GIR_RootConstrainSelectedInstOperands,
     /* 160516 */     // GIR_Coverage, 4720,
     /* 160516 */     GIR_EraseRootFromParent_Done,
     /* 160517 */   // Label 2488: @160517
     /* 160517 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(160570), // Rule ID 4722 //
     /* 160522 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 160538 */     // (st p0:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 160538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 160541 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 160543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 160548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 160553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 160558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160568 */     GIR_RootConstrainSelectedInstOperands,
     /* 160569 */     // GIR_Coverage, 4722,
     /* 160569 */     GIR_EraseRootFromParent_Done,
     /* 160570 */   // Label 2489: @160570
     /* 160570 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(160683), // Rule ID 8163 //
     /* 160575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 160578 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 160594 */     // (st p0:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 160594 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 160597 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160601 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160606 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 160612 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 160617 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 160622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 160625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160634 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 160640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 160645 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 160650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 160653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 160664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 160669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 160674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160681 */     GIR_RootConstrainSelectedInstOperands,
     /* 160682 */     // GIR_Coverage, 8163,
     /* 160682 */     GIR_EraseRootFromParent_Done,
     /* 160683 */   // Label 2490: @160683
     /* 160683 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(160736), // Rule ID 3974 //
     /* 160688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 160691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 160707 */     // (st p0:{ *:[i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 160707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 160710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 160715 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 160722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 160727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160734 */     GIR_RootConstrainSelectedInstOperands,
     /* 160735 */     // GIR_Coverage, 3974,
     /* 160735 */     GIR_EraseRootFromParent_Done,
     /* 160736 */   // Label 2491: @160736
     /* 160736 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(160784), // Rule ID 3973 //
     /* 160741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 160744 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 160749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 160760 */     // (st p0:{ *:[i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 160760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 160763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 160768 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160782 */     GIR_RootConstrainSelectedInstOperands,
     /* 160783 */     // GIR_Coverage, 3973,
     /* 160783 */     GIR_EraseRootFromParent_Done,
     /* 160784 */   // Label 2492: @160784
     /* 160784 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(160833), // Rule ID 3674 //
     /* 160789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 160792 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 160798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 160809 */     // (st p0:{ *:[i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 160809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 160812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 160817 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 160819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160831 */     GIR_RootConstrainSelectedInstOperands,
     /* 160832 */     // GIR_Coverage, 3674,
     /* 160832 */     GIR_EraseRootFromParent_Done,
     /* 160833 */   // Label 2493: @160833
     /* 160833 */   GIM_Reject,
     /* 160834 */ // Label 2477: @160834
     /* 160834 */ GIM_Reject,
     /* 160835 */ // Label 2460: @160835
     /* 160835 */ GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(161827),
     /* 160840 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160843 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(160904), // Rule ID 8290 //
     /* 160848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 160851 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 160855 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160860 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160869 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 160873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 160880 */     // (AMDGPUst_glue p1:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 160880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 160883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160888 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 160890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160902 */     GIR_RootConstrainSelectedInstOperands,
     /* 160903 */     // GIR_Coverage, 8290,
     /* 160903 */     GIR_EraseRootFromParent_Done,
     /* 160904 */   // Label 2495: @160904
     /* 160904 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(160960), // Rule ID 8222 //
     /* 160909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 160912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 160916 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160921 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 160925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 160936 */     // (AMDGPUst_glue p1:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 160936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 160939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 160944 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 160946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 160951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 160954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 160958 */     GIR_RootConstrainSelectedInstOperands,
     /* 160959 */     // GIR_Coverage, 8222,
     /* 160959 */     GIR_EraseRootFromParent_Done,
     /* 160960 */   // Label 2496: @160960
     /* 160960 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(161017), // Rule ID 8291 //
     /* 160965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 160968 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160973 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 160978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 160982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 160986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 160993 */     // (st p1:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 160993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 160996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 161001 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 161003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161015 */     GIR_RootConstrainSelectedInstOperands,
     /* 161016 */     // GIR_Coverage, 8291,
     /* 161016 */     GIR_EraseRootFromParent_Done,
     /* 161017 */   // Label 2497: @161017
     /* 161017 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(161069), // Rule ID 8223 //
     /* 161022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 161025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 161030 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 161034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 161045 */     // (st p1:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 161045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 161048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 161053 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 161055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161067 */     GIR_RootConstrainSelectedInstOperands,
     /* 161068 */     // GIR_Coverage, 8223,
     /* 161068 */     GIR_EraseRootFromParent_Done,
     /* 161069 */   // Label 2498: @161069
     /* 161069 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(161122), // Rule ID 4398 //
     /* 161074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 161077 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 161093 */     // (st p1:{ *:[i64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 161093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 161096 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 161103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 161108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161120 */     GIR_RootConstrainSelectedInstOperands,
     /* 161121 */     // GIR_Coverage, 4398,
     /* 161121 */     GIR_EraseRootFromParent_Done,
     /* 161122 */   // Label 2499: @161122
     /* 161122 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(161170), // Rule ID 4397 //
     /* 161127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 161130 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 161146 */     // (st p1:{ *:[i64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 161146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 161149 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 161156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161168 */     GIR_RootConstrainSelectedInstOperands,
     /* 161169 */     // GIR_Coverage, 4397,
     /* 161169 */     GIR_EraseRootFromParent_Done,
     /* 161170 */   // Label 2500: @161170
     /* 161170 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(161218), // Rule ID 4396 //
     /* 161175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 161178 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 161194 */     // (st p1:{ *:[i64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 161194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 161197 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 161204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161216 */     GIR_RootConstrainSelectedInstOperands,
     /* 161217 */     // GIR_Coverage, 4396,
     /* 161217 */     GIR_EraseRootFromParent_Done,
     /* 161218 */   // Label 2501: @161218
     /* 161218 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(161279), // Rule ID 4725 //
     /* 161223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 161226 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 161242 */     // (st p1:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 p1:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 161242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 161245 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 161247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 161252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 161262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 161267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161277 */     GIR_RootConstrainSelectedInstOperands,
     /* 161278 */     // GIR_Coverage, 4725,
     /* 161278 */     GIR_EraseRootFromParent_Done,
     /* 161279 */   // Label 2502: @161279
     /* 161279 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(161337), // Rule ID 4727 //
     /* 161284 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 161300 */     // (st p1:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 p1:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 161300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 161303 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 161305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 161310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 161320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 161325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161335 */     GIR_RootConstrainSelectedInstOperands,
     /* 161336 */     // GIR_Coverage, 4727,
     /* 161336 */     GIR_EraseRootFromParent_Done,
     /* 161337 */   // Label 2503: @161337
     /* 161337 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(161454), // Rule ID 8165 //
     /* 161342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 161345 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 161349 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 161354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 161365 */     // (AMDGPUst_glue p1:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 161365 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 161368 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 161372 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161377 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 161383 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 161388 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 161393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 161396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 161400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161405 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 161411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 161416 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 161421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 161424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 161429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 161432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 161435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 161440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 161445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161452 */     GIR_RootConstrainSelectedInstOperands,
     /* 161453 */     // GIR_Coverage, 8165,
     /* 161453 */     GIR_EraseRootFromParent_Done,
     /* 161454 */   // Label 2504: @161454
     /* 161454 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(161510), // Rule ID 4724 //
     /* 161459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 161462 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 161478 */     // (st p1:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 161478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 161481 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 161483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 161493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161508 */     GIR_RootConstrainSelectedInstOperands,
     /* 161509 */     // GIR_Coverage, 4724,
     /* 161509 */     GIR_EraseRootFromParent_Done,
     /* 161510 */   // Label 2505: @161510
     /* 161510 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(161563), // Rule ID 4726 //
     /* 161515 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 161531 */     // (st p1:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 161531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 161534 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 161536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 161546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161561 */     GIR_RootConstrainSelectedInstOperands,
     /* 161562 */     // GIR_Coverage, 4726,
     /* 161562 */     GIR_EraseRootFromParent_Done,
     /* 161563 */   // Label 2506: @161563
     /* 161563 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(161676), // Rule ID 8167 //
     /* 161568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 161571 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 161576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 161587 */     // (st p1:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 161587 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 161590 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 161594 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161599 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 161605 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 161610 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 161615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 161618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 161622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161627 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 161633 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 161638 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 161643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 161646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 161651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 161654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 161657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 161662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 161667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161674 */     GIR_RootConstrainSelectedInstOperands,
     /* 161675 */     // GIR_Coverage, 8167,
     /* 161675 */     GIR_EraseRootFromParent_Done,
     /* 161676 */   // Label 2507: @161676
     /* 161676 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(161729), // Rule ID 3978 //
     /* 161681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 161684 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 161700 */     // (st p1:{ *:[i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 161700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 161703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 161708 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 161715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161727 */     GIR_RootConstrainSelectedInstOperands,
     /* 161728 */     // GIR_Coverage, 3978,
     /* 161728 */     GIR_EraseRootFromParent_Done,
     /* 161729 */   // Label 2508: @161729
     /* 161729 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(161777), // Rule ID 3977 //
     /* 161734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 161737 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 161742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 161753 */     // (st p1:{ *:[i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 161753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 161756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 161761 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161775 */     GIR_RootConstrainSelectedInstOperands,
     /* 161776 */     // GIR_Coverage, 3977,
     /* 161776 */     GIR_EraseRootFromParent_Done,
     /* 161777 */   // Label 2509: @161777
     /* 161777 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(161826), // Rule ID 3676 //
     /* 161782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 161785 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 161791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 161802 */     // (st p1:{ *:[i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 161802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 161805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 161810 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 161817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161824 */     GIR_RootConstrainSelectedInstOperands,
     /* 161825 */     // GIR_Coverage, 3676,
     /* 161825 */     GIR_EraseRootFromParent_Done,
     /* 161826 */   // Label 2510: @161826
     /* 161826 */   GIM_Reject,
     /* 161827 */ // Label 2494: @161827
     /* 161827 */ GIM_Reject,
     /* 161828 */ // Label 2461: @161828
     /* 161828 */ GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(162698),
     /* 161833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161836 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(161892), // Rule ID 6681 //
     /* 161841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 161844 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 161860 */     // (st p2:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 161860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 161863 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 161865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 161875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161890 */     GIR_RootConstrainSelectedInstOperands,
     /* 161891 */     // GIR_Coverage, 6681,
     /* 161891 */     GIR_EraseRootFromParent_Done,
     /* 161892 */   // Label 2512: @161892
     /* 161892 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(161948), // Rule ID 6683 //
     /* 161897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 161900 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 161916 */     // (st p2:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 161916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 161919 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 161921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 161926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 161931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161946 */     GIR_RootConstrainSelectedInstOperands,
     /* 161947 */     // GIR_Coverage, 6683,
     /* 161947 */     GIR_EraseRootFromParent_Done,
     /* 161948 */   // Label 2513: @161948
     /* 161948 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(162001), // Rule ID 4332 //
     /* 161953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 161956 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 161961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 161965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 161972 */     // (st p2:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 161972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 161975 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 161977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 161982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 161987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 161992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 161995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 161999 */     GIR_RootConstrainSelectedInstOperands,
     /* 162000 */     // GIR_Coverage, 4332,
     /* 162000 */     GIR_EraseRootFromParent_Done,
     /* 162001 */   // Label 2514: @162001
     /* 162001 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(162049), // Rule ID 4331 //
     /* 162006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 162009 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 162025 */     // (st p2:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 162025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 162028 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 162035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162047 */     GIR_RootConstrainSelectedInstOperands,
     /* 162048 */     // GIR_Coverage, 4331,
     /* 162048 */     GIR_EraseRootFromParent_Done,
     /* 162049 */   // Label 2515: @162049
     /* 162049 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(162097), // Rule ID 4330 //
     /* 162054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 162057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 162073 */     // (st p2:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 162073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 162076 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 162083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162095 */     GIR_RootConstrainSelectedInstOperands,
     /* 162096 */     // GIR_Coverage, 4330,
     /* 162096 */     GIR_EraseRootFromParent_Done,
     /* 162097 */   // Label 2516: @162097
     /* 162097 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(162158), // Rule ID 4681 //
     /* 162102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 162105 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 162121 */     // (st p2:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 p2:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 162121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 162124 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 162126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 162131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 162141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 162146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162156 */     GIR_RootConstrainSelectedInstOperands,
     /* 162157 */     // GIR_Coverage, 4681,
     /* 162157 */     GIR_EraseRootFromParent_Done,
     /* 162158 */   // Label 2517: @162158
     /* 162158 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(162216), // Rule ID 4683 //
     /* 162163 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 162179 */     // (st p2:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 p2:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 162179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 162182 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 162184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 162189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 162199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 162204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162214 */     GIR_RootConstrainSelectedInstOperands,
     /* 162215 */     // GIR_Coverage, 4683,
     /* 162215 */     GIR_EraseRootFromParent_Done,
     /* 162216 */   // Label 2518: @162216
     /* 162216 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(162277), // Rule ID 6680 //
     /* 162221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 162224 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 162240 */     // (st p2:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 162240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 162243 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 162250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 162260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 162265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162275 */     GIR_RootConstrainSelectedInstOperands,
     /* 162276 */     // GIR_Coverage, 6680,
     /* 162276 */     GIR_EraseRootFromParent_Done,
     /* 162277 */   // Label 2519: @162277
     /* 162277 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(162338), // Rule ID 6682 //
     /* 162282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 162285 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 162301 */     // (st p2:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 162301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 162304 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 162311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 162321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 162326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162336 */     GIR_RootConstrainSelectedInstOperands,
     /* 162337 */     // GIR_Coverage, 6682,
     /* 162337 */     GIR_EraseRootFromParent_Done,
     /* 162338 */   // Label 2520: @162338
     /* 162338 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(162394), // Rule ID 4680 //
     /* 162343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 162346 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 162362 */     // (st p2:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 162362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 162365 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 162367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 162377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162392 */     GIR_RootConstrainSelectedInstOperands,
     /* 162393 */     // GIR_Coverage, 4680,
     /* 162393 */     GIR_EraseRootFromParent_Done,
     /* 162394 */   // Label 2521: @162394
     /* 162394 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(162447), // Rule ID 4682 //
     /* 162399 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 162415 */     // (st p2:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 162415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 162418 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 162420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 162430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162445 */     GIR_RootConstrainSelectedInstOperands,
     /* 162446 */     // GIR_Coverage, 4682,
     /* 162446 */     GIR_EraseRootFromParent_Done,
     /* 162447 */   // Label 2522: @162447
     /* 162447 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(162499), // Rule ID 8106 //
     /* 162452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 162455 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 162459 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 162464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 162475 */     // (AMDGPUst_glue p2:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 162475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 162478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 162483 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162497 */     GIR_RootConstrainSelectedInstOperands,
     /* 162498 */     // GIR_Coverage, 8106,
     /* 162498 */     GIR_EraseRootFromParent_Done,
     /* 162499 */   // Label 2523: @162499
     /* 162499 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(162547), // Rule ID 8107 //
     /* 162504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 162507 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 162512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 162523 */     // (st p2:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 162523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 162526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 162531 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162545 */     GIR_RootConstrainSelectedInstOperands,
     /* 162546 */     // GIR_Coverage, 8107,
     /* 162546 */     GIR_EraseRootFromParent_Done,
     /* 162547 */   // Label 2524: @162547
     /* 162547 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(162600), // Rule ID 3934 //
     /* 162552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 162555 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 162571 */     // (st p2:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 162571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 162574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 162579 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 162586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162598 */     GIR_RootConstrainSelectedInstOperands,
     /* 162599 */     // GIR_Coverage, 3934,
     /* 162599 */     GIR_EraseRootFromParent_Done,
     /* 162600 */   // Label 2525: @162600
     /* 162600 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(162648), // Rule ID 3933 //
     /* 162605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 162608 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 162624 */     // (st p2:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 162624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 162627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 162632 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162646 */     GIR_RootConstrainSelectedInstOperands,
     /* 162647 */     // GIR_Coverage, 3933,
     /* 162647 */     GIR_EraseRootFromParent_Done,
     /* 162648 */   // Label 2526: @162648
     /* 162648 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(162697), // Rule ID 3655 //
     /* 162653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 162656 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 162662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 162673 */     // (st p2:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 162673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 162676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 162681 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162695 */     GIR_RootConstrainSelectedInstOperands,
     /* 162696 */     // GIR_Coverage, 3655,
     /* 162696 */     GIR_EraseRootFromParent_Done,
     /* 162697 */   // Label 2527: @162697
     /* 162697 */   GIM_Reject,
     /* 162698 */ // Label 2511: @162698
     /* 162698 */ GIM_Reject,
     /* 162699 */ // Label 2462: @162699
     /* 162699 */ GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(163569),
     /* 162704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162707 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(162763), // Rule ID 6685 //
     /* 162712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 162715 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 162731 */     // (st p3:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 162731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 162734 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 162746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162761 */     GIR_RootConstrainSelectedInstOperands,
     /* 162762 */     // GIR_Coverage, 6685,
     /* 162762 */     GIR_EraseRootFromParent_Done,
     /* 162763 */   // Label 2529: @162763
     /* 162763 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(162819), // Rule ID 6687 //
     /* 162768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 162771 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 162787 */     // (st p3:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 162787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 162790 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 162792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 162797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 162802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162817 */     GIR_RootConstrainSelectedInstOperands,
     /* 162818 */     // GIR_Coverage, 6687,
     /* 162818 */     GIR_EraseRootFromParent_Done,
     /* 162819 */   // Label 2530: @162819
     /* 162819 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(162872), // Rule ID 4338 //
     /* 162824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 162827 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 162843 */     // (st p3:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 162843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 162846 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 162853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 162858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 162863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162870 */     GIR_RootConstrainSelectedInstOperands,
     /* 162871 */     // GIR_Coverage, 4338,
     /* 162871 */     GIR_EraseRootFromParent_Done,
     /* 162872 */   // Label 2531: @162872
     /* 162872 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(162920), // Rule ID 4337 //
     /* 162877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 162880 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 162896 */     // (st p3:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 162896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 162899 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 162906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162918 */     GIR_RootConstrainSelectedInstOperands,
     /* 162919 */     // GIR_Coverage, 4337,
     /* 162919 */     GIR_EraseRootFromParent_Done,
     /* 162920 */   // Label 2532: @162920
     /* 162920 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(162968), // Rule ID 4336 //
     /* 162925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 162928 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 162933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 162944 */     // (st p3:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 162944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 162947 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 162949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 162954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 162959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 162962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 162966 */     GIR_RootConstrainSelectedInstOperands,
     /* 162967 */     // GIR_Coverage, 4336,
     /* 162967 */     GIR_EraseRootFromParent_Done,
     /* 162968 */   // Label 2533: @162968
     /* 162968 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(163029), // Rule ID 4685 //
     /* 162973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 162976 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 162981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 162985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 162992 */     // (st p3:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 p3:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 162992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 162995 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 162997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 163002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 163012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 163017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163027 */     GIR_RootConstrainSelectedInstOperands,
     /* 163028 */     // GIR_Coverage, 4685,
     /* 163028 */     GIR_EraseRootFromParent_Done,
     /* 163029 */   // Label 2534: @163029
     /* 163029 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(163087), // Rule ID 4687 //
     /* 163034 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 163050 */     // (st p3:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 p3:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 163050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 163053 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 163055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 163060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 163070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 163075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163085 */     GIR_RootConstrainSelectedInstOperands,
     /* 163086 */     // GIR_Coverage, 4687,
     /* 163086 */     GIR_EraseRootFromParent_Done,
     /* 163087 */   // Label 2535: @163087
     /* 163087 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(163148), // Rule ID 6684 //
     /* 163092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 163095 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 163100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 163111 */     // (st p3:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 163111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 163114 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 163121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 163131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 163136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163146 */     GIR_RootConstrainSelectedInstOperands,
     /* 163147 */     // GIR_Coverage, 6684,
     /* 163147 */     GIR_EraseRootFromParent_Done,
     /* 163148 */   // Label 2536: @163148
     /* 163148 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(163209), // Rule ID 6686 //
     /* 163153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 163156 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 163161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 163172 */     // (st p3:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 163172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 163175 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 163182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 163192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 163197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163207 */     GIR_RootConstrainSelectedInstOperands,
     /* 163208 */     // GIR_Coverage, 6686,
     /* 163208 */     GIR_EraseRootFromParent_Done,
     /* 163209 */   // Label 2537: @163209
     /* 163209 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(163265), // Rule ID 4684 //
     /* 163214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 163217 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 163233 */     // (st p3:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 163233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 163236 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 163238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 163248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 163253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163263 */     GIR_RootConstrainSelectedInstOperands,
     /* 163264 */     // GIR_Coverage, 4684,
     /* 163264 */     GIR_EraseRootFromParent_Done,
     /* 163265 */   // Label 2538: @163265
     /* 163265 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(163318), // Rule ID 4686 //
     /* 163270 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 163286 */     // (st p3:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 163286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 163289 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 163291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 163301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 163306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163316 */     GIR_RootConstrainSelectedInstOperands,
     /* 163317 */     // GIR_Coverage, 4686,
     /* 163317 */     GIR_EraseRootFromParent_Done,
     /* 163318 */   // Label 2539: @163318
     /* 163318 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(163370), // Rule ID 8108 //
     /* 163323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 163326 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 163330 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163346 */     // (AMDGPUst_glue p3:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 163349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163354 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163368 */     GIR_RootConstrainSelectedInstOperands,
     /* 163369 */     // GIR_Coverage, 8108,
     /* 163369 */     GIR_EraseRootFromParent_Done,
     /* 163370 */   // Label 2540: @163370
     /* 163370 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(163418), // Rule ID 8109 //
     /* 163375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 163378 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163394 */     // (st p3:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 163397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163402 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163416 */     GIR_RootConstrainSelectedInstOperands,
     /* 163417 */     // GIR_Coverage, 8109,
     /* 163417 */     GIR_EraseRootFromParent_Done,
     /* 163418 */   // Label 2541: @163418
     /* 163418 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(163471), // Rule ID 3938 //
     /* 163423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 163426 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 163442 */     // (st p3:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 163442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 163445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 163450 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 163457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 163462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163469 */     GIR_RootConstrainSelectedInstOperands,
     /* 163470 */     // GIR_Coverage, 3938,
     /* 163470 */     GIR_EraseRootFromParent_Done,
     /* 163471 */   // Label 2542: @163471
     /* 163471 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(163519), // Rule ID 3937 //
     /* 163476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 163479 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 163495 */     // (st p3:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 163495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 163498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 163503 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163517 */     GIR_RootConstrainSelectedInstOperands,
     /* 163518 */     // GIR_Coverage, 3937,
     /* 163518 */     GIR_EraseRootFromParent_Done,
     /* 163519 */   // Label 2543: @163519
     /* 163519 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(163568), // Rule ID 3657 //
     /* 163524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 163527 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 163533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 163544 */     // (st p3:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 163544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 163547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 163552 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163566 */     GIR_RootConstrainSelectedInstOperands,
     /* 163567 */     // GIR_Coverage, 3657,
     /* 163567 */     GIR_EraseRootFromParent_Done,
     /* 163568 */   // Label 2544: @163568
     /* 163568 */   GIM_Reject,
     /* 163569 */ // Label 2528: @163569
     /* 163569 */ GIM_Reject,
     /* 163570 */ // Label 2463: @163570
     /* 163570 */ GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(164562),
     /* 163575 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163578 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(163639), // Rule ID 8294 //
     /* 163583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 163586 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 163590 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163595 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163604 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 163608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163615 */     // (AMDGPUst_glue p4:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 163618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163623 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163637 */     GIR_RootConstrainSelectedInstOperands,
     /* 163638 */     // GIR_Coverage, 8294,
     /* 163638 */     GIR_EraseRootFromParent_Done,
     /* 163639 */   // Label 2546: @163639
     /* 163639 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(163695), // Rule ID 8226 //
     /* 163644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 163647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 163651 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163656 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 163660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163671 */     // (AMDGPUst_glue p4:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 163674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163679 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163693 */     GIR_RootConstrainSelectedInstOperands,
     /* 163694 */     // GIR_Coverage, 8226,
     /* 163694 */     GIR_EraseRootFromParent_Done,
     /* 163695 */   // Label 2547: @163695
     /* 163695 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(163752), // Rule ID 8295 //
     /* 163700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 163703 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163708 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 163721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163728 */     // (st p4:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 163731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163736 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163750 */     GIR_RootConstrainSelectedInstOperands,
     /* 163751 */     // GIR_Coverage, 8295,
     /* 163751 */     GIR_EraseRootFromParent_Done,
     /* 163752 */   // Label 2548: @163752
     /* 163752 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(163804), // Rule ID 8227 //
     /* 163757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 163760 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 163765 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 163769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 163780 */     // (st p4:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 163780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 163783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 163788 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 163790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163802 */     GIR_RootConstrainSelectedInstOperands,
     /* 163803 */     // GIR_Coverage, 8227,
     /* 163803 */     GIR_EraseRootFromParent_Done,
     /* 163804 */   // Label 2549: @163804
     /* 163804 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(163857), // Rule ID 4404 //
     /* 163809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 163812 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 163817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 163828 */     // (st p4:{ *:[i64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 163828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 163831 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 163838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 163843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 163848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163855 */     GIR_RootConstrainSelectedInstOperands,
     /* 163856 */     // GIR_Coverage, 4404,
     /* 163856 */     GIR_EraseRootFromParent_Done,
     /* 163857 */   // Label 2550: @163857
     /* 163857 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(163905), // Rule ID 4403 //
     /* 163862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 163865 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 163870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 163881 */     // (st p4:{ *:[i64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 163881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 163884 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 163891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163903 */     GIR_RootConstrainSelectedInstOperands,
     /* 163904 */     // GIR_Coverage, 4403,
     /* 163904 */     GIR_EraseRootFromParent_Done,
     /* 163905 */   // Label 2551: @163905
     /* 163905 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(163953), // Rule ID 4402 //
     /* 163910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 163913 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 163918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 163929 */     // (st p4:{ *:[i64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 163929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 163932 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 163934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 163939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 163944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 163947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 163951 */     GIR_RootConstrainSelectedInstOperands,
     /* 163952 */     // GIR_Coverage, 4402,
     /* 163952 */     GIR_EraseRootFromParent_Done,
     /* 163953 */   // Label 2552: @163953
     /* 163953 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(164014), // Rule ID 4729 //
     /* 163958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 163961 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 163966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 163970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 163977 */     // (st p4:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 p4:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 163977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 163980 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 163982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 163987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 163992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 163997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 164002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164012 */     GIR_RootConstrainSelectedInstOperands,
     /* 164013 */     // GIR_Coverage, 4729,
     /* 164013 */     GIR_EraseRootFromParent_Done,
     /* 164014 */   // Label 2553: @164014
     /* 164014 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(164072), // Rule ID 4731 //
     /* 164019 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 164035 */     // (st p4:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 p4:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 164035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 164038 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 164040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 164045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 164055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 164060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164070 */     GIR_RootConstrainSelectedInstOperands,
     /* 164071 */     // GIR_Coverage, 4731,
     /* 164071 */     GIR_EraseRootFromParent_Done,
     /* 164072 */   // Label 2554: @164072
     /* 164072 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(164189), // Rule ID 8169 //
     /* 164077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 164080 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 164084 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 164089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 164100 */     // (AMDGPUst_glue p4:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 164100 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 164103 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164107 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164112 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 164118 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 164123 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 164128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164140 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 164146 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 164151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 164156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 164159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 164164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 164175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 164180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164187 */     GIR_RootConstrainSelectedInstOperands,
     /* 164188 */     // GIR_Coverage, 8169,
     /* 164188 */     GIR_EraseRootFromParent_Done,
     /* 164189 */   // Label 2555: @164189
     /* 164189 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(164245), // Rule ID 4728 //
     /* 164194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 164197 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 164213 */     // (st p4:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 164213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 164216 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 164218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 164228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164243 */     GIR_RootConstrainSelectedInstOperands,
     /* 164244 */     // GIR_Coverage, 4728,
     /* 164244 */     GIR_EraseRootFromParent_Done,
     /* 164245 */   // Label 2556: @164245
     /* 164245 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(164298), // Rule ID 4730 //
     /* 164250 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 164266 */     // (st p4:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 164266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 164269 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 164271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 164281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164296 */     GIR_RootConstrainSelectedInstOperands,
     /* 164297 */     // GIR_Coverage, 4730,
     /* 164297 */     GIR_EraseRootFromParent_Done,
     /* 164298 */   // Label 2557: @164298
     /* 164298 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(164411), // Rule ID 8171 //
     /* 164303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 164306 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 164311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 164322 */     // (st p4:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 164322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 164325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164334 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 164340 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 164345 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 164350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164362 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 164368 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 164373 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 164378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 164381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 164386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 164397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 164402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164409 */     GIR_RootConstrainSelectedInstOperands,
     /* 164410 */     // GIR_Coverage, 8171,
     /* 164410 */     GIR_EraseRootFromParent_Done,
     /* 164411 */   // Label 2558: @164411
     /* 164411 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(164464), // Rule ID 3982 //
     /* 164416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 164419 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 164435 */     // (st p4:{ *:[i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 164435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 164438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 164443 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 164450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164462 */     GIR_RootConstrainSelectedInstOperands,
     /* 164463 */     // GIR_Coverage, 3982,
     /* 164463 */     GIR_EraseRootFromParent_Done,
     /* 164464 */   // Label 2559: @164464
     /* 164464 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(164512), // Rule ID 3981 //
     /* 164469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 164472 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 164488 */     // (st p4:{ *:[i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 164488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 164491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 164496 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 164503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164510 */     GIR_RootConstrainSelectedInstOperands,
     /* 164511 */     // GIR_Coverage, 3981,
     /* 164511 */     GIR_EraseRootFromParent_Done,
     /* 164512 */   // Label 2560: @164512
     /* 164512 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(164561), // Rule ID 3678 //
     /* 164517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 164520 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 164526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 164537 */     // (st p4:{ *:[i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 164537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 164540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 164545 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 164552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164559 */     GIR_RootConstrainSelectedInstOperands,
     /* 164560 */     // GIR_Coverage, 3678,
     /* 164560 */     GIR_EraseRootFromParent_Done,
     /* 164561 */   // Label 2561: @164561
     /* 164561 */   GIM_Reject,
     /* 164562 */ // Label 2545: @164562
     /* 164562 */ GIM_Reject,
     /* 164563 */ // Label 2464: @164563
     /* 164563 */ GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(165433),
     /* 164568 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164571 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(164627), // Rule ID 6689 //
     /* 164576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 164579 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 164595 */     // (st p5:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 164595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 164598 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 164600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 164610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164625 */     GIR_RootConstrainSelectedInstOperands,
     /* 164626 */     // GIR_Coverage, 6689,
     /* 164626 */     GIR_EraseRootFromParent_Done,
     /* 164627 */   // Label 2563: @164627
     /* 164627 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(164683), // Rule ID 6691 //
     /* 164632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 164635 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 164651 */     // (st p5:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 164651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 164654 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 164656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 164666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164681 */     GIR_RootConstrainSelectedInstOperands,
     /* 164682 */     // GIR_Coverage, 6691,
     /* 164682 */     GIR_EraseRootFromParent_Done,
     /* 164683 */   // Label 2564: @164683
     /* 164683 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(164736), // Rule ID 4344 //
     /* 164688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 164691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 164707 */     // (st p5:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 164707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 164710 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 164717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 164722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 164727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164734 */     GIR_RootConstrainSelectedInstOperands,
     /* 164735 */     // GIR_Coverage, 4344,
     /* 164735 */     GIR_EraseRootFromParent_Done,
     /* 164736 */   // Label 2565: @164736
     /* 164736 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(164784), // Rule ID 4343 //
     /* 164741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 164744 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 164760 */     // (st p5:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 164760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 164763 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 164770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 164775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164782 */     GIR_RootConstrainSelectedInstOperands,
     /* 164783 */     // GIR_Coverage, 4343,
     /* 164783 */     GIR_EraseRootFromParent_Done,
     /* 164784 */   // Label 2566: @164784
     /* 164784 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(164832), // Rule ID 4342 //
     /* 164789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 164792 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 164808 */     // (st p5:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 164808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 164811 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 164813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 164818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 164823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164830 */     GIR_RootConstrainSelectedInstOperands,
     /* 164831 */     // GIR_Coverage, 4342,
     /* 164831 */     GIR_EraseRootFromParent_Done,
     /* 164832 */   // Label 2567: @164832
     /* 164832 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(164893), // Rule ID 4689 //
     /* 164837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 164840 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 164856 */     // (st p5:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 p5:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 164856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 164859 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 164861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 164866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 164876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 164881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164891 */     GIR_RootConstrainSelectedInstOperands,
     /* 164892 */     // GIR_Coverage, 4689,
     /* 164892 */     GIR_EraseRootFromParent_Done,
     /* 164893 */   // Label 2568: @164893
     /* 164893 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(164951), // Rule ID 4691 //
     /* 164898 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 164903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 164914 */     // (st p5:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 p5:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 164914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 164917 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 164919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 164924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 164934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 164939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 164945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 164949 */     GIR_RootConstrainSelectedInstOperands,
     /* 164950 */     // GIR_Coverage, 4691,
     /* 164950 */     GIR_EraseRootFromParent_Done,
     /* 164951 */   // Label 2569: @164951
     /* 164951 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(165012), // Rule ID 6688 //
     /* 164956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 164959 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 164964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 164968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 164975 */     // (st p5:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 164975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 164978 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 164980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 164985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 164990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 164995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165010 */     GIR_RootConstrainSelectedInstOperands,
     /* 165011 */     // GIR_Coverage, 6688,
     /* 165011 */     GIR_EraseRootFromParent_Done,
     /* 165012 */   // Label 2570: @165012
     /* 165012 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(165073), // Rule ID 6690 //
     /* 165017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 165020 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 165036 */     // (st p5:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 165036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 165039 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 165046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 165056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165071 */     GIR_RootConstrainSelectedInstOperands,
     /* 165072 */     // GIR_Coverage, 6690,
     /* 165072 */     GIR_EraseRootFromParent_Done,
     /* 165073 */   // Label 2571: @165073
     /* 165073 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(165129), // Rule ID 4688 //
     /* 165078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 165081 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 165097 */     // (st p5:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 165097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 165100 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 165102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 165112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165127 */     GIR_RootConstrainSelectedInstOperands,
     /* 165128 */     // GIR_Coverage, 4688,
     /* 165128 */     GIR_EraseRootFromParent_Done,
     /* 165129 */   // Label 2572: @165129
     /* 165129 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(165182), // Rule ID 4690 //
     /* 165134 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 165150 */     // (st p5:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 165150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 165153 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 165155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 165165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165180 */     GIR_RootConstrainSelectedInstOperands,
     /* 165181 */     // GIR_Coverage, 4690,
     /* 165181 */     GIR_EraseRootFromParent_Done,
     /* 165182 */   // Label 2573: @165182
     /* 165182 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(165234), // Rule ID 8110 //
     /* 165187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 165190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 165194 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 165199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 165210 */     // (AMDGPUst_glue p5:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 165210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 165213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 165218 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165232 */     GIR_RootConstrainSelectedInstOperands,
     /* 165233 */     // GIR_Coverage, 8110,
     /* 165233 */     GIR_EraseRootFromParent_Done,
     /* 165234 */   // Label 2574: @165234
     /* 165234 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(165282), // Rule ID 8111 //
     /* 165239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 165242 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 165247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 165258 */     // (st p5:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 165258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 165261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 165266 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165280 */     GIR_RootConstrainSelectedInstOperands,
     /* 165281 */     // GIR_Coverage, 8111,
     /* 165281 */     GIR_EraseRootFromParent_Done,
     /* 165282 */   // Label 2575: @165282
     /* 165282 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(165335), // Rule ID 3942 //
     /* 165287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 165290 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 165306 */     // (st p5:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 165306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 165309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 165314 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 165321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165333 */     GIR_RootConstrainSelectedInstOperands,
     /* 165334 */     // GIR_Coverage, 3942,
     /* 165334 */     GIR_EraseRootFromParent_Done,
     /* 165335 */   // Label 2576: @165335
     /* 165335 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(165383), // Rule ID 3941 //
     /* 165340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 165343 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 165359 */     // (st p5:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 165359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 165362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 165367 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165381 */     GIR_RootConstrainSelectedInstOperands,
     /* 165382 */     // GIR_Coverage, 3941,
     /* 165382 */     GIR_EraseRootFromParent_Done,
     /* 165383 */   // Label 2577: @165383
     /* 165383 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(165432), // Rule ID 3659 //
     /* 165388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 165391 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 165397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 165408 */     // (st p5:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 165408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 165411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 165416 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165430 */     GIR_RootConstrainSelectedInstOperands,
     /* 165431 */     // GIR_Coverage, 3659,
     /* 165431 */     GIR_EraseRootFromParent_Done,
     /* 165432 */   // Label 2578: @165432
     /* 165432 */   GIM_Reject,
     /* 165433 */ // Label 2562: @165433
     /* 165433 */ GIM_Reject,
     /* 165434 */ // Label 2465: @165434
     /* 165434 */ GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(166304),
     /* 165439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165442 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(165498), // Rule ID 6693 //
     /* 165447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 165450 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 165466 */     // (st p6:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 165466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 165469 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 165481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165496 */     GIR_RootConstrainSelectedInstOperands,
     /* 165497 */     // GIR_Coverage, 6693,
     /* 165497 */     GIR_EraseRootFromParent_Done,
     /* 165498 */   // Label 2580: @165498
     /* 165498 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(165554), // Rule ID 6695 //
     /* 165503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 165506 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 165522 */     // (st p6:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 165522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 165525 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 165537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165552 */     GIR_RootConstrainSelectedInstOperands,
     /* 165553 */     // GIR_Coverage, 6695,
     /* 165553 */     GIR_EraseRootFromParent_Done,
     /* 165554 */   // Label 2581: @165554
     /* 165554 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(165607), // Rule ID 4350 //
     /* 165559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 165562 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 165578 */     // (st p6:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 165578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 165581 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 165588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 165593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165605 */     GIR_RootConstrainSelectedInstOperands,
     /* 165606 */     // GIR_Coverage, 4350,
     /* 165606 */     GIR_EraseRootFromParent_Done,
     /* 165607 */   // Label 2582: @165607
     /* 165607 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(165655), // Rule ID 4349 //
     /* 165612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 165615 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 165631 */     // (st p6:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 165631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 165634 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 165641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165653 */     GIR_RootConstrainSelectedInstOperands,
     /* 165654 */     // GIR_Coverage, 4349,
     /* 165654 */     GIR_EraseRootFromParent_Done,
     /* 165655 */   // Label 2583: @165655
     /* 165655 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(165703), // Rule ID 4348 //
     /* 165660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 165663 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 165679 */     // (st p6:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 165679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 165682 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 165684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 165689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 165694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165701 */     GIR_RootConstrainSelectedInstOperands,
     /* 165702 */     // GIR_Coverage, 4348,
     /* 165702 */     GIR_EraseRootFromParent_Done,
     /* 165703 */   // Label 2584: @165703
     /* 165703 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(165764), // Rule ID 4693 //
     /* 165708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 165711 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 165727 */     // (st p6:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 p6:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 165727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 165730 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 165732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 165737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 165747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165762 */     GIR_RootConstrainSelectedInstOperands,
     /* 165763 */     // GIR_Coverage, 4693,
     /* 165763 */     GIR_EraseRootFromParent_Done,
     /* 165764 */   // Label 2585: @165764
     /* 165764 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(165822), // Rule ID 4695 //
     /* 165769 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 165785 */     // (st p6:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 p6:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 165785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 165788 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 165790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 165795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 165805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165820 */     GIR_RootConstrainSelectedInstOperands,
     /* 165821 */     // GIR_Coverage, 4695,
     /* 165821 */     GIR_EraseRootFromParent_Done,
     /* 165822 */   // Label 2586: @165822
     /* 165822 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(165883), // Rule ID 6692 //
     /* 165827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 165830 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 165846 */     // (st p6:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 165846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 165849 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 165856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 165866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165881 */     GIR_RootConstrainSelectedInstOperands,
     /* 165882 */     // GIR_Coverage, 6692,
     /* 165882 */     GIR_EraseRootFromParent_Done,
     /* 165883 */   // Label 2587: @165883
     /* 165883 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(165944), // Rule ID 6694 //
     /* 165888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 165891 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 165896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 165907 */     // (st p6:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 165907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 165910 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 165912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 165917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 165927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 165932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165942 */     GIR_RootConstrainSelectedInstOperands,
     /* 165943 */     // GIR_Coverage, 6694,
     /* 165943 */     GIR_EraseRootFromParent_Done,
     /* 165944 */   // Label 2588: @165944
     /* 165944 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(166000), // Rule ID 4692 //
     /* 165949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 165952 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 165957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 165961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 165968 */     // (st p6:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 165968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 165971 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 165973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 165978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 165983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 165988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 165994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 165998 */     GIR_RootConstrainSelectedInstOperands,
     /* 165999 */     // GIR_Coverage, 4692,
     /* 165999 */     GIR_EraseRootFromParent_Done,
     /* 166000 */   // Label 2589: @166000
     /* 166000 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(166053), // Rule ID 4694 //
     /* 166005 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 166010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 166021 */     // (st p6:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 166021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 166024 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 166026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 166031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 166036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166051 */     GIR_RootConstrainSelectedInstOperands,
     /* 166052 */     // GIR_Coverage, 4694,
     /* 166052 */     GIR_EraseRootFromParent_Done,
     /* 166053 */   // Label 2590: @166053
     /* 166053 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(166105), // Rule ID 8112 //
     /* 166058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 166061 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166065 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 166070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 166081 */     // (AMDGPUst_glue p6:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 166081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 166084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 166089 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 166096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166103 */     GIR_RootConstrainSelectedInstOperands,
     /* 166104 */     // GIR_Coverage, 8112,
     /* 166104 */     GIR_EraseRootFromParent_Done,
     /* 166105 */   // Label 2591: @166105
     /* 166105 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(166153), // Rule ID 8113 //
     /* 166110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 166113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 166118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 166129 */     // (st p6:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 166129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 166132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 166137 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 166144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166151 */     GIR_RootConstrainSelectedInstOperands,
     /* 166152 */     // GIR_Coverage, 8113,
     /* 166152 */     GIR_EraseRootFromParent_Done,
     /* 166153 */   // Label 2592: @166153
     /* 166153 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(166206), // Rule ID 3946 //
     /* 166158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 166161 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 166166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 166177 */     // (st p6:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 166180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 166185 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 166192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166204 */     GIR_RootConstrainSelectedInstOperands,
     /* 166205 */     // GIR_Coverage, 3946,
     /* 166205 */     GIR_EraseRootFromParent_Done,
     /* 166206 */   // Label 2593: @166206
     /* 166206 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(166254), // Rule ID 3945 //
     /* 166211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 166214 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 166219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 166230 */     // (st p6:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 166230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 166233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166238 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 166245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166252 */     GIR_RootConstrainSelectedInstOperands,
     /* 166253 */     // GIR_Coverage, 3945,
     /* 166253 */     GIR_EraseRootFromParent_Done,
     /* 166254 */   // Label 2594: @166254
     /* 166254 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(166303), // Rule ID 3661 //
     /* 166259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 166262 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 166268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 166279 */     // (st p6:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 166279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 166282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166287 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 166294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166301 */     GIR_RootConstrainSelectedInstOperands,
     /* 166302 */     // GIR_Coverage, 3661,
     /* 166302 */     GIR_EraseRootFromParent_Done,
     /* 166303 */   // Label 2595: @166303
     /* 166303 */   GIM_Reject,
     /* 166304 */ // Label 2579: @166304
     /* 166304 */ GIM_Reject,
     /* 166305 */ // Label 2466: @166305
     /* 166305 */ GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(166375), // Rule ID 6657 //
     /* 166310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 166313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166316 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166320 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166327 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166336 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 166343 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_OFFSET VGPR_32:{ *:[i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 166343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFSET),
     /* 166346 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 166353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 166358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166369 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166373 */   GIR_RootConstrainSelectedInstOperands,
     /* 166374 */   // GIR_Coverage, 6657,
     /* 166374 */   GIR_EraseRootFromParent_Done,
     /* 166375 */ // Label 2596: @166375
     /* 166375 */ GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(166445), // Rule ID 6659 //
     /* 166380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 166383 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166386 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166390 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166397 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166402 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166406 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 166413 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFSET VGPR_32:{ *:[i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 166413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFSET),
     /* 166416 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 166423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 166428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166439 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166443 */   GIR_RootConstrainSelectedInstOperands,
     /* 166444 */   // GIR_Coverage, 6659,
     /* 166444 */   GIR_EraseRootFromParent_Done,
     /* 166445 */ // Label 2597: @166445
     /* 166445 */ GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(166504), // Rule ID 6661 //
     /* 166450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 166453 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166456 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166461 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166465 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 166472 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_SHORT_OFFSET VGPR_32:{ *:[i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 166472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFSET),
     /* 166475 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 166482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 166487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166502 */   GIR_RootConstrainSelectedInstOperands,
     /* 166503 */   // GIR_Coverage, 6661,
     /* 166503 */   GIR_EraseRootFromParent_Done,
     /* 166504 */ // Label 2598: @166504
     /* 166504 */ GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(166563), // Rule ID 6663 //
     /* 166509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 166512 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166515 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166520 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166524 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 166531 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFSET VGPR_32:{ *:[i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 166531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFSET),
     /* 166534 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 166536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 166541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 166546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166561 */   GIR_RootConstrainSelectedInstOperands,
     /* 166562 */   // GIR_Coverage, 6663,
     /* 166562 */   GIR_EraseRootFromParent_Done,
     /* 166563 */ // Label 2599: @166563
     /* 166563 */ GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(166630), // Rule ID 4272 //
     /* 166568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /* 166571 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166574 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166585 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166601 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SVS anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SVS),
     /* 166604 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166628 */   GIR_RootConstrainSelectedInstOperands,
     /* 166629 */   // GIR_Coverage, 4272,
     /* 166629 */   GIR_EraseRootFromParent_Done,
     /* 166630 */ // Label 2600: @166630
     /* 166630 */ GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(166697), // Rule ID 4290 //
     /* 166635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /* 166638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166641 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166645 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166652 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166657 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166661 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166668 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SVS anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SVS),
     /* 166671 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166695 */   GIR_RootConstrainSelectedInstOperands,
     /* 166696 */   // GIR_Coverage, 4290,
     /* 166696 */   GIR_EraseRootFromParent_Done,
     /* 166697 */ // Label 2601: @166697
     /* 166697 */ GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(166764), // Rule ID 4302 //
     /* 166702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /* 166705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166708 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166712 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166719 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166724 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166728 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166735 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SVS_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SVS_t16),
     /* 166738 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166762 */   GIR_RootConstrainSelectedInstOperands,
     /* 166763 */   // GIR_Coverage, 4302,
     /* 166763 */   GIR_EraseRootFromParent_Done,
     /* 166764 */ // Label 2602: @166764
     /* 166764 */ GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(166820), // Rule ID 3583 //
     /* 166769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_NotHasTrue16BitInsts),
     /* 166772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166775 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166784 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166791 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SVS anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SVS),
     /* 166794 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166818 */   GIR_RootConstrainSelectedInstOperands,
     /* 166819 */   // GIR_Coverage, 3583,
     /* 166819 */   GIR_EraseRootFromParent_Done,
     /* 166820 */ // Label 2603: @166820
     /* 166820 */ GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(166876), // Rule ID 3586 //
     /* 166825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseRealTrue16Insts),
     /* 166828 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166831 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166836 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166840 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166847 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SVS_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SVS_t16),
     /* 166850 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166852 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166870 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166874 */   GIR_RootConstrainSelectedInstOperands,
     /* 166875 */   // GIR_Coverage, 3586,
     /* 166875 */   GIR_EraseRootFromParent_Done,
     /* 166876 */ // Label 2604: @166876
     /* 166876 */ GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(166932), // Rule ID 4287 //
     /* 166881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode_UseFakeTrue16Insts),
     /* 166884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166887 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166892 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166896 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 166903 */   // (st i16:{ *:[i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SVS anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SVS),
     /* 166906 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 166913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 166918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 166923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166926 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166930 */   GIR_RootConstrainSelectedInstOperands,
     /* 166931 */   // GIR_Coverage, 4287,
     /* 166931 */   GIR_EraseRootFromParent_Done,
     /* 166932 */ // Label 2605: @166932
     /* 166932 */ GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(166994), // Rule ID 4271 //
     /* 166937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 166940 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166943 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 166947 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 166954 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 166959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 166963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 166970 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SADDR anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 166970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SADDR),
     /* 166973 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 166975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 166980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 166985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 166988 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 166992 */   GIR_RootConstrainSelectedInstOperands,
     /* 166993 */   // GIR_Coverage, 4271,
     /* 166993 */   GIR_EraseRootFromParent_Done,
     /* 166994 */ // Label 2606: @166994
     /* 166994 */ GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(167056), // Rule ID 4289 //
     /* 166999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 167002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167005 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167009 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167016 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 167032 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SADDR anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 167032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SADDR),
     /* 167035 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 167042 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167050 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167054 */   GIR_RootConstrainSelectedInstOperands,
     /* 167055 */   // GIR_Coverage, 4289,
     /* 167055 */   GIR_EraseRootFromParent_Done,
     /* 167056 */ // Label 2607: @167056
     /* 167056 */ GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(167118), // Rule ID 4301 //
     /* 167061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 167064 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167067 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167071 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167078 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167083 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167087 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 167094 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SADDR_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 167094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SADDR_t16),
     /* 167097 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 167104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167112 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167116 */   GIR_RootConstrainSelectedInstOperands,
     /* 167117 */   // GIR_Coverage, 4301,
     /* 167117 */   GIR_EraseRootFromParent_Done,
     /* 167118 */ // Label 2608: @167118
     /* 167118 */ GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(167169), // Rule ID 3582 //
     /* 167123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 167126 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167129 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 167145 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SADDR anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 167145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SADDR),
     /* 167148 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 167155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167163 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167167 */   GIR_RootConstrainSelectedInstOperands,
     /* 167168 */   // GIR_Coverage, 3582,
     /* 167168 */   GIR_EraseRootFromParent_Done,
     /* 167169 */ // Label 2609: @167169
     /* 167169 */ GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(167220), // Rule ID 3585 //
     /* 167174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 167177 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167180 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 167196 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SADDR_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 167196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SADDR_t16),
     /* 167199 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 167206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167214 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167218 */   GIR_RootConstrainSelectedInstOperands,
     /* 167219 */   // GIR_Coverage, 3585,
     /* 167219 */   GIR_EraseRootFromParent_Done,
     /* 167220 */ // Label 2610: @167220
     /* 167220 */ GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(167271), // Rule ID 4286 //
     /* 167225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 167228 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167231 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167236 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167240 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 167247 */   // (st i16:{ *:[i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_SADDR anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 167247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SADDR),
     /* 167250 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 167257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167265 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167269 */   GIR_RootConstrainSelectedInstOperands,
     /* 167270 */   // GIR_Coverage, 4286,
     /* 167270 */   GIR_EraseRootFromParent_Done,
     /* 167271 */ // Label 2611: @167271
     /* 167271 */ GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(167333), // Rule ID 4270 //
     /* 167276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 167279 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167282 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167286 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167293 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167298 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167302 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167309 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE),
     /* 167312 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167331 */   GIR_RootConstrainSelectedInstOperands,
     /* 167332 */   // GIR_Coverage, 4270,
     /* 167332 */   GIR_EraseRootFromParent_Done,
     /* 167333 */ // Label 2612: @167333
     /* 167333 */ GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(167395), // Rule ID 4288 //
     /* 167338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 167341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167344 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167348 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167355 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167371 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE),
     /* 167374 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167376 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167389 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167393 */   GIR_RootConstrainSelectedInstOperands,
     /* 167394 */   // GIR_Coverage, 4288,
     /* 167394 */   GIR_EraseRootFromParent_Done,
     /* 167395 */ // Label 2613: @167395
     /* 167395 */ GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(167457), // Rule ID 4300 //
     /* 167400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 167403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167406 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167410 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167417 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167426 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167433 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_t16),
     /* 167436 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167443 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167451 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167455 */   GIR_RootConstrainSelectedInstOperands,
     /* 167456 */   // GIR_Coverage, 4300,
     /* 167456 */   GIR_EraseRootFromParent_Done,
     /* 167457 */ // Label 2614: @167457
     /* 167457 */ GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(167508), // Rule ID 3581 //
     /* 167462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_NotHasTrue16BitInsts),
     /* 167465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167468 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167484 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT),
     /* 167487 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167506 */   GIR_RootConstrainSelectedInstOperands,
     /* 167507 */   // GIR_Coverage, 3581,
     /* 167507 */   GIR_EraseRootFromParent_Done,
     /* 167508 */ // Label 2615: @167508
     /* 167508 */ GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(167559), // Rule ID 3584 //
     /* 167513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseRealTrue16Insts),
     /* 167516 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167519 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167524 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167528 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167535 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT_t16 anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_t16),
     /* 167538 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167540 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167553 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167557 */   GIR_RootConstrainSelectedInstOperands,
     /* 167558 */   // GIR_Coverage, 3584,
     /* 167558 */   GIR_EraseRootFromParent_Done,
     /* 167559 */ // Label 2616: @167559
     /* 167559 */ GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(167610), // Rule ID 4285 //
     /* 167564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_UseFakeTrue16Insts),
     /* 167567 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167570 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167579 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 167586 */   // (st i16:{ *:[i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_SHORT anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 167586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT),
     /* 167589 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 167591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 167596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 167601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167604 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167608 */   GIR_RootConstrainSelectedInstOperands,
     /* 167609 */   // GIR_Coverage, 4285,
     /* 167609 */   GIR_EraseRootFromParent_Done,
     /* 167610 */ // Label 2617: @167610
     /* 167610 */ GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(167681), // Rule ID 6634 //
     /* 167615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 167618 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167621 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167628 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 167633 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167637 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 167644 */   // (atomic_store i16:{ *:[i16] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (BUFFER_STORE_BYTE_ADDR64 ?:{ *:[i16] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 167644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_ADDR64),
     /* 167647 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 167649 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 167654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 167659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 167664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 167669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167675 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167679 */   GIR_RootConstrainSelectedInstOperands,
     /* 167680 */   // GIR_Coverage, 6634,
     /* 167680 */   GIR_EraseRootFromParent_Done,
     /* 167681 */ // Label 2618: @167681
     /* 167681 */ GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(167752), // Rule ID 6638 //
     /* 167686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 167689 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167692 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 167699 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 167704 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167708 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 167715 */   // (atomic_store i16:{ *:[i16] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (BUFFER_STORE_SHORT_ADDR64 ?:{ *:[i16] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 167715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_ADDR64),
     /* 167718 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 167720 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 167725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 167730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 167735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 167740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167750 */   GIR_RootConstrainSelectedInstOperands,
     /* 167751 */   // GIR_Coverage, 6638,
     /* 167751 */   GIR_EraseRootFromParent_Done,
     /* 167752 */ // Label 2619: @167752
     /* 167752 */ GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(167827), // Rule ID 6656 //
     /* 167757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 167760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167763 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167767 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167774 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167779 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167783 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 167790 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_OFFEN VGPR_32:{ *:[i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 167790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFEN),
     /* 167793 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 167795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 167800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 167805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 167810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 167815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167825 */   GIR_RootConstrainSelectedInstOperands,
     /* 167826 */   // GIR_Coverage, 6656,
     /* 167826 */   GIR_EraseRootFromParent_Done,
     /* 167827 */ // Label 2620: @167827
     /* 167827 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(167902), // Rule ID 6658 //
     /* 167832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 167835 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167838 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 167842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 167849 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167854 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167858 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 167865 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFEN VGPR_32:{ *:[i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 167865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFEN),
     /* 167868 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 167870 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 167875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 167880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 167885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 167890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167896 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167900 */   GIR_RootConstrainSelectedInstOperands,
     /* 167901 */   // GIR_Coverage, 6658,
     /* 167901 */   GIR_EraseRootFromParent_Done,
     /* 167902 */ // Label 2621: @167902
     /* 167902 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(167966), // Rule ID 6660 //
     /* 167907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 167910 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167913 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167918 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167922 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 167929 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_SHORT_OFFEN VGPR_32:{ *:[i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 167929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFEN),
     /* 167932 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 167934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 167939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 167944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 167949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 167954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 167960 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 167964 */   GIR_RootConstrainSelectedInstOperands,
     /* 167965 */   // GIR_Coverage, 6660,
     /* 167965 */   GIR_EraseRootFromParent_Done,
     /* 167966 */ // Label 2622: @167966
     /* 167966 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(168030), // Rule ID 6662 //
     /* 167971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 167974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167977 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 167982 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 167986 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 167993 */   // (st i16:{ *:[i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFEN VGPR_32:{ *:[i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 167993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFEN),
     /* 167996 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 167998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 168003 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 168008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 168013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 168018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168028 */   GIR_RootConstrainSelectedInstOperands,
     /* 168029 */   // GIR_Coverage, 6662,
     /* 168029 */   GIR_EraseRootFromParent_Done,
     /* 168030 */ // Label 2623: @168030
     /* 168030 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(168100), // Rule ID 6644 //
     /* 168035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 168038 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168041 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168045 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168052 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 168057 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 168068 */   // (st i16:{ *:[i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_OFFSET ?:{ *:[i16] }:$vdata, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 168068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFSET),
     /* 168071 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 168073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 168078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 168083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 168088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168098 */   GIR_RootConstrainSelectedInstOperands,
     /* 168099 */   // GIR_Coverage, 6644,
     /* 168099 */   GIR_EraseRootFromParent_Done,
     /* 168100 */ // Label 2624: @168100
     /* 168100 */ GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(168167), // Rule ID 6645 //
     /* 168105 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168108 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168112 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168119 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 168124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168128 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 168135 */   // (st i16:{ *:[i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFSET ?:{ *:[i16] }:$vdata, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 168135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFSET),
     /* 168138 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 168140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 168145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 168150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 168155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168165 */   GIR_RootConstrainSelectedInstOperands,
     /* 168166 */   // GIR_Coverage, 6645,
     /* 168166 */   GIR_EraseRootFromParent_Done,
     /* 168167 */ // Label 2625: @168167
     /* 168167 */ GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(168226), // Rule ID 6646 //
     /* 168172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 168175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168178 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 168183 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168187 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 168194 */   // (st i16:{ *:[i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_SHORT_OFFSET ?:{ *:[i16] }:$vdata, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 168194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFSET),
     /* 168197 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 168199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 168204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 168209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 168214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168220 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168224 */   GIR_RootConstrainSelectedInstOperands,
     /* 168225 */   // GIR_Coverage, 6646,
     /* 168225 */   GIR_EraseRootFromParent_Done,
     /* 168226 */ // Label 2626: @168226
     /* 168226 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(168282), // Rule ID 6647 //
     /* 168231 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168234 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 168239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 168250 */   // (st i16:{ *:[i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFSET ?:{ *:[i16] }:$vdata, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 168250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFSET),
     /* 168253 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 168255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 168260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 168265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 168270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168280 */   GIR_RootConstrainSelectedInstOperands,
     /* 168281 */   // GIR_Coverage, 6647,
     /* 168281 */   GIR_EraseRootFromParent_Done,
     /* 168282 */ // Label 2627: @168282
     /* 168282 */ GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(168340), // Rule ID 8114 //
     /* 168287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 168290 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168293 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168300 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168305 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168309 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168316 */   // (AMDGPUatomic_st_glue i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8_glue>><<P:Predicate_atomic_store_8_local_m0>>  =>  (DS_WRITE_B8 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8),
     /* 168319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168324 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168326 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168334 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168338 */   GIR_RootConstrainSelectedInstOperands,
     /* 168339 */   // GIR_Coverage, 8114,
     /* 168339 */   GIR_EraseRootFromParent_Done,
     /* 168340 */ // Label 2628: @168340
     /* 168340 */ GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(168398), // Rule ID 8115 //
     /* 168345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 168348 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168351 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168358 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168363 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168374 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 168377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168382 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168396 */   GIR_RootConstrainSelectedInstOperands,
     /* 168397 */   // GIR_Coverage, 8115,
     /* 168397 */   GIR_EraseRootFromParent_Done,
     /* 168398 */ // Label 2629: @168398
     /* 168398 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(168456), // Rule ID 8116 //
     /* 168403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 168406 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168409 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168416 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168432 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 168435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168440 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168450 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168454 */   GIR_RootConstrainSelectedInstOperands,
     /* 168455 */   // GIR_Coverage, 8116,
     /* 168455 */   GIR_EraseRootFromParent_Done,
     /* 168456 */ // Label 2630: @168456
     /* 168456 */ GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(168514), // Rule ID 8117 //
     /* 168461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 168464 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168467 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168474 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168479 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168490 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_local>>  =>  (DS_WRITE_B8_t16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_t16),
     /* 168493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168498 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168512 */   GIR_RootConstrainSelectedInstOperands,
     /* 168513 */   // GIR_Coverage, 8117,
     /* 168513 */   GIR_EraseRootFromParent_Done,
     /* 168514 */ // Label 2631: @168514
     /* 168514 */ GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(168572), // Rule ID 8120 //
     /* 168519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 168522 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168525 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 168532 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168537 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168541 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168548 */   // (AMDGPUatomic_st_glue i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16_glue>><<P:Predicate_atomic_store_16_local_m0>>  =>  (DS_WRITE_B16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16),
     /* 168551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168556 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168566 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168570 */   GIR_RootConstrainSelectedInstOperands,
     /* 168571 */   // GIR_Coverage, 8120,
     /* 168571 */   GIR_EraseRootFromParent_Done,
     /* 168572 */ // Label 2632: @168572
     /* 168572 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(168630), // Rule ID 8121 //
     /* 168577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 168580 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168583 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 168590 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168595 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168599 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168606 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 168609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168614 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168628 */   GIR_RootConstrainSelectedInstOperands,
     /* 168629 */   // GIR_Coverage, 8121,
     /* 168629 */   GIR_EraseRootFromParent_Done,
     /* 168630 */ // Label 2633: @168630
     /* 168630 */ GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(168688), // Rule ID 8122 //
     /* 168635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 168638 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168641 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 168648 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168653 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168657 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168664 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 168667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168672 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168682 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168686 */   GIR_RootConstrainSelectedInstOperands,
     /* 168687 */   // GIR_Coverage, 8122,
     /* 168687 */   GIR_EraseRootFromParent_Done,
     /* 168688 */ // Label 2634: @168688
     /* 168688 */ GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(168746), // Rule ID 8123 //
     /* 168693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 168696 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168699 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 168706 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168711 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168715 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168722 */   // (atomic_store i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_local>>  =>  (DS_WRITE_B16_t16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_t16),
     /* 168725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168730 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168740 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168744 */   GIR_RootConstrainSelectedInstOperands,
     /* 168745 */   // GIR_Coverage, 8123,
     /* 168745 */   GIR_EraseRootFromParent_Done,
     /* 168746 */ // Label 2635: @168746
     /* 168746 */ GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(168808), // Rule ID 8088 //
     /* 168751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 168754 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168757 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168761 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168768 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168773 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168777 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168784 */   // (AMDGPUst_glue i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_truncstore_glue>><<P:Predicate_truncstorei8_glue>><<P:Predicate_truncstorei8_local_m0>>  =>  (DS_WRITE_B8 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8),
     /* 168787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168792 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168794 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168806 */   GIR_RootConstrainSelectedInstOperands,
     /* 168807 */   // GIR_Coverage, 8088,
     /* 168807 */   GIR_EraseRootFromParent_Done,
     /* 168808 */ // Label 2636: @168808
     /* 168808 */ GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(168870), // Rule ID 8089 //
     /* 168813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 168816 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168819 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168830 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168835 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168839 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168846 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 168849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168854 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168864 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168868 */   GIR_RootConstrainSelectedInstOperands,
     /* 168869 */   // GIR_Coverage, 8089,
     /* 168869 */   GIR_EraseRootFromParent_Done,
     /* 168870 */ // Label 2637: @168870
     /* 168870 */ GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(168932), // Rule ID 8090 //
     /* 168875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 168878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168881 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168892 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168897 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168901 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168908 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_local>>  =>  (DS_WRITE_B8_t16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_t16),
     /* 168911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168916 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168926 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168930 */   GIR_RootConstrainSelectedInstOperands,
     /* 168931 */   // GIR_Coverage, 8090,
     /* 168931 */   GIR_EraseRootFromParent_Done,
     /* 168932 */ // Label 2638: @168932
     /* 168932 */ GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(168994), // Rule ID 8093 //
     /* 168937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 168940 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168943 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 168947 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 168954 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 168959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 168963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 168970 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 168970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 168973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 168978 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 168980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 168985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 168988 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 168992 */   GIR_RootConstrainSelectedInstOperands,
     /* 168993 */   // GIR_Coverage, 8093,
     /* 168993 */   GIR_EraseRootFromParent_Done,
     /* 168994 */ // Label 2639: @168994
     /* 168994 */ GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(169049), // Rule ID 8094 //
     /* 168999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 169002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169005 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 169009 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 169014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169018 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 169025 */   // (AMDGPUst_glue i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 169025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16),
     /* 169028 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 169033 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 169035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 169040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169043 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169047 */   GIR_RootConstrainSelectedInstOperands,
     /* 169048 */   // GIR_Coverage, 8094,
     /* 169048 */   GIR_EraseRootFromParent_Done,
     /* 169049 */ // Label 2640: @169049
     /* 169049 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(169100), // Rule ID 8095 //
     /* 169054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_NotLDSRequiresM0Init),
     /* 169057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169060 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 169065 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169069 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 169076 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 169076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 169079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 169084 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 169086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 169091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169098 */   GIR_RootConstrainSelectedInstOperands,
     /* 169099 */   // GIR_Coverage, 8095,
     /* 169099 */   GIR_EraseRootFromParent_Done,
     /* 169100 */ // Label 2641: @169100
     /* 169100 */ GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(169151), // Rule ID 8096 //
     /* 169105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseFakeTrue16Insts),
     /* 169108 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169111 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 169116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169120 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 169127 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 169127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 169130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 169135 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 169137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 169142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169145 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169149 */   GIR_RootConstrainSelectedInstOperands,
     /* 169150 */   // GIR_Coverage, 8096,
     /* 169150 */   GIR_EraseRootFromParent_Done,
     /* 169151 */ // Label 2642: @169151
     /* 169151 */ GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(169202), // Rule ID 8097 //
     /* 169156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_UseRealTrue16Insts),
     /* 169159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169162 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 169167 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169171 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 169178 */   // (st i16:{ *:[i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B16_t16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 169178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_t16),
     /* 169181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 169186 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 169188 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 169193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169196 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169200 */   GIR_RootConstrainSelectedInstOperands,
     /* 169201 */   // GIR_Coverage, 8097,
     /* 169201 */   GIR_EraseRootFromParent_Done,
     /* 169202 */ // Label 2643: @169202
     /* 169202 */ GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(169265), // Rule ID 3914 //
     /* 169207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 169210 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169220 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169225 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169229 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169236 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR_t16 ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR_t16),
     /* 169239 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169244 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169263 */   GIR_RootConstrainSelectedInstOperands,
     /* 169264 */   // GIR_Coverage, 3914,
     /* 169264 */   GIR_EraseRootFromParent_Done,
     /* 169265 */ // Label 2644: @169265
     /* 169265 */ GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(169328), // Rule ID 3916 //
     /* 169270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 169273 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169276 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 169283 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169288 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169292 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169299 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT_SADDR_t16 ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR_t16),
     /* 169302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169307 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169326 */   GIR_RootConstrainSelectedInstOperands,
     /* 169327 */   // GIR_Coverage, 3916,
     /* 169327 */   GIR_EraseRootFromParent_Done,
     /* 169328 */ // Label 2645: @169328
     /* 169328 */ GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(169391), // Rule ID 4024 //
     /* 169333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 169336 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169339 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169346 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169351 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169355 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169362 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 169365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169370 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169385 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169389 */   GIR_RootConstrainSelectedInstOperands,
     /* 169390 */   // GIR_Coverage, 4024,
     /* 169390 */   GIR_EraseRootFromParent_Done,
     /* 169391 */ // Label 2646: @169391
     /* 169391 */ GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(169454), // Rule ID 4026 //
     /* 169396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 169399 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169402 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 169409 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169418 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169425 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 169428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169433 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169452 */   GIR_RootConstrainSelectedInstOperands,
     /* 169453 */   // GIR_Coverage, 4026,
     /* 169453 */   GIR_EraseRootFromParent_Done,
     /* 169454 */ // Label 2647: @169454
     /* 169454 */ GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(169517), // Rule ID 4032 //
     /* 169459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 169462 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169465 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169472 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169477 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169488 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 169491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169496 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169511 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169515 */   GIR_RootConstrainSelectedInstOperands,
     /* 169516 */   // GIR_Coverage, 4032,
     /* 169516 */   GIR_EraseRootFromParent_Done,
     /* 169517 */ // Label 2648: @169517
     /* 169517 */ GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(169580), // Rule ID 4034 //
     /* 169522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 169525 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169528 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 169535 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169551 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 169554 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169559 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169578 */   GIR_RootConstrainSelectedInstOperands,
     /* 169579 */   // GIR_Coverage, 4034,
     /* 169579 */   GIR_EraseRootFromParent_Done,
     /* 169580 */ // Label 2649: @169580
     /* 169580 */ GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(169647), // Rule ID 3573 //
     /* 169585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 169588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169591 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 169595 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169602 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169618 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR_t16 ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR_t16),
     /* 169621 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169626 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169641 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169645 */   GIR_RootConstrainSelectedInstOperands,
     /* 169646 */   // GIR_Coverage, 3573,
     /* 169646 */   GIR_EraseRootFromParent_Done,
     /* 169647 */ // Label 2650: @169647
     /* 169647 */ GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(169714), // Rule ID 4020 //
     /* 169652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 169655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169658 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 169662 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169669 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169685 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 169688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169693 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169708 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169712 */   GIR_RootConstrainSelectedInstOperands,
     /* 169713 */   // GIR_Coverage, 4020,
     /* 169713 */   GIR_EraseRootFromParent_Done,
     /* 169714 */ // Label 2651: @169714
     /* 169714 */ GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(169781), // Rule ID 4028 //
     /* 169719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 169722 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169725 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 169729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169736 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169745 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169752 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 169755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169760 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169767 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169775 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169779 */   GIR_RootConstrainSelectedInstOperands,
     /* 169780 */   // GIR_Coverage, 4028,
     /* 169780 */   GIR_EraseRootFromParent_Done,
     /* 169781 */ // Label 2652: @169781
     /* 169781 */ GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(169837), // Rule ID 3912 //
     /* 169786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 169789 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169792 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169808 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT_SADDR_t16 ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR_t16),
     /* 169811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169816 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169823 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169835 */   GIR_RootConstrainSelectedInstOperands,
     /* 169836 */   // GIR_Coverage, 3912,
     /* 169836 */   GIR_EraseRootFromParent_Done,
     /* 169837 */ // Label 2653: @169837
     /* 169837 */ GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(169893), // Rule ID 4022 //
     /* 169842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 169845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169848 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169853 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169857 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169864 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 169867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169872 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169891 */   GIR_RootConstrainSelectedInstOperands,
     /* 169892 */   // GIR_Coverage, 4022,
     /* 169892 */   GIR_EraseRootFromParent_Done,
     /* 169893 */ // Label 2654: @169893
     /* 169893 */ GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(169949), // Rule ID 4030 //
     /* 169898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 169901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169904 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 169920 */   // (st i16:{ *:[i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 169920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 169923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 169928 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 169935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 169940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 169943 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 169947 */   GIR_RootConstrainSelectedInstOperands,
     /* 169948 */   // GIR_Coverage, 4030,
     /* 169948 */   GIR_EraseRootFromParent_Done,
     /* 169949 */ // Label 2655: @169949
     /* 169949 */ GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(170007), // Rule ID 3913 //
     /* 169954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 169957 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 169960 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 169967 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 169972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 169976 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 169983 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 169983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_t16),
     /* 169986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 169991 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 169993 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 169998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170001 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170005 */   GIR_RootConstrainSelectedInstOperands,
     /* 170006 */   // GIR_Coverage, 3913,
     /* 170006 */   GIR_EraseRootFromParent_Done,
     /* 170007 */ // Label 2656: @170007
     /* 170007 */ GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(170065), // Rule ID 3915 //
     /* 170012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 170015 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170018 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170025 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170030 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170034 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170041 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_t16),
     /* 170044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170049 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170059 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170063 */   GIR_RootConstrainSelectedInstOperands,
     /* 170064 */   // GIR_Coverage, 3915,
     /* 170064 */   GIR_EraseRootFromParent_Done,
     /* 170065 */ // Label 2657: @170065
     /* 170065 */ GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(170123), // Rule ID 4023 //
     /* 170070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 170073 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170076 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170083 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170088 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170092 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170099 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 170102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170107 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170109 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170117 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170121 */   GIR_RootConstrainSelectedInstOperands,
     /* 170122 */   // GIR_Coverage, 4023,
     /* 170122 */   GIR_EraseRootFromParent_Done,
     /* 170123 */ // Label 2658: @170123
     /* 170123 */ GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(170181), // Rule ID 4025 //
     /* 170128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 170131 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170134 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170141 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170146 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170150 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170157 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 170160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170165 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170167 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170175 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170179 */   GIR_RootConstrainSelectedInstOperands,
     /* 170180 */   // GIR_Coverage, 4025,
     /* 170180 */   GIR_EraseRootFromParent_Done,
     /* 170181 */ // Label 2659: @170181
     /* 170181 */ GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(170239), // Rule ID 4031 //
     /* 170186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 170189 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170192 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170199 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170215 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 170218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170223 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170233 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170237 */   GIR_RootConstrainSelectedInstOperands,
     /* 170238 */   // GIR_Coverage, 4031,
     /* 170238 */   GIR_EraseRootFromParent_Done,
     /* 170239 */ // Label 2660: @170239
     /* 170239 */ GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(170297), // Rule ID 4033 //
     /* 170244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 170247 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170250 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170257 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170266 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170273 */   // (atomic_store i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 170276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170281 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170291 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170295 */   GIR_RootConstrainSelectedInstOperands,
     /* 170296 */   // GIR_Coverage, 4033,
     /* 170296 */   GIR_EraseRootFromParent_Done,
     /* 170297 */ // Label 2661: @170297
     /* 170297 */ GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(170359), // Rule ID 3572 //
     /* 170302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 170305 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170308 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 170312 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170319 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170324 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170328 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170335 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_t16),
     /* 170338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170343 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170353 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170357 */   GIR_RootConstrainSelectedInstOperands,
     /* 170358 */   // GIR_Coverage, 3572,
     /* 170358 */   GIR_EraseRootFromParent_Done,
     /* 170359 */ // Label 2662: @170359
     /* 170359 */ GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(170421), // Rule ID 4019 //
     /* 170364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 170367 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170370 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 170374 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170381 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170386 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170397 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 170400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170405 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170419 */   GIR_RootConstrainSelectedInstOperands,
     /* 170420 */   // GIR_Coverage, 4019,
     /* 170420 */   GIR_EraseRootFromParent_Done,
     /* 170421 */ // Label 2663: @170421
     /* 170421 */ GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(170483), // Rule ID 4027 //
     /* 170426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 170429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170432 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 170436 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170443 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170459 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 170462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170467 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170477 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170481 */   GIR_RootConstrainSelectedInstOperands,
     /* 170482 */   // GIR_Coverage, 4027,
     /* 170482 */   GIR_EraseRootFromParent_Done,
     /* 170483 */ // Label 2664: @170483
     /* 170483 */ GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(170534), // Rule ID 3911 //
     /* 170488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatGlobalInsts_UseRealTrue16Insts),
     /* 170491 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170494 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170510 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_t16),
     /* 170513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170518 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170532 */   GIR_RootConstrainSelectedInstOperands,
     /* 170533 */   // GIR_Coverage, 3911,
     /* 170533 */   GIR_EraseRootFromParent_Done,
     /* 170534 */ // Label 2665: @170534
     /* 170534 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(170585), // Rule ID 4021 //
     /* 170539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_NotHasTrue16BitInsts),
     /* 170542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170545 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170561 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 170564 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170569 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170579 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170583 */   GIR_RootConstrainSelectedInstOperands,
     /* 170584 */   // GIR_Coverage, 4021,
     /* 170584 */   GIR_EraseRootFromParent_Done,
     /* 170585 */ // Label 2666: @170585
     /* 170585 */ GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(170636), // Rule ID 4029 //
     /* 170590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_UseFakeTrue16Insts),
     /* 170593 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170596 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 170601 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170605 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 170612 */   // (st i16:{ *:[i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 170615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170620 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170634 */   GIR_RootConstrainSelectedInstOperands,
     /* 170635 */   // GIR_Coverage, 4029,
     /* 170635 */   GIR_EraseRootFromParent_Done,
     /* 170636 */ // Label 2667: @170636
     /* 170636 */ GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(170695), // Rule ID 3616 //
     /* 170641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 170644 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170647 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170654 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170671 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 170674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170679 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170693 */   GIR_RootConstrainSelectedInstOperands,
     /* 170694 */   // GIR_Coverage, 3616,
     /* 170694 */   GIR_EraseRootFromParent_Done,
     /* 170695 */ // Label 2668: @170695
     /* 170695 */ GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(170754), // Rule ID 3617 //
     /* 170700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 170703 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170706 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170713 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170723 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170730 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 170733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170738 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170748 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170752 */   GIR_RootConstrainSelectedInstOperands,
     /* 170753 */   // GIR_Coverage, 3617,
     /* 170753 */   GIR_EraseRootFromParent_Done,
     /* 170754 */ // Label 2669: @170754
     /* 170754 */ GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(170813), // Rule ID 3628 //
     /* 170759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 170762 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170765 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170772 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170778 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170782 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170789 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 170792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170797 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170807 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170811 */   GIR_RootConstrainSelectedInstOperands,
     /* 170812 */   // GIR_Coverage, 3628,
     /* 170812 */   GIR_EraseRootFromParent_Done,
     /* 170813 */ // Label 2670: @170813
     /* 170813 */ GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(170872), // Rule ID 3629 //
     /* 170818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 170821 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170831 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170837 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170841 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170848 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 170851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170856 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170866 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170870 */   GIR_RootConstrainSelectedInstOperands,
     /* 170871 */   // GIR_Coverage, 3629,
     /* 170871 */   GIR_EraseRootFromParent_Done,
     /* 170872 */ // Label 2671: @170872
     /* 170872 */ GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(170931), // Rule ID 3640 //
     /* 170877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 170880 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170883 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 170890 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170900 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170907 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_flat>>  =>  (FLAT_STORE_BYTE_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE_t16),
     /* 170910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170915 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170929 */   GIR_RootConstrainSelectedInstOperands,
     /* 170930 */   // GIR_Coverage, 3640,
     /* 170930 */   GIR_EraseRootFromParent_Done,
     /* 170931 */ // Label 2672: @170931
     /* 170931 */ GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(170990), // Rule ID 3641 //
     /* 170936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 170939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 170942 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 170949 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 170955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 170959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 170966 */   // (atomic_store i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_flat>>  =>  (FLAT_STORE_SHORT_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 170966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT_t16),
     /* 170969 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 170974 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 170976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 170981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 170984 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 170988 */   GIR_RootConstrainSelectedInstOperands,
     /* 170989 */   // GIR_Coverage, 3641,
     /* 170989 */   GIR_EraseRootFromParent_Done,
     /* 170990 */ // Label 2673: @170990
     /* 170990 */ GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(171053), // Rule ID 3614 //
     /* 170995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 170998 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171001 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171005 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171012 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171018 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171022 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171029 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 171032 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171037 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171047 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171051 */   GIR_RootConstrainSelectedInstOperands,
     /* 171052 */   // GIR_Coverage, 3614,
     /* 171052 */   GIR_EraseRootFromParent_Done,
     /* 171053 */ // Label 2674: @171053
     /* 171053 */ GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(171116), // Rule ID 3626 //
     /* 171058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 171061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171064 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171068 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171075 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171081 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171085 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171092 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 171095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171100 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171110 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171114 */   GIR_RootConstrainSelectedInstOperands,
     /* 171115 */   // GIR_Coverage, 3626,
     /* 171115 */   GIR_EraseRootFromParent_Done,
     /* 171116 */ // Label 2675: @171116
     /* 171116 */ GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(171179), // Rule ID 3638 //
     /* 171121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 171124 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171127 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171131 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171138 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171148 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171155 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_flat>>  =>  (FLAT_STORE_BYTE_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE_t16),
     /* 171158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171163 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171177 */   GIR_RootConstrainSelectedInstOperands,
     /* 171178 */   // GIR_Coverage, 3638,
     /* 171178 */   GIR_EraseRootFromParent_Done,
     /* 171179 */ // Label 2676: @171179
     /* 171179 */ GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(171231), // Rule ID 3615 //
     /* 171184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_NotHasTrue16BitInsts),
     /* 171187 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171190 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171196 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171200 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171207 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 171210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171215 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171225 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171229 */   GIR_RootConstrainSelectedInstOperands,
     /* 171230 */   // GIR_Coverage, 3615,
     /* 171230 */   GIR_EraseRootFromParent_Done,
     /* 171231 */ // Label 2677: @171231
     /* 171231 */ GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(171283), // Rule ID 3627 //
     /* 171236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_UseFakeTrue16Insts),
     /* 171239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171242 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171248 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171252 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171259 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 171262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171267 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171281 */   GIR_RootConstrainSelectedInstOperands,
     /* 171282 */   // GIR_Coverage, 3627,
     /* 171282 */   GIR_EraseRootFromParent_Done,
     /* 171283 */ // Label 2678: @171283
     /* 171283 */ GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(171335), // Rule ID 3639 //
     /* 171288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_D16PreservesUnusedBits_HasFlatAddressSpace_UseRealTrue16Insts),
     /* 171291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171294 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 171300 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171304 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 171311 */   // (st i16:{ *:[i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_SHORT_t16 ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 171311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT_t16),
     /* 171314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171319 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 171321 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 171333 */   GIR_RootConstrainSelectedInstOperands,
     /* 171334 */   // GIR_Coverage, 3639,
     /* 171334 */   GIR_EraseRootFromParent_Done,
     /* 171335 */ // Label 2679: @171335
     /* 171335 */ GIM_Reject,
     /* 171336 */ // Label 2467: @171336
     /* 171336 */ GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(171431), // Rule ID 6709 //
     /* 171341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore_HasUnrestrictedSOffset),
     /* 171344 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171347 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171351 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 171358 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171363 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171367 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171371 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171375 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171379 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171387 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171389 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 171396 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_store_hi16_private>>  =>  (BUFFER_STORE_SHORT_D16_HI_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 171396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_D16_HI_OFFSET),
     /* 171399 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 171403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 171408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 171413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171424 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171429 */   GIR_RootConstrainSelectedInstOperands,
     /* 171430 */   // GIR_Coverage, 6709,
     /* 171430 */   GIR_EraseRootFromParent_Done,
     /* 171431 */ // Label 2680: @171431
     /* 171431 */ GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(171526), // Rule ID 6711 //
     /* 171436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore),
     /* 171439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171442 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171446 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 171453 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171458 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171462 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171466 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171470 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171474 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171478 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171482 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171484 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 171491 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_store_hi16_private>>  =>  (BUFFER_STORE_SHORT_D16_HI_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 171491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_D16_HI_VBUFFER_OFFSET),
     /* 171494 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 171498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 171503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 171508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171524 */   GIR_RootConstrainSelectedInstOperands,
     /* 171525 */   // GIR_Coverage, 6711,
     /* 171525 */   GIR_EraseRootFromParent_Done,
     /* 171526 */ // Label 2681: @171526
     /* 171526 */ GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(171621), // Rule ID 6713 //
     /* 171531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore_HasUnrestrictedSOffset),
     /* 171534 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171537 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171541 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171548 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171553 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171557 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171561 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171565 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171569 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171573 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171577 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171579 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 171586 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (BUFFER_STORE_BYTE_D16_HI_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 171586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_D16_HI_OFFSET),
     /* 171589 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 171593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 171598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 171603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171619 */   GIR_RootConstrainSelectedInstOperands,
     /* 171620 */   // GIR_Coverage, 6713,
     /* 171620 */   GIR_EraseRootFromParent_Done,
     /* 171621 */ // Label 2682: @171621
     /* 171621 */ GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(171716), // Rule ID 6715 //
     /* 171626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore),
     /* 171629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171632 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171643 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171648 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171652 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171656 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171660 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171664 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171668 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171672 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171674 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 171681 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (BUFFER_STORE_BYTE_D16_HI_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 171681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_D16_HI_VBUFFER_OFFSET),
     /* 171684 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 171688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 171693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 171698 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171709 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171714 */   GIR_RootConstrainSelectedInstOperands,
     /* 171715 */   // GIR_Coverage, 6715,
     /* 171715 */   GIR_EraseRootFromParent_Done,
     /* 171716 */ // Label 2683: @171716
     /* 171716 */ GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(171808), // Rule ID 4455 //
     /* 171721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 171724 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171727 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171731 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 171738 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171751 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171755 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171759 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171767 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171769 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 171776 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_private>>  =>  (SCRATCH_STORE_SHORT_D16_HI_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 171776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_D16_HI_SVS),
     /* 171779 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 171783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 171793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171806 */   GIR_RootConstrainSelectedInstOperands,
     /* 171807 */   // GIR_Coverage, 4455,
     /* 171807 */   GIR_EraseRootFromParent_Done,
     /* 171808 */ // Label 2684: @171808
     /* 171808 */ GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(171900), // Rule ID 4458 //
     /* 171813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 171816 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171819 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 171830 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171835 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171839 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171843 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171847 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171851 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171855 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171859 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171861 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 171868 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (SCRATCH_STORE_BYTE_D16_HI_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 171868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_D16_HI_SVS),
     /* 171871 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 171875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 171880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 171885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 171890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171893 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171898 */   GIR_RootConstrainSelectedInstOperands,
     /* 171899 */   // GIR_Coverage, 4458,
     /* 171899 */   GIR_EraseRootFromParent_Done,
     /* 171900 */ // Label 2685: @171900
     /* 171900 */ GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(171987), // Rule ID 4454 //
     /* 171905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts),
     /* 171908 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171911 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 171915 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 171922 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 171927 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 171931 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 171935 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 171939 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 171943 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 171947 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 171951 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171953 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 171960 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_private>>  =>  (SCRATCH_STORE_SHORT_D16_HI_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 171960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_D16_HI_SADDR),
     /* 171963 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 171967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 171972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 171977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 171980 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171985 */   GIR_RootConstrainSelectedInstOperands,
     /* 171986 */   // GIR_Coverage, 4454,
     /* 171986 */   GIR_EraseRootFromParent_Done,
     /* 171987 */ // Label 2686: @171987
     /* 171987 */ GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(172074), // Rule ID 4457 //
     /* 171992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts),
     /* 171995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171998 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172009 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172014 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172018 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172022 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172026 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172030 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172034 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172038 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 172047 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (SCRATCH_STORE_BYTE_D16_HI_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 172047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_D16_HI_SADDR),
     /* 172050 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 172054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 172059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 172064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172072 */   GIR_RootConstrainSelectedInstOperands,
     /* 172073 */   // GIR_Coverage, 4457,
     /* 172073 */   GIR_EraseRootFromParent_Done,
     /* 172074 */ // Label 2687: @172074
     /* 172074 */ GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(172161), // Rule ID 4453 //
     /* 172079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts),
     /* 172082 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172085 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 172096 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172101 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172105 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172109 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172113 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172117 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172125 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172127 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 172134 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_private>>  =>  (SCRATCH_STORE_SHORT_D16_HI anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 172134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_D16_HI),
     /* 172137 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 172141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 172146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 172151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172154 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172159 */   GIR_RootConstrainSelectedInstOperands,
     /* 172160 */   // GIR_Coverage, 4453,
     /* 172160 */   GIR_EraseRootFromParent_Done,
     /* 172161 */ // Label 2688: @172161
     /* 172161 */ GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(172248), // Rule ID 4456 //
     /* 172166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasD16LoadStore_HasFlatScratchInsts),
     /* 172169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172172 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172176 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172183 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172188 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172192 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172196 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172200 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172204 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172212 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 172221 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (SCRATCH_STORE_BYTE_D16_HI anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 172221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_D16_HI),
     /* 172224 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 172228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 172233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 172238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172241 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172246 */   GIR_RootConstrainSelectedInstOperands,
     /* 172247 */   // GIR_Coverage, 4456,
     /* 172247 */   GIR_EraseRootFromParent_Done,
     /* 172248 */ // Label 2689: @172248
     /* 172248 */ GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(172348), // Rule ID 6708 //
     /* 172253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore_HasUnrestrictedSOffset),
     /* 172256 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172259 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172263 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 172270 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172275 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172279 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172283 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172287 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172291 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172295 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172301 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 172308 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_store_hi16_private>>  =>  (BUFFER_STORE_SHORT_D16_HI_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_D16_HI_OFFEN),
     /* 172311 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 172315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 172320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 172330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 172335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172346 */   GIR_RootConstrainSelectedInstOperands,
     /* 172347 */   // GIR_Coverage, 6708,
     /* 172347 */   GIR_EraseRootFromParent_Done,
     /* 172348 */ // Label 2690: @172348
     /* 172348 */ GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(172448), // Rule ID 6710 //
     /* 172353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore),
     /* 172356 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172359 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172363 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 172370 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172375 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172379 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172383 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172387 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172391 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172395 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172399 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172401 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 172408 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_store_hi16_private>>  =>  (BUFFER_STORE_SHORT_D16_HI_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_D16_HI_VBUFFER_OFFEN),
     /* 172411 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 172415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 172420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 172430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 172435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172446 */   GIR_RootConstrainSelectedInstOperands,
     /* 172447 */   // GIR_Coverage, 6710,
     /* 172447 */   GIR_EraseRootFromParent_Done,
     /* 172448 */ // Label 2691: @172448
     /* 172448 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(172548), // Rule ID 6712 //
     /* 172453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore_HasUnrestrictedSOffset),
     /* 172456 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172459 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172463 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172470 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172475 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172479 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172483 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172487 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172491 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172495 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172499 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172501 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 172508 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (BUFFER_STORE_BYTE_D16_HI_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_D16_HI_OFFEN),
     /* 172511 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 172515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 172520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 172530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 172535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172546 */   GIR_RootConstrainSelectedInstOperands,
     /* 172547 */   // GIR_Coverage, 6712,
     /* 172547 */   GIR_EraseRootFromParent_Done,
     /* 172548 */ // Label 2692: @172548
     /* 172548 */ GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(172648), // Rule ID 6714 //
     /* 172553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasD16LoadStore),
     /* 172556 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172559 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172563 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172570 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172575 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 172579 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 172583 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 172587 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 172591 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 172595 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172599 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 172608 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_private>>  =>  (BUFFER_STORE_BYTE_D16_HI_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_D16_HI_VBUFFER_OFFEN),
     /* 172611 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 172615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 172620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 172630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 172635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172641 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172646 */   GIR_RootConstrainSelectedInstOperands,
     /* 172647 */   // GIR_Coverage, 6714,
     /* 172647 */   GIR_EraseRootFromParent_Done,
     /* 172648 */ // Label 2693: @172648
     /* 172648 */ GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(172718), // Rule ID 6649 //
     /* 172653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 172656 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172659 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172663 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172670 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172675 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172679 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 172686 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFSET),
     /* 172689 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 172691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172696 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 172701 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 172706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172712 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 172716 */   GIR_RootConstrainSelectedInstOperands,
     /* 172717 */   // GIR_Coverage, 6649,
     /* 172717 */   GIR_EraseRootFromParent_Done,
     /* 172718 */ // Label 2694: @172718
     /* 172718 */ GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(172788), // Rule ID 6651 //
     /* 172723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 172726 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172729 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172733 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 172740 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172749 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 172756 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFSET),
     /* 172759 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 172761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 172771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 172776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172782 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 172786 */   GIR_RootConstrainSelectedInstOperands,
     /* 172787 */   // GIR_Coverage, 6651,
     /* 172787 */   GIR_EraseRootFromParent_Done,
     /* 172788 */ // Label 2695: @172788
     /* 172788 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(172858), // Rule ID 6653 //
     /* 172793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 172796 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172799 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172803 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 172810 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172815 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172819 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 172826 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (BUFFER_STORE_SHORT_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFSET),
     /* 172829 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 172831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 172841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 172846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 172856 */   GIR_RootConstrainSelectedInstOperands,
     /* 172857 */   // GIR_Coverage, 6653,
     /* 172857 */   GIR_EraseRootFromParent_Done,
     /* 172858 */ // Label 2696: @172858
     /* 172858 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(172928), // Rule ID 6655 //
     /* 172863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 172866 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172869 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 172873 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 172880 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172885 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172889 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 172896 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFSET),
     /* 172899 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 172901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 172911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 172916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 172926 */   GIR_RootConstrainSelectedInstOperands,
     /* 172927 */   // GIR_Coverage, 6655,
     /* 172927 */   GIR_EraseRootFromParent_Done,
     /* 172928 */ // Label 2697: @172928
     /* 172928 */ GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(172987), // Rule ID 6665 //
     /* 172933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 172936 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172939 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 172944 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 172948 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 172955 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 172955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 172958 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 172960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 172965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 172970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 172975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 172981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 172985 */   GIR_RootConstrainSelectedInstOperands,
     /* 172986 */   // GIR_Coverage, 6665,
     /* 172986 */   GIR_EraseRootFromParent_Done,
     /* 172987 */ // Label 2698: @172987
     /* 172987 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(173046), // Rule ID 6667 //
     /* 172992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 172995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172998 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173003 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173007 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 173014 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 173014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 173017 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 173019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 173024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 173029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173040 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173044 */   GIR_RootConstrainSelectedInstOperands,
     /* 173045 */   // GIR_Coverage, 6667,
     /* 173045 */   GIR_EraseRootFromParent_Done,
     /* 173046 */ // Label 2699: @173046
     /* 173046 */ GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(173105), // Rule ID 6669 //
     /* 173051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 173054 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173057 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173062 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173066 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 173073 */   // (st f32:{ *:[f32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[f32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 173073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 173076 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 173078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 173083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 173088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173099 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173103 */   GIR_RootConstrainSelectedInstOperands,
     /* 173104 */   // GIR_Coverage, 6669,
     /* 173104 */   GIR_EraseRootFromParent_Done,
     /* 173105 */ // Label 2700: @173105
     /* 173105 */ GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(173164), // Rule ID 6671 //
     /* 173110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 173113 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173116 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173125 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 173132 */   // (st f32:{ *:[f32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[f32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 173132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 173135 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 173137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 173142 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 173147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173158 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173162 */   GIR_RootConstrainSelectedInstOperands,
     /* 173163 */   // GIR_Coverage, 6671,
     /* 173163 */   GIR_EraseRootFromParent_Done,
     /* 173164 */ // Label 2701: @173164
     /* 173164 */ GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(173231), // Rule ID 4446 //
     /* 173169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 173172 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173175 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173179 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 173186 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173191 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 173202 */   // (st i32:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SVS),
     /* 173205 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 173217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173225 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173229 */   GIR_RootConstrainSelectedInstOperands,
     /* 173230 */   // GIR_Coverage, 4446,
     /* 173230 */   GIR_EraseRootFromParent_Done,
     /* 173231 */ // Label 2702: @173231
     /* 173231 */ GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(173298), // Rule ID 4449 //
     /* 173236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 173239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173242 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173246 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 173253 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173258 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173262 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 173269 */   // (st i32:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (SCRATCH_STORE_SHORT_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SVS),
     /* 173272 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 173284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173292 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173296 */   GIR_RootConstrainSelectedInstOperands,
     /* 173297 */   // GIR_Coverage, 4449,
     /* 173297 */   GIR_EraseRootFromParent_Done,
     /* 173298 */ // Label 2703: @173298
     /* 173298 */ GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(173354), // Rule ID 4308 //
     /* 173303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 173306 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173309 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173314 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173318 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 173325 */   // (st i32:{ *:[i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 173328 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 173340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173348 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173352 */   GIR_RootConstrainSelectedInstOperands,
     /* 173353 */   // GIR_Coverage, 4308,
     /* 173353 */   GIR_EraseRootFromParent_Done,
     /* 173354 */ // Label 2704: @173354
     /* 173354 */ GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(173410), // Rule ID 4314 //
     /* 173359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 173362 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173365 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173370 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173374 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 173381 */   // (st f32:{ *:[f32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 173384 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173386 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173391 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 173396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 173401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173404 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173408 */   GIR_RootConstrainSelectedInstOperands,
     /* 173409 */   // GIR_Coverage, 4314,
     /* 173409 */   GIR_EraseRootFromParent_Done,
     /* 173410 */ // Label 2705: @173410
     /* 173410 */ GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(173472), // Rule ID 4445 //
     /* 173415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173421 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173425 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 173432 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 173448 */   // (st i32:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE_SADDR),
     /* 173451 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 173458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173466 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173470 */   GIR_RootConstrainSelectedInstOperands,
     /* 173471 */   // GIR_Coverage, 4445,
     /* 173471 */   GIR_EraseRootFromParent_Done,
     /* 173472 */ // Label 2706: @173472
     /* 173472 */ GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(173534), // Rule ID 4448 //
     /* 173477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173480 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173483 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173487 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 173494 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 173510 */   // (st i32:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (SCRATCH_STORE_SHORT_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT_SADDR),
     /* 173513 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 173520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173532 */   GIR_RootConstrainSelectedInstOperands,
     /* 173533 */   // GIR_Coverage, 4448,
     /* 173533 */   GIR_EraseRootFromParent_Done,
     /* 173534 */ // Label 2707: @173534
     /* 173534 */ GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(173585), // Rule ID 4307 //
     /* 173539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173545 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 173561 */   // (st i32:{ *:[i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 173564 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 173571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173579 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173583 */   GIR_RootConstrainSelectedInstOperands,
     /* 173584 */   // GIR_Coverage, 4307,
     /* 173584 */   GIR_EraseRootFromParent_Done,
     /* 173585 */ // Label 2708: @173585
     /* 173585 */ GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(173636), // Rule ID 4313 //
     /* 173590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173593 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173596 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173601 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173605 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 173612 */   // (st f32:{ *:[f32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 173612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 173615 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 173622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173634 */   GIR_RootConstrainSelectedInstOperands,
     /* 173635 */   // GIR_Coverage, 4313,
     /* 173635 */   GIR_EraseRootFromParent_Done,
     /* 173636 */ // Label 2709: @173636
     /* 173636 */ GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(173698), // Rule ID 4444 //
     /* 173641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173647 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 173658 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173663 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173667 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 173674 */   // (st i32:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (SCRATCH_STORE_BYTE anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 173674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_BYTE),
     /* 173677 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173692 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173696 */   GIR_RootConstrainSelectedInstOperands,
     /* 173697 */   // GIR_Coverage, 4444,
     /* 173697 */   GIR_EraseRootFromParent_Done,
     /* 173698 */ // Label 2710: @173698
     /* 173698 */ GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(173760), // Rule ID 4447 //
     /* 173703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173706 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173709 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173713 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 173720 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173725 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173729 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 173736 */   // (st i32:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (SCRATCH_STORE_SHORT anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 173736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_SHORT),
     /* 173739 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173741 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173746 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173758 */   GIR_RootConstrainSelectedInstOperands,
     /* 173759 */   // GIR_Coverage, 4447,
     /* 173759 */   GIR_EraseRootFromParent_Done,
     /* 173760 */ // Label 2711: @173760
     /* 173760 */ GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(173811), // Rule ID 4306 //
     /* 173765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173768 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173771 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 173787 */   // (st i32:{ *:[i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 173787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 173790 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173805 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173809 */   GIR_RootConstrainSelectedInstOperands,
     /* 173810 */   // GIR_Coverage, 4306,
     /* 173810 */   GIR_EraseRootFromParent_Done,
     /* 173811 */ // Label 2712: @173811
     /* 173811 */ GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(173862), // Rule ID 4312 //
     /* 173816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 173819 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173822 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 173827 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173831 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 173838 */   // (st f32:{ *:[f32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 173838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 173841 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 173843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 173848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173856 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 173860 */   GIR_RootConstrainSelectedInstOperands,
     /* 173861 */   // GIR_Coverage, 4312,
     /* 173861 */   GIR_EraseRootFromParent_Done,
     /* 173862 */ // Label 2713: @173862
     /* 173862 */ GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(173949), // Rule ID 8130 //
     /* 173867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 173870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173873 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173877 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 173884 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 173889 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 173893 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 173897 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 173901 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 173905 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 173909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 173913 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173915 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 173922 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_store_hi16_local>>  =>  (DS_WRITE_B16_D16_HI ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 173922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_D16_HI),
     /* 173925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 173930 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 173934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 173939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 173942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173947 */   GIR_RootConstrainSelectedInstOperands,
     /* 173948 */   // GIR_Coverage, 8130,
     /* 173948 */   GIR_EraseRootFromParent_Done,
     /* 173949 */ // Label 2714: @173949
     /* 173949 */ GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(174036), // Rule ID 8131 //
     /* 173954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 173957 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173960 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 173964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 173971 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 173976 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 173980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 173984 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 173988 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 173992 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 173996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174000 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174002 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 174009 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$value, 16:{ *:[i32] }), (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_local>>  =>  (DS_WRITE_B8_D16_HI ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 174009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_D16_HI),
     /* 174012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 174017 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // value
     /* 174021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 174026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174034 */   GIR_RootConstrainSelectedInstOperands,
     /* 174035 */   // GIR_Coverage, 8131,
     /* 174035 */   GIR_EraseRootFromParent_Done,
     /* 174036 */ // Label 2715: @174036
     /* 174036 */ GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(174107), // Rule ID 6632 //
     /* 174041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 174044 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 174047 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 174054 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174063 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174070 */   // (atomic_store i32:{ *:[i32] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (BUFFER_STORE_BYTE_ADDR64 ?:{ *:[i32] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 174070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_ADDR64),
     /* 174073 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 174075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174080 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174085 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174101 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174105 */   GIR_RootConstrainSelectedInstOperands,
     /* 174106 */   // GIR_Coverage, 6632,
     /* 174106 */   GIR_EraseRootFromParent_Done,
     /* 174107 */ // Label 2716: @174107
     /* 174107 */ GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(174178), // Rule ID 6636 //
     /* 174112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 174115 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 174118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 174125 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174141 */   // (atomic_store i32:{ *:[i32] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (BUFFER_STORE_SHORT_ADDR64 ?:{ *:[i32] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 174141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_ADDR64),
     /* 174144 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 174146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174172 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174176 */   GIR_RootConstrainSelectedInstOperands,
     /* 174177 */   // GIR_Coverage, 6636,
     /* 174177 */   GIR_EraseRootFromParent_Done,
     /* 174178 */ // Label 2717: @174178
     /* 174178 */ GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(174249), // Rule ID 6640 //
     /* 174183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 174186 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 174189 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 174196 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174201 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174205 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174212 */   // (atomic_store i32:{ *:[i32] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_atomic_store_32_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 ?:{ *:[i32] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 174212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 174215 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 174217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174222 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174243 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174247 */   GIR_RootConstrainSelectedInstOperands,
     /* 174248 */   // GIR_Coverage, 6640,
     /* 174248 */   GIR_EraseRootFromParent_Done,
     /* 174249 */ // Label 2718: @174249
     /* 174249 */ GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(174324), // Rule ID 4495 //
     /* 174254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 174257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174260 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174264 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 174271 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174280 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174287 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_ADDR64),
     /* 174290 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174318 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174322 */   GIR_RootConstrainSelectedInstOperands,
     /* 174323 */   // GIR_Coverage, 4495,
     /* 174323 */   GIR_EraseRootFromParent_Done,
     /* 174324 */ // Label 2719: @174324
     /* 174324 */ GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(174396), // Rule ID 4659 //
     /* 174329 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174332 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174336 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 174343 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174359 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_VBUFFER_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_ADDR64),
     /* 174362 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174390 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174394 */   GIR_RootConstrainSelectedInstOperands,
     /* 174395 */   // GIR_Coverage, 4659,
     /* 174395 */   GIR_EraseRootFromParent_Done,
     /* 174396 */ // Label 2720: @174396
     /* 174396 */ GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(174471), // Rule ID 4661 //
     /* 174401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 174404 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174407 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174411 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 174418 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174423 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174427 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174434 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (BUFFER_STORE_SHORT_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_ADDR64),
     /* 174437 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174449 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174454 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174465 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174469 */   GIR_RootConstrainSelectedInstOperands,
     /* 174470 */   // GIR_Coverage, 4661,
     /* 174470 */   GIR_EraseRootFromParent_Done,
     /* 174471 */ // Label 2721: @174471
     /* 174471 */ GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(174543), // Rule ID 4663 //
     /* 174476 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174479 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174483 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 174490 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174495 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174499 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174506 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (BUFFER_STORE_SHORT_VBUFFER_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_ADDR64),
     /* 174509 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174511 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174516 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174541 */   GIR_RootConstrainSelectedInstOperands,
     /* 174542 */   // GIR_Coverage, 4663,
     /* 174542 */   GIR_EraseRootFromParent_Done,
     /* 174543 */ // Label 2722: @174543
     /* 174543 */ GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(174618), // Rule ID 6648 //
     /* 174548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 174551 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174554 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174558 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 174565 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 174570 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174574 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 174581 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 174581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFEN),
     /* 174584 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 174586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174601 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174612 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174616 */   GIR_RootConstrainSelectedInstOperands,
     /* 174617 */   // GIR_Coverage, 6648,
     /* 174617 */   GIR_EraseRootFromParent_Done,
     /* 174618 */ // Label 2723: @174618
     /* 174618 */ GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(174693), // Rule ID 6650 //
     /* 174623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 174626 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174629 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174633 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 174640 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 174645 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174649 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 174656 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_private>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 174656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFEN),
     /* 174659 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 174661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174691 */   GIR_RootConstrainSelectedInstOperands,
     /* 174692 */   // GIR_Coverage, 6650,
     /* 174692 */   GIR_EraseRootFromParent_Done,
     /* 174693 */ // Label 2724: @174693
     /* 174693 */ GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(174768), // Rule ID 6652 //
     /* 174698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 174701 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174704 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174708 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 174715 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 174720 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174724 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 174731 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (BUFFER_STORE_SHORT_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 174731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFEN),
     /* 174734 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 174736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174741 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174746 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174751 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174762 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174766 */   GIR_RootConstrainSelectedInstOperands,
     /* 174767 */   // GIR_Coverage, 6652,
     /* 174767 */   GIR_EraseRootFromParent_Done,
     /* 174768 */ // Label 2725: @174768
     /* 174768 */ GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(174843), // Rule ID 6654 //
     /* 174773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 174776 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174779 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 174783 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 174790 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 174795 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 174806 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_private>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 174806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFEN),
     /* 174809 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 174811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174837 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174841 */   GIR_RootConstrainSelectedInstOperands,
     /* 174842 */   // GIR_Coverage, 6654,
     /* 174842 */   GIR_EraseRootFromParent_Done,
     /* 174843 */ // Label 2726: @174843
     /* 174843 */ GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(174907), // Rule ID 4665 //
     /* 174848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 174851 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174854 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174863 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174870 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 174873 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174875 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174901 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174905 */   GIR_RootConstrainSelectedInstOperands,
     /* 174906 */   // GIR_Coverage, 4665,
     /* 174906 */   GIR_EraseRootFromParent_Done,
     /* 174907 */ // Label 2727: @174907
     /* 174907 */ GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(174968), // Rule ID 4667 //
     /* 174912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174915 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174920 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174924 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174931 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 i32:{ *:[i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 174934 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 174936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 174941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 174946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 174951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 174956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174962 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 174966 */   GIR_RootConstrainSelectedInstOperands,
     /* 174967 */   // GIR_Coverage, 4667,
     /* 174967 */   GIR_EraseRootFromParent_Done,
     /* 174968 */ // Label 2728: @174968
     /* 174968 */ GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(175032), // Rule ID 4669 //
     /* 174973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 174976 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174979 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 174984 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 174988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 174995 */   // (st f32:{ *:[f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 f32:{ *:[f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 174995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 174998 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175030 */   GIR_RootConstrainSelectedInstOperands,
     /* 175031 */   // GIR_Coverage, 4669,
     /* 175031 */   GIR_EraseRootFromParent_Done,
     /* 175032 */ // Label 2729: @175032
     /* 175032 */ GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(175093), // Rule ID 4671 //
     /* 175037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175040 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175045 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 175056 */   // (st f32:{ *:[f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 f32:{ *:[f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 175059 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175091 */   GIR_RootConstrainSelectedInstOperands,
     /* 175092 */   // GIR_Coverage, 4671,
     /* 175092 */   GIR_EraseRootFromParent_Done,
     /* 175093 */ // Label 2730: @175093
     /* 175093 */ GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(175157), // Rule ID 6664 //
     /* 175098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 175101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175104 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 175109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 175120 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 175120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 175123 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 175125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175151 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175155 */   GIR_RootConstrainSelectedInstOperands,
     /* 175156 */   // GIR_Coverage, 6664,
     /* 175156 */   GIR_EraseRootFromParent_Done,
     /* 175157 */ // Label 2731: @175157
     /* 175157 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(175221), // Rule ID 6666 //
     /* 175162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 175165 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175168 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 175173 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175177 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 175184 */   // (st i32:{ *:[i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 175184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 175187 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 175189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175215 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175219 */   GIR_RootConstrainSelectedInstOperands,
     /* 175220 */   // GIR_Coverage, 6666,
     /* 175220 */   GIR_EraseRootFromParent_Done,
     /* 175221 */ // Label 2732: @175221
     /* 175221 */ GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(175285), // Rule ID 6668 //
     /* 175226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 175229 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175232 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 175237 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175241 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 175248 */   // (st f32:{ *:[f32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[f32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 175248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 175251 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 175253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175258 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175279 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175283 */   GIR_RootConstrainSelectedInstOperands,
     /* 175284 */   // GIR_Coverage, 6668,
     /* 175284 */   GIR_EraseRootFromParent_Done,
     /* 175285 */ // Label 2733: @175285
     /* 175285 */ GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(175349), // Rule ID 6670 //
     /* 175290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 175293 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175296 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 175301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 175312 */   // (st f32:{ *:[f32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[f32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 175312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 175315 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 175317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 175322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 175332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 175337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175343 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175347 */   GIR_RootConstrainSelectedInstOperands,
     /* 175348 */   // GIR_Coverage, 6670,
     /* 175348 */   GIR_EraseRootFromParent_Done,
     /* 175349 */ // Label 2734: @175349
     /* 175349 */ GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(175441), // Rule ID 4036 //
     /* 175354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 175357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175360 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175364 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 175371 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175376 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 175380 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 175384 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 175388 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 175392 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 175396 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175400 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175402 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 175409 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_global>>  =>  (GLOBAL_STORE_SHORT_D16_HI_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 175409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_D16_HI_SADDR),
     /* 175412 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 175417 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 175421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 175426 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175434 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175439 */   GIR_RootConstrainSelectedInstOperands,
     /* 175440 */   // GIR_Coverage, 4036,
     /* 175440 */   GIR_EraseRootFromParent_Done,
     /* 175441 */ // Label 2735: @175441
     /* 175441 */ GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(175533), // Rule ID 4038 //
     /* 175446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 175449 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175452 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175456 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 175463 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175468 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 175472 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 175476 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 175480 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 175484 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 175488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175492 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175494 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 175501 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_global>>  =>  (GLOBAL_STORE_BYTE_D16_HI_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 175501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_D16_HI_SADDR),
     /* 175504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 175509 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 175513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 175518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175526 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175531 */   GIR_RootConstrainSelectedInstOperands,
     /* 175532 */   // GIR_Coverage, 4038,
     /* 175532 */   GIR_EraseRootFromParent_Done,
     /* 175533 */ // Label 2736: @175533
     /* 175533 */ GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(175603), // Rule ID 4494 //
     /* 175538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 175541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175544 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175548 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 175555 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175571 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFSET),
     /* 175574 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175597 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175601 */   GIR_RootConstrainSelectedInstOperands,
     /* 175602 */   // GIR_Coverage, 4494,
     /* 175602 */   GIR_EraseRootFromParent_Done,
     /* 175603 */ // Label 2737: @175603
     /* 175603 */ GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(175670), // Rule ID 4658 //
     /* 175608 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175611 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175615 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 175622 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175627 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175631 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175638 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFSET),
     /* 175641 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175668 */   GIR_RootConstrainSelectedInstOperands,
     /* 175669 */   // GIR_Coverage, 4658,
     /* 175669 */   GIR_EraseRootFromParent_Done,
     /* 175670 */ // Label 2738: @175670
     /* 175670 */ GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(175740), // Rule ID 4660 //
     /* 175675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 175678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175681 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175685 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 175692 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175697 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175701 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175708 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (BUFFER_STORE_SHORT_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFSET),
     /* 175711 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175734 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175738 */   GIR_RootConstrainSelectedInstOperands,
     /* 175739 */   // GIR_Coverage, 4660,
     /* 175739 */   GIR_EraseRootFromParent_Done,
     /* 175740 */ // Label 2739: @175740
     /* 175740 */ GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(175807), // Rule ID 4662 //
     /* 175745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175748 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 175752 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 175759 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175764 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175768 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175775 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFSET),
     /* 175778 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175780 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175785 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175805 */   GIR_RootConstrainSelectedInstOperands,
     /* 175806 */   // GIR_Coverage, 4662,
     /* 175806 */   GIR_EraseRootFromParent_Done,
     /* 175807 */ // Label 2740: @175807
     /* 175807 */ GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(175866), // Rule ID 4664 //
     /* 175812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 175815 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175818 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175823 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175827 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175834 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 175837 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175839 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175864 */   GIR_RootConstrainSelectedInstOperands,
     /* 175865 */   // GIR_Coverage, 4664,
     /* 175865 */   GIR_EraseRootFromParent_Done,
     /* 175866 */ // Label 2741: @175866
     /* 175866 */ GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(175922), // Rule ID 4666 //
     /* 175871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175874 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175879 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175883 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175890 */   // (st i32:{ *:[i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 175893 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175900 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175905 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175920 */   GIR_RootConstrainSelectedInstOperands,
     /* 175921 */   // GIR_Coverage, 4666,
     /* 175921 */   GIR_EraseRootFromParent_Done,
     /* 175922 */ // Label 2742: @175922
     /* 175922 */ GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(175981), // Rule ID 4668 //
     /* 175927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 175930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175933 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175938 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175942 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 175949 */   // (st f32:{ *:[f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 175949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 175952 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 175954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 175959 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 175964 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 175969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 175975 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 175979 */   GIR_RootConstrainSelectedInstOperands,
     /* 175980 */   // GIR_Coverage, 4668,
     /* 175980 */   GIR_EraseRootFromParent_Done,
     /* 175981 */ // Label 2743: @175981
     /* 175981 */ GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(176037), // Rule ID 4670 //
     /* 175986 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175989 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 175994 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 175998 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 176005 */   // (st f32:{ *:[f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 176005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 176008 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 176010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 176015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 176020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 176025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176031 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176035 */   GIR_RootConstrainSelectedInstOperands,
     /* 176036 */   // GIR_Coverage, 4670,
     /* 176036 */   GIR_EraseRootFromParent_Done,
     /* 176037 */ // Label 2744: @176037
     /* 176037 */ GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(176124), // Rule ID 4035 //
     /* 176042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 176045 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176048 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176052 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 176059 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 176064 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 176068 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 176072 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 176076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 176080 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 176084 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176088 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176090 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 176097 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_global>>  =>  (GLOBAL_STORE_SHORT_D16_HI ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 176097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_D16_HI),
     /* 176100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 176105 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 176109 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176117 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176122 */   GIR_RootConstrainSelectedInstOperands,
     /* 176123 */   // GIR_Coverage, 4035,
     /* 176123 */   GIR_EraseRootFromParent_Done,
     /* 176124 */ // Label 2745: @176124
     /* 176124 */ GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(176211), // Rule ID 4037 //
     /* 176129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 176132 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176135 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176139 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 176146 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 176151 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 176155 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 176159 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 176163 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 176167 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 176171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176175 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176177 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 176184 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_global>>  =>  (GLOBAL_STORE_BYTE_D16_HI ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 176184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_D16_HI),
     /* 176187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 176192 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 176196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176204 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176209 */   GIR_RootConstrainSelectedInstOperands,
     /* 176210 */   // GIR_Coverage, 4037,
     /* 176210 */   GIR_EraseRootFromParent_Done,
     /* 176211 */ // Label 2746: @176211
     /* 176211 */ GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(176269), // Rule ID 8118 //
     /* 176216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176219 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176222 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 176229 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176234 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176238 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176245 */   // (AMDGPUatomic_st_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8_glue>><<P:Predicate_atomic_store_8_local_m0>>  =>  (DS_WRITE_B8 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8),
     /* 176248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176253 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176263 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176267 */   GIR_RootConstrainSelectedInstOperands,
     /* 176268 */   // GIR_Coverage, 8118,
     /* 176268 */   GIR_EraseRootFromParent_Done,
     /* 176269 */ // Label 2747: @176269
     /* 176269 */ GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(176327), // Rule ID 8119 //
     /* 176274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176277 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176280 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 176287 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176296 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176303 */   // (atomic_store i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 176306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176311 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176321 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176325 */   GIR_RootConstrainSelectedInstOperands,
     /* 176326 */   // GIR_Coverage, 8119,
     /* 176326 */   GIR_EraseRootFromParent_Done,
     /* 176327 */ // Label 2748: @176327
     /* 176327 */ GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(176385), // Rule ID 8124 //
     /* 176332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176335 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176338 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 176345 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176350 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176354 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176361 */   // (AMDGPUatomic_st_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16_glue>><<P:Predicate_atomic_store_16_local_m0>>  =>  (DS_WRITE_B16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16),
     /* 176364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176369 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176379 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176383 */   GIR_RootConstrainSelectedInstOperands,
     /* 176384 */   // GIR_Coverage, 8124,
     /* 176384 */   GIR_EraseRootFromParent_Done,
     /* 176385 */ // Label 2749: @176385
     /* 176385 */ GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(176443), // Rule ID 8125 //
     /* 176390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176393 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176396 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 176403 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176412 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176419 */   // (atomic_store i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 176422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176427 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176429 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176437 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176441 */   GIR_RootConstrainSelectedInstOperands,
     /* 176442 */   // GIR_Coverage, 8125,
     /* 176442 */   GIR_EraseRootFromParent_Done,
     /* 176443 */ // Label 2750: @176443
     /* 176443 */ GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(176501), // Rule ID 8126 //
     /* 176448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176451 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 176461 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176466 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176470 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176477 */   // (AMDGPUatomic_st_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32_glue>><<P:Predicate_atomic_store_32_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 176480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176485 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176499 */   GIR_RootConstrainSelectedInstOperands,
     /* 176500 */   // GIR_Coverage, 8126,
     /* 176500 */   GIR_EraseRootFromParent_Done,
     /* 176501 */ // Label 2751: @176501
     /* 176501 */ GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(176559), // Rule ID 8127 //
     /* 176506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176509 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 176512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 176519 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176524 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176528 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176535 */   // (atomic_store i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_atomic_store_32_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 176538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176543 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176553 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176557 */   GIR_RootConstrainSelectedInstOperands,
     /* 176558 */   // GIR_Coverage, 8127,
     /* 176558 */   GIR_EraseRootFromParent_Done,
     /* 176559 */ // Label 2752: @176559
     /* 176559 */ GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(176621), // Rule ID 8086 //
     /* 176564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176567 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176570 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176574 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 176581 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176590 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176597 */   // (AMDGPUst_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_truncstore_glue>><<P:Predicate_truncstorei8_glue>><<P:Predicate_truncstorei8_local_m0>>  =>  (DS_WRITE_B8 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8),
     /* 176600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176605 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176619 */   GIR_RootConstrainSelectedInstOperands,
     /* 176620 */   // GIR_Coverage, 8086,
     /* 176620 */   GIR_EraseRootFromParent_Done,
     /* 176621 */ // Label 2753: @176621
     /* 176621 */ GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(176683), // Rule ID 8087 //
     /* 176626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176632 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 176643 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176648 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176652 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176659 */   // (st i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_local>>  =>  (DS_WRITE_B8_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B8_gfx9),
     /* 176662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176667 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176677 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176681 */   GIR_RootConstrainSelectedInstOperands,
     /* 176682 */   // GIR_Coverage, 8087,
     /* 176682 */   GIR_EraseRootFromParent_Done,
     /* 176683 */ // Label 2754: @176683
     /* 176683 */ GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(176745), // Rule ID 8091 //
     /* 176688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176691 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176694 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176698 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 176705 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176710 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176714 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176721 */   // (AMDGPUst_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_truncstore_glue>><<P:Predicate_truncstorei16_glue>><<P:Predicate_truncstorei16_local_m0>>  =>  (DS_WRITE_B16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16),
     /* 176724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176729 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176739 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176743 */   GIR_RootConstrainSelectedInstOperands,
     /* 176744 */   // GIR_Coverage, 8091,
     /* 176744 */   GIR_EraseRootFromParent_Done,
     /* 176745 */ // Label 2755: @176745
     /* 176745 */ GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(176807), // Rule ID 8092 //
     /* 176750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176756 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176760 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 176767 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176776 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176783 */   // (st i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_local>>  =>  (DS_WRITE_B16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B16_gfx9),
     /* 176786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176791 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176805 */   GIR_RootConstrainSelectedInstOperands,
     /* 176806 */   // GIR_Coverage, 8092,
     /* 176806 */   GIR_EraseRootFromParent_Done,
     /* 176807 */ // Label 2756: @176807
     /* 176807 */ GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(176862), // Rule ID 8098 //
     /* 176812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176815 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176818 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176822 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176827 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176831 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176838 */   // (AMDGPUst_glue i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 176841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176846 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176856 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176860 */   GIR_RootConstrainSelectedInstOperands,
     /* 176861 */   // GIR_Coverage, 8098,
     /* 176861 */   GIR_EraseRootFromParent_Done,
     /* 176862 */ // Label 2757: @176862
     /* 176862 */ GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(176917), // Rule ID 8100 //
     /* 176867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 176870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176873 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 176877 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176882 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176886 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176893 */   // (AMDGPUst_glue f32:{ *:[f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 176896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176901 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176911 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176915 */   GIR_RootConstrainSelectedInstOperands,
     /* 176916 */   // GIR_Coverage, 8100,
     /* 176916 */   GIR_EraseRootFromParent_Done,
     /* 176917 */ // Label 2758: @176917
     /* 176917 */ GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(176968), // Rule ID 8099 //
     /* 176922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176928 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176937 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176944 */   // (st i32:{ *:[i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 176947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 176952 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 176954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 176959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 176962 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 176966 */   GIR_RootConstrainSelectedInstOperands,
     /* 176967 */   // GIR_Coverage, 8099,
     /* 176967 */   GIR_EraseRootFromParent_Done,
     /* 176968 */ // Label 2759: @176968
     /* 176968 */ GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(177019), // Rule ID 8101 //
     /* 176973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 176976 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176979 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 176984 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 176988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 176995 */   // (st f32:{ *:[f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 176995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 176998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 177003 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 177005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177013 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177017 */   GIR_RootConstrainSelectedInstOperands,
     /* 177018 */   // GIR_Coverage, 8101,
     /* 177018 */   GIR_EraseRootFromParent_Done,
     /* 177019 */ // Label 2760: @177019
     /* 177019 */ GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(177082), // Rule ID 4062 //
     /* 177024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177030 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 177037 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177053 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 177056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177061 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177076 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177080 */   GIR_RootConstrainSelectedInstOperands,
     /* 177081 */   // GIR_Coverage, 4062,
     /* 177081 */   GIR_EraseRootFromParent_Done,
     /* 177082 */ // Label 2761: @177082
     /* 177082 */ GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(177145), // Rule ID 4064 //
     /* 177087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177090 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177093 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 177100 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177105 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177109 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177116 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 177119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177124 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177143 */   GIR_RootConstrainSelectedInstOperands,
     /* 177144 */   // GIR_Coverage, 4064,
     /* 177144 */   GIR_EraseRootFromParent_Done,
     /* 177145 */ // Label 2762: @177145
     /* 177145 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(177208), // Rule ID 4066 //
     /* 177150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177153 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177156 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 177163 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177168 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177172 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177179 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_atomic_store_32_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 177182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177187 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177206 */   GIR_RootConstrainSelectedInstOperands,
     /* 177207 */   // GIR_Coverage, 4066,
     /* 177207 */   GIR_EraseRootFromParent_Done,
     /* 177208 */ // Label 2763: @177208
     /* 177208 */ GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(177275), // Rule ID 4014 //
     /* 177213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177219 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177223 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 177230 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177246 */   // (st i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE_SADDR),
     /* 177249 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177254 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177273 */   GIR_RootConstrainSelectedInstOperands,
     /* 177274 */   // GIR_Coverage, 4014,
     /* 177274 */   GIR_EraseRootFromParent_Done,
     /* 177275 */ // Label 2764: @177275
     /* 177275 */ GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(177342), // Rule ID 4016 //
     /* 177280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177286 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177290 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 177297 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177302 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177306 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177313 */   // (st i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (GLOBAL_STORE_SHORT_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT_SADDR),
     /* 177316 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177321 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177323 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177340 */   GIR_RootConstrainSelectedInstOperands,
     /* 177341 */   // GIR_Coverage, 4016,
     /* 177341 */   GIR_EraseRootFromParent_Done,
     /* 177342 */ // Label 2765: @177342
     /* 177342 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(177398), // Rule ID 3571 //
     /* 177347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177353 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177369 */   // (st i32:{ *:[i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 177372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177377 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177396 */   GIR_RootConstrainSelectedInstOperands,
     /* 177397 */   // GIR_Coverage, 3571,
     /* 177397 */   GIR_EraseRootFromParent_Done,
     /* 177398 */ // Label 2766: @177398
     /* 177398 */ GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(177454), // Rule ID 3922 //
     /* 177403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177406 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177409 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177418 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 177425 */   // (st f32:{ *:[f32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 177425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 177428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 177433 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 177440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 177445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177452 */   GIR_RootConstrainSelectedInstOperands,
     /* 177453 */   // GIR_Coverage, 3922,
     /* 177453 */   GIR_EraseRootFromParent_Done,
     /* 177454 */ // Label 2767: @177454
     /* 177454 */ GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(177512), // Rule ID 4061 //
     /* 177459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177462 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177465 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 177472 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177477 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177488 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 177491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177496 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177506 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177510 */   GIR_RootConstrainSelectedInstOperands,
     /* 177511 */   // GIR_Coverage, 4061,
     /* 177511 */   GIR_EraseRootFromParent_Done,
     /* 177512 */ // Label 2768: @177512
     /* 177512 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(177570), // Rule ID 4063 //
     /* 177517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177520 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 177530 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177539 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177546 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 177549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177554 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177568 */   GIR_RootConstrainSelectedInstOperands,
     /* 177569 */   // GIR_Coverage, 4063,
     /* 177569 */   GIR_EraseRootFromParent_Done,
     /* 177570 */ // Label 2769: @177570
     /* 177570 */ GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(177628), // Rule ID 4065 //
     /* 177575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177578 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 177581 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 177588 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177597 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177604 */   // (atomic_store i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_atomic_store_32_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 177607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177612 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177622 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177626 */   GIR_RootConstrainSelectedInstOperands,
     /* 177627 */   // GIR_Coverage, 4065,
     /* 177627 */   GIR_EraseRootFromParent_Done,
     /* 177628 */ // Label 2770: @177628
     /* 177628 */ GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(177690), // Rule ID 4013 //
     /* 177633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177636 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177639 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177643 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 177650 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177655 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177659 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177666 */   // (st i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_global>>  =>  (GLOBAL_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_BYTE),
     /* 177669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177674 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177684 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177688 */   GIR_RootConstrainSelectedInstOperands,
     /* 177689 */   // GIR_Coverage, 4013,
     /* 177689 */   GIR_EraseRootFromParent_Done,
     /* 177690 */ // Label 2771: @177690
     /* 177690 */ GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(177752), // Rule ID 4015 //
     /* 177695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177698 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177701 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 177712 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177728 */   // (st i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_global>>  =>  (GLOBAL_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_SHORT),
     /* 177731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177736 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177750 */   GIR_RootConstrainSelectedInstOperands,
     /* 177751 */   // GIR_Coverage, 4015,
     /* 177751 */   GIR_EraseRootFromParent_Done,
     /* 177752 */ // Label 2772: @177752
     /* 177752 */ GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(177803), // Rule ID 3570 //
     /* 177757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177763 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177772 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177779 */   // (st i32:{ *:[i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 177782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177787 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177797 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177801 */   GIR_RootConstrainSelectedInstOperands,
     /* 177802 */   // GIR_Coverage, 3570,
     /* 177802 */   GIR_EraseRootFromParent_Done,
     /* 177803 */ // Label 2773: @177803
     /* 177803 */ GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(177854), // Rule ID 3921 //
     /* 177808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 177811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177814 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 177819 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177823 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 177830 */   // (st f32:{ *:[f32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 177833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177838 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 177840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177848 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 177852 */   GIR_RootConstrainSelectedInstOperands,
     /* 177853 */   // GIR_Coverage, 3921,
     /* 177853 */   GIR_EraseRootFromParent_Done,
     /* 177854 */ // Label 2774: @177854
     /* 177854 */ GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(177942), // Rule ID 3817 //
     /* 177859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 177862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177865 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 177876 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 177882 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 177886 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 177890 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 177894 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 177898 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 177902 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177906 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177908 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 177915 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_hi16_flat>>  =>  (FLAT_STORE_SHORT_D16_HI ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 177915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT_D16_HI),
     /* 177918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 177923 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 177927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 177932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 177935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177940 */   GIR_RootConstrainSelectedInstOperands,
     /* 177941 */   // GIR_Coverage, 3817,
     /* 177941 */   GIR_EraseRootFromParent_Done,
     /* 177942 */ // Label 2775: @177942
     /* 177942 */ GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(178030), // Rule ID 3818 //
     /* 177947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasD16LoadStore),
     /* 177950 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177953 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 177957 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 177964 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 177970 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 177974 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 177978 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 177982 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 177986 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 177990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 177994 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178003 */   // (st (srl:{ *:[i32] } i32:{ *:[i32] }:$data, 16:{ *:[i32] }), (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_hi16_flat>>  =>  (FLAT_STORE_BYTE_D16_HI ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE_D16_HI),
     /* 178006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178011 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // data
     /* 178015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178023 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178028 */   GIR_RootConstrainSelectedInstOperands,
     /* 178029 */   // GIR_Coverage, 3818,
     /* 178029 */   GIR_EraseRootFromParent_Done,
     /* 178030 */ // Label 2776: @178030
     /* 178030 */ GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(178089), // Rule ID 3693 //
     /* 178035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178038 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 178041 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 178048 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178065 */   // (atomic_store i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_atomic_store_32_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 178068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178073 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178087 */   GIR_RootConstrainSelectedInstOperands,
     /* 178088 */   // GIR_Coverage, 3693,
     /* 178088 */   GIR_EraseRootFromParent_Done,
     /* 178089 */ // Label 2777: @178089
     /* 178089 */ GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(178148), // Rule ID 3695 //
     /* 178094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178097 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 178100 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 178107 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178113 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178117 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178124 */   // (atomic_store i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_atomic_store_8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 178127 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178132 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178142 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178146 */   GIR_RootConstrainSelectedInstOperands,
     /* 178147 */   // GIR_Coverage, 3695,
     /* 178147 */   GIR_EraseRootFromParent_Done,
     /* 178148 */ // Label 2778: @178148
     /* 178148 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(178207), // Rule ID 3696 //
     /* 178153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178156 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 178159 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 178166 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178172 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178176 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178183 */   // (atomic_store i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_atomic_store_16_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 178186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178191 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178205 */   GIR_RootConstrainSelectedInstOperands,
     /* 178206 */   // GIR_Coverage, 3696,
     /* 178206 */   GIR_EraseRootFromParent_Done,
     /* 178207 */ // Label 2779: @178207
     /* 178207 */ GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(178270), // Rule ID 3644 //
     /* 178212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178218 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178222 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 178229 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178246 */   // (st i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>><<P:Predicate_truncstorei8_flat>>  =>  (FLAT_STORE_BYTE ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_BYTE),
     /* 178249 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178254 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178264 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178268 */   GIR_RootConstrainSelectedInstOperands,
     /* 178269 */   // GIR_Coverage, 3644,
     /* 178269 */   GIR_EraseRootFromParent_Done,
     /* 178270 */ // Label 2780: @178270
     /* 178270 */ GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(178333), // Rule ID 3645 //
     /* 178275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178278 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178281 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178285 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 178292 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178298 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178302 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178309 */   // (st i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>><<P:Predicate_truncstorei16_flat>>  =>  (FLAT_STORE_SHORT ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_SHORT),
     /* 178312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178317 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178331 */   GIR_RootConstrainSelectedInstOperands,
     /* 178332 */   // GIR_Coverage, 3645,
     /* 178332 */   GIR_EraseRootFromParent_Done,
     /* 178333 */ // Label 2781: @178333
     /* 178333 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(178385), // Rule ID 3647 //
     /* 178338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178344 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178350 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178354 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178361 */   // (st i32:{ *:[i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 178364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178369 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178379 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178383 */   GIR_RootConstrainSelectedInstOperands,
     /* 178384 */   // GIR_Coverage, 3647,
     /* 178384 */   GIR_EraseRootFromParent_Done,
     /* 178385 */ // Label 2782: @178385
     /* 178385 */ GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(178437), // Rule ID 3649 //
     /* 178390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 178393 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178396 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 178402 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178406 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 178413 */   // (st f32:{ *:[f32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 178413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 178416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178421 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178431 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178435 */   GIR_RootConstrainSelectedInstOperands,
     /* 178436 */   // GIR_Coverage, 3649,
     /* 178436 */   GIR_EraseRootFromParent_Done,
     /* 178437 */ // Label 2783: @178437
     /* 178437 */ GIM_Reject,
     /* 178438 */ // Label 2468: @178438
     /* 178438 */ GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(178502), // Rule ID 8262 //
     /* 178443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 178446 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178449 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178453 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178458 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178463 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178467 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 178471 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178478 */   // (AMDGPUst_glue i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 178481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178486 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178500 */   GIR_RootConstrainSelectedInstOperands,
     /* 178501 */   // GIR_Coverage, 8262,
     /* 178501 */   GIR_EraseRootFromParent_Done,
     /* 178502 */ // Label 2784: @178502
     /* 178502 */ GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(178566), // Rule ID 8266 //
     /* 178507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 178510 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178513 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178517 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178522 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178527 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178531 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 178535 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178542 */   // (AMDGPUst_glue f64:{ *:[f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 178545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178550 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178552 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178560 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178564 */   GIR_RootConstrainSelectedInstOperands,
     /* 178565 */   // GIR_Coverage, 8266,
     /* 178565 */   GIR_EraseRootFromParent_Done,
     /* 178566 */ // Label 2785: @178566
     /* 178566 */ GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(178625), // Rule ID 8194 //
     /* 178571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 178574 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178577 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178581 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178586 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 178590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178601 */   // (AMDGPUst_glue i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 178604 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178609 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178619 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178623 */   GIR_RootConstrainSelectedInstOperands,
     /* 178624 */   // GIR_Coverage, 8194,
     /* 178624 */   GIR_EraseRootFromParent_Done,
     /* 178625 */ // Label 2786: @178625
     /* 178625 */ GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(178684), // Rule ID 8198 //
     /* 178630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 178633 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 178640 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178645 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 178649 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178660 */   // (AMDGPUst_glue f64:{ *:[f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 178663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178668 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178670 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178682 */   GIR_RootConstrainSelectedInstOperands,
     /* 178683 */   // GIR_Coverage, 8198,
     /* 178683 */   GIR_EraseRootFromParent_Done,
     /* 178684 */ // Label 2787: @178684
     /* 178684 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(178744), // Rule ID 8263 //
     /* 178689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 178692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178695 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178700 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178705 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178709 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 178713 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178720 */   // (st i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 178723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178728 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178742 */   GIR_RootConstrainSelectedInstOperands,
     /* 178743 */   // GIR_Coverage, 8263,
     /* 178743 */   GIR_EraseRootFromParent_Done,
     /* 178744 */ // Label 2788: @178744
     /* 178744 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(178804), // Rule ID 8267 //
     /* 178749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 178752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178755 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178760 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178765 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178769 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 178773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178780 */   // (st f64:{ *:[f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 178783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178788 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178802 */   GIR_RootConstrainSelectedInstOperands,
     /* 178803 */   // GIR_Coverage, 8267,
     /* 178803 */   GIR_EraseRootFromParent_Done,
     /* 178804 */ // Label 2789: @178804
     /* 178804 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(178859), // Rule ID 8195 //
     /* 178809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 178812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178815 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178820 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 178824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178828 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178835 */   // (st i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 178838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178843 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178857 */   GIR_RootConstrainSelectedInstOperands,
     /* 178858 */   // GIR_Coverage, 8195,
     /* 178858 */   GIR_EraseRootFromParent_Done,
     /* 178859 */ // Label 2790: @178859
     /* 178859 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(178914), // Rule ID 8199 //
     /* 178864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 178867 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178870 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 178875 */   GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 178879 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178883 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 178890 */   // (st f64:{ *:[f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 178890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 178893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 178898 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 178900 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 178905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178908 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178912 */   GIR_RootConstrainSelectedInstOperands,
     /* 178913 */   // GIR_Coverage, 8199,
     /* 178913 */   GIR_EraseRootFromParent_Done,
     /* 178914 */ // Label 2791: @178914
     /* 178914 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(178970), // Rule ID 4356 //
     /* 178919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 178922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178925 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 178930 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178934 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 178941 */   // (st i64:{ *:[i64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 178941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 178944 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 178946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 178951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 178956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 178961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 178964 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 178968 */   GIR_RootConstrainSelectedInstOperands,
     /* 178969 */   // GIR_Coverage, 4356,
     /* 178969 */   GIR_EraseRootFromParent_Done,
     /* 178970 */ // Label 2792: @178970
     /* 178970 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(179026), // Rule ID 4362 //
     /* 178975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 178978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178981 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 178986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 178990 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 178997 */   // (st f64:{ *:[f64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 178997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 179000 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 179002 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 179007 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 179012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 179017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179020 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179024 */   GIR_RootConstrainSelectedInstOperands,
     /* 179025 */   // GIR_Coverage, 4362,
     /* 179025 */   GIR_EraseRootFromParent_Done,
     /* 179026 */ // Label 2793: @179026
     /* 179026 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(179077), // Rule ID 4355 //
     /* 179031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 179034 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179037 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 179042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 179053 */   // (st i64:{ *:[i64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 179053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 179056 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 179058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 179063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 179068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179071 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179075 */   GIR_RootConstrainSelectedInstOperands,
     /* 179076 */   // GIR_Coverage, 4355,
     /* 179076 */   GIR_EraseRootFromParent_Done,
     /* 179077 */ // Label 2794: @179077
     /* 179077 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(179128), // Rule ID 4361 //
     /* 179082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 179085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179088 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 179093 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179097 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 179104 */   // (st f64:{ *:[f64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 179104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 179107 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 179109 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 179114 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 179119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179122 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179126 */   GIR_RootConstrainSelectedInstOperands,
     /* 179127 */   // GIR_Coverage, 4361,
     /* 179127 */   GIR_EraseRootFromParent_Done,
     /* 179128 */ // Label 2795: @179128
     /* 179128 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(179179), // Rule ID 4354 //
     /* 179133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 179136 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179139 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 179144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179148 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 179155 */   // (st i64:{ *:[i64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 179155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 179158 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 179160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 179165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 179170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179177 */   GIR_RootConstrainSelectedInstOperands,
     /* 179178 */   // GIR_Coverage, 4354,
     /* 179178 */   GIR_EraseRootFromParent_Done,
     /* 179179 */ // Label 2796: @179179
     /* 179179 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(179230), // Rule ID 4360 //
     /* 179184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 179187 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179190 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 179195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 179206 */   // (st f64:{ *:[f64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 179206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 179209 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 179211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 179216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 179221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179228 */   GIR_RootConstrainSelectedInstOperands,
     /* 179229 */   // GIR_Coverage, 4360,
     /* 179229 */   GIR_EraseRootFromParent_Done,
     /* 179230 */ // Label 2797: @179230
     /* 179230 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(179301), // Rule ID 6642 //
     /* 179235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 179238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 179241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 179248 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179253 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179257 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 179264 */   // (atomic_store i64:{ *:[i64] }:$val, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_atomic_store_64_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 ?:{ *:[i64] }:$val, ?:{ *:[i64] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset)
     /* 179264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 179267 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 179269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 179274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 179284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 179289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179299 */   GIR_RootConstrainSelectedInstOperands,
     /* 179300 */   // GIR_Coverage, 6642,
     /* 179300 */   GIR_EraseRootFromParent_Done,
     /* 179301 */ // Label 2798: @179301
     /* 179301 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(179365), // Rule ID 4697 //
     /* 179306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 179309 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179312 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179317 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179321 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 179328 */   // (st i64:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 i64:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 179331 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 179338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 179348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 179353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179363 */   GIR_RootConstrainSelectedInstOperands,
     /* 179364 */   // GIR_Coverage, 4697,
     /* 179364 */   GIR_EraseRootFromParent_Done,
     /* 179365 */ // Label 2799: @179365
     /* 179365 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(179426), // Rule ID 4699 //
     /* 179370 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179373 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179378 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179382 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 179389 */   // (st i64:{ *:[i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 i64:{ *:[i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 179392 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 179399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 179409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 179414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179424 */   GIR_RootConstrainSelectedInstOperands,
     /* 179425 */   // GIR_Coverage, 4699,
     /* 179425 */   GIR_EraseRootFromParent_Done,
     /* 179426 */ // Label 2800: @179426
     /* 179426 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(179490), // Rule ID 4701 //
     /* 179431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 179434 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179437 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 179453 */   // (st f64:{ *:[f64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 f64:{ *:[f64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 179456 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 179463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 179473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 179478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179488 */   GIR_RootConstrainSelectedInstOperands,
     /* 179489 */   // GIR_Coverage, 4701,
     /* 179489 */   GIR_EraseRootFromParent_Done,
     /* 179490 */ // Label 2801: @179490
     /* 179490 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(179551), // Rule ID 4703 //
     /* 179495 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179498 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179507 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 179514 */   // (st f64:{ *:[f64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 f64:{ *:[f64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 179517 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 179524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179529 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 179534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 179539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179545 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179549 */   GIR_RootConstrainSelectedInstOperands,
     /* 179550 */   // GIR_Coverage, 4703,
     /* 179550 */   GIR_EraseRootFromParent_Done,
     /* 179551 */ // Label 2802: @179551
     /* 179551 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(179671), // Rule ID 8133 //
     /* 179556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 179559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179562 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 179566 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 179571 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179575 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 179582 */   // (AMDGPUst_glue i64:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 179582 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 179585 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 179589 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179594 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 179600 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 179605 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 179610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 179613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 179617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179622 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 179628 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 179633 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 179638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 179641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 179646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 179649 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 179652 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 179657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 179662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179665 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179669 */   GIR_RootConstrainSelectedInstOperands,
     /* 179670 */   // GIR_Coverage, 8133,
     /* 179670 */   GIR_EraseRootFromParent_Done,
     /* 179671 */ // Label 2803: @179671
     /* 179671 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(179791), // Rule ID 8141 //
     /* 179676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 179679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 179686 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 179691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 179702 */   // (AMDGPUst_glue f64:{ *:[f64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 179702 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 179705 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 179709 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179714 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 179720 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 179725 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 179730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 179733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 179737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179742 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 179748 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 179753 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 179758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 179761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 179766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 179769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 179772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 179777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 179782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179789 */   GIR_RootConstrainSelectedInstOperands,
     /* 179790 */   // GIR_Coverage, 8141,
     /* 179790 */   GIR_EraseRootFromParent_Done,
     /* 179791 */ // Label 2804: @179791
     /* 179791 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(179850), // Rule ID 4696 //
     /* 179796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 179799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179802 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179807 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179811 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 179818 */   // (st i64:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 179821 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179823 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179828 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 179833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 179838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179844 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179848 */   GIR_RootConstrainSelectedInstOperands,
     /* 179849 */   // GIR_Coverage, 4696,
     /* 179849 */   GIR_EraseRootFromParent_Done,
     /* 179850 */ // Label 2805: @179850
     /* 179850 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(179906), // Rule ID 4698 //
     /* 179855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179858 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179863 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179867 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 179874 */   // (st i64:{ *:[i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 179877 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 179889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 179894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179900 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179904 */   GIR_RootConstrainSelectedInstOperands,
     /* 179905 */   // GIR_Coverage, 4698,
     /* 179905 */   GIR_EraseRootFromParent_Done,
     /* 179906 */ // Label 2806: @179906
     /* 179906 */ GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(179965), // Rule ID 4700 //
     /* 179911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 179914 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179917 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179926 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 179933 */   // (st f64:{ *:[f64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 179936 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 179948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 179953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 179959 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 179963 */   GIR_RootConstrainSelectedInstOperands,
     /* 179964 */   // GIR_Coverage, 4700,
     /* 179964 */   GIR_EraseRootFromParent_Done,
     /* 179965 */ // Label 2807: @179965
     /* 179965 */ GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(180021), // Rule ID 4702 //
     /* 179970 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179973 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 179978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 179982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 179989 */   // (st f64:{ *:[f64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 179989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 179992 */   GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 179994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 179999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 180004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180019 */   GIR_RootConstrainSelectedInstOperands,
     /* 180020 */   // GIR_Coverage, 4702,
     /* 180020 */   GIR_EraseRootFromParent_Done,
     /* 180021 */ // Label 2808: @180021
     /* 180021 */ GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(180137), // Rule ID 8135 //
     /* 180026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 180029 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180032 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 180037 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180041 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 180048 */   // (st i64:{ *:[i64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 180048 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 180051 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180055 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180060 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 180066 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 180071 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 180076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 180079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180088 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 180094 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 180099 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 180104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 180107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 180112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 180115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 180118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 180123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 180128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180135 */   GIR_RootConstrainSelectedInstOperands,
     /* 180136 */   // GIR_Coverage, 8135,
     /* 180136 */   GIR_EraseRootFromParent_Done,
     /* 180137 */ // Label 2809: @180137
     /* 180137 */ GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(180253), // Rule ID 8143 //
     /* 180142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 180145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180148 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 180153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180157 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 180164 */   // (st f64:{ *:[f64] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 180164 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 180167 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180171 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180176 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 180182 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 180187 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 180192 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 180195 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180199 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180204 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 180210 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 180215 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 180220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 180223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 180228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 180231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 180234 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 180239 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 180244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180247 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180251 */   GIR_RootConstrainSelectedInstOperands,
     /* 180252 */   // GIR_Coverage, 8143,
     /* 180252 */   GIR_EraseRootFromParent_Done,
     /* 180253 */ // Label 2810: @180253
     /* 180253 */ GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(180311), // Rule ID 8128 //
     /* 180258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 180261 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 180264 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 180271 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 180276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180280 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 180287 */   // (AMDGPUatomic_st_glue i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64_glue>><<P:Predicate_atomic_store_64_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 180287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 180290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 180295 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 180297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180305 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180309 */   GIR_RootConstrainSelectedInstOperands,
     /* 180310 */   // GIR_Coverage, 8128,
     /* 180310 */   GIR_EraseRootFromParent_Done,
     /* 180311 */ // Label 2811: @180311
     /* 180311 */ GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(180369), // Rule ID 8129 //
     /* 180316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 180319 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 180322 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 180329 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 180334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180338 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 180345 */   // (atomic_store i64:{ *:[i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_atomic_store_64_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 180345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 180348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 180353 */   GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 180355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180363 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180367 */   GIR_RootConstrainSelectedInstOperands,
     /* 180368 */   // GIR_Coverage, 8129,
     /* 180368 */   GIR_EraseRootFromParent_Done,
     /* 180369 */ // Label 2812: @180369
     /* 180369 */ GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(180432), // Rule ID 4068 //
     /* 180374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180377 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 180380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 180387 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 180403 */   // (atomic_store i64:{ *:[i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_atomic_store_64_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 180403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 180406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 180411 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 180418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180426 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180430 */   GIR_RootConstrainSelectedInstOperands,
     /* 180431 */   // GIR_Coverage, 4068,
     /* 180431 */   GIR_EraseRootFromParent_Done,
     /* 180432 */ // Label 2813: @180432
     /* 180432 */ GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(180488), // Rule ID 3950 //
     /* 180437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180440 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180443 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 180459 */   // (st i64:{ *:[i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 180459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 180462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 180467 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 180474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180482 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180486 */   GIR_RootConstrainSelectedInstOperands,
     /* 180487 */   // GIR_Coverage, 3950,
     /* 180487 */   GIR_EraseRootFromParent_Done,
     /* 180488 */ // Label 2814: @180488
     /* 180488 */ GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(180544), // Rule ID 3954 //
     /* 180493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180496 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180499 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180504 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180508 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 180515 */   // (st f64:{ *:[f64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 180515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 180518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 180523 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 180530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180538 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180542 */   GIR_RootConstrainSelectedInstOperands,
     /* 180543 */   // GIR_Coverage, 3954,
     /* 180543 */   GIR_EraseRootFromParent_Done,
     /* 180544 */ // Label 2815: @180544
     /* 180544 */ GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(180602), // Rule ID 4067 //
     /* 180549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180552 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 180555 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 180562 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180571 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 180578 */   // (atomic_store i64:{ *:[i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_atomic_store_64_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 180581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180586 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180596 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180600 */   GIR_RootConstrainSelectedInstOperands,
     /* 180601 */   // GIR_Coverage, 4067,
     /* 180601 */   GIR_EraseRootFromParent_Done,
     /* 180602 */ // Label 2816: @180602
     /* 180602 */ GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(180653), // Rule ID 3949 //
     /* 180607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180613 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180618 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180622 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 180629 */   // (st i64:{ *:[i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 180632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180637 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180647 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180651 */   GIR_RootConstrainSelectedInstOperands,
     /* 180652 */   // GIR_Coverage, 3949,
     /* 180652 */   GIR_EraseRootFromParent_Done,
     /* 180653 */ // Label 2817: @180653
     /* 180653 */ GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(180704), // Rule ID 3953 //
     /* 180658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 180661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180664 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 180669 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180673 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 180680 */   // (st f64:{ *:[f64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 180683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180688 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180698 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180702 */   GIR_RootConstrainSelectedInstOperands,
     /* 180703 */   // GIR_Coverage, 3953,
     /* 180703 */   GIR_EraseRootFromParent_Done,
     /* 180704 */ // Label 2818: @180704
     /* 180704 */ GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(180763), // Rule ID 3694 //
     /* 180709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 180712 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 180715 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 180722 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 180728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 180739 */   // (atomic_store i64:{ *:[i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_atomic_store_64_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 180742 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180747 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180761 */   GIR_RootConstrainSelectedInstOperands,
     /* 180762 */   // GIR_Coverage, 3694,
     /* 180762 */   GIR_EraseRootFromParent_Done,
     /* 180763 */ // Label 2819: @180763
     /* 180763 */ GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(180815), // Rule ID 3662 //
     /* 180768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 180771 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180774 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 180780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180784 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 180791 */   // (st i64:{ *:[i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 180794 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180799 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180809 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180813 */   GIR_RootConstrainSelectedInstOperands,
     /* 180814 */   // GIR_Coverage, 3662,
     /* 180814 */   GIR_EraseRootFromParent_Done,
     /* 180815 */ // Label 2820: @180815
     /* 180815 */ GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(180867), // Rule ID 3664 //
     /* 180820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 180823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180826 */   GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 180832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 180843 */   // (st f64:{ *:[f64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 180843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 180846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 180851 */   GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 180853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 180858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180865 */   GIR_RootConstrainSelectedInstOperands,
     /* 180866 */   // GIR_Coverage, 3664,
     /* 180866 */   GIR_EraseRootFromParent_Done,
     /* 180867 */ // Label 2821: @180867
     /* 180867 */ GIM_Reject,
     /* 180868 */ // Label 2469: @180868
     /* 180868 */ GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(182599),
     /* 180873 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180876 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(180932), // Rule ID 6673 //
     /* 180881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 180884 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 180889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 180900 */     // (st v2i16:{ *:[v2i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[v2i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 180900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 180903 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 180905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 180910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 180915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180930 */     GIR_RootConstrainSelectedInstOperands,
     /* 180931 */     // GIR_Coverage, 6673,
     /* 180931 */     GIR_EraseRootFromParent_Done,
     /* 180932 */   // Label 2823: @180932
     /* 180932 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(180988), // Rule ID 6675 //
     /* 180937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 180940 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 180945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 180949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 180956 */     // (st v2i16:{ *:[v2i16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[v2i16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 180956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 180959 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 180961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 180966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 180971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 180976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 180982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 180986 */     GIR_RootConstrainSelectedInstOperands,
     /* 180987 */     // GIR_Coverage, 6675,
     /* 180987 */     GIR_EraseRootFromParent_Done,
     /* 180988 */   // Label 2824: @180988
     /* 180988 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(181044), // Rule ID 6677 //
     /* 180993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 180996 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 181012 */     // (st v2f16:{ *:[v2f16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFSET VGPR_32:{ *:[v2f16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 181015 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 181027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181042 */     GIR_RootConstrainSelectedInstOperands,
     /* 181043 */     // GIR_Coverage, 6677,
     /* 181043 */     GIR_EraseRootFromParent_Done,
     /* 181044 */   // Label 2825: @181044
     /* 181044 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(181100), // Rule ID 6679 //
     /* 181049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 181052 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 181068 */     // (st v2f16:{ *:[v2f16] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET VGPR_32:{ *:[v2f16] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 181071 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 181083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181098 */     GIR_RootConstrainSelectedInstOperands,
     /* 181099 */     // GIR_Coverage, 6679,
     /* 181099 */     GIR_EraseRootFromParent_Done,
     /* 181100 */   // Label 2826: @181100
     /* 181100 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(181153), // Rule ID 4320 //
     /* 181105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 181108 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 181124 */     // (st v2i16:{ *:[v2i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 181124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 181127 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 181134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 181139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181151 */     GIR_RootConstrainSelectedInstOperands,
     /* 181152 */     // GIR_Coverage, 4320,
     /* 181152 */     GIR_EraseRootFromParent_Done,
     /* 181153 */   // Label 2827: @181153
     /* 181153 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(181206), // Rule ID 4326 //
     /* 181158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 181161 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 181177 */     // (st v2f16:{ *:[v2f16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SVS anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 181177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SVS),
     /* 181180 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 181187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 181192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181204 */     GIR_RootConstrainSelectedInstOperands,
     /* 181205 */     // GIR_Coverage, 4326,
     /* 181205 */     GIR_EraseRootFromParent_Done,
     /* 181206 */   // Label 2828: @181206
     /* 181206 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(181254), // Rule ID 4319 //
     /* 181211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 181214 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 181230 */     // (st v2i16:{ *:[v2i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 181230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 181233 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 181240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 181245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181252 */     GIR_RootConstrainSelectedInstOperands,
     /* 181253 */     // GIR_Coverage, 4319,
     /* 181253 */     GIR_EraseRootFromParent_Done,
     /* 181254 */   // Label 2829: @181254
     /* 181254 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(181302), // Rule ID 4325 //
     /* 181259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 181262 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 181278 */     // (st v2f16:{ *:[v2f16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD_SADDR anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 181278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD_SADDR),
     /* 181281 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 181288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 181293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181300 */     GIR_RootConstrainSelectedInstOperands,
     /* 181301 */     // GIR_Coverage, 4325,
     /* 181301 */     GIR_EraseRootFromParent_Done,
     /* 181302 */   // Label 2830: @181302
     /* 181302 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(181350), // Rule ID 4318 //
     /* 181307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 181310 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 181326 */     // (st v2i16:{ *:[v2i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 181326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 181329 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 181336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 181341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181348 */     GIR_RootConstrainSelectedInstOperands,
     /* 181349 */     // GIR_Coverage, 4318,
     /* 181349 */     GIR_EraseRootFromParent_Done,
     /* 181350 */   // Label 2831: @181350
     /* 181350 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(181398), // Rule ID 4324 //
     /* 181355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 181358 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 181374 */     // (st v2f16:{ *:[v2f16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORD anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 181374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORD),
     /* 181377 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 181379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 181384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 181389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181396 */     GIR_RootConstrainSelectedInstOperands,
     /* 181397 */     // GIR_Coverage, 4324,
     /* 181397 */     GIR_EraseRootFromParent_Done,
     /* 181398 */   // Label 2832: @181398
     /* 181398 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(181459), // Rule ID 4673 //
     /* 181403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 181406 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 181422 */     // (st v2i16:{ *:[v2i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 v2i16:{ *:[v2i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 181425 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181457 */     GIR_RootConstrainSelectedInstOperands,
     /* 181458 */     // GIR_Coverage, 4673,
     /* 181458 */     GIR_EraseRootFromParent_Done,
     /* 181459 */   // Label 2833: @181459
     /* 181459 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(181517), // Rule ID 4675 //
     /* 181464 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 181480 */     // (st v2i16:{ *:[v2i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 v2i16:{ *:[v2i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 181483 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181515 */     GIR_RootConstrainSelectedInstOperands,
     /* 181516 */     // GIR_Coverage, 4675,
     /* 181516 */     GIR_EraseRootFromParent_Done,
     /* 181517 */   // Label 2834: @181517
     /* 181517 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(181578), // Rule ID 4677 //
     /* 181522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 181525 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 181541 */     // (st v2f16:{ *:[v2f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_ADDR64 v2f16:{ *:[v2f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_ADDR64),
     /* 181544 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181576 */     GIR_RootConstrainSelectedInstOperands,
     /* 181577 */     // GIR_Coverage, 4677,
     /* 181577 */     GIR_EraseRootFromParent_Done,
     /* 181578 */   // Label 2835: @181578
     /* 181578 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(181636), // Rule ID 4679 //
     /* 181583 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 181599 */     // (st v2f16:{ *:[v2f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_ADDR64 v2f16:{ *:[v2f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_ADDR64),
     /* 181602 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181634 */     GIR_RootConstrainSelectedInstOperands,
     /* 181635 */     // GIR_Coverage, 4679,
     /* 181635 */     GIR_EraseRootFromParent_Done,
     /* 181636 */   // Label 2836: @181636
     /* 181636 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(181697), // Rule ID 6672 //
     /* 181641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 181644 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 181660 */     // (st v2i16:{ *:[v2i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[v2i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 181663 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181695 */     GIR_RootConstrainSelectedInstOperands,
     /* 181696 */     // GIR_Coverage, 6672,
     /* 181696 */     GIR_EraseRootFromParent_Done,
     /* 181697 */   // Label 2837: @181697
     /* 181697 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(181758), // Rule ID 6674 //
     /* 181702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 181705 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 181721 */     // (st v2i16:{ *:[v2i16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[v2i16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 181724 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181756 */     GIR_RootConstrainSelectedInstOperands,
     /* 181757 */     // GIR_Coverage, 6674,
     /* 181757 */     GIR_EraseRootFromParent_Done,
     /* 181758 */   // Label 2838: @181758
     /* 181758 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(181819), // Rule ID 6676 //
     /* 181763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 181766 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 181782 */     // (st v2f16:{ *:[v2f16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_OFFEN VGPR_32:{ *:[v2f16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN),
     /* 181785 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181817 */     GIR_RootConstrainSelectedInstOperands,
     /* 181818 */     // GIR_Coverage, 6676,
     /* 181818 */     GIR_EraseRootFromParent_Done,
     /* 181819 */   // Label 2839: @181819
     /* 181819 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(181880), // Rule ID 6678 //
     /* 181824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 181827 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 181832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 181843 */     // (st v2f16:{ *:[v2f16] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN VGPR_32:{ *:[v2f16] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 181843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN),
     /* 181846 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 181848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 181853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 181863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 181868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181878 */     GIR_RootConstrainSelectedInstOperands,
     /* 181879 */     // GIR_Coverage, 6678,
     /* 181879 */     GIR_EraseRootFromParent_Done,
     /* 181880 */   // Label 2840: @181880
     /* 181880 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(181936), // Rule ID 4672 //
     /* 181885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 181888 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 181904 */     // (st v2i16:{ *:[v2i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 181907 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 181919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181934 */     GIR_RootConstrainSelectedInstOperands,
     /* 181935 */     // GIR_Coverage, 4672,
     /* 181935 */     GIR_EraseRootFromParent_Done,
     /* 181936 */   // Label 2841: @181936
     /* 181936 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(181989), // Rule ID 4674 //
     /* 181941 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 181946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 181950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 181957 */     // (st v2i16:{ *:[v2i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 181957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 181960 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 181962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 181967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 181972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 181977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 181987 */     GIR_RootConstrainSelectedInstOperands,
     /* 181988 */     // GIR_Coverage, 4674,
     /* 181988 */     GIR_EraseRootFromParent_Done,
     /* 181989 */   // Label 2842: @181989
     /* 181989 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(182045), // Rule ID 4676 //
     /* 181994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 181997 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 182013 */     // (st v2f16:{ *:[v2f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_OFFSET v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 182013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET),
     /* 182016 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 182018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 182023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 182028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 182033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182043 */     GIR_RootConstrainSelectedInstOperands,
     /* 182044 */     // GIR_Coverage, 4676,
     /* 182044 */     GIR_EraseRootFromParent_Done,
     /* 182045 */   // Label 2843: @182045
     /* 182045 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(182098), // Rule ID 4678 //
     /* 182050 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 182066 */     // (st v2f16:{ *:[v2f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 182066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET),
     /* 182069 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 182071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 182076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 182081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 182086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182096 */     GIR_RootConstrainSelectedInstOperands,
     /* 182097 */     // GIR_Coverage, 4678,
     /* 182097 */     GIR_EraseRootFromParent_Done,
     /* 182098 */   // Label 2844: @182098
     /* 182098 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(182150), // Rule ID 8102 //
     /* 182103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 182106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182110 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182126 */     // (AMDGPUst_glue v2i16:{ *:[v2i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 182129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182134 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182148 */     GIR_RootConstrainSelectedInstOperands,
     /* 182149 */     // GIR_Coverage, 8102,
     /* 182149 */     GIR_EraseRootFromParent_Done,
     /* 182150 */   // Label 2845: @182150
     /* 182150 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(182202), // Rule ID 8104 //
     /* 182155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 182158 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182162 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182178 */     // (AMDGPUst_glue v2f16:{ *:[v2f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32),
     /* 182181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182186 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182200 */     GIR_RootConstrainSelectedInstOperands,
     /* 182201 */     // GIR_Coverage, 8104,
     /* 182201 */     GIR_EraseRootFromParent_Done,
     /* 182202 */   // Label 2846: @182202
     /* 182202 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(182250), // Rule ID 8103 //
     /* 182207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 182210 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182226 */     // (st v2i16:{ *:[v2i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 182229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182234 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182248 */     GIR_RootConstrainSelectedInstOperands,
     /* 182249 */     // GIR_Coverage, 8103,
     /* 182249 */     GIR_EraseRootFromParent_Done,
     /* 182250 */   // Label 2847: @182250
     /* 182250 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(182298), // Rule ID 8105 //
     /* 182255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 182258 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182274 */     // (st v2f16:{ *:[v2f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B32_gfx9),
     /* 182277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182282 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182296 */     GIR_RootConstrainSelectedInstOperands,
     /* 182297 */     // GIR_Coverage, 8105,
     /* 182297 */     GIR_EraseRootFromParent_Done,
     /* 182298 */   // Label 2848: @182298
     /* 182298 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(182351), // Rule ID 3926 //
     /* 182303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 182306 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 182322 */     // (st v2i16:{ *:[v2i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 182322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 182325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 182330 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 182337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 182342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182349 */     GIR_RootConstrainSelectedInstOperands,
     /* 182350 */     // GIR_Coverage, 3926,
     /* 182350 */     GIR_EraseRootFromParent_Done,
     /* 182351 */   // Label 2849: @182351
     /* 182351 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(182404), // Rule ID 3930 //
     /* 182356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 182359 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 182375 */     // (st v2f16:{ *:[v2f16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 182375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD_SADDR),
     /* 182378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 182383 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 182390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 182395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182402 */     GIR_RootConstrainSelectedInstOperands,
     /* 182403 */     // GIR_Coverage, 3930,
     /* 182403 */     GIR_EraseRootFromParent_Done,
     /* 182404 */   // Label 2850: @182404
     /* 182404 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(182452), // Rule ID 3925 //
     /* 182409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 182412 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 182428 */     // (st v2i16:{ *:[v2i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 182428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 182431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 182436 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182450 */     GIR_RootConstrainSelectedInstOperands,
     /* 182451 */     // GIR_Coverage, 3925,
     /* 182451 */     GIR_EraseRootFromParent_Done,
     /* 182452 */   // Label 2851: @182452
     /* 182452 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(182500), // Rule ID 3929 //
     /* 182457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 182460 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 182465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 182476 */     // (st v2f16:{ *:[v2f16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 182476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORD),
     /* 182479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 182484 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182498 */     GIR_RootConstrainSelectedInstOperands,
     /* 182499 */     // GIR_Coverage, 3929,
     /* 182499 */     GIR_EraseRootFromParent_Done,
     /* 182500 */   // Label 2852: @182500
     /* 182500 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(182549), // Rule ID 3651 //
     /* 182505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 182508 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 182514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 182525 */     // (st v2i16:{ *:[v2i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 182525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 182528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 182533 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182547 */     GIR_RootConstrainSelectedInstOperands,
     /* 182548 */     // GIR_Coverage, 3651,
     /* 182548 */     GIR_EraseRootFromParent_Done,
     /* 182549 */   // Label 2853: @182549
     /* 182549 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(182598), // Rule ID 3653 //
     /* 182554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 182557 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 182563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 182574 */     // (st v2f16:{ *:[v2f16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORD ?:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 182574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORD),
     /* 182577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 182582 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 182584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182596 */     GIR_RootConstrainSelectedInstOperands,
     /* 182597 */     // GIR_Coverage, 3653,
     /* 182597 */     GIR_EraseRootFromParent_Done,
     /* 182598 */   // Label 2854: @182598
     /* 182598 */   GIM_Reject,
     /* 182599 */ // Label 2822: @182599
     /* 182599 */ GIM_Reject,
     /* 182600 */ // Label 2470: @182600
     /* 182600 */ GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(184809),
     /* 182605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182608 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(182669), // Rule ID 8270 //
     /* 182613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 182616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182620 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182625 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 182638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182645 */     // (AMDGPUst_glue v2i32:{ *:[v2i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 182648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182653 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182667 */     GIR_RootConstrainSelectedInstOperands,
     /* 182668 */     // GIR_Coverage, 8270,
     /* 182668 */     GIR_EraseRootFromParent_Done,
     /* 182669 */   // Label 2856: @182669
     /* 182669 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(182730), // Rule ID 8274 //
     /* 182674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 182677 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182681 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182686 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 182699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182706 */     // (AMDGPUst_glue v2f32:{ *:[v2f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 182709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182714 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182728 */     GIR_RootConstrainSelectedInstOperands,
     /* 182729 */     // GIR_Coverage, 8274,
     /* 182729 */     GIR_EraseRootFromParent_Done,
     /* 182730 */   // Label 2857: @182730
     /* 182730 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(182786), // Rule ID 8202 //
     /* 182735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 182738 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182742 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182747 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 182751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182762 */     // (AMDGPUst_glue v2i32:{ *:[v2i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 182765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182770 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182784 */     GIR_RootConstrainSelectedInstOperands,
     /* 182785 */     // GIR_Coverage, 8202,
     /* 182785 */     GIR_EraseRootFromParent_Done,
     /* 182786 */   // Label 2858: @182786
     /* 182786 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(182842), // Rule ID 8206 //
     /* 182791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 182794 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 182798 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182803 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 182807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182818 */     // (AMDGPUst_glue v2f32:{ *:[v2f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 182821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182826 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182840 */     GIR_RootConstrainSelectedInstOperands,
     /* 182841 */     // GIR_Coverage, 8206,
     /* 182841 */     GIR_EraseRootFromParent_Done,
     /* 182842 */   // Label 2859: @182842
     /* 182842 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(182899), // Rule ID 8271 //
     /* 182847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 182850 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182855 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182864 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 182868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182875 */     // (st v2i32:{ *:[v2i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 182878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182883 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182897 */     GIR_RootConstrainSelectedInstOperands,
     /* 182898 */     // GIR_Coverage, 8271,
     /* 182898 */     GIR_EraseRootFromParent_Done,
     /* 182899 */   // Label 2860: @182899
     /* 182899 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(182956), // Rule ID 8275 //
     /* 182904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 182907 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182912 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182921 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 182925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182932 */     // (st v2f32:{ *:[v2f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 182935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182940 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 182954 */     GIR_RootConstrainSelectedInstOperands,
     /* 182955 */     // GIR_Coverage, 8275,
     /* 182955 */     GIR_EraseRootFromParent_Done,
     /* 182956 */   // Label 2861: @182956
     /* 182956 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(183008), // Rule ID 8203 //
     /* 182961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 182964 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 182969 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 182973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 182977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 182984 */     // (st v2i32:{ *:[v2i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 182984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 182987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 182992 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 182994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 182999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183006 */     GIR_RootConstrainSelectedInstOperands,
     /* 183007 */     // GIR_Coverage, 8203,
     /* 183007 */     GIR_EraseRootFromParent_Done,
     /* 183008 */   // Label 2862: @183008
     /* 183008 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(183060), // Rule ID 8207 //
     /* 183013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 183016 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 183021 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 183025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 183036 */     // (st v2f32:{ *:[v2f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v2f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 183036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 183039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 183044 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 183046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 183051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183058 */     GIR_RootConstrainSelectedInstOperands,
     /* 183059 */     // GIR_Coverage, 8207,
     /* 183059 */     GIR_EraseRootFromParent_Done,
     /* 183060 */   // Label 2863: @183060
     /* 183060 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(183116), // Rule ID 6697 //
     /* 183065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 183068 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 183084 */     // (st v2i32:{ *:[v2i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX2_OFFSET VReg_64:{ *:[v2i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 183084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 183087 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 183089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 183099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 183104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183114 */     GIR_RootConstrainSelectedInstOperands,
     /* 183115 */     // GIR_Coverage, 6697,
     /* 183115 */     GIR_EraseRootFromParent_Done,
     /* 183116 */   // Label 2864: @183116
     /* 183116 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(183172), // Rule ID 6699 //
     /* 183121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 183124 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 183140 */     // (st v2i32:{ *:[v2i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET VReg_64:{ *:[v2i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 183140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 183143 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 183145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 183155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 183160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183170 */     GIR_RootConstrainSelectedInstOperands,
     /* 183171 */     // GIR_Coverage, 6699,
     /* 183171 */     GIR_EraseRootFromParent_Done,
     /* 183172 */   // Label 2865: @183172
     /* 183172 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(183225), // Rule ID 4368 //
     /* 183177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 183180 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 183196 */     // (st v2i32:{ *:[v2i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 183196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 183199 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 183206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 183211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 183216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183223 */     GIR_RootConstrainSelectedInstOperands,
     /* 183224 */     // GIR_Coverage, 4368,
     /* 183224 */     GIR_EraseRootFromParent_Done,
     /* 183225 */   // Label 2866: @183225
     /* 183225 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(183278), // Rule ID 4374 //
     /* 183230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 183233 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 183249 */     // (st v2f32:{ *:[v2f32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 183249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 183252 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 183259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 183264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 183269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183276 */     GIR_RootConstrainSelectedInstOperands,
     /* 183277 */     // GIR_Coverage, 4374,
     /* 183277 */     GIR_EraseRootFromParent_Done,
     /* 183278 */   // Label 2867: @183278
     /* 183278 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(183326), // Rule ID 4367 //
     /* 183283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 183286 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 183302 */     // (st v2i32:{ *:[v2i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 183302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 183305 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 183312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 183317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183324 */     GIR_RootConstrainSelectedInstOperands,
     /* 183325 */     // GIR_Coverage, 4367,
     /* 183325 */     GIR_EraseRootFromParent_Done,
     /* 183326 */   // Label 2868: @183326
     /* 183326 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(183374), // Rule ID 4373 //
     /* 183331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 183334 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 183350 */     // (st v2f32:{ *:[v2f32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 183350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 183353 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 183360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 183365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183372 */     GIR_RootConstrainSelectedInstOperands,
     /* 183373 */     // GIR_Coverage, 4373,
     /* 183373 */     GIR_EraseRootFromParent_Done,
     /* 183374 */   // Label 2869: @183374
     /* 183374 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(183422), // Rule ID 4366 //
     /* 183379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 183382 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 183398 */     // (st v2i32:{ *:[v2i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 183398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 183401 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 183408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 183413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183420 */     GIR_RootConstrainSelectedInstOperands,
     /* 183421 */     // GIR_Coverage, 4366,
     /* 183421 */     GIR_EraseRootFromParent_Done,
     /* 183422 */   // Label 2870: @183422
     /* 183422 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(183470), // Rule ID 4372 //
     /* 183427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 183430 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 183446 */     // (st v2f32:{ *:[v2f32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 183446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 183449 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 183451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 183456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 183461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183468 */     GIR_RootConstrainSelectedInstOperands,
     /* 183469 */     // GIR_Coverage, 4372,
     /* 183469 */     GIR_EraseRootFromParent_Done,
     /* 183470 */   // Label 2871: @183470
     /* 183470 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(183531), // Rule ID 4705 //
     /* 183475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 183478 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 183483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 183494 */     // (st v2i32:{ *:[v2i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 v2i32:{ *:[v2i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 183494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 183497 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 183499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183529 */     GIR_RootConstrainSelectedInstOperands,
     /* 183530 */     // GIR_Coverage, 4705,
     /* 183530 */     GIR_EraseRootFromParent_Done,
     /* 183531 */   // Label 2872: @183531
     /* 183531 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(183589), // Rule ID 4707 //
     /* 183536 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 183541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 183552 */     // (st v2i32:{ *:[v2i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 v2i32:{ *:[v2i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 183552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 183555 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 183557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183587 */     GIR_RootConstrainSelectedInstOperands,
     /* 183588 */     // GIR_Coverage, 4707,
     /* 183588 */     GIR_EraseRootFromParent_Done,
     /* 183589 */   // Label 2873: @183589
     /* 183589 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(183650), // Rule ID 4709 //
     /* 183594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 183597 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 183602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 183613 */     // (st v2f32:{ *:[v2f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 v2f32:{ *:[v2f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 183613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 183616 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 183618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183648 */     GIR_RootConstrainSelectedInstOperands,
     /* 183649 */     // GIR_Coverage, 4709,
     /* 183649 */     GIR_EraseRootFromParent_Done,
     /* 183650 */   // Label 2874: @183650
     /* 183650 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(183708), // Rule ID 4711 //
     /* 183655 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 183660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 183671 */     // (st v2f32:{ *:[v2f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 v2f32:{ *:[v2f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 183671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 183674 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 183676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183706 */     GIR_RootConstrainSelectedInstOperands,
     /* 183707 */     // GIR_Coverage, 4711,
     /* 183707 */     GIR_EraseRootFromParent_Done,
     /* 183708 */   // Label 2875: @183708
     /* 183708 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(183769), // Rule ID 6696 //
     /* 183713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 183716 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 183732 */     // (st v2i32:{ *:[v2i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX2_OFFEN VReg_64:{ *:[v2i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 183732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN),
     /* 183735 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 183737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183767 */     GIR_RootConstrainSelectedInstOperands,
     /* 183768 */     // GIR_Coverage, 6696,
     /* 183768 */     GIR_EraseRootFromParent_Done,
     /* 183769 */   // Label 2876: @183769
     /* 183769 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(183830), // Rule ID 6698 //
     /* 183774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 183777 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 183782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 183793 */     // (st v2i32:{ *:[v2i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN VReg_64:{ *:[v2i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 183793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN),
     /* 183796 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 183798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 183803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 183808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 183813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 183818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183828 */     GIR_RootConstrainSelectedInstOperands,
     /* 183829 */     // GIR_Coverage, 6698,
     /* 183829 */     GIR_EraseRootFromParent_Done,
     /* 183830 */   // Label 2877: @183830
     /* 183830 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(183947), // Rule ID 8145 //
     /* 183835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 183838 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 183842 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 183847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 183858 */     // (AMDGPUst_glue v2i32:{ *:[v2i32] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2i32] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2i32] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 183858 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 183861 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 183865 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183870 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 183876 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 183881 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 183886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 183889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 183893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183898 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 183904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 183909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 183914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 183917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 183922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 183925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 183928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 183933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 183938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 183941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 183945 */     GIR_RootConstrainSelectedInstOperands,
     /* 183946 */     // GIR_Coverage, 8145,
     /* 183946 */     GIR_EraseRootFromParent_Done,
     /* 183947 */   // Label 2878: @183947
     /* 183947 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(184064), // Rule ID 8149 //
     /* 183952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 183955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 183959 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 183964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 183968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 183975 */     // (AMDGPUst_glue v2f32:{ *:[v2f32] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2f32] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2f32] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 183975 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 183978 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 183982 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183987 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 183993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 183998 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 184006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184015 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 184021 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 184026 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 184034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 184042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 184045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 184050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 184055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184062 */     GIR_RootConstrainSelectedInstOperands,
     /* 184063 */     // GIR_Coverage, 8149,
     /* 184063 */     GIR_EraseRootFromParent_Done,
     /* 184064 */   // Label 2879: @184064
     /* 184064 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(184120), // Rule ID 4704 //
     /* 184069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 184072 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 184088 */     // (st v2i32:{ *:[v2i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 184088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 184091 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 184093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 184098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 184103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184118 */     GIR_RootConstrainSelectedInstOperands,
     /* 184119 */     // GIR_Coverage, 4704,
     /* 184119 */     GIR_EraseRootFromParent_Done,
     /* 184120 */   // Label 2880: @184120
     /* 184120 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(184173), // Rule ID 4706 //
     /* 184125 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 184141 */     // (st v2i32:{ *:[v2i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 184141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 184144 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 184146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 184151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 184156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184171 */     GIR_RootConstrainSelectedInstOperands,
     /* 184172 */     // GIR_Coverage, 4706,
     /* 184172 */     GIR_EraseRootFromParent_Done,
     /* 184173 */   // Label 2881: @184173
     /* 184173 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(184229), // Rule ID 4708 //
     /* 184178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 184181 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 184197 */     // (st v2f32:{ *:[v2f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 184197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 184200 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 184202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 184207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 184212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184227 */     GIR_RootConstrainSelectedInstOperands,
     /* 184228 */     // GIR_Coverage, 4708,
     /* 184228 */     GIR_EraseRootFromParent_Done,
     /* 184229 */   // Label 2882: @184229
     /* 184229 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(184282), // Rule ID 4710 //
     /* 184234 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 184250 */     // (st v2f32:{ *:[v2f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 184250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 184253 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 184255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 184260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 184265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184280 */     GIR_RootConstrainSelectedInstOperands,
     /* 184281 */     // GIR_Coverage, 4710,
     /* 184281 */     GIR_EraseRootFromParent_Done,
     /* 184282 */   // Label 2883: @184282
     /* 184282 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(184395), // Rule ID 8147 //
     /* 184287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 184290 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 184306 */     // (st v2i32:{ *:[v2i32] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2i32] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2i32] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 184306 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 184309 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184313 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184318 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 184324 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 184329 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 184337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184346 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 184352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 184357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 184365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 184373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 184376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 184381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 184386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184393 */     GIR_RootConstrainSelectedInstOperands,
     /* 184394 */     // GIR_Coverage, 8147,
     /* 184394 */     GIR_EraseRootFromParent_Done,
     /* 184395 */   // Label 2884: @184395
     /* 184395 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(184508), // Rule ID 8151 //
     /* 184400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 184403 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 184419 */     // (st v2f32:{ *:[v2f32] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2f32] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v2f32] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 184419 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 184422 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184426 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184431 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 184437 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 184442 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 184450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184459 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 184465 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 184470 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 184475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 184478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 184486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 184489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 184494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 184499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184506 */     GIR_RootConstrainSelectedInstOperands,
     /* 184507 */     // GIR_Coverage, 8151,
     /* 184507 */     GIR_EraseRootFromParent_Done,
     /* 184508 */   // Label 2885: @184508
     /* 184508 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(184561), // Rule ID 3958 //
     /* 184513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 184516 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 184532 */     // (st v2i32:{ *:[v2i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 184532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 184535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 184540 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 184547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184559 */     GIR_RootConstrainSelectedInstOperands,
     /* 184560 */     // GIR_Coverage, 3958,
     /* 184560 */     GIR_EraseRootFromParent_Done,
     /* 184561 */   // Label 2886: @184561
     /* 184561 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(184614), // Rule ID 3962 //
     /* 184566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 184569 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 184585 */     // (st v2f32:{ *:[v2f32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 184585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 184588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 184593 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 184600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 184605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184612 */     GIR_RootConstrainSelectedInstOperands,
     /* 184613 */     // GIR_Coverage, 3962,
     /* 184613 */     GIR_EraseRootFromParent_Done,
     /* 184614 */   // Label 2887: @184614
     /* 184614 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(184662), // Rule ID 3957 //
     /* 184619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 184622 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 184638 */     // (st v2i32:{ *:[v2i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 184638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 184641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 184646 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184660 */     GIR_RootConstrainSelectedInstOperands,
     /* 184661 */     // GIR_Coverage, 3957,
     /* 184661 */     GIR_EraseRootFromParent_Done,
     /* 184662 */   // Label 2888: @184662
     /* 184662 */   GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(184710), // Rule ID 3961 //
     /* 184667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 184670 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 184675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 184686 */     // (st v2f32:{ *:[v2f32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 184686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 184689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 184694 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184708 */     GIR_RootConstrainSelectedInstOperands,
     /* 184709 */     // GIR_Coverage, 3961,
     /* 184709 */     GIR_EraseRootFromParent_Done,
     /* 184710 */   // Label 2889: @184710
     /* 184710 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(184759), // Rule ID 3666 //
     /* 184715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 184718 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 184724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 184735 */     // (st v2i32:{ *:[v2i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 184735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 184738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 184743 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184757 */     GIR_RootConstrainSelectedInstOperands,
     /* 184758 */     // GIR_Coverage, 3666,
     /* 184758 */     GIR_EraseRootFromParent_Done,
     /* 184759 */   // Label 2890: @184759
     /* 184759 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(184808), // Rule ID 3668 //
     /* 184764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 184767 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 184773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 184784 */     // (st v2f32:{ *:[v2f32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 184784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 184787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 184792 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 184794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184806 */     GIR_RootConstrainSelectedInstOperands,
     /* 184807 */     // GIR_Coverage, 3668,
     /* 184807 */     GIR_EraseRootFromParent_Done,
     /* 184808 */   // Label 2891: @184808
     /* 184808 */   GIM_Reject,
     /* 184809 */ // Label 2855: @184809
     /* 184809 */ GIM_Reject,
     /* 184810 */ // Label 2471: @184810
     /* 184810 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(186785),
     /* 184815 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184818 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(184874), // Rule ID 8246 //
     /* 184823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 184826 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 184830 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184835 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 184839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 184850 */     // (AMDGPUst_glue v2i64:{ *:[v2i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 184850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 184853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184858 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 184860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184872 */     GIR_RootConstrainSelectedInstOperands,
     /* 184873 */     // GIR_Coverage, 8246,
     /* 184873 */     GIR_EraseRootFromParent_Done,
     /* 184874 */   // Label 2893: @184874
     /* 184874 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(184930), // Rule ID 8250 //
     /* 184879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 184882 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 184886 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184891 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 184895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 184906 */     // (AMDGPUst_glue v2f64:{ *:[v2f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 184906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 184909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184914 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 184916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184928 */     GIR_RootConstrainSelectedInstOperands,
     /* 184929 */     // GIR_Coverage, 8250,
     /* 184929 */     GIR_EraseRootFromParent_Done,
     /* 184930 */   // Label 2894: @184930
     /* 184930 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(184991), // Rule ID 8314 //
     /* 184935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 184938 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 184942 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184947 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 184952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 184956 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 184960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 184967 */     // (AMDGPUst_glue v2i64:{ *:[v2i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 184967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 184970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 184975 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 184977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 184982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 184985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 184989 */     GIR_RootConstrainSelectedInstOperands,
     /* 184990 */     // GIR_Coverage, 8314,
     /* 184990 */     GIR_EraseRootFromParent_Done,
     /* 184991 */   // Label 2895: @184991
     /* 184991 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(185052), // Rule ID 8318 //
     /* 184996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 184999 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 185003 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185008 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 185021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 185028 */     // (AMDGPUst_glue v2f64:{ *:[v2f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 185028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 185031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185036 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 185038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185050 */     GIR_RootConstrainSelectedInstOperands,
     /* 185051 */     // GIR_Coverage, 8318,
     /* 185051 */     GIR_EraseRootFromParent_Done,
     /* 185052 */   // Label 2896: @185052
     /* 185052 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(185104), // Rule ID 8247 //
     /* 185057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 185060 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185065 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 185069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 185080 */     // (st v2i64:{ *:[v2i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 185080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 185083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185088 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 185090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185102 */     GIR_RootConstrainSelectedInstOperands,
     /* 185103 */     // GIR_Coverage, 8247,
     /* 185103 */     GIR_EraseRootFromParent_Done,
     /* 185104 */   // Label 2897: @185104
     /* 185104 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(185156), // Rule ID 8251 //
     /* 185109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 185112 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185117 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 185121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 185132 */     // (st v2f64:{ *:[v2f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 185132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 185135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185140 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 185142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185154 */     GIR_RootConstrainSelectedInstOperands,
     /* 185155 */     // GIR_Coverage, 8251,
     /* 185155 */     GIR_EraseRootFromParent_Done,
     /* 185156 */   // Label 2898: @185156
     /* 185156 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(185213), // Rule ID 8315 //
     /* 185161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 185164 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185169 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 185182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 185189 */     // (st v2i64:{ *:[v2i64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 185189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 185192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185197 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 185199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185211 */     GIR_RootConstrainSelectedInstOperands,
     /* 185212 */     // GIR_Coverage, 8315,
     /* 185212 */     GIR_EraseRootFromParent_Done,
     /* 185213 */   // Label 2899: @185213
     /* 185213 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(185270), // Rule ID 8319 //
     /* 185218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 185221 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185226 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185235 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 185239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 185246 */     // (st v2f64:{ *:[v2f64] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v2f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 185246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 185249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185254 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 185256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185268 */     GIR_RootConstrainSelectedInstOperands,
     /* 185269 */     // GIR_Coverage, 8319,
     /* 185269 */     GIR_EraseRootFromParent_Done,
     /* 185270 */   // Label 2900: @185270
     /* 185270 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(185323), // Rule ID 4425 //
     /* 185275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 185278 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 185294 */     // (st v2i64:{ *:[v2i64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 185294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 185297 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 185304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 185309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 185314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185321 */     GIR_RootConstrainSelectedInstOperands,
     /* 185322 */     // GIR_Coverage, 4425,
     /* 185322 */     GIR_EraseRootFromParent_Done,
     /* 185323 */   // Label 2901: @185323
     /* 185323 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(185376), // Rule ID 4431 //
     /* 185328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 185331 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 185347 */     // (st v2f64:{ *:[v2f64] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 185347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 185350 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 185357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 185362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 185367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185374 */     GIR_RootConstrainSelectedInstOperands,
     /* 185375 */     // GIR_Coverage, 4431,
     /* 185375 */     GIR_EraseRootFromParent_Done,
     /* 185376 */   // Label 2902: @185376
     /* 185376 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(185424), // Rule ID 4424 //
     /* 185381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 185384 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 185400 */     // (st v2i64:{ *:[v2i64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 185400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 185403 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 185410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185422 */     GIR_RootConstrainSelectedInstOperands,
     /* 185423 */     // GIR_Coverage, 4424,
     /* 185423 */     GIR_EraseRootFromParent_Done,
     /* 185424 */   // Label 2903: @185424
     /* 185424 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(185472), // Rule ID 4430 //
     /* 185429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 185432 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 185448 */     // (st v2f64:{ *:[v2f64] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 185448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 185451 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 185458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185470 */     GIR_RootConstrainSelectedInstOperands,
     /* 185471 */     // GIR_Coverage, 4430,
     /* 185471 */     GIR_EraseRootFromParent_Done,
     /* 185472 */   // Label 2904: @185472
     /* 185472 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(185520), // Rule ID 4423 //
     /* 185477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 185480 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 185496 */     // (st v2i64:{ *:[v2i64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 185496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 185499 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 185506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185518 */     GIR_RootConstrainSelectedInstOperands,
     /* 185519 */     // GIR_Coverage, 4423,
     /* 185519 */     GIR_EraseRootFromParent_Done,
     /* 185520 */   // Label 2905: @185520
     /* 185520 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(185568), // Rule ID 4429 //
     /* 185525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 185528 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 185533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 185544 */     // (st v2f64:{ *:[v2f64] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 185544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 185547 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 185549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 185554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 185559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185566 */     GIR_RootConstrainSelectedInstOperands,
     /* 185567 */     // GIR_Coverage, 4429,
     /* 185567 */     GIR_EraseRootFromParent_Done,
     /* 185568 */   // Label 2906: @185568
     /* 185568 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(185629), // Rule ID 4749 //
     /* 185573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 185576 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 185581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 185592 */     // (st v2i64:{ *:[v2i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v2i64:{ *:[v2i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 185592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 185595 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 185597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 185602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 185607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 185612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 185617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185627 */     GIR_RootConstrainSelectedInstOperands,
     /* 185628 */     // GIR_Coverage, 4749,
     /* 185628 */     GIR_EraseRootFromParent_Done,
     /* 185629 */   // Label 2907: @185629
     /* 185629 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(185687), // Rule ID 4751 //
     /* 185634 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 185639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 185650 */     // (st v2i64:{ *:[v2i64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v2i64:{ *:[v2i64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 185650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 185653 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 185655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 185660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 185665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 185670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 185675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185685 */     GIR_RootConstrainSelectedInstOperands,
     /* 185686 */     // GIR_Coverage, 4751,
     /* 185686 */     GIR_EraseRootFromParent_Done,
     /* 185687 */   // Label 2908: @185687
     /* 185687 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(185748), // Rule ID 4753 //
     /* 185692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 185695 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 185700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 185711 */     // (st v2f64:{ *:[v2f64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v2f64:{ *:[v2f64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 185711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 185714 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 185716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 185721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 185726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 185731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 185736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185746 */     GIR_RootConstrainSelectedInstOperands,
     /* 185747 */     // GIR_Coverage, 4753,
     /* 185747 */     GIR_EraseRootFromParent_Done,
     /* 185748 */   // Label 2909: @185748
     /* 185748 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(185806), // Rule ID 4755 //
     /* 185753 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 185758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 185769 */     // (st v2f64:{ *:[v2f64] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v2f64:{ *:[v2f64] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 185769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 185772 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 185774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 185779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 185784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 185789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 185794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185804 */     GIR_RootConstrainSelectedInstOperands,
     /* 185805 */     // GIR_Coverage, 4755,
     /* 185805 */     GIR_EraseRootFromParent_Done,
     /* 185806 */   // Label 2910: @185806
     /* 185806 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(185923), // Rule ID 8177 //
     /* 185811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 185814 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 185818 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 185834 */     // (AMDGPUst_glue v2i64:{ *:[v2i64] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2i64] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2i64] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 185834 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 185837 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 185841 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 185846 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 185852 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 185857 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 185862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 185865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 185869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 185874 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 185880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 185885 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 185890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 185893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 185898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 185901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 185904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 185909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 185914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 185917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 185921 */     GIR_RootConstrainSelectedInstOperands,
     /* 185922 */     // GIR_Coverage, 8177,
     /* 185922 */     GIR_EraseRootFromParent_Done,
     /* 185923 */   // Label 2911: @185923
     /* 185923 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(186040), // Rule ID 8181 //
     /* 185928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 185931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 185935 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 185940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 185944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 185951 */     // (AMDGPUst_glue v2f64:{ *:[v2f64] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 185951 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 185954 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 185958 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 185963 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 185969 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 185974 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 185979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 185982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 185986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 185991 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 185997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 186002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 186007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 186010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 186018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 186021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 186026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 186031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186038 */     GIR_RootConstrainSelectedInstOperands,
     /* 186039 */     // GIR_Coverage, 8181,
     /* 186039 */     GIR_EraseRootFromParent_Done,
     /* 186040 */   // Label 2912: @186040
     /* 186040 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(186096), // Rule ID 4748 //
     /* 186045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 186048 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 186064 */     // (st v2i64:{ *:[v2i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 186064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 186067 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 186069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 186074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 186079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186094 */     GIR_RootConstrainSelectedInstOperands,
     /* 186095 */     // GIR_Coverage, 4748,
     /* 186095 */     GIR_EraseRootFromParent_Done,
     /* 186096 */   // Label 2913: @186096
     /* 186096 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(186149), // Rule ID 4750 //
     /* 186101 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 186117 */     // (st v2i64:{ *:[v2i64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 186117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 186120 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 186122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 186127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 186132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186147 */     GIR_RootConstrainSelectedInstOperands,
     /* 186148 */     // GIR_Coverage, 4750,
     /* 186148 */     GIR_EraseRootFromParent_Done,
     /* 186149 */   // Label 2914: @186149
     /* 186149 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(186205), // Rule ID 4752 //
     /* 186154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 186157 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 186173 */     // (st v2f64:{ *:[v2f64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 186173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 186176 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 186178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 186183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 186188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186203 */     GIR_RootConstrainSelectedInstOperands,
     /* 186204 */     // GIR_Coverage, 4752,
     /* 186204 */     GIR_EraseRootFromParent_Done,
     /* 186205 */   // Label 2915: @186205
     /* 186205 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(186258), // Rule ID 4754 //
     /* 186210 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 186226 */     // (st v2f64:{ *:[v2f64] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 186226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 186229 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 186231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 186236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 186241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186256 */     GIR_RootConstrainSelectedInstOperands,
     /* 186257 */     // GIR_Coverage, 4754,
     /* 186257 */     GIR_EraseRootFromParent_Done,
     /* 186258 */   // Label 2916: @186258
     /* 186258 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(186371), // Rule ID 8179 //
     /* 186263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 186266 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 186282 */     // (st v2i64:{ *:[v2i64] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2i64] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2i64] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 186282 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 186285 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186289 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186294 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 186300 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 186305 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 186310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 186313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186322 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 186328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 186333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 186338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 186341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 186349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 186352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 186357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 186362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186369 */     GIR_RootConstrainSelectedInstOperands,
     /* 186370 */     // GIR_Coverage, 8179,
     /* 186370 */     GIR_EraseRootFromParent_Done,
     /* 186371 */   // Label 2917: @186371
     /* 186371 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(186484), // Rule ID 8183 //
     /* 186376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 186379 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 186395 */     // (st v2f64:{ *:[v2f64] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 186395 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 186398 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186402 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186407 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 186413 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 186418 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 186423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 186426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186435 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 186441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 186446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 186451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 186454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 186462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 186465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 186470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 186475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186482 */     GIR_RootConstrainSelectedInstOperands,
     /* 186483 */     // GIR_Coverage, 8183,
     /* 186483 */     GIR_EraseRootFromParent_Done,
     /* 186484 */   // Label 2918: @186484
     /* 186484 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(186537), // Rule ID 3996 //
     /* 186489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 186492 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 186508 */     // (st v2i64:{ *:[v2i64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 186508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 186511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 186516 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 186523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186535 */     GIR_RootConstrainSelectedInstOperands,
     /* 186536 */     // GIR_Coverage, 3996,
     /* 186536 */     GIR_EraseRootFromParent_Done,
     /* 186537 */   // Label 2919: @186537
     /* 186537 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(186590), // Rule ID 4000 //
     /* 186542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 186545 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 186561 */     // (st v2f64:{ *:[v2f64] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 186561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 186564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 186569 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 186576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 186581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186588 */     GIR_RootConstrainSelectedInstOperands,
     /* 186589 */     // GIR_Coverage, 4000,
     /* 186589 */     GIR_EraseRootFromParent_Done,
     /* 186590 */   // Label 2920: @186590
     /* 186590 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(186638), // Rule ID 3995 //
     /* 186595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 186598 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 186614 */     // (st v2i64:{ *:[v2i64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 186614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 186617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 186622 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186636 */     GIR_RootConstrainSelectedInstOperands,
     /* 186637 */     // GIR_Coverage, 3995,
     /* 186637 */     GIR_EraseRootFromParent_Done,
     /* 186638 */   // Label 2921: @186638
     /* 186638 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(186686), // Rule ID 3999 //
     /* 186643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 186646 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 186651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 186662 */     // (st v2f64:{ *:[v2f64] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 186662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 186665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 186670 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186684 */     GIR_RootConstrainSelectedInstOperands,
     /* 186685 */     // GIR_Coverage, 3999,
     /* 186685 */     GIR_EraseRootFromParent_Done,
     /* 186686 */   // Label 2922: @186686
     /* 186686 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(186735), // Rule ID 3686 //
     /* 186691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 186694 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 186700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 186711 */     // (st v2i64:{ *:[v2i64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 186711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 186714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 186719 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186733 */     GIR_RootConstrainSelectedInstOperands,
     /* 186734 */     // GIR_Coverage, 3686,
     /* 186734 */     GIR_EraseRootFromParent_Done,
     /* 186735 */   // Label 2923: @186735
     /* 186735 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(186784), // Rule ID 3688 //
     /* 186740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 186743 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 186749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 186760 */     // (st v2f64:{ *:[v2f64] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 186760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 186763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 186768 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 186770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186782 */     GIR_RootConstrainSelectedInstOperands,
     /* 186783 */     // GIR_Coverage, 3688,
     /* 186783 */     GIR_EraseRootFromParent_Done,
     /* 186784 */   // Label 2924: @186784
     /* 186784 */   GIM_Reject,
     /* 186785 */ // Label 2892: @186785
     /* 186785 */ GIM_Reject,
     /* 186786 */ // Label 2472: @186786
     /* 186786 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(188200),
     /* 186791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186794 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(186850), // Rule ID 8230 //
     /* 186799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 186802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 186806 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186811 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 186815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 186826 */     // (AMDGPUst_glue v3i32:{ *:[v3i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B96 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 186826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96),
     /* 186829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186834 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 186836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186848 */     GIR_RootConstrainSelectedInstOperands,
     /* 186849 */     // GIR_Coverage, 8230,
     /* 186849 */     GIR_EraseRootFromParent_Done,
     /* 186850 */   // Label 2926: @186850
     /* 186850 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(186906), // Rule ID 8234 //
     /* 186855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 186858 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 186862 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186867 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 186871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 186882 */     // (AMDGPUst_glue v3f32:{ *:[v3f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B96 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 186882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96),
     /* 186885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186890 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 186892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186904 */     GIR_RootConstrainSelectedInstOperands,
     /* 186905 */     // GIR_Coverage, 8234,
     /* 186905 */     GIR_EraseRootFromParent_Done,
     /* 186906 */   // Label 2927: @186906
     /* 186906 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(186958), // Rule ID 8298 //
     /* 186911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 186914 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 186918 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 186934 */     // (AMDGPUst_glue v3i32:{ *:[v3i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B96 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 186934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96),
     /* 186937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186942 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 186944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 186949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 186952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 186956 */     GIR_RootConstrainSelectedInstOperands,
     /* 186957 */     // GIR_Coverage, 8298,
     /* 186957 */     GIR_EraseRootFromParent_Done,
     /* 186958 */   // Label 2928: @186958
     /* 186958 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(187010), // Rule ID 8302 //
     /* 186963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 186966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 186970 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 186975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 186979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 186986 */     // (AMDGPUst_glue v3f32:{ *:[v3f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE_B96 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 186986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96),
     /* 186989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 186994 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 186996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187008 */     GIR_RootConstrainSelectedInstOperands,
     /* 187009 */     // GIR_Coverage, 8302,
     /* 187009 */     GIR_EraseRootFromParent_Done,
     /* 187010 */   // Label 2929: @187010
     /* 187010 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(187062), // Rule ID 8231 //
     /* 187015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 187018 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 187023 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 187027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 187038 */     // (st v3i32:{ *:[v3i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B96_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 187038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96_gfx9),
     /* 187041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 187046 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187060 */     GIR_RootConstrainSelectedInstOperands,
     /* 187061 */     // GIR_Coverage, 8231,
     /* 187061 */     GIR_EraseRootFromParent_Done,
     /* 187062 */   // Label 2930: @187062
     /* 187062 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(187114), // Rule ID 8235 //
     /* 187067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 187070 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 187075 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 187079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 187090 */     // (st v3f32:{ *:[v3f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B96_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 187090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96_gfx9),
     /* 187093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 187098 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187112 */     GIR_RootConstrainSelectedInstOperands,
     /* 187113 */     // GIR_Coverage, 8235,
     /* 187113 */     GIR_EraseRootFromParent_Done,
     /* 187114 */   // Label 2931: @187114
     /* 187114 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(187162), // Rule ID 8299 //
     /* 187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 187122 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 187127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 187138 */     // (st v3i32:{ *:[v3i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B96_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 187138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96_gfx9),
     /* 187141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 187146 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187160 */     GIR_RootConstrainSelectedInstOperands,
     /* 187161 */     // GIR_Coverage, 8299,
     /* 187161 */     GIR_EraseRootFromParent_Done,
     /* 187162 */   // Label 2932: @187162
     /* 187162 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(187210), // Rule ID 8303 //
     /* 187167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 187170 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 187175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 187186 */     // (st v3f32:{ *:[v3f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE_B96_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9773:{ *:[v3f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 187186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B96_gfx9),
     /* 187189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 187194 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187208 */     GIR_RootConstrainSelectedInstOperands,
     /* 187209 */     // GIR_Coverage, 8303,
     /* 187209 */     GIR_EraseRootFromParent_Done,
     /* 187210 */   // Label 2933: @187210
     /* 187210 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(187266), // Rule ID 6701 //
     /* 187215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 187218 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 187234 */     // (st v3i32:{ *:[v3i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX3_OFFSET VReg_96:{ *:[v3i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 187234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFSET),
     /* 187237 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 187249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187264 */     GIR_RootConstrainSelectedInstOperands,
     /* 187265 */     // GIR_Coverage, 6701,
     /* 187265 */     GIR_EraseRootFromParent_Done,
     /* 187266 */   // Label 2934: @187266
     /* 187266 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(187322), // Rule ID 6703 //
     /* 187271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 187274 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 187290 */     // (st v3i32:{ *:[v3i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFSET VReg_96:{ *:[v3i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 187290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFSET),
     /* 187293 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 187305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187320 */     GIR_RootConstrainSelectedInstOperands,
     /* 187321 */     // GIR_Coverage, 6703,
     /* 187321 */     GIR_EraseRootFromParent_Done,
     /* 187322 */   // Label 2935: @187322
     /* 187322 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(187375), // Rule ID 4452 //
     /* 187327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 187330 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 187346 */     // (st v3i32:{ *:[v3i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX3_SVS anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 187346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX3_SVS),
     /* 187349 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 187351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 187356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 187361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187373 */     GIR_RootConstrainSelectedInstOperands,
     /* 187374 */     // GIR_Coverage, 4452,
     /* 187374 */     GIR_EraseRootFromParent_Done,
     /* 187375 */   // Label 2936: @187375
     /* 187375 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(187423), // Rule ID 4451 //
     /* 187380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 187383 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 187399 */     // (st v3i32:{ *:[v3i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX3_SADDR anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 187399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX3_SADDR),
     /* 187402 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 187404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 187409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187421 */     GIR_RootConstrainSelectedInstOperands,
     /* 187422 */     // GIR_Coverage, 4451,
     /* 187422 */     GIR_EraseRootFromParent_Done,
     /* 187423 */   // Label 2937: @187423
     /* 187423 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(187471), // Rule ID 4450 //
     /* 187428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 187431 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 187447 */     // (st v3i32:{ *:[v3i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX3 anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 187447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX3),
     /* 187450 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 187452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 187457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 187462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187469 */     GIR_RootConstrainSelectedInstOperands,
     /* 187470 */     // GIR_Coverage, 4450,
     /* 187470 */     GIR_EraseRootFromParent_Done,
     /* 187471 */   // Label 2938: @187471
     /* 187471 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(187532), // Rule ID 4733 //
     /* 187476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 187479 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 187495 */     // (st v3i32:{ *:[v3i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_ADDR64 v3i32:{ *:[v3i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_ADDR64),
     /* 187498 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187530 */     GIR_RootConstrainSelectedInstOperands,
     /* 187531 */     // GIR_Coverage, 4733,
     /* 187531 */     GIR_EraseRootFromParent_Done,
     /* 187532 */   // Label 2939: @187532
     /* 187532 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(187590), // Rule ID 4735 //
     /* 187537 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 187553 */     // (st v3i32:{ *:[v3i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_ADDR64 v3i32:{ *:[v3i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_ADDR64),
     /* 187556 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187588 */     GIR_RootConstrainSelectedInstOperands,
     /* 187589 */     // GIR_Coverage, 4735,
     /* 187589 */     GIR_EraseRootFromParent_Done,
     /* 187590 */   // Label 2940: @187590
     /* 187590 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(187651), // Rule ID 4737 //
     /* 187595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 187598 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 187614 */     // (st v3f32:{ *:[v3f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_ADDR64 v3f32:{ *:[v3f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_ADDR64),
     /* 187617 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187649 */     GIR_RootConstrainSelectedInstOperands,
     /* 187650 */     // GIR_Coverage, 4737,
     /* 187650 */     GIR_EraseRootFromParent_Done,
     /* 187651 */   // Label 2941: @187651
     /* 187651 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(187709), // Rule ID 4739 //
     /* 187656 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 187672 */     // (st v3f32:{ *:[v3f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_ADDR64 v3f32:{ *:[v3f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_ADDR64),
     /* 187675 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187707 */     GIR_RootConstrainSelectedInstOperands,
     /* 187708 */     // GIR_Coverage, 4739,
     /* 187708 */     GIR_EraseRootFromParent_Done,
     /* 187709 */   // Label 2942: @187709
     /* 187709 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(187770), // Rule ID 6700 //
     /* 187714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 187717 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 187733 */     // (st v3i32:{ *:[v3i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX3_OFFEN VReg_96:{ *:[v3i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 187733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFEN),
     /* 187736 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187768 */     GIR_RootConstrainSelectedInstOperands,
     /* 187769 */     // GIR_Coverage, 6700,
     /* 187769 */     GIR_EraseRootFromParent_Done,
     /* 187770 */   // Label 2943: @187770
     /* 187770 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(187831), // Rule ID 6702 //
     /* 187775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 187778 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 187783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 187794 */     // (st v3i32:{ *:[v3i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFEN VReg_96:{ *:[v3i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 187794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFEN),
     /* 187797 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 187799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 187804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 187814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 187819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187829 */     GIR_RootConstrainSelectedInstOperands,
     /* 187830 */     // GIR_Coverage, 6702,
     /* 187830 */     GIR_EraseRootFromParent_Done,
     /* 187831 */   // Label 2944: @187831
     /* 187831 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(187887), // Rule ID 4732 //
     /* 187836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 187839 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 187855 */     // (st v3i32:{ *:[v3i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_OFFSET v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFSET),
     /* 187858 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 187870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187885 */     GIR_RootConstrainSelectedInstOperands,
     /* 187886 */     // GIR_Coverage, 4732,
     /* 187886 */     GIR_EraseRootFromParent_Done,
     /* 187887 */   // Label 2945: @187887
     /* 187887 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(187940), // Rule ID 4734 //
     /* 187892 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 187908 */     // (st v3i32:{ *:[v3i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFSET v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFSET),
     /* 187911 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 187923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187938 */     GIR_RootConstrainSelectedInstOperands,
     /* 187939 */     // GIR_Coverage, 4734,
     /* 187939 */     GIR_EraseRootFromParent_Done,
     /* 187940 */   // Label 2946: @187940
     /* 187940 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(187996), // Rule ID 4736 //
     /* 187945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 187948 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 187953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 187957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 187964 */     // (st v3f32:{ *:[v3f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_OFFSET v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 187964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFSET),
     /* 187967 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 187969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 187974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 187979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 187984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 187990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 187994 */     GIR_RootConstrainSelectedInstOperands,
     /* 187995 */     // GIR_Coverage, 4736,
     /* 187995 */     GIR_EraseRootFromParent_Done,
     /* 187996 */   // Label 2947: @187996
     /* 187996 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(188049), // Rule ID 4738 //
     /* 188001 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 188006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 188017 */     // (st v3f32:{ *:[v3f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFSET v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 188017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFSET),
     /* 188020 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 188022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 188027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 188032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 188037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188047 */     GIR_RootConstrainSelectedInstOperands,
     /* 188048 */     // GIR_Coverage, 4738,
     /* 188048 */     GIR_EraseRootFromParent_Done,
     /* 188049 */   // Label 2948: @188049
     /* 188049 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(188102), // Rule ID 4018 //
     /* 188054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 188057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 188062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 188073 */     // (st v3i32:{ *:[v3i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX3_SADDR ?:{ *:[i32] }:$voffset, anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 188073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX3_SADDR),
     /* 188076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 188081 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 188088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 188093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188100 */     GIR_RootConstrainSelectedInstOperands,
     /* 188101 */     // GIR_Coverage, 4018,
     /* 188101 */     GIR_EraseRootFromParent_Done,
     /* 188102 */   // Label 2949: @188102
     /* 188102 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(188150), // Rule ID 4017 //
     /* 188107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 188110 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 188115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 188126 */     // (st v3i32:{ *:[v3i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX3 ?:{ *:[i64] }:$vaddr, anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 188126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX3),
     /* 188129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188134 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188148 */     GIR_RootConstrainSelectedInstOperands,
     /* 188149 */     // GIR_Coverage, 4017,
     /* 188149 */     GIR_EraseRootFromParent_Done,
     /* 188150 */   // Label 2950: @188150
     /* 188150 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(188199), // Rule ID 3680 //
     /* 188155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 188158 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 188164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 188175 */     // (st v3i32:{ *:[v3i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX3 ?:{ *:[i64] }:$vaddr, anonymous_9773:{ *:[v3i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 188175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX3),
     /* 188178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188183 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188197 */     GIR_RootConstrainSelectedInstOperands,
     /* 188198 */     // GIR_Coverage, 3680,
     /* 188198 */     GIR_EraseRootFromParent_Done,
     /* 188199 */   // Label 2951: @188199
     /* 188199 */   GIM_Reject,
     /* 188200 */ // Label 2925: @188200
     /* 188200 */ GIM_Reject,
     /* 188201 */ // Label 2473: @188201
     /* 188201 */ GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(190176),
     /* 188206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188209 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(188270), // Rule ID 8278 //
     /* 188214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 188217 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 188221 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188226 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188235 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 188239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188246 */     // (AMDGPUst_glue v4i16:{ *:[v4i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 188249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188254 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188268 */     GIR_RootConstrainSelectedInstOperands,
     /* 188269 */     // GIR_Coverage, 8278,
     /* 188269 */     GIR_EraseRootFromParent_Done,
     /* 188270 */   // Label 2953: @188270
     /* 188270 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(188331), // Rule ID 8282 //
     /* 188275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 188278 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 188282 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188287 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 188300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188307 */     // (AMDGPUst_glue v4f16:{ *:[v4f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 188310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188315 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188329 */     GIR_RootConstrainSelectedInstOperands,
     /* 188330 */     // GIR_Coverage, 8282,
     /* 188330 */     GIR_EraseRootFromParent_Done,
     /* 188331 */   // Label 2954: @188331
     /* 188331 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(188387), // Rule ID 8210 //
     /* 188336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 188339 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 188343 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188348 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 188352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188363 */     // (AMDGPUst_glue v4i16:{ *:[v4i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 188366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188371 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188385 */     GIR_RootConstrainSelectedInstOperands,
     /* 188386 */     // GIR_Coverage, 8210,
     /* 188386 */     GIR_EraseRootFromParent_Done,
     /* 188387 */   // Label 2955: @188387
     /* 188387 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(188443), // Rule ID 8214 //
     /* 188392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 188395 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 188399 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188404 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 188408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188419 */     // (AMDGPUst_glue v4f16:{ *:[v4f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align8_local_m0>>  =>  (DS_WRITE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64),
     /* 188422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188427 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188441 */     GIR_RootConstrainSelectedInstOperands,
     /* 188442 */     // GIR_Coverage, 8214,
     /* 188442 */     GIR_EraseRootFromParent_Done,
     /* 188443 */   // Label 2956: @188443
     /* 188443 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(188500), // Rule ID 8279 //
     /* 188448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 188451 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188456 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 188469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188476 */     // (st v4i16:{ *:[v4i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 188479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188484 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188498 */     GIR_RootConstrainSelectedInstOperands,
     /* 188499 */     // GIR_Coverage, 8279,
     /* 188499 */     GIR_EraseRootFromParent_Done,
     /* 188500 */   // Label 2957: @188500
     /* 188500 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(188557), // Rule ID 8283 //
     /* 188505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 188508 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188513 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 188526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188533 */     // (st v4f16:{ *:[v4f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 188536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188541 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188555 */     GIR_RootConstrainSelectedInstOperands,
     /* 188556 */     // GIR_Coverage, 8283,
     /* 188556 */     GIR_EraseRootFromParent_Done,
     /* 188557 */   // Label 2958: @188557
     /* 188557 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(188609), // Rule ID 8211 //
     /* 188562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 188565 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188570 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 188574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188585 */     // (st v4i16:{ *:[v4i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 188588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188593 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188607 */     GIR_RootConstrainSelectedInstOperands,
     /* 188608 */     // GIR_Coverage, 8211,
     /* 188608 */     GIR_EraseRootFromParent_Done,
     /* 188609 */   // Label 2959: @188609
     /* 188609 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(188661), // Rule ID 8215 //
     /* 188614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 188617 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 188622 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/8,
     /* 188626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 188637 */     // (st v4f16:{ *:[v4f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align8_local>>  =>  (DS_WRITE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[v4f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 188637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B64_gfx9),
     /* 188640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 188645 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 188647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188659 */     GIR_RootConstrainSelectedInstOperands,
     /* 188660 */     // GIR_Coverage, 8215,
     /* 188660 */     GIR_EraseRootFromParent_Done,
     /* 188661 */   // Label 2960: @188661
     /* 188661 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(188714), // Rule ID 4380 //
     /* 188666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 188669 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 188685 */     // (st v4i16:{ *:[v4i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 188685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 188688 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 188700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 188705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188712 */     GIR_RootConstrainSelectedInstOperands,
     /* 188713 */     // GIR_Coverage, 4380,
     /* 188713 */     GIR_EraseRootFromParent_Done,
     /* 188714 */   // Label 2961: @188714
     /* 188714 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(188767), // Rule ID 4386 //
     /* 188719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 188722 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 188738 */     // (st v4f16:{ *:[v4f16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SVS anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 188738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SVS),
     /* 188741 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 188753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 188758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188765 */     GIR_RootConstrainSelectedInstOperands,
     /* 188766 */     // GIR_Coverage, 4386,
     /* 188766 */     GIR_EraseRootFromParent_Done,
     /* 188767 */   // Label 2962: @188767
     /* 188767 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(188815), // Rule ID 4379 //
     /* 188772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 188775 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 188791 */     // (st v4i16:{ *:[v4i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 188791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 188794 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 188801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188813 */     GIR_RootConstrainSelectedInstOperands,
     /* 188814 */     // GIR_Coverage, 4379,
     /* 188814 */     GIR_EraseRootFromParent_Done,
     /* 188815 */   // Label 2963: @188815
     /* 188815 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(188863), // Rule ID 4385 //
     /* 188820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 188823 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 188839 */     // (st v4f16:{ *:[v4f16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2_SADDR anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 188839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2_SADDR),
     /* 188842 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 188849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188861 */     GIR_RootConstrainSelectedInstOperands,
     /* 188862 */     // GIR_Coverage, 4385,
     /* 188862 */     GIR_EraseRootFromParent_Done,
     /* 188863 */   // Label 2964: @188863
     /* 188863 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(188911), // Rule ID 4378 //
     /* 188868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 188871 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 188887 */     // (st v4i16:{ *:[v4i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 188887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 188890 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188909 */     GIR_RootConstrainSelectedInstOperands,
     /* 188910 */     // GIR_Coverage, 4378,
     /* 188910 */     GIR_EraseRootFromParent_Done,
     /* 188911 */   // Label 2965: @188911
     /* 188911 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(188959), // Rule ID 4384 //
     /* 188916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 188919 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 188924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 188935 */     // (st v4f16:{ *:[v4f16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX2 anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 188935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX2),
     /* 188938 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 188940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 188945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 188950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 188953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 188957 */     GIR_RootConstrainSelectedInstOperands,
     /* 188958 */     // GIR_Coverage, 4384,
     /* 188958 */     GIR_EraseRootFromParent_Done,
     /* 188959 */   // Label 2966: @188959
     /* 188959 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(189020), // Rule ID 4713 //
     /* 188964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 188967 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 188972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 188976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 188983 */     // (st v4i16:{ *:[v4i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 v4i16:{ *:[v4i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 188983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 188986 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 188988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 188993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 188998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 189003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 189008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189018 */     GIR_RootConstrainSelectedInstOperands,
     /* 189019 */     // GIR_Coverage, 4713,
     /* 189019 */     GIR_EraseRootFromParent_Done,
     /* 189020 */   // Label 2967: @189020
     /* 189020 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(189078), // Rule ID 4715 //
     /* 189025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 189041 */     // (st v4i16:{ *:[v4i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 v4i16:{ *:[v4i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 189044 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 189051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 189061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 189066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189076 */     GIR_RootConstrainSelectedInstOperands,
     /* 189077 */     // GIR_Coverage, 4715,
     /* 189077 */     GIR_EraseRootFromParent_Done,
     /* 189078 */   // Label 2968: @189078
     /* 189078 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(189139), // Rule ID 4717 //
     /* 189083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 189086 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 189102 */     // (st v4f16:{ *:[v4f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_ADDR64 v4f16:{ *:[v4f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_ADDR64),
     /* 189105 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 189112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 189122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 189127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189137 */     GIR_RootConstrainSelectedInstOperands,
     /* 189138 */     // GIR_Coverage, 4717,
     /* 189138 */     GIR_EraseRootFromParent_Done,
     /* 189139 */   // Label 2969: @189139
     /* 189139 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(189197), // Rule ID 4719 //
     /* 189144 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 189160 */     // (st v4f16:{ *:[v4f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_ADDR64 v4f16:{ *:[v4f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_ADDR64),
     /* 189163 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 189170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 189180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 189185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189195 */     GIR_RootConstrainSelectedInstOperands,
     /* 189196 */     // GIR_Coverage, 4719,
     /* 189196 */     GIR_EraseRootFromParent_Done,
     /* 189197 */   // Label 2970: @189197
     /* 189197 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(189314), // Rule ID 8153 //
     /* 189202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 189205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 189209 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 189214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 189225 */     // (AMDGPUst_glue v4i16:{ *:[v4i16] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4i16] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4i16] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 189225 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 189228 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189232 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189237 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 189243 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189248 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 189256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189265 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 189271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 189284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 189289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 189292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 189295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 189300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 189305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189312 */     GIR_RootConstrainSelectedInstOperands,
     /* 189313 */     // GIR_Coverage, 8153,
     /* 189313 */     GIR_EraseRootFromParent_Done,
     /* 189314 */   // Label 2971: @189314
     /* 189314 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(189431), // Rule ID 8157 //
     /* 189319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 189322 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 189326 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 189331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 189342 */     // (AMDGPUst_glue v4f16:{ *:[v4f16] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B32 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4f16] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4f16] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 189342 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 189345 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189349 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189354 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 189360 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189365 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 189373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189382 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 189388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32),
     /* 189401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 189406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 189409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 189412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 189417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 189422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189429 */     GIR_RootConstrainSelectedInstOperands,
     /* 189430 */     // GIR_Coverage, 8157,
     /* 189430 */     GIR_EraseRootFromParent_Done,
     /* 189431 */   // Label 2972: @189431
     /* 189431 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(189487), // Rule ID 4712 //
     /* 189436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 189439 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 189455 */     // (st v4i16:{ *:[v4i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 189458 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 189470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189485 */     GIR_RootConstrainSelectedInstOperands,
     /* 189486 */     // GIR_Coverage, 4712,
     /* 189486 */     GIR_EraseRootFromParent_Done,
     /* 189487 */   // Label 2973: @189487
     /* 189487 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(189540), // Rule ID 4714 //
     /* 189492 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 189508 */     // (st v4i16:{ *:[v4i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 189511 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 189523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189538 */     GIR_RootConstrainSelectedInstOperands,
     /* 189539 */     // GIR_Coverage, 4714,
     /* 189539 */     GIR_EraseRootFromParent_Done,
     /* 189540 */   // Label 2974: @189540
     /* 189540 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(189596), // Rule ID 4716 //
     /* 189545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 189548 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 189564 */     // (st v4f16:{ *:[v4f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_OFFSET v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET),
     /* 189567 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 189579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189594 */     GIR_RootConstrainSelectedInstOperands,
     /* 189595 */     // GIR_Coverage, 4716,
     /* 189595 */     GIR_EraseRootFromParent_Done,
     /* 189596 */   // Label 2975: @189596
     /* 189596 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(189649), // Rule ID 4718 //
     /* 189601 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 189617 */     // (st v4f16:{ *:[v4f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 189617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET),
     /* 189620 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 189622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 189627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 189632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189647 */     GIR_RootConstrainSelectedInstOperands,
     /* 189648 */     // GIR_Coverage, 4718,
     /* 189648 */     GIR_EraseRootFromParent_Done,
     /* 189649 */   // Label 2976: @189649
     /* 189649 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(189762), // Rule ID 8155 //
     /* 189654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 189657 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 189662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 189673 */     // (st v4i16:{ *:[v4i16] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4i16] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4i16] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 189673 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 189676 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189680 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189685 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 189691 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189696 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 189704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189713 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 189719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 189732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 189737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 189740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 189743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 189748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 189753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189760 */     GIR_RootConstrainSelectedInstOperands,
     /* 189761 */     // GIR_Coverage, 8155,
     /* 189761 */     GIR_EraseRootFromParent_Done,
     /* 189762 */   // Label 2977: @189762
     /* 189762 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(189875), // Rule ID 8159 //
     /* 189767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 189770 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 189775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_64bit_4byte_aligned),
     /* 189786 */     // (st v4f16:{ *:[v4f16] }:$value, (DS64Bit4ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B32_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4f16] }:$value, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[v4f16] }:$value, sub1:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 189786 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 189789 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189793 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189798 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(11), // value
     /* 189804 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189809 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 189817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189826 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(3), // value
     /* 189832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 189837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 189842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B32_gfx9),
     /* 189845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 189850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 189853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 189856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 189861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 189866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189873 */     GIR_RootConstrainSelectedInstOperands,
     /* 189874 */     // GIR_Coverage, 8159,
     /* 189874 */     GIR_EraseRootFromParent_Done,
     /* 189875 */   // Label 2978: @189875
     /* 189875 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(189928), // Rule ID 3966 //
     /* 189880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 189883 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 189899 */     // (st v4i16:{ *:[v4i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 189899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 189902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 189907 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 189909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 189914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189926 */     GIR_RootConstrainSelectedInstOperands,
     /* 189927 */     // GIR_Coverage, 3966,
     /* 189927 */     GIR_EraseRootFromParent_Done,
     /* 189928 */   // Label 2979: @189928
     /* 189928 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(189981), // Rule ID 3970 //
     /* 189933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 189936 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 189952 */     // (st v4f16:{ *:[v4f16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 189952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2_SADDR),
     /* 189955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 189960 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 189962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 189967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 189972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 189975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 189979 */     GIR_RootConstrainSelectedInstOperands,
     /* 189980 */     // GIR_Coverage, 3970,
     /* 189980 */     GIR_EraseRootFromParent_Done,
     /* 189981 */   // Label 2980: @189981
     /* 189981 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(190029), // Rule ID 3965 //
     /* 189986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 189989 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 189994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 189998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 190005 */     // (st v4i16:{ *:[v4i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 190005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 190008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190013 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190027 */     GIR_RootConstrainSelectedInstOperands,
     /* 190028 */     // GIR_Coverage, 3965,
     /* 190028 */     GIR_EraseRootFromParent_Done,
     /* 190029 */   // Label 2981: @190029
     /* 190029 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(190077), // Rule ID 3969 //
     /* 190034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 190037 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 190042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 190053 */     // (st v4f16:{ *:[v4f16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 190053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX2),
     /* 190056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190061 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190075 */     GIR_RootConstrainSelectedInstOperands,
     /* 190076 */     // GIR_Coverage, 3969,
     /* 190076 */     GIR_EraseRootFromParent_Done,
     /* 190077 */   // Label 2982: @190077
     /* 190077 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(190126), // Rule ID 3670 //
     /* 190082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 190085 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 190091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 190102 */     // (st v4i16:{ *:[v4i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v4i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 190102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 190105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190110 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190124 */     GIR_RootConstrainSelectedInstOperands,
     /* 190125 */     // GIR_Coverage, 3670,
     /* 190125 */     GIR_EraseRootFromParent_Done,
     /* 190126 */   // Label 2983: @190126
     /* 190126 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(190175), // Rule ID 3672 //
     /* 190131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 190134 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 190140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 190151 */     // (st v4f16:{ *:[v4f16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX2 ?:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v4f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 190151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX2),
     /* 190154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190159 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190173 */     GIR_RootConstrainSelectedInstOperands,
     /* 190174 */     // GIR_Coverage, 3672,
     /* 190174 */     GIR_EraseRootFromParent_Done,
     /* 190175 */   // Label 2984: @190175
     /* 190175 */   GIM_Reject,
     /* 190176 */ // Label 2952: @190176
     /* 190176 */ GIM_Reject,
     /* 190177 */ // Label 2474: @190177
     /* 190177 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(192386),
     /* 190182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190185 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(190241), // Rule ID 8238 //
     /* 190190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 190193 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 190197 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190202 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 190206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190217 */     // (AMDGPUst_glue v4i32:{ *:[v4i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 190220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190225 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190239 */     GIR_RootConstrainSelectedInstOperands,
     /* 190240 */     // GIR_Coverage, 8238,
     /* 190240 */     GIR_EraseRootFromParent_Done,
     /* 190241 */   // Label 2986: @190241
     /* 190241 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(190297), // Rule ID 8242 //
     /* 190246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 190249 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 190253 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190258 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 190262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190273 */     // (AMDGPUst_glue v4f32:{ *:[v4f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 190276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190281 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190295 */     GIR_RootConstrainSelectedInstOperands,
     /* 190296 */     // GIR_Coverage, 8242,
     /* 190296 */     GIR_EraseRootFromParent_Done,
     /* 190297 */   // Label 2987: @190297
     /* 190297 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(190358), // Rule ID 8306 //
     /* 190302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 190305 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 190309 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190314 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190323 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 190327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190334 */     // (AMDGPUst_glue v4i32:{ *:[v4i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 190337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190342 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190356 */     GIR_RootConstrainSelectedInstOperands,
     /* 190357 */     // GIR_Coverage, 8306,
     /* 190357 */     GIR_EraseRootFromParent_Done,
     /* 190358 */   // Label 2988: @190358
     /* 190358 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(190419), // Rule ID 8310 //
     /* 190363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 190366 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 190370 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190375 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 190388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190395 */     // (AMDGPUst_glue v4f32:{ *:[v4f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 190398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190403 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190417 */     GIR_RootConstrainSelectedInstOperands,
     /* 190418 */     // GIR_Coverage, 8310,
     /* 190418 */     GIR_EraseRootFromParent_Done,
     /* 190419 */   // Label 2989: @190419
     /* 190419 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(190471), // Rule ID 8239 //
     /* 190424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 190427 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190432 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 190436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190447 */     // (st v4i32:{ *:[v4i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 190450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190455 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190469 */     GIR_RootConstrainSelectedInstOperands,
     /* 190470 */     // GIR_Coverage, 8239,
     /* 190470 */     GIR_EraseRootFromParent_Done,
     /* 190471 */   // Label 2990: @190471
     /* 190471 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(190523), // Rule ID 8243 //
     /* 190476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 190479 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190484 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 190488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190499 */     // (st v4f32:{ *:[v4f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 190502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190507 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190521 */     GIR_RootConstrainSelectedInstOperands,
     /* 190522 */     // GIR_Coverage, 8243,
     /* 190522 */     GIR_EraseRootFromParent_Done,
     /* 190523 */   // Label 2991: @190523
     /* 190523 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(190580), // Rule ID 8307 //
     /* 190528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 190531 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190536 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 190549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190556 */     // (st v4i32:{ *:[v4i32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 190559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190564 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190578 */     GIR_RootConstrainSelectedInstOperands,
     /* 190579 */     // GIR_Coverage, 8307,
     /* 190579 */     GIR_EraseRootFromParent_Done,
     /* 190580 */   // Label 2992: @190580
     /* 190580 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(190637), // Rule ID 8311 //
     /* 190585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 190588 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190593 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 190598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 190606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 190613 */     // (st v4f32:{ *:[v4f32] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v4f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 190613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 190616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 190621 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190635 */     GIR_RootConstrainSelectedInstOperands,
     /* 190636 */     // GIR_Coverage, 8311,
     /* 190636 */     GIR_EraseRootFromParent_Done,
     /* 190637 */   // Label 2993: @190637
     /* 190637 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(190693), // Rule ID 6705 //
     /* 190642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 190645 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 190661 */     // (st v4i32:{ *:[v4i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX4_OFFSET VReg_128:{ *:[v4i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 190661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 190664 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 190671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 190676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 190681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190691 */     GIR_RootConstrainSelectedInstOperands,
     /* 190692 */     // GIR_Coverage, 6705,
     /* 190692 */     GIR_EraseRootFromParent_Done,
     /* 190693 */   // Label 2994: @190693
     /* 190693 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(190749), // Rule ID 6707 //
     /* 190698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 190701 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offset),
     /* 190717 */     // (st v4i32:{ *:[v4i32] }:$value, (MUBUFScratchOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET VReg_128:{ *:[v4i32] }:$value, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 190717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 190720 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 190722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 190727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 190732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 190737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190747 */     GIR_RootConstrainSelectedInstOperands,
     /* 190748 */     // GIR_Coverage, 6707,
     /* 190748 */     GIR_EraseRootFromParent_Done,
     /* 190749 */   // Label 2995: @190749
     /* 190749 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(190802), // Rule ID 4413 //
     /* 190754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 190757 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 190773 */     // (st v4i32:{ *:[v4i32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 190773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 190776 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 190788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 190793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190800 */     GIR_RootConstrainSelectedInstOperands,
     /* 190801 */     // GIR_Coverage, 4413,
     /* 190801 */     GIR_EraseRootFromParent_Done,
     /* 190802 */   // Label 2996: @190802
     /* 190802 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(190855), // Rule ID 4419 //
     /* 190807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 190810 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 190826 */     // (st v4f32:{ *:[v4f32] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 190826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 190829 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 190841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 190846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190853 */     GIR_RootConstrainSelectedInstOperands,
     /* 190854 */     // GIR_Coverage, 4419,
     /* 190854 */     GIR_EraseRootFromParent_Done,
     /* 190855 */   // Label 2997: @190855
     /* 190855 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(190903), // Rule ID 4412 //
     /* 190860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 190863 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 190879 */     // (st v4i32:{ *:[v4i32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 190879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 190882 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 190889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190901 */     GIR_RootConstrainSelectedInstOperands,
     /* 190902 */     // GIR_Coverage, 4412,
     /* 190902 */     GIR_EraseRootFromParent_Done,
     /* 190903 */   // Label 2998: @190903
     /* 190903 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(190951), // Rule ID 4418 //
     /* 190908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 190911 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 190927 */     // (st v4f32:{ *:[v4f32] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 190927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 190930 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 190937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190949 */     GIR_RootConstrainSelectedInstOperands,
     /* 190950 */     // GIR_Coverage, 4418,
     /* 190950 */     GIR_EraseRootFromParent_Done,
     /* 190951 */   // Label 2999: @190951
     /* 190951 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(190999), // Rule ID 4411 //
     /* 190956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 190959 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 190964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 190968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 190975 */     // (st v4i32:{ *:[v4i32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 190975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 190978 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 190980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 190985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 190990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 190993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 190997 */     GIR_RootConstrainSelectedInstOperands,
     /* 190998 */     // GIR_Coverage, 4411,
     /* 190998 */     GIR_EraseRootFromParent_Done,
     /* 190999 */   // Label 3000: @190999
     /* 190999 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(191047), // Rule ID 4417 //
     /* 191004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 191007 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 191012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 191023 */     // (st v4f32:{ *:[v4f32] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 191023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 191026 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 191028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 191033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 191038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191045 */     GIR_RootConstrainSelectedInstOperands,
     /* 191046 */     // GIR_Coverage, 4417,
     /* 191046 */     GIR_EraseRootFromParent_Done,
     /* 191047 */   // Label 3001: @191047
     /* 191047 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(191108), // Rule ID 4741 //
     /* 191052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 191055 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 191071 */     // (st v4i32:{ *:[v4i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v4i32:{ *:[v4i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 191074 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191106 */     GIR_RootConstrainSelectedInstOperands,
     /* 191107 */     // GIR_Coverage, 4741,
     /* 191107 */     GIR_EraseRootFromParent_Done,
     /* 191108 */   // Label 3002: @191108
     /* 191108 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(191166), // Rule ID 4743 //
     /* 191113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 191129 */     // (st v4i32:{ *:[v4i32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v4i32:{ *:[v4i32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 191132 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191164 */     GIR_RootConstrainSelectedInstOperands,
     /* 191165 */     // GIR_Coverage, 4743,
     /* 191165 */     GIR_EraseRootFromParent_Done,
     /* 191166 */   // Label 3003: @191166
     /* 191166 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(191227), // Rule ID 4745 //
     /* 191171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 191174 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 191190 */     // (st v4f32:{ *:[v4f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v4f32:{ *:[v4f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 191193 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191225 */     GIR_RootConstrainSelectedInstOperands,
     /* 191226 */     // GIR_Coverage, 4745,
     /* 191226 */     GIR_EraseRootFromParent_Done,
     /* 191227 */   // Label 3004: @191227
     /* 191227 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(191285), // Rule ID 4747 //
     /* 191232 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 191248 */     // (st v4f32:{ *:[v4f32] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v4f32:{ *:[v4f32] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 191251 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191283 */     GIR_RootConstrainSelectedInstOperands,
     /* 191284 */     // GIR_Coverage, 4747,
     /* 191284 */     GIR_EraseRootFromParent_Done,
     /* 191285 */   // Label 3005: @191285
     /* 191285 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(191346), // Rule ID 6704 //
     /* 191290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch_HasUnrestrictedSOffset),
     /* 191293 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 191298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 191309 */     // (st v4i32:{ *:[v4i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX4_OFFEN VReg_128:{ *:[v4i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 191309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN),
     /* 191312 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 191314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191344 */     GIR_RootConstrainSelectedInstOperands,
     /* 191345 */     // GIR_Coverage, 6704,
     /* 191345 */     GIR_EraseRootFromParent_Done,
     /* 191346 */   // Label 3006: @191346
     /* 191346 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(191407), // Rule ID 6706 //
     /* 191351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_DisableFlatScratch),
     /* 191354 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 191359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_scratch_offen),
     /* 191370 */     // (st v4i32:{ *:[v4i32] }:$value, (MUBUFScratchOffen:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN VReg_128:{ *:[v4i32] }:$value, ?:{ *:[i32] }:$vaddr, ?:{ *:[v4i32] }:$srsrc, ?:{ *:[i32] }:$soffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] }, 0:{ *:[i1] })
     /* 191370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN),
     /* 191373 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 191375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 191380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 191390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 191395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191405 */     GIR_RootConstrainSelectedInstOperands,
     /* 191406 */     // GIR_Coverage, 6706,
     /* 191406 */     GIR_EraseRootFromParent_Done,
     /* 191407 */   // Label 3007: @191407
     /* 191407 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(191524), // Rule ID 8137 //
     /* 191412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 191415 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 191419 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 191424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 191435 */     // (AMDGPUst_glue v4i32:{ *:[v4i32] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4i32] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4i32] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 191435 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 191438 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191442 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191447 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 191453 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191458 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 191466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191475 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 191481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191486 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 191494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 191499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 191502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 191505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 191510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 191515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191522 */     GIR_RootConstrainSelectedInstOperands,
     /* 191523 */     // GIR_Coverage, 8137,
     /* 191523 */     GIR_EraseRootFromParent_Done,
     /* 191524 */   // Label 3008: @191524
     /* 191524 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(191641), // Rule ID 8173 //
     /* 191529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 191532 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 191536 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 191541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 191552 */     // (AMDGPUst_glue v4f32:{ *:[v4f32] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4f32] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4f32] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 191552 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 191555 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191559 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191564 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 191570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191575 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 191583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191592 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 191598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191603 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 191611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 191616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 191619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 191622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 191627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 191632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191639 */     GIR_RootConstrainSelectedInstOperands,
     /* 191640 */     // GIR_Coverage, 8173,
     /* 191640 */     GIR_EraseRootFromParent_Done,
     /* 191641 */   // Label 3009: @191641
     /* 191641 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(191697), // Rule ID 4740 //
     /* 191646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 191649 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 191665 */     // (st v4i32:{ *:[v4i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 191668 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 191680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 191685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191695 */     GIR_RootConstrainSelectedInstOperands,
     /* 191696 */     // GIR_Coverage, 4740,
     /* 191696 */     GIR_EraseRootFromParent_Done,
     /* 191697 */   // Label 3010: @191697
     /* 191697 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(191750), // Rule ID 4742 //
     /* 191702 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 191718 */     // (st v4i32:{ *:[v4i32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 191721 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 191733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 191738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191748 */     GIR_RootConstrainSelectedInstOperands,
     /* 191749 */     // GIR_Coverage, 4742,
     /* 191749 */     GIR_EraseRootFromParent_Done,
     /* 191750 */   // Label 3011: @191750
     /* 191750 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(191806), // Rule ID 4744 //
     /* 191755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 191758 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 191774 */     // (st v4f32:{ *:[v4f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 191777 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 191789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 191794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191804 */     GIR_RootConstrainSelectedInstOperands,
     /* 191805 */     // GIR_Coverage, 4744,
     /* 191805 */     GIR_EraseRootFromParent_Done,
     /* 191806 */   // Label 3012: @191806
     /* 191806 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(191859), // Rule ID 4746 //
     /* 191811 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 191816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 191827 */     // (st v4f32:{ *:[v4f32] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 191827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 191830 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 191832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 191837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 191842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 191847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191857 */     GIR_RootConstrainSelectedInstOperands,
     /* 191858 */     // GIR_Coverage, 4746,
     /* 191858 */     GIR_EraseRootFromParent_Done,
     /* 191859 */   // Label 3013: @191859
     /* 191859 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(191972), // Rule ID 8139 //
     /* 191864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 191867 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 191872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 191883 */     // (st v4i32:{ *:[v4i32] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4i32] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4i32] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 191883 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 191886 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191890 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191895 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 191901 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191906 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 191914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 191918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 191923 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 191929 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 191934 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 191939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 191942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 191947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 191950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 191953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 191958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 191963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 191966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 191970 */     GIR_RootConstrainSelectedInstOperands,
     /* 191971 */     // GIR_Coverage, 8139,
     /* 191971 */     GIR_EraseRootFromParent_Done,
     /* 191972 */   // Label 3014: @191972
     /* 191972 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(192085), // Rule ID 8175 //
     /* 191977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 191980 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 191985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 191989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 191996 */     // (st v4f32:{ *:[v4f32] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4f32] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v4f32] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 191996 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 191999 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 192003 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 192008 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 192014 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 192019 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 192024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 192027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 192031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 192036 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 192042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 192047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 192052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 192055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 192063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 192066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 192071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 192076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192083 */     GIR_RootConstrainSelectedInstOperands,
     /* 192084 */     // GIR_Coverage, 8175,
     /* 192084 */     GIR_EraseRootFromParent_Done,
     /* 192085 */   // Label 3015: @192085
     /* 192085 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(192138), // Rule ID 3988 //
     /* 192090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 192093 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 192098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 192109 */     // (st v4i32:{ *:[v4i32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 192109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 192112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 192117 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 192124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 192129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192136 */     GIR_RootConstrainSelectedInstOperands,
     /* 192137 */     // GIR_Coverage, 3988,
     /* 192137 */     GIR_EraseRootFromParent_Done,
     /* 192138 */   // Label 3016: @192138
     /* 192138 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(192191), // Rule ID 3992 //
     /* 192143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 192146 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 192151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 192162 */     // (st v4f32:{ *:[v4f32] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 192162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 192165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 192170 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 192177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 192182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192189 */     GIR_RootConstrainSelectedInstOperands,
     /* 192190 */     // GIR_Coverage, 3992,
     /* 192190 */     GIR_EraseRootFromParent_Done,
     /* 192191 */   // Label 3017: @192191
     /* 192191 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(192239), // Rule ID 3987 //
     /* 192196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 192199 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 192204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 192215 */     // (st v4i32:{ *:[v4i32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 192215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 192218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192223 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192237 */     GIR_RootConstrainSelectedInstOperands,
     /* 192238 */     // GIR_Coverage, 3987,
     /* 192238 */     GIR_EraseRootFromParent_Done,
     /* 192239 */   // Label 3018: @192239
     /* 192239 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(192287), // Rule ID 3991 //
     /* 192244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 192247 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 192252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 192263 */     // (st v4f32:{ *:[v4f32] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 192263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 192266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192271 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192285 */     GIR_RootConstrainSelectedInstOperands,
     /* 192286 */     // GIR_Coverage, 3991,
     /* 192286 */     GIR_EraseRootFromParent_Done,
     /* 192287 */   // Label 3019: @192287
     /* 192287 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(192336), // Rule ID 3682 //
     /* 192292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 192295 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 192301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 192312 */     // (st v4i32:{ *:[v4i32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v4i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 192312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 192315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192320 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192334 */     GIR_RootConstrainSelectedInstOperands,
     /* 192335 */     // GIR_Coverage, 3682,
     /* 192335 */     GIR_EraseRootFromParent_Done,
     /* 192336 */   // Label 3020: @192336
     /* 192336 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(192385), // Rule ID 3684 //
     /* 192341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 192344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 192350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 192361 */     // (st v4f32:{ *:[v4f32] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v4f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 192361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 192364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192369 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192383 */     GIR_RootConstrainSelectedInstOperands,
     /* 192384 */     // GIR_Coverage, 3684,
     /* 192384 */     GIR_EraseRootFromParent_Done,
     /* 192385 */   // Label 3021: @192385
     /* 192385 */   GIM_Reject,
     /* 192386 */ // Label 2985: @192386
     /* 192386 */ GIM_Reject,
     /* 192387 */ // Label 2475: @192387
     /* 192387 */ GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(194362),
     /* 192392 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192395 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(192451), // Rule ID 8254 //
     /* 192400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 192403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 192407 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192412 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 192416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192427 */     // (AMDGPUst_glue v8i16:{ *:[v8i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 192430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192435 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192449 */     GIR_RootConstrainSelectedInstOperands,
     /* 192450 */     // GIR_Coverage, 8254,
     /* 192450 */     GIR_EraseRootFromParent_Done,
     /* 192451 */   // Label 3023: @192451
     /* 192451 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(192507), // Rule ID 8258 //
     /* 192456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 192459 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 192463 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192468 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 192472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192483 */     // (AMDGPUst_glue v8f16:{ *:[v8f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align16_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 192486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192491 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192505 */     GIR_RootConstrainSelectedInstOperands,
     /* 192506 */     // GIR_Coverage, 8258,
     /* 192506 */     GIR_EraseRootFromParent_Done,
     /* 192507 */   // Label 3024: @192507
     /* 192507 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(192568), // Rule ID 8322 //
     /* 192512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 192515 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 192519 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192524 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 192537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192544 */     // (AMDGPUst_glue v8i16:{ *:[v8i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 192547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192552 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192566 */     GIR_RootConstrainSelectedInstOperands,
     /* 192567 */     // GIR_Coverage, 8322,
     /* 192567 */     GIR_EraseRootFromParent_Done,
     /* 192568 */   // Label 3025: @192568
     /* 192568 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(192629), // Rule ID 8326 //
     /* 192573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_LDSRequiresM0Init),
     /* 192576 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 192580 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192585 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192594 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local_m0),
     /* 192598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192605 */     // (AMDGPUst_glue v8f16:{ *:[v8f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>><<P:Predicate_store_align_less_than_4_local_m0>>  =>  (DS_WRITE_B128 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128),
     /* 192608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192613 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192627 */     GIR_RootConstrainSelectedInstOperands,
     /* 192628 */     // GIR_Coverage, 8326,
     /* 192628 */     GIR_EraseRootFromParent_Done,
     /* 192629 */   // Label 3026: @192629
     /* 192629 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(192681), // Rule ID 8255 //
     /* 192634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 192637 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192642 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 192646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192657 */     // (st v8i16:{ *:[v8i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 192660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192665 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192679 */     GIR_RootConstrainSelectedInstOperands,
     /* 192680 */     // GIR_Coverage, 8255,
     /* 192680 */     GIR_EraseRootFromParent_Done,
     /* 192681 */   // Label 3027: @192681
     /* 192681 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(192733), // Rule ID 8259 //
     /* 192686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX7Plus),
     /* 192689 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192694 */     GIM_CheckMemoryAlignment, /*MI*/0, /*MMO*/0, /*MinAlign*/16,
     /* 192698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192709 */     // (st v8f16:{ *:[v8f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align16_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 192712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192717 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192731 */     GIR_RootConstrainSelectedInstOperands,
     /* 192732 */     // GIR_Coverage, 8259,
     /* 192732 */     GIR_EraseRootFromParent_Done,
     /* 192733 */   // Label 3028: @192733
     /* 192733 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(192790), // Rule ID 8323 //
     /* 192738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 192741 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192746 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 192759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192766 */     // (st v8i16:{ *:[v8i16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8i16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 192769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192774 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192788 */     GIR_RootConstrainSelectedInstOperands,
     /* 192789 */     // GIR_Coverage, 8323,
     /* 192789 */     GIR_EraseRootFromParent_Done,
     /* 192790 */   // Label 3029: @192790
     /* 192790 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(192847), // Rule ID 8327 //
     /* 192795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnalignedAccessMode_NotLDSRequiresM0Init),
     /* 192798 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192803 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 192808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192812 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_store_align_less_than_4_local),
     /* 192816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 192823 */     // (st v8f16:{ *:[v8f16] }:$value, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>><<P:Predicate_store_align_less_than_4_local>>  =>  (DS_WRITE_B128_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9772:{ *:[v8f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 192823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE_B128_gfx9),
     /* 192826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 192831 */     GIR_RootToRootCopy, /*OpIdx*/0, // value
     /* 192833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192845 */     GIR_RootConstrainSelectedInstOperands,
     /* 192846 */     // GIR_Coverage, 8327,
     /* 192846 */     GIR_EraseRootFromParent_Done,
     /* 192847 */   // Label 3030: @192847
     /* 192847 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(192900), // Rule ID 4437 //
     /* 192852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 192855 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 192860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 192871 */     // (st v8i16:{ *:[v8i16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 192871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 192874 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 192886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 192891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192898 */     GIR_RootConstrainSelectedInstOperands,
     /* 192899 */     // GIR_Coverage, 4437,
     /* 192899 */     GIR_EraseRootFromParent_Done,
     /* 192900 */   // Label 3031: @192900
     /* 192900 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(192953), // Rule ID 4443 //
     /* 192905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts_HasFlatScratchSVSMode),
     /* 192908 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 192913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_svaddr),
     /* 192924 */     // (st v8f16:{ *:[v8f16] }:$data, (ScratchSVAddr:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SVS anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 192924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SVS),
     /* 192927 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 192934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // saddr
     /* 192939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 192944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192951 */     GIR_RootConstrainSelectedInstOperands,
     /* 192952 */     // GIR_Coverage, 4443,
     /* 192952 */     GIR_EraseRootFromParent_Done,
     /* 192953 */   // Label 3032: @192953
     /* 192953 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(193001), // Rule ID 4436 //
     /* 192958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 192961 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 192966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 192970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 192977 */     // (st v8i16:{ *:[v8i16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 192977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 192980 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 192982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 192987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 192992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 192999 */     GIR_RootConstrainSelectedInstOperands,
     /* 193000 */     // GIR_Coverage, 4436,
     /* 193000 */     GIR_EraseRootFromParent_Done,
     /* 193001 */   // Label 3033: @193001
     /* 193001 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(193049), // Rule ID 4442 //
     /* 193006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 193009 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 193014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_saddr),
     /* 193025 */     // (st v8f16:{ *:[v8f16] }:$data, (ScratchSAddr:{ *:[iPTR] } SGPR_32:{ *:[i32] }:$saddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4_SADDR anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i32] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 193025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4_SADDR),
     /* 193028 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 193030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 193035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 193040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193047 */     GIR_RootConstrainSelectedInstOperands,
     /* 193048 */     // GIR_Coverage, 4442,
     /* 193048 */     GIR_EraseRootFromParent_Done,
     /* 193049 */   // Label 3034: @193049
     /* 193049 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(193097), // Rule ID 4435 //
     /* 193054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 193057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 193062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 193073 */     // (st v8i16:{ *:[v8i16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 193073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 193076 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 193078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 193083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 193088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193095 */     GIR_RootConstrainSelectedInstOperands,
     /* 193096 */     // GIR_Coverage, 4435,
     /* 193096 */     GIR_EraseRootFromParent_Done,
     /* 193097 */   // Label 3035: @193097
     /* 193097 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(193145), // Rule ID 4441 //
     /* 193102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_EnableFlatScratch_HasFlatScratchInsts),
     /* 193105 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/5,
     /* 193110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_scratch_offset),
     /* 193121 */     // (st v8f16:{ *:[v8f16] }:$data, (ScratchOffset:{ *:[iPTR] } VGPR_32:{ *:[i32] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_private>>  =>  (SCRATCH_STORE_DWORDX4 anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i32] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 193121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCRATCH_STORE_DWORDX4),
     /* 193124 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 193126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 193131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 193136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193143 */     GIR_RootConstrainSelectedInstOperands,
     /* 193144 */     // GIR_Coverage, 4441,
     /* 193144 */     GIR_EraseRootFromParent_Done,
     /* 193145 */   // Label 3036: @193145
     /* 193145 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(193206), // Rule ID 4757 //
     /* 193150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 193153 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 193169 */     // (st v8i16:{ *:[v8i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v8i16:{ *:[v8i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 193172 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 193179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 193189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 193194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193204 */     GIR_RootConstrainSelectedInstOperands,
     /* 193205 */     // GIR_Coverage, 4757,
     /* 193205 */     GIR_EraseRootFromParent_Done,
     /* 193206 */   // Label 3037: @193206
     /* 193206 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(193264), // Rule ID 4759 //
     /* 193211 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 193227 */     // (st v8i16:{ *:[v8i16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v8i16:{ *:[v8i16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 193230 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 193237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 193247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 193252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193262 */     GIR_RootConstrainSelectedInstOperands,
     /* 193263 */     // GIR_Coverage, 4759,
     /* 193263 */     GIR_EraseRootFromParent_Done,
     /* 193264 */   // Label 3038: @193264
     /* 193264 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(193325), // Rule ID 4761 //
     /* 193269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 193272 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 193288 */     // (st v8f16:{ *:[v8f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_ADDR64 v8f16:{ *:[v8f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_ADDR64),
     /* 193291 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 193298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 193308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 193313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193323 */     GIR_RootConstrainSelectedInstOperands,
     /* 193324 */     // GIR_Coverage, 4761,
     /* 193324 */     GIR_EraseRootFromParent_Done,
     /* 193325 */   // Label 3039: @193325
     /* 193325 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(193383), // Rule ID 4763 //
     /* 193330 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 193346 */     // (st v8f16:{ *:[v8f16] }:$vdata, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_ADDR64 v8f16:{ *:[v8f16] }:$vdata, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_ADDR64),
     /* 193349 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 193356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 193366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 193371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193381 */     GIR_RootConstrainSelectedInstOperands,
     /* 193382 */     // GIR_Coverage, 4763,
     /* 193382 */     GIR_EraseRootFromParent_Done,
     /* 193383 */   // Label 3040: @193383
     /* 193383 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(193500), // Rule ID 8185 //
     /* 193388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 193391 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 193395 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 193400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 193411 */     // (AMDGPUst_glue v8i16:{ *:[v8i16] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8i16] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8i16] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 193411 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 193414 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193418 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193423 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 193429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 193442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193451 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 193457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 193470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 193475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 193478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 193481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 193486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 193491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193498 */     GIR_RootConstrainSelectedInstOperands,
     /* 193499 */     // GIR_Coverage, 8185,
     /* 193499 */     GIR_EraseRootFromParent_Done,
     /* 193500 */   // Label 3041: @193500
     /* 193500 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(193617), // Rule ID 8189 //
     /* 193505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX7Plus),
     /* 193508 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 193512 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 193517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 193528 */     // (AMDGPUst_glue v8f16:{ *:[v8f16] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore_glue>><<P:Predicate_store_glue>><<P:Predicate_store_local_m0>>  =>  (DS_WRITE2_B64 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8f16] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8f16] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 193528 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 193531 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193535 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193540 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 193546 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193551 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 193559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193568 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 193574 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193579 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64),
     /* 193587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 193592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 193595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 193598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 193603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 193608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193615 */     GIR_RootConstrainSelectedInstOperands,
     /* 193616 */     // GIR_Coverage, 8189,
     /* 193616 */     GIR_EraseRootFromParent_Done,
     /* 193617 */   // Label 3042: @193617
     /* 193617 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(193673), // Rule ID 4756 //
     /* 193622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 193625 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 193641 */     // (st v8i16:{ *:[v8i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 193644 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 193656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 193661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193671 */     GIR_RootConstrainSelectedInstOperands,
     /* 193672 */     // GIR_Coverage, 4756,
     /* 193672 */     GIR_EraseRootFromParent_Done,
     /* 193673 */   // Label 3043: @193673
     /* 193673 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(193726), // Rule ID 4758 //
     /* 193678 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 193694 */     // (st v8i16:{ *:[v8i16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 193697 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 193709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 193714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193724 */     GIR_RootConstrainSelectedInstOperands,
     /* 193725 */     // GIR_Coverage, 4758,
     /* 193725 */     GIR_EraseRootFromParent_Done,
     /* 193726 */   // Label 3044: @193726
     /* 193726 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(193782), // Rule ID 4760 //
     /* 193731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 193734 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 193750 */     // (st v8f16:{ *:[v8f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_OFFSET v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET),
     /* 193753 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 193765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 193770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193780 */     GIR_RootConstrainSelectedInstOperands,
     /* 193781 */     // GIR_Coverage, 4760,
     /* 193781 */     GIR_EraseRootFromParent_Done,
     /* 193782 */   // Label 3045: @193782
     /* 193782 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(193835), // Rule ID 4762 //
     /* 193787 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 193792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 193803 */     // (st v8f16:{ *:[v8f16] }:$vdata, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 193803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET),
     /* 193806 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 193808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 193813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 193818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 193823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193833 */     GIR_RootConstrainSelectedInstOperands,
     /* 193834 */     // GIR_Coverage, 4762,
     /* 193834 */     GIR_EraseRootFromParent_Done,
     /* 193835 */   // Label 3046: @193835
     /* 193835 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(193948), // Rule ID 8187 //
     /* 193840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 193843 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 193848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 193859 */     // (st v8i16:{ *:[v8i16] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8i16] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8i16] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 193859 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 193862 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193866 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193871 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 193877 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193882 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 193890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193899 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 193905 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193910 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 193915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 193918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 193923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 193926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 193929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 193934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 193939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 193946 */     GIR_RootConstrainSelectedInstOperands,
     /* 193947 */     // GIR_Coverage, 8187,
     /* 193947 */     GIR_EraseRootFromParent_Done,
     /* 193948 */   // Label 3047: @193948
     /* 193948 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(194061), // Rule ID 8191 //
     /* 193953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 193956 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 193961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 193965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_128bit_8byte_aligned),
     /* 193972 */     // (st v8f16:{ *:[v8f16] }:$value, (DS128Bit8ByteAligned:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset0, i32:{ *:[i32] }:$offset1))<<P:Predicate_unindexedstore>><<P:Predicate_store_local>>  =>  (DS_WRITE2_B64_gfx9 ?:{ *:[i32] }:$ptr, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8f16] }:$value, sub0_sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v8f16] }:$value, sub2_sub3:{ *:[i32] }), ?:{ *:[i32] }:$offset0, ?:{ *:[i32] }:$offset1, 0:{ *:[i1] })
     /* 193972 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 193975 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193979 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193984 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(24), // value
     /* 193990 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 193995 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 194000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 194003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 194012 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(4), // value
     /* 194018 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 194023 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 194028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRITE2_B64_gfx9),
     /* 194031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 194039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 194042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset0
     /* 194047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset1
     /* 194052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194059 */     GIR_RootConstrainSelectedInstOperands,
     /* 194060 */     // GIR_Coverage, 8191,
     /* 194060 */     GIR_EraseRootFromParent_Done,
     /* 194061 */   // Label 3048: @194061
     /* 194061 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(194114), // Rule ID 4004 //
     /* 194066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 194069 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 194074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 194085 */     // (st v8i16:{ *:[v8i16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 194085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 194088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 194093 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 194100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 194105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194112 */     GIR_RootConstrainSelectedInstOperands,
     /* 194113 */     // GIR_Coverage, 4004,
     /* 194113 */     GIR_EraseRootFromParent_Done,
     /* 194114 */   // Label 3049: @194114
     /* 194114 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(194167), // Rule ID 4008 //
     /* 194119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 194122 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 194127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 194138 */     // (st v8f16:{ *:[v8f16] }:$data, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 194138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4_SADDR),
     /* 194141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 194146 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 194153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 194158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194165 */     GIR_RootConstrainSelectedInstOperands,
     /* 194166 */     // GIR_Coverage, 4008,
     /* 194166 */     GIR_EraseRootFromParent_Done,
     /* 194167 */   // Label 3050: @194167
     /* 194167 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(194215), // Rule ID 4003 //
     /* 194172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 194175 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 194180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 194191 */     // (st v8i16:{ *:[v8i16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 194191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 194194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 194199 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194213 */     GIR_RootConstrainSelectedInstOperands,
     /* 194214 */     // GIR_Coverage, 4003,
     /* 194214 */     GIR_EraseRootFromParent_Done,
     /* 194215 */   // Label 3051: @194215
     /* 194215 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(194263), // Rule ID 4007 //
     /* 194220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 194223 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/1,
     /* 194228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 194239 */     // (st v8f16:{ *:[v8f16] }:$data, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_global>>  =>  (GLOBAL_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 194239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_STORE_DWORDX4),
     /* 194242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 194247 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194261 */     GIR_RootConstrainSelectedInstOperands,
     /* 194262 */     // GIR_Coverage, 4007,
     /* 194262 */     GIR_EraseRootFromParent_Done,
     /* 194263 */   // Label 3052: @194263
     /* 194263 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(194312), // Rule ID 3690 //
     /* 194268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 194271 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 194277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 194288 */     // (st v8i16:{ *:[v8i16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v8i16] }:$data, ?:{ *:[i32] }:$offset)
     /* 194288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 194291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 194296 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194310 */     GIR_RootConstrainSelectedInstOperands,
     /* 194311 */     // GIR_Coverage, 3690,
     /* 194311 */     GIR_EraseRootFromParent_Done,
     /* 194312 */   // Label 3053: @194312
     /* 194312 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(194361), // Rule ID 3692 //
     /* 194317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 194320 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/2, /*AddrSpace*/0, /*AddrSpace*/1,
     /* 194326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 194337 */     // (st v8f16:{ *:[v8f16] }:$data, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store_flat>>  =>  (FLAT_STORE_DWORDX4 ?:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v8f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 194337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_STORE_DWORDX4),
     /* 194340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 194345 */     GIR_RootToRootCopy, /*OpIdx*/0, // data
     /* 194347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194359 */     GIR_RootConstrainSelectedInstOperands,
     /* 194360 */     // GIR_Coverage, 3692,
     /* 194360 */     GIR_EraseRootFromParent_Done,
     /* 194361 */   // Label 3054: @194361
     /* 194361 */   GIM_Reject,
     /* 194362 */ // Label 3022: @194362
     /* 194362 */ GIM_Reject,
     /* 194363 */ // Label 2476: @194363
     /* 194363 */ GIM_Reject,
     /* 194364 */ // Label 18: @194364
     /* 194364 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3057*/ GIMT_Encode4(195489),
     /* 194375 */ /*GILLT_s32*//*Label 3055*/ GIMT_Encode4(194383),
     /* 194379 */ /*GILLT_s64*//*Label 3056*/ GIMT_Encode4(194936),
     /* 194383 */ // Label 3055: @194383
     /* 194383 */ GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(194935),
     /* 194388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194394 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(194446), // Rule ID 8338 //
     /* 194399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 194402 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194407 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194420 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_m0_noret_i32>>  =>  (DS_CMPST_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B32),
     /* 194423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194428 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194430 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194444 */     GIR_RootConstrainSelectedInstOperands,
     /* 194445 */     // GIR_Coverage, 8338,
     /* 194445 */     GIR_EraseRootFromParent_Done,
     /* 194446 */   // Label 3059: @194446
     /* 194446 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(194498), // Rule ID 8340 //
     /* 194451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 194454 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194459 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194472 */     // (atomic_cmp_swap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_noret_i32>>  =>  (DS_CMPST_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B32_gfx9),
     /* 194475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194480 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194482 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194496 */     GIR_RootConstrainSelectedInstOperands,
     /* 194497 */     // GIR_Coverage, 8340,
     /* 194497 */     GIR_EraseRootFromParent_Done,
     /* 194498 */   // Label 3060: @194498
     /* 194498 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(194550), // Rule ID 8342 //
     /* 194503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX6GFX7GFX8GFX9GFX10),
     /* 194506 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 194511 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194524 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_noret_i32>>  =>  (DS_CMPST_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 194524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B32),
     /* 194527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194532 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194534 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 194544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194548 */     GIR_RootConstrainSelectedInstOperands,
     /* 194549 */     // GIR_Coverage, 8342,
     /* 194549 */     GIR_EraseRootFromParent_Done,
     /* 194550 */   // Label 3061: @194550
     /* 194550 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(194602), // Rule ID 8344 //
     /* 194555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 194558 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194563 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194576 */     // (atomic_cmp_swap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_noret_i32>>  =>  (DS_CMPSTORE_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$swap, anonymous_9775:{ *:[i32] }:$cmp, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_B32_gfx9),
     /* 194579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194584 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194586 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194600 */     GIR_RootConstrainSelectedInstOperands,
     /* 194601 */     // GIR_Coverage, 8344,
     /* 194601 */     GIR_EraseRootFromParent_Done,
     /* 194602 */   // Label 3062: @194602
     /* 194602 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(194654), // Rule ID 8346 //
     /* 194607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX11Plus),
     /* 194610 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 194615 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194628 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_noret_i32>>  =>  (DS_CMPSTORE_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$swap, anonymous_9775:{ *:[i32] }:$cmp, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 194628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_B32),
     /* 194631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194636 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194638 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 194648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194652 */     GIR_RootConstrainSelectedInstOperands,
     /* 194653 */     // GIR_Coverage, 8346,
     /* 194653 */     GIR_EraseRootFromParent_Done,
     /* 194654 */   // Label 3063: @194654
     /* 194654 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(194710), // Rule ID 8337 //
     /* 194659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 194662 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 194671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194682 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_m0_i32>>  =>  (DS_CMPST_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B32),
     /* 194685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 194687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194692 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194694 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194708 */     GIR_RootConstrainSelectedInstOperands,
     /* 194709 */     // GIR_Coverage, 8337,
     /* 194709 */     GIR_EraseRootFromParent_Done,
     /* 194710 */   // Label 3064: @194710
     /* 194710 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(194766), // Rule ID 8339 //
     /* 194715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 194718 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 194727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194738 */     // (atomic_cmp_swap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_i32>>  =>  (DS_CMPST_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B32_gfx9),
     /* 194741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 194743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194748 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194750 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194764 */     GIR_RootConstrainSelectedInstOperands,
     /* 194765 */     // GIR_Coverage, 8339,
     /* 194765 */     GIR_EraseRootFromParent_Done,
     /* 194766 */   // Label 3065: @194766
     /* 194766 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(194822), // Rule ID 8341 //
     /* 194771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX6GFX7GFX8GFX9GFX10),
     /* 194774 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 194779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 194783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194794 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_i32>>  =>  (DS_CMPST_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$cmp, anonymous_9775:{ *:[i32] }:$swap, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 194794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B32),
     /* 194797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 194799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194804 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194806 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 194816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194820 */     GIR_RootConstrainSelectedInstOperands,
     /* 194821 */     // GIR_Coverage, 8341,
     /* 194821 */     GIR_EraseRootFromParent_Done,
     /* 194822 */   // Label 3066: @194822
     /* 194822 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(194878), // Rule ID 8343 //
     /* 194827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 194830 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 194839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194850 */     // (atomic_cmp_swap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_local_i32>>  =>  (DS_CMPSTORE_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$swap, anonymous_9775:{ *:[i32] }:$cmp, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_RTN_B32_gfx9),
     /* 194853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 194855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194860 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194862 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194876 */     GIR_RootConstrainSelectedInstOperands,
     /* 194877 */     // GIR_Coverage, 8343,
     /* 194877 */     GIR_EraseRootFromParent_Done,
     /* 194878 */   // Label 3067: @194878
     /* 194878 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(194934), // Rule ID 8345 //
     /* 194883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX11Plus),
     /* 194886 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 194891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 194895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194906 */     // (atomic_cmp_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$cmp, i32:{ *:[i32] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_i32>>  =>  (DS_CMPSTORE_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$swap, anonymous_9775:{ *:[i32] }:$cmp, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 194906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_RTN_B32),
     /* 194909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 194911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194916 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194918 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 194928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194932 */     GIR_RootConstrainSelectedInstOperands,
     /* 194933 */     // GIR_Coverage, 8345,
     /* 194933 */     GIR_EraseRootFromParent_Done,
     /* 194934 */   // Label 3068: @194934
     /* 194934 */   GIM_Reject,
     /* 194935 */ // Label 3058: @194935
     /* 194935 */ GIM_Reject,
     /* 194936 */ // Label 3056: @194936
     /* 194936 */ GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(195488),
     /* 194941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194947 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(194999), // Rule ID 8513 //
     /* 194952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 194955 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 194960 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 194962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 194966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 194973 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_m0_noret_i64>>  =>  (DS_CMPST_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 194973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B64),
     /* 194976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 194981 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 194983 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 194985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 194990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 194993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 194997 */     GIR_RootConstrainSelectedInstOperands,
     /* 194998 */     // GIR_Coverage, 8513,
     /* 194998 */     GIR_EraseRootFromParent_Done,
     /* 194999 */   // Label 3070: @194999
     /* 194999 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(195051), // Rule ID 8515 //
     /* 195004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 195007 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 195012 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195025 */     // (atomic_cmp_swap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_noret_i64>>  =>  (DS_CMPST_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 195025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B64_gfx9),
     /* 195028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195033 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195035 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195049 */     GIR_RootConstrainSelectedInstOperands,
     /* 195050 */     // GIR_Coverage, 8515,
     /* 195050 */     GIR_EraseRootFromParent_Done,
     /* 195051 */   // Label 3071: @195051
     /* 195051 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(195103), // Rule ID 8517 //
     /* 195056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX6GFX7GFX8GFX9GFX10),
     /* 195059 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 195064 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195077 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_noret_i64>>  =>  (DS_CMPST_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 195077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_B64),
     /* 195080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195085 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195087 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195101 */     GIR_RootConstrainSelectedInstOperands,
     /* 195102 */     // GIR_Coverage, 8517,
     /* 195102 */     GIR_EraseRootFromParent_Done,
     /* 195103 */   // Label 3072: @195103
     /* 195103 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(195155), // Rule ID 8519 //
     /* 195108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 195111 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 195116 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195129 */     // (atomic_cmp_swap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_noret_i64>>  =>  (DS_CMPSTORE_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$swap, anonymous_9774:{ *:[i64] }:$cmp, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 195129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_B64_gfx9),
     /* 195132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195137 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195139 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195153 */     GIR_RootConstrainSelectedInstOperands,
     /* 195154 */     // GIR_Coverage, 8519,
     /* 195154 */     GIR_EraseRootFromParent_Done,
     /* 195155 */   // Label 3073: @195155
     /* 195155 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(195207), // Rule ID 8521 //
     /* 195160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX11Plus),
     /* 195163 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 195168 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195181 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_noret_i64>>  =>  (DS_CMPSTORE_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$swap, anonymous_9774:{ *:[i64] }:$cmp, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 195181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_B64),
     /* 195184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195189 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195191 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195205 */     GIR_RootConstrainSelectedInstOperands,
     /* 195206 */     // GIR_Coverage, 8521,
     /* 195206 */     GIR_EraseRootFromParent_Done,
     /* 195207 */   // Label 3074: @195207
     /* 195207 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(195263), // Rule ID 8512 //
     /* 195212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 195215 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 195220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 195224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195235 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_m0_i64>>  =>  (DS_CMPST_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 195235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B64),
     /* 195238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 195240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195245 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195247 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195261 */     GIR_RootConstrainSelectedInstOperands,
     /* 195262 */     // GIR_Coverage, 8512,
     /* 195262 */     GIR_EraseRootFromParent_Done,
     /* 195263 */   // Label 3075: @195263
     /* 195263 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(195319), // Rule ID 8514 //
     /* 195268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init_isGFX6GFX7GFX8GFX9GFX10),
     /* 195271 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 195276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 195280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195291 */     // (atomic_cmp_swap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_i64>>  =>  (DS_CMPST_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 195291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B64_gfx9),
     /* 195294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 195296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195301 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195303 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195317 */     GIR_RootConstrainSelectedInstOperands,
     /* 195318 */     // GIR_Coverage, 8514,
     /* 195318 */     GIR_EraseRootFromParent_Done,
     /* 195319 */   // Label 3076: @195319
     /* 195319 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(195375), // Rule ID 8516 //
     /* 195324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX6GFX7GFX8GFX9GFX10),
     /* 195327 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 195332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 195336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195347 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_i64>>  =>  (DS_CMPST_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$cmp, anonymous_9774:{ *:[i64] }:$swap, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 195347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPST_RTN_B64),
     /* 195350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 195352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195357 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195359 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195373 */     GIR_RootConstrainSelectedInstOperands,
     /* 195374 */     // GIR_Coverage, 8516,
     /* 195374 */     GIR_EraseRootFromParent_Done,
     /* 195375 */   // Label 3077: @195375
     /* 195375 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(195431), // Rule ID 8518 //
     /* 195380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 195383 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 195388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 195392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195403 */     // (atomic_cmp_swap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_local_i64>>  =>  (DS_CMPSTORE_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$swap, anonymous_9774:{ *:[i64] }:$cmp, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 195403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_RTN_B64_gfx9),
     /* 195406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 195408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195413 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195415 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195429 */     GIR_RootConstrainSelectedInstOperands,
     /* 195430 */     // GIR_Coverage, 8518,
     /* 195430 */     GIR_EraseRootFromParent_Done,
     /* 195431 */   // Label 3078: @195431
     /* 195431 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(195487), // Rule ID 8520 //
     /* 195436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_isGFX11Plus),
     /* 195439 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 195444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 195448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 195459 */     // (atomic_cmp_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$cmp, i64:{ *:[i64] }:$swap)<<P:Predicate_atomic_cmp_swap_region_m0_i64>>  =>  (DS_CMPSTORE_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$swap, anonymous_9774:{ *:[i64] }:$cmp, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 195459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_CMPSTORE_RTN_B64),
     /* 195462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 195464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 195469 */     GIR_RootToRootCopy, /*OpIdx*/3, // swap
     /* 195471 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /* 195473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 195478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195485 */     GIR_RootConstrainSelectedInstOperands,
     /* 195486 */     // GIR_Coverage, 8520,
     /* 195486 */     GIR_EraseRootFromParent_Done,
     /* 195487 */   // Label 3079: @195487
     /* 195487 */   GIM_Reject,
     /* 195488 */ // Label 3069: @195488
     /* 195488 */ GIM_Reject,
     /* 195489 */ // Label 3057: @195489
     /* 195489 */ GIM_Reject,
     /* 195490 */ // Label 19: @195490
     /* 195490 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3082*/ GIMT_Encode4(197701),
     /* 195501 */ /*GILLT_s32*//*Label 3080*/ GIMT_Encode4(195509),
     /* 195505 */ /*GILLT_s64*//*Label 3081*/ GIMT_Encode4(196605),
     /* 195509 */ // Label 3080: @195509
     /* 195509 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(196604),
     /* 195514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195517 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(195579), // Rule ID 5641 //
     /* 195522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 195525 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195532 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 195545 */     // (atomic_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_SWAP_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_ADDR64),
     /* 195548 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 195555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 195565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 195570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195577 */     GIR_RootConstrainSelectedInstOperands,
     /* 195578 */     // GIR_Coverage, 5641,
     /* 195578 */     GIR_EraseRootFromParent_Done,
     /* 195579 */   // Label 3084: @195579
     /* 195579 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(195638), // Rule ID 5645 //
     /* 195584 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195591 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 195604 */     // (atomic_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_ADDR64),
     /* 195607 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 195614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 195624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 195629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195636 */     GIR_RootConstrainSelectedInstOperands,
     /* 195637 */     // GIR_Coverage, 5645,
     /* 195637 */     GIR_EraseRootFromParent_Done,
     /* 195638 */   // Label 3085: @195638
     /* 195638 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(195704), // Rule ID 5637 //
     /* 195643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 195646 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 195657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 195668 */     // (atomic_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_i32>>  =>  (BUFFER_ATOMIC_SWAP_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_ADDR64_RTN),
     /* 195671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 195673 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 195680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 195690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 195695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195702 */     GIR_RootConstrainSelectedInstOperands,
     /* 195703 */     // GIR_Coverage, 5637,
     /* 195703 */     GIR_EraseRootFromParent_Done,
     /* 195704 */   // Label 3086: @195704
     /* 195704 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(195767), // Rule ID 5643 //
     /* 195709 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 195720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 195731 */     // (atomic_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_i32>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_ADDR64_RTN),
     /* 195734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 195736 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 195743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 195753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 195758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195765 */     GIR_RootConstrainSelectedInstOperands,
     /* 195766 */     // GIR_Coverage, 5643,
     /* 195766 */     GIR_EraseRootFromParent_Done,
     /* 195767 */   // Label 3087: @195767
     /* 195767 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(195824), // Rule ID 5640 //
     /* 195772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 195775 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195782 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 195795 */     // (atomic_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_SWAP_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET),
     /* 195798 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 195810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 195815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195822 */     GIR_RootConstrainSelectedInstOperands,
     /* 195823 */     // GIR_Coverage, 5640,
     /* 195823 */     GIR_EraseRootFromParent_Done,
     /* 195824 */   // Label 3088: @195824
     /* 195824 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(195878), // Rule ID 5644 //
     /* 195829 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195836 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 195838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 195849 */     // (atomic_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET),
     /* 195852 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 195864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 195869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 195872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195876 */     GIR_RootConstrainSelectedInstOperands,
     /* 195877 */     // GIR_Coverage, 5644,
     /* 195877 */     GIR_EraseRootFromParent_Done,
     /* 195878 */   // Label 3089: @195878
     /* 195878 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(195939), // Rule ID 5636 //
     /* 195883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 195886 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 195897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 195908 */     // (atomic_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_i32>>  =>  (BUFFER_ATOMIC_SWAP_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET_RTN),
     /* 195911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 195913 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 195925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 195930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195937 */     GIR_RootConstrainSelectedInstOperands,
     /* 195938 */     // GIR_Coverage, 5636,
     /* 195938 */     GIR_EraseRootFromParent_Done,
     /* 195939 */   // Label 3090: @195939
     /* 195939 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(195997), // Rule ID 5642 //
     /* 195944 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 195951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 195955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 195959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 195966 */     // (atomic_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_swap_global_i32>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 195966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN),
     /* 195969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 195971 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 195973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 195978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 195983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 195988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 195995 */     GIR_RootConstrainSelectedInstOperands,
     /* 195996 */     // GIR_Coverage, 5642,
     /* 195996 */     GIR_EraseRootFromParent_Done,
     /* 195997 */   // Label 3091: @195997
     /* 195997 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(196051), // Rule ID 8328 //
     /* 196002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 196005 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 196010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 196025 */     // (atomic_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_swap_local_m0_i32>>  =>  (DS_WRXCHG_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 196025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B32),
     /* 196028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 196035 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 196037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196049 */     GIR_RootConstrainSelectedInstOperands,
     /* 196050 */     // GIR_Coverage, 8328,
     /* 196050 */     GIR_EraseRootFromParent_Done,
     /* 196051 */   // Label 3092: @196051
     /* 196051 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(196105), // Rule ID 8329 //
     /* 196056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 196059 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 196064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 196079 */     // (atomic_swap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_swap_local_i32>>  =>  (DS_WRXCHG_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 196079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B32_gfx9),
     /* 196082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 196089 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 196091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196103 */     GIR_RootConstrainSelectedInstOperands,
     /* 196104 */     // GIR_Coverage, 8329,
     /* 196104 */     GIR_EraseRootFromParent_Done,
     /* 196105 */   // Label 3093: @196105
     /* 196105 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(196159), // Rule ID 8330 //
     /* 196110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 196113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 196118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 196133 */     // (atomic_swap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_swap_region_m0_i32>>  =>  (DS_WRXCHG_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 196133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B32),
     /* 196136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 196143 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 196145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196157 */     GIR_RootConstrainSelectedInstOperands,
     /* 196158 */     // GIR_Coverage, 8330,
     /* 196158 */     GIR_EraseRootFromParent_Done,
     /* 196159 */   // Label 3094: @196159
     /* 196159 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(196216), // Rule ID 4106 //
     /* 196164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 196167 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196174 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 196187 */     // (atomic_swap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SWAP_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 196187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_SADDR),
     /* 196190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 196195 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 196202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 196207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196214 */     GIR_RootConstrainSelectedInstOperands,
     /* 196215 */     // GIR_Coverage, 4106,
     /* 196215 */     GIR_EraseRootFromParent_Done,
     /* 196216 */   // Label 3095: @196216
     /* 196216 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(196277), // Rule ID 4108 //
     /* 196221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 196224 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 196246 */     // (atomic_swap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_i32>>  =>  (GLOBAL_ATOMIC_SWAP_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 196246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_SADDR_RTN),
     /* 196249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 196256 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 196263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 196268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196275 */     GIR_RootConstrainSelectedInstOperands,
     /* 196276 */     // GIR_Coverage, 4108,
     /* 196276 */     GIR_EraseRootFromParent_Done,
     /* 196277 */   // Label 3096: @196277
     /* 196277 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(196329), // Rule ID 4105 //
     /* 196282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 196285 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196292 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 196305 */     // (atomic_swap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP),
     /* 196308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196313 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196327 */     GIR_RootConstrainSelectedInstOperands,
     /* 196328 */     // GIR_Coverage, 4105,
     /* 196328 */     GIR_EraseRootFromParent_Done,
     /* 196329 */   // Label 3097: @196329
     /* 196329 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(196385), // Rule ID 4107 //
     /* 196334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 196337 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 196359 */     // (atomic_swap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_i32>>  =>  (GLOBAL_ATOMIC_SWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_RTN),
     /* 196362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196369 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196383 */     GIR_RootConstrainSelectedInstOperands,
     /* 196384 */     // GIR_Coverage, 4107,
     /* 196384 */     GIR_EraseRootFromParent_Done,
     /* 196385 */   // Label 3098: @196385
     /* 196385 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(196438), // Rule ID 3716 //
     /* 196390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 196393 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196401 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 196414 */     // (atomic_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_flat_noret_i32>>  =>  (FLAT_ATOMIC_SWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP),
     /* 196417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196422 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196436 */     GIR_RootConstrainSelectedInstOperands,
     /* 196437 */     // GIR_Coverage, 3716,
     /* 196437 */     GIR_EraseRootFromParent_Done,
     /* 196438 */   // Label 3099: @196438
     /* 196438 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(196490), // Rule ID 3776 //
     /* 196443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 196446 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196453 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 196466 */     // (atomic_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_noret_i32>>  =>  (FLAT_ATOMIC_SWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP),
     /* 196469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196474 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196488 */     GIR_RootConstrainSelectedInstOperands,
     /* 196489 */     // GIR_Coverage, 3776,
     /* 196489 */     GIR_EraseRootFromParent_Done,
     /* 196490 */   // Label 3100: @196490
     /* 196490 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(196547), // Rule ID 3715 //
     /* 196495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 196498 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 196521 */     // (atomic_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_flat_i32>>  =>  (FLAT_ATOMIC_SWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_RTN),
     /* 196524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196531 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196545 */     GIR_RootConstrainSelectedInstOperands,
     /* 196546 */     // GIR_Coverage, 3715,
     /* 196546 */     GIR_EraseRootFromParent_Done,
     /* 196547 */   // Label 3101: @196547
     /* 196547 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(196603), // Rule ID 3775 //
     /* 196552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 196555 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 196566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 196577 */     // (atomic_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_swap_global_i32>>  =>  (FLAT_ATOMIC_SWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 196577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_RTN),
     /* 196580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 196582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 196587 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 196589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 196594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196601 */     GIR_RootConstrainSelectedInstOperands,
     /* 196602 */     // GIR_Coverage, 3775,
     /* 196602 */     GIR_EraseRootFromParent_Done,
     /* 196603 */   // Label 3102: @196603
     /* 196603 */   GIM_Reject,
     /* 196604 */ // Label 3083: @196604
     /* 196604 */ GIM_Reject,
     /* 196605 */ // Label 3081: @196605
     /* 196605 */ GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(197700),
     /* 196610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196613 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(196675), // Rule ID 5737 //
     /* 196618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 196621 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196628 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 196641 */     // (atomic_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_ADDR64),
     /* 196644 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 196651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 196661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 196666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196673 */     GIR_RootConstrainSelectedInstOperands,
     /* 196674 */     // GIR_Coverage, 5737,
     /* 196674 */     GIR_EraseRootFromParent_Done,
     /* 196675 */   // Label 3104: @196675
     /* 196675 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(196734), // Rule ID 5741 //
     /* 196680 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196687 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 196700 */     // (atomic_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_ADDR64),
     /* 196703 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 196710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 196720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 196725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196732 */     GIR_RootConstrainSelectedInstOperands,
     /* 196733 */     // GIR_Coverage, 5741,
     /* 196733 */     GIR_EraseRootFromParent_Done,
     /* 196734 */   // Label 3105: @196734
     /* 196734 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(196800), // Rule ID 5735 //
     /* 196739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 196742 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 196753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 196764 */     // (atomic_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_ADDR64_RTN),
     /* 196767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 196769 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 196776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 196786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 196791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196798 */     GIR_RootConstrainSelectedInstOperands,
     /* 196799 */     // GIR_Coverage, 5735,
     /* 196799 */     GIR_EraseRootFromParent_Done,
     /* 196800 */   // Label 3106: @196800
     /* 196800 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(196863), // Rule ID 5739 //
     /* 196805 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 196816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 196827 */     // (atomic_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_ADDR64_RTN),
     /* 196830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 196832 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 196839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 196849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 196854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196861 */     GIR_RootConstrainSelectedInstOperands,
     /* 196862 */     // GIR_Coverage, 5739,
     /* 196862 */     GIR_EraseRootFromParent_Done,
     /* 196863 */   // Label 3107: @196863
     /* 196863 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(196920), // Rule ID 5736 //
     /* 196868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 196871 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196878 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 196891 */     // (atomic_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFSET),
     /* 196894 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 196906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 196911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196918 */     GIR_RootConstrainSelectedInstOperands,
     /* 196919 */     // GIR_Coverage, 5736,
     /* 196919 */     GIR_EraseRootFromParent_Done,
     /* 196920 */   // Label 3108: @196920
     /* 196920 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(196974), // Rule ID 5740 //
     /* 196925 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196932 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 196934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 196945 */     // (atomic_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 196945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET),
     /* 196948 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 196950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 196955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 196960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 196965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 196968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 196972 */     GIR_RootConstrainSelectedInstOperands,
     /* 196973 */     // GIR_Coverage, 5740,
     /* 196973 */     GIR_EraseRootFromParent_Done,
     /* 196974 */   // Label 3109: @196974
     /* 196974 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(197035), // Rule ID 5734 //
     /* 196979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 196982 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 196989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 196993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 196997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 197004 */     // (atomic_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFSET_RTN),
     /* 197007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 197009 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 197021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 197026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197033 */     GIR_RootConstrainSelectedInstOperands,
     /* 197034 */     // GIR_Coverage, 5734,
     /* 197034 */     GIR_EraseRootFromParent_Done,
     /* 197035 */   // Label 3110: @197035
     /* 197035 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(197093), // Rule ID 5738 //
     /* 197040 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 197062 */     // (atomic_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_swap_global_i64>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET_RTN),
     /* 197065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 197067 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 197079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 197084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197091 */     GIR_RootConstrainSelectedInstOperands,
     /* 197092 */     // GIR_Coverage, 5738,
     /* 197092 */     GIR_EraseRootFromParent_Done,
     /* 197093 */   // Label 3111: @197093
     /* 197093 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(197147), // Rule ID 8431 //
     /* 197098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 197101 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 197106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 197121 */     // (atomic_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_swap_local_m0_i64>>  =>  (DS_WRXCHG_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 197121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B64),
     /* 197124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 197131 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 197133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197145 */     GIR_RootConstrainSelectedInstOperands,
     /* 197146 */     // GIR_Coverage, 8431,
     /* 197146 */     GIR_EraseRootFromParent_Done,
     /* 197147 */   // Label 3112: @197147
     /* 197147 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(197201), // Rule ID 8432 //
     /* 197152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 197155 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 197160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 197175 */     // (atomic_swap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_swap_local_i64>>  =>  (DS_WRXCHG_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 197175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B64_gfx9),
     /* 197178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 197185 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 197187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197199 */     GIR_RootConstrainSelectedInstOperands,
     /* 197200 */     // GIR_Coverage, 8432,
     /* 197200 */     GIR_EraseRootFromParent_Done,
     /* 197201 */   // Label 3113: @197201
     /* 197201 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(197255), // Rule ID 8433 //
     /* 197206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 197209 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 197214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 197229 */     // (atomic_swap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_swap_region_m0_i64>>  =>  (DS_WRXCHG_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 197229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_WRXCHG_RTN_B64),
     /* 197232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 197239 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 197241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197253 */     GIR_RootConstrainSelectedInstOperands,
     /* 197254 */     // GIR_Coverage, 8433,
     /* 197254 */     GIR_EraseRootFromParent_Done,
     /* 197255 */   // Label 3114: @197255
     /* 197255 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(197312), // Rule ID 4162 //
     /* 197260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 197263 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197270 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 197283 */     // (atomic_swap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SWAP_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 197283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_X2_SADDR),
     /* 197286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 197291 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 197298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 197303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197310 */     GIR_RootConstrainSelectedInstOperands,
     /* 197311 */     // GIR_Coverage, 4162,
     /* 197311 */     GIR_EraseRootFromParent_Done,
     /* 197312 */   // Label 3115: @197312
     /* 197312 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(197373), // Rule ID 4164 //
     /* 197317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 197320 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 197342 */     // (atomic_swap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_i64>>  =>  (GLOBAL_ATOMIC_SWAP_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 197342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_X2_SADDR_RTN),
     /* 197345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 197352 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 197359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 197364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197371 */     GIR_RootConstrainSelectedInstOperands,
     /* 197372 */     // GIR_Coverage, 4164,
     /* 197372 */     GIR_EraseRootFromParent_Done,
     /* 197373 */   // Label 3116: @197373
     /* 197373 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(197425), // Rule ID 4161 //
     /* 197378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 197381 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197388 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 197401 */     // (atomic_swap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_X2),
     /* 197404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197409 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197423 */     GIR_RootConstrainSelectedInstOperands,
     /* 197424 */     // GIR_Coverage, 4161,
     /* 197424 */     GIR_EraseRootFromParent_Done,
     /* 197425 */   // Label 3117: @197425
     /* 197425 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(197481), // Rule ID 4163 //
     /* 197430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 197433 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 197455 */     // (atomic_swap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_i64>>  =>  (GLOBAL_ATOMIC_SWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SWAP_X2_RTN),
     /* 197458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197465 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197479 */     GIR_RootConstrainSelectedInstOperands,
     /* 197480 */     // GIR_Coverage, 4163,
     /* 197480 */     GIR_EraseRootFromParent_Done,
     /* 197481 */   // Label 3118: @197481
     /* 197481 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(197534), // Rule ID 3742 //
     /* 197486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 197489 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197497 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 197510 */     // (atomic_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_flat_noret_i64>>  =>  (FLAT_ATOMIC_SWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_X2),
     /* 197513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197518 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197532 */     GIR_RootConstrainSelectedInstOperands,
     /* 197533 */     // GIR_Coverage, 3742,
     /* 197533 */     GIR_EraseRootFromParent_Done,
     /* 197534 */   // Label 3119: @197534
     /* 197534 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(197586), // Rule ID 3802 //
     /* 197539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 197542 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197549 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 197562 */     // (atomic_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_noret_i64>>  =>  (FLAT_ATOMIC_SWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_X2),
     /* 197565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197570 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197584 */     GIR_RootConstrainSelectedInstOperands,
     /* 197585 */     // GIR_Coverage, 3802,
     /* 197585 */     GIR_EraseRootFromParent_Done,
     /* 197586 */   // Label 3120: @197586
     /* 197586 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(197643), // Rule ID 3741 //
     /* 197591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 197594 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 197617 */     // (atomic_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_flat_i64>>  =>  (FLAT_ATOMIC_SWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_X2_RTN),
     /* 197620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197627 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197641 */     GIR_RootConstrainSelectedInstOperands,
     /* 197642 */     // GIR_Coverage, 3741,
     /* 197642 */     GIR_EraseRootFromParent_Done,
     /* 197643 */   // Label 3121: @197643
     /* 197643 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(197699), // Rule ID 3801 //
     /* 197648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 197651 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 197662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 197673 */     // (atomic_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_swap_global_i64>>  =>  (FLAT_ATOMIC_SWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 197673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SWAP_X2_RTN),
     /* 197676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 197678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 197683 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 197685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 197690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197697 */     GIR_RootConstrainSelectedInstOperands,
     /* 197698 */     // GIR_Coverage, 3801,
     /* 197698 */     GIR_EraseRootFromParent_Done,
     /* 197699 */   // Label 3122: @197699
     /* 197699 */   GIM_Reject,
     /* 197700 */ // Label 3103: @197700
     /* 197700 */ GIM_Reject,
     /* 197701 */ // Label 3082: @197701
     /* 197701 */ GIM_Reject,
     /* 197702 */ // Label 20: @197702
     /* 197702 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3125*/ GIMT_Encode4(200213),
     /* 197713 */ /*GILLT_s32*//*Label 3123*/ GIMT_Encode4(197721),
     /* 197717 */ /*GILLT_s64*//*Label 3124*/ GIMT_Encode4(198967),
     /* 197721 */ // Label 3123: @197721
     /* 197721 */ GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(198966),
     /* 197726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 197729 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(197791), // Rule ID 5649 //
     /* 197734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 197737 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197744 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 197757 */     // (atomic_load_add:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (BUFFER_ATOMIC_ADD_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_ADDR64),
     /* 197760 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 197767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 197777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 197782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197789 */     GIR_RootConstrainSelectedInstOperands,
     /* 197790 */     // GIR_Coverage, 5649,
     /* 197790 */     GIR_EraseRootFromParent_Done,
     /* 197791 */   // Label 3127: @197791
     /* 197791 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(197850), // Rule ID 5653 //
     /* 197796 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197803 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 197816 */     // (atomic_load_add:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_ADDR64),
     /* 197819 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 197826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 197836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 197841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197848 */     GIR_RootConstrainSelectedInstOperands,
     /* 197849 */     // GIR_Coverage, 5653,
     /* 197849 */     GIR_EraseRootFromParent_Done,
     /* 197850 */   // Label 3128: @197850
     /* 197850 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(197916), // Rule ID 5647 //
     /* 197855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 197858 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 197869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 197880 */     // (atomic_load_add:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i32>>  =>  (BUFFER_ATOMIC_ADD_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_ADDR64_RTN),
     /* 197883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 197885 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 197892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 197902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 197907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197914 */     GIR_RootConstrainSelectedInstOperands,
     /* 197915 */     // GIR_Coverage, 5647,
     /* 197915 */     GIR_EraseRootFromParent_Done,
     /* 197916 */   // Label 3129: @197916
     /* 197916 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(197979), // Rule ID 5651 //
     /* 197921 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 197932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 197936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 197943 */     // (atomic_load_add:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i32>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 197943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_ADDR64_RTN),
     /* 197946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 197948 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 197950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 197955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 197960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 197965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 197970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 197977 */     GIR_RootConstrainSelectedInstOperands,
     /* 197978 */     // GIR_Coverage, 5651,
     /* 197978 */     GIR_EraseRootFromParent_Done,
     /* 197979 */   // Label 3130: @197979
     /* 197979 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(198036), // Rule ID 5648 //
     /* 197984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 197987 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 197994 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 197996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 198007 */     // (atomic_load_add:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (BUFFER_ATOMIC_ADD_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 198007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFSET),
     /* 198010 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 198012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 198017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 198022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198034 */     GIR_RootConstrainSelectedInstOperands,
     /* 198035 */     // GIR_Coverage, 5648,
     /* 198035 */     GIR_EraseRootFromParent_Done,
     /* 198036 */   // Label 3131: @198036
     /* 198036 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(198090), // Rule ID 5652 //
     /* 198041 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198048 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 198061 */     // (atomic_load_add:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 198061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFSET),
     /* 198064 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 198066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 198071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 198076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198088 */     GIR_RootConstrainSelectedInstOperands,
     /* 198089 */     // GIR_Coverage, 5652,
     /* 198089 */     GIR_EraseRootFromParent_Done,
     /* 198090 */   // Label 3132: @198090
     /* 198090 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(198151), // Rule ID 5646 //
     /* 198095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 198098 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 198120 */     // (atomic_load_add:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i32>>  =>  (BUFFER_ATOMIC_ADD_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 198120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFSET_RTN),
     /* 198123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 198125 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 198127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 198132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 198137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198149 */     GIR_RootConstrainSelectedInstOperands,
     /* 198150 */     // GIR_Coverage, 5646,
     /* 198150 */     GIR_EraseRootFromParent_Done,
     /* 198151 */   // Label 3133: @198151
     /* 198151 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(198209), // Rule ID 5650 //
     /* 198156 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 198178 */     // (atomic_load_add:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i32>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 198178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFSET_RTN),
     /* 198181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 198183 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 198185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 198190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 198195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198207 */     GIR_RootConstrainSelectedInstOperands,
     /* 198208 */     // GIR_Coverage, 5650,
     /* 198208 */     GIR_EraseRootFromParent_Done,
     /* 198209 */   // Label 3134: @198209
     /* 198209 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(198259), // Rule ID 8332 //
     /* 198214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 198217 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 198222 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198235 */     // (atomic_load_add_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_local_m0_noret_i32>>  =>  (DS_ADD_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 198235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U32),
     /* 198238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198243 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198257 */     GIR_RootConstrainSelectedInstOperands,
     /* 198258 */     // GIR_Coverage, 8332,
     /* 198258 */     GIR_EraseRootFromParent_Done,
     /* 198259 */   // Label 3135: @198259
     /* 198259 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(198309), // Rule ID 8334 //
     /* 198264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 198267 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 198272 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198285 */     // (atomic_load_add:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_local_noret_i32>>  =>  (DS_ADD_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 198285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U32_gfx9),
     /* 198288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198293 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198307 */     GIR_RootConstrainSelectedInstOperands,
     /* 198308 */     // GIR_Coverage, 8334,
     /* 198308 */     GIR_EraseRootFromParent_Done,
     /* 198309 */   // Label 3136: @198309
     /* 198309 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(198359), // Rule ID 8336 //
     /* 198314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 198317 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 198322 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198335 */     // (atomic_load_add_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_region_m0_noret_i32>>  =>  (DS_ADD_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 198335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U32),
     /* 198338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198343 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198357 */     GIR_RootConstrainSelectedInstOperands,
     /* 198358 */     // GIR_Coverage, 8336,
     /* 198358 */     GIR_EraseRootFromParent_Done,
     /* 198359 */   // Label 3137: @198359
     /* 198359 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(198413), // Rule ID 8331 //
     /* 198364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 198367 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 198372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198387 */     // (atomic_load_add_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_local_m0_i32>>  =>  (DS_ADD_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 198387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U32),
     /* 198390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198397 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198411 */     GIR_RootConstrainSelectedInstOperands,
     /* 198412 */     // GIR_Coverage, 8331,
     /* 198412 */     GIR_EraseRootFromParent_Done,
     /* 198413 */   // Label 3138: @198413
     /* 198413 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(198467), // Rule ID 8333 //
     /* 198418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 198421 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 198426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198441 */     // (atomic_load_add:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_local_i32>>  =>  (DS_ADD_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 198441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U32_gfx9),
     /* 198444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198451 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198465 */     GIR_RootConstrainSelectedInstOperands,
     /* 198466 */     // GIR_Coverage, 8333,
     /* 198466 */     GIR_EraseRootFromParent_Done,
     /* 198467 */   // Label 3139: @198467
     /* 198467 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(198521), // Rule ID 8335 //
     /* 198472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 198475 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 198480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 198495 */     // (atomic_load_add_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_add_region_m0_i32>>  =>  (DS_ADD_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 198495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U32),
     /* 198498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 198505 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 198507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198519 */     GIR_RootConstrainSelectedInstOperands,
     /* 198520 */     // GIR_Coverage, 8335,
     /* 198520 */     GIR_EraseRootFromParent_Done,
     /* 198521 */   // Label 3140: @198521
     /* 198521 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(198578), // Rule ID 3575 //
     /* 198526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 198529 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198536 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 198549 */     // (atomic_load_add:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (GLOBAL_ATOMIC_ADD_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 198549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_SADDR),
     /* 198552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 198557 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 198564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198576 */     GIR_RootConstrainSelectedInstOperands,
     /* 198577 */     // GIR_Coverage, 3575,
     /* 198577 */     GIR_EraseRootFromParent_Done,
     /* 198578 */   // Label 3141: @198578
     /* 198578 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(198639), // Rule ID 3577 //
     /* 198583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 198586 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 198608 */     // (atomic_load_add:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_i32>>  =>  (GLOBAL_ATOMIC_ADD_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 198608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_SADDR_RTN),
     /* 198611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 198618 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 198625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 198630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198637 */     GIR_RootConstrainSelectedInstOperands,
     /* 198638 */     // GIR_Coverage, 3577,
     /* 198638 */     GIR_EraseRootFromParent_Done,
     /* 198639 */   // Label 3142: @198639
     /* 198639 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(198691), // Rule ID 3574 //
     /* 198644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 198647 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198654 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 198667 */     // (atomic_load_add:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (GLOBAL_ATOMIC_ADD VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD),
     /* 198670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198675 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198689 */     GIR_RootConstrainSelectedInstOperands,
     /* 198690 */     // GIR_Coverage, 3574,
     /* 198690 */     GIR_EraseRootFromParent_Done,
     /* 198691 */   // Label 3143: @198691
     /* 198691 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(198747), // Rule ID 3576 //
     /* 198696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 198699 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 198721 */     // (atomic_load_add:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_i32>>  =>  (GLOBAL_ATOMIC_ADD_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_RTN),
     /* 198724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198731 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198745 */     GIR_RootConstrainSelectedInstOperands,
     /* 198746 */     // GIR_Coverage, 3576,
     /* 198746 */     GIR_EraseRootFromParent_Done,
     /* 198747 */   // Label 3144: @198747
     /* 198747 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(198800), // Rule ID 3562 //
     /* 198752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 198755 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198763 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 198776 */     // (atomic_load_add:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_flat_noret_i32>>  =>  (FLAT_ATOMIC_ADD VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD),
     /* 198779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198784 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198798 */     GIR_RootConstrainSelectedInstOperands,
     /* 198799 */     // GIR_Coverage, 3562,
     /* 198799 */     GIR_EraseRootFromParent_Done,
     /* 198800 */   // Label 3145: @198800
     /* 198800 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(198852), // Rule ID 3756 //
     /* 198805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 198808 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198815 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 198828 */     // (atomic_load_add:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_noret_i32>>  =>  (FLAT_ATOMIC_ADD VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD),
     /* 198831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198836 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198850 */     GIR_RootConstrainSelectedInstOperands,
     /* 198851 */     // GIR_Coverage, 3756,
     /* 198851 */     GIR_EraseRootFromParent_Done,
     /* 198852 */   // Label 3146: @198852
     /* 198852 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(198909), // Rule ID 3563 //
     /* 198857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 198860 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 198883 */     // (atomic_load_add:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_flat_i32>>  =>  (FLAT_ATOMIC_ADD_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_RTN),
     /* 198886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198893 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198907 */     GIR_RootConstrainSelectedInstOperands,
     /* 198908 */     // GIR_Coverage, 3563,
     /* 198908 */     GIR_EraseRootFromParent_Done,
     /* 198909 */   // Label 3147: @198909
     /* 198909 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(198965), // Rule ID 3755 //
     /* 198914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 198917 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 198928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 198939 */     // (atomic_load_add:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_add_global_i32>>  =>  (FLAT_ATOMIC_ADD_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 198939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_RTN),
     /* 198942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 198944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 198949 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 198951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 198956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 198963 */     GIR_RootConstrainSelectedInstOperands,
     /* 198964 */     // GIR_Coverage, 3755,
     /* 198964 */     GIR_EraseRootFromParent_Done,
     /* 198965 */   // Label 3148: @198965
     /* 198965 */   GIM_Reject,
     /* 198966 */ // Label 3126: @198966
     /* 198966 */ GIM_Reject,
     /* 198967 */ // Label 3124: @198967
     /* 198967 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(200212),
     /* 198972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 198975 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(199037), // Rule ID 5745 //
     /* 198980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 198983 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 198990 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 198992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 198996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 199003 */     // (atomic_load_add:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_ADDR64),
     /* 199006 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 199013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 199023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 199028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199035 */     GIR_RootConstrainSelectedInstOperands,
     /* 199036 */     // GIR_Coverage, 5745,
     /* 199036 */     GIR_EraseRootFromParent_Done,
     /* 199037 */   // Label 3150: @199037
     /* 199037 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(199096), // Rule ID 5749 //
     /* 199042 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199049 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 199062 */     // (atomic_load_add:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_ADDR64),
     /* 199065 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 199072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 199082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 199087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199094 */     GIR_RootConstrainSelectedInstOperands,
     /* 199095 */     // GIR_Coverage, 5749,
     /* 199095 */     GIR_EraseRootFromParent_Done,
     /* 199096 */   // Label 3151: @199096
     /* 199096 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(199162), // Rule ID 5743 //
     /* 199101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 199104 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 199126 */     // (atomic_load_add:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_ADDR64_RTN),
     /* 199129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 199131 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 199138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 199148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 199153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199160 */     GIR_RootConstrainSelectedInstOperands,
     /* 199161 */     // GIR_Coverage, 5743,
     /* 199161 */     GIR_EraseRootFromParent_Done,
     /* 199162 */   // Label 3152: @199162
     /* 199162 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(199225), // Rule ID 5747 //
     /* 199167 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 199189 */     // (atomic_load_add:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_ADDR64_RTN),
     /* 199192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 199194 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 199201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 199211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 199216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199223 */     GIR_RootConstrainSelectedInstOperands,
     /* 199224 */     // GIR_Coverage, 5747,
     /* 199224 */     GIR_EraseRootFromParent_Done,
     /* 199225 */   // Label 3153: @199225
     /* 199225 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(199282), // Rule ID 5744 //
     /* 199230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 199233 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199240 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 199253 */     // (atomic_load_add:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFSET),
     /* 199256 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 199268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199280 */     GIR_RootConstrainSelectedInstOperands,
     /* 199281 */     // GIR_Coverage, 5744,
     /* 199281 */     GIR_EraseRootFromParent_Done,
     /* 199282 */   // Label 3154: @199282
     /* 199282 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(199336), // Rule ID 5748 //
     /* 199287 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199294 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 199307 */     // (atomic_load_add:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET),
     /* 199310 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 199322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199334 */     GIR_RootConstrainSelectedInstOperands,
     /* 199335 */     // GIR_Coverage, 5748,
     /* 199335 */     GIR_EraseRootFromParent_Done,
     /* 199336 */   // Label 3155: @199336
     /* 199336 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(199397), // Rule ID 5742 //
     /* 199341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 199344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 199366 */     // (atomic_load_add:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFSET_RTN),
     /* 199369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 199371 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 199383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199395 */     GIR_RootConstrainSelectedInstOperands,
     /* 199396 */     // GIR_Coverage, 5742,
     /* 199396 */     GIR_EraseRootFromParent_Done,
     /* 199397 */   // Label 3156: @199397
     /* 199397 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(199455), // Rule ID 5746 //
     /* 199402 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 199424 */     // (atomic_load_add:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_add_global_i64>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 199424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET_RTN),
     /* 199427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 199429 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 199431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 199436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 199441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199453 */     GIR_RootConstrainSelectedInstOperands,
     /* 199454 */     // GIR_Coverage, 5746,
     /* 199454 */     GIR_EraseRootFromParent_Done,
     /* 199455 */   // Label 3157: @199455
     /* 199455 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(199505), // Rule ID 8435 //
     /* 199460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 199463 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 199468 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199481 */     // (atomic_load_add_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_local_m0_noret_i64>>  =>  (DS_ADD_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 199481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U64),
     /* 199484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199489 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199503 */     GIR_RootConstrainSelectedInstOperands,
     /* 199504 */     // GIR_Coverage, 8435,
     /* 199504 */     GIR_EraseRootFromParent_Done,
     /* 199505 */   // Label 3158: @199505
     /* 199505 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(199555), // Rule ID 8437 //
     /* 199510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 199513 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 199518 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199531 */     // (atomic_load_add:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_local_noret_i64>>  =>  (DS_ADD_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 199531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U64_gfx9),
     /* 199534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199539 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199553 */     GIR_RootConstrainSelectedInstOperands,
     /* 199554 */     // GIR_Coverage, 8437,
     /* 199554 */     GIR_EraseRootFromParent_Done,
     /* 199555 */   // Label 3159: @199555
     /* 199555 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(199605), // Rule ID 8439 //
     /* 199560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 199563 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 199568 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199581 */     // (atomic_load_add_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_region_m0_noret_i64>>  =>  (DS_ADD_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 199581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_U64),
     /* 199584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199589 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199603 */     GIR_RootConstrainSelectedInstOperands,
     /* 199604 */     // GIR_Coverage, 8439,
     /* 199604 */     GIR_EraseRootFromParent_Done,
     /* 199605 */   // Label 3160: @199605
     /* 199605 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(199659), // Rule ID 8434 //
     /* 199610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 199613 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 199618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199633 */     // (atomic_load_add_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_local_m0_i64>>  =>  (DS_ADD_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 199633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U64),
     /* 199636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 199638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199643 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199657 */     GIR_RootConstrainSelectedInstOperands,
     /* 199658 */     // GIR_Coverage, 8434,
     /* 199658 */     GIR_EraseRootFromParent_Done,
     /* 199659 */   // Label 3161: @199659
     /* 199659 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(199713), // Rule ID 8436 //
     /* 199664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 199667 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 199672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199687 */     // (atomic_load_add:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_local_i64>>  =>  (DS_ADD_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 199687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U64_gfx9),
     /* 199690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 199692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199697 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199711 */     GIR_RootConstrainSelectedInstOperands,
     /* 199712 */     // GIR_Coverage, 8436,
     /* 199712 */     GIR_EraseRootFromParent_Done,
     /* 199713 */   // Label 3162: @199713
     /* 199713 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(199767), // Rule ID 8438 //
     /* 199718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 199721 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 199726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 199741 */     // (atomic_load_add_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_add_region_m0_i64>>  =>  (DS_ADD_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 199741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_U64),
     /* 199744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 199746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 199751 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 199753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199765 */     GIR_RootConstrainSelectedInstOperands,
     /* 199766 */     // GIR_Coverage, 8438,
     /* 199766 */     GIR_EraseRootFromParent_Done,
     /* 199767 */   // Label 3163: @199767
     /* 199767 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(199824), // Rule ID 4122 //
     /* 199772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 199775 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199782 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 199795 */     // (atomic_load_add:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (GLOBAL_ATOMIC_ADD_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 199795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_X2_SADDR),
     /* 199798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 199803 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 199805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 199810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199822 */     GIR_RootConstrainSelectedInstOperands,
     /* 199823 */     // GIR_Coverage, 4122,
     /* 199823 */     GIR_EraseRootFromParent_Done,
     /* 199824 */   // Label 3164: @199824
     /* 199824 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(199885), // Rule ID 4124 //
     /* 199829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 199832 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 199854 */     // (atomic_load_add:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_i64>>  =>  (GLOBAL_ATOMIC_ADD_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 199854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_X2_SADDR_RTN),
     /* 199857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 199859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 199864 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 199866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 199871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 199876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199883 */     GIR_RootConstrainSelectedInstOperands,
     /* 199884 */     // GIR_Coverage, 4124,
     /* 199884 */     GIR_EraseRootFromParent_Done,
     /* 199885 */   // Label 3165: @199885
     /* 199885 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(199937), // Rule ID 4121 //
     /* 199890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 199893 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199900 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 199902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 199913 */     // (atomic_load_add:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (GLOBAL_ATOMIC_ADD_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 199913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_X2),
     /* 199916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 199921 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 199923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199935 */     GIR_RootConstrainSelectedInstOperands,
     /* 199936 */     // GIR_Coverage, 4121,
     /* 199936 */     GIR_EraseRootFromParent_Done,
     /* 199937 */   // Label 3166: @199937
     /* 199937 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(199993), // Rule ID 4123 //
     /* 199942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 199945 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 199952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 199956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 199960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 199967 */     // (atomic_load_add:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_i64>>  =>  (GLOBAL_ATOMIC_ADD_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 199967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_X2_RTN),
     /* 199970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 199972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 199977 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 199979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 199984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 199991 */     GIR_RootConstrainSelectedInstOperands,
     /* 199992 */     // GIR_Coverage, 4123,
     /* 199992 */     GIR_EraseRootFromParent_Done,
     /* 199993 */   // Label 3167: @199993
     /* 199993 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(200046), // Rule ID 3722 //
     /* 199998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 200001 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200009 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 200022 */     // (atomic_load_add:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_flat_noret_i64>>  =>  (FLAT_ATOMIC_ADD_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 200022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_X2),
     /* 200025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 200030 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 200032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200044 */     GIR_RootConstrainSelectedInstOperands,
     /* 200045 */     // GIR_Coverage, 3722,
     /* 200045 */     GIR_EraseRootFromParent_Done,
     /* 200046 */   // Label 3168: @200046
     /* 200046 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(200098), // Rule ID 3782 //
     /* 200051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 200054 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200061 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 200074 */     // (atomic_load_add:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_noret_i64>>  =>  (FLAT_ATOMIC_ADD_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 200074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_X2),
     /* 200077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 200082 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 200084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200096 */     GIR_RootConstrainSelectedInstOperands,
     /* 200097 */     // GIR_Coverage, 3782,
     /* 200097 */     GIR_EraseRootFromParent_Done,
     /* 200098 */   // Label 3169: @200098
     /* 200098 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(200155), // Rule ID 3721 //
     /* 200103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 200106 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 200118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 200129 */     // (atomic_load_add:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_flat_i64>>  =>  (FLAT_ATOMIC_ADD_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 200129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_X2_RTN),
     /* 200132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 200134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 200139 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 200141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200153 */     GIR_RootConstrainSelectedInstOperands,
     /* 200154 */     // GIR_Coverage, 3721,
     /* 200154 */     GIR_EraseRootFromParent_Done,
     /* 200155 */   // Label 3170: @200155
     /* 200155 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(200211), // Rule ID 3781 //
     /* 200160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 200163 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 200174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 200185 */     // (atomic_load_add:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_add_global_i64>>  =>  (FLAT_ATOMIC_ADD_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 200185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_X2_RTN),
     /* 200188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 200190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 200195 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 200197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200209 */     GIR_RootConstrainSelectedInstOperands,
     /* 200210 */     // GIR_Coverage, 3781,
     /* 200210 */     GIR_EraseRootFromParent_Done,
     /* 200211 */   // Label 3171: @200211
     /* 200211 */   GIM_Reject,
     /* 200212 */ // Label 3149: @200212
     /* 200212 */ GIM_Reject,
     /* 200213 */ // Label 3125: @200213
     /* 200213 */ GIM_Reject,
     /* 200214 */ // Label 21: @200214
     /* 200214 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3174*/ GIMT_Encode4(202725),
     /* 200225 */ /*GILLT_s32*//*Label 3172*/ GIMT_Encode4(200233),
     /* 200229 */ /*GILLT_s64*//*Label 3173*/ GIMT_Encode4(201479),
     /* 200233 */ // Label 3172: @200233
     /* 200233 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(201478),
     /* 200238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200241 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(200303), // Rule ID 5657 //
     /* 200246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 200249 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200256 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 200269 */     // (atomic_load_sub:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (BUFFER_ATOMIC_SUB_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_ADDR64),
     /* 200272 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 200279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 200289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 200294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200301 */     GIR_RootConstrainSelectedInstOperands,
     /* 200302 */     // GIR_Coverage, 5657,
     /* 200302 */     GIR_EraseRootFromParent_Done,
     /* 200303 */   // Label 3176: @200303
     /* 200303 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(200362), // Rule ID 5661 //
     /* 200308 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200315 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 200328 */     // (atomic_load_sub:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_ADDR64),
     /* 200331 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 200338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 200348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 200353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200360 */     GIR_RootConstrainSelectedInstOperands,
     /* 200361 */     // GIR_Coverage, 5661,
     /* 200361 */     GIR_EraseRootFromParent_Done,
     /* 200362 */   // Label 3177: @200362
     /* 200362 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(200428), // Rule ID 5655 //
     /* 200367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 200370 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 200392 */     // (atomic_load_sub:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (BUFFER_ATOMIC_SUB_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_ADDR64_RTN),
     /* 200395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 200397 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 200404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 200414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 200419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200426 */     GIR_RootConstrainSelectedInstOperands,
     /* 200427 */     // GIR_Coverage, 5655,
     /* 200427 */     GIR_EraseRootFromParent_Done,
     /* 200428 */   // Label 3178: @200428
     /* 200428 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(200491), // Rule ID 5659 //
     /* 200433 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 200455 */     // (atomic_load_sub:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_ADDR64_RTN),
     /* 200458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 200460 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 200467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 200477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 200482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200489 */     GIR_RootConstrainSelectedInstOperands,
     /* 200490 */     // GIR_Coverage, 5659,
     /* 200490 */     GIR_EraseRootFromParent_Done,
     /* 200491 */   // Label 3179: @200491
     /* 200491 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(200548), // Rule ID 5656 //
     /* 200496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 200499 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200506 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 200519 */     // (atomic_load_sub:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (BUFFER_ATOMIC_SUB_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFSET),
     /* 200522 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 200534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 200539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200546 */     GIR_RootConstrainSelectedInstOperands,
     /* 200547 */     // GIR_Coverage, 5656,
     /* 200547 */     GIR_EraseRootFromParent_Done,
     /* 200548 */   // Label 3180: @200548
     /* 200548 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(200602), // Rule ID 5660 //
     /* 200553 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200560 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 200573 */     // (atomic_load_sub:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFSET),
     /* 200576 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 200588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 200593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200600 */     GIR_RootConstrainSelectedInstOperands,
     /* 200601 */     // GIR_Coverage, 5660,
     /* 200601 */     GIR_EraseRootFromParent_Done,
     /* 200602 */   // Label 3181: @200602
     /* 200602 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(200663), // Rule ID 5654 //
     /* 200607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 200610 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 200632 */     // (atomic_load_sub:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (BUFFER_ATOMIC_SUB_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFSET_RTN),
     /* 200635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 200637 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 200649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 200654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200661 */     GIR_RootConstrainSelectedInstOperands,
     /* 200662 */     // GIR_Coverage, 5654,
     /* 200662 */     GIR_EraseRootFromParent_Done,
     /* 200663 */   // Label 3182: @200663
     /* 200663 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(200721), // Rule ID 5658 //
     /* 200668 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 200675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 200690 */     // (atomic_load_sub:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 200690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFSET_RTN),
     /* 200693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 200695 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 200697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 200702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 200707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 200712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200719 */     GIR_RootConstrainSelectedInstOperands,
     /* 200720 */     // GIR_Coverage, 5658,
     /* 200720 */     GIR_EraseRootFromParent_Done,
     /* 200721 */   // Label 3183: @200721
     /* 200721 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(200771), // Rule ID 8348 //
     /* 200726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 200729 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 200734 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 200747 */     // (atomic_load_sub_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_local_m0_noret_i32>>  =>  (DS_SUB_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 200747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U32),
     /* 200750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 200755 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 200757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200769 */     GIR_RootConstrainSelectedInstOperands,
     /* 200770 */     // GIR_Coverage, 8348,
     /* 200770 */     GIR_EraseRootFromParent_Done,
     /* 200771 */   // Label 3184: @200771
     /* 200771 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(200821), // Rule ID 8350 //
     /* 200776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 200779 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 200784 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 200797 */     // (atomic_load_sub:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_local_noret_i32>>  =>  (DS_SUB_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 200797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U32_gfx9),
     /* 200800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 200805 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 200807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200819 */     GIR_RootConstrainSelectedInstOperands,
     /* 200820 */     // GIR_Coverage, 8350,
     /* 200820 */     GIR_EraseRootFromParent_Done,
     /* 200821 */   // Label 3185: @200821
     /* 200821 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(200871), // Rule ID 8352 //
     /* 200826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 200829 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 200834 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 200836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 200847 */     // (atomic_load_sub_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_region_m0_noret_i32>>  =>  (DS_SUB_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 200847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U32),
     /* 200850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 200855 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 200857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200869 */     GIR_RootConstrainSelectedInstOperands,
     /* 200870 */     // GIR_Coverage, 8352,
     /* 200870 */     GIR_EraseRootFromParent_Done,
     /* 200871 */   // Label 3186: @200871
     /* 200871 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(200925), // Rule ID 8347 //
     /* 200876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 200879 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 200884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 200899 */     // (atomic_load_sub_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_local_m0_i32>>  =>  (DS_SUB_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 200899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U32),
     /* 200902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 200904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 200909 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 200911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200923 */     GIR_RootConstrainSelectedInstOperands,
     /* 200924 */     // GIR_Coverage, 8347,
     /* 200924 */     GIR_EraseRootFromParent_Done,
     /* 200925 */   // Label 3187: @200925
     /* 200925 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(200979), // Rule ID 8349 //
     /* 200930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 200933 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 200938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 200946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 200953 */     // (atomic_load_sub:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_local_i32>>  =>  (DS_SUB_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 200953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U32_gfx9),
     /* 200956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 200958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 200963 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 200965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 200970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 200977 */     GIR_RootConstrainSelectedInstOperands,
     /* 200978 */     // GIR_Coverage, 8349,
     /* 200978 */     GIR_EraseRootFromParent_Done,
     /* 200979 */   // Label 3188: @200979
     /* 200979 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(201033), // Rule ID 8351 //
     /* 200984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 200987 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 200992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 200996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 201007 */     // (atomic_load_sub_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_sub_region_m0_i32>>  =>  (DS_SUB_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 201007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U32),
     /* 201010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 201012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 201017 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 201019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201031 */     GIR_RootConstrainSelectedInstOperands,
     /* 201032 */     // GIR_Coverage, 8351,
     /* 201032 */     GIR_EraseRootFromParent_Done,
     /* 201033 */   // Label 3189: @201033
     /* 201033 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(201090), // Rule ID 4070 //
     /* 201038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 201041 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201048 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 201061 */     // (atomic_load_sub:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SUB_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 201061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_SADDR),
     /* 201064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 201069 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 201076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201088 */     GIR_RootConstrainSelectedInstOperands,
     /* 201089 */     // GIR_Coverage, 4070,
     /* 201089 */     GIR_EraseRootFromParent_Done,
     /* 201090 */   // Label 3190: @201090
     /* 201090 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(201151), // Rule ID 4072 //
     /* 201095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 201098 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 201109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 201120 */     // (atomic_load_sub:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (GLOBAL_ATOMIC_SUB_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 201120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_SADDR_RTN),
     /* 201123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 201125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 201130 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 201137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201149 */     GIR_RootConstrainSelectedInstOperands,
     /* 201150 */     // GIR_Coverage, 4072,
     /* 201150 */     GIR_EraseRootFromParent_Done,
     /* 201151 */   // Label 3191: @201151
     /* 201151 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(201203), // Rule ID 4069 //
     /* 201156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 201159 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201166 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 201179 */     // (atomic_load_sub:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SUB VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB),
     /* 201182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201187 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201201 */     GIR_RootConstrainSelectedInstOperands,
     /* 201202 */     // GIR_Coverage, 4069,
     /* 201202 */     GIR_EraseRootFromParent_Done,
     /* 201203 */   // Label 3192: @201203
     /* 201203 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(201259), // Rule ID 4071 //
     /* 201208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 201211 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 201222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 201233 */     // (atomic_load_sub:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (GLOBAL_ATOMIC_SUB_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_RTN),
     /* 201236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 201238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201243 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201257 */     GIR_RootConstrainSelectedInstOperands,
     /* 201258 */     // GIR_Coverage, 4071,
     /* 201258 */     GIR_EraseRootFromParent_Done,
     /* 201259 */   // Label 3193: @201259
     /* 201259 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(201312), // Rule ID 3698 //
     /* 201264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 201267 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201275 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 201288 */     // (atomic_load_sub:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_flat_noret_i32>>  =>  (FLAT_ATOMIC_SUB VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB),
     /* 201291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201296 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201310 */     GIR_RootConstrainSelectedInstOperands,
     /* 201311 */     // GIR_Coverage, 3698,
     /* 201311 */     GIR_EraseRootFromParent_Done,
     /* 201312 */   // Label 3194: @201312
     /* 201312 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(201364), // Rule ID 3758 //
     /* 201317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 201320 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201327 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 201340 */     // (atomic_load_sub:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i32>>  =>  (FLAT_ATOMIC_SUB VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB),
     /* 201343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201348 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201362 */     GIR_RootConstrainSelectedInstOperands,
     /* 201363 */     // GIR_Coverage, 3758,
     /* 201363 */     GIR_EraseRootFromParent_Done,
     /* 201364 */   // Label 3195: @201364
     /* 201364 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(201421), // Rule ID 3697 //
     /* 201369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 201372 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 201384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 201395 */     // (atomic_load_sub:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_flat_i32>>  =>  (FLAT_ATOMIC_SUB_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_RTN),
     /* 201398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 201400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201405 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201419 */     GIR_RootConstrainSelectedInstOperands,
     /* 201420 */     // GIR_Coverage, 3697,
     /* 201420 */     GIR_EraseRootFromParent_Done,
     /* 201421 */   // Label 3196: @201421
     /* 201421 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(201477), // Rule ID 3757 //
     /* 201426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 201429 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 201440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 201451 */     // (atomic_load_sub:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_sub_global_i32>>  =>  (FLAT_ATOMIC_SUB_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 201451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_RTN),
     /* 201454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 201456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 201461 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 201463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 201468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201475 */     GIR_RootConstrainSelectedInstOperands,
     /* 201476 */     // GIR_Coverage, 3757,
     /* 201476 */     GIR_EraseRootFromParent_Done,
     /* 201477 */   // Label 3197: @201477
     /* 201477 */   GIM_Reject,
     /* 201478 */ // Label 3175: @201478
     /* 201478 */ GIM_Reject,
     /* 201479 */ // Label 3173: @201479
     /* 201479 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(202724),
     /* 201484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201487 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(201549), // Rule ID 5753 //
     /* 201492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 201495 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201502 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 201515 */     // (atomic_load_sub:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_ADDR64),
     /* 201518 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 201525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 201535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 201540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201547 */     GIR_RootConstrainSelectedInstOperands,
     /* 201548 */     // GIR_Coverage, 5753,
     /* 201548 */     GIR_EraseRootFromParent_Done,
     /* 201549 */   // Label 3199: @201549
     /* 201549 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(201608), // Rule ID 5757 //
     /* 201554 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201561 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 201574 */     // (atomic_load_sub:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_ADDR64),
     /* 201577 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 201584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 201594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 201599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201606 */     GIR_RootConstrainSelectedInstOperands,
     /* 201607 */     // GIR_Coverage, 5757,
     /* 201607 */     GIR_EraseRootFromParent_Done,
     /* 201608 */   // Label 3200: @201608
     /* 201608 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(201674), // Rule ID 5751 //
     /* 201613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 201616 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 201627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 201638 */     // (atomic_load_sub:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_ADDR64_RTN),
     /* 201641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 201643 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 201650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 201660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 201665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201672 */     GIR_RootConstrainSelectedInstOperands,
     /* 201673 */     // GIR_Coverage, 5751,
     /* 201673 */     GIR_EraseRootFromParent_Done,
     /* 201674 */   // Label 3201: @201674
     /* 201674 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(201737), // Rule ID 5755 //
     /* 201679 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 201690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 201701 */     // (atomic_load_sub:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_ADDR64_RTN),
     /* 201704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 201706 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 201713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 201723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 201728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201735 */     GIR_RootConstrainSelectedInstOperands,
     /* 201736 */     // GIR_Coverage, 5755,
     /* 201736 */     GIR_EraseRootFromParent_Done,
     /* 201737 */   // Label 3202: @201737
     /* 201737 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(201794), // Rule ID 5752 //
     /* 201742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 201745 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201752 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 201765 */     // (atomic_load_sub:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFSET),
     /* 201768 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 201780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201792 */     GIR_RootConstrainSelectedInstOperands,
     /* 201793 */     // GIR_Coverage, 5752,
     /* 201793 */     GIR_EraseRootFromParent_Done,
     /* 201794 */   // Label 3203: @201794
     /* 201794 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(201848), // Rule ID 5756 //
     /* 201799 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201806 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 201819 */     // (atomic_load_sub:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET),
     /* 201822 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 201834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201846 */     GIR_RootConstrainSelectedInstOperands,
     /* 201847 */     // GIR_Coverage, 5756,
     /* 201847 */     GIR_EraseRootFromParent_Done,
     /* 201848 */   // Label 3204: @201848
     /* 201848 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(201909), // Rule ID 5750 //
     /* 201853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 201856 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 201867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 201878 */     // (atomic_load_sub:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFSET_RTN),
     /* 201881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 201883 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 201895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201907 */     GIR_RootConstrainSelectedInstOperands,
     /* 201908 */     // GIR_Coverage, 5750,
     /* 201908 */     GIR_EraseRootFromParent_Done,
     /* 201909 */   // Label 3205: @201909
     /* 201909 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(201967), // Rule ID 5754 //
     /* 201914 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 201921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 201925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 201936 */     // (atomic_load_sub:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 201936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET_RTN),
     /* 201939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 201941 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 201943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 201948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 201953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 201958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 201965 */     GIR_RootConstrainSelectedInstOperands,
     /* 201966 */     // GIR_Coverage, 5754,
     /* 201966 */     GIR_EraseRootFromParent_Done,
     /* 201967 */   // Label 3206: @201967
     /* 201967 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(202017), // Rule ID 8441 //
     /* 201972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 201975 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 201980 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 201982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 201986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 201993 */     // (atomic_load_sub_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_local_m0_noret_i64>>  =>  (DS_SUB_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 201993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U64),
     /* 201996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202001 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202015 */     GIR_RootConstrainSelectedInstOperands,
     /* 202016 */     // GIR_Coverage, 8441,
     /* 202016 */     GIR_EraseRootFromParent_Done,
     /* 202017 */   // Label 3207: @202017
     /* 202017 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(202067), // Rule ID 8443 //
     /* 202022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 202025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 202030 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 202043 */     // (atomic_load_sub:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_local_noret_i64>>  =>  (DS_SUB_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 202043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U64_gfx9),
     /* 202046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202051 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202065 */     GIR_RootConstrainSelectedInstOperands,
     /* 202066 */     // GIR_Coverage, 8443,
     /* 202066 */     GIR_EraseRootFromParent_Done,
     /* 202067 */   // Label 3208: @202067
     /* 202067 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(202117), // Rule ID 8445 //
     /* 202072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 202075 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 202080 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 202093 */     // (atomic_load_sub_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_region_m0_noret_i64>>  =>  (DS_SUB_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 202093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_U64),
     /* 202096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202101 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202115 */     GIR_RootConstrainSelectedInstOperands,
     /* 202116 */     // GIR_Coverage, 8445,
     /* 202116 */     GIR_EraseRootFromParent_Done,
     /* 202117 */   // Label 3209: @202117
     /* 202117 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(202171), // Rule ID 8440 //
     /* 202122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 202125 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 202130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 202145 */     // (atomic_load_sub_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_local_m0_i64>>  =>  (DS_SUB_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 202145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U64),
     /* 202148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202155 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202169 */     GIR_RootConstrainSelectedInstOperands,
     /* 202170 */     // GIR_Coverage, 8440,
     /* 202170 */     GIR_EraseRootFromParent_Done,
     /* 202171 */   // Label 3210: @202171
     /* 202171 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(202225), // Rule ID 8442 //
     /* 202176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 202179 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 202184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 202199 */     // (atomic_load_sub:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_local_i64>>  =>  (DS_SUB_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 202199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U64_gfx9),
     /* 202202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202209 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202223 */     GIR_RootConstrainSelectedInstOperands,
     /* 202224 */     // GIR_Coverage, 8442,
     /* 202224 */     GIR_EraseRootFromParent_Done,
     /* 202225 */   // Label 3211: @202225
     /* 202225 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(202279), // Rule ID 8444 //
     /* 202230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 202233 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 202238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 202253 */     // (atomic_load_sub_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_sub_region_m0_i64>>  =>  (DS_SUB_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 202253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_RTN_U64),
     /* 202256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 202263 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 202265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202277 */     GIR_RootConstrainSelectedInstOperands,
     /* 202278 */     // GIR_Coverage, 8444,
     /* 202278 */     GIR_EraseRootFromParent_Done,
     /* 202279 */   // Label 3212: @202279
     /* 202279 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(202336), // Rule ID 4126 //
     /* 202284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 202287 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202294 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 202307 */     // (atomic_load_sub:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SUB_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 202307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_X2_SADDR),
     /* 202310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 202315 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 202322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 202327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202334 */     GIR_RootConstrainSelectedInstOperands,
     /* 202335 */     // GIR_Coverage, 4126,
     /* 202335 */     GIR_EraseRootFromParent_Done,
     /* 202336 */   // Label 3213: @202336
     /* 202336 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(202397), // Rule ID 4128 //
     /* 202341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 202344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 202366 */     // (atomic_load_sub:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (GLOBAL_ATOMIC_SUB_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 202366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_X2_SADDR_RTN),
     /* 202369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 202376 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 202383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 202388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202395 */     GIR_RootConstrainSelectedInstOperands,
     /* 202396 */     // GIR_Coverage, 4128,
     /* 202396 */     GIR_EraseRootFromParent_Done,
     /* 202397 */   // Label 3214: @202397
     /* 202397 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(202449), // Rule ID 4125 //
     /* 202402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 202405 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202412 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 202425 */     // (atomic_load_sub:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SUB_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_X2),
     /* 202428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202433 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202447 */     GIR_RootConstrainSelectedInstOperands,
     /* 202448 */     // GIR_Coverage, 4125,
     /* 202448 */     GIR_EraseRootFromParent_Done,
     /* 202449 */   // Label 3215: @202449
     /* 202449 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(202505), // Rule ID 4127 //
     /* 202454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 202457 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 202479 */     // (atomic_load_sub:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (GLOBAL_ATOMIC_SUB_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SUB_X2_RTN),
     /* 202482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202489 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202503 */     GIR_RootConstrainSelectedInstOperands,
     /* 202504 */     // GIR_Coverage, 4127,
     /* 202504 */     GIR_EraseRootFromParent_Done,
     /* 202505 */   // Label 3216: @202505
     /* 202505 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(202558), // Rule ID 3724 //
     /* 202510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 202513 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202521 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 202534 */     // (atomic_load_sub:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_flat_noret_i64>>  =>  (FLAT_ATOMIC_SUB_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_X2),
     /* 202537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202542 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202556 */     GIR_RootConstrainSelectedInstOperands,
     /* 202557 */     // GIR_Coverage, 3724,
     /* 202557 */     GIR_EraseRootFromParent_Done,
     /* 202558 */   // Label 3217: @202558
     /* 202558 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(202610), // Rule ID 3784 //
     /* 202563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 202566 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202573 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 202586 */     // (atomic_load_sub:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_noret_i64>>  =>  (FLAT_ATOMIC_SUB_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_X2),
     /* 202589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202594 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202608 */     GIR_RootConstrainSelectedInstOperands,
     /* 202609 */     // GIR_Coverage, 3784,
     /* 202609 */     GIR_EraseRootFromParent_Done,
     /* 202610 */   // Label 3218: @202610
     /* 202610 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(202667), // Rule ID 3723 //
     /* 202615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 202618 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 202641 */     // (atomic_load_sub:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_flat_i64>>  =>  (FLAT_ATOMIC_SUB_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_X2_RTN),
     /* 202644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202651 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202665 */     GIR_RootConstrainSelectedInstOperands,
     /* 202666 */     // GIR_Coverage, 3723,
     /* 202666 */     GIR_EraseRootFromParent_Done,
     /* 202667 */   // Label 3219: @202667
     /* 202667 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(202723), // Rule ID 3783 //
     /* 202672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 202675 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 202686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 202697 */     // (atomic_load_sub:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_sub_global_i64>>  =>  (FLAT_ATOMIC_SUB_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 202697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SUB_X2_RTN),
     /* 202700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 202702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 202707 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 202709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 202714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202721 */     GIR_RootConstrainSelectedInstOperands,
     /* 202722 */     // GIR_Coverage, 3783,
     /* 202722 */     GIR_EraseRootFromParent_Done,
     /* 202723 */   // Label 3220: @202723
     /* 202723 */   GIM_Reject,
     /* 202724 */ // Label 3198: @202724
     /* 202724 */ GIM_Reject,
     /* 202725 */ // Label 3174: @202725
     /* 202725 */ GIM_Reject,
     /* 202726 */ // Label 22: @202726
     /* 202726 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3223*/ GIMT_Encode4(205237),
     /* 202737 */ /*GILLT_s32*//*Label 3221*/ GIMT_Encode4(202745),
     /* 202741 */ /*GILLT_s64*//*Label 3222*/ GIMT_Encode4(203991),
     /* 202745 */ // Label 3221: @202745
     /* 202745 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(203990),
     /* 202750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202753 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(202815), // Rule ID 5697 //
     /* 202758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 202761 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202768 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 202781 */     // (atomic_load_and:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (BUFFER_ATOMIC_AND_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 202781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_ADDR64),
     /* 202784 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 202786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 202791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 202796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 202801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 202806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202813 */     GIR_RootConstrainSelectedInstOperands,
     /* 202814 */     // GIR_Coverage, 5697,
     /* 202814 */     GIR_EraseRootFromParent_Done,
     /* 202815 */   // Label 3225: @202815
     /* 202815 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(202874), // Rule ID 5701 //
     /* 202820 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202827 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 202829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 202840 */     // (atomic_load_and:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 202840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_ADDR64),
     /* 202843 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 202845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 202850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 202855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 202860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 202865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 202868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202872 */     GIR_RootConstrainSelectedInstOperands,
     /* 202873 */     // GIR_Coverage, 5701,
     /* 202873 */     GIR_EraseRootFromParent_Done,
     /* 202874 */   // Label 3226: @202874
     /* 202874 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(202940), // Rule ID 5695 //
     /* 202879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 202882 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 202893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 202904 */     // (atomic_load_and:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i32>>  =>  (BUFFER_ATOMIC_AND_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 202904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_ADDR64_RTN),
     /* 202907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 202909 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 202911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 202916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 202921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 202926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 202931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 202938 */     GIR_RootConstrainSelectedInstOperands,
     /* 202939 */     // GIR_Coverage, 5695,
     /* 202939 */     GIR_EraseRootFromParent_Done,
     /* 202940 */   // Label 3227: @202940
     /* 202940 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(203003), // Rule ID 5699 //
     /* 202945 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 202952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 202956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 202960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 202967 */     // (atomic_load_and:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i32>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 202967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_ADDR64_RTN),
     /* 202970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 202972 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 202974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 202979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 202984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 202989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 202994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 202997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203001 */     GIR_RootConstrainSelectedInstOperands,
     /* 203002 */     // GIR_Coverage, 5699,
     /* 203002 */     GIR_EraseRootFromParent_Done,
     /* 203003 */   // Label 3228: @203003
     /* 203003 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(203060), // Rule ID 5696 //
     /* 203008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 203011 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203018 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 203031 */     // (atomic_load_and:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (BUFFER_ATOMIC_AND_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 203031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFSET),
     /* 203034 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 203036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 203041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 203046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203058 */     GIR_RootConstrainSelectedInstOperands,
     /* 203059 */     // GIR_Coverage, 5696,
     /* 203059 */     GIR_EraseRootFromParent_Done,
     /* 203060 */   // Label 3229: @203060
     /* 203060 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(203114), // Rule ID 5700 //
     /* 203065 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203072 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 203085 */     // (atomic_load_and:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 203085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFSET),
     /* 203088 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 203090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 203095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 203100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203112 */     GIR_RootConstrainSelectedInstOperands,
     /* 203113 */     // GIR_Coverage, 5700,
     /* 203113 */     GIR_EraseRootFromParent_Done,
     /* 203114 */   // Label 3230: @203114
     /* 203114 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(203175), // Rule ID 5694 //
     /* 203119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 203122 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 203144 */     // (atomic_load_and:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i32>>  =>  (BUFFER_ATOMIC_AND_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 203144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFSET_RTN),
     /* 203147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 203149 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 203151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 203156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 203161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203173 */     GIR_RootConstrainSelectedInstOperands,
     /* 203174 */     // GIR_Coverage, 5694,
     /* 203174 */     GIR_EraseRootFromParent_Done,
     /* 203175 */   // Label 3231: @203175
     /* 203175 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(203233), // Rule ID 5698 //
     /* 203180 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 203202 */     // (atomic_load_and:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i32>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 203202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFSET_RTN),
     /* 203205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 203207 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 203209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 203214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 203219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203231 */     GIR_RootConstrainSelectedInstOperands,
     /* 203232 */     // GIR_Coverage, 5698,
     /* 203232 */     GIR_EraseRootFromParent_Done,
     /* 203233 */   // Label 3232: @203233
     /* 203233 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(203283), // Rule ID 8366 //
     /* 203238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 203241 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 203246 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203259 */     // (atomic_load_and_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_local_m0_noret_i32>>  =>  (DS_AND_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 203259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B32),
     /* 203262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203267 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203281 */     GIR_RootConstrainSelectedInstOperands,
     /* 203282 */     // GIR_Coverage, 8366,
     /* 203282 */     GIR_EraseRootFromParent_Done,
     /* 203283 */   // Label 3233: @203283
     /* 203283 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(203333), // Rule ID 8368 //
     /* 203288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 203291 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 203296 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203309 */     // (atomic_load_and:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_local_noret_i32>>  =>  (DS_AND_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 203309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B32_gfx9),
     /* 203312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203317 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203331 */     GIR_RootConstrainSelectedInstOperands,
     /* 203332 */     // GIR_Coverage, 8368,
     /* 203332 */     GIR_EraseRootFromParent_Done,
     /* 203333 */   // Label 3234: @203333
     /* 203333 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(203383), // Rule ID 8370 //
     /* 203338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 203341 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 203346 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203359 */     // (atomic_load_and_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_region_m0_noret_i32>>  =>  (DS_AND_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 203359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B32),
     /* 203362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203367 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203381 */     GIR_RootConstrainSelectedInstOperands,
     /* 203382 */     // GIR_Coverage, 8370,
     /* 203382 */     GIR_EraseRootFromParent_Done,
     /* 203383 */   // Label 3235: @203383
     /* 203383 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(203437), // Rule ID 8365 //
     /* 203388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 203391 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 203396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203411 */     // (atomic_load_and_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_local_m0_i32>>  =>  (DS_AND_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 203411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B32),
     /* 203414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203421 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203435 */     GIR_RootConstrainSelectedInstOperands,
     /* 203436 */     // GIR_Coverage, 8365,
     /* 203436 */     GIR_EraseRootFromParent_Done,
     /* 203437 */   // Label 3236: @203437
     /* 203437 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(203491), // Rule ID 8367 //
     /* 203442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 203445 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 203450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203465 */     // (atomic_load_and:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_local_i32>>  =>  (DS_AND_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 203465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B32_gfx9),
     /* 203468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203475 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203489 */     GIR_RootConstrainSelectedInstOperands,
     /* 203490 */     // GIR_Coverage, 8367,
     /* 203490 */     GIR_EraseRootFromParent_Done,
     /* 203491 */   // Label 3237: @203491
     /* 203491 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(203545), // Rule ID 8369 //
     /* 203496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 203499 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 203504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 203519 */     // (atomic_load_and_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_and_region_m0_i32>>  =>  (DS_AND_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 203519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B32),
     /* 203522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 203529 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 203531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203543 */     GIR_RootConstrainSelectedInstOperands,
     /* 203544 */     // GIR_Coverage, 8369,
     /* 203544 */     GIR_EraseRootFromParent_Done,
     /* 203545 */   // Label 3238: @203545
     /* 203545 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(203602), // Rule ID 4082 //
     /* 203550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 203553 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203560 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 203573 */     // (atomic_load_and:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (GLOBAL_ATOMIC_AND_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 203573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_SADDR),
     /* 203576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 203581 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 203588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203600 */     GIR_RootConstrainSelectedInstOperands,
     /* 203601 */     // GIR_Coverage, 4082,
     /* 203601 */     GIR_EraseRootFromParent_Done,
     /* 203602 */   // Label 3239: @203602
     /* 203602 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(203663), // Rule ID 4084 //
     /* 203607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 203610 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 203632 */     // (atomic_load_and:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_i32>>  =>  (GLOBAL_ATOMIC_AND_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 203632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_SADDR_RTN),
     /* 203635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 203642 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 203649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 203654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203661 */     GIR_RootConstrainSelectedInstOperands,
     /* 203662 */     // GIR_Coverage, 4084,
     /* 203662 */     GIR_EraseRootFromParent_Done,
     /* 203663 */   // Label 3240: @203663
     /* 203663 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(203715), // Rule ID 4081 //
     /* 203668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 203671 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203678 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 203691 */     // (atomic_load_and:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (GLOBAL_ATOMIC_AND VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND),
     /* 203694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203699 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203713 */     GIR_RootConstrainSelectedInstOperands,
     /* 203714 */     // GIR_Coverage, 4081,
     /* 203714 */     GIR_EraseRootFromParent_Done,
     /* 203715 */   // Label 3241: @203715
     /* 203715 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(203771), // Rule ID 4083 //
     /* 203720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 203723 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 203745 */     // (atomic_load_and:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_i32>>  =>  (GLOBAL_ATOMIC_AND_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_RTN),
     /* 203748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203755 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203769 */     GIR_RootConstrainSelectedInstOperands,
     /* 203770 */     // GIR_Coverage, 4083,
     /* 203770 */     GIR_EraseRootFromParent_Done,
     /* 203771 */   // Label 3242: @203771
     /* 203771 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(203824), // Rule ID 3704 //
     /* 203776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 203779 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203787 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 203800 */     // (atomic_load_and:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_flat_noret_i32>>  =>  (FLAT_ATOMIC_AND VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND),
     /* 203803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203808 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203822 */     GIR_RootConstrainSelectedInstOperands,
     /* 203823 */     // GIR_Coverage, 3704,
     /* 203823 */     GIR_EraseRootFromParent_Done,
     /* 203824 */   // Label 3243: @203824
     /* 203824 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(203876), // Rule ID 3764 //
     /* 203829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 203832 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203839 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 203841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 203852 */     // (atomic_load_and:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_noret_i32>>  =>  (FLAT_ATOMIC_AND VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND),
     /* 203855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203860 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203874 */     GIR_RootConstrainSelectedInstOperands,
     /* 203875 */     // GIR_Coverage, 3764,
     /* 203875 */     GIR_EraseRootFromParent_Done,
     /* 203876 */   // Label 3244: @203876
     /* 203876 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(203933), // Rule ID 3703 //
     /* 203881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 203884 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 203907 */     // (atomic_load_and:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_flat_i32>>  =>  (FLAT_ATOMIC_AND_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_RTN),
     /* 203910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203917 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203931 */     GIR_RootConstrainSelectedInstOperands,
     /* 203932 */     // GIR_Coverage, 3703,
     /* 203932 */     GIR_EraseRootFromParent_Done,
     /* 203933 */   // Label 3245: @203933
     /* 203933 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(203989), // Rule ID 3763 //
     /* 203938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 203941 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 203948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 203952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 203956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 203963 */     // (atomic_load_and:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_and_global_i32>>  =>  (FLAT_ATOMIC_AND_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 203963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_RTN),
     /* 203966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 203968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 203973 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 203975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 203980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 203983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 203987 */     GIR_RootConstrainSelectedInstOperands,
     /* 203988 */     // GIR_Coverage, 3763,
     /* 203988 */     GIR_EraseRootFromParent_Done,
     /* 203989 */   // Label 3246: @203989
     /* 203989 */   GIM_Reject,
     /* 203990 */ // Label 3224: @203990
     /* 203990 */ GIM_Reject,
     /* 203991 */ // Label 3222: @203991
     /* 203991 */ GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(205236),
     /* 203996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 203999 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(204061), // Rule ID 5793 //
     /* 204004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 204007 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204014 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 204027 */     // (atomic_load_and:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (BUFFER_ATOMIC_AND_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_ADDR64),
     /* 204030 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 204037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 204047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 204052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204059 */     GIR_RootConstrainSelectedInstOperands,
     /* 204060 */     // GIR_Coverage, 5793,
     /* 204060 */     GIR_EraseRootFromParent_Done,
     /* 204061 */   // Label 3248: @204061
     /* 204061 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(204120), // Rule ID 5797 //
     /* 204066 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204073 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 204086 */     // (atomic_load_and:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_ADDR64),
     /* 204089 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 204096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 204106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 204111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204118 */     GIR_RootConstrainSelectedInstOperands,
     /* 204119 */     // GIR_Coverage, 5797,
     /* 204119 */     GIR_EraseRootFromParent_Done,
     /* 204120 */   // Label 3249: @204120
     /* 204120 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(204186), // Rule ID 5791 //
     /* 204125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 204128 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 204150 */     // (atomic_load_and:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i64>>  =>  (BUFFER_ATOMIC_AND_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_ADDR64_RTN),
     /* 204153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 204155 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 204162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 204172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 204177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204184 */     GIR_RootConstrainSelectedInstOperands,
     /* 204185 */     // GIR_Coverage, 5791,
     /* 204185 */     GIR_EraseRootFromParent_Done,
     /* 204186 */   // Label 3250: @204186
     /* 204186 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(204249), // Rule ID 5795 //
     /* 204191 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 204213 */     // (atomic_load_and:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i64>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_ADDR64_RTN),
     /* 204216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 204218 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 204225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 204235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 204240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204247 */     GIR_RootConstrainSelectedInstOperands,
     /* 204248 */     // GIR_Coverage, 5795,
     /* 204248 */     GIR_EraseRootFromParent_Done,
     /* 204249 */   // Label 3251: @204249
     /* 204249 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(204306), // Rule ID 5792 //
     /* 204254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 204257 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204264 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 204277 */     // (atomic_load_and:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (BUFFER_ATOMIC_AND_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFSET),
     /* 204280 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 204292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204304 */     GIR_RootConstrainSelectedInstOperands,
     /* 204305 */     // GIR_Coverage, 5792,
     /* 204305 */     GIR_EraseRootFromParent_Done,
     /* 204306 */   // Label 3252: @204306
     /* 204306 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(204360), // Rule ID 5796 //
     /* 204311 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204318 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 204331 */     // (atomic_load_and:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET),
     /* 204334 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 204346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204358 */     GIR_RootConstrainSelectedInstOperands,
     /* 204359 */     // GIR_Coverage, 5796,
     /* 204359 */     GIR_EraseRootFromParent_Done,
     /* 204360 */   // Label 3253: @204360
     /* 204360 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(204421), // Rule ID 5790 //
     /* 204365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 204368 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 204390 */     // (atomic_load_and:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i64>>  =>  (BUFFER_ATOMIC_AND_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFSET_RTN),
     /* 204393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 204395 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 204407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204419 */     GIR_RootConstrainSelectedInstOperands,
     /* 204420 */     // GIR_Coverage, 5790,
     /* 204420 */     GIR_EraseRootFromParent_Done,
     /* 204421 */   // Label 3254: @204421
     /* 204421 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(204479), // Rule ID 5794 //
     /* 204426 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 204448 */     // (atomic_load_and:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_and_global_i64>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 204448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET_RTN),
     /* 204451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 204453 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 204455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 204460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 204465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204477 */     GIR_RootConstrainSelectedInstOperands,
     /* 204478 */     // GIR_Coverage, 5794,
     /* 204478 */     GIR_EraseRootFromParent_Done,
     /* 204479 */   // Label 3255: @204479
     /* 204479 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(204529), // Rule ID 8459 //
     /* 204484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 204487 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 204492 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204505 */     // (atomic_load_and_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_local_m0_noret_i64>>  =>  (DS_AND_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 204505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B64),
     /* 204508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204513 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204527 */     GIR_RootConstrainSelectedInstOperands,
     /* 204528 */     // GIR_Coverage, 8459,
     /* 204528 */     GIR_EraseRootFromParent_Done,
     /* 204529 */   // Label 3256: @204529
     /* 204529 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(204579), // Rule ID 8461 //
     /* 204534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 204537 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 204542 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204555 */     // (atomic_load_and:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_local_noret_i64>>  =>  (DS_AND_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 204555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B64_gfx9),
     /* 204558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204563 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204577 */     GIR_RootConstrainSelectedInstOperands,
     /* 204578 */     // GIR_Coverage, 8461,
     /* 204578 */     GIR_EraseRootFromParent_Done,
     /* 204579 */   // Label 3257: @204579
     /* 204579 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(204629), // Rule ID 8463 //
     /* 204584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 204587 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 204592 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204605 */     // (atomic_load_and_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_region_m0_noret_i64>>  =>  (DS_AND_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 204605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_B64),
     /* 204608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204613 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204627 */     GIR_RootConstrainSelectedInstOperands,
     /* 204628 */     // GIR_Coverage, 8463,
     /* 204628 */     GIR_EraseRootFromParent_Done,
     /* 204629 */   // Label 3258: @204629
     /* 204629 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(204683), // Rule ID 8458 //
     /* 204634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 204637 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 204642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204657 */     // (atomic_load_and_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_local_m0_i64>>  =>  (DS_AND_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 204657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B64),
     /* 204660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 204662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204667 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204681 */     GIR_RootConstrainSelectedInstOperands,
     /* 204682 */     // GIR_Coverage, 8458,
     /* 204682 */     GIR_EraseRootFromParent_Done,
     /* 204683 */   // Label 3259: @204683
     /* 204683 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(204737), // Rule ID 8460 //
     /* 204688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 204691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 204696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204711 */     // (atomic_load_and:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_local_i64>>  =>  (DS_AND_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 204711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B64_gfx9),
     /* 204714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 204716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204721 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204735 */     GIR_RootConstrainSelectedInstOperands,
     /* 204736 */     // GIR_Coverage, 8460,
     /* 204736 */     GIR_EraseRootFromParent_Done,
     /* 204737 */   // Label 3260: @204737
     /* 204737 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(204791), // Rule ID 8462 //
     /* 204742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 204745 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 204750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 204765 */     // (atomic_load_and_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_and_region_m0_i64>>  =>  (DS_AND_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 204765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_AND_RTN_B64),
     /* 204768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 204770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 204775 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 204777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204789 */     GIR_RootConstrainSelectedInstOperands,
     /* 204790 */     // GIR_Coverage, 8462,
     /* 204790 */     GIR_EraseRootFromParent_Done,
     /* 204791 */   // Label 3261: @204791
     /* 204791 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(204848), // Rule ID 4138 //
     /* 204796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 204799 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204806 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 204819 */     // (atomic_load_and:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (GLOBAL_ATOMIC_AND_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 204819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_X2_SADDR),
     /* 204822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 204827 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 204829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 204834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204846 */     GIR_RootConstrainSelectedInstOperands,
     /* 204847 */     // GIR_Coverage, 4138,
     /* 204847 */     GIR_EraseRootFromParent_Done,
     /* 204848 */   // Label 3262: @204848
     /* 204848 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(204909), // Rule ID 4140 //
     /* 204853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 204856 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 204878 */     // (atomic_load_and:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_i64>>  =>  (GLOBAL_ATOMIC_AND_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 204878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_X2_SADDR_RTN),
     /* 204881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 204883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 204888 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 204890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 204895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 204900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204907 */     GIR_RootConstrainSelectedInstOperands,
     /* 204908 */     // GIR_Coverage, 4140,
     /* 204908 */     GIR_EraseRootFromParent_Done,
     /* 204909 */   // Label 3263: @204909
     /* 204909 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(204961), // Rule ID 4137 //
     /* 204914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 204917 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204924 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 204926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 204937 */     // (atomic_load_and:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (GLOBAL_ATOMIC_AND_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 204937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_X2),
     /* 204940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 204945 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 204947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 204952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 204959 */     GIR_RootConstrainSelectedInstOperands,
     /* 204960 */     // GIR_Coverage, 4137,
     /* 204960 */     GIR_EraseRootFromParent_Done,
     /* 204961 */   // Label 3264: @204961
     /* 204961 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(205017), // Rule ID 4139 //
     /* 204966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 204969 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 204976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 204980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 204984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 204991 */     // (atomic_load_and:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_i64>>  =>  (GLOBAL_ATOMIC_AND_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 204991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_AND_X2_RTN),
     /* 204994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 204996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 205001 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 205003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205015 */     GIR_RootConstrainSelectedInstOperands,
     /* 205016 */     // GIR_Coverage, 4139,
     /* 205016 */     GIR_EraseRootFromParent_Done,
     /* 205017 */   // Label 3265: @205017
     /* 205017 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(205070), // Rule ID 3730 //
     /* 205022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 205025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205033 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 205046 */     // (atomic_load_and:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_flat_noret_i64>>  =>  (FLAT_ATOMIC_AND_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 205046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_X2),
     /* 205049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 205054 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 205056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205068 */     GIR_RootConstrainSelectedInstOperands,
     /* 205069 */     // GIR_Coverage, 3730,
     /* 205069 */     GIR_EraseRootFromParent_Done,
     /* 205070 */   // Label 3266: @205070
     /* 205070 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(205122), // Rule ID 3790 //
     /* 205075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 205078 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205085 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 205098 */     // (atomic_load_and:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_noret_i64>>  =>  (FLAT_ATOMIC_AND_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 205098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_X2),
     /* 205101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 205106 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 205108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205120 */     GIR_RootConstrainSelectedInstOperands,
     /* 205121 */     // GIR_Coverage, 3790,
     /* 205121 */     GIR_EraseRootFromParent_Done,
     /* 205122 */   // Label 3267: @205122
     /* 205122 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(205179), // Rule ID 3729 //
     /* 205127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 205130 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 205142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 205153 */     // (atomic_load_and:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_flat_i64>>  =>  (FLAT_ATOMIC_AND_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 205153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_X2_RTN),
     /* 205156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 205158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 205163 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 205165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205177 */     GIR_RootConstrainSelectedInstOperands,
     /* 205178 */     // GIR_Coverage, 3729,
     /* 205178 */     GIR_EraseRootFromParent_Done,
     /* 205179 */   // Label 3268: @205179
     /* 205179 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(205235), // Rule ID 3789 //
     /* 205184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 205187 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 205198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 205209 */     // (atomic_load_and:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_and_global_i64>>  =>  (FLAT_ATOMIC_AND_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 205209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_AND_X2_RTN),
     /* 205212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 205214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 205219 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 205221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205233 */     GIR_RootConstrainSelectedInstOperands,
     /* 205234 */     // GIR_Coverage, 3789,
     /* 205234 */     GIR_EraseRootFromParent_Done,
     /* 205235 */   // Label 3269: @205235
     /* 205235 */   GIM_Reject,
     /* 205236 */ // Label 3247: @205236
     /* 205236 */ GIM_Reject,
     /* 205237 */ // Label 3223: @205237
     /* 205237 */ GIM_Reject,
     /* 205238 */ // Label 23: @205238
     /* 205238 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3272*/ GIMT_Encode4(207749),
     /* 205249 */ /*GILLT_s32*//*Label 3270*/ GIMT_Encode4(205257),
     /* 205253 */ /*GILLT_s64*//*Label 3271*/ GIMT_Encode4(206503),
     /* 205257 */ // Label 3270: @205257
     /* 205257 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(206502),
     /* 205262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 205265 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(205327), // Rule ID 5705 //
     /* 205270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 205273 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205280 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 205293 */     // (atomic_load_or:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (BUFFER_ATOMIC_OR_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_ADDR64),
     /* 205296 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 205303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 205313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 205318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205325 */     GIR_RootConstrainSelectedInstOperands,
     /* 205326 */     // GIR_Coverage, 5705,
     /* 205326 */     GIR_EraseRootFromParent_Done,
     /* 205327 */   // Label 3274: @205327
     /* 205327 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(205386), // Rule ID 5709 //
     /* 205332 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205339 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 205352 */     // (atomic_load_or:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_ADDR64),
     /* 205355 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 205362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 205372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 205377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205384 */     GIR_RootConstrainSelectedInstOperands,
     /* 205385 */     // GIR_Coverage, 5709,
     /* 205385 */     GIR_EraseRootFromParent_Done,
     /* 205386 */   // Label 3275: @205386
     /* 205386 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(205452), // Rule ID 5703 //
     /* 205391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 205394 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 205416 */     // (atomic_load_or:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i32>>  =>  (BUFFER_ATOMIC_OR_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_ADDR64_RTN),
     /* 205419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 205421 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 205428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 205438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 205443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205450 */     GIR_RootConstrainSelectedInstOperands,
     /* 205451 */     // GIR_Coverage, 5703,
     /* 205451 */     GIR_EraseRootFromParent_Done,
     /* 205452 */   // Label 3276: @205452
     /* 205452 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(205515), // Rule ID 5707 //
     /* 205457 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 205479 */     // (atomic_load_or:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i32>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_ADDR64_RTN),
     /* 205482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 205484 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 205491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 205501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 205506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205513 */     GIR_RootConstrainSelectedInstOperands,
     /* 205514 */     // GIR_Coverage, 5707,
     /* 205514 */     GIR_EraseRootFromParent_Done,
     /* 205515 */   // Label 3277: @205515
     /* 205515 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(205572), // Rule ID 5704 //
     /* 205520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 205523 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205530 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 205543 */     // (atomic_load_or:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (BUFFER_ATOMIC_OR_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFSET),
     /* 205546 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 205558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 205563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205570 */     GIR_RootConstrainSelectedInstOperands,
     /* 205571 */     // GIR_Coverage, 5704,
     /* 205571 */     GIR_EraseRootFromParent_Done,
     /* 205572 */   // Label 3278: @205572
     /* 205572 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(205626), // Rule ID 5708 //
     /* 205577 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205584 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 205597 */     // (atomic_load_or:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFSET),
     /* 205600 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 205612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 205617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205624 */     GIR_RootConstrainSelectedInstOperands,
     /* 205625 */     // GIR_Coverage, 5708,
     /* 205625 */     GIR_EraseRootFromParent_Done,
     /* 205626 */   // Label 3279: @205626
     /* 205626 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(205687), // Rule ID 5702 //
     /* 205631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 205634 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 205656 */     // (atomic_load_or:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i32>>  =>  (BUFFER_ATOMIC_OR_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFSET_RTN),
     /* 205659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 205661 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 205673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 205678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205685 */     GIR_RootConstrainSelectedInstOperands,
     /* 205686 */     // GIR_Coverage, 5702,
     /* 205686 */     GIR_EraseRootFromParent_Done,
     /* 205687 */   // Label 3280: @205687
     /* 205687 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(205745), // Rule ID 5706 //
     /* 205692 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 205699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 205714 */     // (atomic_load_or:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i32>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 205714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFSET_RTN),
     /* 205717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 205719 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 205721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 205726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 205731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 205736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205743 */     GIR_RootConstrainSelectedInstOperands,
     /* 205744 */     // GIR_Coverage, 5706,
     /* 205744 */     GIR_EraseRootFromParent_Done,
     /* 205745 */   // Label 3281: @205745
     /* 205745 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(205795), // Rule ID 8372 //
     /* 205750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 205753 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 205758 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 205771 */     // (atomic_load_or_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_local_m0_noret_i32>>  =>  (DS_OR_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 205771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B32),
     /* 205774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 205779 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 205781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205793 */     GIR_RootConstrainSelectedInstOperands,
     /* 205794 */     // GIR_Coverage, 8372,
     /* 205794 */     GIR_EraseRootFromParent_Done,
     /* 205795 */   // Label 3282: @205795
     /* 205795 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(205845), // Rule ID 8374 //
     /* 205800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 205803 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 205808 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 205821 */     // (atomic_load_or:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_local_noret_i32>>  =>  (DS_OR_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 205821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B32_gfx9),
     /* 205824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 205829 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 205831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205843 */     GIR_RootConstrainSelectedInstOperands,
     /* 205844 */     // GIR_Coverage, 8374,
     /* 205844 */     GIR_EraseRootFromParent_Done,
     /* 205845 */   // Label 3283: @205845
     /* 205845 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(205895), // Rule ID 8376 //
     /* 205850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 205853 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 205858 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 205860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 205871 */     // (atomic_load_or_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_region_m0_noret_i32>>  =>  (DS_OR_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 205871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B32),
     /* 205874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 205879 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 205881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205893 */     GIR_RootConstrainSelectedInstOperands,
     /* 205894 */     // GIR_Coverage, 8376,
     /* 205894 */     GIR_EraseRootFromParent_Done,
     /* 205895 */   // Label 3284: @205895
     /* 205895 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(205949), // Rule ID 8371 //
     /* 205900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 205903 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 205908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 205923 */     // (atomic_load_or_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_local_m0_i32>>  =>  (DS_OR_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 205923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B32),
     /* 205926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 205928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 205933 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 205935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 205947 */     GIR_RootConstrainSelectedInstOperands,
     /* 205948 */     // GIR_Coverage, 8371,
     /* 205948 */     GIR_EraseRootFromParent_Done,
     /* 205949 */   // Label 3285: @205949
     /* 205949 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(206003), // Rule ID 8373 //
     /* 205954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 205957 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 205962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 205966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 205970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 205977 */     // (atomic_load_or:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_local_i32>>  =>  (DS_OR_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 205977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B32_gfx9),
     /* 205980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 205982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 205987 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 205989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 205994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206001 */     GIR_RootConstrainSelectedInstOperands,
     /* 206002 */     // GIR_Coverage, 8373,
     /* 206002 */     GIR_EraseRootFromParent_Done,
     /* 206003 */   // Label 3286: @206003
     /* 206003 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(206057), // Rule ID 8375 //
     /* 206008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 206011 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 206016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 206020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 206031 */     // (atomic_load_or_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_or_region_m0_i32>>  =>  (DS_OR_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 206031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B32),
     /* 206034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 206036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 206041 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 206043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206055 */     GIR_RootConstrainSelectedInstOperands,
     /* 206056 */     // GIR_Coverage, 8375,
     /* 206056 */     GIR_EraseRootFromParent_Done,
     /* 206057 */   // Label 3287: @206057
     /* 206057 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(206114), // Rule ID 4102 //
     /* 206062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 206065 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206072 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 206085 */     // (atomic_load_or:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (GLOBAL_ATOMIC_OR_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 206085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_SADDR),
     /* 206088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 206093 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 206100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206112 */     GIR_RootConstrainSelectedInstOperands,
     /* 206113 */     // GIR_Coverage, 4102,
     /* 206113 */     GIR_EraseRootFromParent_Done,
     /* 206114 */   // Label 3288: @206114
     /* 206114 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(206175), // Rule ID 4104 //
     /* 206119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 206122 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 206133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 206144 */     // (atomic_load_or:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_i32>>  =>  (GLOBAL_ATOMIC_OR_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 206144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_SADDR_RTN),
     /* 206147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 206149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 206154 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 206161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206173 */     GIR_RootConstrainSelectedInstOperands,
     /* 206174 */     // GIR_Coverage, 4104,
     /* 206174 */     GIR_EraseRootFromParent_Done,
     /* 206175 */   // Label 3289: @206175
     /* 206175 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(206227), // Rule ID 4101 //
     /* 206180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 206183 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206190 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 206203 */     // (atomic_load_or:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (GLOBAL_ATOMIC_OR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR),
     /* 206206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206211 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206225 */     GIR_RootConstrainSelectedInstOperands,
     /* 206226 */     // GIR_Coverage, 4101,
     /* 206226 */     GIR_EraseRootFromParent_Done,
     /* 206227 */   // Label 3290: @206227
     /* 206227 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(206283), // Rule ID 4103 //
     /* 206232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 206235 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 206246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 206257 */     // (atomic_load_or:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_i32>>  =>  (GLOBAL_ATOMIC_OR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_RTN),
     /* 206260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 206262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206267 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206281 */     GIR_RootConstrainSelectedInstOperands,
     /* 206282 */     // GIR_Coverage, 4103,
     /* 206282 */     GIR_EraseRootFromParent_Done,
     /* 206283 */   // Label 3291: @206283
     /* 206283 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(206336), // Rule ID 3714 //
     /* 206288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 206291 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206299 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 206312 */     // (atomic_load_or:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_flat_noret_i32>>  =>  (FLAT_ATOMIC_OR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR),
     /* 206315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206320 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206334 */     GIR_RootConstrainSelectedInstOperands,
     /* 206335 */     // GIR_Coverage, 3714,
     /* 206335 */     GIR_EraseRootFromParent_Done,
     /* 206336 */   // Label 3292: @206336
     /* 206336 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(206388), // Rule ID 3774 //
     /* 206341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 206344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206351 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 206364 */     // (atomic_load_or:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_noret_i32>>  =>  (FLAT_ATOMIC_OR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR),
     /* 206367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206372 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206386 */     GIR_RootConstrainSelectedInstOperands,
     /* 206387 */     // GIR_Coverage, 3774,
     /* 206387 */     GIR_EraseRootFromParent_Done,
     /* 206388 */   // Label 3293: @206388
     /* 206388 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(206445), // Rule ID 3713 //
     /* 206393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 206396 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 206408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 206419 */     // (atomic_load_or:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_flat_i32>>  =>  (FLAT_ATOMIC_OR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_RTN),
     /* 206422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 206424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206429 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206443 */     GIR_RootConstrainSelectedInstOperands,
     /* 206444 */     // GIR_Coverage, 3713,
     /* 206444 */     GIR_EraseRootFromParent_Done,
     /* 206445 */   // Label 3294: @206445
     /* 206445 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(206501), // Rule ID 3773 //
     /* 206450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 206453 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 206464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 206475 */     // (atomic_load_or:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_or_global_i32>>  =>  (FLAT_ATOMIC_OR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 206475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_RTN),
     /* 206478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 206480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 206485 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 206487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 206492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206499 */     GIR_RootConstrainSelectedInstOperands,
     /* 206500 */     // GIR_Coverage, 3773,
     /* 206500 */     GIR_EraseRootFromParent_Done,
     /* 206501 */   // Label 3295: @206501
     /* 206501 */   GIM_Reject,
     /* 206502 */ // Label 3273: @206502
     /* 206502 */ GIM_Reject,
     /* 206503 */ // Label 3271: @206503
     /* 206503 */ GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(207748),
     /* 206508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 206511 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(206573), // Rule ID 5801 //
     /* 206516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 206519 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206526 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 206539 */     // (atomic_load_or:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (BUFFER_ATOMIC_OR_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_ADDR64),
     /* 206542 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 206549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 206559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 206564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206571 */     GIR_RootConstrainSelectedInstOperands,
     /* 206572 */     // GIR_Coverage, 5801,
     /* 206572 */     GIR_EraseRootFromParent_Done,
     /* 206573 */   // Label 3297: @206573
     /* 206573 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(206632), // Rule ID 5805 //
     /* 206578 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206585 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 206598 */     // (atomic_load_or:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_ADDR64),
     /* 206601 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 206608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 206618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 206623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206630 */     GIR_RootConstrainSelectedInstOperands,
     /* 206631 */     // GIR_Coverage, 5805,
     /* 206631 */     GIR_EraseRootFromParent_Done,
     /* 206632 */   // Label 3298: @206632
     /* 206632 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(206698), // Rule ID 5799 //
     /* 206637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 206640 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 206651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 206662 */     // (atomic_load_or:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i64>>  =>  (BUFFER_ATOMIC_OR_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_ADDR64_RTN),
     /* 206665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 206667 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 206674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 206684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 206689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206696 */     GIR_RootConstrainSelectedInstOperands,
     /* 206697 */     // GIR_Coverage, 5799,
     /* 206697 */     GIR_EraseRootFromParent_Done,
     /* 206698 */   // Label 3299: @206698
     /* 206698 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(206761), // Rule ID 5803 //
     /* 206703 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 206714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 206725 */     // (atomic_load_or:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i64>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_ADDR64_RTN),
     /* 206728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 206730 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 206737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 206747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 206752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206759 */     GIR_RootConstrainSelectedInstOperands,
     /* 206760 */     // GIR_Coverage, 5803,
     /* 206760 */     GIR_EraseRootFromParent_Done,
     /* 206761 */   // Label 3300: @206761
     /* 206761 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(206818), // Rule ID 5800 //
     /* 206766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 206769 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206776 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 206789 */     // (atomic_load_or:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (BUFFER_ATOMIC_OR_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFSET),
     /* 206792 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 206804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206816 */     GIR_RootConstrainSelectedInstOperands,
     /* 206817 */     // GIR_Coverage, 5800,
     /* 206817 */     GIR_EraseRootFromParent_Done,
     /* 206818 */   // Label 3301: @206818
     /* 206818 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(206872), // Rule ID 5804 //
     /* 206823 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206830 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 206832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 206843 */     // (atomic_load_or:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET),
     /* 206846 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 206858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206870 */     GIR_RootConstrainSelectedInstOperands,
     /* 206871 */     // GIR_Coverage, 5804,
     /* 206871 */     GIR_EraseRootFromParent_Done,
     /* 206872 */   // Label 3302: @206872
     /* 206872 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(206933), // Rule ID 5798 //
     /* 206877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 206880 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 206891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 206902 */     // (atomic_load_or:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i64>>  =>  (BUFFER_ATOMIC_OR_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFSET_RTN),
     /* 206905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 206907 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 206919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206931 */     GIR_RootConstrainSelectedInstOperands,
     /* 206932 */     // GIR_Coverage, 5798,
     /* 206932 */     GIR_EraseRootFromParent_Done,
     /* 206933 */   // Label 3303: @206933
     /* 206933 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(206991), // Rule ID 5802 //
     /* 206938 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 206945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 206949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 206953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 206960 */     // (atomic_load_or:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_or_global_i64>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 206960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET_RTN),
     /* 206963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 206965 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 206967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 206972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 206977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 206982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 206989 */     GIR_RootConstrainSelectedInstOperands,
     /* 206990 */     // GIR_Coverage, 5802,
     /* 206990 */     GIR_EraseRootFromParent_Done,
     /* 206991 */   // Label 3304: @206991
     /* 206991 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(207041), // Rule ID 8465 //
     /* 206996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 206999 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 207004 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207017 */     // (atomic_load_or_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_local_m0_noret_i64>>  =>  (DS_OR_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 207017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B64),
     /* 207020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207025 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207039 */     GIR_RootConstrainSelectedInstOperands,
     /* 207040 */     // GIR_Coverage, 8465,
     /* 207040 */     GIR_EraseRootFromParent_Done,
     /* 207041 */   // Label 3305: @207041
     /* 207041 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(207091), // Rule ID 8467 //
     /* 207046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 207049 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 207054 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207067 */     // (atomic_load_or:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_local_noret_i64>>  =>  (DS_OR_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 207067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B64_gfx9),
     /* 207070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207075 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207089 */     GIR_RootConstrainSelectedInstOperands,
     /* 207090 */     // GIR_Coverage, 8467,
     /* 207090 */     GIR_EraseRootFromParent_Done,
     /* 207091 */   // Label 3306: @207091
     /* 207091 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(207141), // Rule ID 8469 //
     /* 207096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 207099 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 207104 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207117 */     // (atomic_load_or_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_region_m0_noret_i64>>  =>  (DS_OR_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 207117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_B64),
     /* 207120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207125 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207139 */     GIR_RootConstrainSelectedInstOperands,
     /* 207140 */     // GIR_Coverage, 8469,
     /* 207140 */     GIR_EraseRootFromParent_Done,
     /* 207141 */   // Label 3307: @207141
     /* 207141 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(207195), // Rule ID 8464 //
     /* 207146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 207149 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 207154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207169 */     // (atomic_load_or_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_local_m0_i64>>  =>  (DS_OR_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 207169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B64),
     /* 207172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207179 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207193 */     GIR_RootConstrainSelectedInstOperands,
     /* 207194 */     // GIR_Coverage, 8464,
     /* 207194 */     GIR_EraseRootFromParent_Done,
     /* 207195 */   // Label 3308: @207195
     /* 207195 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(207249), // Rule ID 8466 //
     /* 207200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 207203 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 207208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207223 */     // (atomic_load_or:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_local_i64>>  =>  (DS_OR_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 207223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B64_gfx9),
     /* 207226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207233 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207247 */     GIR_RootConstrainSelectedInstOperands,
     /* 207248 */     // GIR_Coverage, 8466,
     /* 207248 */     GIR_EraseRootFromParent_Done,
     /* 207249 */   // Label 3309: @207249
     /* 207249 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(207303), // Rule ID 8468 //
     /* 207254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 207257 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 207262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 207277 */     // (atomic_load_or_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_or_region_m0_i64>>  =>  (DS_OR_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 207277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_OR_RTN_B64),
     /* 207280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 207287 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 207289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207301 */     GIR_RootConstrainSelectedInstOperands,
     /* 207302 */     // GIR_Coverage, 8468,
     /* 207302 */     GIR_EraseRootFromParent_Done,
     /* 207303 */   // Label 3310: @207303
     /* 207303 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(207360), // Rule ID 4158 //
     /* 207308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 207311 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207318 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 207331 */     // (atomic_load_or:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (GLOBAL_ATOMIC_OR_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 207331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_X2_SADDR),
     /* 207334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 207339 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 207346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 207351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207358 */     GIR_RootConstrainSelectedInstOperands,
     /* 207359 */     // GIR_Coverage, 4158,
     /* 207359 */     GIR_EraseRootFromParent_Done,
     /* 207360 */   // Label 3311: @207360
     /* 207360 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(207421), // Rule ID 4160 //
     /* 207365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 207368 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 207390 */     // (atomic_load_or:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_i64>>  =>  (GLOBAL_ATOMIC_OR_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 207390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_X2_SADDR_RTN),
     /* 207393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 207400 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 207407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 207412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207419 */     GIR_RootConstrainSelectedInstOperands,
     /* 207420 */     // GIR_Coverage, 4160,
     /* 207420 */     GIR_EraseRootFromParent_Done,
     /* 207421 */   // Label 3312: @207421
     /* 207421 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(207473), // Rule ID 4157 //
     /* 207426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 207429 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207436 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 207449 */     // (atomic_load_or:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (GLOBAL_ATOMIC_OR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_X2),
     /* 207452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207457 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207471 */     GIR_RootConstrainSelectedInstOperands,
     /* 207472 */     // GIR_Coverage, 4157,
     /* 207472 */     GIR_EraseRootFromParent_Done,
     /* 207473 */   // Label 3313: @207473
     /* 207473 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(207529), // Rule ID 4159 //
     /* 207478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 207481 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 207503 */     // (atomic_load_or:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_i64>>  =>  (GLOBAL_ATOMIC_OR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_OR_X2_RTN),
     /* 207506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207513 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207527 */     GIR_RootConstrainSelectedInstOperands,
     /* 207528 */     // GIR_Coverage, 4159,
     /* 207528 */     GIR_EraseRootFromParent_Done,
     /* 207529 */   // Label 3314: @207529
     /* 207529 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(207582), // Rule ID 3740 //
     /* 207534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 207537 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207545 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 207558 */     // (atomic_load_or:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_flat_noret_i64>>  =>  (FLAT_ATOMIC_OR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_X2),
     /* 207561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207566 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207580 */     GIR_RootConstrainSelectedInstOperands,
     /* 207581 */     // GIR_Coverage, 3740,
     /* 207581 */     GIR_EraseRootFromParent_Done,
     /* 207582 */   // Label 3315: @207582
     /* 207582 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(207634), // Rule ID 3800 //
     /* 207587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 207590 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207597 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 207610 */     // (atomic_load_or:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_noret_i64>>  =>  (FLAT_ATOMIC_OR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_X2),
     /* 207613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207618 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207632 */     GIR_RootConstrainSelectedInstOperands,
     /* 207633 */     // GIR_Coverage, 3800,
     /* 207633 */     GIR_EraseRootFromParent_Done,
     /* 207634 */   // Label 3316: @207634
     /* 207634 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(207691), // Rule ID 3739 //
     /* 207639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 207642 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 207665 */     // (atomic_load_or:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_flat_i64>>  =>  (FLAT_ATOMIC_OR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_X2_RTN),
     /* 207668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207675 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207689 */     GIR_RootConstrainSelectedInstOperands,
     /* 207690 */     // GIR_Coverage, 3739,
     /* 207690 */     GIR_EraseRootFromParent_Done,
     /* 207691 */   // Label 3317: @207691
     /* 207691 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(207747), // Rule ID 3799 //
     /* 207696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 207699 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 207710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 207721 */     // (atomic_load_or:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_or_global_i64>>  =>  (FLAT_ATOMIC_OR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 207721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_OR_X2_RTN),
     /* 207724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 207726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 207731 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 207733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 207738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207745 */     GIR_RootConstrainSelectedInstOperands,
     /* 207746 */     // GIR_Coverage, 3799,
     /* 207746 */     GIR_EraseRootFromParent_Done,
     /* 207747 */   // Label 3318: @207747
     /* 207747 */   GIM_Reject,
     /* 207748 */ // Label 3296: @207748
     /* 207748 */ GIM_Reject,
     /* 207749 */ // Label 3272: @207749
     /* 207749 */ GIM_Reject,
     /* 207750 */ // Label 24: @207750
     /* 207750 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3321*/ GIMT_Encode4(210261),
     /* 207761 */ /*GILLT_s32*//*Label 3319*/ GIMT_Encode4(207769),
     /* 207765 */ /*GILLT_s64*//*Label 3320*/ GIMT_Encode4(209015),
     /* 207769 */ // Label 3319: @207769
     /* 207769 */ GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(209014),
     /* 207774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 207777 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(207839), // Rule ID 5713 //
     /* 207782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 207785 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207792 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 207805 */     // (atomic_load_xor:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (BUFFER_ATOMIC_XOR_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 207805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_ADDR64),
     /* 207808 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 207810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 207815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 207820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 207825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 207830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207837 */     GIR_RootConstrainSelectedInstOperands,
     /* 207838 */     // GIR_Coverage, 5713,
     /* 207838 */     GIR_EraseRootFromParent_Done,
     /* 207839 */   // Label 3323: @207839
     /* 207839 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(207898), // Rule ID 5717 //
     /* 207844 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207851 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 207853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 207864 */     // (atomic_load_xor:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 207864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_ADDR64),
     /* 207867 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 207869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 207874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 207879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 207884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 207889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207896 */     GIR_RootConstrainSelectedInstOperands,
     /* 207897 */     // GIR_Coverage, 5717,
     /* 207897 */     GIR_EraseRootFromParent_Done,
     /* 207898 */   // Label 3324: @207898
     /* 207898 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(207964), // Rule ID 5711 //
     /* 207903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 207906 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 207917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 207928 */     // (atomic_load_xor:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (BUFFER_ATOMIC_XOR_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 207928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_ADDR64_RTN),
     /* 207931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 207933 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 207935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 207940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 207945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 207950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 207955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 207962 */     GIR_RootConstrainSelectedInstOperands,
     /* 207963 */     // GIR_Coverage, 5711,
     /* 207963 */     GIR_EraseRootFromParent_Done,
     /* 207964 */   // Label 3325: @207964
     /* 207964 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(208027), // Rule ID 5715 //
     /* 207969 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 207976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 207980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 207984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 207991 */     // (atomic_load_xor:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 207991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_ADDR64_RTN),
     /* 207994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 207996 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 207998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 208003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 208008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 208013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 208018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208025 */     GIR_RootConstrainSelectedInstOperands,
     /* 208026 */     // GIR_Coverage, 5715,
     /* 208026 */     GIR_EraseRootFromParent_Done,
     /* 208027 */   // Label 3326: @208027
     /* 208027 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(208084), // Rule ID 5712 //
     /* 208032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 208035 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208042 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 208055 */     // (atomic_load_xor:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (BUFFER_ATOMIC_XOR_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 208055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFSET),
     /* 208058 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 208060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 208065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 208070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208082 */     GIR_RootConstrainSelectedInstOperands,
     /* 208083 */     // GIR_Coverage, 5712,
     /* 208083 */     GIR_EraseRootFromParent_Done,
     /* 208084 */   // Label 3327: @208084
     /* 208084 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(208138), // Rule ID 5716 //
     /* 208089 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208096 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 208109 */     // (atomic_load_xor:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 208109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFSET),
     /* 208112 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 208114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 208119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 208124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208136 */     GIR_RootConstrainSelectedInstOperands,
     /* 208137 */     // GIR_Coverage, 5716,
     /* 208137 */     GIR_EraseRootFromParent_Done,
     /* 208138 */   // Label 3328: @208138
     /* 208138 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(208199), // Rule ID 5710 //
     /* 208143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 208146 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 208168 */     // (atomic_load_xor:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (BUFFER_ATOMIC_XOR_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 208168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFSET_RTN),
     /* 208171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 208173 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 208175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 208180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 208185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208197 */     GIR_RootConstrainSelectedInstOperands,
     /* 208198 */     // GIR_Coverage, 5710,
     /* 208198 */     GIR_EraseRootFromParent_Done,
     /* 208199 */   // Label 3329: @208199
     /* 208199 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(208257), // Rule ID 5714 //
     /* 208204 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 208226 */     // (atomic_load_xor:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 208226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFSET_RTN),
     /* 208229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 208231 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 208233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 208238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 208243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208255 */     GIR_RootConstrainSelectedInstOperands,
     /* 208256 */     // GIR_Coverage, 5714,
     /* 208256 */     GIR_EraseRootFromParent_Done,
     /* 208257 */   // Label 3330: @208257
     /* 208257 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(208307), // Rule ID 8378 //
     /* 208262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 208265 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 208270 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208283 */     // (atomic_load_xor_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_local_m0_noret_i32>>  =>  (DS_XOR_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 208283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B32),
     /* 208286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208291 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208305 */     GIR_RootConstrainSelectedInstOperands,
     /* 208306 */     // GIR_Coverage, 8378,
     /* 208306 */     GIR_EraseRootFromParent_Done,
     /* 208307 */   // Label 3331: @208307
     /* 208307 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(208357), // Rule ID 8380 //
     /* 208312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 208315 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 208320 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208333 */     // (atomic_load_xor:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_local_noret_i32>>  =>  (DS_XOR_B32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 208333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B32_gfx9),
     /* 208336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208341 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208355 */     GIR_RootConstrainSelectedInstOperands,
     /* 208356 */     // GIR_Coverage, 8380,
     /* 208356 */     GIR_EraseRootFromParent_Done,
     /* 208357 */   // Label 3332: @208357
     /* 208357 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(208407), // Rule ID 8382 //
     /* 208362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 208365 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 208370 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208383 */     // (atomic_load_xor_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_region_m0_noret_i32>>  =>  (DS_XOR_B32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 208383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B32),
     /* 208386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208391 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208405 */     GIR_RootConstrainSelectedInstOperands,
     /* 208406 */     // GIR_Coverage, 8382,
     /* 208406 */     GIR_EraseRootFromParent_Done,
     /* 208407 */   // Label 3333: @208407
     /* 208407 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(208461), // Rule ID 8377 //
     /* 208412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 208415 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 208420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208435 */     // (atomic_load_xor_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_local_m0_i32>>  =>  (DS_XOR_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 208435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B32),
     /* 208438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208445 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208459 */     GIR_RootConstrainSelectedInstOperands,
     /* 208460 */     // GIR_Coverage, 8377,
     /* 208460 */     GIR_EraseRootFromParent_Done,
     /* 208461 */   // Label 3334: @208461
     /* 208461 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(208515), // Rule ID 8379 //
     /* 208466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 208469 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 208474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208489 */     // (atomic_load_xor:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_local_i32>>  =>  (DS_XOR_RTN_B32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 208489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B32_gfx9),
     /* 208492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208499 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208513 */     GIR_RootConstrainSelectedInstOperands,
     /* 208514 */     // GIR_Coverage, 8379,
     /* 208514 */     GIR_EraseRootFromParent_Done,
     /* 208515 */   // Label 3335: @208515
     /* 208515 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(208569), // Rule ID 8381 //
     /* 208520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 208523 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 208528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 208543 */     // (atomic_load_xor_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_xor_region_m0_i32>>  =>  (DS_XOR_RTN_B32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 208543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B32),
     /* 208546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 208553 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 208555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208567 */     GIR_RootConstrainSelectedInstOperands,
     /* 208568 */     // GIR_Coverage, 8381,
     /* 208568 */     GIR_EraseRootFromParent_Done,
     /* 208569 */   // Label 3336: @208569
     /* 208569 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(208626), // Rule ID 4114 //
     /* 208574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 208577 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208584 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 208597 */     // (atomic_load_xor:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (GLOBAL_ATOMIC_XOR_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 208597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_SADDR),
     /* 208600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 208605 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 208612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208624 */     GIR_RootConstrainSelectedInstOperands,
     /* 208625 */     // GIR_Coverage, 4114,
     /* 208625 */     GIR_EraseRootFromParent_Done,
     /* 208626 */   // Label 3337: @208626
     /* 208626 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(208687), // Rule ID 4116 //
     /* 208631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 208634 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 208656 */     // (atomic_load_xor:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (GLOBAL_ATOMIC_XOR_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 208656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_SADDR_RTN),
     /* 208659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 208666 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 208673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 208678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208685 */     GIR_RootConstrainSelectedInstOperands,
     /* 208686 */     // GIR_Coverage, 4116,
     /* 208686 */     GIR_EraseRootFromParent_Done,
     /* 208687 */   // Label 3338: @208687
     /* 208687 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(208739), // Rule ID 4113 //
     /* 208692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 208695 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208702 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 208715 */     // (atomic_load_xor:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (GLOBAL_ATOMIC_XOR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR),
     /* 208718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208723 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208737 */     GIR_RootConstrainSelectedInstOperands,
     /* 208738 */     // GIR_Coverage, 4113,
     /* 208738 */     GIR_EraseRootFromParent_Done,
     /* 208739 */   // Label 3339: @208739
     /* 208739 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(208795), // Rule ID 4115 //
     /* 208744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 208747 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 208769 */     // (atomic_load_xor:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (GLOBAL_ATOMIC_XOR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_RTN),
     /* 208772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208779 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208793 */     GIR_RootConstrainSelectedInstOperands,
     /* 208794 */     // GIR_Coverage, 4115,
     /* 208794 */     GIR_EraseRootFromParent_Done,
     /* 208795 */   // Label 3340: @208795
     /* 208795 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(208848), // Rule ID 3720 //
     /* 208800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 208803 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208811 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 208824 */     // (atomic_load_xor:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_flat_noret_i32>>  =>  (FLAT_ATOMIC_XOR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR),
     /* 208827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208832 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208846 */     GIR_RootConstrainSelectedInstOperands,
     /* 208847 */     // GIR_Coverage, 3720,
     /* 208847 */     GIR_EraseRootFromParent_Done,
     /* 208848 */   // Label 3341: @208848
     /* 208848 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(208900), // Rule ID 3780 //
     /* 208853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 208856 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208863 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 208865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 208876 */     // (atomic_load_xor:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i32>>  =>  (FLAT_ATOMIC_XOR VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR),
     /* 208879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208884 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208898 */     GIR_RootConstrainSelectedInstOperands,
     /* 208899 */     // GIR_Coverage, 3780,
     /* 208899 */     GIR_EraseRootFromParent_Done,
     /* 208900 */   // Label 3342: @208900
     /* 208900 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(208957), // Rule ID 3719 //
     /* 208905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 208908 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 208931 */     // (atomic_load_xor:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_flat_i32>>  =>  (FLAT_ATOMIC_XOR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_RTN),
     /* 208934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208941 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 208948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 208955 */     GIR_RootConstrainSelectedInstOperands,
     /* 208956 */     // GIR_Coverage, 3719,
     /* 208956 */     GIR_EraseRootFromParent_Done,
     /* 208957 */   // Label 3343: @208957
     /* 208957 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(209013), // Rule ID 3779 //
     /* 208962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 208965 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 208972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 208976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 208980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 208987 */     // (atomic_load_xor:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_xor_global_i32>>  =>  (FLAT_ATOMIC_XOR_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 208987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_RTN),
     /* 208990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 208992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 208997 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 208999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209011 */     GIR_RootConstrainSelectedInstOperands,
     /* 209012 */     // GIR_Coverage, 3779,
     /* 209012 */     GIR_EraseRootFromParent_Done,
     /* 209013 */   // Label 3344: @209013
     /* 209013 */   GIM_Reject,
     /* 209014 */ // Label 3322: @209014
     /* 209014 */ GIM_Reject,
     /* 209015 */ // Label 3320: @209015
     /* 209015 */ GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(210260),
     /* 209020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 209023 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(209085), // Rule ID 5809 //
     /* 209028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 209031 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209038 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 209051 */     // (atomic_load_xor:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_ADDR64),
     /* 209054 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 209061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 209071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 209076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209083 */     GIR_RootConstrainSelectedInstOperands,
     /* 209084 */     // GIR_Coverage, 5809,
     /* 209084 */     GIR_EraseRootFromParent_Done,
     /* 209085 */   // Label 3346: @209085
     /* 209085 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(209144), // Rule ID 5813 //
     /* 209090 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209097 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 209110 */     // (atomic_load_xor:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_ADDR64),
     /* 209113 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 209120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 209130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 209135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209142 */     GIR_RootConstrainSelectedInstOperands,
     /* 209143 */     // GIR_Coverage, 5813,
     /* 209143 */     GIR_EraseRootFromParent_Done,
     /* 209144 */   // Label 3347: @209144
     /* 209144 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(209210), // Rule ID 5807 //
     /* 209149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 209152 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 209174 */     // (atomic_load_xor:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_ADDR64_RTN),
     /* 209177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 209179 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 209186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 209196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 209201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209208 */     GIR_RootConstrainSelectedInstOperands,
     /* 209209 */     // GIR_Coverage, 5807,
     /* 209209 */     GIR_EraseRootFromParent_Done,
     /* 209210 */   // Label 3348: @209210
     /* 209210 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(209273), // Rule ID 5811 //
     /* 209215 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 209237 */     // (atomic_load_xor:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_ADDR64_RTN),
     /* 209240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 209242 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 209249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 209259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 209264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209271 */     GIR_RootConstrainSelectedInstOperands,
     /* 209272 */     // GIR_Coverage, 5811,
     /* 209272 */     GIR_EraseRootFromParent_Done,
     /* 209273 */   // Label 3349: @209273
     /* 209273 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(209330), // Rule ID 5808 //
     /* 209278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 209281 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209288 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 209301 */     // (atomic_load_xor:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFSET),
     /* 209304 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 209316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209328 */     GIR_RootConstrainSelectedInstOperands,
     /* 209329 */     // GIR_Coverage, 5808,
     /* 209329 */     GIR_EraseRootFromParent_Done,
     /* 209330 */   // Label 3350: @209330
     /* 209330 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(209384), // Rule ID 5812 //
     /* 209335 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209342 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 209355 */     // (atomic_load_xor:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET),
     /* 209358 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 209370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209382 */     GIR_RootConstrainSelectedInstOperands,
     /* 209383 */     // GIR_Coverage, 5812,
     /* 209383 */     GIR_EraseRootFromParent_Done,
     /* 209384 */   // Label 3351: @209384
     /* 209384 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(209445), // Rule ID 5806 //
     /* 209389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 209392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 209414 */     // (atomic_load_xor:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFSET_RTN),
     /* 209417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 209419 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 209431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209443 */     GIR_RootConstrainSelectedInstOperands,
     /* 209444 */     // GIR_Coverage, 5806,
     /* 209444 */     GIR_EraseRootFromParent_Done,
     /* 209445 */   // Label 3352: @209445
     /* 209445 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(209503), // Rule ID 5810 //
     /* 209450 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 209472 */     // (atomic_load_xor:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 209472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET_RTN),
     /* 209475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 209477 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 209479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 209484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 209489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209501 */     GIR_RootConstrainSelectedInstOperands,
     /* 209502 */     // GIR_Coverage, 5810,
     /* 209502 */     GIR_EraseRootFromParent_Done,
     /* 209503 */   // Label 3353: @209503
     /* 209503 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(209553), // Rule ID 8471 //
     /* 209508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 209511 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 209516 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209529 */     // (atomic_load_xor_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_local_m0_noret_i64>>  =>  (DS_XOR_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 209529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B64),
     /* 209532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209537 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209551 */     GIR_RootConstrainSelectedInstOperands,
     /* 209552 */     // GIR_Coverage, 8471,
     /* 209552 */     GIR_EraseRootFromParent_Done,
     /* 209553 */   // Label 3354: @209553
     /* 209553 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(209603), // Rule ID 8473 //
     /* 209558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 209561 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 209566 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209579 */     // (atomic_load_xor:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_local_noret_i64>>  =>  (DS_XOR_B64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 209579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B64_gfx9),
     /* 209582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209587 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209601 */     GIR_RootConstrainSelectedInstOperands,
     /* 209602 */     // GIR_Coverage, 8473,
     /* 209602 */     GIR_EraseRootFromParent_Done,
     /* 209603 */   // Label 3355: @209603
     /* 209603 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(209653), // Rule ID 8475 //
     /* 209608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 209611 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 209616 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209629 */     // (atomic_load_xor_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_region_m0_noret_i64>>  =>  (DS_XOR_B64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_B64),
     /* 209632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209637 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209651 */     GIR_RootConstrainSelectedInstOperands,
     /* 209652 */     // GIR_Coverage, 8475,
     /* 209652 */     GIR_EraseRootFromParent_Done,
     /* 209653 */   // Label 3356: @209653
     /* 209653 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(209707), // Rule ID 8470 //
     /* 209658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 209661 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 209666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209681 */     // (atomic_load_xor_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_local_m0_i64>>  =>  (DS_XOR_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 209681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B64),
     /* 209684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 209686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209691 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209705 */     GIR_RootConstrainSelectedInstOperands,
     /* 209706 */     // GIR_Coverage, 8470,
     /* 209706 */     GIR_EraseRootFromParent_Done,
     /* 209707 */   // Label 3357: @209707
     /* 209707 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(209761), // Rule ID 8472 //
     /* 209712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 209715 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 209720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209735 */     // (atomic_load_xor:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_local_i64>>  =>  (DS_XOR_RTN_B64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 209735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B64_gfx9),
     /* 209738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 209740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209745 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209759 */     GIR_RootConstrainSelectedInstOperands,
     /* 209760 */     // GIR_Coverage, 8472,
     /* 209760 */     GIR_EraseRootFromParent_Done,
     /* 209761 */   // Label 3358: @209761
     /* 209761 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(209815), // Rule ID 8474 //
     /* 209766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 209769 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 209774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 209789 */     // (atomic_load_xor_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_xor_region_m0_i64>>  =>  (DS_XOR_RTN_B64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 209789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_XOR_RTN_B64),
     /* 209792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 209794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 209799 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 209801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209813 */     GIR_RootConstrainSelectedInstOperands,
     /* 209814 */     // GIR_Coverage, 8474,
     /* 209814 */     GIR_EraseRootFromParent_Done,
     /* 209815 */   // Label 3359: @209815
     /* 209815 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(209872), // Rule ID 4170 //
     /* 209820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 209823 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209830 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 209843 */     // (atomic_load_xor:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (GLOBAL_ATOMIC_XOR_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 209843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_X2_SADDR),
     /* 209846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 209851 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 209853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 209858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209870 */     GIR_RootConstrainSelectedInstOperands,
     /* 209871 */     // GIR_Coverage, 4170,
     /* 209871 */     GIR_EraseRootFromParent_Done,
     /* 209872 */   // Label 3360: @209872
     /* 209872 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(209933), // Rule ID 4172 //
     /* 209877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 209880 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 209891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 209902 */     // (atomic_load_xor:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (GLOBAL_ATOMIC_XOR_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 209902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_X2_SADDR_RTN),
     /* 209905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 209907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 209912 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 209914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 209919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 209924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 209927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209931 */     GIR_RootConstrainSelectedInstOperands,
     /* 209932 */     // GIR_Coverage, 4172,
     /* 209932 */     GIR_EraseRootFromParent_Done,
     /* 209933 */   // Label 3361: @209933
     /* 209933 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(209985), // Rule ID 4169 //
     /* 209938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 209941 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 209948 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 209950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 209954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 209961 */     // (atomic_load_xor:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (GLOBAL_ATOMIC_XOR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 209961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_X2),
     /* 209964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 209969 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 209971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 209976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 209979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 209983 */     GIR_RootConstrainSelectedInstOperands,
     /* 209984 */     // GIR_Coverage, 4169,
     /* 209984 */     GIR_EraseRootFromParent_Done,
     /* 209985 */   // Label 3362: @209985
     /* 209985 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(210041), // Rule ID 4171 //
     /* 209990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 209993 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 210004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 210015 */     // (atomic_load_xor:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (GLOBAL_ATOMIC_XOR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 210015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_XOR_X2_RTN),
     /* 210018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 210020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 210025 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 210027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210039 */     GIR_RootConstrainSelectedInstOperands,
     /* 210040 */     // GIR_Coverage, 4171,
     /* 210040 */     GIR_EraseRootFromParent_Done,
     /* 210041 */   // Label 3363: @210041
     /* 210041 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(210094), // Rule ID 3746 //
     /* 210046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 210049 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210057 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 210070 */     // (atomic_load_xor:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_flat_noret_i64>>  =>  (FLAT_ATOMIC_XOR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 210070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_X2),
     /* 210073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 210078 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 210080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210092 */     GIR_RootConstrainSelectedInstOperands,
     /* 210093 */     // GIR_Coverage, 3746,
     /* 210093 */     GIR_EraseRootFromParent_Done,
     /* 210094 */   // Label 3364: @210094
     /* 210094 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(210146), // Rule ID 3806 //
     /* 210099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 210102 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210109 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 210122 */     // (atomic_load_xor:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_noret_i64>>  =>  (FLAT_ATOMIC_XOR_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 210122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_X2),
     /* 210125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 210130 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 210132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210144 */     GIR_RootConstrainSelectedInstOperands,
     /* 210145 */     // GIR_Coverage, 3806,
     /* 210145 */     GIR_EraseRootFromParent_Done,
     /* 210146 */   // Label 3365: @210146
     /* 210146 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(210203), // Rule ID 3745 //
     /* 210151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 210154 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 210166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 210177 */     // (atomic_load_xor:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_flat_i64>>  =>  (FLAT_ATOMIC_XOR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 210177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_X2_RTN),
     /* 210180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 210182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 210187 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 210189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210201 */     GIR_RootConstrainSelectedInstOperands,
     /* 210202 */     // GIR_Coverage, 3745,
     /* 210202 */     GIR_EraseRootFromParent_Done,
     /* 210203 */   // Label 3366: @210203
     /* 210203 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(210259), // Rule ID 3805 //
     /* 210208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 210211 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 210222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 210233 */     // (atomic_load_xor:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_xor_global_i64>>  =>  (FLAT_ATOMIC_XOR_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 210233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_XOR_X2_RTN),
     /* 210236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 210238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 210243 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 210245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210257 */     GIR_RootConstrainSelectedInstOperands,
     /* 210258 */     // GIR_Coverage, 3805,
     /* 210258 */     GIR_EraseRootFromParent_Done,
     /* 210259 */   // Label 3367: @210259
     /* 210259 */   GIM_Reject,
     /* 210260 */ // Label 3345: @210260
     /* 210260 */ GIM_Reject,
     /* 210261 */ // Label 3321: @210261
     /* 210261 */ GIM_Reject,
     /* 210262 */ // Label 25: @210262
     /* 210262 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3370*/ GIMT_Encode4(212773),
     /* 210273 */ /*GILLT_s32*//*Label 3368*/ GIMT_Encode4(210281),
     /* 210277 */ /*GILLT_s64*//*Label 3369*/ GIMT_Encode4(211527),
     /* 210281 */ // Label 3368: @210281
     /* 210281 */ GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(211526),
     /* 210286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 210289 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(210351), // Rule ID 5681 //
     /* 210294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 210297 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210304 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 210317 */     // (atomic_load_max:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMAX_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_ADDR64),
     /* 210320 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 210327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 210337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 210342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210349 */     GIR_RootConstrainSelectedInstOperands,
     /* 210350 */     // GIR_Coverage, 5681,
     /* 210350 */     GIR_EraseRootFromParent_Done,
     /* 210351 */   // Label 3372: @210351
     /* 210351 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(210410), // Rule ID 5685 //
     /* 210356 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210363 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 210376 */     // (atomic_load_max:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_ADDR64),
     /* 210379 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 210386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 210396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 210401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210408 */     GIR_RootConstrainSelectedInstOperands,
     /* 210409 */     // GIR_Coverage, 5685,
     /* 210409 */     GIR_EraseRootFromParent_Done,
     /* 210410 */   // Label 3373: @210410
     /* 210410 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(210476), // Rule ID 5679 //
     /* 210415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 210418 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 210440 */     // (atomic_load_max:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i32>>  =>  (BUFFER_ATOMIC_SMAX_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_ADDR64_RTN),
     /* 210443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 210445 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 210452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 210462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 210467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210474 */     GIR_RootConstrainSelectedInstOperands,
     /* 210475 */     // GIR_Coverage, 5679,
     /* 210475 */     GIR_EraseRootFromParent_Done,
     /* 210476 */   // Label 3374: @210476
     /* 210476 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(210539), // Rule ID 5683 //
     /* 210481 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 210503 */     // (atomic_load_max:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i32>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_ADDR64_RTN),
     /* 210506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 210508 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 210515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 210525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 210530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210537 */     GIR_RootConstrainSelectedInstOperands,
     /* 210538 */     // GIR_Coverage, 5683,
     /* 210538 */     GIR_EraseRootFromParent_Done,
     /* 210539 */   // Label 3375: @210539
     /* 210539 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(210596), // Rule ID 5680 //
     /* 210544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 210547 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210554 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 210567 */     // (atomic_load_max:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMAX_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFSET),
     /* 210570 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 210582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 210587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210594 */     GIR_RootConstrainSelectedInstOperands,
     /* 210595 */     // GIR_Coverage, 5680,
     /* 210595 */     GIR_EraseRootFromParent_Done,
     /* 210596 */   // Label 3376: @210596
     /* 210596 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(210650), // Rule ID 5684 //
     /* 210601 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210608 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 210621 */     // (atomic_load_max:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET),
     /* 210624 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 210636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 210641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210648 */     GIR_RootConstrainSelectedInstOperands,
     /* 210649 */     // GIR_Coverage, 5684,
     /* 210649 */     GIR_EraseRootFromParent_Done,
     /* 210650 */   // Label 3377: @210650
     /* 210650 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(210711), // Rule ID 5678 //
     /* 210655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 210658 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 210680 */     // (atomic_load_max:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i32>>  =>  (BUFFER_ATOMIC_SMAX_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFSET_RTN),
     /* 210683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 210685 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 210697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 210702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210709 */     GIR_RootConstrainSelectedInstOperands,
     /* 210710 */     // GIR_Coverage, 5678,
     /* 210710 */     GIR_EraseRootFromParent_Done,
     /* 210711 */   // Label 3378: @210711
     /* 210711 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(210769), // Rule ID 5682 //
     /* 210716 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 210723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 210738 */     // (atomic_load_max:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i32>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 210738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET_RTN),
     /* 210741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 210743 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 210745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 210750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 210755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 210760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210767 */     GIR_RootConstrainSelectedInstOperands,
     /* 210768 */     // GIR_Coverage, 5682,
     /* 210768 */     GIR_EraseRootFromParent_Done,
     /* 210769 */   // Label 3379: @210769
     /* 210769 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(210819), // Rule ID 8390 //
     /* 210774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 210777 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 210782 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 210795 */     // (atomic_load_max_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_local_m0_noret_i32>>  =>  (DS_MAX_I32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 210795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I32),
     /* 210798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 210803 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 210805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210817 */     GIR_RootConstrainSelectedInstOperands,
     /* 210818 */     // GIR_Coverage, 8390,
     /* 210818 */     GIR_EraseRootFromParent_Done,
     /* 210819 */   // Label 3380: @210819
     /* 210819 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(210869), // Rule ID 8392 //
     /* 210824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 210827 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 210832 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 210845 */     // (atomic_load_max:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_local_noret_i32>>  =>  (DS_MAX_I32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 210845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I32_gfx9),
     /* 210848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 210853 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 210855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210867 */     GIR_RootConstrainSelectedInstOperands,
     /* 210868 */     // GIR_Coverage, 8392,
     /* 210868 */     GIR_EraseRootFromParent_Done,
     /* 210869 */   // Label 3381: @210869
     /* 210869 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(210919), // Rule ID 8394 //
     /* 210874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 210877 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 210882 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 210884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 210895 */     // (atomic_load_max_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_region_m0_noret_i32>>  =>  (DS_MAX_I32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 210895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I32),
     /* 210898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 210903 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 210905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210917 */     GIR_RootConstrainSelectedInstOperands,
     /* 210918 */     // GIR_Coverage, 8394,
     /* 210918 */     GIR_EraseRootFromParent_Done,
     /* 210919 */   // Label 3382: @210919
     /* 210919 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(210973), // Rule ID 8389 //
     /* 210924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 210927 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 210932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 210947 */     // (atomic_load_max_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_local_m0_i32>>  =>  (DS_MAX_RTN_I32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 210947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I32),
     /* 210950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 210952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 210957 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 210959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 210964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 210971 */     GIR_RootConstrainSelectedInstOperands,
     /* 210972 */     // GIR_Coverage, 8389,
     /* 210972 */     GIR_EraseRootFromParent_Done,
     /* 210973 */   // Label 3383: @210973
     /* 210973 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(211027), // Rule ID 8391 //
     /* 210978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 210981 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 210986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 210990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 210994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 211001 */     // (atomic_load_max:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_local_i32>>  =>  (DS_MAX_RTN_I32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 211001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I32_gfx9),
     /* 211004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 211011 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 211013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211025 */     GIR_RootConstrainSelectedInstOperands,
     /* 211026 */     // GIR_Coverage, 8391,
     /* 211026 */     GIR_EraseRootFromParent_Done,
     /* 211027 */   // Label 3384: @211027
     /* 211027 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(211081), // Rule ID 8393 //
     /* 211032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 211035 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 211040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 211044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 211055 */     // (atomic_load_max_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_max_region_m0_i32>>  =>  (DS_MAX_RTN_I32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 211055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I32),
     /* 211058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 211065 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 211067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211079 */     GIR_RootConstrainSelectedInstOperands,
     /* 211080 */     // GIR_Coverage, 8393,
     /* 211080 */     GIR_EraseRootFromParent_Done,
     /* 211081 */   // Label 3385: @211081
     /* 211081 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(211138), // Rule ID 4086 //
     /* 211086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 211089 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211096 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 211109 */     // (atomic_load_max:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SMAX_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 211109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_SADDR),
     /* 211112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 211117 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 211124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 211129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211136 */     GIR_RootConstrainSelectedInstOperands,
     /* 211137 */     // GIR_Coverage, 4086,
     /* 211137 */     GIR_EraseRootFromParent_Done,
     /* 211138 */   // Label 3386: @211138
     /* 211138 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(211199), // Rule ID 4088 //
     /* 211143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 211146 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 211157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 211168 */     // (atomic_load_max:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_i32>>  =>  (GLOBAL_ATOMIC_SMAX_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 211168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_SADDR_RTN),
     /* 211171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 211178 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 211185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 211190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211197 */     GIR_RootConstrainSelectedInstOperands,
     /* 211198 */     // GIR_Coverage, 4088,
     /* 211198 */     GIR_EraseRootFromParent_Done,
     /* 211199 */   // Label 3387: @211199
     /* 211199 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(211251), // Rule ID 4085 //
     /* 211204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 211207 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211214 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 211227 */     // (atomic_load_max:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX),
     /* 211230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211235 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211249 */     GIR_RootConstrainSelectedInstOperands,
     /* 211250 */     // GIR_Coverage, 4085,
     /* 211250 */     GIR_EraseRootFromParent_Done,
     /* 211251 */   // Label 3388: @211251
     /* 211251 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(211307), // Rule ID 4087 //
     /* 211256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 211259 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 211270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 211281 */     // (atomic_load_max:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_i32>>  =>  (GLOBAL_ATOMIC_SMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_RTN),
     /* 211284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211291 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211305 */     GIR_RootConstrainSelectedInstOperands,
     /* 211306 */     // GIR_Coverage, 4087,
     /* 211306 */     GIR_EraseRootFromParent_Done,
     /* 211307 */   // Label 3389: @211307
     /* 211307 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(211360), // Rule ID 3706 //
     /* 211312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 211315 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211323 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 211336 */     // (atomic_load_max:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_flat_noret_i32>>  =>  (FLAT_ATOMIC_SMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX),
     /* 211339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211344 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211358 */     GIR_RootConstrainSelectedInstOperands,
     /* 211359 */     // GIR_Coverage, 3706,
     /* 211359 */     GIR_EraseRootFromParent_Done,
     /* 211360 */   // Label 3390: @211360
     /* 211360 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(211412), // Rule ID 3766 //
     /* 211365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 211368 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211375 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 211388 */     // (atomic_load_max:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_noret_i32>>  =>  (FLAT_ATOMIC_SMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX),
     /* 211391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211396 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211410 */     GIR_RootConstrainSelectedInstOperands,
     /* 211411 */     // GIR_Coverage, 3766,
     /* 211411 */     GIR_EraseRootFromParent_Done,
     /* 211412 */   // Label 3391: @211412
     /* 211412 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(211469), // Rule ID 3705 //
     /* 211417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 211420 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 211432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 211443 */     // (atomic_load_max:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_flat_i32>>  =>  (FLAT_ATOMIC_SMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_RTN),
     /* 211446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211453 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211467 */     GIR_RootConstrainSelectedInstOperands,
     /* 211468 */     // GIR_Coverage, 3705,
     /* 211468 */     GIR_EraseRootFromParent_Done,
     /* 211469 */   // Label 3392: @211469
     /* 211469 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(211525), // Rule ID 3765 //
     /* 211474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 211477 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 211488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 211499 */     // (atomic_load_max:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_max_global_i32>>  =>  (FLAT_ATOMIC_SMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 211499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_RTN),
     /* 211502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 211504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 211509 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 211511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 211516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211523 */     GIR_RootConstrainSelectedInstOperands,
     /* 211524 */     // GIR_Coverage, 3765,
     /* 211524 */     GIR_EraseRootFromParent_Done,
     /* 211525 */   // Label 3393: @211525
     /* 211525 */   GIM_Reject,
     /* 211526 */ // Label 3371: @211526
     /* 211526 */ GIM_Reject,
     /* 211527 */ // Label 3369: @211527
     /* 211527 */ GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(212772),
     /* 211532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 211535 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(211597), // Rule ID 5777 //
     /* 211540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 211543 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211550 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 211563 */     // (atomic_load_max:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_ADDR64),
     /* 211566 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 211573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 211583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 211588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211595 */     GIR_RootConstrainSelectedInstOperands,
     /* 211596 */     // GIR_Coverage, 5777,
     /* 211596 */     GIR_EraseRootFromParent_Done,
     /* 211597 */   // Label 3395: @211597
     /* 211597 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(211656), // Rule ID 5781 //
     /* 211602 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211609 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 211622 */     // (atomic_load_max:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_ADDR64),
     /* 211625 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 211632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 211642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 211647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211654 */     GIR_RootConstrainSelectedInstOperands,
     /* 211655 */     // GIR_Coverage, 5781,
     /* 211655 */     GIR_EraseRootFromParent_Done,
     /* 211656 */   // Label 3396: @211656
     /* 211656 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(211722), // Rule ID 5775 //
     /* 211661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 211664 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 211675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 211686 */     // (atomic_load_max:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_ADDR64_RTN),
     /* 211689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 211691 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 211698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 211708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 211713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211720 */     GIR_RootConstrainSelectedInstOperands,
     /* 211721 */     // GIR_Coverage, 5775,
     /* 211721 */     GIR_EraseRootFromParent_Done,
     /* 211722 */   // Label 3397: @211722
     /* 211722 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(211785), // Rule ID 5779 //
     /* 211727 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 211738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 211749 */     // (atomic_load_max:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_ADDR64_RTN),
     /* 211752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 211754 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 211761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 211771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 211776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211783 */     GIR_RootConstrainSelectedInstOperands,
     /* 211784 */     // GIR_Coverage, 5779,
     /* 211784 */     GIR_EraseRootFromParent_Done,
     /* 211785 */   // Label 3398: @211785
     /* 211785 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(211842), // Rule ID 5776 //
     /* 211790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 211793 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211800 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 211813 */     // (atomic_load_max:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFSET),
     /* 211816 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 211828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 211833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211840 */     GIR_RootConstrainSelectedInstOperands,
     /* 211841 */     // GIR_Coverage, 5776,
     /* 211841 */     GIR_EraseRootFromParent_Done,
     /* 211842 */   // Label 3399: @211842
     /* 211842 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(211896), // Rule ID 5780 //
     /* 211847 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211854 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 211856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 211867 */     // (atomic_load_max:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET),
     /* 211870 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 211882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 211887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211894 */     GIR_RootConstrainSelectedInstOperands,
     /* 211895 */     // GIR_Coverage, 5780,
     /* 211895 */     GIR_EraseRootFromParent_Done,
     /* 211896 */   // Label 3400: @211896
     /* 211896 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(211957), // Rule ID 5774 //
     /* 211901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 211904 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 211915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 211926 */     // (atomic_load_max:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFSET_RTN),
     /* 211929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 211931 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 211943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 211948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 211955 */     GIR_RootConstrainSelectedInstOperands,
     /* 211956 */     // GIR_Coverage, 5774,
     /* 211956 */     GIR_EraseRootFromParent_Done,
     /* 211957 */   // Label 3401: @211957
     /* 211957 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(212015), // Rule ID 5778 //
     /* 211962 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 211969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 211973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 211977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 211984 */     // (atomic_load_max:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_max_global_i64>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 211984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET_RTN),
     /* 211987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 211989 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 211991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 211996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 212001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 212006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212013 */     GIR_RootConstrainSelectedInstOperands,
     /* 212014 */     // GIR_Coverage, 5778,
     /* 212014 */     GIR_EraseRootFromParent_Done,
     /* 212015 */   // Label 3402: @212015
     /* 212015 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(212065), // Rule ID 8483 //
     /* 212020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 212023 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 212028 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212041 */     // (atomic_load_max_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_local_m0_noret_i64>>  =>  (DS_MAX_I64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 212041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I64),
     /* 212044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212049 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212063 */     GIR_RootConstrainSelectedInstOperands,
     /* 212064 */     // GIR_Coverage, 8483,
     /* 212064 */     GIR_EraseRootFromParent_Done,
     /* 212065 */   // Label 3403: @212065
     /* 212065 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(212115), // Rule ID 8485 //
     /* 212070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 212073 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 212078 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212091 */     // (atomic_load_max:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_local_noret_i64>>  =>  (DS_MAX_I64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 212091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I64_gfx9),
     /* 212094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212099 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212113 */     GIR_RootConstrainSelectedInstOperands,
     /* 212114 */     // GIR_Coverage, 8485,
     /* 212114 */     GIR_EraseRootFromParent_Done,
     /* 212115 */   // Label 3404: @212115
     /* 212115 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(212165), // Rule ID 8487 //
     /* 212120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 212123 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 212128 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212141 */     // (atomic_load_max_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_region_m0_noret_i64>>  =>  (DS_MAX_I64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 212141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_I64),
     /* 212144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212149 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212163 */     GIR_RootConstrainSelectedInstOperands,
     /* 212164 */     // GIR_Coverage, 8487,
     /* 212164 */     GIR_EraseRootFromParent_Done,
     /* 212165 */   // Label 3405: @212165
     /* 212165 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(212219), // Rule ID 8482 //
     /* 212170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 212173 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 212178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212193 */     // (atomic_load_max_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_local_m0_i64>>  =>  (DS_MAX_RTN_I64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 212193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I64),
     /* 212196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212203 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212217 */     GIR_RootConstrainSelectedInstOperands,
     /* 212218 */     // GIR_Coverage, 8482,
     /* 212218 */     GIR_EraseRootFromParent_Done,
     /* 212219 */   // Label 3406: @212219
     /* 212219 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(212273), // Rule ID 8484 //
     /* 212224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 212227 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 212232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212247 */     // (atomic_load_max:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_local_i64>>  =>  (DS_MAX_RTN_I64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 212247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I64_gfx9),
     /* 212250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212257 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212271 */     GIR_RootConstrainSelectedInstOperands,
     /* 212272 */     // GIR_Coverage, 8484,
     /* 212272 */     GIR_EraseRootFromParent_Done,
     /* 212273 */   // Label 3407: @212273
     /* 212273 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(212327), // Rule ID 8486 //
     /* 212278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 212281 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 212286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 212301 */     // (atomic_load_max_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_max_region_m0_i64>>  =>  (DS_MAX_RTN_I64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 212301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_I64),
     /* 212304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 212311 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 212313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212325 */     GIR_RootConstrainSelectedInstOperands,
     /* 212326 */     // GIR_Coverage, 8486,
     /* 212326 */     GIR_EraseRootFromParent_Done,
     /* 212327 */   // Label 3408: @212327
     /* 212327 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(212384), // Rule ID 4142 //
     /* 212332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 212335 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212342 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 212355 */     // (atomic_load_max:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SMAX_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 212355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_X2_SADDR),
     /* 212358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 212363 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 212370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 212375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212382 */     GIR_RootConstrainSelectedInstOperands,
     /* 212383 */     // GIR_Coverage, 4142,
     /* 212383 */     GIR_EraseRootFromParent_Done,
     /* 212384 */   // Label 3409: @212384
     /* 212384 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(212445), // Rule ID 4144 //
     /* 212389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 212392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 212414 */     // (atomic_load_max:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_i64>>  =>  (GLOBAL_ATOMIC_SMAX_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 212414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_X2_SADDR_RTN),
     /* 212417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 212424 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 212431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 212436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212443 */     GIR_RootConstrainSelectedInstOperands,
     /* 212444 */     // GIR_Coverage, 4144,
     /* 212444 */     GIR_EraseRootFromParent_Done,
     /* 212445 */   // Label 3410: @212445
     /* 212445 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(212497), // Rule ID 4141 //
     /* 212450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 212453 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212460 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 212473 */     // (atomic_load_max:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_X2),
     /* 212476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212481 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212495 */     GIR_RootConstrainSelectedInstOperands,
     /* 212496 */     // GIR_Coverage, 4141,
     /* 212496 */     GIR_EraseRootFromParent_Done,
     /* 212497 */   // Label 3411: @212497
     /* 212497 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(212553), // Rule ID 4143 //
     /* 212502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 212505 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 212527 */     // (atomic_load_max:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_i64>>  =>  (GLOBAL_ATOMIC_SMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMAX_X2_RTN),
     /* 212530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212537 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212551 */     GIR_RootConstrainSelectedInstOperands,
     /* 212552 */     // GIR_Coverage, 4143,
     /* 212552 */     GIR_EraseRootFromParent_Done,
     /* 212553 */   // Label 3412: @212553
     /* 212553 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(212606), // Rule ID 3732 //
     /* 212558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 212561 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212569 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 212582 */     // (atomic_load_max:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_flat_noret_i64>>  =>  (FLAT_ATOMIC_SMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_X2),
     /* 212585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212590 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212604 */     GIR_RootConstrainSelectedInstOperands,
     /* 212605 */     // GIR_Coverage, 3732,
     /* 212605 */     GIR_EraseRootFromParent_Done,
     /* 212606 */   // Label 3413: @212606
     /* 212606 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(212658), // Rule ID 3792 //
     /* 212611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 212614 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212621 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 212634 */     // (atomic_load_max:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_noret_i64>>  =>  (FLAT_ATOMIC_SMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_X2),
     /* 212637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212642 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212656 */     GIR_RootConstrainSelectedInstOperands,
     /* 212657 */     // GIR_Coverage, 3792,
     /* 212657 */     GIR_EraseRootFromParent_Done,
     /* 212658 */   // Label 3414: @212658
     /* 212658 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(212715), // Rule ID 3731 //
     /* 212663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 212666 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 212689 */     // (atomic_load_max:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_flat_i64>>  =>  (FLAT_ATOMIC_SMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_X2_RTN),
     /* 212692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212699 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212713 */     GIR_RootConstrainSelectedInstOperands,
     /* 212714 */     // GIR_Coverage, 3731,
     /* 212714 */     GIR_EraseRootFromParent_Done,
     /* 212715 */   // Label 3415: @212715
     /* 212715 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(212771), // Rule ID 3791 //
     /* 212720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 212723 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 212734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 212745 */     // (atomic_load_max:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_max_global_i64>>  =>  (FLAT_ATOMIC_SMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 212745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMAX_X2_RTN),
     /* 212748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 212750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 212755 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 212757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 212762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212769 */     GIR_RootConstrainSelectedInstOperands,
     /* 212770 */     // GIR_Coverage, 3791,
     /* 212770 */     GIR_EraseRootFromParent_Done,
     /* 212771 */   // Label 3416: @212771
     /* 212771 */   GIM_Reject,
     /* 212772 */ // Label 3394: @212772
     /* 212772 */ GIM_Reject,
     /* 212773 */ // Label 3370: @212773
     /* 212773 */ GIM_Reject,
     /* 212774 */ // Label 26: @212774
     /* 212774 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3419*/ GIMT_Encode4(215285),
     /* 212785 */ /*GILLT_s32*//*Label 3417*/ GIMT_Encode4(212793),
     /* 212789 */ /*GILLT_s64*//*Label 3418*/ GIMT_Encode4(214039),
     /* 212793 */ // Label 3417: @212793
     /* 212793 */ GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(214038),
     /* 212798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 212801 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(212863), // Rule ID 5665 //
     /* 212806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 212809 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212816 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 212829 */     // (atomic_load_min:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMIN_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 212829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_ADDR64),
     /* 212832 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 212834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 212839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 212844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 212849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 212854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212861 */     GIR_RootConstrainSelectedInstOperands,
     /* 212862 */     // GIR_Coverage, 5665,
     /* 212862 */     GIR_EraseRootFromParent_Done,
     /* 212863 */   // Label 3421: @212863
     /* 212863 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(212922), // Rule ID 5669 //
     /* 212868 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212875 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 212877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 212888 */     // (atomic_load_min:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 212888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_ADDR64),
     /* 212891 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 212893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 212898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 212903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 212908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 212913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 212916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212920 */     GIR_RootConstrainSelectedInstOperands,
     /* 212921 */     // GIR_Coverage, 5669,
     /* 212921 */     GIR_EraseRootFromParent_Done,
     /* 212922 */   // Label 3422: @212922
     /* 212922 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(212988), // Rule ID 5663 //
     /* 212927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 212930 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 212937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 212941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 212945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 212952 */     // (atomic_load_min:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i32>>  =>  (BUFFER_ATOMIC_SMIN_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 212952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_ADDR64_RTN),
     /* 212955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 212957 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 212959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 212964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 212969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 212974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 212979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 212982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 212986 */     GIR_RootConstrainSelectedInstOperands,
     /* 212987 */     // GIR_Coverage, 5663,
     /* 212987 */     GIR_EraseRootFromParent_Done,
     /* 212988 */   // Label 3423: @212988
     /* 212988 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(213051), // Rule ID 5667 //
     /* 212993 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 213015 */     // (atomic_load_min:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i32>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 213015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_ADDR64_RTN),
     /* 213018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 213020 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 213022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 213027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 213032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 213037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 213042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213049 */     GIR_RootConstrainSelectedInstOperands,
     /* 213050 */     // GIR_Coverage, 5667,
     /* 213050 */     GIR_EraseRootFromParent_Done,
     /* 213051 */   // Label 3424: @213051
     /* 213051 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(213108), // Rule ID 5664 //
     /* 213056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 213059 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213066 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 213079 */     // (atomic_load_min:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMIN_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 213079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFSET),
     /* 213082 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 213084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 213089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 213094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213106 */     GIR_RootConstrainSelectedInstOperands,
     /* 213107 */     // GIR_Coverage, 5664,
     /* 213107 */     GIR_EraseRootFromParent_Done,
     /* 213108 */   // Label 3425: @213108
     /* 213108 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(213162), // Rule ID 5668 //
     /* 213113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213120 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 213133 */     // (atomic_load_min:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 213133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET),
     /* 213136 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 213138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 213143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 213148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213160 */     GIR_RootConstrainSelectedInstOperands,
     /* 213161 */     // GIR_Coverage, 5668,
     /* 213161 */     GIR_EraseRootFromParent_Done,
     /* 213162 */   // Label 3426: @213162
     /* 213162 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(213223), // Rule ID 5662 //
     /* 213167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 213170 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 213192 */     // (atomic_load_min:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i32>>  =>  (BUFFER_ATOMIC_SMIN_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 213192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFSET_RTN),
     /* 213195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 213197 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 213199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 213204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 213209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213221 */     GIR_RootConstrainSelectedInstOperands,
     /* 213222 */     // GIR_Coverage, 5662,
     /* 213222 */     GIR_EraseRootFromParent_Done,
     /* 213223 */   // Label 3427: @213223
     /* 213223 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(213281), // Rule ID 5666 //
     /* 213228 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 213250 */     // (atomic_load_min:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i32>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 213250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET_RTN),
     /* 213253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 213255 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 213257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 213262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 213267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213279 */     GIR_RootConstrainSelectedInstOperands,
     /* 213280 */     // GIR_Coverage, 5666,
     /* 213280 */     GIR_EraseRootFromParent_Done,
     /* 213281 */   // Label 3428: @213281
     /* 213281 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(213331), // Rule ID 8384 //
     /* 213286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 213289 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 213294 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213307 */     // (atomic_load_min_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_local_m0_noret_i32>>  =>  (DS_MIN_I32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 213307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I32),
     /* 213310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213315 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213329 */     GIR_RootConstrainSelectedInstOperands,
     /* 213330 */     // GIR_Coverage, 8384,
     /* 213330 */     GIR_EraseRootFromParent_Done,
     /* 213331 */   // Label 3429: @213331
     /* 213331 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(213381), // Rule ID 8386 //
     /* 213336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 213339 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 213344 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213357 */     // (atomic_load_min:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_local_noret_i32>>  =>  (DS_MIN_I32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 213357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I32_gfx9),
     /* 213360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213365 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213379 */     GIR_RootConstrainSelectedInstOperands,
     /* 213380 */     // GIR_Coverage, 8386,
     /* 213380 */     GIR_EraseRootFromParent_Done,
     /* 213381 */   // Label 3430: @213381
     /* 213381 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(213431), // Rule ID 8388 //
     /* 213386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 213389 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 213394 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213407 */     // (atomic_load_min_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_region_m0_noret_i32>>  =>  (DS_MIN_I32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 213407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I32),
     /* 213410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213415 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213429 */     GIR_RootConstrainSelectedInstOperands,
     /* 213430 */     // GIR_Coverage, 8388,
     /* 213430 */     GIR_EraseRootFromParent_Done,
     /* 213431 */   // Label 3431: @213431
     /* 213431 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(213485), // Rule ID 8383 //
     /* 213436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 213439 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 213444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213459 */     // (atomic_load_min_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_local_m0_i32>>  =>  (DS_MIN_RTN_I32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 213459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I32),
     /* 213462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213469 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213483 */     GIR_RootConstrainSelectedInstOperands,
     /* 213484 */     // GIR_Coverage, 8383,
     /* 213484 */     GIR_EraseRootFromParent_Done,
     /* 213485 */   // Label 3432: @213485
     /* 213485 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(213539), // Rule ID 8385 //
     /* 213490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 213493 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 213498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213513 */     // (atomic_load_min:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_local_i32>>  =>  (DS_MIN_RTN_I32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 213513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I32_gfx9),
     /* 213516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213523 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213537 */     GIR_RootConstrainSelectedInstOperands,
     /* 213538 */     // GIR_Coverage, 8385,
     /* 213538 */     GIR_EraseRootFromParent_Done,
     /* 213539 */   // Label 3433: @213539
     /* 213539 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(213593), // Rule ID 8387 //
     /* 213544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 213547 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 213552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 213567 */     // (atomic_load_min_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_min_region_m0_i32>>  =>  (DS_MIN_RTN_I32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 213567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I32),
     /* 213570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 213577 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 213579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213591 */     GIR_RootConstrainSelectedInstOperands,
     /* 213592 */     // GIR_Coverage, 8387,
     /* 213592 */     GIR_EraseRootFromParent_Done,
     /* 213593 */   // Label 3434: @213593
     /* 213593 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(213650), // Rule ID 4094 //
     /* 213598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 213601 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213608 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 213621 */     // (atomic_load_min:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SMIN_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 213621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_SADDR),
     /* 213624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 213629 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 213636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213648 */     GIR_RootConstrainSelectedInstOperands,
     /* 213649 */     // GIR_Coverage, 4094,
     /* 213649 */     GIR_EraseRootFromParent_Done,
     /* 213650 */   // Label 3435: @213650
     /* 213650 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(213711), // Rule ID 4096 //
     /* 213655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 213658 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 213680 */     // (atomic_load_min:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_i32>>  =>  (GLOBAL_ATOMIC_SMIN_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 213680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_SADDR_RTN),
     /* 213683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 213690 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 213697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 213702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213709 */     GIR_RootConstrainSelectedInstOperands,
     /* 213710 */     // GIR_Coverage, 4096,
     /* 213710 */     GIR_EraseRootFromParent_Done,
     /* 213711 */   // Label 3436: @213711
     /* 213711 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(213763), // Rule ID 4093 //
     /* 213716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 213719 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213726 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 213739 */     // (atomic_load_min:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (GLOBAL_ATOMIC_SMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 213739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN),
     /* 213742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 213747 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213761 */     GIR_RootConstrainSelectedInstOperands,
     /* 213762 */     // GIR_Coverage, 4093,
     /* 213762 */     GIR_EraseRootFromParent_Done,
     /* 213763 */   // Label 3437: @213763
     /* 213763 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(213819), // Rule ID 4095 //
     /* 213768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 213771 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 213793 */     // (atomic_load_min:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_i32>>  =>  (GLOBAL_ATOMIC_SMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 213793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_RTN),
     /* 213796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 213803 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213817 */     GIR_RootConstrainSelectedInstOperands,
     /* 213818 */     // GIR_Coverage, 4095,
     /* 213818 */     GIR_EraseRootFromParent_Done,
     /* 213819 */   // Label 3438: @213819
     /* 213819 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(213872), // Rule ID 3710 //
     /* 213824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 213827 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213835 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 213848 */     // (atomic_load_min:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_flat_noret_i32>>  =>  (FLAT_ATOMIC_SMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 213848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN),
     /* 213851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 213856 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213870 */     GIR_RootConstrainSelectedInstOperands,
     /* 213871 */     // GIR_Coverage, 3710,
     /* 213871 */     GIR_EraseRootFromParent_Done,
     /* 213872 */   // Label 3439: @213872
     /* 213872 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(213924), // Rule ID 3770 //
     /* 213877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 213880 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213887 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 213889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 213900 */     // (atomic_load_min:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_noret_i32>>  =>  (FLAT_ATOMIC_SMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 213900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN),
     /* 213903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 213908 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 213918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213922 */     GIR_RootConstrainSelectedInstOperands,
     /* 213923 */     // GIR_Coverage, 3770,
     /* 213923 */     GIR_EraseRootFromParent_Done,
     /* 213924 */   // Label 3440: @213924
     /* 213924 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(213981), // Rule ID 3709 //
     /* 213929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 213932 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 213944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 213948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 213955 */     // (atomic_load_min:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_flat_i32>>  =>  (FLAT_ATOMIC_SMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 213955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_RTN),
     /* 213958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 213960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 213965 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 213967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 213972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 213975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 213979 */     GIR_RootConstrainSelectedInstOperands,
     /* 213980 */     // GIR_Coverage, 3709,
     /* 213980 */     GIR_EraseRootFromParent_Done,
     /* 213981 */   // Label 3441: @213981
     /* 213981 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(214037), // Rule ID 3769 //
     /* 213986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 213989 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 213996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 214000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 214011 */     // (atomic_load_min:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_min_global_i32>>  =>  (FLAT_ATOMIC_SMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 214011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_RTN),
     /* 214014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 214016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 214021 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 214023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214035 */     GIR_RootConstrainSelectedInstOperands,
     /* 214036 */     // GIR_Coverage, 3769,
     /* 214036 */     GIR_EraseRootFromParent_Done,
     /* 214037 */   // Label 3442: @214037
     /* 214037 */   GIM_Reject,
     /* 214038 */ // Label 3420: @214038
     /* 214038 */ GIM_Reject,
     /* 214039 */ // Label 3418: @214039
     /* 214039 */ GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(215284),
     /* 214044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 214047 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(214109), // Rule ID 5761 //
     /* 214052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 214055 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214062 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 214075 */     // (atomic_load_min:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_ADDR64),
     /* 214078 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 214085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 214095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 214100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214107 */     GIR_RootConstrainSelectedInstOperands,
     /* 214108 */     // GIR_Coverage, 5761,
     /* 214108 */     GIR_EraseRootFromParent_Done,
     /* 214109 */   // Label 3444: @214109
     /* 214109 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(214168), // Rule ID 5765 //
     /* 214114 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214121 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 214134 */     // (atomic_load_min:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_ADDR64),
     /* 214137 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 214144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 214154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 214159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214166 */     GIR_RootConstrainSelectedInstOperands,
     /* 214167 */     // GIR_Coverage, 5765,
     /* 214167 */     GIR_EraseRootFromParent_Done,
     /* 214168 */   // Label 3445: @214168
     /* 214168 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(214234), // Rule ID 5759 //
     /* 214173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 214176 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 214198 */     // (atomic_load_min:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_ADDR64_RTN),
     /* 214201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 214203 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 214210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 214220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 214225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214232 */     GIR_RootConstrainSelectedInstOperands,
     /* 214233 */     // GIR_Coverage, 5759,
     /* 214233 */     GIR_EraseRootFromParent_Done,
     /* 214234 */   // Label 3446: @214234
     /* 214234 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(214297), // Rule ID 5763 //
     /* 214239 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 214261 */     // (atomic_load_min:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_ADDR64_RTN),
     /* 214264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 214266 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 214273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 214283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 214288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214295 */     GIR_RootConstrainSelectedInstOperands,
     /* 214296 */     // GIR_Coverage, 5763,
     /* 214296 */     GIR_EraseRootFromParent_Done,
     /* 214297 */   // Label 3447: @214297
     /* 214297 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(214354), // Rule ID 5760 //
     /* 214302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 214305 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214312 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 214325 */     // (atomic_load_min:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFSET),
     /* 214328 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 214340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214352 */     GIR_RootConstrainSelectedInstOperands,
     /* 214353 */     // GIR_Coverage, 5760,
     /* 214353 */     GIR_EraseRootFromParent_Done,
     /* 214354 */   // Label 3448: @214354
     /* 214354 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(214408), // Rule ID 5764 //
     /* 214359 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214366 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 214379 */     // (atomic_load_min:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET),
     /* 214382 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 214394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214406 */     GIR_RootConstrainSelectedInstOperands,
     /* 214407 */     // GIR_Coverage, 5764,
     /* 214407 */     GIR_EraseRootFromParent_Done,
     /* 214408 */   // Label 3449: @214408
     /* 214408 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(214469), // Rule ID 5758 //
     /* 214413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 214416 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 214438 */     // (atomic_load_min:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFSET_RTN),
     /* 214441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 214443 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 214455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214467 */     GIR_RootConstrainSelectedInstOperands,
     /* 214468 */     // GIR_Coverage, 5758,
     /* 214468 */     GIR_EraseRootFromParent_Done,
     /* 214469 */   // Label 3450: @214469
     /* 214469 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(214527), // Rule ID 5762 //
     /* 214474 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 214496 */     // (atomic_load_min:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_min_global_i64>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 214496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET_RTN),
     /* 214499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 214501 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 214503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 214508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 214513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214525 */     GIR_RootConstrainSelectedInstOperands,
     /* 214526 */     // GIR_Coverage, 5762,
     /* 214526 */     GIR_EraseRootFromParent_Done,
     /* 214527 */   // Label 3451: @214527
     /* 214527 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(214577), // Rule ID 8477 //
     /* 214532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 214535 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 214540 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214553 */     // (atomic_load_min_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_local_m0_noret_i64>>  =>  (DS_MIN_I64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 214553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I64),
     /* 214556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214561 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214575 */     GIR_RootConstrainSelectedInstOperands,
     /* 214576 */     // GIR_Coverage, 8477,
     /* 214576 */     GIR_EraseRootFromParent_Done,
     /* 214577 */   // Label 3452: @214577
     /* 214577 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(214627), // Rule ID 8479 //
     /* 214582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 214585 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 214590 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214603 */     // (atomic_load_min:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_local_noret_i64>>  =>  (DS_MIN_I64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 214603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I64_gfx9),
     /* 214606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214611 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214625 */     GIR_RootConstrainSelectedInstOperands,
     /* 214626 */     // GIR_Coverage, 8479,
     /* 214626 */     GIR_EraseRootFromParent_Done,
     /* 214627 */   // Label 3453: @214627
     /* 214627 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(214677), // Rule ID 8481 //
     /* 214632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 214635 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 214640 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214653 */     // (atomic_load_min_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_region_m0_noret_i64>>  =>  (DS_MIN_I64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 214653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_I64),
     /* 214656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214661 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214675 */     GIR_RootConstrainSelectedInstOperands,
     /* 214676 */     // GIR_Coverage, 8481,
     /* 214676 */     GIR_EraseRootFromParent_Done,
     /* 214677 */   // Label 3454: @214677
     /* 214677 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(214731), // Rule ID 8476 //
     /* 214682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 214685 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 214690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214705 */     // (atomic_load_min_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_local_m0_i64>>  =>  (DS_MIN_RTN_I64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 214705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I64),
     /* 214708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 214710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214715 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214729 */     GIR_RootConstrainSelectedInstOperands,
     /* 214730 */     // GIR_Coverage, 8476,
     /* 214730 */     GIR_EraseRootFromParent_Done,
     /* 214731 */   // Label 3455: @214731
     /* 214731 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(214785), // Rule ID 8478 //
     /* 214736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 214739 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 214744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214759 */     // (atomic_load_min:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_local_i64>>  =>  (DS_MIN_RTN_I64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 214759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I64_gfx9),
     /* 214762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 214764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214769 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214783 */     GIR_RootConstrainSelectedInstOperands,
     /* 214784 */     // GIR_Coverage, 8478,
     /* 214784 */     GIR_EraseRootFromParent_Done,
     /* 214785 */   // Label 3456: @214785
     /* 214785 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(214839), // Rule ID 8480 //
     /* 214790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 214793 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 214798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 214813 */     // (atomic_load_min_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_min_region_m0_i64>>  =>  (DS_MIN_RTN_I64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 214813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_I64),
     /* 214816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 214818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 214823 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 214825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 214830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214837 */     GIR_RootConstrainSelectedInstOperands,
     /* 214838 */     // GIR_Coverage, 8480,
     /* 214838 */     GIR_EraseRootFromParent_Done,
     /* 214839 */   // Label 3457: @214839
     /* 214839 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(214896), // Rule ID 4150 //
     /* 214844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 214847 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214854 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 214867 */     // (atomic_load_min:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SMIN_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 214867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_X2_SADDR),
     /* 214870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 214875 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 214877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 214882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 214890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214894 */     GIR_RootConstrainSelectedInstOperands,
     /* 214895 */     // GIR_Coverage, 4150,
     /* 214895 */     GIR_EraseRootFromParent_Done,
     /* 214896 */   // Label 3458: @214896
     /* 214896 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(214957), // Rule ID 4152 //
     /* 214901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 214904 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 214915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 214926 */     // (atomic_load_min:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_i64>>  =>  (GLOBAL_ATOMIC_SMIN_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 214926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_X2_SADDR_RTN),
     /* 214929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 214931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 214936 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 214938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 214943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 214948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 214951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 214955 */     GIR_RootConstrainSelectedInstOperands,
     /* 214956 */     // GIR_Coverage, 4152,
     /* 214956 */     GIR_EraseRootFromParent_Done,
     /* 214957 */   // Label 3459: @214957
     /* 214957 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(215009), // Rule ID 4149 //
     /* 214962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 214965 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 214972 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 214974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 214978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 214985 */     // (atomic_load_min:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (GLOBAL_ATOMIC_SMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 214985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_X2),
     /* 214988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 214993 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 214995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215007 */     GIR_RootConstrainSelectedInstOperands,
     /* 215008 */     // GIR_Coverage, 4149,
     /* 215008 */     GIR_EraseRootFromParent_Done,
     /* 215009 */   // Label 3460: @215009
     /* 215009 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(215065), // Rule ID 4151 //
     /* 215014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 215017 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 215028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 215039 */     // (atomic_load_min:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_i64>>  =>  (GLOBAL_ATOMIC_SMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 215039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_SMIN_X2_RTN),
     /* 215042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 215044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 215049 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 215051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215063 */     GIR_RootConstrainSelectedInstOperands,
     /* 215064 */     // GIR_Coverage, 4151,
     /* 215064 */     GIR_EraseRootFromParent_Done,
     /* 215065 */   // Label 3461: @215065
     /* 215065 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(215118), // Rule ID 3736 //
     /* 215070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 215073 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215081 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 215094 */     // (atomic_load_min:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_flat_noret_i64>>  =>  (FLAT_ATOMIC_SMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 215094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_X2),
     /* 215097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 215102 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 215104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215116 */     GIR_RootConstrainSelectedInstOperands,
     /* 215117 */     // GIR_Coverage, 3736,
     /* 215117 */     GIR_EraseRootFromParent_Done,
     /* 215118 */   // Label 3462: @215118
     /* 215118 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(215170), // Rule ID 3796 //
     /* 215123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 215126 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215133 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 215146 */     // (atomic_load_min:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_noret_i64>>  =>  (FLAT_ATOMIC_SMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 215146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_X2),
     /* 215149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 215154 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 215156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215168 */     GIR_RootConstrainSelectedInstOperands,
     /* 215169 */     // GIR_Coverage, 3796,
     /* 215169 */     GIR_EraseRootFromParent_Done,
     /* 215170 */   // Label 3463: @215170
     /* 215170 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(215227), // Rule ID 3735 //
     /* 215175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 215178 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 215190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 215201 */     // (atomic_load_min:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_flat_i64>>  =>  (FLAT_ATOMIC_SMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 215201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_X2_RTN),
     /* 215204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 215206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 215211 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 215213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215225 */     GIR_RootConstrainSelectedInstOperands,
     /* 215226 */     // GIR_Coverage, 3735,
     /* 215226 */     GIR_EraseRootFromParent_Done,
     /* 215227 */   // Label 3464: @215227
     /* 215227 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(215283), // Rule ID 3795 //
     /* 215232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 215235 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 215246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 215257 */     // (atomic_load_min:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_min_global_i64>>  =>  (FLAT_ATOMIC_SMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 215257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_SMIN_X2_RTN),
     /* 215260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 215262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 215267 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 215269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215281 */     GIR_RootConstrainSelectedInstOperands,
     /* 215282 */     // GIR_Coverage, 3795,
     /* 215282 */     GIR_EraseRootFromParent_Done,
     /* 215283 */   // Label 3465: @215283
     /* 215283 */   GIM_Reject,
     /* 215284 */ // Label 3443: @215284
     /* 215284 */ GIM_Reject,
     /* 215285 */ // Label 3419: @215285
     /* 215285 */ GIM_Reject,
     /* 215286 */ // Label 27: @215286
     /* 215286 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3468*/ GIMT_Encode4(217797),
     /* 215297 */ /*GILLT_s32*//*Label 3466*/ GIMT_Encode4(215305),
     /* 215301 */ /*GILLT_s64*//*Label 3467*/ GIMT_Encode4(216551),
     /* 215305 */ // Label 3466: @215305
     /* 215305 */ GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(216550),
     /* 215310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 215313 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(215375), // Rule ID 5689 //
     /* 215318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 215321 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215328 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 215341 */     // (atomic_load_umax:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMAX_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_ADDR64),
     /* 215344 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 215351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 215361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 215366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215373 */     GIR_RootConstrainSelectedInstOperands,
     /* 215374 */     // GIR_Coverage, 5689,
     /* 215374 */     GIR_EraseRootFromParent_Done,
     /* 215375 */   // Label 3470: @215375
     /* 215375 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(215434), // Rule ID 5693 //
     /* 215380 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215387 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 215400 */     // (atomic_load_umax:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_ADDR64),
     /* 215403 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 215410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 215420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 215425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215432 */     GIR_RootConstrainSelectedInstOperands,
     /* 215433 */     // GIR_Coverage, 5693,
     /* 215433 */     GIR_EraseRootFromParent_Done,
     /* 215434 */   // Label 3471: @215434
     /* 215434 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(215500), // Rule ID 5687 //
     /* 215439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 215442 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 215453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 215464 */     // (atomic_load_umax:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (BUFFER_ATOMIC_UMAX_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_ADDR64_RTN),
     /* 215467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 215469 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 215476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 215486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 215491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215498 */     GIR_RootConstrainSelectedInstOperands,
     /* 215499 */     // GIR_Coverage, 5687,
     /* 215499 */     GIR_EraseRootFromParent_Done,
     /* 215500 */   // Label 3472: @215500
     /* 215500 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(215563), // Rule ID 5691 //
     /* 215505 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 215516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 215527 */     // (atomic_load_umax:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_ADDR64_RTN),
     /* 215530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 215532 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 215539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 215549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 215554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215561 */     GIR_RootConstrainSelectedInstOperands,
     /* 215562 */     // GIR_Coverage, 5691,
     /* 215562 */     GIR_EraseRootFromParent_Done,
     /* 215563 */   // Label 3473: @215563
     /* 215563 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(215620), // Rule ID 5688 //
     /* 215568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 215571 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215578 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 215591 */     // (atomic_load_umax:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMAX_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFSET),
     /* 215594 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 215606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 215611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215618 */     GIR_RootConstrainSelectedInstOperands,
     /* 215619 */     // GIR_Coverage, 5688,
     /* 215619 */     GIR_EraseRootFromParent_Done,
     /* 215620 */   // Label 3474: @215620
     /* 215620 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(215674), // Rule ID 5692 //
     /* 215625 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215632 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 215645 */     // (atomic_load_umax:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET),
     /* 215648 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 215660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 215665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215672 */     GIR_RootConstrainSelectedInstOperands,
     /* 215673 */     // GIR_Coverage, 5692,
     /* 215673 */     GIR_EraseRootFromParent_Done,
     /* 215674 */   // Label 3475: @215674
     /* 215674 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(215735), // Rule ID 5686 //
     /* 215679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 215682 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 215693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 215704 */     // (atomic_load_umax:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (BUFFER_ATOMIC_UMAX_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFSET_RTN),
     /* 215707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 215709 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 215721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 215726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215733 */     GIR_RootConstrainSelectedInstOperands,
     /* 215734 */     // GIR_Coverage, 5686,
     /* 215734 */     GIR_EraseRootFromParent_Done,
     /* 215735 */   // Label 3476: @215735
     /* 215735 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(215793), // Rule ID 5690 //
     /* 215740 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 215747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 215751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 215762 */     // (atomic_load_umax:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 215762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET_RTN),
     /* 215765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 215767 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 215769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 215774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 215779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 215784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215791 */     GIR_RootConstrainSelectedInstOperands,
     /* 215792 */     // GIR_Coverage, 5690,
     /* 215792 */     GIR_EraseRootFromParent_Done,
     /* 215793 */   // Label 3477: @215793
     /* 215793 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(215843), // Rule ID 8402 //
     /* 215798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 215801 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 215806 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 215819 */     // (atomic_load_umax_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_local_m0_noret_i32>>  =>  (DS_MAX_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 215819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U32),
     /* 215822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 215827 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 215829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215841 */     GIR_RootConstrainSelectedInstOperands,
     /* 215842 */     // GIR_Coverage, 8402,
     /* 215842 */     GIR_EraseRootFromParent_Done,
     /* 215843 */   // Label 3478: @215843
     /* 215843 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(215893), // Rule ID 8404 //
     /* 215848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 215851 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 215856 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 215869 */     // (atomic_load_umax:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_local_noret_i32>>  =>  (DS_MAX_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 215869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U32_gfx9),
     /* 215872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 215877 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 215879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215891 */     GIR_RootConstrainSelectedInstOperands,
     /* 215892 */     // GIR_Coverage, 8404,
     /* 215892 */     GIR_EraseRootFromParent_Done,
     /* 215893 */   // Label 3479: @215893
     /* 215893 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(215943), // Rule ID 8406 //
     /* 215898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 215901 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 215906 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 215908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 215919 */     // (atomic_load_umax_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_region_m0_noret_i32>>  =>  (DS_MAX_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 215919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U32),
     /* 215922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 215927 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 215929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 215937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215941 */     GIR_RootConstrainSelectedInstOperands,
     /* 215942 */     // GIR_Coverage, 8406,
     /* 215942 */     GIR_EraseRootFromParent_Done,
     /* 215943 */   // Label 3480: @215943
     /* 215943 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(215997), // Rule ID 8401 //
     /* 215948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 215951 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 215956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 215960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 215964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 215971 */     // (atomic_load_umax_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_local_m0_i32>>  =>  (DS_MAX_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 215971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U32),
     /* 215974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 215976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 215981 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 215983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 215988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 215995 */     GIR_RootConstrainSelectedInstOperands,
     /* 215996 */     // GIR_Coverage, 8401,
     /* 215996 */     GIR_EraseRootFromParent_Done,
     /* 215997 */   // Label 3481: @215997
     /* 215997 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(216051), // Rule ID 8403 //
     /* 216002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 216005 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 216010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 216025 */     // (atomic_load_umax:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_local_i32>>  =>  (DS_MAX_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 216025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U32_gfx9),
     /* 216028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 216035 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 216037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216049 */     GIR_RootConstrainSelectedInstOperands,
     /* 216050 */     // GIR_Coverage, 8403,
     /* 216050 */     GIR_EraseRootFromParent_Done,
     /* 216051 */   // Label 3482: @216051
     /* 216051 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(216105), // Rule ID 8405 //
     /* 216056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 216059 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 216064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 216079 */     // (atomic_load_umax_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umax_region_m0_i32>>  =>  (DS_MAX_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 216079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U32),
     /* 216082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 216089 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 216091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216103 */     GIR_RootConstrainSelectedInstOperands,
     /* 216104 */     // GIR_Coverage, 8405,
     /* 216104 */     GIR_EraseRootFromParent_Done,
     /* 216105 */   // Label 3483: @216105
     /* 216105 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(216162), // Rule ID 4090 //
     /* 216110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 216113 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216120 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 216133 */     // (atomic_load_umax:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (GLOBAL_ATOMIC_UMAX_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 216133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_SADDR),
     /* 216136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 216141 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 216148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 216153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216160 */     GIR_RootConstrainSelectedInstOperands,
     /* 216161 */     // GIR_Coverage, 4090,
     /* 216161 */     GIR_EraseRootFromParent_Done,
     /* 216162 */   // Label 3484: @216162
     /* 216162 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(216223), // Rule ID 4092 //
     /* 216167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 216170 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 216192 */     // (atomic_load_umax:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (GLOBAL_ATOMIC_UMAX_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 216192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_SADDR_RTN),
     /* 216195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 216202 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 216209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 216214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216221 */     GIR_RootConstrainSelectedInstOperands,
     /* 216222 */     // GIR_Coverage, 4092,
     /* 216222 */     GIR_EraseRootFromParent_Done,
     /* 216223 */   // Label 3485: @216223
     /* 216223 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(216275), // Rule ID 4089 //
     /* 216228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 216231 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216238 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 216251 */     // (atomic_load_umax:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (GLOBAL_ATOMIC_UMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX),
     /* 216254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216259 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216273 */     GIR_RootConstrainSelectedInstOperands,
     /* 216274 */     // GIR_Coverage, 4089,
     /* 216274 */     GIR_EraseRootFromParent_Done,
     /* 216275 */   // Label 3486: @216275
     /* 216275 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(216331), // Rule ID 4091 //
     /* 216280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 216283 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 216305 */     // (atomic_load_umax:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (GLOBAL_ATOMIC_UMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_RTN),
     /* 216308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216315 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216329 */     GIR_RootConstrainSelectedInstOperands,
     /* 216330 */     // GIR_Coverage, 4091,
     /* 216330 */     GIR_EraseRootFromParent_Done,
     /* 216331 */   // Label 3487: @216331
     /* 216331 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(216384), // Rule ID 3708 //
     /* 216336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 216339 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216347 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 216360 */     // (atomic_load_umax:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_flat_noret_i32>>  =>  (FLAT_ATOMIC_UMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX),
     /* 216363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216368 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216382 */     GIR_RootConstrainSelectedInstOperands,
     /* 216383 */     // GIR_Coverage, 3708,
     /* 216383 */     GIR_EraseRootFromParent_Done,
     /* 216384 */   // Label 3488: @216384
     /* 216384 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(216436), // Rule ID 3768 //
     /* 216389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 216392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216399 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 216412 */     // (atomic_load_umax:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i32>>  =>  (FLAT_ATOMIC_UMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX),
     /* 216415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216420 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216434 */     GIR_RootConstrainSelectedInstOperands,
     /* 216435 */     // GIR_Coverage, 3768,
     /* 216435 */     GIR_EraseRootFromParent_Done,
     /* 216436 */   // Label 3489: @216436
     /* 216436 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(216493), // Rule ID 3707 //
     /* 216441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 216444 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 216467 */     // (atomic_load_umax:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_flat_i32>>  =>  (FLAT_ATOMIC_UMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_RTN),
     /* 216470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216477 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216491 */     GIR_RootConstrainSelectedInstOperands,
     /* 216492 */     // GIR_Coverage, 3707,
     /* 216492 */     GIR_EraseRootFromParent_Done,
     /* 216493 */   // Label 3490: @216493
     /* 216493 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(216549), // Rule ID 3767 //
     /* 216498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 216501 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 216512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 216523 */     // (atomic_load_umax:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umax_global_i32>>  =>  (FLAT_ATOMIC_UMAX_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 216523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_RTN),
     /* 216526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 216528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 216533 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 216535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 216540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216547 */     GIR_RootConstrainSelectedInstOperands,
     /* 216548 */     // GIR_Coverage, 3767,
     /* 216548 */     GIR_EraseRootFromParent_Done,
     /* 216549 */   // Label 3491: @216549
     /* 216549 */   GIM_Reject,
     /* 216550 */ // Label 3469: @216550
     /* 216550 */ GIM_Reject,
     /* 216551 */ // Label 3467: @216551
     /* 216551 */ GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(217796),
     /* 216556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 216559 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(216621), // Rule ID 5785 //
     /* 216564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 216567 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216574 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 216587 */     // (atomic_load_umax:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_ADDR64),
     /* 216590 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 216597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 216607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 216612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216619 */     GIR_RootConstrainSelectedInstOperands,
     /* 216620 */     // GIR_Coverage, 5785,
     /* 216620 */     GIR_EraseRootFromParent_Done,
     /* 216621 */   // Label 3493: @216621
     /* 216621 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(216680), // Rule ID 5789 //
     /* 216626 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216633 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 216646 */     // (atomic_load_umax:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_ADDR64),
     /* 216649 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 216656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 216666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 216671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216678 */     GIR_RootConstrainSelectedInstOperands,
     /* 216679 */     // GIR_Coverage, 5789,
     /* 216679 */     GIR_EraseRootFromParent_Done,
     /* 216680 */   // Label 3494: @216680
     /* 216680 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(216746), // Rule ID 5783 //
     /* 216685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 216688 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 216699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 216710 */     // (atomic_load_umax:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_ADDR64_RTN),
     /* 216713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 216715 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 216722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 216732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 216737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216744 */     GIR_RootConstrainSelectedInstOperands,
     /* 216745 */     // GIR_Coverage, 5783,
     /* 216745 */     GIR_EraseRootFromParent_Done,
     /* 216746 */   // Label 3495: @216746
     /* 216746 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(216809), // Rule ID 5787 //
     /* 216751 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 216762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 216773 */     // (atomic_load_umax:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_ADDR64_RTN),
     /* 216776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 216778 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 216785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 216795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 216800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216807 */     GIR_RootConstrainSelectedInstOperands,
     /* 216808 */     // GIR_Coverage, 5787,
     /* 216808 */     GIR_EraseRootFromParent_Done,
     /* 216809 */   // Label 3496: @216809
     /* 216809 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(216866), // Rule ID 5784 //
     /* 216814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 216817 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216824 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 216837 */     // (atomic_load_umax:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFSET),
     /* 216840 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 216852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 216857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216864 */     GIR_RootConstrainSelectedInstOperands,
     /* 216865 */     // GIR_Coverage, 5784,
     /* 216865 */     GIR_EraseRootFromParent_Done,
     /* 216866 */   // Label 3497: @216866
     /* 216866 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(216920), // Rule ID 5788 //
     /* 216871 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216878 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 216880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 216891 */     // (atomic_load_umax:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET),
     /* 216894 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 216906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 216911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216918 */     GIR_RootConstrainSelectedInstOperands,
     /* 216919 */     // GIR_Coverage, 5788,
     /* 216919 */     GIR_EraseRootFromParent_Done,
     /* 216920 */   // Label 3498: @216920
     /* 216920 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(216981), // Rule ID 5782 //
     /* 216925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 216928 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 216939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 216943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 216950 */     // (atomic_load_umax:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 216950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFSET_RTN),
     /* 216953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 216955 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 216957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 216962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 216967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 216972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 216979 */     GIR_RootConstrainSelectedInstOperands,
     /* 216980 */     // GIR_Coverage, 5782,
     /* 216980 */     GIR_EraseRootFromParent_Done,
     /* 216981 */   // Label 3499: @216981
     /* 216981 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(217039), // Rule ID 5786 //
     /* 216986 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 216993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 216997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 217008 */     // (atomic_load_umax:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 217008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET_RTN),
     /* 217011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 217013 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 217015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 217020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 217025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 217030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217037 */     GIR_RootConstrainSelectedInstOperands,
     /* 217038 */     // GIR_Coverage, 5786,
     /* 217038 */     GIR_EraseRootFromParent_Done,
     /* 217039 */   // Label 3500: @217039
     /* 217039 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(217089), // Rule ID 8495 //
     /* 217044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 217047 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 217052 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217065 */     // (atomic_load_umax_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_local_m0_noret_i64>>  =>  (DS_MAX_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 217065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U64),
     /* 217068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217073 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217087 */     GIR_RootConstrainSelectedInstOperands,
     /* 217088 */     // GIR_Coverage, 8495,
     /* 217088 */     GIR_EraseRootFromParent_Done,
     /* 217089 */   // Label 3501: @217089
     /* 217089 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(217139), // Rule ID 8497 //
     /* 217094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 217097 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 217102 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217115 */     // (atomic_load_umax:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_local_noret_i64>>  =>  (DS_MAX_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 217115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U64_gfx9),
     /* 217118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217123 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217137 */     GIR_RootConstrainSelectedInstOperands,
     /* 217138 */     // GIR_Coverage, 8497,
     /* 217138 */     GIR_EraseRootFromParent_Done,
     /* 217139 */   // Label 3502: @217139
     /* 217139 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(217189), // Rule ID 8499 //
     /* 217144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 217147 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 217152 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217165 */     // (atomic_load_umax_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_region_m0_noret_i64>>  =>  (DS_MAX_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 217165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_U64),
     /* 217168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217173 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217187 */     GIR_RootConstrainSelectedInstOperands,
     /* 217188 */     // GIR_Coverage, 8499,
     /* 217188 */     GIR_EraseRootFromParent_Done,
     /* 217189 */   // Label 3503: @217189
     /* 217189 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(217243), // Rule ID 8494 //
     /* 217194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 217197 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 217202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217217 */     // (atomic_load_umax_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_local_m0_i64>>  =>  (DS_MAX_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 217217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U64),
     /* 217220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217227 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217241 */     GIR_RootConstrainSelectedInstOperands,
     /* 217242 */     // GIR_Coverage, 8494,
     /* 217242 */     GIR_EraseRootFromParent_Done,
     /* 217243 */   // Label 3504: @217243
     /* 217243 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(217297), // Rule ID 8496 //
     /* 217248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 217251 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 217256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217271 */     // (atomic_load_umax:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_local_i64>>  =>  (DS_MAX_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 217271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U64_gfx9),
     /* 217274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217281 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217295 */     GIR_RootConstrainSelectedInstOperands,
     /* 217296 */     // GIR_Coverage, 8496,
     /* 217296 */     GIR_EraseRootFromParent_Done,
     /* 217297 */   // Label 3505: @217297
     /* 217297 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(217351), // Rule ID 8498 //
     /* 217302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 217305 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 217310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 217325 */     // (atomic_load_umax_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umax_region_m0_i64>>  =>  (DS_MAX_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 217325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_U64),
     /* 217328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 217335 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 217337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217349 */     GIR_RootConstrainSelectedInstOperands,
     /* 217350 */     // GIR_Coverage, 8498,
     /* 217350 */     GIR_EraseRootFromParent_Done,
     /* 217351 */   // Label 3506: @217351
     /* 217351 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(217408), // Rule ID 4146 //
     /* 217356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 217359 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217366 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 217379 */     // (atomic_load_umax:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (GLOBAL_ATOMIC_UMAX_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 217379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_X2_SADDR),
     /* 217382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 217387 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 217394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 217399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217406 */     GIR_RootConstrainSelectedInstOperands,
     /* 217407 */     // GIR_Coverage, 4146,
     /* 217407 */     GIR_EraseRootFromParent_Done,
     /* 217408 */   // Label 3507: @217408
     /* 217408 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(217469), // Rule ID 4148 //
     /* 217413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 217416 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 217438 */     // (atomic_load_umax:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (GLOBAL_ATOMIC_UMAX_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 217438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_X2_SADDR_RTN),
     /* 217441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 217448 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 217455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 217460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217467 */     GIR_RootConstrainSelectedInstOperands,
     /* 217468 */     // GIR_Coverage, 4148,
     /* 217468 */     GIR_EraseRootFromParent_Done,
     /* 217469 */   // Label 3508: @217469
     /* 217469 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(217521), // Rule ID 4145 //
     /* 217474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 217477 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217484 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 217497 */     // (atomic_load_umax:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (GLOBAL_ATOMIC_UMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_X2),
     /* 217500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217505 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217519 */     GIR_RootConstrainSelectedInstOperands,
     /* 217520 */     // GIR_Coverage, 4145,
     /* 217520 */     GIR_EraseRootFromParent_Done,
     /* 217521 */   // Label 3509: @217521
     /* 217521 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(217577), // Rule ID 4147 //
     /* 217526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 217529 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 217551 */     // (atomic_load_umax:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (GLOBAL_ATOMIC_UMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMAX_X2_RTN),
     /* 217554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217561 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217575 */     GIR_RootConstrainSelectedInstOperands,
     /* 217576 */     // GIR_Coverage, 4147,
     /* 217576 */     GIR_EraseRootFromParent_Done,
     /* 217577 */   // Label 3510: @217577
     /* 217577 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(217630), // Rule ID 3734 //
     /* 217582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 217585 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217593 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 217606 */     // (atomic_load_umax:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_flat_noret_i64>>  =>  (FLAT_ATOMIC_UMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_X2),
     /* 217609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217614 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217628 */     GIR_RootConstrainSelectedInstOperands,
     /* 217629 */     // GIR_Coverage, 3734,
     /* 217629 */     GIR_EraseRootFromParent_Done,
     /* 217630 */   // Label 3511: @217630
     /* 217630 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(217682), // Rule ID 3794 //
     /* 217635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 217638 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217645 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 217658 */     // (atomic_load_umax:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_noret_i64>>  =>  (FLAT_ATOMIC_UMAX_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_X2),
     /* 217661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217666 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217680 */     GIR_RootConstrainSelectedInstOperands,
     /* 217681 */     // GIR_Coverage, 3794,
     /* 217681 */     GIR_EraseRootFromParent_Done,
     /* 217682 */   // Label 3512: @217682
     /* 217682 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(217739), // Rule ID 3733 //
     /* 217687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 217690 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 217713 */     // (atomic_load_umax:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_flat_i64>>  =>  (FLAT_ATOMIC_UMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_X2_RTN),
     /* 217716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217723 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217737 */     GIR_RootConstrainSelectedInstOperands,
     /* 217738 */     // GIR_Coverage, 3733,
     /* 217738 */     GIR_EraseRootFromParent_Done,
     /* 217739 */   // Label 3513: @217739
     /* 217739 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(217795), // Rule ID 3793 //
     /* 217744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 217747 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 217758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 217769 */     // (atomic_load_umax:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umax_global_i64>>  =>  (FLAT_ATOMIC_UMAX_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 217769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMAX_X2_RTN),
     /* 217772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 217774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 217779 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 217781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 217786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217793 */     GIR_RootConstrainSelectedInstOperands,
     /* 217794 */     // GIR_Coverage, 3793,
     /* 217794 */     GIR_EraseRootFromParent_Done,
     /* 217795 */   // Label 3514: @217795
     /* 217795 */   GIM_Reject,
     /* 217796 */ // Label 3492: @217796
     /* 217796 */ GIM_Reject,
     /* 217797 */ // Label 3468: @217797
     /* 217797 */ GIM_Reject,
     /* 217798 */ // Label 28: @217798
     /* 217798 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3517*/ GIMT_Encode4(220309),
     /* 217809 */ /*GILLT_s32*//*Label 3515*/ GIMT_Encode4(217817),
     /* 217813 */ /*GILLT_s64*//*Label 3516*/ GIMT_Encode4(219063),
     /* 217817 */ // Label 3515: @217817
     /* 217817 */ GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(219062),
     /* 217822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 217825 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(217887), // Rule ID 5673 //
     /* 217830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 217833 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217840 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 217853 */     // (atomic_load_umin:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMIN_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 217853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_ADDR64),
     /* 217856 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 217858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 217863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 217868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 217873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 217878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217885 */     GIR_RootConstrainSelectedInstOperands,
     /* 217886 */     // GIR_Coverage, 5673,
     /* 217886 */     GIR_EraseRootFromParent_Done,
     /* 217887 */   // Label 3519: @217887
     /* 217887 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(217946), // Rule ID 5677 //
     /* 217892 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217899 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 217901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 217912 */     // (atomic_load_umin:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 217912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_ADDR64),
     /* 217915 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 217917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 217922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 217927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 217932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 217937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 217944 */     GIR_RootConstrainSelectedInstOperands,
     /* 217945 */     // GIR_Coverage, 5677,
     /* 217945 */     GIR_EraseRootFromParent_Done,
     /* 217946 */   // Label 3520: @217946
     /* 217946 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(218012), // Rule ID 5671 //
     /* 217951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 217954 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 217961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 217965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 217969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 217976 */     // (atomic_load_umin:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (BUFFER_ATOMIC_UMIN_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 217976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_ADDR64_RTN),
     /* 217979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 217981 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 217983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 217988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 217993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 217998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 218003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218010 */     GIR_RootConstrainSelectedInstOperands,
     /* 218011 */     // GIR_Coverage, 5671,
     /* 218011 */     GIR_EraseRootFromParent_Done,
     /* 218012 */   // Label 3521: @218012
     /* 218012 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(218075), // Rule ID 5675 //
     /* 218017 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 218039 */     // (atomic_load_umin:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 218039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_ADDR64_RTN),
     /* 218042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 218044 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 218046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 218051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 218056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 218061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 218066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218073 */     GIR_RootConstrainSelectedInstOperands,
     /* 218074 */     // GIR_Coverage, 5675,
     /* 218074 */     GIR_EraseRootFromParent_Done,
     /* 218075 */   // Label 3522: @218075
     /* 218075 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(218132), // Rule ID 5672 //
     /* 218080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 218083 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218090 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 218103 */     // (atomic_load_umin:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMIN_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 218103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFSET),
     /* 218106 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 218108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 218113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 218118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218130 */     GIR_RootConstrainSelectedInstOperands,
     /* 218131 */     // GIR_Coverage, 5672,
     /* 218131 */     GIR_EraseRootFromParent_Done,
     /* 218132 */   // Label 3523: @218132
     /* 218132 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(218186), // Rule ID 5676 //
     /* 218137 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218144 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 218157 */     // (atomic_load_umin:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 218157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET),
     /* 218160 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 218162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 218167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 218172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218184 */     GIR_RootConstrainSelectedInstOperands,
     /* 218185 */     // GIR_Coverage, 5676,
     /* 218185 */     GIR_EraseRootFromParent_Done,
     /* 218186 */   // Label 3524: @218186
     /* 218186 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(218247), // Rule ID 5670 //
     /* 218191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 218194 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 218216 */     // (atomic_load_umin:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (BUFFER_ATOMIC_UMIN_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 218216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFSET_RTN),
     /* 218219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 218221 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 218223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 218228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 218233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218245 */     GIR_RootConstrainSelectedInstOperands,
     /* 218246 */     // GIR_Coverage, 5670,
     /* 218246 */     GIR_EraseRootFromParent_Done,
     /* 218247 */   // Label 3525: @218247
     /* 218247 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(218305), // Rule ID 5674 //
     /* 218252 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 218274 */     // (atomic_load_umin:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 218274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET_RTN),
     /* 218277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 218279 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 218281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 218286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 218291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218303 */     GIR_RootConstrainSelectedInstOperands,
     /* 218304 */     // GIR_Coverage, 5674,
     /* 218304 */     GIR_EraseRootFromParent_Done,
     /* 218305 */   // Label 3526: @218305
     /* 218305 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(218355), // Rule ID 8396 //
     /* 218310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 218313 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 218318 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218331 */     // (atomic_load_umin_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_local_m0_noret_i32>>  =>  (DS_MIN_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 218331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U32),
     /* 218334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218339 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218353 */     GIR_RootConstrainSelectedInstOperands,
     /* 218354 */     // GIR_Coverage, 8396,
     /* 218354 */     GIR_EraseRootFromParent_Done,
     /* 218355 */   // Label 3527: @218355
     /* 218355 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(218405), // Rule ID 8398 //
     /* 218360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 218363 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 218368 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218381 */     // (atomic_load_umin:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_local_noret_i32>>  =>  (DS_MIN_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 218381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U32_gfx9),
     /* 218384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218389 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218403 */     GIR_RootConstrainSelectedInstOperands,
     /* 218404 */     // GIR_Coverage, 8398,
     /* 218404 */     GIR_EraseRootFromParent_Done,
     /* 218405 */   // Label 3528: @218405
     /* 218405 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(218455), // Rule ID 8400 //
     /* 218410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 218413 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 218418 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218431 */     // (atomic_load_umin_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_region_m0_noret_i32>>  =>  (DS_MIN_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 218431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U32),
     /* 218434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218439 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218453 */     GIR_RootConstrainSelectedInstOperands,
     /* 218454 */     // GIR_Coverage, 8400,
     /* 218454 */     GIR_EraseRootFromParent_Done,
     /* 218455 */   // Label 3529: @218455
     /* 218455 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(218509), // Rule ID 8395 //
     /* 218460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 218463 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 218468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218483 */     // (atomic_load_umin_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_local_m0_i32>>  =>  (DS_MIN_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 218483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U32),
     /* 218486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218493 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218507 */     GIR_RootConstrainSelectedInstOperands,
     /* 218508 */     // GIR_Coverage, 8395,
     /* 218508 */     GIR_EraseRootFromParent_Done,
     /* 218509 */   // Label 3530: @218509
     /* 218509 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(218563), // Rule ID 8397 //
     /* 218514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 218517 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 218522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218537 */     // (atomic_load_umin:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_local_i32>>  =>  (DS_MIN_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 218537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U32_gfx9),
     /* 218540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218547 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218561 */     GIR_RootConstrainSelectedInstOperands,
     /* 218562 */     // GIR_Coverage, 8397,
     /* 218562 */     GIR_EraseRootFromParent_Done,
     /* 218563 */   // Label 3531: @218563
     /* 218563 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(218617), // Rule ID 8399 //
     /* 218568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 218571 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 218576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 218591 */     // (atomic_load_umin_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_umin_region_m0_i32>>  =>  (DS_MIN_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 218591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U32),
     /* 218594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 218601 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 218603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218615 */     GIR_RootConstrainSelectedInstOperands,
     /* 218616 */     // GIR_Coverage, 8399,
     /* 218616 */     GIR_EraseRootFromParent_Done,
     /* 218617 */   // Label 3532: @218617
     /* 218617 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(218674), // Rule ID 4098 //
     /* 218622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 218625 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218632 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 218645 */     // (atomic_load_umin:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (GLOBAL_ATOMIC_UMIN_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 218645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_SADDR),
     /* 218648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 218653 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 218660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218672 */     GIR_RootConstrainSelectedInstOperands,
     /* 218673 */     // GIR_Coverage, 4098,
     /* 218673 */     GIR_EraseRootFromParent_Done,
     /* 218674 */   // Label 3533: @218674
     /* 218674 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(218735), // Rule ID 4100 //
     /* 218679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 218682 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 218704 */     // (atomic_load_umin:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (GLOBAL_ATOMIC_UMIN_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 218704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_SADDR_RTN),
     /* 218707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 218714 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 218721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 218726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218733 */     GIR_RootConstrainSelectedInstOperands,
     /* 218734 */     // GIR_Coverage, 4100,
     /* 218734 */     GIR_EraseRootFromParent_Done,
     /* 218735 */   // Label 3534: @218735
     /* 218735 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(218787), // Rule ID 4097 //
     /* 218740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 218743 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218750 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 218763 */     // (atomic_load_umin:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (GLOBAL_ATOMIC_UMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 218763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN),
     /* 218766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 218771 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218785 */     GIR_RootConstrainSelectedInstOperands,
     /* 218786 */     // GIR_Coverage, 4097,
     /* 218786 */     GIR_EraseRootFromParent_Done,
     /* 218787 */   // Label 3535: @218787
     /* 218787 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(218843), // Rule ID 4099 //
     /* 218792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 218795 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 218817 */     // (atomic_load_umin:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (GLOBAL_ATOMIC_UMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 218817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_RTN),
     /* 218820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 218827 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218841 */     GIR_RootConstrainSelectedInstOperands,
     /* 218842 */     // GIR_Coverage, 4099,
     /* 218842 */     GIR_EraseRootFromParent_Done,
     /* 218843 */   // Label 3536: @218843
     /* 218843 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(218896), // Rule ID 3712 //
     /* 218848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 218851 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218859 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 218872 */     // (atomic_load_umin:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_flat_noret_i32>>  =>  (FLAT_ATOMIC_UMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 218872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN),
     /* 218875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 218880 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218894 */     GIR_RootConstrainSelectedInstOperands,
     /* 218895 */     // GIR_Coverage, 3712,
     /* 218895 */     GIR_EraseRootFromParent_Done,
     /* 218896 */   // Label 3537: @218896
     /* 218896 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(218948), // Rule ID 3772 //
     /* 218901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 218904 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218911 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 218913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 218924 */     // (atomic_load_umin:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i32>>  =>  (FLAT_ATOMIC_UMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 218924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN),
     /* 218927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 218932 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 218946 */     GIR_RootConstrainSelectedInstOperands,
     /* 218947 */     // GIR_Coverage, 3772,
     /* 218947 */     GIR_EraseRootFromParent_Done,
     /* 218948 */   // Label 3538: @218948
     /* 218948 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(219005), // Rule ID 3711 //
     /* 218953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 218956 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 218964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 218968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 218972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 218979 */     // (atomic_load_umin:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_flat_i32>>  =>  (FLAT_ATOMIC_UMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 218979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_RTN),
     /* 218982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 218984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 218989 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 218991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 218996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219003 */     GIR_RootConstrainSelectedInstOperands,
     /* 219004 */     // GIR_Coverage, 3711,
     /* 219004 */     GIR_EraseRootFromParent_Done,
     /* 219005 */   // Label 3539: @219005
     /* 219005 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(219061), // Rule ID 3771 //
     /* 219010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 219013 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 219024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 219035 */     // (atomic_load_umin:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_umin_global_i32>>  =>  (FLAT_ATOMIC_UMIN_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 219035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_RTN),
     /* 219038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 219040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 219045 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 219047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219059 */     GIR_RootConstrainSelectedInstOperands,
     /* 219060 */     // GIR_Coverage, 3771,
     /* 219060 */     GIR_EraseRootFromParent_Done,
     /* 219061 */   // Label 3540: @219061
     /* 219061 */   GIM_Reject,
     /* 219062 */ // Label 3518: @219062
     /* 219062 */ GIM_Reject,
     /* 219063 */ // Label 3516: @219063
     /* 219063 */ GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(220308),
     /* 219068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 219071 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(219133), // Rule ID 5769 //
     /* 219076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 219079 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219086 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 219099 */     // (atomic_load_umin:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_ADDR64),
     /* 219102 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 219109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 219119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 219124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219131 */     GIR_RootConstrainSelectedInstOperands,
     /* 219132 */     // GIR_Coverage, 5769,
     /* 219132 */     GIR_EraseRootFromParent_Done,
     /* 219133 */   // Label 3542: @219133
     /* 219133 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(219192), // Rule ID 5773 //
     /* 219138 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219145 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 219158 */     // (atomic_load_umin:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_ADDR64),
     /* 219161 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 219168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 219178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 219183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219190 */     GIR_RootConstrainSelectedInstOperands,
     /* 219191 */     // GIR_Coverage, 5773,
     /* 219191 */     GIR_EraseRootFromParent_Done,
     /* 219192 */   // Label 3543: @219192
     /* 219192 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(219258), // Rule ID 5767 //
     /* 219197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 219200 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 219222 */     // (atomic_load_umin:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_ADDR64_RTN),
     /* 219225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 219227 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 219234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 219244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 219249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219256 */     GIR_RootConstrainSelectedInstOperands,
     /* 219257 */     // GIR_Coverage, 5767,
     /* 219257 */     GIR_EraseRootFromParent_Done,
     /* 219258 */   // Label 3544: @219258
     /* 219258 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(219321), // Rule ID 5771 //
     /* 219263 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 219285 */     // (atomic_load_umin:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_ADDR64_RTN),
     /* 219288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 219290 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 219297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 219307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 219312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219319 */     GIR_RootConstrainSelectedInstOperands,
     /* 219320 */     // GIR_Coverage, 5771,
     /* 219320 */     GIR_EraseRootFromParent_Done,
     /* 219321 */   // Label 3545: @219321
     /* 219321 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(219378), // Rule ID 5768 //
     /* 219326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 219329 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219336 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 219349 */     // (atomic_load_umin:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFSET),
     /* 219352 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 219364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219376 */     GIR_RootConstrainSelectedInstOperands,
     /* 219377 */     // GIR_Coverage, 5768,
     /* 219377 */     GIR_EraseRootFromParent_Done,
     /* 219378 */   // Label 3546: @219378
     /* 219378 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(219432), // Rule ID 5772 //
     /* 219383 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219390 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 219403 */     // (atomic_load_umin:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET),
     /* 219406 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 219418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219430 */     GIR_RootConstrainSelectedInstOperands,
     /* 219431 */     // GIR_Coverage, 5772,
     /* 219431 */     GIR_EraseRootFromParent_Done,
     /* 219432 */   // Label 3547: @219432
     /* 219432 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(219493), // Rule ID 5766 //
     /* 219437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 219440 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 219462 */     // (atomic_load_umin:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFSET_RTN),
     /* 219465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 219467 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 219479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219491 */     GIR_RootConstrainSelectedInstOperands,
     /* 219492 */     // GIR_Coverage, 5766,
     /* 219492 */     GIR_EraseRootFromParent_Done,
     /* 219493 */   // Label 3548: @219493
     /* 219493 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(219551), // Rule ID 5770 //
     /* 219498 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 219520 */     // (atomic_load_umin:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 219520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET_RTN),
     /* 219523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 219525 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 219527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 219532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 219537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219549 */     GIR_RootConstrainSelectedInstOperands,
     /* 219550 */     // GIR_Coverage, 5770,
     /* 219550 */     GIR_EraseRootFromParent_Done,
     /* 219551 */   // Label 3549: @219551
     /* 219551 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(219601), // Rule ID 8489 //
     /* 219556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 219559 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 219564 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219577 */     // (atomic_load_umin_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_local_m0_noret_i64>>  =>  (DS_MIN_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 219577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U64),
     /* 219580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219585 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219599 */     GIR_RootConstrainSelectedInstOperands,
     /* 219600 */     // GIR_Coverage, 8489,
     /* 219600 */     GIR_EraseRootFromParent_Done,
     /* 219601 */   // Label 3550: @219601
     /* 219601 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(219651), // Rule ID 8491 //
     /* 219606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 219609 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 219614 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219627 */     // (atomic_load_umin:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_local_noret_i64>>  =>  (DS_MIN_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 219627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U64_gfx9),
     /* 219630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219635 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219649 */     GIR_RootConstrainSelectedInstOperands,
     /* 219650 */     // GIR_Coverage, 8491,
     /* 219650 */     GIR_EraseRootFromParent_Done,
     /* 219651 */   // Label 3551: @219651
     /* 219651 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(219701), // Rule ID 8493 //
     /* 219656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 219659 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 219664 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219677 */     // (atomic_load_umin_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_region_m0_noret_i64>>  =>  (DS_MIN_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 219677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_U64),
     /* 219680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219685 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219699 */     GIR_RootConstrainSelectedInstOperands,
     /* 219700 */     // GIR_Coverage, 8493,
     /* 219700 */     GIR_EraseRootFromParent_Done,
     /* 219701 */   // Label 3552: @219701
     /* 219701 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(219755), // Rule ID 8488 //
     /* 219706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 219709 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 219714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219729 */     // (atomic_load_umin_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_local_m0_i64>>  =>  (DS_MIN_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 219729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U64),
     /* 219732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 219734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219739 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219753 */     GIR_RootConstrainSelectedInstOperands,
     /* 219754 */     // GIR_Coverage, 8488,
     /* 219754 */     GIR_EraseRootFromParent_Done,
     /* 219755 */   // Label 3553: @219755
     /* 219755 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(219809), // Rule ID 8490 //
     /* 219760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 219763 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 219768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219783 */     // (atomic_load_umin:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_local_i64>>  =>  (DS_MIN_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 219783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U64_gfx9),
     /* 219786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 219788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219793 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219807 */     GIR_RootConstrainSelectedInstOperands,
     /* 219808 */     // GIR_Coverage, 8490,
     /* 219808 */     GIR_EraseRootFromParent_Done,
     /* 219809 */   // Label 3554: @219809
     /* 219809 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(219863), // Rule ID 8492 //
     /* 219814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 219817 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 219822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 219837 */     // (atomic_load_umin_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_umin_region_m0_i64>>  =>  (DS_MIN_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 219837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_U64),
     /* 219840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 219842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 219847 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 219849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 219854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219861 */     GIR_RootConstrainSelectedInstOperands,
     /* 219862 */     // GIR_Coverage, 8492,
     /* 219862 */     GIR_EraseRootFromParent_Done,
     /* 219863 */   // Label 3555: @219863
     /* 219863 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(219920), // Rule ID 4154 //
     /* 219868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 219871 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219878 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 219891 */     // (atomic_load_umin:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (GLOBAL_ATOMIC_UMIN_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 219891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_X2_SADDR),
     /* 219894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 219899 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 219901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 219906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 219914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219918 */     GIR_RootConstrainSelectedInstOperands,
     /* 219919 */     // GIR_Coverage, 4154,
     /* 219919 */     GIR_EraseRootFromParent_Done,
     /* 219920 */   // Label 3556: @219920
     /* 219920 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(219981), // Rule ID 4156 //
     /* 219925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 219928 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 219939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 219943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 219950 */     // (atomic_load_umin:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (GLOBAL_ATOMIC_UMIN_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 219950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_X2_SADDR_RTN),
     /* 219953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 219955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 219960 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 219962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 219967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 219972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 219975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 219979 */     GIR_RootConstrainSelectedInstOperands,
     /* 219980 */     // GIR_Coverage, 4156,
     /* 219980 */     GIR_EraseRootFromParent_Done,
     /* 219981 */   // Label 3557: @219981
     /* 219981 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(220033), // Rule ID 4153 //
     /* 219986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 219989 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 219996 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 219998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 220009 */     // (atomic_load_umin:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (GLOBAL_ATOMIC_UMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_X2),
     /* 220012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220017 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220031 */     GIR_RootConstrainSelectedInstOperands,
     /* 220032 */     // GIR_Coverage, 4153,
     /* 220032 */     GIR_EraseRootFromParent_Done,
     /* 220033 */   // Label 3558: @220033
     /* 220033 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(220089), // Rule ID 4155 //
     /* 220038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 220041 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 220052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 220063 */     // (atomic_load_umin:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (GLOBAL_ATOMIC_UMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_UMIN_X2_RTN),
     /* 220066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220073 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220087 */     GIR_RootConstrainSelectedInstOperands,
     /* 220088 */     // GIR_Coverage, 4155,
     /* 220088 */     GIR_EraseRootFromParent_Done,
     /* 220089 */   // Label 3559: @220089
     /* 220089 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(220142), // Rule ID 3738 //
     /* 220094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 220097 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220105 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220118 */     // (atomic_load_umin:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_flat_noret_i64>>  =>  (FLAT_ATOMIC_UMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_X2),
     /* 220121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220126 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220140 */     GIR_RootConstrainSelectedInstOperands,
     /* 220141 */     // GIR_Coverage, 3738,
     /* 220141 */     GIR_EraseRootFromParent_Done,
     /* 220142 */   // Label 3560: @220142
     /* 220142 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(220194), // Rule ID 3798 //
     /* 220147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 220150 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220157 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220170 */     // (atomic_load_umin:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_noret_i64>>  =>  (FLAT_ATOMIC_UMIN_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_X2),
     /* 220173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220178 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220192 */     GIR_RootConstrainSelectedInstOperands,
     /* 220193 */     // GIR_Coverage, 3798,
     /* 220193 */     GIR_EraseRootFromParent_Done,
     /* 220194 */   // Label 3561: @220194
     /* 220194 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(220251), // Rule ID 3737 //
     /* 220199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 220202 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 220214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220225 */     // (atomic_load_umin:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_flat_i64>>  =>  (FLAT_ATOMIC_UMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_X2_RTN),
     /* 220228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220235 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220249 */     GIR_RootConstrainSelectedInstOperands,
     /* 220250 */     // GIR_Coverage, 3737,
     /* 220250 */     GIR_EraseRootFromParent_Done,
     /* 220251 */   // Label 3562: @220251
     /* 220251 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(220307), // Rule ID 3797 //
     /* 220256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 220259 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 220270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220281 */     // (atomic_load_umin:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_umin_global_i64>>  =>  (FLAT_ATOMIC_UMIN_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 220281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_UMIN_X2_RTN),
     /* 220284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220291 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220305 */     GIR_RootConstrainSelectedInstOperands,
     /* 220306 */     // GIR_Coverage, 3797,
     /* 220306 */     GIR_EraseRootFromParent_Done,
     /* 220307 */   // Label 3563: @220307
     /* 220307 */   GIM_Reject,
     /* 220308 */ // Label 3541: @220308
     /* 220308 */ GIM_Reject,
     /* 220309 */ // Label 3517: @220309
     /* 220309 */ GIM_Reject,
     /* 220310 */ // Label 29: @220310
     /* 220310 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 3567*/ GIMT_Encode4(222520),
     /* 220321 */ /*GILLT_s32*//*Label 3564*/ GIMT_Encode4(220333),
     /* 220325 */ /*GILLT_s64*//*Label 3565*/ GIMT_Encode4(220991),
     /* 220329 */ /*GILLT_v2s16*//*Label 3566*/ GIMT_Encode4(221441),
     /* 220333 */ // Label 3564: @220333
     /* 220333 */ GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(220990),
     /* 220338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 220341 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(220391), // Rule ID 8426 //
     /* 220346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLDSFPAtomicAddF32_LDSRequiresM0Init),
     /* 220349 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 220354 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220367 */     // (atomic_load_fadd_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_noret_f32>>  =>  (DS_ADD_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 220367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_F32),
     /* 220370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220375 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220389 */     GIR_RootConstrainSelectedInstOperands,
     /* 220390 */     // GIR_Coverage, 8426,
     /* 220390 */     GIR_EraseRootFromParent_Done,
     /* 220391 */   // Label 3569: @220391
     /* 220391 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(220441), // Rule ID 8428 //
     /* 220396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLDSFPAtomicAddF32_NotLDSRequiresM0Init),
     /* 220399 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 220404 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220417 */     // (atomic_load_fadd:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_local_noret_f32>>  =>  (DS_ADD_F32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 220417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_F32_gfx9),
     /* 220420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220425 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220439 */     GIR_RootConstrainSelectedInstOperands,
     /* 220440 */     // GIR_Coverage, 8428,
     /* 220440 */     GIR_EraseRootFromParent_Done,
     /* 220441 */   // Label 3570: @220441
     /* 220441 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(220491), // Rule ID 8430 //
     /* 220446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_HasLDSFPAtomicAddF32),
     /* 220449 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 220454 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220467 */     // (atomic_load_fadd_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_noret_f32>>  =>  (DS_ADD_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 220467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_F32),
     /* 220470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220475 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220489 */     GIR_RootConstrainSelectedInstOperands,
     /* 220490 */     // GIR_Coverage, 8430,
     /* 220490 */     GIR_EraseRootFromParent_Done,
     /* 220491 */   // Label 3571: @220491
     /* 220491 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(220545), // Rule ID 8425 //
     /* 220496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLDSFPAtomicAddF32_LDSRequiresM0Init),
     /* 220499 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 220504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220519 */     // (atomic_load_fadd_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_f32>>  =>  (DS_ADD_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 220519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_F32),
     /* 220522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220529 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220543 */     GIR_RootConstrainSelectedInstOperands,
     /* 220544 */     // GIR_Coverage, 8425,
     /* 220544 */     GIR_EraseRootFromParent_Done,
     /* 220545 */   // Label 3572: @220545
     /* 220545 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(220599), // Rule ID 8427 //
     /* 220550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLDSFPAtomicAddF32_NotLDSRequiresM0Init),
     /* 220553 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 220558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220573 */     // (atomic_load_fadd:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_local_f32>>  =>  (DS_ADD_RTN_F32_gfx9:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 220573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_F32_gfx9),
     /* 220576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220583 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220597 */     GIR_RootConstrainSelectedInstOperands,
     /* 220598 */     // GIR_Coverage, 8427,
     /* 220598 */     GIR_EraseRootFromParent_Done,
     /* 220599 */   // Label 3573: @220599
     /* 220599 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(220653), // Rule ID 8429 //
     /* 220604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS_HasLDSFPAtomicAddF32),
     /* 220607 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 220612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 220627 */     // (atomic_load_fadd_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_f32>>  =>  (DS_ADD_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 220627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_F32),
     /* 220630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 220637 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 220639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220651 */     GIR_RootConstrainSelectedInstOperands,
     /* 220652 */     // GIR_Coverage, 8429,
     /* 220652 */     GIR_EraseRootFromParent_Done,
     /* 220653 */   // Label 3574: @220653
     /* 220653 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(220710), // Rule ID 4216 //
     /* 220658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 220661 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220668 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 220681 */     // (atomic_load_fadd:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_f32>>  =>  (GLOBAL_ATOMIC_ADD_F32_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 220681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F32_SADDR),
     /* 220684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 220689 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 220696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 220701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220708 */     GIR_RootConstrainSelectedInstOperands,
     /* 220709 */     // GIR_Coverage, 4216,
     /* 220709 */     GIR_EraseRootFromParent_Done,
     /* 220710 */   // Label 3575: @220710
     /* 220710 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(220771), // Rule ID 4220 //
     /* 220715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 220718 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 220740 */     // (atomic_load_fadd:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_global_f32>>  =>  (GLOBAL_ATOMIC_ADD_F32_SADDR_RTN:{ *:[f32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 220740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F32_SADDR_RTN),
     /* 220743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 220750 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 220757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 220762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220769 */     GIR_RootConstrainSelectedInstOperands,
     /* 220770 */     // GIR_Coverage, 4220,
     /* 220770 */     GIR_EraseRootFromParent_Done,
     /* 220771 */   // Label 3576: @220771
     /* 220771 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(220823), // Rule ID 4215 //
     /* 220776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 220779 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220786 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 220799 */     // (atomic_load_fadd:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_f32>>  =>  (GLOBAL_ATOMIC_ADD_F32 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 220799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F32),
     /* 220802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220807 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220821 */     GIR_RootConstrainSelectedInstOperands,
     /* 220822 */     // GIR_Coverage, 4215,
     /* 220822 */     GIR_EraseRootFromParent_Done,
     /* 220823 */   // Label 3577: @220823
     /* 220823 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(220879), // Rule ID 4219 //
     /* 220828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 220831 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 220853 */     // (atomic_load_fadd:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_global_f32>>  =>  (GLOBAL_ATOMIC_ADD_F32_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 220853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F32_RTN),
     /* 220856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220863 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220877 */     GIR_RootConstrainSelectedInstOperands,
     /* 220878 */     // GIR_Coverage, 4219,
     /* 220878 */     GIR_EraseRootFromParent_Done,
     /* 220879 */   // Label 3578: @220879
     /* 220879 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(220932), // Rule ID 4240 //
     /* 220884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAtomicFaddF32Inst),
     /* 220887 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220895 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 220897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220908 */     // (atomic_load_fadd:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_flat_noret_f32>>  =>  (FLAT_ATOMIC_ADD_F32 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 220908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_F32),
     /* 220911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220916 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 220926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220930 */     GIR_RootConstrainSelectedInstOperands,
     /* 220931 */     // GIR_Coverage, 4240,
     /* 220931 */     GIR_EraseRootFromParent_Done,
     /* 220932 */   // Label 3579: @220932
     /* 220932 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(220989), // Rule ID 4239 //
     /* 220937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAtomicFaddF32Inst),
     /* 220940 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 220948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 220952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 220956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 220963 */     // (atomic_load_fadd:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fadd_flat_f32>>  =>  (FLAT_ATOMIC_ADD_F32_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 220963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_F32_RTN),
     /* 220966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 220968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 220973 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 220975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 220980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 220983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 220987 */     GIR_RootConstrainSelectedInstOperands,
     /* 220988 */     // GIR_Coverage, 4239,
     /* 220988 */     GIR_EraseRootFromParent_Done,
     /* 220989 */   // Label 3580: @220989
     /* 220989 */   GIM_Reject,
     /* 220990 */ // Label 3568: @220990
     /* 220990 */ GIM_Reject,
     /* 220991 */ // Label 3565: @220991
     /* 220991 */ GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(221440),
     /* 220996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 220999 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(221049), // Rule ID 8523 //
     /* 221004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLdsAtomicAddF64),
     /* 221007 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221012 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221025 */     // (atomic_load_fadd:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fadd_local_noret_f64>>  =>  (DS_ADD_F64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_F64),
     /* 221028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221033 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221047 */     GIR_RootConstrainSelectedInstOperands,
     /* 221048 */     // GIR_Coverage, 8523,
     /* 221048 */     GIR_EraseRootFromParent_Done,
     /* 221049 */   // Label 3582: @221049
     /* 221049 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(221103), // Rule ID 8522 //
     /* 221054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLdsAtomicAddF64),
     /* 221057 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 221066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221077 */     // (atomic_load_fadd:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fadd_local_f64>>  =>  (DS_ADD_RTN_F64:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_RTN_F64),
     /* 221080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221087 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221101 */     GIR_RootConstrainSelectedInstOperands,
     /* 221102 */     // GIR_Coverage, 8522,
     /* 221102 */     GIR_EraseRootFromParent_Done,
     /* 221103 */   // Label 3583: @221103
     /* 221103 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(221160), // Rule ID 4234 //
     /* 221108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221111 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221118 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 221131 */     // (atomic_load_fadd:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_f64>>  =>  (GLOBAL_ATOMIC_ADD_F64_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 221131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F64_SADDR),
     /* 221134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 221139 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 221146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 221151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221158 */     GIR_RootConstrainSelectedInstOperands,
     /* 221159 */     // GIR_Coverage, 4234,
     /* 221159 */     GIR_EraseRootFromParent_Done,
     /* 221160 */   // Label 3584: @221160
     /* 221160 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(221221), // Rule ID 4236 //
     /* 221165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221168 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 221179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 221190 */     // (atomic_load_fadd:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_global_f64>>  =>  (GLOBAL_ATOMIC_ADD_F64_SADDR_RTN:{ *:[f64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 221190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F64_SADDR_RTN),
     /* 221193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 221200 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 221207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 221212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221219 */     GIR_RootConstrainSelectedInstOperands,
     /* 221220 */     // GIR_Coverage, 4236,
     /* 221220 */     GIR_EraseRootFromParent_Done,
     /* 221221 */   // Label 3585: @221221
     /* 221221 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(221273), // Rule ID 4233 //
     /* 221226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221229 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221236 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 221249 */     // (atomic_load_fadd:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_f64>>  =>  (GLOBAL_ATOMIC_ADD_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 221249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F64),
     /* 221252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 221257 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221271 */     GIR_RootConstrainSelectedInstOperands,
     /* 221272 */     // GIR_Coverage, 4233,
     /* 221272 */     GIR_EraseRootFromParent_Done,
     /* 221273 */   // Label 3586: @221273
     /* 221273 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(221329), // Rule ID 4235 //
     /* 221278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221281 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 221292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 221303 */     // (atomic_load_fadd:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_global_f64>>  =>  (GLOBAL_ATOMIC_ADD_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 221303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ADD_F64_RTN),
     /* 221306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 221313 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221327 */     GIR_RootConstrainSelectedInstOperands,
     /* 221328 */     // GIR_Coverage, 4235,
     /* 221328 */     GIR_EraseRootFromParent_Done,
     /* 221329 */   // Label 3587: @221329
     /* 221329 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(221382), // Rule ID 4238 //
     /* 221334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221337 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221345 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 221358 */     // (atomic_load_fadd:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_flat_noret_f64>>  =>  (FLAT_ATOMIC_ADD_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 221358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_F64),
     /* 221361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 221366 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221380 */     GIR_RootConstrainSelectedInstOperands,
     /* 221381 */     // GIR_Coverage, 4238,
     /* 221381 */     GIR_EraseRootFromParent_Done,
     /* 221382 */   // Label 3588: @221382
     /* 221382 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(221439), // Rule ID 4237 //
     /* 221387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 221390 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 221398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 221402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 221413 */     // (atomic_load_fadd:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fadd_flat_f64>>  =>  (FLAT_ATOMIC_ADD_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 221413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_ADD_F64_RTN),
     /* 221416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 221423 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 221425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221437 */     GIR_RootConstrainSelectedInstOperands,
     /* 221438 */     // GIR_Coverage, 4237,
     /* 221438 */     GIR_EraseRootFromParent_Done,
     /* 221439 */   // Label 3589: @221439
     /* 221439 */   GIM_Reject,
     /* 221440 */ // Label 3581: @221440
     /* 221440 */ GIM_Reject,
     /* 221441 */ // Label 3566: @221441
     /* 221441 */ GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(222519),
     /* 221446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 221449 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(221499), // Rule ID 8420 //
     /* 221454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_LDSRequiresM0Init),
     /* 221457 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221462 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221475 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_noret_v2f16>>  =>  (DS_PK_ADD_F16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16),
     /* 221478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221483 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221497 */     GIR_RootConstrainSelectedInstOperands,
     /* 221498 */     // GIR_Coverage, 8420,
     /* 221498 */     GIR_EraseRootFromParent_Done,
     /* 221499 */   // Label 3591: @221499
     /* 221499 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(221549), // Rule ID 8422 //
     /* 221504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_NotLDSRequiresM0Init),
     /* 221507 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221512 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221525 */     // (atomic_load_fadd:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_noret_v2f16>>  =>  (DS_PK_ADD_F16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16_gfx9),
     /* 221528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221533 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221547 */     GIR_RootConstrainSelectedInstOperands,
     /* 221548 */     // GIR_Coverage, 8422,
     /* 221548 */     GIR_EraseRootFromParent_Done,
     /* 221549 */   // Label 3592: @221549
     /* 221549 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(221599), // Rule ID 8424 //
     /* 221554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_HasGDS),
     /* 221557 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 221562 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221575 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_noret_v2f16>>  =>  (DS_PK_ADD_F16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 221575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16),
     /* 221578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221583 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221597 */     GIR_RootConstrainSelectedInstOperands,
     /* 221598 */     // GIR_Coverage, 8424,
     /* 221598 */     GIR_EraseRootFromParent_Done,
     /* 221599 */   // Label 3593: @221599
     /* 221599 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(221649), // Rule ID 8525 //
     /* 221604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_LDSRequiresM0Init),
     /* 221607 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221612 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221625 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_noret_v2f16>>  =>  (DS_PK_ADD_F16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16),
     /* 221628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221633 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221647 */     GIR_RootConstrainSelectedInstOperands,
     /* 221648 */     // GIR_Coverage, 8525,
     /* 221648 */     GIR_EraseRootFromParent_Done,
     /* 221649 */   // Label 3594: @221649
     /* 221649 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(221699), // Rule ID 8527 //
     /* 221654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_NotLDSRequiresM0Init),
     /* 221657 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221662 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221675 */     // (atomic_load_fadd:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_noret_v2f16>>  =>  (DS_PK_ADD_F16_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16_gfx9),
     /* 221678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221683 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221697 */     GIR_RootConstrainSelectedInstOperands,
     /* 221698 */     // GIR_Coverage, 8527,
     /* 221698 */     GIR_EraseRootFromParent_Done,
     /* 221699 */   // Label 3595: @221699
     /* 221699 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(221749), // Rule ID 8529 //
     /* 221704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_HasGDS),
     /* 221707 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 221712 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 221714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221725 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_noret_v2f16>>  =>  (DS_PK_ADD_F16 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 221725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_F16),
     /* 221728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221733 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221747 */     GIR_RootConstrainSelectedInstOperands,
     /* 221748 */     // GIR_Coverage, 8529,
     /* 221748 */     GIR_EraseRootFromParent_Done,
     /* 221749 */   // Label 3596: @221749
     /* 221749 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(221803), // Rule ID 8419 //
     /* 221754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_LDSRequiresM0Init),
     /* 221757 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 221766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221777 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_v2f16>>  =>  (DS_PK_ADD_RTN_F16:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16),
     /* 221780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221787 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221801 */     GIR_RootConstrainSelectedInstOperands,
     /* 221802 */     // GIR_Coverage, 8419,
     /* 221802 */     GIR_EraseRootFromParent_Done,
     /* 221803 */   // Label 3597: @221803
     /* 221803 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(221857), // Rule ID 8421 //
     /* 221808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_NotLDSRequiresM0Init),
     /* 221811 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 221820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221831 */     // (atomic_load_fadd:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_v2f16>>  =>  (DS_PK_ADD_RTN_F16_gfx9:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16_gfx9),
     /* 221834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221841 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221855 */     GIR_RootConstrainSelectedInstOperands,
     /* 221856 */     // GIR_Coverage, 8421,
     /* 221856 */     GIR_EraseRootFromParent_Done,
     /* 221857 */   // Label 3598: @221857
     /* 221857 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(221911), // Rule ID 8423 //
     /* 221862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_HasGDS),
     /* 221865 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 221870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 221874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221885 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_v2f16>>  =>  (DS_PK_ADD_RTN_F16:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 221885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16),
     /* 221888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221895 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 221905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221909 */     GIR_RootConstrainSelectedInstOperands,
     /* 221910 */     // GIR_Coverage, 8423,
     /* 221910 */     GIR_EraseRootFromParent_Done,
     /* 221911 */   // Label 3599: @221911
     /* 221911 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(221965), // Rule ID 8524 //
     /* 221916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_LDSRequiresM0Init),
     /* 221919 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 221928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221939 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_m0_v2f16>>  =>  (DS_PK_ADD_RTN_F16:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16),
     /* 221942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 221949 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 221951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 221956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 221959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 221963 */     GIR_RootConstrainSelectedInstOperands,
     /* 221964 */     // GIR_Coverage, 8524,
     /* 221964 */     GIR_EraseRootFromParent_Done,
     /* 221965 */   // Label 3600: @221965
     /* 221965 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(222019), // Rule ID 8526 //
     /* 221970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_NotLDSRequiresM0Init),
     /* 221973 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 221978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 221982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 221986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 221993 */     // (atomic_load_fadd:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_local_v2f16>>  =>  (DS_PK_ADD_RTN_F16_gfx9:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 221993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16_gfx9),
     /* 221996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 221998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 222003 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 222005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222017 */     GIR_RootConstrainSelectedInstOperands,
     /* 222018 */     // GIR_Coverage, 8526,
     /* 222018 */     GIR_EraseRootFromParent_Done,
     /* 222019 */   // Label 3601: @222019
     /* 222019 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(222073), // Rule ID 8528 //
     /* 222024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicDsPkAdd16Insts_HasGDS),
     /* 222027 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 222032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 222047 */     // (atomic_load_fadd_glue:{ *:[v2f16] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$value)<<P:Predicate_atomic_load_fadd_region_m0_v2f16>>  =>  (DS_PK_ADD_RTN_F16:{ *:[v2f16] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[v2f16] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 222047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PK_ADD_RTN_F16),
     /* 222050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 222052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 222057 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 222059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222071 */     GIR_RootConstrainSelectedInstOperands,
     /* 222072 */     // GIR_Coverage, 8528,
     /* 222072 */     GIR_EraseRootFromParent_Done,
     /* 222073 */   // Label 3602: @222073
     /* 222073 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(222130), // Rule ID 4218 //
     /* 222078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 222081 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222088 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 222101 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 222101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16_SADDR),
     /* 222104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 222109 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 222116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222128 */     GIR_RootConstrainSelectedInstOperands,
     /* 222129 */     // GIR_Coverage, 4218,
     /* 222129 */     GIR_EraseRootFromParent_Done,
     /* 222130 */   // Label 3603: @222130
     /* 222130 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(222187), // Rule ID 4222 //
     /* 222135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 222138 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222145 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 222158 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 222158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16_SADDR),
     /* 222161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 222166 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 222173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222185 */     GIR_RootConstrainSelectedInstOperands,
     /* 222186 */     // GIR_Coverage, 4222,
     /* 222186 */     GIR_EraseRootFromParent_Done,
     /* 222187 */   // Label 3604: @222187
     /* 222187 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(222248), // Rule ID 4224 //
     /* 222192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 222195 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 222217 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16_SADDR_RTN:{ *:[v2f16] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 222217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16_SADDR_RTN),
     /* 222220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 222222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 222227 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 222234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222246 */     GIR_RootConstrainSelectedInstOperands,
     /* 222247 */     // GIR_Coverage, 4224,
     /* 222247 */     GIR_EraseRootFromParent_Done,
     /* 222248 */   // Label 3605: @222248
     /* 222248 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(222300), // Rule ID 4217 //
     /* 222253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 222256 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222263 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 222276 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 222276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16),
     /* 222279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 222284 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222298 */     GIR_RootConstrainSelectedInstOperands,
     /* 222299 */     // GIR_Coverage, 4217,
     /* 222299 */     GIR_EraseRootFromParent_Done,
     /* 222300 */   // Label 3606: @222300
     /* 222300 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(222352), // Rule ID 4221 //
     /* 222305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 222308 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222315 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 222328 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_noret_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 222328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16),
     /* 222331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 222336 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222350 */     GIR_RootConstrainSelectedInstOperands,
     /* 222351 */     // GIR_Coverage, 4221,
     /* 222351 */     GIR_EraseRootFromParent_Done,
     /* 222352 */   // Label 3607: @222352
     /* 222352 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(222408), // Rule ID 4223 //
     /* 222357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 222360 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 222382 */     // (atomic_load_fadd:{ *:[v2f16] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_global_v2f16>>  =>  (GLOBAL_ATOMIC_PK_ADD_F16_RTN:{ *:[v2f16] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 222382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_PK_ADD_F16_RTN),
     /* 222385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 222387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 222392 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222406 */     GIR_RootConstrainSelectedInstOperands,
     /* 222407 */     // GIR_Coverage, 4223,
     /* 222407 */     GIR_EraseRootFromParent_Done,
     /* 222408 */   // Label 3608: @222408
     /* 222408 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(222461), // Rule ID 4242 //
     /* 222413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFlatPkAdd16Insts),
     /* 222416 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222424 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 222437 */     // (atomic_load_fadd:{ *:[v2f16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_flat_noret_v2f16>>  =>  (FLAT_ATOMIC_PK_ADD_F16 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 222437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_PK_ADD_F16),
     /* 222440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 222445 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222459 */     GIR_RootConstrainSelectedInstOperands,
     /* 222460 */     // GIR_Coverage, 4242,
     /* 222460 */     GIR_EraseRootFromParent_Done,
     /* 222461 */   // Label 3609: @222461
     /* 222461 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(222518), // Rule ID 4241 //
     /* 222466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFlatPkAdd16Insts),
     /* 222469 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 222492 */     // (atomic_load_fadd:{ *:[v2f16] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2f16:{ *:[v2f16] }:$data)<<P:Predicate_atomic_load_fadd_flat_v2f16>>  =>  (FLAT_ATOMIC_PK_ADD_F16_RTN:{ *:[v2f16] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[v2f16] }:$data, ?:{ *:[i32] }:$offset)
     /* 222492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_PK_ADD_F16_RTN),
     /* 222495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 222497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 222502 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 222504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 222509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222516 */     GIR_RootConstrainSelectedInstOperands,
     /* 222517 */     // GIR_Coverage, 4241,
     /* 222517 */     GIR_EraseRootFromParent_Done,
     /* 222518 */   // Label 3610: @222518
     /* 222518 */   GIM_Reject,
     /* 222519 */ // Label 3590: @222519
     /* 222519 */ GIM_Reject,
     /* 222520 */ // Label 3567: @222520
     /* 222520 */ GIM_Reject,
     /* 222521 */ // Label 30: @222521
     /* 222521 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3613*/ GIMT_Encode4(225166),
     /* 222532 */ /*GILLT_s32*//*Label 3611*/ GIMT_Encode4(222540),
     /* 222536 */ /*GILLT_s64*//*Label 3612*/ GIMT_Encode4(223908),
     /* 222540 */ // Label 3611: @222540
     /* 222540 */ GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(223907),
     /* 222545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 222548 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(222610), // Rule ID 5841 //
     /* 222553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222556 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222563 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 222576 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMAX_ADDR64 anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_ADDR64),
     /* 222579 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 222586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 222596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 222601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222608 */     GIR_RootConstrainSelectedInstOperands,
     /* 222609 */     // GIR_Coverage, 5841,
     /* 222609 */     GIR_EraseRootFromParent_Done,
     /* 222610 */   // Label 3615: @222610
     /* 222610 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(222672), // Rule ID 5845 //
     /* 222615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222618 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222625 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 222638 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_ADDR64 anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_ADDR64),
     /* 222641 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 222648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 222658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 222663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222670 */     GIR_RootConstrainSelectedInstOperands,
     /* 222671 */     // GIR_Coverage, 5845,
     /* 222671 */     GIR_EraseRootFromParent_Done,
     /* 222672 */   // Label 3616: @222672
     /* 222672 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(222738), // Rule ID 5839 //
     /* 222677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222680 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 222702 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (BUFFER_ATOMIC_FMAX_ADDR64_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_ADDR64_RTN),
     /* 222705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 222707 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 222714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 222724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 222729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222736 */     GIR_RootConstrainSelectedInstOperands,
     /* 222737 */     // GIR_Coverage, 5839,
     /* 222737 */     GIR_EraseRootFromParent_Done,
     /* 222738 */   // Label 3617: @222738
     /* 222738 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(222804), // Rule ID 5843 //
     /* 222743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222746 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 222768 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_ADDR64_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_ADDR64_RTN),
     /* 222771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 222773 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 222780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 222790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 222795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222802 */     GIR_RootConstrainSelectedInstOperands,
     /* 222803 */     // GIR_Coverage, 5843,
     /* 222803 */     GIR_EraseRootFromParent_Done,
     /* 222804 */   // Label 3618: @222804
     /* 222804 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(222861), // Rule ID 5840 //
     /* 222809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222812 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222819 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 222832 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMAX_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFSET),
     /* 222835 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 222847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222859 */     GIR_RootConstrainSelectedInstOperands,
     /* 222860 */     // GIR_Coverage, 5840,
     /* 222860 */     GIR_EraseRootFromParent_Done,
     /* 222861 */   // Label 3619: @222861
     /* 222861 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(222918), // Rule ID 5844 //
     /* 222866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222869 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222876 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 222878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 222889 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET),
     /* 222892 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 222904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 222912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222916 */     GIR_RootConstrainSelectedInstOperands,
     /* 222917 */     // GIR_Coverage, 5844,
     /* 222917 */     GIR_EraseRootFromParent_Done,
     /* 222918 */   // Label 3620: @222918
     /* 222918 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(222979), // Rule ID 5838 //
     /* 222923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222926 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 222941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 222948 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (BUFFER_ATOMIC_FMAX_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 222948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFSET_RTN),
     /* 222951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 222953 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 222955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 222960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 222965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 222970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 222973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 222977 */     GIR_RootConstrainSelectedInstOperands,
     /* 222978 */     // GIR_Coverage, 5838,
     /* 222978 */     GIR_EraseRootFromParent_Done,
     /* 222979 */   // Label 3621: @222979
     /* 222979 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(223040), // Rule ID 5842 //
     /* 222984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 222987 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 222994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 222998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 223009 */     // (atomic_load_fmax:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 223009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET_RTN),
     /* 223012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 223014 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 223016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 223021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 223026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 223031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223038 */     GIR_RootConstrainSelectedInstOperands,
     /* 223039 */     // GIR_Coverage, 5842,
     /* 223039 */     GIR_EraseRootFromParent_Done,
     /* 223040 */   // Label 3622: @223040
     /* 223040 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(223090), // Rule ID 8414 //
     /* 223045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 223048 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 223053 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223066 */     // (atomic_load_fmax_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_local_m0_noret_f32>>  =>  (DS_MAX_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 223066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F32),
     /* 223069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223074 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223088 */     GIR_RootConstrainSelectedInstOperands,
     /* 223089 */     // GIR_Coverage, 8414,
     /* 223089 */     GIR_EraseRootFromParent_Done,
     /* 223090 */   // Label 3623: @223090
     /* 223090 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(223140), // Rule ID 8416 //
     /* 223095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 223098 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 223103 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223116 */     // (atomic_load_fmax:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_local_noret_f32>>  =>  (DS_MAX_F32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 223116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F32_gfx9),
     /* 223119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223124 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223138 */     GIR_RootConstrainSelectedInstOperands,
     /* 223139 */     // GIR_Coverage, 8416,
     /* 223139 */     GIR_EraseRootFromParent_Done,
     /* 223140 */   // Label 3624: @223140
     /* 223140 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(223190), // Rule ID 8418 //
     /* 223145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 223148 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 223153 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223166 */     // (atomic_load_fmax_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_region_m0_noret_f32>>  =>  (DS_MAX_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 223166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F32),
     /* 223169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223174 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223188 */     GIR_RootConstrainSelectedInstOperands,
     /* 223189 */     // GIR_Coverage, 8418,
     /* 223189 */     GIR_EraseRootFromParent_Done,
     /* 223190 */   // Label 3625: @223190
     /* 223190 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(223244), // Rule ID 8413 //
     /* 223195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 223198 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 223203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223218 */     // (atomic_load_fmax_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_local_m0_f32>>  =>  (DS_MAX_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 223218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F32),
     /* 223221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223228 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223242 */     GIR_RootConstrainSelectedInstOperands,
     /* 223243 */     // GIR_Coverage, 8413,
     /* 223243 */     GIR_EraseRootFromParent_Done,
     /* 223244 */   // Label 3626: @223244
     /* 223244 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(223298), // Rule ID 8415 //
     /* 223249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 223252 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 223257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223272 */     // (atomic_load_fmax:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_local_f32>>  =>  (DS_MAX_RTN_F32_gfx9:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 223272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F32_gfx9),
     /* 223275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223282 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223296 */     GIR_RootConstrainSelectedInstOperands,
     /* 223297 */     // GIR_Coverage, 8415,
     /* 223297 */     GIR_EraseRootFromParent_Done,
     /* 223298 */   // Label 3627: @223298
     /* 223298 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(223352), // Rule ID 8417 //
     /* 223303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 223306 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 223311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 223326 */     // (atomic_load_fmax_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmax_region_m0_f32>>  =>  (DS_MAX_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 223326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F32),
     /* 223329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 223336 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 223338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223350 */     GIR_RootConstrainSelectedInstOperands,
     /* 223351 */     // GIR_Coverage, 8417,
     /* 223351 */     GIR_EraseRootFromParent_Done,
     /* 223352 */   // Label 3628: @223352
     /* 223352 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(223409), // Rule ID 4196 //
     /* 223357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 223360 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223367 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 223380 */     // (atomic_load_fmax:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (GLOBAL_ATOMIC_FMAX_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 223380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_SADDR),
     /* 223383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 223388 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 223395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 223400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223407 */     GIR_RootConstrainSelectedInstOperands,
     /* 223408 */     // GIR_Coverage, 4196,
     /* 223408 */     GIR_EraseRootFromParent_Done,
     /* 223409 */   // Label 3629: @223409
     /* 223409 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(223470), // Rule ID 4198 //
     /* 223414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 223417 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 223439 */     // (atomic_load_fmax:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (GLOBAL_ATOMIC_FMAX_SADDR_RTN:{ *:[f32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 223439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_SADDR_RTN),
     /* 223442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 223449 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 223456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 223461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223468 */     GIR_RootConstrainSelectedInstOperands,
     /* 223469 */     // GIR_Coverage, 4198,
     /* 223469 */     GIR_EraseRootFromParent_Done,
     /* 223470 */   // Label 3630: @223470
     /* 223470 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(223522), // Rule ID 4195 //
     /* 223475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 223478 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223485 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 223498 */     // (atomic_load_fmax:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (GLOBAL_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX),
     /* 223501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223506 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223520 */     GIR_RootConstrainSelectedInstOperands,
     /* 223521 */     // GIR_Coverage, 4195,
     /* 223521 */     GIR_EraseRootFromParent_Done,
     /* 223522 */   // Label 3631: @223522
     /* 223522 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(223578), // Rule ID 4197 //
     /* 223527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 223530 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 223552 */     // (atomic_load_fmax:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (GLOBAL_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_RTN),
     /* 223555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223562 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223576 */     GIR_RootConstrainSelectedInstOperands,
     /* 223577 */     // GIR_Coverage, 4197,
     /* 223577 */     GIR_EraseRootFromParent_Done,
     /* 223578 */   // Label 3632: @223578
     /* 223578 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(223631), // Rule ID 3750 //
     /* 223583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 223586 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223594 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223607 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_flat_noret_f32>>  =>  (FLAT_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX),
     /* 223610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223615 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223629 */     GIR_RootConstrainSelectedInstOperands,
     /* 223630 */     // GIR_Coverage, 3750,
     /* 223630 */     GIR_EraseRootFromParent_Done,
     /* 223631 */   // Label 3633: @223631
     /* 223631 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(223683), // Rule ID 3810 //
     /* 223636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 223639 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223646 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223659 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f32>>  =>  (FLAT_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX),
     /* 223662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223667 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223681 */     GIR_RootConstrainSelectedInstOperands,
     /* 223682 */     // GIR_Coverage, 3810,
     /* 223682 */     GIR_EraseRootFromParent_Done,
     /* 223683 */   // Label 3634: @223683
     /* 223683 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(223736), // Rule ID 4202 //
     /* 223688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatGlobalInsts),
     /* 223691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223699 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223712 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_flat_noret_f32>>  =>  (FLAT_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX),
     /* 223715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223720 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223734 */     GIR_RootConstrainSelectedInstOperands,
     /* 223735 */     // GIR_Coverage, 4202,
     /* 223735 */     GIR_EraseRootFromParent_Done,
     /* 223736 */   // Label 3635: @223736
     /* 223736 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(223793), // Rule ID 3749 //
     /* 223741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 223744 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223767 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_flat_f32>>  =>  (FLAT_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX_RTN),
     /* 223770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223777 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223791 */     GIR_RootConstrainSelectedInstOperands,
     /* 223792 */     // GIR_Coverage, 3749,
     /* 223792 */     GIR_EraseRootFromParent_Done,
     /* 223793 */   // Label 3636: @223793
     /* 223793 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(223849), // Rule ID 3809 //
     /* 223798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 223801 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223823 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_global_f32>>  =>  (FLAT_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX_RTN),
     /* 223826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223833 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223847 */     GIR_RootConstrainSelectedInstOperands,
     /* 223848 */     // GIR_Coverage, 3809,
     /* 223848 */     GIR_EraseRootFromParent_Done,
     /* 223849 */   // Label 3637: @223849
     /* 223849 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(223906), // Rule ID 4201 //
     /* 223854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatGlobalInsts),
     /* 223857 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 223869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 223880 */     // (atomic_load_fmax:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmax_flat_f32>>  =>  (FLAT_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 223880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX_RTN),
     /* 223883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 223885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 223890 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 223892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 223897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 223900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223904 */     GIR_RootConstrainSelectedInstOperands,
     /* 223905 */     // GIR_Coverage, 4201,
     /* 223905 */     GIR_EraseRootFromParent_Done,
     /* 223906 */   // Label 3638: @223906
     /* 223906 */   GIM_Reject,
     /* 223907 */ // Label 3614: @223907
     /* 223907 */ GIM_Reject,
     /* 223908 */ // Label 3612: @223908
     /* 223908 */ GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(225165),
     /* 223913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 223916 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(223978), // Rule ID 5857 //
     /* 223921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 223924 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223931 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 223944 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_ADDR64 anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 223944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_ADDR64),
     /* 223947 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 223949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 223954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 223959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 223964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 223969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 223972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 223976 */     GIR_RootConstrainSelectedInstOperands,
     /* 223977 */     // GIR_Coverage, 5857,
     /* 223977 */     GIR_EraseRootFromParent_Done,
     /* 223978 */   // Label 3640: @223978
     /* 223978 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(224040), // Rule ID 5861 //
     /* 223983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 223986 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 223993 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 223995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 223999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 224006 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_ADDR64 anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_ADDR64),
     /* 224009 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 224016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 224026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 224031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224038 */     GIR_RootConstrainSelectedInstOperands,
     /* 224039 */     // GIR_Coverage, 5861,
     /* 224039 */     GIR_EraseRootFromParent_Done,
     /* 224040 */   // Label 3641: @224040
     /* 224040 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(224106), // Rule ID 5855 //
     /* 224045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224048 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 224070 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_ADDR64_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_ADDR64_RTN),
     /* 224073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 224075 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 224082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 224092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 224097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224104 */     GIR_RootConstrainSelectedInstOperands,
     /* 224105 */     // GIR_Coverage, 5855,
     /* 224105 */     GIR_EraseRootFromParent_Done,
     /* 224106 */   // Label 3642: @224106
     /* 224106 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(224172), // Rule ID 5859 //
     /* 224111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224114 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 224136 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_ADDR64_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_ADDR64_RTN),
     /* 224139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 224141 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 224148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 224158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 224163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224170 */     GIR_RootConstrainSelectedInstOperands,
     /* 224171 */     // GIR_Coverage, 5859,
     /* 224171 */     GIR_EraseRootFromParent_Done,
     /* 224172 */   // Label 3643: @224172
     /* 224172 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(224229), // Rule ID 5856 //
     /* 224177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224180 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224187 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 224200 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET),
     /* 224203 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 224215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224227 */     GIR_RootConstrainSelectedInstOperands,
     /* 224228 */     // GIR_Coverage, 5856,
     /* 224228 */     GIR_EraseRootFromParent_Done,
     /* 224229 */   // Label 3644: @224229
     /* 224229 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(224286), // Rule ID 5860 //
     /* 224234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224237 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224244 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 224257 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET),
     /* 224260 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 224272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224284 */     GIR_RootConstrainSelectedInstOperands,
     /* 224285 */     // GIR_Coverage, 5860,
     /* 224285 */     GIR_EraseRootFromParent_Done,
     /* 224286 */   // Label 3645: @224286
     /* 224286 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(224347), // Rule ID 5854 //
     /* 224291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224294 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 224316 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET_RTN),
     /* 224319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 224321 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 224333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224345 */     GIR_RootConstrainSelectedInstOperands,
     /* 224346 */     // GIR_Coverage, 5854,
     /* 224346 */     GIR_EraseRootFromParent_Done,
     /* 224347 */   // Label 3646: @224347
     /* 224347 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(224408), // Rule ID 5858 //
     /* 224352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 224355 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 224377 */     // (atomic_load_fmax:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 224377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN),
     /* 224380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 224382 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 224384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 224389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 224394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224406 */     GIR_RootConstrainSelectedInstOperands,
     /* 224407 */     // GIR_Coverage, 5858,
     /* 224407 */     GIR_EraseRootFromParent_Done,
     /* 224408 */   // Label 3647: @224408
     /* 224408 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(224458), // Rule ID 8507 //
     /* 224413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 224416 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 224421 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224434 */     // (atomic_load_fmax_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_local_m0_noret_f64>>  =>  (DS_MAX_F64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 224434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F64),
     /* 224437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224442 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224456 */     GIR_RootConstrainSelectedInstOperands,
     /* 224457 */     // GIR_Coverage, 8507,
     /* 224457 */     GIR_EraseRootFromParent_Done,
     /* 224458 */   // Label 3648: @224458
     /* 224458 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(224508), // Rule ID 8509 //
     /* 224463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 224466 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 224471 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224484 */     // (atomic_load_fmax:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_local_noret_f64>>  =>  (DS_MAX_F64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 224484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F64_gfx9),
     /* 224487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224492 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224506 */     GIR_RootConstrainSelectedInstOperands,
     /* 224507 */     // GIR_Coverage, 8509,
     /* 224507 */     GIR_EraseRootFromParent_Done,
     /* 224508 */   // Label 3649: @224508
     /* 224508 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(224558), // Rule ID 8511 //
     /* 224513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 224516 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 224521 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224534 */     // (atomic_load_fmax_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_region_m0_noret_f64>>  =>  (DS_MAX_F64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 224534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_F64),
     /* 224537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224542 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224556 */     GIR_RootConstrainSelectedInstOperands,
     /* 224557 */     // GIR_Coverage, 8511,
     /* 224557 */     GIR_EraseRootFromParent_Done,
     /* 224558 */   // Label 3650: @224558
     /* 224558 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(224612), // Rule ID 8506 //
     /* 224563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 224566 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 224571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224586 */     // (atomic_load_fmax_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_local_m0_f64>>  =>  (DS_MAX_RTN_F64:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 224586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F64),
     /* 224589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 224591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224596 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224610 */     GIR_RootConstrainSelectedInstOperands,
     /* 224611 */     // GIR_Coverage, 8506,
     /* 224611 */     GIR_EraseRootFromParent_Done,
     /* 224612 */   // Label 3651: @224612
     /* 224612 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(224666), // Rule ID 8508 //
     /* 224617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 224620 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 224625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224640 */     // (atomic_load_fmax:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_local_f64>>  =>  (DS_MAX_RTN_F64_gfx9:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 224640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F64_gfx9),
     /* 224643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 224645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224650 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224664 */     GIR_RootConstrainSelectedInstOperands,
     /* 224665 */     // GIR_Coverage, 8508,
     /* 224665 */     GIR_EraseRootFromParent_Done,
     /* 224666 */   // Label 3652: @224666
     /* 224666 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(224720), // Rule ID 8510 //
     /* 224671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 224674 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 224679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 224694 */     // (atomic_load_fmax_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmax_region_m0_f64>>  =>  (DS_MAX_RTN_F64:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 224694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MAX_RTN_F64),
     /* 224697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 224699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 224704 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 224706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224718 */     GIR_RootConstrainSelectedInstOperands,
     /* 224719 */     // GIR_Coverage, 8510,
     /* 224719 */     GIR_EraseRootFromParent_Done,
     /* 224720 */   // Label 3653: @224720
     /* 224720 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(224777), // Rule ID 4230 //
     /* 224725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 224728 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224735 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 224748 */     // (atomic_load_fmax:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (GLOBAL_ATOMIC_MAX_F64_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 224748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MAX_F64_SADDR),
     /* 224751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 224756 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 224758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 224763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224775 */     GIR_RootConstrainSelectedInstOperands,
     /* 224776 */     // GIR_Coverage, 4230,
     /* 224776 */     GIR_EraseRootFromParent_Done,
     /* 224777 */   // Label 3654: @224777
     /* 224777 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(224838), // Rule ID 4232 //
     /* 224782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 224785 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 224807 */     // (atomic_load_fmax:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (GLOBAL_ATOMIC_MAX_F64_SADDR_RTN:{ *:[f64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 224807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MAX_F64_SADDR_RTN),
     /* 224810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 224812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 224817 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 224819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 224824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 224829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224836 */     GIR_RootConstrainSelectedInstOperands,
     /* 224837 */     // GIR_Coverage, 4232,
     /* 224837 */     GIR_EraseRootFromParent_Done,
     /* 224838 */   // Label 3655: @224838
     /* 224838 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(224890), // Rule ID 4229 //
     /* 224843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 224846 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224853 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 224866 */     // (atomic_load_fmax:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (GLOBAL_ATOMIC_MAX_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 224866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MAX_F64),
     /* 224869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 224874 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 224876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224888 */     GIR_RootConstrainSelectedInstOperands,
     /* 224889 */     // GIR_Coverage, 4229,
     /* 224889 */     GIR_EraseRootFromParent_Done,
     /* 224890 */   // Label 3656: @224890
     /* 224890 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(224946), // Rule ID 4231 //
     /* 224895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 224898 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 224909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 224920 */     // (atomic_load_fmax:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (GLOBAL_ATOMIC_MAX_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 224920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MAX_F64_RTN),
     /* 224923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 224925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 224930 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 224932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 224940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224944 */     GIR_RootConstrainSelectedInstOperands,
     /* 224945 */     // GIR_Coverage, 4231,
     /* 224945 */     GIR_EraseRootFromParent_Done,
     /* 224946 */   // Label 3657: @224946
     /* 224946 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(224999), // Rule ID 3754 //
     /* 224951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 224954 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 224962 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 224964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 224968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 224975 */     // (atomic_load_fmax:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_flat_noret_f64>>  =>  (FLAT_ATOMIC_MAX_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 224975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MAX_F64),
     /* 224978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 224983 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 224985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 224990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 224993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 224997 */     GIR_RootConstrainSelectedInstOperands,
     /* 224998 */     // GIR_Coverage, 3754,
     /* 224998 */     GIR_EraseRootFromParent_Done,
     /* 224999 */   // Label 3658: @224999
     /* 224999 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(225051), // Rule ID 3814 //
     /* 225004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 225007 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225014 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 225027 */     // (atomic_load_fmax:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_noret_f64>>  =>  (FLAT_ATOMIC_MAX_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 225027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MAX_F64),
     /* 225030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 225035 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 225037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225049 */     GIR_RootConstrainSelectedInstOperands,
     /* 225050 */     // GIR_Coverage, 3814,
     /* 225050 */     GIR_EraseRootFromParent_Done,
     /* 225051 */   // Label 3659: @225051
     /* 225051 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(225108), // Rule ID 3753 //
     /* 225056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 225059 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 225071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 225082 */     // (atomic_load_fmax:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_flat_f64>>  =>  (FLAT_ATOMIC_MAX_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 225082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MAX_F64_RTN),
     /* 225085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 225087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 225092 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 225094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225106 */     GIR_RootConstrainSelectedInstOperands,
     /* 225107 */     // GIR_Coverage, 3753,
     /* 225107 */     GIR_EraseRootFromParent_Done,
     /* 225108 */   // Label 3660: @225108
     /* 225108 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(225164), // Rule ID 3813 //
     /* 225113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 225116 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 225127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 225138 */     // (atomic_load_fmax:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmax_global_f64>>  =>  (FLAT_ATOMIC_MAX_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 225138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MAX_F64_RTN),
     /* 225141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 225143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 225148 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 225150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225162 */     GIR_RootConstrainSelectedInstOperands,
     /* 225163 */     // GIR_Coverage, 3813,
     /* 225163 */     GIR_EraseRootFromParent_Done,
     /* 225164 */   // Label 3661: @225164
     /* 225164 */   GIM_Reject,
     /* 225165 */ // Label 3639: @225165
     /* 225165 */ GIM_Reject,
     /* 225166 */ // Label 3613: @225166
     /* 225166 */ GIM_Reject,
     /* 225167 */ // Label 31: @225167
     /* 225167 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3664*/ GIMT_Encode4(227812),
     /* 225178 */ /*GILLT_s32*//*Label 3662*/ GIMT_Encode4(225186),
     /* 225182 */ /*GILLT_s64*//*Label 3663*/ GIMT_Encode4(226554),
     /* 225186 */ // Label 3662: @225186
     /* 225186 */ GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(226553),
     /* 225191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 225194 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(225256), // Rule ID 5833 //
     /* 225199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225202 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225209 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 225222 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMIN_ADDR64 anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_ADDR64),
     /* 225225 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 225232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 225242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 225247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225254 */     GIR_RootConstrainSelectedInstOperands,
     /* 225255 */     // GIR_Coverage, 5833,
     /* 225255 */     GIR_EraseRootFromParent_Done,
     /* 225256 */   // Label 3666: @225256
     /* 225256 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(225318), // Rule ID 5837 //
     /* 225261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225264 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225271 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 225284 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_ADDR64 anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_ADDR64),
     /* 225287 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 225294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 225304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 225309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225316 */     GIR_RootConstrainSelectedInstOperands,
     /* 225317 */     // GIR_Coverage, 5837,
     /* 225317 */     GIR_EraseRootFromParent_Done,
     /* 225318 */   // Label 3667: @225318
     /* 225318 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(225384), // Rule ID 5831 //
     /* 225323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225326 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 225348 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (BUFFER_ATOMIC_FMIN_ADDR64_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_ADDR64_RTN),
     /* 225351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 225353 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 225360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 225370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 225375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225382 */     GIR_RootConstrainSelectedInstOperands,
     /* 225383 */     // GIR_Coverage, 5831,
     /* 225383 */     GIR_EraseRootFromParent_Done,
     /* 225384 */   // Label 3668: @225384
     /* 225384 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(225450), // Rule ID 5835 //
     /* 225389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225392 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 225414 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_ADDR64_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_ADDR64_RTN),
     /* 225417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 225419 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 225426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 225436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 225441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225448 */     GIR_RootConstrainSelectedInstOperands,
     /* 225449 */     // GIR_Coverage, 5835,
     /* 225449 */     GIR_EraseRootFromParent_Done,
     /* 225450 */   // Label 3669: @225450
     /* 225450 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(225507), // Rule ID 5832 //
     /* 225455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225458 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225465 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 225478 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMIN_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFSET),
     /* 225481 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 225493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 225498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225505 */     GIR_RootConstrainSelectedInstOperands,
     /* 225506 */     // GIR_Coverage, 5832,
     /* 225506 */     GIR_EraseRootFromParent_Done,
     /* 225507 */   // Label 3670: @225507
     /* 225507 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(225564), // Rule ID 5836 //
     /* 225512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225515 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225522 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 225535 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET),
     /* 225538 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 225550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 225555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225562 */     GIR_RootConstrainSelectedInstOperands,
     /* 225563 */     // GIR_Coverage, 5836,
     /* 225563 */     GIR_EraseRootFromParent_Done,
     /* 225564 */   // Label 3671: @225564
     /* 225564 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(225625), // Rule ID 5830 //
     /* 225569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225572 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 225594 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (BUFFER_ATOMIC_FMIN_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFSET_RTN),
     /* 225597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 225599 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 225611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 225616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225623 */     GIR_RootConstrainSelectedInstOperands,
     /* 225624 */     // GIR_Coverage, 5830,
     /* 225624 */     GIR_EraseRootFromParent_Done,
     /* 225625 */   // Label 3672: @225625
     /* 225625 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(225686), // Rule ID 5834 //
     /* 225630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 225633 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 225640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 225655 */     // (atomic_load_fmin:{ *:[f32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 225655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET_RTN),
     /* 225658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 225660 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 225662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 225667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 225672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 225677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225684 */     GIR_RootConstrainSelectedInstOperands,
     /* 225685 */     // GIR_Coverage, 5834,
     /* 225685 */     GIR_EraseRootFromParent_Done,
     /* 225686 */   // Label 3673: @225686
     /* 225686 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(225736), // Rule ID 8408 //
     /* 225691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 225694 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 225699 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225712 */     // (atomic_load_fmin_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_local_m0_noret_f32>>  =>  (DS_MIN_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 225712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F32),
     /* 225715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225720 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225734 */     GIR_RootConstrainSelectedInstOperands,
     /* 225735 */     // GIR_Coverage, 8408,
     /* 225735 */     GIR_EraseRootFromParent_Done,
     /* 225736 */   // Label 3674: @225736
     /* 225736 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(225786), // Rule ID 8410 //
     /* 225741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 225744 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 225749 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225762 */     // (atomic_load_fmin:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_local_noret_f32>>  =>  (DS_MIN_F32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 225762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F32_gfx9),
     /* 225765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225770 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225784 */     GIR_RootConstrainSelectedInstOperands,
     /* 225785 */     // GIR_Coverage, 8410,
     /* 225785 */     GIR_EraseRootFromParent_Done,
     /* 225786 */   // Label 3675: @225786
     /* 225786 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(225836), // Rule ID 8412 //
     /* 225791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 225794 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 225799 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 225801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225812 */     // (atomic_load_fmin_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_region_m0_noret_f32>>  =>  (DS_MIN_F32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 225812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F32),
     /* 225815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225820 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225834 */     GIR_RootConstrainSelectedInstOperands,
     /* 225835 */     // GIR_Coverage, 8412,
     /* 225835 */     GIR_EraseRootFromParent_Done,
     /* 225836 */   // Label 3676: @225836
     /* 225836 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(225890), // Rule ID 8407 //
     /* 225841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 225844 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 225849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225864 */     // (atomic_load_fmin_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_local_m0_f32>>  =>  (DS_MIN_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 225864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F32),
     /* 225867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 225869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225874 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225888 */     GIR_RootConstrainSelectedInstOperands,
     /* 225889 */     // GIR_Coverage, 8407,
     /* 225889 */     GIR_EraseRootFromParent_Done,
     /* 225890 */   // Label 3677: @225890
     /* 225890 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(225944), // Rule ID 8409 //
     /* 225895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 225898 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 225903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225918 */     // (atomic_load_fmin:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_local_f32>>  =>  (DS_MIN_RTN_F32_gfx9:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 225918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F32_gfx9),
     /* 225921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 225923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225928 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 225938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225942 */     GIR_RootConstrainSelectedInstOperands,
     /* 225943 */     // GIR_Coverage, 8409,
     /* 225943 */     GIR_EraseRootFromParent_Done,
     /* 225944 */   // Label 3678: @225944
     /* 225944 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(225998), // Rule ID 8411 //
     /* 225949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 225952 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 225957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 225961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 225965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 225972 */     // (atomic_load_fmin_glue:{ *:[f32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$value)<<P:Predicate_atomic_load_fmin_region_m0_f32>>  =>  (DS_MIN_RTN_F32:{ *:[f32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[f32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 225972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F32),
     /* 225975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 225977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 225982 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 225984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 225989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 225992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 225996 */     GIR_RootConstrainSelectedInstOperands,
     /* 225997 */     // GIR_Coverage, 8411,
     /* 225997 */     GIR_EraseRootFromParent_Done,
     /* 225998 */   // Label 3679: @225998
     /* 225998 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(226055), // Rule ID 4192 //
     /* 226003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 226006 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226013 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 226026 */     // (atomic_load_fmin:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (GLOBAL_ATOMIC_FMIN_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 226026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_SADDR),
     /* 226029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 226034 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 226041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 226046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226053 */     GIR_RootConstrainSelectedInstOperands,
     /* 226054 */     // GIR_Coverage, 4192,
     /* 226054 */     GIR_EraseRootFromParent_Done,
     /* 226055 */   // Label 3680: @226055
     /* 226055 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(226116), // Rule ID 4194 //
     /* 226060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 226063 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 226074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 226085 */     // (atomic_load_fmin:{ *:[f32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (GLOBAL_ATOMIC_FMIN_SADDR_RTN:{ *:[f32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 226085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_SADDR_RTN),
     /* 226088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 226090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 226095 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 226102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 226107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226114 */     GIR_RootConstrainSelectedInstOperands,
     /* 226115 */     // GIR_Coverage, 4194,
     /* 226115 */     GIR_EraseRootFromParent_Done,
     /* 226116 */   // Label 3681: @226116
     /* 226116 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(226168), // Rule ID 4191 //
     /* 226121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 226124 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226131 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 226144 */     // (atomic_load_fmin:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (GLOBAL_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN),
     /* 226147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226152 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226166 */     GIR_RootConstrainSelectedInstOperands,
     /* 226167 */     // GIR_Coverage, 4191,
     /* 226167 */     GIR_EraseRootFromParent_Done,
     /* 226168 */   // Label 3682: @226168
     /* 226168 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(226224), // Rule ID 4193 //
     /* 226173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasFlatGlobalInsts),
     /* 226176 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 226187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 226198 */     // (atomic_load_fmin:{ *:[f32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (GLOBAL_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_RTN),
     /* 226201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 226203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226208 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226222 */     GIR_RootConstrainSelectedInstOperands,
     /* 226223 */     // GIR_Coverage, 4193,
     /* 226223 */     GIR_EraseRootFromParent_Done,
     /* 226224 */   // Label 3683: @226224
     /* 226224 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(226277), // Rule ID 3748 //
     /* 226229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 226232 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226240 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226253 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_flat_noret_f32>>  =>  (FLAT_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN),
     /* 226256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226261 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226275 */     GIR_RootConstrainSelectedInstOperands,
     /* 226276 */     // GIR_Coverage, 3748,
     /* 226276 */     GIR_EraseRootFromParent_Done,
     /* 226277 */   // Label 3684: @226277
     /* 226277 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(226329), // Rule ID 3808 //
     /* 226282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 226285 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226292 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226305 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f32>>  =>  (FLAT_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN),
     /* 226308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226313 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226327 */     GIR_RootConstrainSelectedInstOperands,
     /* 226328 */     // GIR_Coverage, 3808,
     /* 226328 */     GIR_EraseRootFromParent_Done,
     /* 226329 */   // Label 3685: @226329
     /* 226329 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(226382), // Rule ID 4200 //
     /* 226334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatGlobalInsts),
     /* 226337 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226345 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226358 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_flat_noret_f32>>  =>  (FLAT_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN),
     /* 226361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226366 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226380 */     GIR_RootConstrainSelectedInstOperands,
     /* 226381 */     // GIR_Coverage, 4200,
     /* 226381 */     GIR_EraseRootFromParent_Done,
     /* 226382 */   // Label 3686: @226382
     /* 226382 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(226439), // Rule ID 3747 //
     /* 226387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 226390 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 226402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226413 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_flat_f32>>  =>  (FLAT_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN_RTN),
     /* 226416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 226418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226423 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226437 */     GIR_RootConstrainSelectedInstOperands,
     /* 226438 */     // GIR_Coverage, 3747,
     /* 226438 */     GIR_EraseRootFromParent_Done,
     /* 226439 */   // Label 3687: @226439
     /* 226439 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(226495), // Rule ID 3807 //
     /* 226444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatAddressSpace),
     /* 226447 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 226458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226469 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_global_f32>>  =>  (FLAT_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN_RTN),
     /* 226472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 226474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226479 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226493 */     GIR_RootConstrainSelectedInstOperands,
     /* 226494 */     // GIR_Coverage, 3807,
     /* 226494 */     GIR_EraseRootFromParent_Done,
     /* 226495 */   // Label 3688: @226495
     /* 226495 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(226552), // Rule ID 4199 //
     /* 226500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32FlatInsts_HasFlatGlobalInsts),
     /* 226503 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 226515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 226526 */     // (atomic_load_fmin:{ *:[f32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_atomic_load_fmin_flat_f32>>  =>  (FLAT_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 226526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN_RTN),
     /* 226529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 226531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 226536 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 226538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 226543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226550 */     GIR_RootConstrainSelectedInstOperands,
     /* 226551 */     // GIR_Coverage, 4199,
     /* 226551 */     GIR_EraseRootFromParent_Done,
     /* 226552 */   // Label 3689: @226552
     /* 226552 */   GIM_Reject,
     /* 226553 */ // Label 3665: @226553
     /* 226553 */ GIM_Reject,
     /* 226554 */ // Label 3663: @226554
     /* 226554 */ GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(227811),
     /* 226559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 226562 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(226624), // Rule ID 5849 //
     /* 226567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226570 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226577 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 226590 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_ADDR64 anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_ADDR64),
     /* 226593 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 226600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 226610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 226615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226622 */     GIR_RootConstrainSelectedInstOperands,
     /* 226623 */     // GIR_Coverage, 5849,
     /* 226623 */     GIR_EraseRootFromParent_Done,
     /* 226624 */   // Label 3691: @226624
     /* 226624 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(226686), // Rule ID 5853 //
     /* 226629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226632 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226639 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 226652 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_ADDR64 anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_ADDR64),
     /* 226655 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 226662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 226672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 226677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226684 */     GIR_RootConstrainSelectedInstOperands,
     /* 226685 */     // GIR_Coverage, 5853,
     /* 226685 */     GIR_EraseRootFromParent_Done,
     /* 226686 */   // Label 3692: @226686
     /* 226686 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(226752), // Rule ID 5847 //
     /* 226691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226694 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 226705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 226716 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_ADDR64_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_ADDR64_RTN),
     /* 226719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 226721 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 226728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 226738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 226743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226750 */     GIR_RootConstrainSelectedInstOperands,
     /* 226751 */     // GIR_Coverage, 5847,
     /* 226751 */     GIR_EraseRootFromParent_Done,
     /* 226752 */   // Label 3693: @226752
     /* 226752 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(226818), // Rule ID 5851 //
     /* 226757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226760 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 226771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 226782 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_ADDR64_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_ADDR64_RTN),
     /* 226785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 226787 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 226794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 226804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 226809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226816 */     GIR_RootConstrainSelectedInstOperands,
     /* 226817 */     // GIR_Coverage, 5851,
     /* 226817 */     GIR_EraseRootFromParent_Done,
     /* 226818 */   // Label 3694: @226818
     /* 226818 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(226875), // Rule ID 5848 //
     /* 226823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226826 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226833 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 226846 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET),
     /* 226849 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 226861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 226866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226873 */     GIR_RootConstrainSelectedInstOperands,
     /* 226874 */     // GIR_Coverage, 5848,
     /* 226874 */     GIR_EraseRootFromParent_Done,
     /* 226875 */   // Label 3695: @226875
     /* 226875 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(226932), // Rule ID 5852 //
     /* 226880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226883 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226890 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 226892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 226903 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET),
     /* 226906 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 226918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 226923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 226926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226930 */     GIR_RootConstrainSelectedInstOperands,
     /* 226931 */     // GIR_Coverage, 5852,
     /* 226931 */     GIR_EraseRootFromParent_Done,
     /* 226932 */   // Label 3696: @226932
     /* 226932 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(226993), // Rule ID 5846 //
     /* 226937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 226940 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 226947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 226951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 226955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 226962 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 226962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET_RTN),
     /* 226965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 226967 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 226969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 226974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 226979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 226984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 226987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 226991 */     GIR_RootConstrainSelectedInstOperands,
     /* 226992 */     // GIR_Coverage, 5846,
     /* 226992 */     GIR_EraseRootFromParent_Done,
     /* 226993 */   // Label 3697: @226993
     /* 226993 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(227054), // Rule ID 5850 //
     /* 226998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 227001 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 227023 */     // (atomic_load_fmin:{ *:[f64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$vdata_in)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 227023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN),
     /* 227026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 227028 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 227030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 227035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 227040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 227045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227052 */     GIR_RootConstrainSelectedInstOperands,
     /* 227053 */     // GIR_Coverage, 5850,
     /* 227053 */     GIR_EraseRootFromParent_Done,
     /* 227054 */   // Label 3698: @227054
     /* 227054 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(227104), // Rule ID 8501 //
     /* 227059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 227062 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 227067 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227080 */     // (atomic_load_fmin_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_local_m0_noret_f64>>  =>  (DS_MIN_F64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 227080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F64),
     /* 227083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227088 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227102 */     GIR_RootConstrainSelectedInstOperands,
     /* 227103 */     // GIR_Coverage, 8501,
     /* 227103 */     GIR_EraseRootFromParent_Done,
     /* 227104 */   // Label 3699: @227104
     /* 227104 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(227154), // Rule ID 8503 //
     /* 227109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 227112 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 227117 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227130 */     // (atomic_load_fmin:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_local_noret_f64>>  =>  (DS_MIN_F64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 227130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F64_gfx9),
     /* 227133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227138 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227152 */     GIR_RootConstrainSelectedInstOperands,
     /* 227153 */     // GIR_Coverage, 8503,
     /* 227153 */     GIR_EraseRootFromParent_Done,
     /* 227154 */   // Label 3700: @227154
     /* 227154 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(227204), // Rule ID 8505 //
     /* 227159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 227162 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 227167 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227180 */     // (atomic_load_fmin_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_region_m0_noret_f64>>  =>  (DS_MIN_F64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 227180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_F64),
     /* 227183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227188 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227202 */     GIR_RootConstrainSelectedInstOperands,
     /* 227203 */     // GIR_Coverage, 8505,
     /* 227203 */     GIR_EraseRootFromParent_Done,
     /* 227204 */   // Label 3701: @227204
     /* 227204 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(227258), // Rule ID 8500 //
     /* 227209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 227212 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 227217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227232 */     // (atomic_load_fmin_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_local_m0_f64>>  =>  (DS_MIN_RTN_F64:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 227232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F64),
     /* 227235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227242 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227256 */     GIR_RootConstrainSelectedInstOperands,
     /* 227257 */     // GIR_Coverage, 8500,
     /* 227257 */     GIR_EraseRootFromParent_Done,
     /* 227258 */   // Label 3702: @227258
     /* 227258 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(227312), // Rule ID 8502 //
     /* 227263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 227266 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 227271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227286 */     // (atomic_load_fmin:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_local_f64>>  =>  (DS_MIN_RTN_F64_gfx9:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 227286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F64_gfx9),
     /* 227289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227296 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227310 */     GIR_RootConstrainSelectedInstOperands,
     /* 227311 */     // GIR_Coverage, 8502,
     /* 227311 */     GIR_EraseRootFromParent_Done,
     /* 227312 */   // Label 3703: @227312
     /* 227312 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(227366), // Rule ID 8504 //
     /* 227317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 227320 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 227325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 227340 */     // (atomic_load_fmin_glue:{ *:[f64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$value)<<P:Predicate_atomic_load_fmin_region_m0_f64>>  =>  (DS_MIN_RTN_F64:{ *:[f64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[f64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 227340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_MIN_RTN_F64),
     /* 227343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 227350 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 227352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227364 */     GIR_RootConstrainSelectedInstOperands,
     /* 227365 */     // GIR_Coverage, 8504,
     /* 227365 */     GIR_EraseRootFromParent_Done,
     /* 227366 */   // Label 3704: @227366
     /* 227366 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(227423), // Rule ID 4226 //
     /* 227371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 227374 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227381 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 227394 */     // (atomic_load_fmin:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (GLOBAL_ATOMIC_MIN_F64_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 227394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MIN_F64_SADDR),
     /* 227397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 227402 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 227409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 227414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227421 */     GIR_RootConstrainSelectedInstOperands,
     /* 227422 */     // GIR_Coverage, 4226,
     /* 227422 */     GIR_EraseRootFromParent_Done,
     /* 227423 */   // Label 3705: @227423
     /* 227423 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(227484), // Rule ID 4228 //
     /* 227428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 227431 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 227453 */     // (atomic_load_fmin:{ *:[f64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (GLOBAL_ATOMIC_MIN_F64_SADDR_RTN:{ *:[f64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 227453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MIN_F64_SADDR_RTN),
     /* 227456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 227463 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 227470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 227475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227482 */     GIR_RootConstrainSelectedInstOperands,
     /* 227483 */     // GIR_Coverage, 4228,
     /* 227483 */     GIR_EraseRootFromParent_Done,
     /* 227484 */   // Label 3706: @227484
     /* 227484 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(227536), // Rule ID 4225 //
     /* 227489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 227492 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227499 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 227512 */     // (atomic_load_fmin:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (GLOBAL_ATOMIC_MIN_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MIN_F64),
     /* 227515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227520 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227534 */     GIR_RootConstrainSelectedInstOperands,
     /* 227535 */     // GIR_Coverage, 4225,
     /* 227535 */     GIR_EraseRootFromParent_Done,
     /* 227536 */   // Label 3707: @227536
     /* 227536 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(227592), // Rule ID 4227 //
     /* 227541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasFlatGlobalInsts),
     /* 227544 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 227566 */     // (atomic_load_fmin:{ *:[f64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (GLOBAL_ATOMIC_MIN_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_MIN_F64_RTN),
     /* 227569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227576 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227590 */     GIR_RootConstrainSelectedInstOperands,
     /* 227591 */     // GIR_Coverage, 4227,
     /* 227591 */     GIR_EraseRootFromParent_Done,
     /* 227592 */   // Label 3708: @227592
     /* 227592 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(227645), // Rule ID 3752 //
     /* 227597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 227600 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227608 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 227621 */     // (atomic_load_fmin:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_flat_noret_f64>>  =>  (FLAT_ATOMIC_MIN_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MIN_F64),
     /* 227624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227629 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227643 */     GIR_RootConstrainSelectedInstOperands,
     /* 227644 */     // GIR_Coverage, 3752,
     /* 227644 */     GIR_EraseRootFromParent_Done,
     /* 227645 */   // Label 3709: @227645
     /* 227645 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(227697), // Rule ID 3812 //
     /* 227650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 227653 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227660 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 227673 */     // (atomic_load_fmin:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_noret_f64>>  =>  (FLAT_ATOMIC_MIN_F64 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MIN_F64),
     /* 227676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227681 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227695 */     GIR_RootConstrainSelectedInstOperands,
     /* 227696 */     // GIR_Coverage, 3812,
     /* 227696 */     GIR_EraseRootFromParent_Done,
     /* 227697 */   // Label 3710: @227697
     /* 227697 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(227754), // Rule ID 3751 //
     /* 227702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 227705 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 227728 */     // (atomic_load_fmin:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_flat_f64>>  =>  (FLAT_ATOMIC_MIN_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MIN_F64_RTN),
     /* 227731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227738 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227752 */     GIR_RootConstrainSelectedInstOperands,
     /* 227753 */     // GIR_Coverage, 3751,
     /* 227753 */     GIR_EraseRootFromParent_Done,
     /* 227754 */   // Label 3711: @227754
     /* 227754 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(227810), // Rule ID 3811 //
     /* 227759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64FlatInsts_HasFlatAddressSpace),
     /* 227762 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 227773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 227784 */     // (atomic_load_fmin:{ *:[f64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f64:{ *:[f64] }:$data)<<P:Predicate_atomic_load_fmin_global_f64>>  =>  (FLAT_ATOMIC_MIN_F64_RTN:{ *:[f64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[f64] }:$data, ?:{ *:[i32] }:$offset)
     /* 227784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_MIN_F64_RTN),
     /* 227787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 227789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 227794 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 227796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 227801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 227804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227808 */     GIR_RootConstrainSelectedInstOperands,
     /* 227809 */     // GIR_Coverage, 3811,
     /* 227809 */     GIR_EraseRootFromParent_Done,
     /* 227810 */   // Label 3712: @227810
     /* 227810 */   GIM_Reject,
     /* 227811 */ // Label 3690: @227811
     /* 227811 */ GIM_Reject,
     /* 227812 */ // Label 3664: @227812
     /* 227812 */ GIM_Reject,
     /* 227813 */ // Label 32: @227813
     /* 227813 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3715*/ GIMT_Encode4(230324),
     /* 227824 */ /*GILLT_s32*//*Label 3713*/ GIMT_Encode4(227832),
     /* 227828 */ /*GILLT_s64*//*Label 3714*/ GIMT_Encode4(229078),
     /* 227832 */ // Label 3713: @227832
     /* 227832 */ GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(229077),
     /* 227837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 227840 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(227902), // Rule ID 5721 //
     /* 227845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 227848 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227855 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 227868 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_INC_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 227868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_ADDR64),
     /* 227871 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 227873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 227878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 227883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 227888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 227893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227900 */     GIR_RootConstrainSelectedInstOperands,
     /* 227901 */     // GIR_Coverage, 5721,
     /* 227901 */     GIR_EraseRootFromParent_Done,
     /* 227902 */   // Label 3717: @227902
     /* 227902 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(227961), // Rule ID 5725 //
     /* 227907 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227914 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 227916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 227927 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 227927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_ADDR64),
     /* 227930 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 227932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 227937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 227942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 227947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 227952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 227955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 227959 */     GIR_RootConstrainSelectedInstOperands,
     /* 227960 */     // GIR_Coverage, 5725,
     /* 227960 */     GIR_EraseRootFromParent_Done,
     /* 227961 */   // Label 3718: @227961
     /* 227961 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(228027), // Rule ID 5719 //
     /* 227966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 227969 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 227976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 227980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 227984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 227991 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (BUFFER_ATOMIC_INC_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 227991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_ADDR64_RTN),
     /* 227994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 227996 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 227998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 228003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 228013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 228018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228025 */     GIR_RootConstrainSelectedInstOperands,
     /* 228026 */     // GIR_Coverage, 5719,
     /* 228026 */     GIR_EraseRootFromParent_Done,
     /* 228027 */   // Label 3719: @228027
     /* 228027 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(228090), // Rule ID 5723 //
     /* 228032 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 228054 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 228054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_ADDR64_RTN),
     /* 228057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 228059 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 228061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 228066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 228076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 228081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228088 */     GIR_RootConstrainSelectedInstOperands,
     /* 228089 */     // GIR_Coverage, 5723,
     /* 228089 */     GIR_EraseRootFromParent_Done,
     /* 228090 */   // Label 3720: @228090
     /* 228090 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(228147), // Rule ID 5720 //
     /* 228095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 228098 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228105 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 228118 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_INC_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 228118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFSET),
     /* 228121 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 228123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 228133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228145 */     GIR_RootConstrainSelectedInstOperands,
     /* 228146 */     // GIR_Coverage, 5720,
     /* 228146 */     GIR_EraseRootFromParent_Done,
     /* 228147 */   // Label 3721: @228147
     /* 228147 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(228201), // Rule ID 5724 //
     /* 228152 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228159 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 228172 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 228172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFSET),
     /* 228175 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 228177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 228187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228199 */     GIR_RootConstrainSelectedInstOperands,
     /* 228200 */     // GIR_Coverage, 5724,
     /* 228200 */     GIR_EraseRootFromParent_Done,
     /* 228201 */   // Label 3722: @228201
     /* 228201 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(228262), // Rule ID 5718 //
     /* 228206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 228209 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 228231 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (BUFFER_ATOMIC_INC_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 228231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFSET_RTN),
     /* 228234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 228236 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 228238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 228248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228260 */     GIR_RootConstrainSelectedInstOperands,
     /* 228261 */     // GIR_Coverage, 5718,
     /* 228261 */     GIR_EraseRootFromParent_Done,
     /* 228262 */   // Label 3723: @228262
     /* 228262 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(228320), // Rule ID 5722 //
     /* 228267 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 228289 */     // (atomic_load_uinc_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 228289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFSET_RTN),
     /* 228292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 228294 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 228296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 228301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 228306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228318 */     GIR_RootConstrainSelectedInstOperands,
     /* 228319 */     // GIR_Coverage, 5722,
     /* 228319 */     GIR_EraseRootFromParent_Done,
     /* 228320 */   // Label 3724: @228320
     /* 228320 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(228370), // Rule ID 8354 //
     /* 228325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 228328 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 228333 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228346 */     // (atomic_load_uinc_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_m0_noret_i32>>  =>  (DS_INC_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 228346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U32),
     /* 228349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228354 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228368 */     GIR_RootConstrainSelectedInstOperands,
     /* 228369 */     // GIR_Coverage, 8354,
     /* 228369 */     GIR_EraseRootFromParent_Done,
     /* 228370 */   // Label 3725: @228370
     /* 228370 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(228420), // Rule ID 8356 //
     /* 228375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 228378 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 228383 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228396 */     // (atomic_load_uinc_wrap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_noret_i32>>  =>  (DS_INC_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 228396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U32_gfx9),
     /* 228399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228404 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228418 */     GIR_RootConstrainSelectedInstOperands,
     /* 228419 */     // GIR_Coverage, 8356,
     /* 228419 */     GIR_EraseRootFromParent_Done,
     /* 228420 */   // Label 3726: @228420
     /* 228420 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(228470), // Rule ID 8358 //
     /* 228425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 228428 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 228433 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228446 */     // (atomic_load_uinc_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_region_m0_noret_i32>>  =>  (DS_INC_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 228446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U32),
     /* 228449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228454 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228468 */     GIR_RootConstrainSelectedInstOperands,
     /* 228469 */     // GIR_Coverage, 8358,
     /* 228469 */     GIR_EraseRootFromParent_Done,
     /* 228470 */   // Label 3727: @228470
     /* 228470 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(228524), // Rule ID 8353 //
     /* 228475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 228478 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 228483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228498 */     // (atomic_load_uinc_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_m0_i32>>  =>  (DS_INC_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 228498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U32),
     /* 228501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228508 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228522 */     GIR_RootConstrainSelectedInstOperands,
     /* 228523 */     // GIR_Coverage, 8353,
     /* 228523 */     GIR_EraseRootFromParent_Done,
     /* 228524 */   // Label 3728: @228524
     /* 228524 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(228578), // Rule ID 8355 //
     /* 228529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 228532 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 228537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228552 */     // (atomic_load_uinc_wrap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_i32>>  =>  (DS_INC_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 228552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U32_gfx9),
     /* 228555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228562 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228576 */     GIR_RootConstrainSelectedInstOperands,
     /* 228577 */     // GIR_Coverage, 8355,
     /* 228577 */     GIR_EraseRootFromParent_Done,
     /* 228578 */   // Label 3729: @228578
     /* 228578 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(228632), // Rule ID 8357 //
     /* 228583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 228586 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 228591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 228606 */     // (atomic_load_uinc_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_uinc_wrap_region_m0_i32>>  =>  (DS_INC_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 228606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U32),
     /* 228609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 228616 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 228618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228630 */     GIR_RootConstrainSelectedInstOperands,
     /* 228631 */     // GIR_Coverage, 8357,
     /* 228631 */     GIR_EraseRootFromParent_Done,
     /* 228632 */   // Label 3730: @228632
     /* 228632 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(228689), // Rule ID 4074 //
     /* 228637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 228640 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228647 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 228660 */     // (atomic_load_uinc_wrap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_INC_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 228660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_SADDR),
     /* 228663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 228668 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 228675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228687 */     GIR_RootConstrainSelectedInstOperands,
     /* 228688 */     // GIR_Coverage, 4074,
     /* 228688 */     GIR_EraseRootFromParent_Done,
     /* 228689 */   // Label 3731: @228689
     /* 228689 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(228750), // Rule ID 4076 //
     /* 228694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 228697 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 228719 */     // (atomic_load_uinc_wrap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (GLOBAL_ATOMIC_INC_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 228719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_SADDR_RTN),
     /* 228722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 228729 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 228736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 228741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228748 */     GIR_RootConstrainSelectedInstOperands,
     /* 228749 */     // GIR_Coverage, 4076,
     /* 228749 */     GIR_EraseRootFromParent_Done,
     /* 228750 */   // Label 3732: @228750
     /* 228750 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(228802), // Rule ID 4073 //
     /* 228755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 228758 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228765 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 228778 */     // (atomic_load_uinc_wrap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_INC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 228778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC),
     /* 228781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 228786 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228800 */     GIR_RootConstrainSelectedInstOperands,
     /* 228801 */     // GIR_Coverage, 4073,
     /* 228801 */     GIR_EraseRootFromParent_Done,
     /* 228802 */   // Label 3733: @228802
     /* 228802 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(228858), // Rule ID 4075 //
     /* 228807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 228810 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 228832 */     // (atomic_load_uinc_wrap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (GLOBAL_ATOMIC_INC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 228832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_RTN),
     /* 228835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 228842 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 228852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228856 */     GIR_RootConstrainSelectedInstOperands,
     /* 228857 */     // GIR_Coverage, 4075,
     /* 228857 */     GIR_EraseRootFromParent_Done,
     /* 228858 */   // Label 3734: @228858
     /* 228858 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(228911), // Rule ID 3700 //
     /* 228863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 228866 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228874 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 228887 */     // (atomic_load_uinc_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_flat_noret_i32>>  =>  (FLAT_ATOMIC_INC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 228887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC),
     /* 228890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 228895 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228909 */     GIR_RootConstrainSelectedInstOperands,
     /* 228910 */     // GIR_Coverage, 3700,
     /* 228910 */     GIR_EraseRootFromParent_Done,
     /* 228911 */   // Label 3735: @228911
     /* 228911 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(228963), // Rule ID 3760 //
     /* 228916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 228919 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228926 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 228928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 228939 */     // (atomic_load_uinc_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i32>>  =>  (FLAT_ATOMIC_INC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 228939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC),
     /* 228942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 228947 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 228949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 228954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 228957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228961 */     GIR_RootConstrainSelectedInstOperands,
     /* 228962 */     // GIR_Coverage, 3760,
     /* 228962 */     GIR_EraseRootFromParent_Done,
     /* 228963 */   // Label 3736: @228963
     /* 228963 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(229020), // Rule ID 3699 //
     /* 228968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 228971 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 228979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 228983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 228987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 228994 */     // (atomic_load_uinc_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_flat_i32>>  =>  (FLAT_ATOMIC_INC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 228994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_RTN),
     /* 228997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 228999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 229004 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 229006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229018 */     GIR_RootConstrainSelectedInstOperands,
     /* 229019 */     // GIR_Coverage, 3699,
     /* 229019 */     GIR_EraseRootFromParent_Done,
     /* 229020 */   // Label 3737: @229020
     /* 229020 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(229076), // Rule ID 3759 //
     /* 229025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 229028 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 229039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 229050 */     // (atomic_load_uinc_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i32>>  =>  (FLAT_ATOMIC_INC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 229050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_RTN),
     /* 229053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 229055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 229060 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 229062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229074 */     GIR_RootConstrainSelectedInstOperands,
     /* 229075 */     // GIR_Coverage, 3759,
     /* 229075 */     GIR_EraseRootFromParent_Done,
     /* 229076 */   // Label 3738: @229076
     /* 229076 */   GIM_Reject,
     /* 229077 */ // Label 3716: @229077
     /* 229077 */ GIM_Reject,
     /* 229078 */ // Label 3714: @229078
     /* 229078 */ GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(230323),
     /* 229083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 229086 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(229148), // Rule ID 5817 //
     /* 229091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 229094 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229101 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 229114 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_INC_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_ADDR64),
     /* 229117 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 229124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 229134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 229139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229146 */     GIR_RootConstrainSelectedInstOperands,
     /* 229147 */     // GIR_Coverage, 5817,
     /* 229147 */     GIR_EraseRootFromParent_Done,
     /* 229148 */   // Label 3740: @229148
     /* 229148 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(229207), // Rule ID 5821 //
     /* 229153 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229160 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 229173 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_ADDR64),
     /* 229176 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 229183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 229193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 229198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229205 */     GIR_RootConstrainSelectedInstOperands,
     /* 229206 */     // GIR_Coverage, 5821,
     /* 229206 */     GIR_EraseRootFromParent_Done,
     /* 229207 */   // Label 3741: @229207
     /* 229207 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(229273), // Rule ID 5815 //
     /* 229212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 229215 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 229237 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (BUFFER_ATOMIC_INC_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_ADDR64_RTN),
     /* 229240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 229242 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 229249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 229259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 229264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229271 */     GIR_RootConstrainSelectedInstOperands,
     /* 229272 */     // GIR_Coverage, 5815,
     /* 229272 */     GIR_EraseRootFromParent_Done,
     /* 229273 */   // Label 3742: @229273
     /* 229273 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(229336), // Rule ID 5819 //
     /* 229278 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 229300 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_ADDR64_RTN),
     /* 229303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 229305 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 229312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 229322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 229327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229334 */     GIR_RootConstrainSelectedInstOperands,
     /* 229335 */     // GIR_Coverage, 5819,
     /* 229335 */     GIR_EraseRootFromParent_Done,
     /* 229336 */   // Label 3743: @229336
     /* 229336 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(229393), // Rule ID 5816 //
     /* 229341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 229344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229351 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 229364 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_INC_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFSET),
     /* 229367 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 229379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229391 */     GIR_RootConstrainSelectedInstOperands,
     /* 229392 */     // GIR_Coverage, 5816,
     /* 229392 */     GIR_EraseRootFromParent_Done,
     /* 229393 */   // Label 3744: @229393
     /* 229393 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(229447), // Rule ID 5820 //
     /* 229398 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229405 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 229418 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET),
     /* 229421 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 229433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229445 */     GIR_RootConstrainSelectedInstOperands,
     /* 229446 */     // GIR_Coverage, 5820,
     /* 229446 */     GIR_EraseRootFromParent_Done,
     /* 229447 */   // Label 3745: @229447
     /* 229447 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(229508), // Rule ID 5814 //
     /* 229452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 229455 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 229477 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (BUFFER_ATOMIC_INC_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFSET_RTN),
     /* 229480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 229482 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 229494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229506 */     GIR_RootConstrainSelectedInstOperands,
     /* 229507 */     // GIR_Coverage, 5814,
     /* 229507 */     GIR_EraseRootFromParent_Done,
     /* 229508 */   // Label 3746: @229508
     /* 229508 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(229566), // Rule ID 5818 //
     /* 229513 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 229535 */     // (atomic_load_uinc_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 229535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET_RTN),
     /* 229538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 229540 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 229542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 229547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 229552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229564 */     GIR_RootConstrainSelectedInstOperands,
     /* 229565 */     // GIR_Coverage, 5818,
     /* 229565 */     GIR_EraseRootFromParent_Done,
     /* 229566 */   // Label 3747: @229566
     /* 229566 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(229616), // Rule ID 8447 //
     /* 229571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 229574 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 229579 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229592 */     // (atomic_load_uinc_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_m0_noret_i64>>  =>  (DS_INC_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 229592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U64),
     /* 229595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229600 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229614 */     GIR_RootConstrainSelectedInstOperands,
     /* 229615 */     // GIR_Coverage, 8447,
     /* 229615 */     GIR_EraseRootFromParent_Done,
     /* 229616 */   // Label 3748: @229616
     /* 229616 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(229666), // Rule ID 8449 //
     /* 229621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 229624 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 229629 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229642 */     // (atomic_load_uinc_wrap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_noret_i64>>  =>  (DS_INC_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 229642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U64_gfx9),
     /* 229645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229650 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229664 */     GIR_RootConstrainSelectedInstOperands,
     /* 229665 */     // GIR_Coverage, 8449,
     /* 229665 */     GIR_EraseRootFromParent_Done,
     /* 229666 */   // Label 3749: @229666
     /* 229666 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(229716), // Rule ID 8451 //
     /* 229671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 229674 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 229679 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229692 */     // (atomic_load_uinc_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_region_m0_noret_i64>>  =>  (DS_INC_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 229692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_U64),
     /* 229695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229700 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229714 */     GIR_RootConstrainSelectedInstOperands,
     /* 229715 */     // GIR_Coverage, 8451,
     /* 229715 */     GIR_EraseRootFromParent_Done,
     /* 229716 */   // Label 3750: @229716
     /* 229716 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(229770), // Rule ID 8446 //
     /* 229721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 229724 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 229729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229744 */     // (atomic_load_uinc_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_m0_i64>>  =>  (DS_INC_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 229744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U64),
     /* 229747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 229749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229754 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229768 */     GIR_RootConstrainSelectedInstOperands,
     /* 229769 */     // GIR_Coverage, 8446,
     /* 229769 */     GIR_EraseRootFromParent_Done,
     /* 229770 */   // Label 3751: @229770
     /* 229770 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(229824), // Rule ID 8448 //
     /* 229775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 229778 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 229783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229798 */     // (atomic_load_uinc_wrap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_local_i64>>  =>  (DS_INC_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 229798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U64_gfx9),
     /* 229801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 229803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229808 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229822 */     GIR_RootConstrainSelectedInstOperands,
     /* 229823 */     // GIR_Coverage, 8448,
     /* 229823 */     GIR_EraseRootFromParent_Done,
     /* 229824 */   // Label 3752: @229824
     /* 229824 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(229878), // Rule ID 8450 //
     /* 229829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 229832 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 229837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 229852 */     // (atomic_load_uinc_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_uinc_wrap_region_m0_i64>>  =>  (DS_INC_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 229852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_INC_RTN_U64),
     /* 229855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 229857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 229862 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 229864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 229869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229876 */     GIR_RootConstrainSelectedInstOperands,
     /* 229877 */     // GIR_Coverage, 8450,
     /* 229877 */     GIR_EraseRootFromParent_Done,
     /* 229878 */   // Label 3753: @229878
     /* 229878 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(229935), // Rule ID 4130 //
     /* 229883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 229886 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229893 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 229895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 229906 */     // (atomic_load_uinc_wrap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_INC_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 229906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_X2_SADDR),
     /* 229909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 229914 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 229916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 229921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 229929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229933 */     GIR_RootConstrainSelectedInstOperands,
     /* 229934 */     // GIR_Coverage, 4130,
     /* 229934 */     GIR_EraseRootFromParent_Done,
     /* 229935 */   // Label 3754: @229935
     /* 229935 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(229996), // Rule ID 4132 //
     /* 229940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 229943 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 229950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 229954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 229958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 229965 */     // (atomic_load_uinc_wrap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (GLOBAL_ATOMIC_INC_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 229965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_X2_SADDR_RTN),
     /* 229968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 229970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 229975 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 229977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 229982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 229987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 229990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229994 */     GIR_RootConstrainSelectedInstOperands,
     /* 229995 */     // GIR_Coverage, 4132,
     /* 229995 */     GIR_EraseRootFromParent_Done,
     /* 229996 */   // Label 3755: @229996
     /* 229996 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(230048), // Rule ID 4129 //
     /* 230001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 230004 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230011 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 230024 */     // (atomic_load_uinc_wrap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_INC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_X2),
     /* 230027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230032 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230046 */     GIR_RootConstrainSelectedInstOperands,
     /* 230047 */     // GIR_Coverage, 4129,
     /* 230047 */     GIR_EraseRootFromParent_Done,
     /* 230048 */   // Label 3756: @230048
     /* 230048 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(230104), // Rule ID 4131 //
     /* 230053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 230056 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 230067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 230078 */     // (atomic_load_uinc_wrap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (GLOBAL_ATOMIC_INC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_INC_X2_RTN),
     /* 230081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 230083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230088 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230102 */     GIR_RootConstrainSelectedInstOperands,
     /* 230103 */     // GIR_Coverage, 4131,
     /* 230103 */     GIR_EraseRootFromParent_Done,
     /* 230104 */   // Label 3757: @230104
     /* 230104 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(230157), // Rule ID 3726 //
     /* 230109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 230112 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230120 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 230133 */     // (atomic_load_uinc_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_flat_noret_i64>>  =>  (FLAT_ATOMIC_INC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_X2),
     /* 230136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230141 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230155 */     GIR_RootConstrainSelectedInstOperands,
     /* 230156 */     // GIR_Coverage, 3726,
     /* 230156 */     GIR_EraseRootFromParent_Done,
     /* 230157 */   // Label 3758: @230157
     /* 230157 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(230209), // Rule ID 3786 //
     /* 230162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 230165 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230172 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 230185 */     // (atomic_load_uinc_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_noret_i64>>  =>  (FLAT_ATOMIC_INC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_X2),
     /* 230188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230193 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230207 */     GIR_RootConstrainSelectedInstOperands,
     /* 230208 */     // GIR_Coverage, 3786,
     /* 230208 */     GIR_EraseRootFromParent_Done,
     /* 230209 */   // Label 3759: @230209
     /* 230209 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(230266), // Rule ID 3725 //
     /* 230214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 230217 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 230229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 230240 */     // (atomic_load_uinc_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_flat_i64>>  =>  (FLAT_ATOMIC_INC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_X2_RTN),
     /* 230243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 230245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230250 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230264 */     GIR_RootConstrainSelectedInstOperands,
     /* 230265 */     // GIR_Coverage, 3725,
     /* 230265 */     GIR_EraseRootFromParent_Done,
     /* 230266 */   // Label 3760: @230266
     /* 230266 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(230322), // Rule ID 3785 //
     /* 230271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 230274 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 230285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 230296 */     // (atomic_load_uinc_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_uinc_wrap_global_i64>>  =>  (FLAT_ATOMIC_INC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 230296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_INC_X2_RTN),
     /* 230299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 230301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 230306 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 230308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230320 */     GIR_RootConstrainSelectedInstOperands,
     /* 230321 */     // GIR_Coverage, 3785,
     /* 230321 */     GIR_EraseRootFromParent_Done,
     /* 230322 */   // Label 3761: @230322
     /* 230322 */   GIM_Reject,
     /* 230323 */ // Label 3739: @230323
     /* 230323 */ GIM_Reject,
     /* 230324 */ // Label 3715: @230324
     /* 230324 */ GIM_Reject,
     /* 230325 */ // Label 33: @230325
     /* 230325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 3764*/ GIMT_Encode4(232836),
     /* 230336 */ /*GILLT_s32*//*Label 3762*/ GIMT_Encode4(230344),
     /* 230340 */ /*GILLT_s64*//*Label 3763*/ GIMT_Encode4(231590),
     /* 230344 */ // Label 3762: @230344
     /* 230344 */ GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(231589),
     /* 230349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 230352 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(230414), // Rule ID 5729 //
     /* 230357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 230360 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230367 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 230380 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_DEC_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_ADDR64),
     /* 230383 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 230390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 230400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 230405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230412 */     GIR_RootConstrainSelectedInstOperands,
     /* 230413 */     // GIR_Coverage, 5729,
     /* 230413 */     GIR_EraseRootFromParent_Done,
     /* 230414 */   // Label 3766: @230414
     /* 230414 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(230473), // Rule ID 5733 //
     /* 230419 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230426 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 230439 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_ADDR64 anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_ADDR64),
     /* 230442 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 230449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 230459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 230464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230471 */     GIR_RootConstrainSelectedInstOperands,
     /* 230472 */     // GIR_Coverage, 5733,
     /* 230472 */     GIR_EraseRootFromParent_Done,
     /* 230473 */   // Label 3767: @230473
     /* 230473 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(230539), // Rule ID 5727 //
     /* 230478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 230481 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 230492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 230503 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (BUFFER_ATOMIC_DEC_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_ADDR64_RTN),
     /* 230506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 230508 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 230515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 230525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 230530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230537 */     GIR_RootConstrainSelectedInstOperands,
     /* 230538 */     // GIR_Coverage, 5727,
     /* 230538 */     GIR_EraseRootFromParent_Done,
     /* 230539 */   // Label 3768: @230539
     /* 230539 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(230602), // Rule ID 5731 //
     /* 230544 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 230555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 230566 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_ADDR64_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_ADDR64_RTN),
     /* 230569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 230571 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 230578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 230588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 230593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230600 */     GIR_RootConstrainSelectedInstOperands,
     /* 230601 */     // GIR_Coverage, 5731,
     /* 230601 */     GIR_EraseRootFromParent_Done,
     /* 230602 */   // Label 3769: @230602
     /* 230602 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(230659), // Rule ID 5728 //
     /* 230607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 230610 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230617 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 230630 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_DEC_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFSET),
     /* 230633 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 230645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 230650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230657 */     GIR_RootConstrainSelectedInstOperands,
     /* 230658 */     // GIR_Coverage, 5728,
     /* 230658 */     GIR_EraseRootFromParent_Done,
     /* 230659 */   // Label 3770: @230659
     /* 230659 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(230713), // Rule ID 5732 //
     /* 230664 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230671 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 230684 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFSET),
     /* 230687 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 230699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 230704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230711 */     GIR_RootConstrainSelectedInstOperands,
     /* 230712 */     // GIR_Coverage, 5732,
     /* 230712 */     GIR_EraseRootFromParent_Done,
     /* 230713 */   // Label 3771: @230713
     /* 230713 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(230774), // Rule ID 5726 //
     /* 230718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 230721 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 230732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 230743 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (BUFFER_ATOMIC_DEC_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFSET_RTN),
     /* 230746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 230748 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 230760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 230765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230772 */     GIR_RootConstrainSelectedInstOperands,
     /* 230773 */     // GIR_Coverage, 5726,
     /* 230773 */     GIR_EraseRootFromParent_Done,
     /* 230774 */   // Label 3772: @230774
     /* 230774 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(230832), // Rule ID 5730 //
     /* 230779 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 230786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 230790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 230801 */     // (atomic_load_udec_wrap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 230801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFSET_RTN),
     /* 230804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 230806 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 230808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 230813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 230818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 230823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230830 */     GIR_RootConstrainSelectedInstOperands,
     /* 230831 */     // GIR_Coverage, 5730,
     /* 230831 */     GIR_EraseRootFromParent_Done,
     /* 230832 */   // Label 3773: @230832
     /* 230832 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(230882), // Rule ID 8360 //
     /* 230837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 230840 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 230845 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 230858 */     // (atomic_load_udec_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_m0_noret_i32>>  =>  (DS_DEC_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 230858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U32),
     /* 230861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 230866 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 230868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230880 */     GIR_RootConstrainSelectedInstOperands,
     /* 230881 */     // GIR_Coverage, 8360,
     /* 230881 */     GIR_EraseRootFromParent_Done,
     /* 230882 */   // Label 3774: @230882
     /* 230882 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(230932), // Rule ID 8362 //
     /* 230887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 230890 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 230895 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 230908 */     // (atomic_load_udec_wrap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_noret_i32>>  =>  (DS_DEC_U32_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 230908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U32_gfx9),
     /* 230911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 230916 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 230918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 230926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230930 */     GIR_RootConstrainSelectedInstOperands,
     /* 230931 */     // GIR_Coverage, 8362,
     /* 230931 */     GIR_EraseRootFromParent_Done,
     /* 230932 */   // Label 3775: @230932
     /* 230932 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(230982), // Rule ID 8364 //
     /* 230937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 230940 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 230945 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 230947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 230951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 230958 */     // (atomic_load_udec_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_region_m0_noret_i32>>  =>  (DS_DEC_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 230958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U32),
     /* 230961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 230966 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 230968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 230973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 230976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 230980 */     GIR_RootConstrainSelectedInstOperands,
     /* 230981 */     // GIR_Coverage, 8364,
     /* 230981 */     GIR_EraseRootFromParent_Done,
     /* 230982 */   // Label 3776: @230982
     /* 230982 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(231036), // Rule ID 8359 //
     /* 230987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 230990 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 230995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 230999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 231010 */     // (atomic_load_udec_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_m0_i32>>  =>  (DS_DEC_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 231010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U32),
     /* 231013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 231020 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 231022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231034 */     GIR_RootConstrainSelectedInstOperands,
     /* 231035 */     // GIR_Coverage, 8359,
     /* 231035 */     GIR_EraseRootFromParent_Done,
     /* 231036 */   // Label 3777: @231036
     /* 231036 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(231090), // Rule ID 8361 //
     /* 231041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 231044 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 231049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 231064 */     // (atomic_load_udec_wrap:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_i32>>  =>  (DS_DEC_RTN_U32_gfx9:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 231064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U32_gfx9),
     /* 231067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 231074 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 231076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231088 */     GIR_RootConstrainSelectedInstOperands,
     /* 231089 */     // GIR_Coverage, 8361,
     /* 231089 */     GIR_EraseRootFromParent_Done,
     /* 231090 */   // Label 3778: @231090
     /* 231090 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(231144), // Rule ID 8363 //
     /* 231095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 231098 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 231103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 231118 */     // (atomic_load_udec_wrap_glue:{ *:[i32] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_atomic_load_udec_wrap_region_m0_i32>>  =>  (DS_DEC_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 231118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U32),
     /* 231121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 231128 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 231130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231142 */     GIR_RootConstrainSelectedInstOperands,
     /* 231143 */     // GIR_Coverage, 8363,
     /* 231143 */     GIR_EraseRootFromParent_Done,
     /* 231144 */   // Label 3779: @231144
     /* 231144 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(231201), // Rule ID 4078 //
     /* 231149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 231152 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231159 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 231172 */     // (atomic_load_udec_wrap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_DEC_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 231172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_SADDR),
     /* 231175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 231180 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 231187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 231192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231199 */     GIR_RootConstrainSelectedInstOperands,
     /* 231200 */     // GIR_Coverage, 4078,
     /* 231200 */     GIR_EraseRootFromParent_Done,
     /* 231201 */   // Label 3780: @231201
     /* 231201 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(231262), // Rule ID 4080 //
     /* 231206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 231209 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 231231 */     // (atomic_load_udec_wrap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (GLOBAL_ATOMIC_DEC_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 231231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_SADDR_RTN),
     /* 231234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 231241 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 231248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 231253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231260 */     GIR_RootConstrainSelectedInstOperands,
     /* 231261 */     // GIR_Coverage, 4080,
     /* 231261 */     GIR_EraseRootFromParent_Done,
     /* 231262 */   // Label 3781: @231262
     /* 231262 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(231314), // Rule ID 4077 //
     /* 231267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 231270 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231277 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 231290 */     // (atomic_load_udec_wrap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_DEC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC),
     /* 231293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231298 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231312 */     GIR_RootConstrainSelectedInstOperands,
     /* 231313 */     // GIR_Coverage, 4077,
     /* 231313 */     GIR_EraseRootFromParent_Done,
     /* 231314 */   // Label 3782: @231314
     /* 231314 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(231370), // Rule ID 4079 //
     /* 231319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 231322 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 231344 */     // (atomic_load_udec_wrap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (GLOBAL_ATOMIC_DEC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_RTN),
     /* 231347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231354 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231368 */     GIR_RootConstrainSelectedInstOperands,
     /* 231369 */     // GIR_Coverage, 4079,
     /* 231369 */     GIR_EraseRootFromParent_Done,
     /* 231370 */   // Label 3783: @231370
     /* 231370 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(231423), // Rule ID 3702 //
     /* 231375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 231378 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231386 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 231399 */     // (atomic_load_udec_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_flat_noret_i32>>  =>  (FLAT_ATOMIC_DEC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC),
     /* 231402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231407 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231421 */     GIR_RootConstrainSelectedInstOperands,
     /* 231422 */     // GIR_Coverage, 3702,
     /* 231422 */     GIR_EraseRootFromParent_Done,
     /* 231423 */   // Label 3784: @231423
     /* 231423 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(231475), // Rule ID 3762 //
     /* 231428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 231431 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231438 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 231451 */     // (atomic_load_udec_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i32>>  =>  (FLAT_ATOMIC_DEC VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC),
     /* 231454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231459 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231473 */     GIR_RootConstrainSelectedInstOperands,
     /* 231474 */     // GIR_Coverage, 3762,
     /* 231474 */     GIR_EraseRootFromParent_Done,
     /* 231475 */   // Label 3785: @231475
     /* 231475 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(231532), // Rule ID 3701 //
     /* 231480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 231483 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 231506 */     // (atomic_load_udec_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_flat_i32>>  =>  (FLAT_ATOMIC_DEC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_RTN),
     /* 231509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231516 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231530 */     GIR_RootConstrainSelectedInstOperands,
     /* 231531 */     // GIR_Coverage, 3701,
     /* 231531 */     GIR_EraseRootFromParent_Done,
     /* 231532 */   // Label 3786: @231532
     /* 231532 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(231588), // Rule ID 3761 //
     /* 231537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 231540 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 231551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 231562 */     // (atomic_load_udec_wrap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i32>>  =>  (FLAT_ATOMIC_DEC_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 231562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_RTN),
     /* 231565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 231567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 231572 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 231574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 231579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231586 */     GIR_RootConstrainSelectedInstOperands,
     /* 231587 */     // GIR_Coverage, 3761,
     /* 231587 */     GIR_EraseRootFromParent_Done,
     /* 231588 */   // Label 3787: @231588
     /* 231588 */   GIM_Reject,
     /* 231589 */ // Label 3765: @231589
     /* 231589 */ GIM_Reject,
     /* 231590 */ // Label 3763: @231590
     /* 231590 */ GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(232835),
     /* 231595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 231598 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(231660), // Rule ID 5825 //
     /* 231603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 231606 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231613 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 231626 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_ADDR64),
     /* 231629 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 231636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 231646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 231651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231658 */     GIR_RootConstrainSelectedInstOperands,
     /* 231659 */     // GIR_Coverage, 5825,
     /* 231659 */     GIR_EraseRootFromParent_Done,
     /* 231660 */   // Label 3789: @231660
     /* 231660 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(231719), // Rule ID 5829 //
     /* 231665 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231672 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 231685 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_ADDR64 anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_ADDR64),
     /* 231688 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 231695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 231705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 231710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231717 */     GIR_RootConstrainSelectedInstOperands,
     /* 231718 */     // GIR_Coverage, 5829,
     /* 231718 */     GIR_EraseRootFromParent_Done,
     /* 231719 */   // Label 3790: @231719
     /* 231719 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(231785), // Rule ID 5823 //
     /* 231724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 231727 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 231738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 231749 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_ADDR64_RTN),
     /* 231752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 231754 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 231761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 231771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 231776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231783 */     GIR_RootConstrainSelectedInstOperands,
     /* 231784 */     // GIR_Coverage, 5823,
     /* 231784 */     GIR_EraseRootFromParent_Done,
     /* 231785 */   // Label 3791: @231785
     /* 231785 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(231848), // Rule ID 5827 //
     /* 231790 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 231801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 231812 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_ADDR64_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_ADDR64_RTN),
     /* 231815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 231817 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 231824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 231834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 231839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 231842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231846 */     GIR_RootConstrainSelectedInstOperands,
     /* 231847 */     // GIR_Coverage, 5827,
     /* 231847 */     GIR_EraseRootFromParent_Done,
     /* 231848 */   // Label 3792: @231848
     /* 231848 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(231905), // Rule ID 5824 //
     /* 231853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 231856 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231863 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 231876 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFSET),
     /* 231879 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 231891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 231896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231903 */     GIR_RootConstrainSelectedInstOperands,
     /* 231904 */     // GIR_Coverage, 5824,
     /* 231904 */     GIR_EraseRootFromParent_Done,
     /* 231905 */   // Label 3793: @231905
     /* 231905 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(231959), // Rule ID 5828 //
     /* 231910 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231917 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 231919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 231930 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET),
     /* 231933 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 231940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 231945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 231950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 231953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 231957 */     GIR_RootConstrainSelectedInstOperands,
     /* 231958 */     // GIR_Coverage, 5828,
     /* 231958 */     GIR_EraseRootFromParent_Done,
     /* 231959 */   // Label 3794: @231959
     /* 231959 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(232020), // Rule ID 5822 //
     /* 231964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 231967 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 231974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 231978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 231982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 231989 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 231989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFSET_RTN),
     /* 231992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 231994 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 231996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 232001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 232006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 232011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232018 */     GIR_RootConstrainSelectedInstOperands,
     /* 232019 */     // GIR_Coverage, 5822,
     /* 232019 */     GIR_EraseRootFromParent_Done,
     /* 232020 */   // Label 3795: @232020
     /* 232020 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(232078), // Rule ID 5826 //
     /* 232025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 232047 */     // (atomic_load_udec_wrap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$vdata_in)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 232047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET_RTN),
     /* 232050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 232052 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 232054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 232059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 232064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 232069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232076 */     GIR_RootConstrainSelectedInstOperands,
     /* 232077 */     // GIR_Coverage, 5826,
     /* 232077 */     GIR_EraseRootFromParent_Done,
     /* 232078 */   // Label 3796: @232078
     /* 232078 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(232128), // Rule ID 8453 //
     /* 232083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 232086 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 232091 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232104 */     // (atomic_load_udec_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_m0_noret_i64>>  =>  (DS_DEC_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 232104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U64),
     /* 232107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232112 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232126 */     GIR_RootConstrainSelectedInstOperands,
     /* 232127 */     // GIR_Coverage, 8453,
     /* 232127 */     GIR_EraseRootFromParent_Done,
     /* 232128 */   // Label 3797: @232128
     /* 232128 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(232178), // Rule ID 8455 //
     /* 232133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 232136 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 232141 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232154 */     // (atomic_load_udec_wrap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_noret_i64>>  =>  (DS_DEC_U64_gfx9 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 232154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U64_gfx9),
     /* 232157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232162 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232176 */     GIR_RootConstrainSelectedInstOperands,
     /* 232177 */     // GIR_Coverage, 8455,
     /* 232177 */     GIR_EraseRootFromParent_Done,
     /* 232178 */   // Label 3798: @232178
     /* 232178 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(232228), // Rule ID 8457 //
     /* 232183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 232186 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 232191 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232204 */     // (atomic_load_udec_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_region_m0_noret_i64>>  =>  (DS_DEC_U64 ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 232204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_U64),
     /* 232207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232212 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232226 */     GIR_RootConstrainSelectedInstOperands,
     /* 232227 */     // GIR_Coverage, 8457,
     /* 232227 */     GIR_EraseRootFromParent_Done,
     /* 232228 */   // Label 3799: @232228
     /* 232228 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(232282), // Rule ID 8452 //
     /* 232233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_LDSRequiresM0Init),
     /* 232236 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 232241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232256 */     // (atomic_load_udec_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_m0_i64>>  =>  (DS_DEC_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 232256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U64),
     /* 232259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232266 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232280 */     GIR_RootConstrainSelectedInstOperands,
     /* 232281 */     // GIR_Coverage, 8452,
     /* 232281 */     GIR_EraseRootFromParent_Done,
     /* 232282 */   // Label 3800: @232282
     /* 232282 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(232336), // Rule ID 8454 //
     /* 232287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotLDSRequiresM0Init),
     /* 232290 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 232295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232310 */     // (atomic_load_udec_wrap:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_local_i64>>  =>  (DS_DEC_RTN_U64_gfx9:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 232310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U64_gfx9),
     /* 232313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232320 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232334 */     GIR_RootConstrainSelectedInstOperands,
     /* 232335 */     // GIR_Coverage, 8454,
     /* 232335 */     GIR_EraseRootFromParent_Done,
     /* 232336 */   // Label 3801: @232336
     /* 232336 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(232390), // Rule ID 8456 //
     /* 232341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGDS),
     /* 232344 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/2,
     /* 232349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 232364 */     // (atomic_load_udec_wrap_glue:{ *:[i64] } (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$value)<<P:Predicate_atomic_load_udec_wrap_region_m0_i64>>  =>  (DS_DEC_RTN_U64:{ *:[i64] } ?:{ *:[i32] }:$ptr, anonymous_9774:{ *:[i64] }:$value, Offset:{ *:[i32] }:$offset, 1:{ *:[i1] })
     /* 232364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DEC_RTN_U64),
     /* 232367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 232374 */     GIR_RootToRootCopy, /*OpIdx*/2, // value
     /* 232376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232388 */     GIR_RootConstrainSelectedInstOperands,
     /* 232389 */     // GIR_Coverage, 8456,
     /* 232389 */     GIR_EraseRootFromParent_Done,
     /* 232390 */   // Label 3802: @232390
     /* 232390 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(232447), // Rule ID 4134 //
     /* 232395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 232398 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232405 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 232418 */     // (atomic_load_udec_wrap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_DEC_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 232418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_X2_SADDR),
     /* 232421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 232426 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 232433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 232438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232445 */     GIR_RootConstrainSelectedInstOperands,
     /* 232446 */     // GIR_Coverage, 4134,
     /* 232446 */     GIR_EraseRootFromParent_Done,
     /* 232447 */   // Label 3803: @232447
     /* 232447 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(232508), // Rule ID 4136 //
     /* 232452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 232455 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 232477 */     // (atomic_load_udec_wrap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (GLOBAL_ATOMIC_DEC_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 232477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_X2_SADDR_RTN),
     /* 232480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 232487 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 232494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 232499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232506 */     GIR_RootConstrainSelectedInstOperands,
     /* 232507 */     // GIR_Coverage, 4136,
     /* 232507 */     GIR_EraseRootFromParent_Done,
     /* 232508 */   // Label 3804: @232508
     /* 232508 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(232560), // Rule ID 4133 //
     /* 232513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 232516 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232523 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 232536 */     // (atomic_load_udec_wrap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_DEC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_X2),
     /* 232539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232544 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232558 */     GIR_RootConstrainSelectedInstOperands,
     /* 232559 */     // GIR_Coverage, 4133,
     /* 232559 */     GIR_EraseRootFromParent_Done,
     /* 232560 */   // Label 3805: @232560
     /* 232560 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(232616), // Rule ID 4135 //
     /* 232565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 232568 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 232590 */     // (atomic_load_udec_wrap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (GLOBAL_ATOMIC_DEC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_DEC_X2_RTN),
     /* 232593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232600 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232614 */     GIR_RootConstrainSelectedInstOperands,
     /* 232615 */     // GIR_Coverage, 4135,
     /* 232615 */     GIR_EraseRootFromParent_Done,
     /* 232616 */   // Label 3806: @232616
     /* 232616 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(232669), // Rule ID 3728 //
     /* 232621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 232624 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232632 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 232645 */     // (atomic_load_udec_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_flat_noret_i64>>  =>  (FLAT_ATOMIC_DEC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_X2),
     /* 232648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232653 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232667 */     GIR_RootConstrainSelectedInstOperands,
     /* 232668 */     // GIR_Coverage, 3728,
     /* 232668 */     GIR_EraseRootFromParent_Done,
     /* 232669 */   // Label 3807: @232669
     /* 232669 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(232721), // Rule ID 3788 //
     /* 232674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 232677 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232684 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 232686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 232697 */     // (atomic_load_udec_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_noret_i64>>  =>  (FLAT_ATOMIC_DEC_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_X2),
     /* 232700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232705 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232719 */     GIR_RootConstrainSelectedInstOperands,
     /* 232720 */     // GIR_Coverage, 3788,
     /* 232720 */     GIR_EraseRootFromParent_Done,
     /* 232721 */   // Label 3808: @232721
     /* 232721 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(232778), // Rule ID 3727 //
     /* 232726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 232729 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 232752 */     // (atomic_load_udec_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_flat_i64>>  =>  (FLAT_ATOMIC_DEC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_X2_RTN),
     /* 232755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232762 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232776 */     GIR_RootConstrainSelectedInstOperands,
     /* 232777 */     // GIR_Coverage, 3727,
     /* 232777 */     GIR_EraseRootFromParent_Done,
     /* 232778 */   // Label 3809: @232778
     /* 232778 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(232834), // Rule ID 3787 //
     /* 232783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 232786 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 232793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 232797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 232801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 232808 */     // (atomic_load_udec_wrap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)<<P:Predicate_atomic_load_udec_wrap_global_i64>>  =>  (FLAT_ATOMIC_DEC_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 232808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_DEC_X2_RTN),
     /* 232811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 232813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 232818 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 232820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 232828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232832 */     GIR_RootConstrainSelectedInstOperands,
     /* 232833 */     // GIR_Coverage, 3787,
     /* 232833 */     GIR_EraseRootFromParent_Done,
     /* 232834 */   // Label 3810: @232834
     /* 232834 */   GIM_Reject,
     /* 232835 */ // Label 3788: @232835
     /* 232835 */ GIM_Reject,
     /* 232836 */ // Label 3764: @232836
     /* 232836 */ GIM_Reject,
     /* 232837 */ // Label 34: @232837
     /* 232837 */ GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(232855), // Rule ID 1335 //
     /* 232842 */   // MIs[0] ordering
     /* 232842 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 232845 */   // MIs[0] scope
     /* 232845 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 232848 */   // (atomic_fence (timm:{ *:[i32] }):$ordering, (timm:{ *:[i32] }):$scope)  =>  (ATOMIC_FENCE (timm:{ *:[i32] }):$ordering, (timm:{ *:[i32] }):$scope)
     /* 232848 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::ATOMIC_FENCE),
     /* 232853 */   GIR_RootConstrainSelectedInstOperands,
     /* 232854 */   // GIR_Coverage, 1335,
     /* 232854 */   GIR_Done,
     /* 232855 */ // Label 3811: @232855
     /* 232855 */ GIM_Reject,
     /* 232856 */ // Label 35: @232856
     /* 232856 */ GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(233291),
     /* 232861 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_smrd_prefetch),
     /* 232865 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(232974),
     /* 232870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /* 232874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 232877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 232880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 232883 */     GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(232928), // Rule ID 3550 //
     /* 232888 */       GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_zero),
     /* 232893 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 232900 */       // (prefetch (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_zero>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_INST ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 232900 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_INST),
     /* 232903 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 232908 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232913 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 232919 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232922 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232926 */       GIR_RootConstrainSelectedInstOperands,
     /* 232927 */       // GIR_Coverage, 3550,
     /* 232927 */       GIR_EraseRootFromParent_Done,
     /* 232928 */     // Label 3814: @232928
     /* 232928 */     GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(232973), // Rule ID 3553 //
     /* 232933 */       GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_one),
     /* 232938 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 232945 */       // (prefetch (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_one>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 232945 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 232948 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 232953 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 232958 */       GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 232964 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 232967 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 232971 */       GIR_RootConstrainSelectedInstOperands,
     /* 232972 */       // GIR_Coverage, 3553,
     /* 232972 */       GIR_EraseRootFromParent_Done,
     /* 232973 */     // Label 3815: @232973
     /* 232973 */     GIM_Reject,
     /* 232974 */   // Label 3813: @232974
     /* 232974 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(233024), // Rule ID 3551 //
     /* 232979 */     // MIs[0] sbase
     /* 232979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/64,
     /* 232983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 232987 */     // MIs[0] Operand 1
     /* 232987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 232990 */     // MIs[0] Operand 2
     /* 232990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 232993 */     // MIs[0] Operand 3
     /* 232993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 232996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_zero),
     /* 233001 */     // (prefetch SReg_64:{ *:[i64] }:$sbase, (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_zero>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_INST ?:{ *:[i64] }:$sbase, 0:{ *:[i32] }, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 233001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_INST),
     /* 233004 */     GIR_RootToRootCopy, /*OpIdx*/0, // sbase
     /* 233006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 233015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 233022 */     GIR_RootConstrainSelectedInstOperands,
     /* 233023 */     // GIR_Coverage, 3551,
     /* 233023 */     GIR_EraseRootFromParent_Done,
     /* 233024 */   // Label 3816: @233024
     /* 233024 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(233132), // Rule ID 3552 //
     /* 233029 */     // MIs[0] sbase
     /* 233029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/32,
     /* 233033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233037 */     // MIs[0] Operand 1
     /* 233037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 233040 */     // MIs[0] Operand 2
     /* 233040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 233043 */     // MIs[0] Operand 3
     /* 233043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 233046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_zero),
     /* 233051 */     // (prefetch SReg_32:{ *:[i32] }:$sbase, (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_zero>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_INST (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$sbase, sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i32] } 0:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i32] }, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 233051 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 233054 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 233058 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233063 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 233066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 233068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 233071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 233075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // sbase
     /* 233084 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 233087 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 233090 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 233093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 233103 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 233108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_INST),
     /* 233111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 233123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 233130 */     GIR_RootConstrainSelectedInstOperands,
     /* 233131 */     // GIR_Coverage, 3552,
     /* 233131 */     GIR_EraseRootFromParent_Done,
     /* 233132 */   // Label 3817: @233132
     /* 233132 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(233182), // Rule ID 3554 //
     /* 233137 */     // MIs[0] sbase
     /* 233137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/64,
     /* 233141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233145 */     // MIs[0] Operand 1
     /* 233145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 233148 */     // MIs[0] Operand 2
     /* 233148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 233151 */     // MIs[0] Operand 3
     /* 233151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 233154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_one),
     /* 233159 */     // (prefetch SReg_64:{ *:[i64] }:$sbase, (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_one>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, 0:{ *:[i32] }, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 233159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 233162 */     GIR_RootToRootCopy, /*OpIdx*/0, // sbase
     /* 233164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233167 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 233173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 233180 */     GIR_RootConstrainSelectedInstOperands,
     /* 233181 */     // GIR_Coverage, 3554,
     /* 233181 */     GIR_EraseRootFromParent_Done,
     /* 233182 */   // Label 3818: @233182
     /* 233182 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(233290), // Rule ID 3555 //
     /* 233187 */     // MIs[0] sbase
     /* 233187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/32,
     /* 233191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233195 */     // MIs[0] Operand 1
     /* 233195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 233198 */     // MIs[0] Operand 2
     /* 233198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 233201 */     // MIs[0] Operand 3
     /* 233201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 233204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32imm_one),
     /* 233209 */     // (prefetch SReg_32:{ *:[i32] }:$sbase, (timm:{ *:[i32] }), (timm:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_i32imm_one>>)<<P:Predicate_smrd_prefetch>>  =>  (S_PREFETCH_DATA (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$sbase, sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i32] } 0:{ *:[i32] }), sub1:{ *:[i32] }), 0:{ *:[i32] }, SGPR_NULL:{ *:[i32] }, 0:{ *:[i8] })
     /* 233209 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 233212 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 233216 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233221 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 233224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 233226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 233229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 233233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // sbase
     /* 233242 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 233245 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 233248 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 233251 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233256 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 233261 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 233266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 233269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 233281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 233284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 233288 */     GIR_RootConstrainSelectedInstOperands,
     /* 233289 */     // GIR_Coverage, 3555,
     /* 233289 */     GIR_EraseRootFromParent_Done,
     /* 233290 */   // Label 3819: @233290
     /* 233290 */   GIM_Reject,
     /* 233291 */ // Label 3812: @233291
     /* 233291 */ GIM_Reject,
     /* 233292 */ // Label 36: @233292
     /* 233292 */ GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(233373),
     /* 233297 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 233300 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(233324), // Rule ID 20 //
     /* 233305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_getpc),
     /* 233310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 233313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233317 */     // (intrinsic_wo_chain:{ *:[i64] } 3269:{ *:[iPTR] })  =>  (S_GETPC_B64_pseudo:{ *:[i64] })
     /* 233317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_GETPC_B64_pseudo),
     /* 233320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233322 */     GIR_RootConstrainSelectedInstOperands,
     /* 233323 */     // GIR_Coverage, 20,
     /* 233323 */     GIR_EraseRootFromParent_Done,
     /* 233324 */   // Label 3821: @233324
     /* 233324 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(233348), // Rule ID 1352 //
     /* 233329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_groupstaticsize),
     /* 233334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 233337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233341 */     // (intrinsic_wo_chain:{ *:[i32] } 2327:{ *:[iPTR] })  =>  (GET_GROUPSTATICSIZE:{ *:[i32] })
     /* 233341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GET_GROUPSTATICSIZE),
     /* 233344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233346 */     GIR_RootConstrainSelectedInstOperands,
     /* 233347 */     // GIR_Coverage, 1352,
     /* 233347 */     GIR_EraseRootFromParent_Done,
     /* 233348 */   // Label 3822: @233348
     /* 233348 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(233372), // Rule ID 1359 //
     /* 233353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ps_live),
     /* 233358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 233361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 233365 */     // (intrinsic_wo_chain:{ *:[i1] } 3192:{ *:[iPTR] })  =>  (SI_PS_LIVE:{ *:[i1] })
     /* 233365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_PS_LIVE),
     /* 233368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233370 */     GIR_RootConstrainSelectedInstOperands,
     /* 233371 */     // GIR_Coverage, 1359,
     /* 233371 */     GIR_EraseRootFromParent_Done,
     /* 233372 */   // Label 3823: @233372
     /* 233372 */   GIM_Reject,
     /* 233373 */ // Label 3820: @233373
     /* 233373 */ GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(237229),
     /* 233378 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 233381 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(233463), // Rule ID 2710 //
     /* 233386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 233394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 233397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 233400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233404 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21682),
     /* 233408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233415 */     // (intrinsic_wo_chain:{ *:[f16] } 2303:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21682>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_EXP_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 233415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_EXP_F16_e64),
     /* 233422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 233442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 233447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 233449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233457 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233462 */     // GIR_Coverage, 2710,
     /* 233462 */     GIR_EraseRootFromParent_Done,
     /* 233463 */   // Label 3825: @233463
     /* 233463 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(233545), // Rule ID 2712 //
     /* 233468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 233476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 233479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 233482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21684),
     /* 233490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233497 */     // (intrinsic_wo_chain:{ *:[f16] } 3120:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21684>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_LOG_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 233497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_LOG_F16_e64),
     /* 233504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 233524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 233529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 233531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233539 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233544 */     // GIR_Coverage, 2712,
     /* 233544 */     GIR_EraseRootFromParent_Done,
     /* 233545 */   // Label 3826: @233545
     /* 233545 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(233627), // Rule ID 2714 //
     /* 233550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 233558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 233561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 233564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233568 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21676),
     /* 233572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233579 */     // (intrinsic_wo_chain:{ *:[f16] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21676>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_RCP_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 233579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_RCP_F16_e64),
     /* 233586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 233606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 233611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 233613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233626 */     // GIR_Coverage, 2714,
     /* 233626 */     GIR_EraseRootFromParent_Done,
     /* 233627 */   // Label 3827: @233627
     /* 233627 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(233709), // Rule ID 2716 //
     /* 233632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 233640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 233643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 233646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233650 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21678),
     /* 233654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233661 */     // (intrinsic_wo_chain:{ *:[f16] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21678>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_RSQ_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 233661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_RSQ_F16_e64),
     /* 233668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 233688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 233693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 233695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233703 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233708 */     // GIR_Coverage, 2716,
     /* 233708 */     GIR_EraseRootFromParent_Done,
     /* 233709 */   // Label 3828: @233709
     /* 233709 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(233791), // Rule ID 2719 //
     /* 233714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 233722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 233725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 233728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21680),
     /* 233736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233743 */     // (intrinsic_wo_chain:{ *:[f16] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21680>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_SQRT_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 233743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_SQRT_F16_e64),
     /* 233750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 233770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 233775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 233777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 233782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233785 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233790 */     // GIR_Coverage, 2719,
     /* 233790 */     GIR_EraseRootFromParent_Done,
     /* 233791 */   // Label 3829: @233791
     /* 233791 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(233824), // Rule ID 16 //
     /* 233796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sffbh),
     /* 233801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 233804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 233807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13741),
     /* 233815 */     // (intrinsic_wo_chain:{ *:[i32] } 3309:{ *:[iPTR] }, i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13741>>  =>  (S_FLBIT_I32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 233815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLBIT_I32),
     /* 233818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233820 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 233822 */     GIR_RootConstrainSelectedInstOperands,
     /* 233823 */     // GIR_Coverage, 16,
     /* 233823 */     GIR_EraseRootFromParent_Done,
     /* 233824 */   // Label 3830: @233824
     /* 233824 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(233856), // Rule ID 1336 //
     /* 233829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 233832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_inverse_ballot),
     /* 233837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 233840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 233843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233847 */     // (intrinsic_wo_chain:{ *:[i1] } 3109:{ *:[iPTR] }, i32:{ *:[i32] }:$mask)  =>  (S_INVERSE_BALLOT_U32:{ *:[i1] } i32:{ *:[i32] }:$mask)
     /* 233847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_INVERSE_BALLOT_U32),
     /* 233850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233852 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 233854 */     GIR_RootConstrainSelectedInstOperands,
     /* 233855 */     // GIR_Coverage, 1336,
     /* 233855 */     GIR_EraseRootFromParent_Done,
     /* 233856 */   // Label 3831: @233856
     /* 233856 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(233888), // Rule ID 1337 //
     /* 233861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /* 233864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_inverse_ballot),
     /* 233869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 233872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 233875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233879 */     // (intrinsic_wo_chain:{ *:[i1] } 3109:{ *:[iPTR] }, i64:{ *:[i64] }:$mask)  =>  (S_INVERSE_BALLOT_U64:{ *:[i1] } i64:{ *:[i64] }:$mask)
     /* 233879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_INVERSE_BALLOT_U64),
     /* 233882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233884 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 233886 */     GIR_RootConstrainSelectedInstOperands,
     /* 233887 */     // GIR_Coverage, 1337,
     /* 233887 */     GIR_EraseRootFromParent_Done,
     /* 233888 */   // Label 3832: @233888
     /* 233888 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(233949), // Rule ID 6998 //
     /* 233893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 233896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_inverse_ballot),
     /* 233901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 233904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 233907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 233911 */     // (intrinsic_wo_chain:{ *:[i1] } 3109:{ *:[iPTR] }, i64:{ *:[i64] }:$src)  =>  (S_INVERSE_BALLOT_U32:{ *:[i1] } (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[i64] }:$src, sub0:{ *:[i32] }))
     /* 233911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 233914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 233918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 233923 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 233929 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 233934 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 233939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_INVERSE_BALLOT_U32),
     /* 233942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 233944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 233947 */     GIR_RootConstrainSelectedInstOperands,
     /* 233948 */     // GIR_Coverage, 6998,
     /* 233948 */     GIR_EraseRootFromParent_Done,
     /* 233949 */   // Label 3833: @233949
     /* 233949 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(234010), // Rule ID 1077 //
     /* 233954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 233957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 233962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 233965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 233968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 233972 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21671),
     /* 233976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 233983 */     // (intrinsic_wo_chain:{ *:[f32] } 2303:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21671>>  =>  (V_S_EXP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 233983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_EXP_F32_e64),
     /* 233986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 233988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 233993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 233998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234008 */     GIR_RootConstrainSelectedInstOperands,
     /* 234009 */     // GIR_Coverage, 1077,
     /* 234009 */     GIR_EraseRootFromParent_Done,
     /* 234010 */   // Label 3834: @234010
     /* 234010 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(234071), // Rule ID 1079 //
     /* 234015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 234018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 234023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 234033 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21674),
     /* 234037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234044 */     // (intrinsic_wo_chain:{ *:[f32] } 3120:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21674>>  =>  (V_S_LOG_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_LOG_F32_e64),
     /* 234047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234069 */     GIR_RootConstrainSelectedInstOperands,
     /* 234070 */     // GIR_Coverage, 1079,
     /* 234070 */     GIR_EraseRootFromParent_Done,
     /* 234071 */   // Label 3835: @234071
     /* 234071 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(234132), // Rule ID 1081 //
     /* 234076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 234079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 234084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 234094 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21676),
     /* 234098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234105 */     // (intrinsic_wo_chain:{ *:[f32] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21676>>  =>  (V_S_RCP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_RCP_F32_e64),
     /* 234108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234130 */     GIR_RootConstrainSelectedInstOperands,
     /* 234131 */     // GIR_Coverage, 1081,
     /* 234131 */     GIR_EraseRootFromParent_Done,
     /* 234132 */   // Label 3836: @234132
     /* 234132 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(234193), // Rule ID 1083 //
     /* 234137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 234140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 234145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 234155 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21678),
     /* 234159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234166 */     // (intrinsic_wo_chain:{ *:[f32] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21678>>  =>  (V_S_RSQ_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_RSQ_F32_e64),
     /* 234169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234191 */     GIR_RootConstrainSelectedInstOperands,
     /* 234192 */     // GIR_Coverage, 1083,
     /* 234192 */     GIR_EraseRootFromParent_Done,
     /* 234193 */   // Label 3837: @234193
     /* 234193 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(234254), // Rule ID 1086 //
     /* 234198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 234201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 234206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 234216 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21680),
     /* 234220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234227 */     // (intrinsic_wo_chain:{ *:[f32] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21680>>  =>  (V_S_SQRT_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_SQRT_F32_e64),
     /* 234230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234252 */     GIR_RootConstrainSelectedInstOperands,
     /* 234253 */     // GIR_Coverage, 1086,
     /* 234253 */     GIR_EraseRootFromParent_Done,
     /* 234254 */   // Label 3838: @234254
     /* 234254 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(234303), // Rule ID 652 //
     /* 234259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_off_f32_i4),
     /* 234264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234281 */     // (intrinsic_wo_chain:{ *:[f32] } 2199:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_OFF_F32_I4_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_OFF_F32_I4_e64),
     /* 234284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 234296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 234301 */     GIR_RootConstrainSelectedInstOperands,
     /* 234302 */     // GIR_Coverage, 652,
     /* 234302 */     GIR_EraseRootFromParent_Done,
     /* 234303 */   // Label 3839: @234303
     /* 234303 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(234357), // Rule ID 657 //
     /* 234308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fract),
     /* 234313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234330 */     // (intrinsic_wo_chain:{ *:[f32] } 2317:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FRACT_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F32_e64),
     /* 234333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234355 */     GIR_RootConstrainSelectedInstOperands,
     /* 234356 */     // GIR_Coverage, 657,
     /* 234356 */     GIR_EraseRootFromParent_Done,
     /* 234357 */   // Label 3840: @234357
     /* 234357 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(234411), // Rule ID 663 //
     /* 234362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 234367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234384 */     // (intrinsic_wo_chain:{ *:[f32] } 2303:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_EXP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F32_e64),
     /* 234387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234409 */     GIR_RootConstrainSelectedInstOperands,
     /* 234410 */     // GIR_Coverage, 663,
     /* 234410 */     GIR_EraseRootFromParent_Done,
     /* 234411 */   // Label 3841: @234411
     /* 234411 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(234465), // Rule ID 665 //
     /* 234416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 234421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234438 */     // (intrinsic_wo_chain:{ *:[f32] } 3120:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F32_e64),
     /* 234441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234463 */     GIR_RootConstrainSelectedInstOperands,
     /* 234464 */     // GIR_Coverage, 665,
     /* 234464 */     GIR_EraseRootFromParent_Done,
     /* 234465 */   // Label 3842: @234465
     /* 234465 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(234519), // Rule ID 667 //
     /* 234470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 234475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234492 */     // (intrinsic_wo_chain:{ *:[f32] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_F32_e64),
     /* 234495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234517 */     GIR_RootConstrainSelectedInstOperands,
     /* 234518 */     // GIR_Coverage, 667,
     /* 234518 */     GIR_EraseRootFromParent_Done,
     /* 234519 */   // Label 3843: @234519
     /* 234519 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(234573), // Rule ID 670 //
     /* 234524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 234529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234546 */     // (intrinsic_wo_chain:{ *:[f32] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_F32_e64),
     /* 234549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234571 */     GIR_RootConstrainSelectedInstOperands,
     /* 234572 */     // GIR_Coverage, 670,
     /* 234572 */     GIR_EraseRootFromParent_Done,
     /* 234573 */   // Label 3844: @234573
     /* 234573 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(234627), // Rule ID 672 //
     /* 234578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 234583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234600 */     // (intrinsic_wo_chain:{ *:[f32] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F32_e64),
     /* 234603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234625 */     GIR_RootConstrainSelectedInstOperands,
     /* 234626 */     // GIR_Coverage, 672,
     /* 234626 */     GIR_EraseRootFromParent_Done,
     /* 234627 */   // Label 3845: @234627
     /* 234627 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(234681), // Rule ID 673 //
     /* 234632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 234637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 234640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 234643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 234647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234654 */     // (intrinsic_wo_chain:{ *:[f64] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_F64_e64),
     /* 234657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234679 */     GIR_RootConstrainSelectedInstOperands,
     /* 234680 */     // GIR_Coverage, 673,
     /* 234680 */     GIR_EraseRootFromParent_Done,
     /* 234681 */   // Label 3846: @234681
     /* 234681 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(234735), // Rule ID 675 //
     /* 234686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 234691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 234694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 234697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 234701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234708 */     // (intrinsic_wo_chain:{ *:[f64] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_F64_e64),
     /* 234711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234733 */     GIR_RootConstrainSelectedInstOperands,
     /* 234734 */     // GIR_Coverage, 675,
     /* 234734 */     GIR_EraseRootFromParent_Done,
     /* 234735 */   // Label 3847: @234735
     /* 234735 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(234789), // Rule ID 677 //
     /* 234740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 234745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 234748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 234751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 234755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234762 */     // (intrinsic_wo_chain:{ *:[f64] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F64_e64),
     /* 234765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234787 */     GIR_RootConstrainSelectedInstOperands,
     /* 234788 */     // GIR_Coverage, 677,
     /* 234788 */     GIR_EraseRootFromParent_Done,
     /* 234789 */   // Label 3848: @234789
     /* 234789 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(234843), // Rule ID 678 //
     /* 234794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sin),
     /* 234799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234816 */     // (intrinsic_wo_chain:{ *:[f32] } 3310:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SIN_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SIN_F32_e64),
     /* 234819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234841 */     GIR_RootConstrainSelectedInstOperands,
     /* 234842 */     // GIR_Coverage, 678,
     /* 234842 */     GIR_EraseRootFromParent_Done,
     /* 234843 */   // Label 3849: @234843
     /* 234843 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(234897), // Rule ID 680 //
     /* 234848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cos),
     /* 234853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234870 */     // (intrinsic_wo_chain:{ *:[f32] } 2191:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_COS_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_COS_F32_e64),
     /* 234873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234895 */     GIR_RootConstrainSelectedInstOperands,
     /* 234896 */     // GIR_Coverage, 680,
     /* 234896 */     GIR_EraseRootFromParent_Done,
     /* 234897 */   // Label 3850: @234897
     /* 234897 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(234936), // Rule ID 687 //
     /* 234902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sffbh),
     /* 234907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 234913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234924 */     // (intrinsic_wo_chain:{ *:[i32] } 3309:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_FFBH_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 234924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FFBH_I32_e64),
     /* 234927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234934 */     GIR_RootConstrainSelectedInstOperands,
     /* 234935 */     // GIR_Coverage, 687,
     /* 234935 */     GIR_EraseRootFromParent_Done,
     /* 234936 */   // Label 3851: @234936
     /* 234936 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(234990), // Rule ID 689 //
     /* 234941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_exp),
     /* 234946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 234949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 234952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 234956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 234963 */     // (intrinsic_wo_chain:{ *:[i32] } 2318:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_EXP_I32_F64_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 234963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_EXP_I32_F64_e64),
     /* 234966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 234968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 234973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 234978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 234983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 234988 */     GIR_RootConstrainSelectedInstOperands,
     /* 234989 */     // GIR_Coverage, 689,
     /* 234989 */     GIR_EraseRootFromParent_Done,
     /* 234990 */   // Label 3852: @234990
     /* 234990 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(235044), // Rule ID 690 //
     /* 234995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_mant),
     /* 235000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 235003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 235006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 235010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235017 */     // (intrinsic_wo_chain:{ *:[f64] } 2319:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_MANT_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_MANT_F64_e64),
     /* 235020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235042 */     GIR_RootConstrainSelectedInstOperands,
     /* 235043 */     // GIR_Coverage, 690,
     /* 235043 */     GIR_EraseRootFromParent_Done,
     /* 235044 */   // Label 3853: @235044
     /* 235044 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(235098), // Rule ID 691 //
     /* 235049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fract),
     /* 235054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 235057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 235060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 235064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235071 */     // (intrinsic_wo_chain:{ *:[f64] } 2317:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FRACT_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F64_e64),
     /* 235074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235096 */     GIR_RootConstrainSelectedInstOperands,
     /* 235097 */     // GIR_Coverage, 691,
     /* 235097 */     GIR_EraseRootFromParent_Done,
     /* 235098 */   // Label 3854: @235098
     /* 235098 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(235147), // Rule ID 693 //
     /* 235103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_exp),
     /* 235108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235125 */     // (intrinsic_wo_chain:{ *:[i32] } 2318:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp))  =>  (V_FREXP_EXP_I32_F32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp)
     /* 235125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_EXP_I32_F32_e64),
     /* 235128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235145 */     GIR_RootConstrainSelectedInstOperands,
     /* 235146 */     // GIR_Coverage, 693,
     /* 235146 */     GIR_EraseRootFromParent_Done,
     /* 235147 */   // Label 3855: @235147
     /* 235147 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(235201), // Rule ID 694 //
     /* 235152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_mant),
     /* 235157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235174 */     // (intrinsic_wo_chain:{ *:[f32] } 2319:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_MANT_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_MANT_F32_e64),
     /* 235177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235199 */     GIR_RootConstrainSelectedInstOperands,
     /* 235200 */     // GIR_Coverage, 694,
     /* 235200 */     GIR_EraseRootFromParent_Done,
     /* 235201 */   // Label 3856: @235201
     /* 235201 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(235258), // Rule ID 695 //
     /* 235206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 235209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log_clamp),
     /* 235214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235231 */     // (intrinsic_wo_chain:{ *:[f32] } 3121:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_CLAMP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_CLAMP_F32_e64),
     /* 235234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235256 */     GIR_RootConstrainSelectedInstOperands,
     /* 235257 */     // GIR_Coverage, 695,
     /* 235257 */     GIR_EraseRootFromParent_Done,
     /* 235258 */   // Label 3857: @235258
     /* 235258 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(235315), // Rule ID 696 //
     /* 235263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 235266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp_legacy),
     /* 235271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235288 */     // (intrinsic_wo_chain:{ *:[f32] } 3246:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_LEGACY_F32_e64),
     /* 235291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235313 */     GIR_RootConstrainSelectedInstOperands,
     /* 235314 */     // GIR_Coverage, 696,
     /* 235314 */     GIR_EraseRootFromParent_Done,
     /* 235315 */   // Label 3858: @235315
     /* 235315 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(235372), // Rule ID 698 //
     /* 235320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 235323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq_clamp),
     /* 235328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235345 */     // (intrinsic_wo_chain:{ *:[f32] } 3251:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_CLAMP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_CLAMP_F32_e64),
     /* 235348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235370 */     GIR_RootConstrainSelectedInstOperands,
     /* 235371 */     // GIR_Coverage, 698,
     /* 235371 */     GIR_EraseRootFromParent_Done,
     /* 235372 */   // Label 3859: @235372
     /* 235372 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(235429), // Rule ID 700 //
     /* 235377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 235380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq_legacy),
     /* 235385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 235388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 235391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235402 */     // (intrinsic_wo_chain:{ *:[f32] } 3252:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_LEGACY_F32_e64),
     /* 235405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235427 */     GIR_RootConstrainSelectedInstOperands,
     /* 235428 */     // GIR_Coverage, 700,
     /* 235428 */     GIR_EraseRootFromParent_Done,
     /* 235429 */   // Label 3860: @235429
     /* 235429 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(235486), // Rule ID 701 //
     /* 235434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 235437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq_clamp),
     /* 235442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 235445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 235448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 235452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235459 */     // (intrinsic_wo_chain:{ *:[f64] } 3251:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_CLAMP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_CLAMP_F64_e64),
     /* 235462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235484 */     GIR_RootConstrainSelectedInstOperands,
     /* 235485 */     // GIR_Coverage, 701,
     /* 235485 */     GIR_EraseRootFromParent_Done,
     /* 235486 */   // Label 3861: @235486
     /* 235486 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(235543), // Rule ID 719 //
     /* 235491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 235494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 235499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235516 */     // (intrinsic_wo_chain:{ *:[f16] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_F16_e64),
     /* 235519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235541 */     GIR_RootConstrainSelectedInstOperands,
     /* 235542 */     // GIR_Coverage, 719,
     /* 235542 */     GIR_EraseRootFromParent_Done,
     /* 235543 */   // Label 3862: @235543
     /* 235543 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(235600), // Rule ID 723 //
     /* 235548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 235551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 235556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235573 */     // (intrinsic_wo_chain:{ *:[f16] } 3245:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_F16_fake16_e64),
     /* 235576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235598 */     GIR_RootConstrainSelectedInstOperands,
     /* 235599 */     // GIR_Coverage, 723,
     /* 235599 */     GIR_EraseRootFromParent_Done,
     /* 235600 */   // Label 3863: @235600
     /* 235600 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(235657), // Rule ID 726 //
     /* 235605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 235608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 235613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235630 */     // (intrinsic_wo_chain:{ *:[f16] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_e64),
     /* 235633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235655 */     GIR_RootConstrainSelectedInstOperands,
     /* 235656 */     // GIR_Coverage, 726,
     /* 235656 */     GIR_EraseRootFromParent_Done,
     /* 235657 */   // Label 3864: @235657
     /* 235657 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(235714), // Rule ID 730 //
     /* 235662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 235665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 235670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235687 */     // (intrinsic_wo_chain:{ *:[f16] } 3340:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_fake16_e64),
     /* 235690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235712 */     GIR_RootConstrainSelectedInstOperands,
     /* 235713 */     // GIR_Coverage, 730,
     /* 235713 */     GIR_EraseRootFromParent_Done,
     /* 235714 */   // Label 3865: @235714
     /* 235714 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(235771), // Rule ID 731 //
     /* 235719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 235722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 235727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235744 */     // (intrinsic_wo_chain:{ *:[f16] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_F16_e64),
     /* 235747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235769 */     GIR_RootConstrainSelectedInstOperands,
     /* 235770 */     // GIR_Coverage, 731,
     /* 235770 */     GIR_EraseRootFromParent_Done,
     /* 235771 */   // Label 3866: @235771
     /* 235771 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(235828), // Rule ID 735 //
     /* 235776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 235779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 235784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235801 */     // (intrinsic_wo_chain:{ *:[f16] } 3250:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RSQ_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_F16_fake16_e64),
     /* 235804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235826 */     GIR_RootConstrainSelectedInstOperands,
     /* 235827 */     // GIR_Coverage, 735,
     /* 235827 */     GIR_EraseRootFromParent_Done,
     /* 235828 */   // Label 3867: @235828
     /* 235828 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(235885), // Rule ID 737 //
     /* 235833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 235836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 235841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235858 */     // (intrinsic_wo_chain:{ *:[f16] } 3120:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_e64),
     /* 235861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235883 */     GIR_RootConstrainSelectedInstOperands,
     /* 235884 */     // GIR_Coverage, 737,
     /* 235884 */     GIR_EraseRootFromParent_Done,
     /* 235885 */   // Label 3868: @235885
     /* 235885 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(235942), // Rule ID 741 //
     /* 235890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 235893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 235898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235915 */     // (intrinsic_wo_chain:{ *:[f16] } 3120:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_fake16_e64),
     /* 235918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235940 */     GIR_RootConstrainSelectedInstOperands,
     /* 235941 */     // GIR_Coverage, 741,
     /* 235941 */     GIR_EraseRootFromParent_Done,
     /* 235942 */   // Label 3869: @235942
     /* 235942 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(235999), // Rule ID 743 //
     /* 235947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 235950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 235955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 235958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 235961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 235965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 235972 */     // (intrinsic_wo_chain:{ *:[f16] } 2303:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_EXP_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 235972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_e64),
     /* 235975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 235977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 235982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 235987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 235992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 235997 */     GIR_RootConstrainSelectedInstOperands,
     /* 235998 */     // GIR_Coverage, 743,
     /* 235998 */     GIR_EraseRootFromParent_Done,
     /* 235999 */   // Label 3870: @235999
     /* 235999 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(236056), // Rule ID 747 //
     /* 236004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 236012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236029 */     // (intrinsic_wo_chain:{ *:[f16] } 2303:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_EXP_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_fake16_e64),
     /* 236032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236054 */     GIR_RootConstrainSelectedInstOperands,
     /* 236055 */     // GIR_Coverage, 747,
     /* 236055 */     GIR_EraseRootFromParent_Done,
     /* 236056 */   // Label 3871: @236056
     /* 236056 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(236113), // Rule ID 749 //
     /* 236061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 236064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sin),
     /* 236069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236086 */     // (intrinsic_wo_chain:{ *:[f16] } 3310:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SIN_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SIN_F16_e64),
     /* 236089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236111 */     GIR_RootConstrainSelectedInstOperands,
     /* 236112 */     // GIR_Coverage, 749,
     /* 236112 */     GIR_EraseRootFromParent_Done,
     /* 236113 */   // Label 3872: @236113
     /* 236113 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(236170), // Rule ID 753 //
     /* 236118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sin),
     /* 236126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236143 */     // (intrinsic_wo_chain:{ *:[f16] } 3310:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SIN_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SIN_F16_fake16_e64),
     /* 236146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236168 */     GIR_RootConstrainSelectedInstOperands,
     /* 236169 */     // GIR_Coverage, 753,
     /* 236169 */     GIR_EraseRootFromParent_Done,
     /* 236170 */   // Label 3873: @236170
     /* 236170 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(236227), // Rule ID 755 //
     /* 236175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 236178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cos),
     /* 236183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236200 */     // (intrinsic_wo_chain:{ *:[f16] } 2191:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_COS_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_COS_F16_e64),
     /* 236203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236225 */     GIR_RootConstrainSelectedInstOperands,
     /* 236226 */     // GIR_Coverage, 755,
     /* 236226 */     GIR_EraseRootFromParent_Done,
     /* 236227 */   // Label 3874: @236227
     /* 236227 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(236284), // Rule ID 759 //
     /* 236232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cos),
     /* 236240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236257 */     // (intrinsic_wo_chain:{ *:[f16] } 2191:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_COS_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_COS_F16_fake16_e64),
     /* 236260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236282 */     GIR_RootConstrainSelectedInstOperands,
     /* 236283 */     // GIR_Coverage, 759,
     /* 236283 */     GIR_EraseRootFromParent_Done,
     /* 236284 */   // Label 3875: @236284
     /* 236284 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(236341), // Rule ID 761 //
     /* 236289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 236292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_mant),
     /* 236297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236314 */     // (intrinsic_wo_chain:{ *:[f16] } 2319:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_MANT_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_MANT_F16_e64),
     /* 236317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236339 */     GIR_RootConstrainSelectedInstOperands,
     /* 236340 */     // GIR_Coverage, 761,
     /* 236340 */     GIR_EraseRootFromParent_Done,
     /* 236341 */   // Label 3876: @236341
     /* 236341 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(236398), // Rule ID 763 //
     /* 236346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_mant),
     /* 236354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236371 */     // (intrinsic_wo_chain:{ *:[f16] } 2319:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_MANT_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_MANT_F16_fake16_e64),
     /* 236374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236396 */     GIR_RootConstrainSelectedInstOperands,
     /* 236397 */     // GIR_Coverage, 763,
     /* 236397 */     GIR_EraseRootFromParent_Done,
     /* 236398 */   // Label 3877: @236398
     /* 236398 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(236455), // Rule ID 764 //
     /* 236403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 236406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_exp),
     /* 236411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236428 */     // (intrinsic_wo_chain:{ *:[i16] } 2318:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_EXP_I16_F16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_EXP_I16_F16_e64),
     /* 236431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236453 */     GIR_RootConstrainSelectedInstOperands,
     /* 236454 */     // GIR_Coverage, 764,
     /* 236454 */     GIR_EraseRootFromParent_Done,
     /* 236455 */   // Label 3878: @236455
     /* 236455 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(236512), // Rule ID 766 //
     /* 236460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_exp),
     /* 236468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236485 */     // (intrinsic_wo_chain:{ *:[i16] } 2318:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FREXP_EXP_I16_F16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_EXP_I16_F16_fake16_e64),
     /* 236488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236510 */     GIR_RootConstrainSelectedInstOperands,
     /* 236511 */     // GIR_Coverage, 766,
     /* 236511 */     GIR_EraseRootFromParent_Done,
     /* 236512 */   // Label 3879: @236512
     /* 236512 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(236569), // Rule ID 779 //
     /* 236517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 236520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fract),
     /* 236525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236542 */     // (intrinsic_wo_chain:{ *:[f16] } 2317:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FRACT_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F16_e64),
     /* 236545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236567 */     GIR_RootConstrainSelectedInstOperands,
     /* 236568 */     // GIR_Coverage, 779,
     /* 236568 */     GIR_EraseRootFromParent_Done,
     /* 236569 */   // Label 3880: @236569
     /* 236569 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(236626), // Rule ID 783 //
     /* 236574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 236577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fract),
     /* 236582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236599 */     // (intrinsic_wo_chain:{ *:[f16] } 2317:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FRACT_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 236599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F16_fake16_e64),
     /* 236602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 236619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 236624 */     GIR_RootConstrainSelectedInstOperands,
     /* 236625 */     // GIR_Coverage, 783,
     /* 236625 */     GIR_EraseRootFromParent_Done,
     /* 236626 */   // Label 3881: @236626
     /* 236626 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(236668), // Rule ID 785 //
     /* 236631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPrngInst),
     /* 236634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_prng_b32),
     /* 236639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 236642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 236645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 236649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 236656 */     // (intrinsic_wo_chain:{ *:[i32] } 3191:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_PRNG_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 236656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PRNG_B32_e64),
     /* 236659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236666 */     GIR_RootConstrainSelectedInstOperands,
     /* 236667 */     // GIR_Coverage, 785,
     /* 236667 */     GIR_EraseRootFromParent_Done,
     /* 236668 */   // Label 3882: @236668
     /* 236668 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(236724), // Rule ID 721 //
     /* 236673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rcp),
     /* 236681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236698 */     // (intrinsic_wo_chain:{ *:[f16] } 3245:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_RCP_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_F16_t16_e64),
     /* 236701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236722 */     GIR_RootConstrainSelectedInstOperands,
     /* 236723 */     // GIR_Coverage, 721,
     /* 236723 */     GIR_EraseRootFromParent_Done,
     /* 236724 */   // Label 3883: @236724
     /* 236724 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(236780), // Rule ID 728 //
     /* 236729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sqrt),
     /* 236737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236754 */     // (intrinsic_wo_chain:{ *:[f16] } 3340:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_SQRT_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_t16_e64),
     /* 236757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236778 */     GIR_RootConstrainSelectedInstOperands,
     /* 236779 */     // GIR_Coverage, 728,
     /* 236779 */     GIR_EraseRootFromParent_Done,
     /* 236780 */   // Label 3884: @236780
     /* 236780 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(236836), // Rule ID 733 //
     /* 236785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_rsq),
     /* 236793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236810 */     // (intrinsic_wo_chain:{ *:[f16] } 3250:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_RSQ_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RSQ_F16_t16_e64),
     /* 236813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236834 */     GIR_RootConstrainSelectedInstOperands,
     /* 236835 */     // GIR_Coverage, 733,
     /* 236835 */     GIR_EraseRootFromParent_Done,
     /* 236836 */   // Label 3885: @236836
     /* 236836 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(236892), // Rule ID 739 //
     /* 236841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_log),
     /* 236849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236866 */     // (intrinsic_wo_chain:{ *:[f16] } 3120:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_LOG_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_t16_e64),
     /* 236869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236890 */     GIR_RootConstrainSelectedInstOperands,
     /* 236891 */     // GIR_Coverage, 739,
     /* 236891 */     GIR_EraseRootFromParent_Done,
     /* 236892 */   // Label 3886: @236892
     /* 236892 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(236948), // Rule ID 745 //
     /* 236897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_exp2),
     /* 236905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236922 */     // (intrinsic_wo_chain:{ *:[f16] } 2303:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_EXP_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_t16_e64),
     /* 236925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236946 */     GIR_RootConstrainSelectedInstOperands,
     /* 236947 */     // GIR_Coverage, 745,
     /* 236947 */     GIR_EraseRootFromParent_Done,
     /* 236948 */   // Label 3887: @236948
     /* 236948 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(237004), // Rule ID 751 //
     /* 236953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 236956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sin),
     /* 236961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 236964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 236967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 236971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 236978 */     // (intrinsic_wo_chain:{ *:[f16] } 3310:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_SIN_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 236978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SIN_F16_t16_e64),
     /* 236981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 236983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 236988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 236993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 236999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237002 */     GIR_RootConstrainSelectedInstOperands,
     /* 237003 */     // GIR_Coverage, 751,
     /* 237003 */     GIR_EraseRootFromParent_Done,
     /* 237004 */   // Label 3888: @237004
     /* 237004 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(237060), // Rule ID 757 //
     /* 237009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 237012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cos),
     /* 237017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 237020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 237027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 237034 */     // (intrinsic_wo_chain:{ *:[f16] } 2191:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_COS_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 237034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_COS_F16_t16_e64),
     /* 237037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237058 */     GIR_RootConstrainSelectedInstOperands,
     /* 237059 */     // GIR_Coverage, 757,
     /* 237059 */     GIR_EraseRootFromParent_Done,
     /* 237060 */   // Label 3889: @237060
     /* 237060 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(237116), // Rule ID 762 //
     /* 237065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 237068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_mant),
     /* 237073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 237076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 237083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 237090 */     // (intrinsic_wo_chain:{ *:[f16] } 2319:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_FREXP_MANT_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 237090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_MANT_F16_t16_e64),
     /* 237093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237114 */     GIR_RootConstrainSelectedInstOperands,
     /* 237115 */     // GIR_Coverage, 762,
     /* 237115 */     GIR_EraseRootFromParent_Done,
     /* 237116 */   // Label 3890: @237116
     /* 237116 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(237172), // Rule ID 765 //
     /* 237121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 237124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_frexp_exp),
     /* 237129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 237132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 237139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 237146 */     // (intrinsic_wo_chain:{ *:[i16] } 2318:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_FREXP_EXP_I16_F16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 237146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FREXP_EXP_I16_F16_t16_e64),
     /* 237149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237170 */     GIR_RootConstrainSelectedInstOperands,
     /* 237171 */     // GIR_Coverage, 765,
     /* 237171 */     GIR_EraseRootFromParent_Done,
     /* 237172 */   // Label 3891: @237172
     /* 237172 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(237228), // Rule ID 781 //
     /* 237177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 237180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fract),
     /* 237185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 237188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 237195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 237202 */     // (intrinsic_wo_chain:{ *:[f16] } 2317:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_FRACT_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 237202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F16_t16_e64),
     /* 237205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237226 */     GIR_RootConstrainSelectedInstOperands,
     /* 237227 */     // GIR_Coverage, 781,
     /* 237227 */     GIR_EraseRootFromParent_Done,
     /* 237228 */   // Label 3892: @237228
     /* 237228 */   GIM_Reject,
     /* 237229 */ // Label 3824: @237229
     /* 237229 */ GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(239767),
     /* 237234 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 237237 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(237286), // Rule ID 1901 //
     /* 237242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_class),
     /* 237247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 237250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 237256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 237260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 237267 */     // (intrinsic_wo_chain:{ *:[i1] } 2190:{ *:[iPTR] }, (VOP3ModsNonCanonicalizing:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src1)  =>  (V_CMP_CLASS_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 237267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F32_e64),
     /* 237270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 237272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237282 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 237284 */     GIR_RootConstrainSelectedInstOperands,
     /* 237285 */     // GIR_Coverage, 1901,
     /* 237285 */     GIR_EraseRootFromParent_Done,
     /* 237286 */   // Label 3894: @237286
     /* 237286 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(237373), // Rule ID 1903 //
     /* 237291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 237294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_class),
     /* 237299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 237302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 237308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 237312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 237319 */     // (intrinsic_wo_chain:{ *:[i1] } 2190:{ *:[iPTR] }, (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src1)  =>  (V_CMP_CLASS_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, VSrcT_f16:{ *:[f16] }:$src0, 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[i32] }:$src1, lo16:{ *:[i32] }), 0:{ *:[i32] })
     /* 237319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 237322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 237326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 237331 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(2), // src1
     /* 237337 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 237342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_t16_e64),
     /* 237350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 237352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 237368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237371 */     GIR_RootConstrainSelectedInstOperands,
     /* 237372 */     // GIR_Coverage, 1903,
     /* 237372 */     GIR_EraseRootFromParent_Done,
     /* 237373 */   // Label 3895: @237373
     /* 237373 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(237428), // Rule ID 1905 //
     /* 237378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 237381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_class),
     /* 237386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 237389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 237395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 237399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 237406 */     // (intrinsic_wo_chain:{ *:[i1] } 2190:{ *:[iPTR] }, (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src1)  =>  (V_CMP_CLASS_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, 0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$src1)
     /* 237406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_fake16_e64),
     /* 237409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 237411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237424 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 237426 */     GIR_RootConstrainSelectedInstOperands,
     /* 237427 */     // GIR_Coverage, 1905,
     /* 237427 */     GIR_EraseRootFromParent_Done,
     /* 237428 */   // Label 3896: @237428
     /* 237428 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(237477), // Rule ID 1907 //
     /* 237433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_class),
     /* 237438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 237441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 237444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 237447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 237451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 237458 */     // (intrinsic_wo_chain:{ *:[i1] } 2190:{ *:[iPTR] }, (VOP3ModsNonCanonicalizing:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src1)  =>  (V_CMP_CLASS_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 237458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F64_e64),
     /* 237461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 237463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237473 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 237475 */     GIR_RootConstrainSelectedInstOperands,
     /* 237476 */     // GIR_Coverage, 1907,
     /* 237476 */     GIR_EraseRootFromParent_Done,
     /* 237477 */   // Label 3897: @237477
     /* 237477 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(237529), // Rule ID 1909 //
     /* 237482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 237485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_class),
     /* 237490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 237493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 237496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 237499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 237503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 237510 */     // (intrinsic_wo_chain:{ *:[i1] } 2190:{ *:[iPTR] }, (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src1)  =>  (V_CMP_CLASS_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1)
     /* 237510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_e64),
     /* 237513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 237515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 237520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 237525 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 237527 */     GIR_RootConstrainSelectedInstOperands,
     /* 237528 */     // GIR_Coverage, 1909,
     /* 237528 */     GIR_EraseRootFromParent_Done,
     /* 237529 */   // Label 3898: @237529
     /* 237529 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(237584), // Rule ID 2405 //
     /* 237534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCvtFP8VOP1Bug_HasFP8ConversionInsts),
     /* 237537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 237542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237552 */     // MIs[0] Operand 3
     /* 237552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 237563 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i32] })  =>  (V_CVT_F32_FP8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 237563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_sdwa),
     /* 237566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237571 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237582 */     GIR_RootConstrainSelectedInstOperands,
     /* 237583 */     // GIR_Coverage, 2405,
     /* 237583 */     GIR_EraseRootFromParent_Done,
     /* 237584 */   // Label 3899: @237584
     /* 237584 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(237639), // Rule ID 2406 //
     /* 237589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCvtFP8VOP1Bug_HasFP8ConversionInsts),
     /* 237592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 237597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237607 */     // MIs[0] Operand 3
     /* 237607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 237618 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i32] })  =>  (V_CVT_F32_BF8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 237618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_sdwa),
     /* 237621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237626 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237637 */     GIR_RootConstrainSelectedInstOperands,
     /* 237638 */     // GIR_Coverage, 2406,
     /* 237638 */     GIR_EraseRootFromParent_Done,
     /* 237639 */   // Label 3900: @237639
     /* 237639 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(237682), // Rule ID 2407 //
     /* 237644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasNoCvtFP8VOP1Bug_HasSDWA),
     /* 237647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 237652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237662 */     // MIs[0] Operand 3
     /* 237662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 237673 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i32] })  =>  (V_CVT_F32_FP8_e32:{ *:[f32] } ?:{ *:[i32] }:$src)
     /* 237673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_e32),
     /* 237676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237678 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237680 */     GIR_RootConstrainSelectedInstOperands,
     /* 237681 */     // GIR_Coverage, 2407,
     /* 237681 */     GIR_EraseRootFromParent_Done,
     /* 237682 */   // Label 3901: @237682
     /* 237682 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(237725), // Rule ID 2408 //
     /* 237687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasNoCvtFP8VOP1Bug_HasSDWA),
     /* 237690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 237695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237705 */     // MIs[0] Operand 3
     /* 237705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 237716 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i32] })  =>  (V_CVT_F32_BF8_e32:{ *:[f32] } ?:{ *:[i32] }:$src)
     /* 237716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_e32),
     /* 237719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237721 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237723 */     GIR_RootConstrainSelectedInstOperands,
     /* 237724 */     // GIR_Coverage, 2408,
     /* 237724 */     GIR_EraseRootFromParent_Done,
     /* 237725 */   // Label 3902: @237725
     /* 237725 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(237780), // Rule ID 2409 //
     /* 237730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 237733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 237738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237748 */     // MIs[0] Operand 3
     /* 237748 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 237759 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (V_CVT_F32_FP8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 1:{ *:[i32] })
     /* 237759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_sdwa),
     /* 237762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237767 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 237778 */     GIR_RootConstrainSelectedInstOperands,
     /* 237779 */     // GIR_Coverage, 2409,
     /* 237779 */     GIR_EraseRootFromParent_Done,
     /* 237780 */   // Label 3903: @237780
     /* 237780 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(237835), // Rule ID 2410 //
     /* 237785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 237788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 237793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237803 */     // MIs[0] Operand 3
     /* 237803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 237814 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (V_CVT_F32_BF8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 1:{ *:[i32] })
     /* 237814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_sdwa),
     /* 237817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237822 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 237833 */     GIR_RootConstrainSelectedInstOperands,
     /* 237834 */     // GIR_Coverage, 2410,
     /* 237834 */     GIR_EraseRootFromParent_Done,
     /* 237835 */   // Label 3904: @237835
     /* 237835 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(237890), // Rule ID 2411 //
     /* 237840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 237843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 237848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237858 */     // MIs[0] Operand 3
     /* 237858 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 237869 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 2:{ *:[i32] })  =>  (V_CVT_F32_FP8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 2:{ *:[i32] })
     /* 237869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_sdwa),
     /* 237872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 237888 */     GIR_RootConstrainSelectedInstOperands,
     /* 237889 */     // GIR_Coverage, 2411,
     /* 237889 */     GIR_EraseRootFromParent_Done,
     /* 237890 */   // Label 3905: @237890
     /* 237890 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(237945), // Rule ID 2412 //
     /* 237895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 237898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 237903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237913 */     // MIs[0] Operand 3
     /* 237913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 237924 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 2:{ *:[i32] })  =>  (V_CVT_F32_BF8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 2:{ *:[i32] })
     /* 237924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_sdwa),
     /* 237927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237932 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 237943 */     GIR_RootConstrainSelectedInstOperands,
     /* 237944 */     // GIR_Coverage, 2412,
     /* 237944 */     GIR_EraseRootFromParent_Done,
     /* 237945 */   // Label 3906: @237945
     /* 237945 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(238000), // Rule ID 2413 //
     /* 237950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 237953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 237958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 237961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 237964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 237968 */     // MIs[0] Operand 3
     /* 237968 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 237979 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 3:{ *:[i32] })  =>  (V_CVT_F32_FP8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /* 237979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_sdwa),
     /* 237982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 237984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237987 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 237989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 237995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 237998 */     GIR_RootConstrainSelectedInstOperands,
     /* 237999 */     // GIR_Coverage, 2413,
     /* 237999 */     GIR_EraseRootFromParent_Done,
     /* 238000 */   // Label 3907: @238000
     /* 238000 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(238055), // Rule ID 2414 //
     /* 238005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 238008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 238013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 238016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238023 */     // MIs[0] Operand 3
     /* 238023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 238034 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 3:{ *:[i32] })  =>  (V_CVT_F32_BF8_sdwa:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /* 238034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_sdwa),
     /* 238037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238042 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 238053 */     GIR_RootConstrainSelectedInstOperands,
     /* 238054 */     // GIR_Coverage, 2414,
     /* 238054 */     GIR_EraseRootFromParent_Done,
     /* 238055 */   // Label 3908: @238055
     /* 238055 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(238098), // Rule ID 2415 //
     /* 238060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 238063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_fp8),
     /* 238068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238078 */     // MIs[0] Operand 3
     /* 238078 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 238089 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2202:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i1] })  =>  (V_CVT_PK_F32_FP8_e32:{ *:[v2f32] } ?:{ *:[i32] }:$src)
     /* 238089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_FP8_e32),
     /* 238092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238094 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238096 */     GIR_RootConstrainSelectedInstOperands,
     /* 238097 */     // GIR_Coverage, 2415,
     /* 238097 */     GIR_EraseRootFromParent_Done,
     /* 238098 */   // Label 3909: @238098
     /* 238098 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(238141), // Rule ID 2416 //
     /* 238103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 238106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_bf8),
     /* 238111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238121 */     // MIs[0] Operand 3
     /* 238121 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 238132 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2201:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i1] })  =>  (V_CVT_PK_F32_BF8_e32:{ *:[v2f32] } ?:{ *:[i32] }:$src)
     /* 238132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_BF8_e32),
     /* 238135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238137 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238139 */     GIR_RootConstrainSelectedInstOperands,
     /* 238140 */     // GIR_Coverage, 2416,
     /* 238140 */     GIR_EraseRootFromParent_Done,
     /* 238141 */   // Label 3910: @238141
     /* 238141 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(238196), // Rule ID 2417 //
     /* 238146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 238149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_fp8),
     /* 238154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238164 */     // MIs[0] Operand 3
     /* 238164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(-1),
     /* 238175 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2202:{ *:[iPTR] }, i32:{ *:[i32] }:$src, -1:{ *:[i1] })  =>  (V_CVT_PK_F32_FP8_sdwa:{ *:[v2f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 5:{ *:[i32] })
     /* 238175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_FP8_sdwa),
     /* 238178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238183 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 238194 */     GIR_RootConstrainSelectedInstOperands,
     /* 238195 */     // GIR_Coverage, 2417,
     /* 238195 */     GIR_EraseRootFromParent_Done,
     /* 238196 */   // Label 3911: @238196
     /* 238196 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(238251), // Rule ID 2418 //
     /* 238201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_HasSDWA),
     /* 238204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_bf8),
     /* 238209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238219 */     // MIs[0] Operand 3
     /* 238219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(-1),
     /* 238230 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2201:{ *:[iPTR] }, i32:{ *:[i32] }:$src, -1:{ *:[i1] })  =>  (V_CVT_PK_F32_BF8_sdwa:{ *:[v2f32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 5:{ *:[i32] })
     /* 238230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_BF8_sdwa),
     /* 238233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238238 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 238249 */     GIR_RootConstrainSelectedInstOperands,
     /* 238250 */     // GIR_Coverage, 2418,
     /* 238250 */     GIR_EraseRootFromParent_Done,
     /* 238251 */   // Label 3912: @238251
     /* 238251 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(238294), // Rule ID 2421 //
     /* 238256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_fp8),
     /* 238264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238274 */     // MIs[0] Operand 3
     /* 238274 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 238285 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2202:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i1] })  =>  (V_CVT_PK_F32_FP8_fake16_e32:{ *:[v2f32] } ?:{ *:[i32] }:$src)
     /* 238285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_FP8_fake16_e32),
     /* 238288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238290 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238292 */     GIR_RootConstrainSelectedInstOperands,
     /* 238293 */     // GIR_Coverage, 2421,
     /* 238293 */     GIR_EraseRootFromParent_Done,
     /* 238294 */   // Label 3913: @238294
     /* 238294 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(238337), // Rule ID 2422 //
     /* 238299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_bf8),
     /* 238307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238317 */     // MIs[0] Operand 3
     /* 238317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 238328 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2201:{ *:[iPTR] }, i32:{ *:[i32] }:$src, 0:{ *:[i1] })  =>  (V_CVT_PK_F32_BF8_fake16_e32:{ *:[v2f32] } ?:{ *:[i32] }:$src)
     /* 238328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_BF8_fake16_e32),
     /* 238331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238333 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238335 */     GIR_RootConstrainSelectedInstOperands,
     /* 238336 */     // GIR_Coverage, 2422,
     /* 238336 */     GIR_EraseRootFromParent_Done,
     /* 238337 */   // Label 3914: @238337
     /* 238337 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(238386), // Rule ID 2423 //
     /* 238342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_fp8),
     /* 238350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238360 */     // MIs[0] Operand 3
     /* 238360 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(-1),
     /* 238371 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2202:{ *:[iPTR] }, i32:{ *:[i32] }:$src, -1:{ *:[i1] })  =>  (V_CVT_PK_F32_FP8_fake16_e64:{ *:[v2f32] } 4:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i32] })
     /* 238371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_FP8_fake16_e64),
     /* 238374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 238379 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238384 */     GIR_RootConstrainSelectedInstOperands,
     /* 238385 */     // GIR_Coverage, 2423,
     /* 238385 */     GIR_EraseRootFromParent_Done,
     /* 238386 */   // Label 3915: @238386
     /* 238386 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(238435), // Rule ID 2424 //
     /* 238391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_f32_bf8),
     /* 238399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 238402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238409 */     // MIs[0] Operand 3
     /* 238409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(-1),
     /* 238420 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2201:{ *:[iPTR] }, i32:{ *:[i32] }:$src, -1:{ *:[i1] })  =>  (V_CVT_PK_F32_BF8_fake16_e64:{ *:[v2f32] } 4:{ *:[i32] }, ?:{ *:[i32] }:$src, 0:{ *:[i32] })
     /* 238420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F32_BF8_fake16_e64),
     /* 238423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 238428 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 238430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 238433 */     GIR_RootConstrainSelectedInstOperands,
     /* 238434 */     // GIR_Coverage, 2424,
     /* 238434 */     GIR_EraseRootFromParent_Done,
     /* 238435 */   // Label 3916: @238435
     /* 238435 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(238476), // Rule ID 2419 //
     /* 238440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_fp8),
     /* 238448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 238451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238458 */     // MIs[0] byte_sel
     /* 238458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 238461 */     // (intrinsic_wo_chain:{ *:[f32] } 2198:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, (timm:{ *:[i32] }):$byte_sel)  =>  (V_CVT_F32_FP8_OP_SEL_e64:{ *:[f32] } ?:{ *:[i32] }:$src0, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$byte_sel))
     /* 238461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_FP8_OP_SEL_e64),
     /* 238464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238466 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 238468 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // byte_sel
     /* 238474 */     GIR_RootConstrainSelectedInstOperands,
     /* 238475 */     // GIR_Coverage, 2419,
     /* 238475 */     GIR_EraseRootFromParent_Done,
     /* 238476 */   // Label 3917: @238476
     /* 238476 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(238517), // Rule ID 2420 //
     /* 238481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 238484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_f32_bf8),
     /* 238489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 238492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238499 */     // MIs[0] byte_sel
     /* 238499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 238502 */     // (intrinsic_wo_chain:{ *:[f32] } 2197:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, (timm:{ *:[i32] }):$byte_sel)  =>  (V_CVT_F32_BF8_OP_SEL_e64:{ *:[f32] } ?:{ *:[i32] }:$src0, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$byte_sel))
     /* 238502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_BF8_OP_SEL_e64),
     /* 238505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 238509 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // byte_sel
     /* 238515 */     GIR_RootConstrainSelectedInstOperands,
     /* 238516 */     // GIR_Coverage, 2420,
     /* 238516 */     GIR_EraseRootFromParent_Done,
     /* 238517 */   // Label 3918: @238517
     /* 238517 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(238566), // Rule ID 108 //
     /* 238522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 238525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pkrtz),
     /* 238530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 238533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 238543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 238547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 238551 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13781),
     /* 238555 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2209:{ *:[iPTR] }, SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13781>>  =>  (S_CVT_PK_RTZ_F16_F32:{ *:[v2f16] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 238555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_PK_RTZ_F16_F32),
     /* 238558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 238560 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 238562 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 238564 */     GIR_RootConstrainSelectedInstOperands,
     /* 238565 */     // GIR_Coverage, 108,
     /* 238565 */     GIR_EraseRootFromParent_Done,
     /* 238566 */   // Label 3919: @238566
     /* 238566 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(238669), // Rule ID 2510 //
     /* 238571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /* 238576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 238579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238589 */     // (intrinsic_wo_chain:{ *:[i64] } 3178:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MUL_I32_I24_e64:{ *:[i16] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1), sub0:{ *:[i32] }, (V_MUL_HI_I32_I24_e64:{ *:[i16] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1), sub1:{ *:[i32] })
     /* 238589 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 238592 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_I32_I24_e64),
     /* 238596 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 238601 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src0
     /* 238605 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src1
     /* 238609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 238611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 238614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_I32_I24_e64),
     /* 238618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 238623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src0
     /* 238627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // src1
     /* 238631 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 238634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 238636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 238639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 238641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 238644 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 238647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 238650 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 238653 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238658 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238663 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238668 */     // GIR_Coverage, 2510,
     /* 238668 */     GIR_EraseRootFromParent_Done,
     /* 238669 */   // Label 3920: @238669
     /* 238669 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(238772), // Rule ID 2512 //
     /* 238674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /* 238679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 238682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238692 */     // (intrinsic_wo_chain:{ *:[i64] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MUL_U32_U24_e64:{ *:[i16] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1), sub0:{ *:[i32] }, (V_MUL_HI_U32_U24_e64:{ *:[i16] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1), sub1:{ *:[i32] })
     /* 238692 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 238695 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_U32_U24_e64),
     /* 238699 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 238704 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src0
     /* 238708 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src1
     /* 238712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 238714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 238717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_U32_U24_e64),
     /* 238721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 238726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src0
     /* 238730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // src1
     /* 238734 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 238737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 238739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 238742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 238744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 238747 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 238750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 238753 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 238756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 238761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238766 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238771 */     // GIR_Coverage, 2512,
     /* 238771 */     GIR_EraseRootFromParent_Done,
     /* 238772 */   // Label 3921: @238772
     /* 238772 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(238846), // Rule ID 790 //
     /* 238777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 238782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 238785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 238802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 238809 */     // (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 238809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LEGACY_F32_e64),
     /* 238812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 238819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 238824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 238829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 238834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 238839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 238844 */     GIR_RootConstrainSelectedInstOperands,
     /* 238845 */     // GIR_Coverage, 790,
     /* 238845 */     GIR_EraseRootFromParent_Done,
     /* 238846 */   // Label 3922: @238846
     /* 238846 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(238915), // Rule ID 824 //
     /* 238851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pknorm_i16),
     /* 238856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 238859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 238876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 238883 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2207:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_CVT_PKNORM_I16_F32_e64:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 238883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PKNORM_I16_F32_e64),
     /* 238886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 238893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 238898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 238903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 238908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 238913 */     GIR_RootConstrainSelectedInstOperands,
     /* 238914 */     // GIR_Coverage, 824,
     /* 238914 */     GIR_EraseRootFromParent_Done,
     /* 238915 */   // Label 3923: @238915
     /* 238915 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(238984), // Rule ID 826 //
     /* 238920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pknorm_u16),
     /* 238925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 238928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 238931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 238934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 238938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 238945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 238952 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2208:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_CVT_PKNORM_U16_F32_e64:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 238952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PKNORM_U16_F32_e64),
     /* 238955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 238957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 238962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 238967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 238972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 238977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 238982 */     GIR_RootConstrainSelectedInstOperands,
     /* 238983 */     // GIR_Coverage, 826,
     /* 238983 */     GIR_EraseRootFromParent_Done,
     /* 238984 */   // Label 3924: @238984
     /* 238984 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(239058), // Rule ID 828 //
     /* 238989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pkrtz),
     /* 238994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 238997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 239021 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2209:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_CVT_PKRTZ_F16_F32_e64:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 239021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PKRTZ_F16_F32_e64),
     /* 239024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 239031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 239041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 239046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 239051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 239056 */     GIR_RootConstrainSelectedInstOperands,
     /* 239057 */     // GIR_Coverage, 828,
     /* 239057 */     GIR_EraseRootFromParent_Done,
     /* 239058 */   // Label 3925: @239058
     /* 239058 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(239132), // Rule ID 984 //
     /* 239063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_trig_preop),
     /* 239068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 239071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 239074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 239081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 239095 */     // (intrinsic_wo_chain:{ *:[f64] } 3406:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_TRIG_PREOP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 239095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_TRIG_PREOP_F64_e64),
     /* 239098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 239105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 239115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 239120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 239125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 239130 */     GIR_RootConstrainSelectedInstOperands,
     /* 239131 */     // GIR_Coverage, 984,
     /* 239131 */     GIR_EraseRootFromParent_Done,
     /* 239132 */   // Label 3926: @239132
     /* 239132 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(239206), // Rule ID 8619 //
     /* 239137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 239142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 239162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239169 */     // (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 239169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LEGACY_F32_e64),
     /* 239172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 239179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 239184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 239189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 239194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 239199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 239204 */     GIR_RootConstrainSelectedInstOperands,
     /* 239205 */     // GIR_Coverage, 8619,
     /* 239205 */     GIR_EraseRootFromParent_Done,
     /* 239206 */   // Label 3927: @239206
     /* 239206 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(239253), // Rule ID 1056 //
     /* 239211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP6BF6ConversionScaleInsts),
     /* 239214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_f32_fp6),
     /* 239219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 239222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 239225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 239232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239239 */     // (intrinsic_wo_chain:{ *:[v32f32] } 2241:{ *:[iPTR] }, (VOP3Mods0:{ *:[v6i32] } v6i32:{ *:[v6i32] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_F32_FP6_e64:{ *:[v32f32] } v6i32:{ *:[v6i32] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_F32_FP6_e64),
     /* 239242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239249 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239251 */     GIR_RootConstrainSelectedInstOperands,
     /* 239252 */     // GIR_Coverage, 1056,
     /* 239252 */     GIR_EraseRootFromParent_Done,
     /* 239253 */   // Label 3928: @239253
     /* 239253 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(239300), // Rule ID 1057 //
     /* 239258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP6BF6ConversionScaleInsts),
     /* 239261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_f32_bf6),
     /* 239266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 239269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 239272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 239279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239286 */     // (intrinsic_wo_chain:{ *:[v32f32] } 2240:{ *:[iPTR] }, (VOP3Mods0:{ *:[v6i32] } v6i32:{ *:[v6i32] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_F32_BF6_e64:{ *:[v32f32] } v6i32:{ *:[v6i32] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_F32_BF6_e64),
     /* 239289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239296 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239298 */     GIR_RootConstrainSelectedInstOperands,
     /* 239299 */     // GIR_Coverage, 1057,
     /* 239299 */     GIR_EraseRootFromParent_Done,
     /* 239300 */   // Label 3929: @239300
     /* 239300 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(239347), // Rule ID 1058 //
     /* 239305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP6BF6ConversionScaleInsts),
     /* 239308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_f16_fp6),
     /* 239313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 239316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 239319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 239326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239333 */     // (intrinsic_wo_chain:{ *:[v32f16] } 2239:{ *:[iPTR] }, (VOP3Mods0:{ *:[v6i32] } v6i32:{ *:[v6i32] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_F16_FP6_e64:{ *:[v32f16] } v6i32:{ *:[v6i32] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_F16_FP6_e64),
     /* 239336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239343 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239345 */     GIR_RootConstrainSelectedInstOperands,
     /* 239346 */     // GIR_Coverage, 1058,
     /* 239346 */     GIR_EraseRootFromParent_Done,
     /* 239347 */   // Label 3930: @239347
     /* 239347 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(239394), // Rule ID 1059 //
     /* 239352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP6BF6ConversionScaleInsts),
     /* 239355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_f16_bf6),
     /* 239360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 239363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 239366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 239373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239380 */     // (intrinsic_wo_chain:{ *:[v32f16] } 2238:{ *:[iPTR] }, (VOP3Mods0:{ *:[v6i32] } v6i32:{ *:[v6i32] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_F16_BF6_e64:{ *:[v32f16] } v6i32:{ *:[v6i32] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_F16_BF6_e64),
     /* 239383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239390 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239392 */     GIR_RootConstrainSelectedInstOperands,
     /* 239393 */     // GIR_Coverage, 1059,
     /* 239393 */     GIR_EraseRootFromParent_Done,
     /* 239394 */   // Label 3931: @239394
     /* 239394 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(239441), // Rule ID 1060 //
     /* 239399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 239402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_fp6_f16),
     /* 239407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 239410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 239413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 239420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239427 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2243:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f16] } v32f16:{ *:[v32f16] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_FP6_F16_e64:{ *:[v6i32] } v32f16:{ *:[v32f16] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_FP6_F16_e64),
     /* 239430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239437 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239439 */     GIR_RootConstrainSelectedInstOperands,
     /* 239440 */     // GIR_Coverage, 1060,
     /* 239440 */     GIR_EraseRootFromParent_Done,
     /* 239441 */   // Label 3932: @239441
     /* 239441 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(239488), // Rule ID 1061 //
     /* 239446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 239449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk32_bf6_f16),
     /* 239454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 239457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 239460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 239467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 239474 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2237:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f16] } v32f16:{ *:[v32f16] }:$src0), f32:{ *:[f32] }:$src1)  =>  (V_CVT_SCALEF32_PK32_BF6_F16_e64:{ *:[v6i32] } v32f16:{ *:[v32f16] }:$src0, f32:{ *:[f32] }:$src1)
     /* 239474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK32_BF6_F16_e64),
     /* 239477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239484 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239486 */     GIR_RootConstrainSelectedInstOperands,
     /* 239487 */     // GIR_Coverage, 1061,
     /* 239487 */     GIR_EraseRootFromParent_Done,
     /* 239488 */   // Label 3933: @239488
     /* 239488 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(239525), // Rule ID 794 //
     /* 239493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_i24),
     /* 239498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239511 */     // (intrinsic_wo_chain:{ *:[i32] } 3178:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MUL_I32_I24_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_I32_I24_e64),
     /* 239514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239516 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239518 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239523 */     GIR_RootConstrainSelectedInstOperands,
     /* 239524 */     // GIR_Coverage, 794,
     /* 239524 */     GIR_EraseRootFromParent_Done,
     /* 239525 */   // Label 3934: @239525
     /* 239525 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(239559), // Rule ID 796 //
     /* 239530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mulhi_i24),
     /* 239535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239548 */     // (intrinsic_wo_chain:{ *:[i32] } 3180:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MUL_HI_I32_I24_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_I32_I24_e64),
     /* 239551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239555 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239557 */     GIR_RootConstrainSelectedInstOperands,
     /* 239558 */     // GIR_Coverage, 796,
     /* 239558 */     GIR_EraseRootFromParent_Done,
     /* 239559 */   // Label 3935: @239559
     /* 239559 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(239596), // Rule ID 798 //
     /* 239564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mul_u24),
     /* 239569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239582 */     // (intrinsic_wo_chain:{ *:[i32] } 3179:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MUL_U32_U24_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_U32_U24_e64),
     /* 239585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239587 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239589 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239594 */     GIR_RootConstrainSelectedInstOperands,
     /* 239595 */     // GIR_Coverage, 798,
     /* 239595 */     GIR_EraseRootFromParent_Done,
     /* 239596 */   // Label 3936: @239596
     /* 239596 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(239630), // Rule ID 800 //
     /* 239601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mulhi_u24),
     /* 239606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239619 */     // (intrinsic_wo_chain:{ *:[i32] } 3181:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MUL_HI_U32_U24_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_U32_U24_e64),
     /* 239622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239624 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239626 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239628 */     GIR_RootConstrainSelectedInstOperands,
     /* 239629 */     // GIR_Coverage, 800,
     /* 239629 */     GIR_EraseRootFromParent_Done,
     /* 239630 */   // Label 3937: @239630
     /* 239630 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(239664), // Rule ID 820 //
     /* 239635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mbcnt_lo),
     /* 239640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239653 */     // (intrinsic_wo_chain:{ *:[i32] } 3125:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MBCNT_LO_U32_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MBCNT_LO_U32_B32_e64),
     /* 239656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239658 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239660 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239662 */     GIR_RootConstrainSelectedInstOperands,
     /* 239663 */     // GIR_Coverage, 820,
     /* 239663 */     GIR_EraseRootFromParent_Done,
     /* 239664 */   // Label 3938: @239664
     /* 239664 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(239698), // Rule ID 821 //
     /* 239669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mbcnt_hi),
     /* 239674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239687 */     // (intrinsic_wo_chain:{ *:[i32] } 3124:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MBCNT_HI_U32_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MBCNT_HI_U32_B32_e64),
     /* 239690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239692 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239694 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239696 */     GIR_RootConstrainSelectedInstOperands,
     /* 239697 */     // GIR_Coverage, 821,
     /* 239697 */     GIR_EraseRootFromParent_Done,
     /* 239698 */   // Label 3939: @239698
     /* 239698 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(239732), // Rule ID 830 //
     /* 239703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_u16),
     /* 239708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 239711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239721 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2205:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_CVT_PK_U16_U32_e64:{ *:[v2i16] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_U16_U32_e64),
     /* 239724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239726 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239728 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239730 */     GIR_RootConstrainSelectedInstOperands,
     /* 239731 */     // GIR_Coverage, 830,
     /* 239731 */     GIR_EraseRootFromParent_Done,
     /* 239732 */   // Label 3940: @239732
     /* 239732 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(239766), // Rule ID 832 //
     /* 239737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_i16),
     /* 239742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 239745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239755 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2204:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_CVT_PK_I16_I32_e64:{ *:[v2i16] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 239755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_I16_I32_e64),
     /* 239758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239760 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 239762 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 239764 */     GIR_RootConstrainSelectedInstOperands,
     /* 239765 */     // GIR_Coverage, 832,
     /* 239765 */     GIR_EraseRootFromParent_Done,
     /* 239766 */   // Label 3941: @239766
     /* 239766 */   GIM_Reject,
     /* 239767 */ // Label 3893: @239767
     /* 239767 */ GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(244331),
     /* 239772 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 239775 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(239868), // Rule ID 2575 //
     /* 239780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 239783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_alignbyte),
     /* 239788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 239800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239825 */     // (intrinsic_wo_chain:{ *:[i32] } 2181:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_ALIGNBYTE_B32_fake16_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, VSrc_b32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, VSrc_b32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, VGPR_32:{ *:[i32] }:$src2)
     /* 239825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBYTE_B32_fake16_e64),
     /* 239828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 239835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 239845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 239850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 239855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 239860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239866 */     GIR_RootConstrainSelectedInstOperands,
     /* 239867 */     // GIR_Coverage, 2575,
     /* 239867 */     GIR_EraseRootFromParent_Done,
     /* 239868 */   // Label 3943: @239868
     /* 239868 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(239988), // Rule ID 2576 //
     /* 239873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 239876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_alignbyte),
     /* 239881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 239884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 239887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 239890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 239893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 239918 */     // (intrinsic_wo_chain:{ *:[i32] } 2181:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_ALIGNBYTE_B32_t16_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, VSrc_b32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, VSrc_b32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, (EXTRACT_SUBREG:{ *:[i16] } VGPR_32:{ *:[i32] }:$src2, lo16:{ *:[i32] }))
     /* 239918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 239921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 239925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 239930 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src2
     /* 239937 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 239942 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 239947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBYTE_B32_t16_e64),
     /* 239950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 239952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 239957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 239962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 239967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 239972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 239977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 239980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 239986 */     GIR_RootConstrainSelectedInstOperands,
     /* 239987 */     // GIR_Coverage, 2576,
     /* 239987 */     GIR_EraseRootFromParent_Done,
     /* 239988 */   // Label 3944: @239988
     /* 239988 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(240078), // Rule ID 6984 //
     /* 239993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p10),
     /* 239998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240035 */     // (intrinsic_wo_chain:{ *:[f32] } 3098:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_INTERP_P10_F32_inreg:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 240035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_F32_inreg),
     /* 240038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 240045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 240050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 240055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 240060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 240065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 240070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 240076 */     GIR_RootConstrainSelectedInstOperands,
     /* 240077 */     // GIR_Coverage, 6984,
     /* 240077 */     GIR_EraseRootFromParent_Done,
     /* 240078 */   // Label 3945: @240078
     /* 240078 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(240168), // Rule ID 6985 //
     /* 240083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p2),
     /* 240088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 240125 */     // (intrinsic_wo_chain:{ *:[f32] } 3100:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_INTERP_P2_F32_inreg:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 240125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F32_inreg),
     /* 240128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 240135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 240140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 240145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 240150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 240155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 240160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 240166 */     GIR_RootConstrainSelectedInstOperands,
     /* 240167 */     // GIR_Coverage, 6985,
     /* 240167 */     GIR_EraseRootFromParent_Done,
     /* 240168 */   // Label 3946: @240168
     /* 240168 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(240255), // Rule ID 7066 //
     /* 240173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts),
     /* 240176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmad_ftz),
     /* 240181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240218 */     // (intrinsic_wo_chain:{ *:[f32] } 2314:{ *:[iPTR] }, (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2))  =>  (V_MAC_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 240218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_F32_e64),
     /* 240221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 240231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 240239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 240247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240253 */     GIR_RootConstrainSelectedInstOperands,
     /* 240254 */     // GIR_Coverage, 7066,
     /* 240254 */     GIR_EraseRootFromParent_Done,
     /* 240255 */   // Label 3947: @240255
     /* 240255 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(240342), // Rule ID 7070 //
     /* 240260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaLegacy32),
     /* 240263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fma_legacy),
     /* 240268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240305 */     // (intrinsic_wo_chain:{ *:[f32] } 2313:{ *:[iPTR] }, (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2))  =>  (V_FMAC_LEGACY_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 240305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_LEGACY_F32_e64),
     /* 240308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 240318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 240326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 240334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240340 */     GIR_RootConstrainSelectedInstOperands,
     /* 240341 */     // GIR_Coverage, 7070,
     /* 240341 */     GIR_EraseRootFromParent_Done,
     /* 240342 */   // Label 3948: @240342
     /* 240342 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(240429), // Rule ID 7072 //
     /* 240347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 240350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmad_ftz),
     /* 240355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 240358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 240361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 240364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 240367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 240392 */     // (intrinsic_wo_chain:{ *:[f16] } 2314:{ *:[iPTR] }, (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src0), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src1), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src2))  =>  (V_MAC_F16_e64:{ *:[f16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f16] }:$src1, 0:{ *:[i32] }, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 240392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_F16_e64),
     /* 240395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 240405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 240413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 240421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240427 */     GIR_RootConstrainSelectedInstOperands,
     /* 240428 */     // GIR_Coverage, 7072,
     /* 240428 */     GIR_EraseRootFromParent_Done,
     /* 240429 */   // Label 3949: @240429
     /* 240429 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(240492), // Rule ID 2771 //
     /* 240434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot11Insts_isGFX12Plus),
     /* 240437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_dot4_f32_fp8_bf8),
     /* 240442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 240465 */     // (intrinsic_wo_chain:{ *:[f32] } 2271:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT4_F32_FP8_BF8:{ *:[f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2)
     /* 240465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_F32_FP8_BF8),
     /* 240468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240472 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 240479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 240484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240490 */     GIR_RootConstrainSelectedInstOperands,
     /* 240491 */     // GIR_Coverage, 2771,
     /* 240491 */     GIR_EraseRootFromParent_Done,
     /* 240492 */   // Label 3950: @240492
     /* 240492 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(240555), // Rule ID 2772 //
     /* 240497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot11Insts_isGFX12Plus),
     /* 240500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_dot4_f32_bf8_fp8),
     /* 240505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 240528 */     // (intrinsic_wo_chain:{ *:[f32] } 2270:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT4_F32_BF8_FP8:{ *:[f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2)
     /* 240528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_F32_BF8_FP8),
     /* 240531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240533 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240535 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 240542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 240547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240553 */     GIR_RootConstrainSelectedInstOperands,
     /* 240554 */     // GIR_Coverage, 2772,
     /* 240554 */     GIR_EraseRootFromParent_Done,
     /* 240555 */   // Label 3951: @240555
     /* 240555 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(240618), // Rule ID 2773 //
     /* 240560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot11Insts_isGFX12Plus),
     /* 240563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_dot4_f32_fp8_fp8),
     /* 240568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 240591 */     // (intrinsic_wo_chain:{ *:[f32] } 2272:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT4_F32_FP8_FP8:{ *:[f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2)
     /* 240591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_F32_FP8_FP8),
     /* 240594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240596 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240598 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 240605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 240610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240616 */     GIR_RootConstrainSelectedInstOperands,
     /* 240617 */     // GIR_Coverage, 2773,
     /* 240617 */     GIR_EraseRootFromParent_Done,
     /* 240618 */   // Label 3952: @240618
     /* 240618 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(240681), // Rule ID 2774 //
     /* 240623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot11Insts_isGFX12Plus),
     /* 240626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_dot4_f32_bf8_bf8),
     /* 240631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 240654 */     // (intrinsic_wo_chain:{ *:[f32] } 2269:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT4_F32_BF8_BF8:{ *:[f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2)
     /* 240654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_F32_BF8_BF8),
     /* 240657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240659 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240661 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 240668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 240673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240679 */     GIR_RootConstrainSelectedInstOperands,
     /* 240680 */     // GIR_Coverage, 2774,
     /* 240680 */     GIR_EraseRootFromParent_Done,
     /* 240681 */   // Label 3953: @240681
     /* 240681 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(240746), // Rule ID 6977 //
     /* 240686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 240689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_lds_param_load),
     /* 240694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240704 */     // MIs[0] attrchan
     /* 240704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 240707 */     // MIs[0] attr
     /* 240707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 240710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 240714 */     // (intrinsic_wo_chain:{ *:[f32] } 3116:{ *:[iPTR] }, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (LDS_PARAM_LOAD:{ *:[f32] } (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan, 0:{ *:[i32] })
     /* 240714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 240718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // M0
     /* 240728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::LDS_PARAM_LOAD),
     /* 240731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240733 */     GIR_RootToRootCopy, /*OpIdx*/3, // attr
     /* 240735 */     GIR_RootToRootCopy, /*OpIdx*/2, // attrchan
     /* 240737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 240744 */     GIR_RootConstrainSelectedInstOperands,
     /* 240745 */     // GIR_Coverage, 6977,
     /* 240745 */     GIR_EraseRootFromParent_Done,
     /* 240746 */   // Label 3954: @240746
     /* 240746 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(240814), // Rule ID 6979 //
     /* 240751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 240754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_lds_param_load),
     /* 240759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 240765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240769 */     // MIs[0] attrchan
     /* 240769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 240772 */     // MIs[0] attr
     /* 240772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 240775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 240779 */     // (intrinsic_wo_chain:{ *:[f32] } 3116:{ *:[iPTR] }, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (DS_PARAM_LOAD:{ *:[f32] } (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan, 0:{ *:[i32] }, 1:{ *:[i32] })
     /* 240779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 240783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // M0
     /* 240793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PARAM_LOAD),
     /* 240796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240798 */     GIR_RootToRootCopy, /*OpIdx*/3, // attr
     /* 240800 */     GIR_RootToRootCopy, /*OpIdx*/2, // attrchan
     /* 240802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 240808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 240812 */     GIR_RootConstrainSelectedInstOperands,
     /* 240813 */     // GIR_Coverage, 6979,
     /* 240813 */     GIR_EraseRootFromParent_Done,
     /* 240814 */   // Label 3955: @240814
     /* 240814 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(240866), // Rule ID 2645 //
     /* 240819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f32_fp8),
     /* 240824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240837 */     // MIs[0] index
     /* 240837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 240840 */     // (intrinsic_wo_chain:{ *:[f32] } 2215:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_F32_FP8_e64:{ *:[f32] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src1)
     /* 240840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F32_FP8_e64),
     /* 240843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240845 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // index
     /* 240851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240853 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // index
     /* 240859 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240864 */     GIR_RootConstrainSelectedInstOperands,
     /* 240865 */     // GIR_Coverage, 2645,
     /* 240865 */     GIR_EraseRootFromParent_Done,
     /* 240866 */   // Label 3956: @240866
     /* 240866 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(240918), // Rule ID 2646 //
     /* 240871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f32_bf8),
     /* 240876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 240879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240889 */     // MIs[0] index
     /* 240889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 240892 */     // (intrinsic_wo_chain:{ *:[f32] } 2214:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_F32_BF8_e64:{ *:[f32] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src1)
     /* 240892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F32_BF8_e64),
     /* 240895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240897 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // index
     /* 240903 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // index
     /* 240911 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240916 */     GIR_RootConstrainSelectedInstOperands,
     /* 240917 */     // GIR_Coverage, 2646,
     /* 240917 */     GIR_EraseRootFromParent_Done,
     /* 240918 */   // Label 3957: @240918
     /* 240918 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(240970), // Rule ID 2647 //
     /* 240923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f16_fp4),
     /* 240928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 240931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 240941 */     // MIs[0] index
     /* 240941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 240944 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2223:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_PK_F16_FP4_e64:{ *:[v2f16] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src1)
     /* 240944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F16_FP4_e64),
     /* 240947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 240949 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // index
     /* 240955 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 240957 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // index
     /* 240963 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 240965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 240968 */     GIR_RootConstrainSelectedInstOperands,
     /* 240969 */     // GIR_Coverage, 2647,
     /* 240969 */     GIR_EraseRootFromParent_Done,
     /* 240970 */   // Label 3958: @240970
     /* 240970 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(241019), // Rule ID 2654 //
     /* 240975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f32_fp8),
     /* 240980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 240983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 240986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 240989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 240993 */     // MIs[0] word_sel
     /* 240993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 240996 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2227:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_F32_FP8_e64:{ *:[v2f32] } (SrcSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1)
     /* 240996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F32_FP8_e64),
     /* 240999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241001 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcSelToOpSelXForm), // word_sel
     /* 241007 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241012 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241017 */     GIR_RootConstrainSelectedInstOperands,
     /* 241018 */     // GIR_Coverage, 2654,
     /* 241018 */     GIR_EraseRootFromParent_Done,
     /* 241019 */   // Label 3959: @241019
     /* 241019 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(241068), // Rule ID 2655 //
     /* 241024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f32_bf8),
     /* 241029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 241032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 241042 */     // MIs[0] word_sel
     /* 241042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 241045 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2225:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_F32_BF8_e64:{ *:[v2f32] } (SrcSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1)
     /* 241045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F32_BF8_e64),
     /* 241048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241050 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcSelToOpSelXForm), // word_sel
     /* 241056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241061 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241066 */     GIR_RootConstrainSelectedInstOperands,
     /* 241067 */     // GIR_Coverage, 2655,
     /* 241067 */     GIR_EraseRootFromParent_Done,
     /* 241068 */   // Label 3960: @241068
     /* 241068 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(241117), // Rule ID 2656 //
     /* 241073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f16_bf8),
     /* 241078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 241081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241091 */     // MIs[0] word_sel
     /* 241091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 241094 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2222:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_F16_BF8_e64:{ *:[v2f16] } (SrcSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1)
     /* 241094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F16_BF8_e64),
     /* 241097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241099 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcSelToOpSelXForm), // word_sel
     /* 241105 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241110 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241115 */     GIR_RootConstrainSelectedInstOperands,
     /* 241116 */     // GIR_Coverage, 2656,
     /* 241116 */     GIR_EraseRootFromParent_Done,
     /* 241117 */   // Label 3961: @241117
     /* 241117 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(241166), // Rule ID 2657 //
     /* 241122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f16_fp8),
     /* 241127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 241130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241140 */     // MIs[0] word_sel
     /* 241140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 241143 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2224:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_F16_FP8_e64:{ *:[v2f16] } (SrcSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1)
     /* 241143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F16_FP8_e64),
     /* 241146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241148 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcSelToOpSelXForm), // word_sel
     /* 241154 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241159 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241164 */     GIR_RootConstrainSelectedInstOperands,
     /* 241165 */     // GIR_Coverage, 2657,
     /* 241165 */     GIR_EraseRootFromParent_Done,
     /* 241166 */   // Label 3962: @241166
     /* 241166 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(241218), // Rule ID 2660 //
     /* 241171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_f32_fp4),
     /* 241176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 241179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 241189 */     // MIs[0] index
     /* 241189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 241192 */     // (intrinsic_wo_chain:{ *:[v2f32] } 2226:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_PK_F32_FP4_e64:{ *:[v2f32] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src1)
     /* 241192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_F32_FP4_e64),
     /* 241195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241197 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // index
     /* 241203 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241205 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // index
     /* 241211 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241216 */     GIR_RootConstrainSelectedInstOperands,
     /* 241217 */     // GIR_Coverage, 2660,
     /* 241217 */     GIR_EraseRootFromParent_Done,
     /* 241218 */   // Label 3963: @241218
     /* 241218 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(241260), // Rule ID 2724 //
     /* 241223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sad_u8),
     /* 241228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241244 */     // (intrinsic_wo_chain:{ *:[i32] } 3300:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U8_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /* 241244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U8_e64),
     /* 241247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241249 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241251 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241253 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241258 */     GIR_RootConstrainSelectedInstOperands,
     /* 241259 */     // GIR_Coverage, 2724,
     /* 241259 */     GIR_EraseRootFromParent_Done,
     /* 241260 */   // Label 3964: @241260
     /* 241260 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(241302), // Rule ID 2725 //
     /* 241265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sad_hi_u8),
     /* 241270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241286 */     // (intrinsic_wo_chain:{ *:[i32] } 3298:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_SAD_HI_U8_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /* 241286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_HI_U8_e64),
     /* 241289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241291 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241293 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241295 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241300 */     GIR_RootConstrainSelectedInstOperands,
     /* 241301 */     // GIR_Coverage, 2725,
     /* 241301 */     GIR_EraseRootFromParent_Done,
     /* 241302 */   // Label 3965: @241302
     /* 241302 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(241344), // Rule ID 2726 //
     /* 241307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sad_u16),
     /* 241312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241328 */     // (intrinsic_wo_chain:{ *:[i32] } 3299:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_SAD_U16_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /* 241328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SAD_U16_e64),
     /* 241331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241333 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241335 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241337 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241342 */     GIR_RootConstrainSelectedInstOperands,
     /* 241343 */     // GIR_Coverage, 2726,
     /* 241343 */     GIR_EraseRootFromParent_Done,
     /* 241344 */   // Label 3966: @241344
     /* 241344 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(241386), // Rule ID 2727 //
     /* 241349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_msad_u8),
     /* 241354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241370 */     // (intrinsic_wo_chain:{ *:[i32] } 3177:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_MSAD_U8_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })
     /* 241370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MSAD_U8_e64),
     /* 241373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241375 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241377 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241379 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241384 */     GIR_RootConstrainSelectedInstOperands,
     /* 241385 */     // GIR_Coverage, 2727,
     /* 241385 */     GIR_EraseRootFromParent_Done,
     /* 241386 */   // Label 3967: @241386
     /* 241386 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(241428), // Rule ID 2728 //
     /* 241391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mqsad_pk_u16_u8),
     /* 241396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 241399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 241402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 241408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 241412 */     // (intrinsic_wo_chain:{ *:[i64] } 3175:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, i64:{ *:[i64] }:$src2)  =>  (V_MQSAD_PK_U16_U8_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, i64:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /* 241412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MQSAD_PK_U16_U8_e64),
     /* 241415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241417 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241419 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241421 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241426 */     GIR_RootConstrainSelectedInstOperands,
     /* 241427 */     // GIR_Coverage, 2728,
     /* 241427 */     GIR_EraseRootFromParent_Done,
     /* 241428 */   // Label 3968: @241428
     /* 241428 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(241470), // Rule ID 2729 //
     /* 241433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_qsad_pk_u16_u8),
     /* 241438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 241441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 241444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 241450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 241454 */     // (intrinsic_wo_chain:{ *:[i64] } 3193:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, i64:{ *:[i64] }:$src2)  =>  (V_QSAD_PK_U16_U8_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, i64:{ *:[i64] }:$src2, 0:{ *:[i1] })
     /* 241454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_QSAD_PK_U16_U8_e64),
     /* 241457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241461 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241463 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241468 */     GIR_RootConstrainSelectedInstOperands,
     /* 241469 */     // GIR_Coverage, 2729,
     /* 241469 */     GIR_EraseRootFromParent_Done,
     /* 241470 */   // Label 3969: @241470
     /* 241470 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(241512), // Rule ID 2730 //
     /* 241475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mqsad_u32_u8),
     /* 241480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 241483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 241486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 241492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 241496 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3176:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2)  =>  (V_MQSAD_U32_U8_e64:{ *:[v4i32] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, 0:{ *:[i1] })
     /* 241496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MQSAD_U32_U8_e64),
     /* 241499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241501 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 241503 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 241505 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 241507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 241510 */     GIR_RootConstrainSelectedInstOperands,
     /* 241511 */     // GIR_Coverage, 2730,
     /* 241511 */     GIR_EraseRootFromParent_Done,
     /* 241512 */   // Label 3970: @241512
     /* 241512 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(241609), // Rule ID 924 //
     /* 241517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts),
     /* 241520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmad_ftz),
     /* 241525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 241548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241562 */     // (intrinsic_wo_chain:{ *:[f32] } 2314:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 241562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F32_e64),
     /* 241565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 241572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 241577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 241582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 241587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 241592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 241597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 241602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 241607 */     GIR_RootConstrainSelectedInstOperands,
     /* 241608 */     // GIR_Coverage, 924,
     /* 241608 */     GIR_EraseRootFromParent_Done,
     /* 241609 */   // Label 3971: @241609
     /* 241609 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(241706), // Rule ID 926 //
     /* 241614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaLegacy32),
     /* 241617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fma_legacy),
     /* 241622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 241645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241659 */     // (intrinsic_wo_chain:{ *:[f32] } 2313:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 241659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_LEGACY_F32_e64),
     /* 241662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 241669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 241674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 241679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 241684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 241689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 241694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 241699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 241704 */     GIR_RootConstrainSelectedInstOperands,
     /* 241705 */     // GIR_Coverage, 926,
     /* 241705 */     GIR_EraseRootFromParent_Done,
     /* 241706 */   // Label 3972: @241706
     /* 241706 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(241800), // Rule ID 953 //
     /* 241711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cubeid),
     /* 241716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 241739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241753 */     // (intrinsic_wo_chain:{ *:[f32] } 2193:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_CUBEID_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 241753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CUBEID_F32_e64),
     /* 241756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 241763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 241768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 241773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 241778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 241783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 241788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 241793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 241798 */     GIR_RootConstrainSelectedInstOperands,
     /* 241799 */     // GIR_Coverage, 953,
     /* 241799 */     GIR_EraseRootFromParent_Done,
     /* 241800 */   // Label 3973: @241800
     /* 241800 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(241894), // Rule ID 954 //
     /* 241805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cubesc),
     /* 241810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 241833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241847 */     // (intrinsic_wo_chain:{ *:[f32] } 2195:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_CUBESC_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 241847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CUBESC_F32_e64),
     /* 241850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 241857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 241862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 241867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 241872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 241877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 241882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 241887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 241892 */     GIR_RootConstrainSelectedInstOperands,
     /* 241893 */     // GIR_Coverage, 954,
     /* 241893 */     GIR_EraseRootFromParent_Done,
     /* 241894 */   // Label 3974: @241894
     /* 241894 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(241988), // Rule ID 955 //
     /* 241899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cubetc),
     /* 241904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 241907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 241910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 241913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 241916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 241920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 241927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 241941 */     // (intrinsic_wo_chain:{ *:[f32] } 2196:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_CUBETC_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 241941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CUBETC_F32_e64),
     /* 241944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 241946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 241951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 241956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 241961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 241966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 241971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 241976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 241981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 241986 */     GIR_RootConstrainSelectedInstOperands,
     /* 241987 */     // GIR_Coverage, 955,
     /* 241987 */     GIR_EraseRootFromParent_Done,
     /* 241988 */   // Label 3975: @241988
     /* 241988 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(242082), // Rule ID 956 //
     /* 241993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cubema),
     /* 241998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 242001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 242004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 242007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 242010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242035 */     // (intrinsic_wo_chain:{ *:[f32] } 2194:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_CUBEMA_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CUBEMA_F32_e64),
     /* 242038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242080 */     GIR_RootConstrainSelectedInstOperands,
     /* 242081 */     // GIR_Coverage, 956,
     /* 242081 */     GIR_EraseRootFromParent_Done,
     /* 242082 */   // Label 3976: @242082
     /* 242082 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(242176), // Rule ID 973 //
     /* 242087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmed3),
     /* 242092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 242095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 242098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 242101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 242104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242129 */     // (intrinsic_wo_chain:{ *:[f32] } 2315:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 242132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242174 */     GIR_RootConstrainSelectedInstOperands,
     /* 242175 */     // GIR_Coverage, 973,
     /* 242175 */     GIR_EraseRootFromParent_Done,
     /* 242176 */   // Label 3977: @242176
     /* 242176 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(242265), // Rule ID 977 //
     /* 242181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_u8_f32),
     /* 242186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 242189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 242192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 242195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 242198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242223 */     // (intrinsic_wo_chain:{ *:[i32] } 2206:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_CVT_PK_U8_F32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 242223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_U8_F32_e64),
     /* 242226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242263 */     GIR_RootConstrainSelectedInstOperands,
     /* 242264 */     // GIR_Coverage, 977,
     /* 242264 */     GIR_EraseRootFromParent_Done,
     /* 242265 */   // Label 3978: @242265
     /* 242265 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(242359), // Rule ID 978 //
     /* 242270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 242278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 242281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 242284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 242287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242312 */     // (intrinsic_wo_chain:{ *:[f32] } 2266:{ *:[iPTR] }, (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F32_e64),
     /* 242315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242357 */     GIR_RootConstrainSelectedInstOperands,
     /* 242358 */     // GIR_Coverage, 978,
     /* 242358 */     GIR_EraseRootFromParent_Done,
     /* 242359 */   // Label 3979: @242359
     /* 242359 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(242453), // Rule ID 980 //
     /* 242364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 242372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 242375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 242378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 242381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 242385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242406 */     // (intrinsic_wo_chain:{ *:[f64] } 2266:{ *:[iPTR] }, (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f64:{ *:[f64] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F64_e64),
     /* 242409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242451 */     GIR_RootConstrainSelectedInstOperands,
     /* 242452 */     // GIR_Coverage, 980,
     /* 242452 */     GIR_EraseRootFromParent_Done,
     /* 242453 */   // Label 3980: @242453
     /* 242453 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(242550), // Rule ID 999 //
     /* 242458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8Only),
     /* 242461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 242469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 242472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 242475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 242478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242503 */     // (intrinsic_wo_chain:{ *:[f16] } 2266:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F16_e64),
     /* 242506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242548 */     GIR_RootConstrainSelectedInstOperands,
     /* 242549 */     // GIR_Coverage, 999,
     /* 242549 */     GIR_EraseRootFromParent_Done,
     /* 242550 */   // Label 3981: @242550
     /* 242550 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(242647), // Rule ID 1016 //
     /* 242555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 242558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmad_ftz),
     /* 242563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 242566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 242569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 242572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 242575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242600 */     // (intrinsic_wo_chain:{ *:[f16] } 2314:{ *:[iPTR] }, (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F16_e64),
     /* 242603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 242640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 242645 */     GIR_RootConstrainSelectedInstOperands,
     /* 242646 */     // GIR_Coverage, 1016,
     /* 242646 */     GIR_EraseRootFromParent_Done,
     /* 242647 */   // Label 3982: @242647
     /* 242647 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(242744), // Rule ID 8654 //
     /* 242652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaLegacy32),
     /* 242655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fma_legacy),
     /* 242660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 242663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 242666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 242669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 242672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 242690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 242697 */     // (intrinsic_wo_chain:{ *:[f32] } 2313:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 242697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_LEGACY_F32_e64),
     /* 242700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 242707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 242712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 242717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 242722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 242737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 242742 */     GIR_RootConstrainSelectedInstOperands,
     /* 242743 */     // GIR_Coverage, 8654,
     /* 242743 */     GIR_EraseRootFromParent_Done,
     /* 242744 */   // Label 3983: @242744
     /* 242744 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(242840), // Rule ID 1003 //
     /* 242749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 242752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 242760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 242763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 242766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 242769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242794 */     // (intrinsic_wo_chain:{ *:[f16] } 2266:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F16_gfx9_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 242794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F16_gfx9_e64),
     /* 242797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242838 */     GIR_RootConstrainSelectedInstOperands,
     /* 242839 */     // GIR_Coverage, 1003,
     /* 242839 */     GIR_EraseRootFromParent_Done,
     /* 242840 */   // Label 3984: @242840
     /* 242840 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(242936), // Rule ID 1005 //
     /* 242845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 242848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 242856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 242859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 242862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 242865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 242869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242890 */     // (intrinsic_wo_chain:{ *:[f16] } 2266:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F16_gfx9_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 242890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F16_gfx9_t16_e64),
     /* 242893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 242905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 242910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 242915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 242920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 242925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 242934 */     GIR_RootConstrainSelectedInstOperands,
     /* 242935 */     // GIR_Coverage, 1005,
     /* 242935 */     GIR_EraseRootFromParent_Done,
     /* 242936 */   // Label 3985: @242936
     /* 242936 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(243032), // Rule ID 1007 //
     /* 242941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 242944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fixup),
     /* 242949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 242952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 242955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 242958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 242961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 242965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 242986 */     // (intrinsic_wo_chain:{ *:[f16] } 2266:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DIV_FIXUP_F16_gfx9_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 242986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FIXUP_F16_gfx9_fake16_e64),
     /* 242989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 242991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 242996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243030 */     GIR_RootConstrainSelectedInstOperands,
     /* 243031 */     // GIR_Coverage, 1007,
     /* 243031 */     GIR_EraseRootFromParent_Done,
     /* 243032 */   // Label 3986: @243032
     /* 243032 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(243128), // Rule ID 1020 //
     /* 243037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 243040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmed3),
     /* 243045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 243051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 243054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243082 */     // (intrinsic_wo_chain:{ *:[f16] } 2315:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 243085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243126 */     GIR_RootConstrainSelectedInstOperands,
     /* 243127 */     // GIR_Coverage, 1020,
     /* 243127 */     GIR_EraseRootFromParent_Done,
     /* 243128 */   // Label 3987: @243128
     /* 243128 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(243224), // Rule ID 1022 //
     /* 243133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 243136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmed3),
     /* 243141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 243147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 243150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 243157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243178 */     // (intrinsic_wo_chain:{ *:[f16] } 2315:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 243181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243222 */     GIR_RootConstrainSelectedInstOperands,
     /* 243223 */     // GIR_Coverage, 1022,
     /* 243223 */     GIR_EraseRootFromParent_Done,
     /* 243224 */   // Label 3988: @243224
     /* 243224 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(243320), // Rule ID 1024 //
     /* 243229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 243232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmed3),
     /* 243237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 243243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 243246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243274 */     // (intrinsic_wo_chain:{ *:[f16] } 2315:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 243277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243318 */     GIR_RootConstrainSelectedInstOperands,
     /* 243319 */     // GIR_Coverage, 1024,
     /* 243319 */     GIR_EraseRootFromParent_Done,
     /* 243320 */   // Label 3989: @243320
     /* 243320 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(243410), // Rule ID 1074 //
     /* 243325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot9Insts_NotHasTrue16BitInsts),
     /* 243328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fdot2_f16_f16),
     /* 243333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 243339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 243342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243370 */     // (intrinsic_wo_chain:{ *:[f16] } 2308:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT2_F16_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_F16_F16_e64),
     /* 243373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243408 */     GIR_RootConstrainSelectedInstOperands,
     /* 243409 */     // GIR_Coverage, 1074,
     /* 243409 */     GIR_EraseRootFromParent_Done,
     /* 243410 */   // Label 3990: @243410
     /* 243410 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(243500), // Rule ID 1075 //
     /* 243415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot9Insts_UseRealTrue16Insts),
     /* 243418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fdot2_f16_f16),
     /* 243423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 243429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 243432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 243439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243460 */     // (intrinsic_wo_chain:{ *:[f16] } 2308:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT2_F16_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_F16_F16_t16_e64),
     /* 243463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243498 */     GIR_RootConstrainSelectedInstOperands,
     /* 243499 */     // GIR_Coverage, 1075,
     /* 243499 */     GIR_EraseRootFromParent_Done,
     /* 243500 */   // Label 3991: @243500
     /* 243500 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(243590), // Rule ID 1076 //
     /* 243505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot9Insts_UseFakeTrue16Insts),
     /* 243508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fdot2_f16_f16),
     /* 243513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 243519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 243522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 243525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243550 */     // (intrinsic_wo_chain:{ *:[f16] } 2308:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_DOT2_F16_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 243550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_F16_F16_fake16_e64),
     /* 243553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243588 */     GIR_RootConstrainSelectedInstOperands,
     /* 243589 */     // GIR_Coverage, 1076,
     /* 243589 */     GIR_EraseRootFromParent_Done,
     /* 243590 */   // Label 3992: @243590
     /* 243590 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(243680), // Rule ID 1087 //
     /* 243595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /* 243598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ashr_pk_i8_i32),
     /* 243603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243640 */     // (intrinsic_wo_chain:{ *:[i16] } 2182:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_ASHR_PK_I8_I32_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2)
     /* 243640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_I8_I32_e64),
     /* 243643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243678 */     GIR_RootConstrainSelectedInstOperands,
     /* 243679 */     // GIR_Coverage, 1087,
     /* 243679 */     GIR_EraseRootFromParent_Done,
     /* 243680 */   // Label 3993: @243680
     /* 243680 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(243770), // Rule ID 1088 //
     /* 243685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAshrPkInsts),
     /* 243688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ashr_pk_u8_i32),
     /* 243693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 243696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 243730 */     // (intrinsic_wo_chain:{ *:[i16] } 2183:{ *:[iPTR] }, (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_ASHR_PK_U8_I32_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2)
     /* 243730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_PK_U8_I32_e64),
     /* 243733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 243740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 243750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 243755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 243760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 243765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243768 */     GIR_RootConstrainSelectedInstOperands,
     /* 243769 */     // GIR_Coverage, 1088,
     /* 243769 */     GIR_EraseRootFromParent_Done,
     /* 243770 */   // Label 3994: @243770
     /* 243770 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(243819), // Rule ID 929 //
     /* 243775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_lerp),
     /* 243780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 243783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 243803 */     // (intrinsic_wo_chain:{ *:[i32] } 3117:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_LERP_U8_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 243803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LERP_U8_e64),
     /* 243806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243813 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 243815 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 243817 */     GIR_RootConstrainSelectedInstOperands,
     /* 243818 */     // GIR_Coverage, 929,
     /* 243818 */     GIR_EraseRootFromParent_Done,
     /* 243819 */   // Label 3995: @243819
     /* 243819 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(243868), // Rule ID 957 //
     /* 243824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ubfe),
     /* 243829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 243832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 243852 */     // (intrinsic_wo_chain:{ *:[i32] } 3407:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_BFE_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 243852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_U32_e64),
     /* 243855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243862 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 243864 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 243866 */     GIR_RootConstrainSelectedInstOperands,
     /* 243867 */     // GIR_Coverage, 957,
     /* 243867 */     GIR_EraseRootFromParent_Done,
     /* 243868 */   // Label 3996: @243868
     /* 243868 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(243917), // Rule ID 959 //
     /* 243873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sbfe),
     /* 243878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 243881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 243901 */     // (intrinsic_wo_chain:{ *:[i32] } 3301:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_BFE_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 243901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 243904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243911 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 243913 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 243915 */     GIR_RootConstrainSelectedInstOperands,
     /* 243916 */     // GIR_Coverage, 959,
     /* 243916 */     GIR_EraseRootFromParent_Done,
     /* 243917 */   // Label 3997: @243917
     /* 243917 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(243966), // Rule ID 964 //
     /* 243922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_alignbyte),
     /* 243927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 243930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 243950 */     // (intrinsic_wo_chain:{ *:[i32] } 2181:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_ALIGNBYTE_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 243950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBYTE_B32_e64),
     /* 243953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 243955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 243960 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 243962 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 243964 */     GIR_RootConstrainSelectedInstOperands,
     /* 243965 */     // GIR_Coverage, 964,
     /* 243965 */     GIR_EraseRootFromParent_Done,
     /* 243966 */   // Label 3998: @243966
     /* 243966 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(244018), // Rule ID 997 //
     /* 243971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 243974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_perm),
     /* 243979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 243982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 243985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 243988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 243991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 243995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244002 */     // (intrinsic_wo_chain:{ *:[i32] } 3182:{ *:[iPTR] }, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_PERM_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 244002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 244005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244012 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244014 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244016 */     GIR_RootConstrainSelectedInstOperands,
     /* 244017 */     // GIR_Coverage, 997,
     /* 244017 */     GIR_EraseRootFromParent_Done,
     /* 244018 */   // Label 3999: @244018
     /* 244018 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(244070), // Rule ID 1062 //
     /* 244023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 244026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk32_bf6_f16),
     /* 244031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 244037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244054 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2254:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f16] } v32f16:{ *:[v32f16] }:$src0), i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_SR_PK32_BF6_F16_e64:{ *:[v6i32] } v32f16:{ *:[v32f16] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK32_BF6_F16_e64),
     /* 244057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244064 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244066 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244068 */     GIR_RootConstrainSelectedInstOperands,
     /* 244069 */     // GIR_Coverage, 1062,
     /* 244069 */     GIR_EraseRootFromParent_Done,
     /* 244070 */   // Label 4000: @244070
     /* 244070 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(244122), // Rule ID 1063 //
     /* 244075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 244078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk32_bf6_f32),
     /* 244083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s32,
     /* 244089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244106 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2255:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f32] } v32f32:{ *:[v32f32] }:$src0), i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_SR_PK32_BF6_F32_e64:{ *:[v6i32] } v32f32:{ *:[v32f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK32_BF6_F32_e64),
     /* 244109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244116 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244118 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244120 */     GIR_RootConstrainSelectedInstOperands,
     /* 244121 */     // GIR_Coverage, 1063,
     /* 244121 */     GIR_EraseRootFromParent_Done,
     /* 244122 */   // Label 4001: @244122
     /* 244122 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(244174), // Rule ID 1064 //
     /* 244127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 244130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk32_fp6_f16),
     /* 244135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 244141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244158 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2257:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f16] } v32f16:{ *:[v32f16] }:$src0), i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_SR_PK32_FP6_F16_e64:{ *:[v6i32] } v32f16:{ *:[v32f16] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK32_FP6_F16_e64),
     /* 244161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244168 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244170 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244172 */     GIR_RootConstrainSelectedInstOperands,
     /* 244173 */     // GIR_Coverage, 1064,
     /* 244173 */     GIR_EraseRootFromParent_Done,
     /* 244174 */   // Label 4002: @244174
     /* 244174 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(244226), // Rule ID 1065 //
     /* 244179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF16BF16ToFP6BF6ConversionScaleInsts),
     /* 244182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk32_fp6_f32),
     /* 244187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s32,
     /* 244193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244210 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2258:{ *:[iPTR] }, (VOP3Mods0:{ *:[v32f32] } v32f32:{ *:[v32f32] }:$src0), i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_SR_PK32_FP6_F32_e64:{ *:[v6i32] } v32f32:{ *:[v32f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK32_FP6_F32_e64),
     /* 244213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244220 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244222 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244224 */     GIR_RootConstrainSelectedInstOperands,
     /* 244225 */     // GIR_Coverage, 1065,
     /* 244225 */     GIR_EraseRootFromParent_Done,
     /* 244226 */   // Label 4003: @244226
     /* 244226 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(244278), // Rule ID 1066 //
     /* 244231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 244234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_2xpk16_fp6_f32),
     /* 244239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 244245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 244248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244262 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2211:{ *:[iPTR] }, (VOP3Mods0:{ *:[v16f32] } v16f32:{ *:[v16f32] }:$src0), v16f32:{ *:[v16f32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_2XPK16_FP6_F32_e64:{ *:[v6i32] } v16f32:{ *:[v16f32] }:$src0, v16f32:{ *:[v16f32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_2XPK16_FP6_F32_e64),
     /* 244265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244272 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244274 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244276 */     GIR_RootConstrainSelectedInstOperands,
     /* 244277 */     // GIR_Coverage, 1066,
     /* 244277 */     GIR_EraseRootFromParent_Done,
     /* 244278 */   // Label 4004: @244278
     /* 244278 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(244330), // Rule ID 1067 //
     /* 244283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 244286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_2xpk16_bf6_f32),
     /* 244291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v6s32,
     /* 244294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 244297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 244300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_192RegClassID),
     /* 244307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 244314 */     // (intrinsic_wo_chain:{ *:[v6i32] } 2210:{ *:[iPTR] }, (VOP3Mods0:{ *:[v16f32] } v16f32:{ *:[v16f32] }:$src0), v16f32:{ *:[v16f32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_CVT_SCALEF32_2XPK16_BF6_F32_e64:{ *:[v6i32] } v16f32:{ *:[v16f32] }:$src0, v16f32:{ *:[v16f32] }:$src1, f32:{ *:[f32] }:$src2)
     /* 244314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_2XPK16_BF6_F32_e64),
     /* 244317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244324 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244326 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244328 */     GIR_RootConstrainSelectedInstOperands,
     /* 244329 */     // GIR_Coverage, 1067,
     /* 244329 */     GIR_EraseRootFromParent_Done,
     /* 244330 */   // Label 4005: @244330
     /* 244330 */   GIM_Reject,
     /* 244331 */ // Label 3942: @244331
     /* 244331 */ GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(249564),
     /* 244336 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 244339 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(244392), // Rule ID 2524 //
     /* 244344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot5Insts),
     /* 244347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fdot2),
     /* 244352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 244358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 244361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244368 */     // MIs[0] Operand 5
     /* 244368 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244379 */     // (intrinsic_wo_chain:{ *:[f32] } 2306:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src0, v2f16:{ *:[v2f16] }:$src1, f32:{ *:[f32] }:$src2, 0:{ *:[i1] })  =>  (V_DOT2C_F32_F16_e32:{ *:[f32] } ?:{ *:[v2f16] }:$src0, ?:{ *:[v2f16] }:$src1, ?:{ *:[f32] }:$src2)
     /* 244379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2C_F32_F16_e32),
     /* 244382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244384 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 244386 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244388 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244390 */     GIR_RootConstrainSelectedInstOperands,
     /* 244391 */     // GIR_Coverage, 2524,
     /* 244391 */     GIR_EraseRootFromParent_Done,
     /* 244392 */   // Label 4007: @244392
     /* 244392 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(244445), // Rule ID 2526 //
     /* 244397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot6Insts),
     /* 244400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot4),
     /* 244405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244421 */     // MIs[0] Operand 5
     /* 244421 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244432 */     // (intrinsic_wo_chain:{ *:[i32] } 3305:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })  =>  (V_DOT4C_I32_I8_e32:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2)
     /* 244432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4C_I32_I8_e32),
     /* 244435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244437 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 244439 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244441 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244443 */     GIR_RootConstrainSelectedInstOperands,
     /* 244444 */     // GIR_Coverage, 2526,
     /* 244444 */     GIR_EraseRootFromParent_Done,
     /* 244445 */   // Label 4008: @244445
     /* 244445 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(244498), // Rule ID 2527 //
     /* 244450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot4Insts),
     /* 244453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot2),
     /* 244458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 244464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 244467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244474 */     // MIs[0] Operand 5
     /* 244474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244485 */     // (intrinsic_wo_chain:{ *:[i32] } 3304:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })  =>  (V_DOT2C_I32_I16_e32:{ *:[i32] } ?:{ *:[v2i16] }:$src0, ?:{ *:[v2i16] }:$src1, ?:{ *:[i32] }:$src2)
     /* 244485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2C_I32_I16_e32),
     /* 244488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 244492 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244494 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244496 */     GIR_RootConstrainSelectedInstOperands,
     /* 244497 */     // GIR_Coverage, 2527,
     /* 244497 */     GIR_EraseRootFromParent_Done,
     /* 244498 */   // Label 4009: @244498
     /* 244498 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(244551), // Rule ID 2528 //
     /* 244503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot3Insts),
     /* 244506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot8),
     /* 244511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244527 */     // MIs[0] Operand 5
     /* 244527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244538 */     // (intrinsic_wo_chain:{ *:[i32] } 3306:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, 0:{ *:[i1] })  =>  (V_DOT8C_I32_I4_e32:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src2)
     /* 244538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT8C_I32_I4_e32),
     /* 244541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244543 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 244545 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 244547 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 244549 */     GIR_RootConstrainSelectedInstOperands,
     /* 244550 */     // GIR_Coverage, 2528,
     /* 244550 */     GIR_EraseRootFromParent_Done,
     /* 244551 */   // Label 4010: @244551
     /* 244551 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(244658), // Rule ID 6980 //
     /* 244556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 244559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p10_f16),
     /* 244564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244580 */     // MIs[0] Operand 5
     /* 244580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244612 */     // (intrinsic_wo_chain:{ *:[f32] } 3099:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P10_F16_F32_inreg_fake16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 244612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_F16_F32_inreg_fake16),
     /* 244615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 244622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 244632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 244637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 244642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 244647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 244656 */     GIR_RootConstrainSelectedInstOperands,
     /* 244657 */     // GIR_Coverage, 6980,
     /* 244657 */     GIR_EraseRootFromParent_Done,
     /* 244658 */   // Label 4011: @244658
     /* 244658 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(244765), // Rule ID 6981 //
     /* 244663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 244666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p10_f16),
     /* 244671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244687 */     // MIs[0] Operand 5
     /* 244687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 244698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 244705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 244719 */     // (intrinsic_wo_chain:{ *:[f32] } 3099:{ *:[iPTR] }, (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P10_F16_F32_inreg_fake16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 244719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_F16_F32_inreg_fake16),
     /* 244722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 244729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 244734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 244739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 244744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 244749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 244754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 244763 */     GIR_RootConstrainSelectedInstOperands,
     /* 244764 */     // GIR_Coverage, 6981,
     /* 244764 */     GIR_EraseRootFromParent_Done,
     /* 244765 */   // Label 4012: @244765
     /* 244765 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(244926), // Rule ID 6982 //
     /* 244770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 244773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p10_f16),
     /* 244778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244794 */     // MIs[0] Operand 5
     /* 244794 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 244805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244826 */     // (intrinsic_wo_chain:{ *:[f32] } 3099:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P10_F16_F32_inreg_t16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, lo16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src2, lo16:{ *:[i32] }), 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 244826 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 244829 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 244833 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 244838 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src2
     /* 244845 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 244850 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 244858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 244862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 244867 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src0
     /* 244874 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 244879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_F16_F32_inreg_t16),
     /* 244887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 244889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 244894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 244897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 244902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 244907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 244912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 244915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 244921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 244924 */     GIR_RootConstrainSelectedInstOperands,
     /* 244925 */     // GIR_Coverage, 6982,
     /* 244925 */     GIR_EraseRootFromParent_Done,
     /* 244926 */   // Label 4013: @244926
     /* 244926 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(245087), // Rule ID 6983 //
     /* 244931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 244934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p10_f16),
     /* 244939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 244945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 244948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 244951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 244955 */     // MIs[0] Operand 5
     /* 244955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 244966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 244987 */     // (intrinsic_wo_chain:{ *:[f32] } 3099:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P10_F16_F32_inreg_t16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, hi16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src2, hi16:{ *:[i32] }), 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 244987 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 244990 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 244994 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 244999 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src2
     /* 245006 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245011 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245028 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src0
     /* 245035 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245040 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_F16_F32_inreg_t16),
     /* 245048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 245076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245085 */     GIR_RootConstrainSelectedInstOperands,
     /* 245086 */     // GIR_Coverage, 6983,
     /* 245086 */     GIR_EraseRootFromParent_Done,
     /* 245087 */   // Label 4014: @245087
     /* 245087 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(245221), // Rule ID 6986 //
     /* 245092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p2_f16),
     /* 245100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 245103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245116 */     // MIs[0] Operand 5
     /* 245116 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 245127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245148 */     // (intrinsic_wo_chain:{ *:[f16] } 3101:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P2_F16_F32_inreg_t16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, lo16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, VGPR_32:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245160 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src0
     /* 245167 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245172 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F16_F32_inreg_t16),
     /* 245180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 245210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245219 */     GIR_RootConstrainSelectedInstOperands,
     /* 245220 */     // GIR_Coverage, 6986,
     /* 245220 */     GIR_EraseRootFromParent_Done,
     /* 245221 */   // Label 4015: @245221
     /* 245221 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(245355), // Rule ID 6987 //
     /* 245226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p2_f16),
     /* 245234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 245237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245250 */     // MIs[0] Operand 5
     /* 245250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 245261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245282 */     // (intrinsic_wo_chain:{ *:[f16] } 3101:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P2_F16_F32_inreg_t16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, hi16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, VGPR_32:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245294 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src0
     /* 245301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F16_F32_inreg_t16),
     /* 245314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 245344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245353 */     GIR_RootConstrainSelectedInstOperands,
     /* 245354 */     // GIR_Coverage, 6987,
     /* 245354 */     GIR_EraseRootFromParent_Done,
     /* 245355 */   // Label 4016: @245355
     /* 245355 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(245516), // Rule ID 6988 //
     /* 245360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p10_rtz_f16),
     /* 245368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245384 */     // MIs[0] Operand 5
     /* 245384 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 245395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245416 */     // (intrinsic_wo_chain:{ *:[f32] } 3105:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P10_RTZ_F16_F32_inreg_t16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, lo16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src2, lo16:{ *:[i32] }), 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245416 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 245419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245423 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245428 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src2
     /* 245435 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245440 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245457 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src0
     /* 245464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245469 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_RTZ_F16_F32_inreg_t16),
     /* 245477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 245505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245514 */     GIR_RootConstrainSelectedInstOperands,
     /* 245515 */     // GIR_Coverage, 6988,
     /* 245515 */     GIR_EraseRootFromParent_Done,
     /* 245516 */   // Label 4017: @245516
     /* 245516 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(245677), // Rule ID 6989 //
     /* 245521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p10_rtz_f16),
     /* 245529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245545 */     // MIs[0] Operand 5
     /* 245545 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 245556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245577 */     // (intrinsic_wo_chain:{ *:[f32] } 3105:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P10_RTZ_F16_F32_inreg_t16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, hi16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src2, hi16:{ *:[i32] }), 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245577 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 245580 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245584 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245589 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src2
     /* 245596 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245601 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245618 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src0
     /* 245625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_RTZ_F16_F32_inreg_t16),
     /* 245638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 245666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245675 */     GIR_RootConstrainSelectedInstOperands,
     /* 245676 */     // GIR_Coverage, 6989,
     /* 245676 */     GIR_EraseRootFromParent_Done,
     /* 245677 */   // Label 4018: @245677
     /* 245677 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(245811), // Rule ID 6990 //
     /* 245682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2_rtz_f16),
     /* 245690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 245693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245706 */     // MIs[0] Operand 5
     /* 245706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 245717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245738 */     // (intrinsic_wo_chain:{ *:[f16] } 3108:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P2_RTZ_F16_F32_inreg_t16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, lo16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, VGPR_32:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245750 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(2), // src0
     /* 245757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_RTZ_F16_F32_inreg_t16),
     /* 245770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 245800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245809 */     GIR_RootConstrainSelectedInstOperands,
     /* 245810 */     // GIR_Coverage, 6990,
     /* 245810 */     GIR_EraseRootFromParent_Done,
     /* 245811 */   // Label 4019: @245811
     /* 245811 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(245945), // Rule ID 6991 //
     /* 245816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 245819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2_rtz_f16),
     /* 245824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 245827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245840 */     // MIs[0] Operand 5
     /* 245840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 245851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245872 */     // (intrinsic_wo_chain:{ *:[f16] } 3108:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P2_RTZ_F16_F32_inreg_t16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, (EXTRACT_SUBREG:{ *:[f16] } VGPR_32:{ *:[f32] }:$src0, hi16:{ *:[i32] }), ?:{ *:[i32] }:$src1_modifiers, VGPR_32:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, VGPR_32:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 245872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 245875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245884 */     GIR_ComplexSubOperandSubRegRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, /*SubRegIdx*/GIMT_Encode2(1), // src0
     /* 245891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 245896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_RTZ_F16_F32_inreg_t16),
     /* 245904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 245906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 245911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 245919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 245924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 245929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 245934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 245943 */     GIR_RootConstrainSelectedInstOperands,
     /* 245944 */     // GIR_Coverage, 6991,
     /* 245944 */     GIR_EraseRootFromParent_Done,
     /* 245945 */   // Label 4020: @245945
     /* 245945 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(246052), // Rule ID 6992 //
     /* 245950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 245953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p2_f16),
     /* 245958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 245961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 245967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 245970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 245974 */     // MIs[0] Operand 5
     /* 245974 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 245985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 245999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246006 */     // (intrinsic_wo_chain:{ *:[f16] } 3101:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P2_F16_F32_inreg_fake16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F16_F32_inreg_fake16),
     /* 246009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246050 */     GIR_RootConstrainSelectedInstOperands,
     /* 246051 */     // GIR_Coverage, 6992,
     /* 246051 */     GIR_EraseRootFromParent_Done,
     /* 246052 */   // Label 4021: @246052
     /* 246052 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(246159), // Rule ID 6993 //
     /* 246057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 246060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_inreg_p2_f16),
     /* 246065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 246068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246081 */     // MIs[0] Operand 5
     /* 246081 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 246092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 246099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246113 */     // (intrinsic_wo_chain:{ *:[f16] } 3101:{ *:[iPTR] }, (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P2_F16_F32_inreg_fake16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F16_F32_inreg_fake16),
     /* 246116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246157 */     GIR_RootConstrainSelectedInstOperands,
     /* 246158 */     // GIR_Coverage, 6993,
     /* 246158 */     GIR_EraseRootFromParent_Done,
     /* 246159 */   // Label 4022: @246159
     /* 246159 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(246266), // Rule ID 6994 //
     /* 246164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 246167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p10_rtz_f16),
     /* 246172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246188 */     // MIs[0] Operand 5
     /* 246188 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 246199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246220 */     // (intrinsic_wo_chain:{ *:[f32] } 3105:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P10_RTZ_F16_F32_inreg_fake16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_RTZ_F16_F32_inreg_fake16),
     /* 246223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246264 */     GIR_RootConstrainSelectedInstOperands,
     /* 246265 */     // GIR_Coverage, 6994,
     /* 246265 */     GIR_EraseRootFromParent_Done,
     /* 246266 */   // Label 4023: @246266
     /* 246266 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(246373), // Rule ID 6995 //
     /* 246271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 246274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p10_rtz_f16),
     /* 246279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246295 */     // MIs[0] Operand 5
     /* 246295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 246306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 246313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 246327 */     // (intrinsic_wo_chain:{ *:[f32] } 3105:{ *:[iPTR] }, (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P10_RTZ_F16_F32_inreg_fake16:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P10_RTZ_F16_F32_inreg_fake16),
     /* 246330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246371 */     GIR_RootConstrainSelectedInstOperands,
     /* 246372 */     // GIR_Coverage, 6995,
     /* 246372 */     GIR_EraseRootFromParent_Done,
     /* 246373 */   // Label 4024: @246373
     /* 246373 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(246480), // Rule ID 6996 //
     /* 246378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 246381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2_rtz_f16),
     /* 246386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 246389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246402 */     // MIs[0] Operand 5
     /* 246402 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 246413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246434 */     // (intrinsic_wo_chain:{ *:[f16] } 3108:{ *:[iPTR] }, (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_INTERP_P2_RTZ_F16_F32_inreg_fake16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_RTZ_F16_F32_inreg_fake16),
     /* 246437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246478 */     GIR_RootConstrainSelectedInstOperands,
     /* 246479 */     // GIR_Coverage, 6996,
     /* 246479 */     GIR_EraseRootFromParent_Done,
     /* 246480 */   // Label 4025: @246480
     /* 246480 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(246587), // Rule ID 6997 //
     /* 246485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 246488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2_rtz_f16),
     /* 246493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 246496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246509 */     // MIs[0] Operand 5
     /* 246509 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 246520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vinterpmods_hi),
     /* 246527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vinterpmods),
     /* 246541 */     // (intrinsic_wo_chain:{ *:[f16] } 3108:{ *:[iPTR] }, (VINTERPModsHi:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VINTERPMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), -1:{ *:[i1] })  =>  (V_INTERP_P2_RTZ_F16_F32_inreg_fake16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 7:{ *:[i32] })
     /* 246541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_RTZ_F16_F32_inreg_fake16),
     /* 246544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 246585 */     GIR_RootConstrainSelectedInstOperands,
     /* 246586 */     // GIR_Coverage, 6997,
     /* 246586 */     GIR_EraseRootFromParent_Done,
     /* 246587 */   // Label 4026: @246587
     /* 246587 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(246701), // Rule ID 2701 //
     /* 246592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /* 246595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fmas),
     /* 246600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s1,
     /* 246615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXEC_XNULLRegClassID),
     /* 246623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246644 */     // (intrinsic_wo_chain:{ *:[f32] } 2267:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), VCC:{ *:[i1] })  =>  (V_DIV_FMAS_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2)
     /* 246644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::VCC), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // VCC
     /* 246658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FMAS_F32_e64),
     /* 246661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246699 */     GIR_RootConstrainSelectedInstOperands,
     /* 246700 */     // GIR_Coverage, 2701,
     /* 246700 */     GIR_EraseRootFromParent_Done,
     /* 246701 */   // Label 4027: @246701
     /* 246701 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(246815), // Rule ID 2703 //
     /* 246706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /* 246709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fmas),
     /* 246714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 246717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 246723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 246726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s1,
     /* 246729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 246733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXEC_XNULLRegClassID),
     /* 246737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246758 */     // (intrinsic_wo_chain:{ *:[f64] } 2267:{ *:[iPTR] }, (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers), VCC:{ *:[i1] })  =>  (V_DIV_FMAS_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f64] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f64] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f64] }:$src2)
     /* 246758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246762 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::VCC), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // VCC
     /* 246772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FMAS_F64_e64),
     /* 246775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246813 */     GIR_RootConstrainSelectedInstOperands,
     /* 246814 */     // GIR_Coverage, 2703,
     /* 246814 */     GIR_EraseRootFromParent_Done,
     /* 246815 */   // Label 4028: @246815
     /* 246815 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(246929), // Rule ID 2705 //
     /* 246820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 246823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fmas),
     /* 246828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 246834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 246837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 246840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s1,
     /* 246843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 246847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 246851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246872 */     // (intrinsic_wo_chain:{ *:[f32] } 2267:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), VCC_LO:{ *:[i1] })  =>  (V_DIV_FMAS_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f32] }:$src2)
     /* 246872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::VCC_LO), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // VCC_LO
     /* 246886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FMAS_F32_e64),
     /* 246889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 246891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 246896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 246901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 246906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 246911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 246916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 246921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246927 */     GIR_RootConstrainSelectedInstOperands,
     /* 246928 */     // GIR_Coverage, 2705,
     /* 246928 */     GIR_EraseRootFromParent_Done,
     /* 246929 */   // Label 4029: @246929
     /* 246929 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(247043), // Rule ID 2707 //
     /* 246934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 246937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_div_fmas),
     /* 246942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 246945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 246951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 246954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s1,
     /* 246957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 246961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 246965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 246986 */     // (intrinsic_wo_chain:{ *:[f64] } 2267:{ *:[iPTR] }, (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers), VCC_LO:{ *:[i1] })  =>  (V_DIV_FMAS_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f64] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f64] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f64] }:$src2)
     /* 246986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246990 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::VCC_LO), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246996 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // VCC_LO
     /* 247000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DIV_FMAS_F64_e64),
     /* 247003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 247010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 247015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 247020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 247025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 247030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 247035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247041 */     GIR_RootConstrainSelectedInstOperands,
     /* 247042 */     // GIR_Coverage, 2707,
     /* 247042 */     GIR_EraseRootFromParent_Done,
     /* 247043 */   // Label 4030: @247043
     /* 247043 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(247124), // Rule ID 2608 //
     /* 247048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 247051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_fp8_f32),
     /* 247056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247072 */     // MIs[0] byte_sel
     /* 247072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 247075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 247082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 247089 */     // (intrinsic_wo_chain:{ *:[i32] } 2262:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$old, (timm:{ *:[i32] }):$byte_sel)  =>  (V_CVT_SR_FP8_F32_gfx12_e64:{ *:[i32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$old, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$byte_sel))
     /* 247089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_FP8_F32_gfx12_e64),
     /* 247092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 247099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 247104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 247109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 247114 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247116 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // byte_sel
     /* 247122 */     GIR_RootConstrainSelectedInstOperands,
     /* 247123 */     // GIR_Coverage, 2608,
     /* 247123 */     GIR_EraseRootFromParent_Done,
     /* 247124 */   // Label 4031: @247124
     /* 247124 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(247205), // Rule ID 2609 //
     /* 247129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX12Plus),
     /* 247132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_bf8_f32),
     /* 247137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247153 */     // MIs[0] byte_sel
     /* 247153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 247156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 247163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 247170 */     // (intrinsic_wo_chain:{ *:[i32] } 2260:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$old, (timm:{ *:[i32] }):$byte_sel)  =>  (V_CVT_SR_BF8_F32_gfx12_e64:{ *:[i32] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$old, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$byte_sel))
     /* 247170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_BF8_F32_gfx12_e64),
     /* 247173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 247180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 247185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 247190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 247195 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247197 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // byte_sel
     /* 247203 */     GIR_RootConstrainSelectedInstOperands,
     /* 247204 */     // GIR_Coverage, 2609,
     /* 247204 */     GIR_EraseRootFromParent_Done,
     /* 247205 */   // Label 4032: @247205
     /* 247205 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(247268), // Rule ID 1332 //
     /* 247210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX90APlus),
     /* 247213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_mov),
     /* 247218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 247224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247228 */     // MIs[0] vsrc
     /* 247228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 247231 */     // MIs[0] attrchan
     /* 247231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 247234 */     // MIs[0] attr
     /* 247234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 247241 */     // (intrinsic_wo_chain:{ *:[f32] } 3102:{ *:[iPTR] }, (timm:{ *:[i32] }):$vsrc, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (V_INTERP_MOV_F32:{ *:[f32] } (timm:{ *:[i32] }):$vsrc, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan)
     /* 247241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 247245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 247251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // M0
     /* 247255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_MOV_F32),
     /* 247258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247260 */     GIR_RootToRootCopy, /*OpIdx*/2, // vsrc
     /* 247262 */     GIR_RootToRootCopy, /*OpIdx*/4, // attr
     /* 247264 */     GIR_RootToRootCopy, /*OpIdx*/3, // attrchan
     /* 247266 */     GIR_RootConstrainSelectedInstOperands,
     /* 247267 */     // GIR_Coverage, 1332,
     /* 247267 */     GIR_EraseRootFromParent_Done,
     /* 247268 */   // Label 4033: @247268
     /* 247268 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(247331), // Rule ID 1329 //
     /* 247273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_has32BankLDS_isNotGFX90APlus),
     /* 247276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p1),
     /* 247281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 247290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247294 */     // MIs[0] attrchan
     /* 247294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 247297 */     // MIs[0] attr
     /* 247297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 247304 */     // (intrinsic_wo_chain:{ *:[f32] } 3103:{ *:[iPTR] }, f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (V_INTERP_P1_F32:{ *:[f32] } f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan)
     /* 247304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 247308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 247314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // M0
     /* 247318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P1_F32),
     /* 247321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247323 */     GIR_RootToRootCopy, /*OpIdx*/2, // vsrc
     /* 247325 */     GIR_RootToRootCopy, /*OpIdx*/4, // attr
     /* 247327 */     GIR_RootToRootCopy, /*OpIdx*/3, // attrchan
     /* 247329 */     GIR_RootConstrainSelectedInstOperands,
     /* 247330 */     // GIR_Coverage, 1329,
     /* 247330 */     GIR_EraseRootFromParent_Done,
     /* 247331 */   // Label 4034: @247331
     /* 247331 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(247394), // Rule ID 1330 //
     /* 247336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_has16BankLDS_isNotGFX90APlus),
     /* 247339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p1),
     /* 247344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 247353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247357 */     // MIs[0] attrchan
     /* 247357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 247360 */     // MIs[0] attr
     /* 247360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 247367 */     // (intrinsic_wo_chain:{ *:[f32] } 3103:{ *:[iPTR] }, f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (V_INTERP_P1_F32_16bank:{ *:[f32] } f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan)
     /* 247367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 247371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 247377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // M0
     /* 247381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P1_F32_16bank),
     /* 247384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247386 */     GIR_RootToRootCopy, /*OpIdx*/2, // vsrc
     /* 247388 */     GIR_RootToRootCopy, /*OpIdx*/4, // attr
     /* 247390 */     GIR_RootToRootCopy, /*OpIdx*/3, // attrchan
     /* 247392 */     GIR_RootConstrainSelectedInstOperands,
     /* 247393 */     // GIR_Coverage, 1330,
     /* 247393 */     GIR_EraseRootFromParent_Done,
     /* 247394 */   // Label 4035: @247394
     /* 247394 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(247456), // Rule ID 2590 //
     /* 247399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_NotHasTrue16BitInsts_isGFX9Plus),
     /* 247402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_fp8_f32),
     /* 247407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247423 */     // MIs[0] Operand 5
     /* 247423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247434 */     // (intrinsic_wo_chain:{ *:[i32] } 2203:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i1] })  =>  (V_CVT_PK_FP8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_FP8_F32_e64),
     /* 247437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247442 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247447 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247449 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247454 */     GIR_RootConstrainSelectedInstOperands,
     /* 247455 */     // GIR_Coverage, 2590,
     /* 247455 */     GIR_EraseRootFromParent_Done,
     /* 247456 */   // Label 4036: @247456
     /* 247456 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(247518), // Rule ID 2591 //
     /* 247461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_NotHasTrue16BitInsts_isGFX9Plus),
     /* 247464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_bf8_f32),
     /* 247469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247485 */     // MIs[0] Operand 5
     /* 247485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247496 */     // (intrinsic_wo_chain:{ *:[i32] } 2200:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i1] })  =>  (V_CVT_PK_BF8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_BF8_F32_e64),
     /* 247499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247504 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247509 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247511 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247516 */     GIR_RootConstrainSelectedInstOperands,
     /* 247517 */     // GIR_Coverage, 2591,
     /* 247517 */     GIR_EraseRootFromParent_Done,
     /* 247518 */   // Label 4037: @247518
     /* 247518 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(247580), // Rule ID 2592 //
     /* 247523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_UseFakeTrue16Insts_isGFX9Plus),
     /* 247526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_fp8_f32),
     /* 247531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247547 */     // MIs[0] Operand 5
     /* 247547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247558 */     // (intrinsic_wo_chain:{ *:[i32] } 2203:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i1] })  =>  (V_CVT_PK_FP8_F32_fake16_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_FP8_F32_fake16_e64),
     /* 247561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247566 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247571 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247573 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247578 */     GIR_RootConstrainSelectedInstOperands,
     /* 247579 */     // GIR_Coverage, 2592,
     /* 247579 */     GIR_EraseRootFromParent_Done,
     /* 247580 */   // Label 4038: @247580
     /* 247580 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(247642), // Rule ID 2593 //
     /* 247585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_UseFakeTrue16Insts_isGFX9Plus),
     /* 247588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_bf8_f32),
     /* 247593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247609 */     // MIs[0] Operand 5
     /* 247609 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247620 */     // (intrinsic_wo_chain:{ *:[i32] } 2200:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i1] })  =>  (V_CVT_PK_BF8_F32_fake16_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_BF8_F32_fake16_e64),
     /* 247623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247628 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247633 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247635 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247640 */     GIR_RootConstrainSelectedInstOperands,
     /* 247641 */     // GIR_Coverage, 2593,
     /* 247641 */     GIR_EraseRootFromParent_Done,
     /* 247642 */   // Label 4039: @247642
     /* 247642 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(247704), // Rule ID 2594 //
     /* 247647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_NotHasTrue16BitInsts_isGFX9Plus),
     /* 247650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_fp8_f32),
     /* 247655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247671 */     // MIs[0] Operand 5
     /* 247671 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 247682 */     // (intrinsic_wo_chain:{ *:[i32] } 2203:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, -1:{ *:[i1] })  =>  (V_CVT_PK_FP8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_FP8_F32_e64),
     /* 247685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 247690 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247695 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247697 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247702 */     GIR_RootConstrainSelectedInstOperands,
     /* 247703 */     // GIR_Coverage, 2594,
     /* 247703 */     GIR_EraseRootFromParent_Done,
     /* 247704 */   // Label 4040: @247704
     /* 247704 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(247766), // Rule ID 2595 //
     /* 247709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_NotHasTrue16BitInsts_isGFX9Plus),
     /* 247712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_bf8_f32),
     /* 247717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247733 */     // MIs[0] Operand 5
     /* 247733 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 247744 */     // (intrinsic_wo_chain:{ *:[i32] } 2200:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, -1:{ *:[i1] })  =>  (V_CVT_PK_BF8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_BF8_F32_e64),
     /* 247747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 247752 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247757 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247759 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247764 */     GIR_RootConstrainSelectedInstOperands,
     /* 247765 */     // GIR_Coverage, 2595,
     /* 247765 */     GIR_EraseRootFromParent_Done,
     /* 247766 */   // Label 4041: @247766
     /* 247766 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(247828), // Rule ID 2596 //
     /* 247771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_UseFakeTrue16Insts_isGFX9Plus),
     /* 247774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_fp8_f32),
     /* 247779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247795 */     // MIs[0] Operand 5
     /* 247795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 247806 */     // (intrinsic_wo_chain:{ *:[i32] } 2203:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, -1:{ *:[i1] })  =>  (V_CVT_PK_FP8_F32_fake16_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_FP8_F32_fake16_e64),
     /* 247809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 247814 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247819 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247821 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247826 */     GIR_RootConstrainSelectedInstOperands,
     /* 247827 */     // GIR_Coverage, 2596,
     /* 247827 */     GIR_EraseRootFromParent_Done,
     /* 247828 */   // Label 4042: @247828
     /* 247828 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(247890), // Rule ID 2597 //
     /* 247833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_UseFakeTrue16Insts_isGFX9Plus),
     /* 247836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_pk_bf8_f32),
     /* 247841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247857 */     // MIs[0] Operand 5
     /* 247857 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 247868 */     // (intrinsic_wo_chain:{ *:[i32] } 2200:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$old, -1:{ *:[i1] })  =>  (V_CVT_PK_BF8_F32_fake16_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_BF8_F32_fake16_e64),
     /* 247871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 247876 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247881 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247883 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247888 */     GIR_RootConstrainSelectedInstOperands,
     /* 247889 */     // GIR_Coverage, 2597,
     /* 247889 */     GIR_EraseRootFromParent_Done,
     /* 247890 */   // Label 4043: @247890
     /* 247890 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(247955), // Rule ID 2600 //
     /* 247895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 247898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_fp8_f32),
     /* 247903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247919 */     // MIs[0] Operand 5
     /* 247919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247930 */     // (intrinsic_wo_chain:{ *:[i32] } 2262:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i32] })  =>  (V_CVT_SR_FP8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_FP8_F32_e64),
     /* 247933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 247935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247938 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 247940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247943 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 247945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247948 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 247950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247953 */     GIR_RootConstrainSelectedInstOperands,
     /* 247954 */     // GIR_Coverage, 2600,
     /* 247954 */     GIR_EraseRootFromParent_Done,
     /* 247955 */   // Label 4044: @247955
     /* 247955 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(248020), // Rule ID 2601 //
     /* 247960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 247963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_bf8_f32),
     /* 247968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 247971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 247974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 247977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 247980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 247984 */     // MIs[0] Operand 5
     /* 247984 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 247995 */     // (intrinsic_wo_chain:{ *:[i32] } 2260:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 0:{ *:[i32] })  =>  (V_CVT_SR_BF8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 247995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_BF8_F32_e64),
     /* 247998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248003 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248008 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248013 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248018 */     GIR_RootConstrainSelectedInstOperands,
     /* 248019 */     // GIR_Coverage, 2601,
     /* 248019 */     GIR_EraseRootFromParent_Done,
     /* 248020 */   // Label 4045: @248020
     /* 248020 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(248085), // Rule ID 2602 //
     /* 248025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_fp8_f32),
     /* 248033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248049 */     // MIs[0] Operand 5
     /* 248049 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 248060 */     // (intrinsic_wo_chain:{ *:[i32] } 2262:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 1:{ *:[i32] })  =>  (V_CVT_SR_FP8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 4:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_FP8_F32_e64),
     /* 248063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248068 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248073 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 248078 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248083 */     GIR_RootConstrainSelectedInstOperands,
     /* 248084 */     // GIR_Coverage, 2602,
     /* 248084 */     GIR_EraseRootFromParent_Done,
     /* 248085 */   // Label 4046: @248085
     /* 248085 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(248150), // Rule ID 2603 //
     /* 248090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_bf8_f32),
     /* 248098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248114 */     // MIs[0] Operand 5
     /* 248114 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 248125 */     // (intrinsic_wo_chain:{ *:[i32] } 2260:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 1:{ *:[i32] })  =>  (V_CVT_SR_BF8_F32_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 4:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_BF8_F32_e64),
     /* 248128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248133 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248138 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 248143 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248148 */     GIR_RootConstrainSelectedInstOperands,
     /* 248149 */     // GIR_Coverage, 2603,
     /* 248149 */     GIR_EraseRootFromParent_Done,
     /* 248150 */   // Label 4047: @248150
     /* 248150 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(248215), // Rule ID 2604 //
     /* 248155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_fp8_f32),
     /* 248163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248179 */     // MIs[0] Operand 5
     /* 248179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(2),
     /* 248190 */     // (intrinsic_wo_chain:{ *:[i32] } 2262:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 2:{ *:[i32] })  =>  (V_CVT_SR_FP8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_FP8_F32_e64),
     /* 248193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248198 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248203 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248208 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248213 */     GIR_RootConstrainSelectedInstOperands,
     /* 248214 */     // GIR_Coverage, 2604,
     /* 248214 */     GIR_EraseRootFromParent_Done,
     /* 248215 */   // Label 4048: @248215
     /* 248215 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(248280), // Rule ID 2605 //
     /* 248220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_bf8_f32),
     /* 248228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248244 */     // MIs[0] Operand 5
     /* 248244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(2),
     /* 248255 */     // (intrinsic_wo_chain:{ *:[i32] } 2260:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 2:{ *:[i32] })  =>  (V_CVT_SR_BF8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_BF8_F32_e64),
     /* 248258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248263 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248268 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248273 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248278 */     GIR_RootConstrainSelectedInstOperands,
     /* 248279 */     // GIR_Coverage, 2605,
     /* 248279 */     GIR_EraseRootFromParent_Done,
     /* 248280 */   // Label 4049: @248280
     /* 248280 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(248345), // Rule ID 2606 //
     /* 248285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_fp8_f32),
     /* 248293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248309 */     // MIs[0] Operand 5
     /* 248309 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(3),
     /* 248320 */     // (intrinsic_wo_chain:{ *:[i32] } 2262:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 3:{ *:[i32] })  =>  (V_CVT_SR_FP8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 4:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_FP8_F32_e64),
     /* 248323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248328 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248333 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 248338 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248343 */     GIR_RootConstrainSelectedInstOperands,
     /* 248344 */     // GIR_Coverage, 2606,
     /* 248344 */     GIR_EraseRootFromParent_Done,
     /* 248345 */   // Label 4050: @248345
     /* 248345 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(248410), // Rule ID 2607 //
     /* 248350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8ConversionInsts_isGFX940Plus),
     /* 248353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_bf8_f32),
     /* 248358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248374 */     // MIs[0] Operand 5
     /* 248374 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(3),
     /* 248385 */     // (intrinsic_wo_chain:{ *:[i32] } 2260:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$old, 3:{ *:[i32] })  =>  (V_CVT_SR_BF8_F32_e64:{ *:[i32] } 8:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 4:{ *:[i32] }, ?:{ *:[i32] }:$old, 0:{ *:[i32] })
     /* 248385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_BF8_F32_e64),
     /* 248388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248393 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248398 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 248403 */     GIR_RootToRootCopy, /*OpIdx*/4, // old
     /* 248405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248408 */     GIR_RootConstrainSelectedInstOperands,
     /* 248409 */     // GIR_Coverage, 2607,
     /* 248409 */     GIR_EraseRootFromParent_Done,
     /* 248410 */   // Label 4051: @248410
     /* 248410 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(248464), // Rule ID 2658 //
     /* 248415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_fp8_f16),
     /* 248420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 248423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 248426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 248429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248436 */     // MIs[0] word_sel
     /* 248436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248439 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2232:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, v2f16:{ *:[v2f16] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_FP8_F16_e64:{ *:[v2i16] } (DstSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[v2f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 248439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_FP8_F16_e64),
     /* 248442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSelXForm), // word_sel
     /* 248450 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 248452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248455 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 248457 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 248459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248462 */     GIR_RootConstrainSelectedInstOperands,
     /* 248463 */     // GIR_Coverage, 2658,
     /* 248463 */     GIR_EraseRootFromParent_Done,
     /* 248464 */   // Label 4052: @248464
     /* 248464 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(248518), // Rule ID 2659 //
     /* 248469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_bf8_f16),
     /* 248474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 248477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 248480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 248483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248490 */     // MIs[0] word_sel
     /* 248490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248493 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2220:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, v2f16:{ *:[v2f16] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_BF8_F16_e64:{ *:[v2i16] } (DstSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[v2f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 248493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_BF8_F16_e64),
     /* 248496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248498 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSelXForm), // word_sel
     /* 248504 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 248506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248509 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 248511 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 248513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248516 */     GIR_RootConstrainSelectedInstOperands,
     /* 248517 */     // GIR_Coverage, 2659,
     /* 248517 */     GIR_EraseRootFromParent_Done,
     /* 248518 */   // Label 4053: @248518
     /* 248518 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(248578), // Rule ID 2662 //
     /* 248523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_fp4_f16),
     /* 248528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 248537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248544 */     // MIs[0] index
     /* 248544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248547 */     // (intrinsic_wo_chain:{ *:[i32] } 2229:{ *:[iPTR] }, i32:{ *:[i32] }:$src2, v2f16:{ *:[v2f16] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_PK_FP4_F16_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[v2f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[i32] }:$src2)
     /* 248547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_FP4_F16_e64),
     /* 248550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248552 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 248558 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 248560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248563 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 248565 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 248571 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 248573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248576 */     GIR_RootConstrainSelectedInstOperands,
     /* 248577 */     // GIR_Coverage, 2662,
     /* 248577 */     GIR_EraseRootFromParent_Done,
     /* 248578 */   // Label 4054: @248578
     /* 248578 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(248635), // Rule ID 2709 //
     /* 248583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasF32ToF16BF16ConversionSRInsts),
     /* 248586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_sr_f16_f32),
     /* 248591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 248594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 248597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248607 */     // MIs[0] word_sel
     /* 248607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248610 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2261:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SR_F16_F32_e64:{ *:[v2f16] } (DstSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 248610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SR_F16_F32_e64),
     /* 248613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248615 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSelXForm), // word_sel
     /* 248621 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 248623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248626 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 248628 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 248630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248633 */     GIR_RootConstrainSelectedInstOperands,
     /* 248634 */     // GIR_Coverage, 2709,
     /* 248634 */     GIR_EraseRootFromParent_Done,
     /* 248635 */   // Label 4055: @248635
     /* 248635 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(248697), // Rule ID 2769 //
     /* 248640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot8Insts),
     /* 248643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot8),
     /* 248648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248664 */     // MIs[0] clamp
     /* 248664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248667 */     // (intrinsic_wo_chain:{ *:[i32] } 3306:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_DOT8_I32_IU4:{ *:[i32] } 9:{ *:[i32] }, i32:{ *:[i32] }:$src0, 9:{ *:[i32] }, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 248667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT8_I32_IU4),
     /* 248670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 248675 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 248680 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248685 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 248687 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 248689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248695 */     GIR_RootConstrainSelectedInstOperands,
     /* 248696 */     // GIR_Coverage, 2769,
     /* 248696 */     GIR_EraseRootFromParent_Done,
     /* 248697 */   // Label 4056: @248697
     /* 248697 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(248759), // Rule ID 2770 //
     /* 248702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot8Insts),
     /* 248705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot4),
     /* 248710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248726 */     // MIs[0] clamp
     /* 248726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248729 */     // (intrinsic_wo_chain:{ *:[i32] } 3305:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_DOT4_I32_IU8:{ *:[i32] } 9:{ *:[i32] }, i32:{ *:[i32] }:$src0, 9:{ *:[i32] }, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 248729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_IU8),
     /* 248732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 248737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 248742 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 248747 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 248749 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 248751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248757 */     GIR_RootConstrainSelectedInstOperands,
     /* 248758 */     // GIR_Coverage, 2770,
     /* 248758 */     GIR_EraseRootFromParent_Done,
     /* 248759 */   // Label 4057: @248759
     /* 248759 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(248803), // Rule ID 2697 //
     /* 248764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBitOp3Insts),
     /* 248767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_bitop3),
     /* 248772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 248778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 248781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248788 */     // MIs[0] bitop3
     /* 248788 */     // No operand predicates
     /* 248788 */     // (intrinsic_wo_chain:{ *:[i32] } 2186:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$bitop3)  =>  (V_BITOP3_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2, (timm:{ *:[i32] }):$bitop3)
     /* 248788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BITOP3_B32_e64),
     /* 248791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248793 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248795 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248797 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 248799 */     GIR_RootToRootCopy, /*OpIdx*/5, // bitop3
     /* 248801 */     GIR_RootConstrainSelectedInstOperands,
     /* 248802 */     // GIR_Coverage, 2697,
     /* 248802 */     GIR_EraseRootFromParent_Done,
     /* 248803 */   // Label 4058: @248803
     /* 248803 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(248859), // Rule ID 2698 //
     /* 248808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBitOp3Insts),
     /* 248811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_bitop3),
     /* 248816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 248819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 248822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 248825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 248828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248832 */     // MIs[0] bitop3
     /* 248832 */     // No operand predicates
     /* 248832 */     // (intrinsic_wo_chain:{ *:[i16] } 2186:{ *:[iPTR] }, i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$bitop3)  =>  (V_BITOP3_B16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, (timm:{ *:[i32] }):$bitop3, 0:{ *:[i32] })
     /* 248832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BITOP3_B16_e64),
     /* 248835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 248842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248845 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 248847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248850 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 248852 */     GIR_RootToRootCopy, /*OpIdx*/5, // bitop3
     /* 248854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248857 */     GIR_RootConstrainSelectedInstOperands,
     /* 248858 */     // GIR_Coverage, 2698,
     /* 248858 */     GIR_EraseRootFromParent_Done,
     /* 248859 */   // Label 4059: @248859
     /* 248859 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(248963), // Rule ID 1117 //
     /* 248864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /* 248867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot2),
     /* 248872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 248878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 248881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248888 */     // MIs[0] clamp
     /* 248888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 248898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 248905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 248912 */     // (intrinsic_wo_chain:{ *:[i32] } 3304:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT2_I32_I16:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 248912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_I32_I16),
     /* 248915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 248917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 248922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 248927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 248932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 248937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 248942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 248947 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 248949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 248961 */     GIR_RootConstrainSelectedInstOperands,
     /* 248962 */     // GIR_Coverage, 1117,
     /* 248962 */     GIR_EraseRootFromParent_Done,
     /* 248963 */   // Label 4060: @248963
     /* 248963 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(249067), // Rule ID 1118 //
     /* 248968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot2Insts),
     /* 248971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_udot2),
     /* 248976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 248979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 248982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 248985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 248988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 248992 */     // MIs[0] clamp
     /* 248992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 248995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249016 */     // (intrinsic_wo_chain:{ *:[i32] } 3408:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT2_U32_U16:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_U32_U16),
     /* 249019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249051 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249065 */     GIR_RootConstrainSelectedInstOperands,
     /* 249066 */     // GIR_Coverage, 1118,
     /* 249066 */     GIR_EraseRootFromParent_Done,
     /* 249067 */   // Label 4061: @249067
     /* 249067 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(249171), // Rule ID 1119 //
     /* 249072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot10Insts),
     /* 249075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fdot2),
     /* 249080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 249089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249096 */     // MIs[0] clamp
     /* 249096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249120 */     // (intrinsic_wo_chain:{ *:[f32] } 2306:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT2_F32_F16:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT2_F32_F16),
     /* 249123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249155 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249169 */     GIR_RootConstrainSelectedInstOperands,
     /* 249170 */     // GIR_Coverage, 1119,
     /* 249170 */     GIR_EraseRootFromParent_Done,
     /* 249171 */   // Label 4062: @249171
     /* 249171 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(249269), // Rule ID 1121 //
     /* 249176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /* 249179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_udot4),
     /* 249184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 249190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249200 */     // MIs[0] clamp
     /* 249200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249224 */     // (intrinsic_wo_chain:{ *:[i32] } 3409:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT4_U32_U8:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_U32_U8),
     /* 249227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249259 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249267 */     GIR_RootConstrainSelectedInstOperands,
     /* 249268 */     // GIR_Coverage, 1121,
     /* 249268 */     GIR_EraseRootFromParent_Done,
     /* 249269 */   // Label 4063: @249269
     /* 249269 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(249367), // Rule ID 1122 //
     /* 249274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot7Insts),
     /* 249277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_udot8),
     /* 249282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 249288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249298 */     // MIs[0] clamp
     /* 249298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249322 */     // (intrinsic_wo_chain:{ *:[i32] } 3410:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT8_U32_U4:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT8_U32_U4),
     /* 249325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249357 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249365 */     GIR_RootConstrainSelectedInstOperands,
     /* 249366 */     // GIR_Coverage, 1122,
     /* 249366 */     GIR_EraseRootFromParent_Done,
     /* 249367 */   // Label 4064: @249367
     /* 249367 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(249465), // Rule ID 1123 //
     /* 249372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /* 249375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot4),
     /* 249380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 249386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249396 */     // MIs[0] clamp
     /* 249396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249420 */     // (intrinsic_wo_chain:{ *:[i32] } 3305:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT4_I32_I8:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_I8),
     /* 249423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249455 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249463 */     GIR_RootConstrainSelectedInstOperands,
     /* 249464 */     // GIR_Coverage, 1123,
     /* 249464 */     GIR_EraseRootFromParent_Done,
     /* 249465 */   // Label 4065: @249465
     /* 249465 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(249563), // Rule ID 1124 //
     /* 249470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot1Insts),
     /* 249473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sdot8),
     /* 249478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 249484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249494 */     // MIs[0] clamp
     /* 249494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmodsdot),
     /* 249518 */     // (intrinsic_wo_chain:{ *:[i32] } 3306:{ *:[iPTR] }, (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PModsDOT:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (timm:{ *:[i1] }):$clamp)  =>  (V_DOT8_I32_I4:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)
     /* 249518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT8_I32_I4),
     /* 249521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 249528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 249533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 249538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 249543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 249548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 249553 */     GIR_RootToRootCopy, /*OpIdx*/5, // clamp
     /* 249555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249561 */     GIR_RootConstrainSelectedInstOperands,
     /* 249562 */     // GIR_Coverage, 1124,
     /* 249562 */     GIR_EraseRootFromParent_Done,
     /* 249563 */   // Label 4066: @249563
     /* 249563 */   GIM_Reject,
     /* 249564 */ // Label 4006: @249564
     /* 249564 */ GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(250581),
     /* 249569 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 249572 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(249640), // Rule ID 2648 //
     /* 249577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f16_fp8),
     /* 249582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249598 */     // MIs[0] src_sel
     /* 249598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249601 */     // MIs[0] Operand 6
     /* 249601 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/6, GIMT_Encode8(0),
     /* 249612 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2213:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$src_sel, 0:{ *:[i1] })  =>  (V_CVT_SCALEF32_F16_FP8_e64:{ *:[v2f16] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 249612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F16_FP8_e64),
     /* 249615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249617 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // src_sel
     /* 249623 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 249625 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // src_sel
     /* 249631 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 249633 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 249635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249638 */     GIR_RootConstrainSelectedInstOperands,
     /* 249639 */     // GIR_Coverage, 2648,
     /* 249639 */     GIR_EraseRootFromParent_Done,
     /* 249640 */   // Label 4068: @249640
     /* 249640 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(249708), // Rule ID 2649 //
     /* 249645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f16_bf8),
     /* 249650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249666 */     // MIs[0] src_sel
     /* 249666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249669 */     // MIs[0] Operand 6
     /* 249669 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/6, GIMT_Encode8(0),
     /* 249680 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2212:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$src_sel, 0:{ *:[i1] })  =>  (V_CVT_SCALEF32_F16_BF8_e64:{ *:[v2f16] } (SrcAndDstSelToOpSelXForm_0_0:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_0:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 249680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F16_BF8_e64),
     /* 249683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249685 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_0), // src_sel
     /* 249691 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 249693 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_0), // src_sel
     /* 249699 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 249701 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 249703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249706 */     GIR_RootConstrainSelectedInstOperands,
     /* 249707 */     // GIR_Coverage, 2649,
     /* 249707 */     GIR_EraseRootFromParent_Done,
     /* 249708 */   // Label 4069: @249708
     /* 249708 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(249776), // Rule ID 2650 //
     /* 249713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f16_fp8),
     /* 249718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249734 */     // MIs[0] src_sel
     /* 249734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249737 */     // MIs[0] Operand 6
     /* 249737 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/6, GIMT_Encode8(-1),
     /* 249748 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2213:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$src_sel, -1:{ *:[i1] })  =>  (V_CVT_SCALEF32_F16_FP8_e64:{ *:[v2f16] } (SrcAndDstSelToOpSelXForm_0_1:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_1:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 249748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F16_FP8_e64),
     /* 249751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249753 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_1), // src_sel
     /* 249759 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 249761 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_1), // src_sel
     /* 249767 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 249769 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 249771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249774 */     GIR_RootConstrainSelectedInstOperands,
     /* 249775 */     // GIR_Coverage, 2650,
     /* 249775 */     GIR_EraseRootFromParent_Done,
     /* 249776 */   // Label 4070: @249776
     /* 249776 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(249844), // Rule ID 2651 //
     /* 249781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_f16_bf8),
     /* 249786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249802 */     // MIs[0] src_sel
     /* 249802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249805 */     // MIs[0] Operand 6
     /* 249805 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/6, GIMT_Encode8(-1),
     /* 249816 */     // (intrinsic_wo_chain:{ *:[v2f16] } 2212:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, i32:{ *:[i32] }:$src0, f32:{ *:[f32] }:$src1, (timm:{ *:[i32] }):$src_sel, -1:{ *:[i1] })  =>  (V_CVT_SCALEF32_F16_BF8_e64:{ *:[v2f16] } (SrcAndDstSelToOpSelXForm_0_1:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[i32] }:$src0, (SrcAndDstSelToOpSelXForm_1_1:{ *:[i32] } ?:{ *:[i32] }:$src_sel), ?:{ *:[f32] }:$src1, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 249816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_F16_BF8_e64),
     /* 249819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249821 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_0_1), // src_sel
     /* 249827 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 249829 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_1_1), // src_sel
     /* 249835 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 249837 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 249839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249842 */     GIR_RootConstrainSelectedInstOperands,
     /* 249843 */     // GIR_Coverage, 2651,
     /* 249843 */     GIR_EraseRootFromParent_Done,
     /* 249844 */   // Label 4071: @249844
     /* 249844 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(249912), // Rule ID 1331 //
     /* 249849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX90APlus),
     /* 249852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2),
     /* 249857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 249863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 249869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249873 */     // MIs[0] attrchan
     /* 249873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 249876 */     // MIs[0] attr
     /* 249876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 249879 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 249883 */     // (intrinsic_wo_chain:{ *:[f32] } 3106:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, M0:{ *:[i32] })  =>  (V_INTERP_P2_F32:{ *:[f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$vsrc, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan)
     /* 249883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 249887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 249893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/6, // M0
     /* 249897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F32),
     /* 249900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249902 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 249904 */     GIR_RootToRootCopy, /*OpIdx*/3, // vsrc
     /* 249906 */     GIR_RootToRootCopy, /*OpIdx*/5, // attr
     /* 249908 */     GIR_RootToRootCopy, /*OpIdx*/4, // attrchan
     /* 249910 */     GIR_RootConstrainSelectedInstOperands,
     /* 249911 */     // GIR_Coverage, 1331,
     /* 249911 */     GIR_EraseRootFromParent_Done,
     /* 249912 */   // Label 4072: @249912
     /* 249912 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(249974), // Rule ID 2652 //
     /* 249917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_fp8_f32),
     /* 249922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 249937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 249941 */     // MIs[0] word_sel
     /* 249941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 249944 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2233:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_FP8_F32_e64:{ *:[v2i16] } (DstSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 249944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_FP8_F32_e64),
     /* 249947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 249949 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSelXForm), // word_sel
     /* 249955 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 249957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249960 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 249962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249965 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 249967 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 249969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249972 */     GIR_RootConstrainSelectedInstOperands,
     /* 249973 */     // GIR_Coverage, 2652,
     /* 249973 */     GIR_EraseRootFromParent_Done,
     /* 249974 */   // Label 4073: @249974
     /* 249974 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(250036), // Rule ID 2653 //
     /* 249979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_bf8_f32),
     /* 249984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 249987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 249990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 249993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 249996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 249999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250003 */     // MIs[0] word_sel
     /* 250003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250006 */     // (intrinsic_wo_chain:{ *:[v2i16] } 2221:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i1] }):$word_sel)  =>  (V_CVT_SCALEF32_PK_BF8_F32_e64:{ *:[v2i16] } (DstSelToOpSelXForm:{ *:[i32] } ?:{ *:[i1] }:$word_sel), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 250006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_BF8_F32_e64),
     /* 250009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250011 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSelXForm), // word_sel
     /* 250017 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250022 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250027 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250029 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250034 */     GIR_RootConstrainSelectedInstOperands,
     /* 250035 */     // GIR_Coverage, 2653,
     /* 250035 */     GIR_EraseRootFromParent_Done,
     /* 250036 */   // Label 4074: @250036
     /* 250036 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(250101), // Rule ID 2661 //
     /* 250041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_pk_fp4_f32),
     /* 250046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250065 */     // MIs[0] index
     /* 250065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250068 */     // (intrinsic_wo_chain:{ *:[i32] } 2230:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_PK_FP4_F32_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_PK_FP4_F32_e64),
     /* 250071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250073 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250079 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250084 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250092 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250094 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250099 */     GIR_RootConstrainSelectedInstOperands,
     /* 250100 */     // GIR_Coverage, 2661,
     /* 250100 */     GIR_EraseRootFromParent_Done,
     /* 250101 */   // Label 4075: @250101
     /* 250101 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(250166), // Rule ID 2663 //
     /* 250106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk_fp4_f16),
     /* 250111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 250120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250130 */     // MIs[0] index
     /* 250130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250133 */     // (intrinsic_wo_chain:{ *:[i32] } 2251:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_PK_FP4_F16_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[v2f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK_FP4_F16_e64),
     /* 250136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250138 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250144 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250149 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250151 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250157 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250159 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250164 */     GIR_RootConstrainSelectedInstOperands,
     /* 250165 */     // GIR_Coverage, 2663,
     /* 250165 */     GIR_EraseRootFromParent_Done,
     /* 250166 */   // Label 4076: @250166
     /* 250166 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(250231), // Rule ID 2664 //
     /* 250171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_pk_fp4_f32),
     /* 250176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 250185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250195 */     // MIs[0] index
     /* 250195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250198 */     // (intrinsic_wo_chain:{ *:[i32] } 2252:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_PK_FP4_F32_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[v2f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_PK_FP4_F32_e64),
     /* 250201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250203 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250209 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250214 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250216 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250222 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250224 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250229 */     GIR_RootConstrainSelectedInstOperands,
     /* 250230 */     // GIR_Coverage, 2664,
     /* 250230 */     GIR_EraseRootFromParent_Done,
     /* 250231 */   // Label 4077: @250231
     /* 250231 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(250296), // Rule ID 2665 //
     /* 250236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_bf8_f16),
     /* 250241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 250250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250260 */     // MIs[0] index
     /* 250260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250263 */     // (intrinsic_wo_chain:{ *:[i32] } 2245:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_BF8_F16_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_BF8_F16_e64),
     /* 250266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250268 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250274 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250279 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250281 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250287 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250289 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250294 */     GIR_RootConstrainSelectedInstOperands,
     /* 250295 */     // GIR_Coverage, 2665,
     /* 250295 */     GIR_EraseRootFromParent_Done,
     /* 250296 */   // Label 4078: @250296
     /* 250296 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(250361), // Rule ID 2666 //
     /* 250301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_bf8_f32),
     /* 250306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250325 */     // MIs[0] index
     /* 250325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250328 */     // (intrinsic_wo_chain:{ *:[i32] } 2246:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_BF8_F32_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_BF8_F32_e64),
     /* 250331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250333 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250339 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250344 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250346 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250352 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250354 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250359 */     GIR_RootConstrainSelectedInstOperands,
     /* 250360 */     // GIR_Coverage, 2666,
     /* 250360 */     GIR_EraseRootFromParent_Done,
     /* 250361 */   // Label 4079: @250361
     /* 250361 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(250426), // Rule ID 2667 //
     /* 250366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_fp8_f16),
     /* 250371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 250380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250390 */     // MIs[0] index
     /* 250390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250393 */     // (intrinsic_wo_chain:{ *:[i32] } 2248:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_FP8_F16_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_FP8_F16_e64),
     /* 250396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250398 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250404 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250409 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250411 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250417 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250419 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250424 */     GIR_RootConstrainSelectedInstOperands,
     /* 250425 */     // GIR_Coverage, 2667,
     /* 250425 */     GIR_EraseRootFromParent_Done,
     /* 250426 */   // Label 4080: @250426
     /* 250426 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(250491), // Rule ID 2668 //
     /* 250431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_cvt_scalef32_sr_fp8_f32),
     /* 250436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 250448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250455 */     // MIs[0] index
     /* 250455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250458 */     // (intrinsic_wo_chain:{ *:[i32] } 2249:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2, (timm:{ *:[i32] }):$index)  =>  (V_CVT_SCALEF32_SR_FP8_F32_e64:{ *:[i32] } (DstSelToOpSel3XForm:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, (SrcAndDstSelToOpSelXForm_2_0:{ *:[i32] } ?:{ *:[i32] }:$index), ?:{ *:[f32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 250458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_SCALEF32_SR_FP8_F32_e64),
     /* 250461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250463 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderDstSelToOpSel3XFormXForm), // index
     /* 250469 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250474 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 250476 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderSrcAndDstSelToOpSelXForm_2_0), // index
     /* 250482 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 250484 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 250486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250489 */     GIR_RootConstrainSelectedInstOperands,
     /* 250490 */     // GIR_Coverage, 2668,
     /* 250490 */     GIR_EraseRootFromParent_Done,
     /* 250491 */   // Label 4081: @250491
     /* 250491 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(250580), // Rule ID 1019 //
     /* 250496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_has32BankLDS_isNotGFX90APlus),
     /* 250499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p1_f16),
     /* 250504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 250513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250517 */     // MIs[0] attrchan
     /* 250517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 250520 */     // MIs[0] attr
     /* 250520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 250523 */     // MIs[0] high
     /* 250523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250526 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 250530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 250537 */     // (intrinsic_wo_chain:{ *:[f32] } 3104:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, (timm:{ *:[i1] }):$high, M0:{ *:[i32] })  =>  (V_INTERP_P1LL_F16:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i1] }):$high)
     /* 250537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 250541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/6, // M0
     /* 250551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P1LL_F16),
     /* 250554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 250561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 250566 */     GIR_RootToRootCopy, /*OpIdx*/4, // attr
     /* 250568 */     GIR_RootToRootCopy, /*OpIdx*/3, // attrchan
     /* 250570 */     GIR_RootToRootCopy, /*OpIdx*/5, // high
     /* 250572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250578 */     GIR_RootConstrainSelectedInstOperands,
     /* 250579 */     // GIR_Coverage, 1019,
     /* 250579 */     GIR_EraseRootFromParent_Done,
     /* 250580 */   // Label 4082: @250580
     /* 250580 */   GIM_Reject,
     /* 250581 */ // Label 4067: @250581
     /* 250581 */ GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(250856),
     /* 250586 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 250589 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(250669), // Rule ID 2767 //
     /* 250594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot8Insts),
     /* 250597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sudot4),
     /* 250602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 250614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250618 */     // MIs[0] clamp
     /* 250618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 250621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 250628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 250635 */     // (intrinsic_wo_chain:{ *:[i32] } 3393:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_mods), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_mods), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_DOT4_I32_IU8:{ *:[i32] } ?:{ *:[i32] }:$src0_mods, i32:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1_mods, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 250635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT4_I32_IU8),
     /* 250638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_mods
     /* 250645 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_mods
     /* 250652 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 250654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 250657 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 250659 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 250661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250667 */     GIR_RootConstrainSelectedInstOperands,
     /* 250668 */     // GIR_Coverage, 2767,
     /* 250668 */     GIR_EraseRootFromParent_Done,
     /* 250669 */   // Label 4084: @250669
     /* 250669 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(250749), // Rule ID 2768 //
     /* 250674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDot8Insts),
     /* 250677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_sudot8),
     /* 250682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 250691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 250694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250698 */     // MIs[0] clamp
     /* 250698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 250701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 250708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 250715 */     // (intrinsic_wo_chain:{ *:[i32] } 3394:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_mods), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_mods), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_DOT8_I32_IU4:{ *:[i32] } ?:{ *:[i32] }:$src0_mods, i32:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1_mods, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 250715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_DOT8_I32_IU4),
     /* 250718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_mods
     /* 250725 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 250727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_mods
     /* 250732 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 250734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 250737 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 250739 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 250741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250747 */     GIR_RootConstrainSelectedInstOperands,
     /* 250748 */     // GIR_Coverage, 2768,
     /* 250748 */     GIR_EraseRootFromParent_Done,
     /* 250749 */   // Label 4085: @250749
     /* 250749 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(250855), // Rule ID 1018 //
     /* 250754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isNotGFX90APlus),
     /* 250757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_interp_p2_f16),
     /* 250762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 250765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 250768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 250771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 250774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 250778 */     // MIs[0] attrchan
     /* 250778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 250781 */     // MIs[0] attr
     /* 250781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250784 */     // MIs[0] high
     /* 250784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 250787 */     GIM_RootCheckRegBankForClass, /*Op*/7, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 250791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 250798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 250805 */     // (intrinsic_wo_chain:{ *:[f16] } 3107:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (timm:{ *:[i32] }):$attrchan, (timm:{ *:[i32] }):$attr, (timm:{ *:[i1] }):$high, M0:{ *:[i32] })  =>  (V_INTERP_P2_F16:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, (timm:{ *:[i32] }):$attr, (timm:{ *:[i32] }):$attrchan, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, (timm:{ *:[i1] }):$high)
     /* 250805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 250809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // M0
     /* 250819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_INTERP_P2_F16),
     /* 250822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 250824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 250829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 250834 */     GIR_RootToRootCopy, /*OpIdx*/5, // attr
     /* 250836 */     GIR_RootToRootCopy, /*OpIdx*/4, // attrchan
     /* 250838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 250843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 250848 */     GIR_RootToRootCopy, /*OpIdx*/6, // high
     /* 250850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250853 */     GIR_RootConstrainSelectedInstOperands,
     /* 250854 */     // GIR_Coverage, 1018,
     /* 250854 */     GIR_EraseRootFromParent_Done,
     /* 250855 */   // Label 4086: @250855
     /* 250855 */   GIM_Reject,
     /* 250856 */ // Label 4083: @250856
     /* 250856 */ GIM_Reject,
     /* 250857 */ // Label 37: @250857
     /* 250857 */ GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(251031),
     /* 250862 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 250865 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(250880), // Rule ID 1316 //
     /* 250870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_dcache_inv),
     /* 250875 */     // (intrinsic_void 3261:{ *:[iPTR] })  =>  (S_DCACHE_INV)
     /* 250875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_DCACHE_INV),
     /* 250878 */     GIR_RootConstrainSelectedInstOperands,
     /* 250879 */     // GIR_Coverage, 1316,
     /* 250879 */     GIR_EraseRootFromParent_Done,
     /* 250880 */   // Label 4088: @250880
     /* 250880 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(250898), // Rule ID 1317 //
     /* 250885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7GFX8GFX9),
     /* 250888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_dcache_inv_vol),
     /* 250893 */     // (intrinsic_void 3262:{ *:[iPTR] })  =>  (S_DCACHE_INV_VOL)
     /* 250893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_DCACHE_INV_VOL),
     /* 250896 */     GIR_RootConstrainSelectedInstOperands,
     /* 250897 */     // GIR_Coverage, 1317,
     /* 250897 */     GIR_EraseRootFromParent_Done,
     /* 250898 */   // Label 4089: @250898
     /* 250898 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(250916), // Rule ID 1318 //
     /* 250903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasScalarStores_isGFX8Plus),
     /* 250906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_dcache_wb),
     /* 250911 */     // (intrinsic_void 3263:{ *:[iPTR] })  =>  (S_DCACHE_WB)
     /* 250911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_DCACHE_WB),
     /* 250914 */     GIR_RootConstrainSelectedInstOperands,
     /* 250915 */     // GIR_Coverage, 1318,
     /* 250915 */     GIR_EraseRootFromParent_Done,
     /* 250916 */   // Label 4090: @250916
     /* 250916 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(250934), // Rule ID 1319 //
     /* 250921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasScalarStores_isGFX8Plus),
     /* 250924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_dcache_wb_vol),
     /* 250929 */     // (intrinsic_void 3264:{ *:[iPTR] })  =>  (S_DCACHE_WB_VOL)
     /* 250929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_DCACHE_WB_VOL),
     /* 250932 */     GIR_RootConstrainSelectedInstOperands,
     /* 250933 */     // GIR_Coverage, 1319,
     /* 250933 */     GIR_EraseRootFromParent_Done,
     /* 250934 */   // Label 4091: @250934
     /* 250934 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(250952), // Rule ID 1326 //
     /* 250939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6),
     /* 250942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_buffer_wbinvl1_sc),
     /* 250947 */     // (intrinsic_void 2188:{ *:[iPTR] })  =>  (BUFFER_WBINVL1_SC)
     /* 250947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_WBINVL1_SC),
     /* 250950 */     GIR_RootConstrainSelectedInstOperands,
     /* 250951 */     // GIR_Coverage, 1326,
     /* 250951 */     GIR_EraseRootFromParent_Done,
     /* 250952 */   // Label 4092: @250952
     /* 250952 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(250970), // Rule ID 1327 //
     /* 250957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX940Plus),
     /* 250960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_buffer_wbinvl1),
     /* 250965 */     // (intrinsic_void 2187:{ *:[iPTR] })  =>  (BUFFER_WBINVL1)
     /* 250965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_WBINVL1),
     /* 250968 */     GIR_RootConstrainSelectedInstOperands,
     /* 250969 */     // GIR_Coverage, 1327,
     /* 250969 */     GIR_EraseRootFromParent_Done,
     /* 250970 */   // Label 4093: @250970
     /* 250970 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(250988), // Rule ID 1328 //
     /* 250975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX940Plus),
     /* 250978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_buffer_wbinvl1_vol),
     /* 250983 */     // (intrinsic_void 2189:{ *:[iPTR] })  =>  (BUFFER_WBINVL1_VOL)
     /* 250983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_WBINVL1_VOL),
     /* 250986 */     GIR_RootConstrainSelectedInstOperands,
     /* 250987 */     // GIR_Coverage, 1328,
     /* 250987 */     GIR_EraseRootFromParent_Done,
     /* 250988 */   // Label 4094: @250988
     /* 250988 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(251009), // Rule ID 1880 //
     /* 250993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 250996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_event_export_ready),
     /* 251001 */     // (intrinsic_void 3290:{ *:[iPTR] })  =>  (S_WAIT_EVENT 0:{ *:[i16] })
     /* 251001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_EVENT),
     /* 251004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251007 */     GIR_RootConstrainSelectedInstOperands,
     /* 251008 */     // GIR_Coverage, 1880,
     /* 251008 */     GIR_EraseRootFromParent_Done,
     /* 251009 */   // Label 4095: @251009
     /* 251009 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(251030), // Rule ID 1881 //
     /* 251014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_event_export_ready),
     /* 251022 */     // (intrinsic_void 3290:{ *:[iPTR] })  =>  (S_WAIT_EVENT 2:{ *:[i16] })
     /* 251022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_EVENT),
     /* 251025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 251028 */     GIR_RootConstrainSelectedInstOperands,
     /* 251029 */     // GIR_Coverage, 1881,
     /* 251029 */     GIR_EraseRootFromParent_Done,
     /* 251030 */   // Label 4096: @251030
     /* 251030 */   GIM_Reject,
     /* 251031 */ // Label 4087: @251031
     /* 251031 */ GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(251771),
     /* 251036 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 251039 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(251097), // Rule ID 7025 //
     /* 251044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_kill),
     /* 251049 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 251052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 251056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 251060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /* 251064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /* 251068 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 251072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251074 */     // (intrinsic_void 3113:{ *:[iPTR] }, (xor:{ *:[i1] } i1:{ *:[i1] }:$src, -1:{ *:[i1] }))  =>  (SI_KILL_I1_PSEUDO SCSrc_i1:{ *:[i1] }:$src, -1:{ *:[i1] })
     /* 251074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_KILL_I1_PSEUDO),
     /* 251077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 251081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 251084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 251087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/1,
     /* 251090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251095 */     GIR_RootConstrainSelectedInstOperands,
     /* 251096 */     // GIR_Coverage, 7025,
     /* 251096 */     GIR_EraseRootFromParent_Done,
     /* 251097 */   // Label 4098: @251097
     /* 251097 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(251155), // Rule ID 7028 //
     /* 251102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_wqm_demote),
     /* 251107 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 251110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 251114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 251118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /* 251122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /* 251126 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 251130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251132 */     // (intrinsic_void 3445:{ *:[iPTR] }, (xor:{ *:[i1] } i1:{ *:[i1] }:$src, -1:{ *:[i1] }))  =>  (SI_DEMOTE_I1 SCSrc_i1:{ *:[i1] }:$src, -1:{ *:[i1] })
     /* 251132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_DEMOTE_I1),
     /* 251135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 251139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 251142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 251145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/1,
     /* 251148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251153 */     GIR_RootConstrainSelectedInstOperands,
     /* 251154 */     // GIR_Coverage, 7028,
     /* 251154 */     GIR_EraseRootFromParent_Done,
     /* 251155 */   // Label 4099: @251155
     /* 251155 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(251175), // Rule ID 178 //
     /* 251160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_nop),
     /* 251165 */     // MIs[0] simm16
     /* 251165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251168 */     // (intrinsic_void 3274:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_NOP (timm:{ *:[i16] }):$simm16)
     /* 251168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_NOP),
     /* 251171 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251173 */     GIR_RootConstrainSelectedInstOperands,
     /* 251174 */     // GIR_Coverage, 178,
     /* 251174 */     GIR_EraseRootFromParent_Done,
     /* 251175 */   // Label 4100: @251175
     /* 251175 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(251195), // Rule ID 183 //
     /* 251180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_waitcnt),
     /* 251185 */     // MIs[0] simm16
     /* 251185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251188 */     // (intrinsic_void 3296:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_WAITCNT (timm:{ *:[i32] }):$simm16)
     /* 251188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAITCNT),
     /* 251191 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251193 */     GIR_RootConstrainSelectedInstOperands,
     /* 251194 */     // GIR_Coverage, 183,
     /* 251194 */     GIR_EraseRootFromParent_Done,
     /* 251195 */   // Label 4101: @251195
     /* 251195 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(251215), // Rule ID 184 //
     /* 251200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_sethalt),
     /* 251205 */     // MIs[0] simm16
     /* 251205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251208 */     // (intrinsic_void 3280:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_SETHALT (timm:{ *:[i32] }):$simm16)
     /* 251208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SETHALT),
     /* 251211 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251213 */     GIR_RootConstrainSelectedInstOperands,
     /* 251214 */     // GIR_Coverage, 184,
     /* 251214 */     GIR_EraseRootFromParent_Done,
     /* 251215 */   // Label 4102: @251215
     /* 251215 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(251235), // Rule ID 185 //
     /* 251220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_sleep),
     /* 251225 */     // MIs[0] simm16
     /* 251225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251228 */     // (intrinsic_void 3284:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_SLEEP (timm:{ *:[i32] }):$simm16)
     /* 251228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SLEEP),
     /* 251231 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251233 */     GIR_RootConstrainSelectedInstOperands,
     /* 251234 */     // GIR_Coverage, 185,
     /* 251234 */     GIR_EraseRootFromParent_Done,
     /* 251235 */   // Label 4103: @251235
     /* 251235 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(251255), // Rule ID 187 //
     /* 251240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_setprio),
     /* 251245 */     // MIs[0] simm16
     /* 251245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251248 */     // (intrinsic_void 3281:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_SETPRIO (timm:{ *:[i16] }):$simm16)
     /* 251248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SETPRIO),
     /* 251251 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251253 */     GIR_RootConstrainSelectedInstOperands,
     /* 251254 */     // GIR_Coverage, 187,
     /* 251254 */     GIR_EraseRootFromParent_Done,
     /* 251255 */   // Label 4104: @251255
     /* 251255 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(251278), // Rule ID 188 //
     /* 251260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSetPrioIncWgInst),
     /* 251263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_setprio_inc_wg),
     /* 251268 */     // MIs[0] simm16
     /* 251268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251271 */     // (intrinsic_void 3282:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_SETPRIO_INC_WG (timm:{ *:[i16] }):$simm16)
     /* 251271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SETPRIO_INC_WG),
     /* 251274 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251276 */     GIR_RootConstrainSelectedInstOperands,
     /* 251277 */     // GIR_Coverage, 188,
     /* 251277 */     GIR_EraseRootFromParent_Done,
     /* 251278 */   // Label 4105: @251278
     /* 251278 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(251298), // Rule ID 191 //
     /* 251283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_incperflevel),
     /* 251288 */     // MIs[0] simm16
     /* 251288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251291 */     // (intrinsic_void 3271:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_INCPERFLEVEL (timm:{ *:[i32] }):$simm16)
     /* 251291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_INCPERFLEVEL),
     /* 251294 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251296 */     GIR_RootConstrainSelectedInstOperands,
     /* 251297 */     // GIR_Coverage, 191,
     /* 251297 */     GIR_EraseRootFromParent_Done,
     /* 251298 */   // Label 4106: @251298
     /* 251298 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(251318), // Rule ID 192 //
     /* 251303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_decperflevel),
     /* 251308 */     // MIs[0] simm16
     /* 251308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251311 */     // (intrinsic_void 3265:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_DECPERFLEVEL (timm:{ *:[i32] }):$simm16)
     /* 251311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_DECPERFLEVEL),
     /* 251314 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251316 */     GIR_RootConstrainSelectedInstOperands,
     /* 251317 */     // GIR_Coverage, 192,
     /* 251317 */     GIR_EraseRootFromParent_Done,
     /* 251318 */   // Label 4107: @251318
     /* 251318 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(251341), // Rule ID 195 //
     /* 251323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 251326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_ttracedata_imm),
     /* 251331 */     // MIs[0] simm16
     /* 251331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251334 */     // (intrinsic_void 3287:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_TTRACEDATA_IMM (timm:{ *:[i16] }):$simm16)
     /* 251334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_TTRACEDATA_IMM),
     /* 251337 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251339 */     GIR_RootConstrainSelectedInstOperands,
     /* 251340 */     // GIR_Coverage, 195,
     /* 251340 */     GIR_EraseRootFromParent_Done,
     /* 251341 */   // Label 4108: @251341
     /* 251341 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(251364), // Rule ID 196 //
     /* 251346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_loadcnt),
     /* 251354 */     // MIs[0] simm16
     /* 251354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251357 */     // (intrinsic_void 3293:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_LOADCNT (timm:{ *:[i16] }):$simm16)
     /* 251357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_LOADCNT),
     /* 251360 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251362 */     GIR_RootConstrainSelectedInstOperands,
     /* 251363 */     // GIR_Coverage, 196,
     /* 251363 */     GIR_EraseRootFromParent_Done,
     /* 251364 */   // Label 4109: @251364
     /* 251364 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(251387), // Rule ID 197 //
     /* 251369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_storecnt),
     /* 251377 */     // MIs[0] simm16
     /* 251377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251380 */     // (intrinsic_void 3295:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_STORECNT (timm:{ *:[i16] }):$simm16)
     /* 251380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_STORECNT),
     /* 251383 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251385 */     GIR_RootConstrainSelectedInstOperands,
     /* 251386 */     // GIR_Coverage, 197,
     /* 251386 */     GIR_EraseRootFromParent_Done,
     /* 251387 */   // Label 4110: @251387
     /* 251387 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(251410), // Rule ID 198 //
     /* 251392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasImageInsts_isGFX12Plus),
     /* 251395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_samplecnt),
     /* 251400 */     // MIs[0] simm16
     /* 251400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251403 */     // (intrinsic_void 3294:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_SAMPLECNT (timm:{ *:[i16] }):$simm16)
     /* 251403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_SAMPLECNT),
     /* 251406 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251408 */     GIR_RootConstrainSelectedInstOperands,
     /* 251409 */     // GIR_Coverage, 198,
     /* 251409 */     GIR_EraseRootFromParent_Done,
     /* 251410 */   // Label 4111: @251410
     /* 251410 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(251433), // Rule ID 199 //
     /* 251415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasImageInsts_isGFX12Plus),
     /* 251418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_bvhcnt),
     /* 251423 */     // MIs[0] simm16
     /* 251423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251426 */     // (intrinsic_void 3288:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_BVHCNT (timm:{ *:[i16] }):$simm16)
     /* 251426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_BVHCNT),
     /* 251429 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251431 */     GIR_RootConstrainSelectedInstOperands,
     /* 251432 */     // GIR_Coverage, 199,
     /* 251432 */     GIR_EraseRootFromParent_Done,
     /* 251433 */   // Label 4112: @251433
     /* 251433 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(251456), // Rule ID 200 //
     /* 251438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasExportInsts_isGFX12Plus),
     /* 251441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_expcnt),
     /* 251446 */     // MIs[0] simm16
     /* 251446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251449 */     // (intrinsic_void 3291:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_EXPCNT (timm:{ *:[i16] }):$simm16)
     /* 251449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_EXPCNT),
     /* 251452 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251454 */     GIR_RootConstrainSelectedInstOperands,
     /* 251455 */     // GIR_Coverage, 200,
     /* 251455 */     GIR_EraseRootFromParent_Done,
     /* 251456 */   // Label 4113: @251456
     /* 251456 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(251479), // Rule ID 201 //
     /* 251461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_dscnt),
     /* 251469 */     // MIs[0] simm16
     /* 251469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251472 */     // (intrinsic_void 3289:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_DSCNT (timm:{ *:[i16] }):$simm16)
     /* 251472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_DSCNT),
     /* 251475 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251477 */     GIR_RootConstrainSelectedInstOperands,
     /* 251478 */     // GIR_Coverage, 201,
     /* 251478 */     GIR_EraseRootFromParent_Done,
     /* 251479 */   // Label 4114: @251479
     /* 251479 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(251502), // Rule ID 202 //
     /* 251484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_wait_kmcnt),
     /* 251492 */     // MIs[0] simm16
     /* 251492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251495 */     // (intrinsic_void 3292:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_WAIT_KMCNT (timm:{ *:[i16] }):$simm16)
     /* 251495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WAIT_KMCNT),
     /* 251498 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 251500 */     GIR_RootConstrainSelectedInstOperands,
     /* 251501 */     // GIR_Coverage, 202,
     /* 251501 */     GIR_EraseRootFromParent_Done,
     /* 251502 */   // Label 4115: @251502
     /* 251502 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(251529), // Rule ID 1315 //
     /* 251507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMemTimeInst),
     /* 251510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_memtime),
     /* 251515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 251522 */     // (intrinsic_w_chain:{ *:[i64] } 3273:{ *:[iPTR] })  =>  (S_MEMTIME:{ *:[i64] })
     /* 251522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MEMTIME),
     /* 251525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 251527 */     GIR_RootConstrainSelectedInstOperands,
     /* 251528 */     // GIR_Coverage, 1315,
     /* 251528 */     GIR_EraseRootFromParent_Done,
     /* 251529 */   // Label 4116: @251529
     /* 251529 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(251556), // Rule ID 1320 //
     /* 251534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMemRealTime),
     /* 251537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_memrealtime),
     /* 251542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 251549 */     // (intrinsic_w_chain:{ *:[i64] } 3272:{ *:[iPTR] })  =>  (S_MEMREALTIME:{ *:[i64] })
     /* 251549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MEMREALTIME),
     /* 251552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 251554 */     GIR_RootConstrainSelectedInstOperands,
     /* 251555 */     // GIR_Coverage, 1320,
     /* 251555 */     GIR_EraseRootFromParent_Done,
     /* 251556 */   // Label 4117: @251556
     /* 251556 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(251583), // Rule ID 1321 //
     /* 251561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGetWaveIdInst),
     /* 251564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_get_waveid_in_workgroup),
     /* 251569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 251576 */     // (intrinsic_w_chain:{ *:[i32] } 3268:{ *:[iPTR] })  =>  (S_GET_WAVEID_IN_WORKGROUP:{ *:[i32] })
     /* 251576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_GET_WAVEID_IN_WORKGROUP),
     /* 251579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 251581 */     GIR_RootConstrainSelectedInstOperands,
     /* 251582 */     // GIR_Coverage, 1321,
     /* 251582 */     GIR_EraseRootFromParent_Done,
     /* 251583 */   // Label 4118: @251583
     /* 251583 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(251611), // Rule ID 1360 //
     /* 251588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_live_mask),
     /* 251593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 251596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 251600 */     // (intrinsic_w_chain:{ *:[i1] } 3118:{ *:[iPTR] })  =>  (SI_LIVE_MASK:{ *:[i1] })
     /* 251600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_LIVE_MASK),
     /* 251603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251609 */     GIR_RootConstrainSelectedInstOperands,
     /* 251610 */     // GIR_Coverage, 1360,
     /* 251610 */     GIR_EraseRootFromParent_Done,
     /* 251611 */   // Label 4119: @251611
     /* 251611 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(251644), // Rule ID 1884 //
     /* 251616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9GFX10),
     /* 251619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_pops_exiting_wave_id),
     /* 251624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 251631 */     // (intrinsic_w_chain:{ *:[i32] } 3190:{ *:[iPTR] })  =>  (S_MOV_B32_sideeffects:{ *:[i32] } SRC_POPS_EXITING_WAVE_ID:{ *:[i32] })
     /* 251631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32_sideeffects),
     /* 251634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 251636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SRC_POPS_EXITING_WAVE_ID), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 251642 */     GIR_RootConstrainSelectedInstOperands,
     /* 251643 */     // GIR_Coverage, 1884,
     /* 251643 */     GIR_EraseRootFromParent_Done,
     /* 251644 */   // Label 4120: @251644
     /* 251644 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(251668), // Rule ID 186 //
     /* 251649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_sleep_var),
     /* 251654 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 251657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 251661 */     // (intrinsic_void 3285:{ *:[iPTR] }, SSrc_b32:{ *:[i32] }:$src0)  =>  (S_SLEEP_VAR SSrc_b32:{ *:[i32] }:$src0)
     /* 251661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SLEEP_VAR),
     /* 251664 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 251666 */     GIR_RootConstrainSelectedInstOperands,
     /* 251667 */     // GIR_Coverage, 186,
     /* 251667 */     GIR_EraseRootFromParent_Done,
     /* 251668 */   // Label 4121: @251668
     /* 251668 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(251704), // Rule ID 193 //
     /* 251673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_ttracedata),
     /* 251678 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 251681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 251685 */     // (intrinsic_void 3286:{ *:[iPTR] }, M0:{ *:[i32] })  =>  (S_TTRACEDATA)
     /* 251685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // M0
     /* 251699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_TTRACEDATA),
     /* 251702 */     GIR_RootConstrainSelectedInstOperands,
     /* 251703 */     // GIR_Coverage, 193,
     /* 251703 */     GIR_EraseRootFromParent_Done,
     /* 251704 */   // Label 4122: @251704
     /* 251704 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(251737), // Rule ID 7024 //
     /* 251709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_kill),
     /* 251714 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 251717 */     // (intrinsic_void 3113:{ *:[iPTR] }, i1:{ *:[i1] }:$src)  =>  (SI_KILL_I1_PSEUDO SCSrc_i1:{ *:[i1] }:$src, 0:{ *:[i1] })
     /* 251717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_KILL_I1_PSEUDO),
     /* 251720 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 251722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 251728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/1,
     /* 251731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251735 */     GIR_RootConstrainSelectedInstOperands,
     /* 251736 */     // GIR_Coverage, 7024,
     /* 251736 */     GIR_EraseRootFromParent_Done,
     /* 251737 */   // Label 4123: @251737
     /* 251737 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(251770), // Rule ID 7027 //
     /* 251742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_wqm_demote),
     /* 251747 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 251750 */     // (intrinsic_void 3445:{ *:[iPTR] }, i1:{ *:[i1] }:$src)  =>  (SI_DEMOTE_I1 SCSrc_i1:{ *:[i1] }:$src, 0:{ *:[i1] })
     /* 251750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_DEMOTE_I1),
     /* 251753 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 251755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 251761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/1,
     /* 251764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251768 */     GIR_RootConstrainSelectedInstOperands,
     /* 251769 */     // GIR_Coverage, 7027,
     /* 251769 */     GIR_EraseRootFromParent_Done,
     /* 251770 */   // Label 4124: @251770
     /* 251770 */   GIM_Reject,
     /* 251771 */ // Label 4097: @251771
     /* 251771 */ GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(252337),
     /* 251776 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 251779 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(251848), // Rule ID 3558 //
     /* 251784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_prefetch_data),
     /* 251792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 251795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 251799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 251807 */     // MIs[1] Operand 1
     /* 251807 */     // No operand predicates
     /* 251807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 251816 */     // (intrinsic_void 3275:{ *:[iPTR] }, (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset), (imm:{ *:[i32] }):$len)  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, SGPR_NULL:{ *:[i32] }, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$len))
     /* 251816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 251819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 251824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 251829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 251835 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // len
     /* 251841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251846 */     GIR_RootConstrainSelectedInstOperands,
     /* 251847 */     // GIR_Coverage, 3558,
     /* 251847 */     GIR_EraseRootFromParent_Done,
     /* 251848 */   // Label 4126: @251848
     /* 251848 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(251903), // Rule ID 3556 //
     /* 251853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 251856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_prefetch_data),
     /* 251861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 251864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 251868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 251872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_imm),
     /* 251879 */     // (intrinsic_void 3275:{ *:[iPTR] }, (SMRDImm:{ *:[iPTR] } i64:{ *:[i64] }:$sbase, i32:{ *:[i32] }:$offset), SReg_32:{ *:[i32] }:$len)  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$len, 0:{ *:[i8] })
     /* 251879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 251882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // sbase
     /* 251887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 251892 */     GIR_RootToRootCopy, /*OpIdx*/2, // len
     /* 251894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251901 */     GIR_RootConstrainSelectedInstOperands,
     /* 251902 */     // GIR_Coverage, 3556,
     /* 251902 */     GIR_EraseRootFromParent_Done,
     /* 251903 */   // Label 4127: @251903
     /* 251903 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(251940), // Rule ID 119 //
     /* 251908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_setreg),
     /* 251913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 251916 */     // MIs[0] simm16
     /* 251916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_SIMM16bit),
     /* 251924 */     // (intrinsic_void 3283:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_SIMM16bit>><<X:as_i16timm>>:$simm16, i32:{ *:[i32] }:$sdst)  =>  (S_SETREG_B32 i32:{ *:[i32] }:$sdst, (as_i16timm:{ *:[i32] } (timm:{ *:[i32] }):$simm16))
     /* 251924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SETREG_B32),
     /* 251927 */     GIR_RootToRootCopy, /*OpIdx*/2, // sdst
     /* 251929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // simm16
     /* 251935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::MODE*/0,
     /* 251938 */     GIR_RootConstrainSelectedInstOperands,
     /* 251939 */     // GIR_Coverage, 119,
     /* 251939 */     GIR_EraseRootFromParent_Done,
     /* 251940 */   // Label 4128: @251940
     /* 251940 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(251972), // Rule ID 25 //
     /* 251945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 251948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_sendmsg_rtn),
     /* 251953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 251960 */     // MIs[0] src0
     /* 251960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 251963 */     // (intrinsic_w_chain:{ *:[i32] } 3278:{ *:[iPTR] }, (timm:{ *:[i32] }):$src0)  =>  (S_SENDMSG_RTN_B32:{ *:[i32] } (timm:{ *:[i32] }):$src0)
     /* 251963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SENDMSG_RTN_B32),
     /* 251966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 251968 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 251970 */     GIR_RootConstrainSelectedInstOperands,
     /* 251971 */     // GIR_Coverage, 25,
     /* 251971 */     GIR_EraseRootFromParent_Done,
     /* 251972 */   // Label 4129: @251972
     /* 251972 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(252004), // Rule ID 26 //
     /* 251977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 251980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_sendmsg_rtn),
     /* 251985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 251992 */     // MIs[0] src0
     /* 251992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 251995 */     // (intrinsic_w_chain:{ *:[i64] } 3278:{ *:[iPTR] }, (timm:{ *:[i32] }):$src0)  =>  (S_SENDMSG_RTN_B64:{ *:[i64] } (timm:{ *:[i32] }):$src0)
     /* 251995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SENDMSG_RTN_B64),
     /* 251998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 252000 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 252002 */     GIR_RootConstrainSelectedInstOperands,
     /* 252003 */     // GIR_Coverage, 26,
     /* 252003 */     GIR_EraseRootFromParent_Done,
     /* 252004 */   // Label 4130: @252004
     /* 252004 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(252033), // Rule ID 118 //
     /* 252009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_getreg),
     /* 252014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 252021 */     // MIs[0] simm16
     /* 252021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 252024 */     // (intrinsic_w_chain:{ *:[i32] } 3270:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16)  =>  (S_GETREG_B32:{ *:[i32] } (timm:{ *:[i32] }):$simm16)
     /* 252024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_GETREG_B32),
     /* 252027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 252029 */     GIR_RootToRootCopy, /*OpIdx*/2, // simm16
     /* 252031 */     GIR_RootConstrainSelectedInstOperands,
     /* 252032 */     // GIR_Coverage, 118,
     /* 252032 */     GIR_EraseRootFromParent_Done,
     /* 252033 */   // Label 4131: @252033
     /* 252033 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(252094), // Rule ID 3559 //
     /* 252038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 252041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_prefetch_data),
     /* 252046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252049 */     // MIs[0] sbase
     /* 252049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 252057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 252065 */     // MIs[1] Operand 1
     /* 252065 */     // No operand predicates
     /* 252065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252067 */     // (intrinsic_void 3275:{ *:[iPTR] }, SReg_64:{ *:[i64] }:$sbase, (imm:{ *:[i32] }):$len)  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, 0:{ *:[i32] }, SGPR_NULL:{ *:[i32] }, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$len))
     /* 252067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 252070 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 252072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 252081 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // len
     /* 252087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252092 */     GIR_RootConstrainSelectedInstOperands,
     /* 252093 */     // GIR_Coverage, 3559,
     /* 252093 */     GIR_EraseRootFromParent_Done,
     /* 252094 */   // Label 4132: @252094
     /* 252094 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(252135), // Rule ID 189 //
     /* 252099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_sendmsg),
     /* 252104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252107 */     // MIs[0] simm16
     /* 252107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 252114 */     // (intrinsic_void 3277:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16, M0:{ *:[i32] })  =>  (S_SENDMSG (timm:{ *:[i32] }):$simm16)
     /* 252114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // M0
     /* 252128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SENDMSG),
     /* 252131 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 252133 */     GIR_RootConstrainSelectedInstOperands,
     /* 252134 */     // GIR_Coverage, 189,
     /* 252134 */     GIR_EraseRootFromParent_Done,
     /* 252135 */   // Label 4133: @252135
     /* 252135 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(252176), // Rule ID 190 //
     /* 252140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_sendmsghalt),
     /* 252145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252148 */     // MIs[0] simm16
     /* 252148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 252155 */     // (intrinsic_void 3279:{ *:[iPTR] }, (timm:{ *:[i32] }):$simm16, M0:{ *:[i32] })  =>  (S_SENDMSGHALT (timm:{ *:[i32] }):$simm16)
     /* 252155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // M0
     /* 252169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_SENDMSGHALT),
     /* 252172 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 252174 */     GIR_RootConstrainSelectedInstOperands,
     /* 252175 */     // GIR_Coverage, 190,
     /* 252175 */     GIR_EraseRootFromParent_Done,
     /* 252176 */   // Label 4134: @252176
     /* 252176 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(252231), // Rule ID 6976 //
     /* 252181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 252184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_lds_direct_load),
     /* 252189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 252199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 252203 */     // (intrinsic_w_chain:{ *:[f32] } 3114:{ *:[iPTR] }, M0:{ *:[i32] })  =>  (LDS_DIRECT_LOAD:{ *:[f32] } 0:{ *:[i32] })
     /* 252203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // M0
     /* 252217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::LDS_DIRECT_LOAD),
     /* 252220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 252222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252229 */     GIR_RootConstrainSelectedInstOperands,
     /* 252230 */     // GIR_Coverage, 6976,
     /* 252230 */     GIR_EraseRootFromParent_Done,
     /* 252231 */   // Label 4135: @252231
     /* 252231 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(252289), // Rule ID 6978 //
     /* 252236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 252239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_lds_direct_load),
     /* 252244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 252254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 252258 */     // (intrinsic_w_chain:{ *:[f32] } 3114:{ *:[iPTR] }, M0:{ *:[i32] })  =>  (DS_DIRECT_LOAD:{ *:[f32] } 0:{ *:[i32] }, 1:{ *:[i32] })
     /* 252258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // M0
     /* 252272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_DIRECT_LOAD),
     /* 252275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 252277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 252283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252287 */     GIR_RootConstrainSelectedInstOperands,
     /* 252288 */     // GIR_Coverage, 6978,
     /* 252288 */     GIR_EraseRootFromParent_Done,
     /* 252289 */   // Label 4136: @252289
     /* 252289 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(252336), // Rule ID 3557 //
     /* 252294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 252297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_prefetch_data),
     /* 252302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 252305 */     // MIs[0] sbase
     /* 252305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 252313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 252317 */     // (intrinsic_void 3275:{ *:[iPTR] }, SReg_64:{ *:[i64] }:$sbase, SReg_32:{ *:[i32] }:$len)  =>  (S_PREFETCH_DATA ?:{ *:[i64] }:$sbase, 0:{ *:[i32] }, ?:{ *:[i32] }:$len, 0:{ *:[i8] })
     /* 252317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_PREFETCH_DATA),
     /* 252320 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 252322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252325 */     GIR_RootToRootCopy, /*OpIdx*/2, // len
     /* 252327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252334 */     GIR_RootConstrainSelectedInstOperands,
     /* 252335 */     // GIR_Coverage, 3557,
     /* 252335 */     GIR_EraseRootFromParent_Done,
     /* 252336 */   // Label 4137: @252336
     /* 252336 */   GIM_Reject,
     /* 252337 */ // Label 4125: @252337
     /* 252337 */ GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(254499),
     /* 252342 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 252345 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(252415), // Rule ID 1323 //
     /* 252350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX10_BEncoding),
     /* 252353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 252358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 252368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 252379 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)  =>  (BUFFER_ATOMIC_CSUB_ADDR64_RTN:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 252379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CSUB_ADDR64_RTN),
     /* 252382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 252384 */     GIR_RootToRootCopy, /*OpIdx*/3, // vdata_in
     /* 252386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 252391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 252396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 252401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 252406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 252409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252413 */     GIR_RootConstrainSelectedInstOperands,
     /* 252414 */     // GIR_Coverage, 1323,
     /* 252414 */     GIR_EraseRootFromParent_Done,
     /* 252415 */   // Label 4139: @252415
     /* 252415 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(252485), // Rule ID 1325 //
     /* 252420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX10_BEncoding),
     /* 252423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 252428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 252438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 252449 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)  =>  (BUFFER_ATOMIC_CSUB_VBUFFER_ADDR64_RTN:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, i64:{ *:[i64] }:$vaddr, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 252449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CSUB_VBUFFER_ADDR64_RTN),
     /* 252452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 252454 */     GIR_RootToRootCopy, /*OpIdx*/3, // vdata_in
     /* 252456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 252461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 252466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 252471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 252476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 252479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252483 */     GIR_RootConstrainSelectedInstOperands,
     /* 252484 */     // GIR_Coverage, 1325,
     /* 252484 */     GIR_EraseRootFromParent_Done,
     /* 252485 */   // Label 4140: @252485
     /* 252485 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(252550), // Rule ID 1322 //
     /* 252490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX10_BEncoding),
     /* 252493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 252498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 252508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 252519 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)  =>  (BUFFER_ATOMIC_CSUB_OFFSET_RTN:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 252519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CSUB_OFFSET_RTN),
     /* 252522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 252524 */     GIR_RootToRootCopy, /*OpIdx*/3, // vdata_in
     /* 252526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 252531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 252536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 252544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252548 */     GIR_RootConstrainSelectedInstOperands,
     /* 252549 */     // GIR_Coverage, 1322,
     /* 252549 */     GIR_EraseRootFromParent_Done,
     /* 252550 */   // Label 4141: @252550
     /* 252550 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(252615), // Rule ID 1324 //
     /* 252555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX10_BEncoding),
     /* 252558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 252563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 252573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 252584 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$vdata_in)  =>  (BUFFER_ATOMIC_CSUB_VBUFFER_OFFSET_RTN:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset)
     /* 252584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CSUB_VBUFFER_OFFSET_RTN),
     /* 252587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 252589 */     GIR_RootToRootCopy, /*OpIdx*/3, // vdata_in
     /* 252591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 252596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 252601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 252609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252613 */     GIR_RootConstrainSelectedInstOperands,
     /* 252614 */     // GIR_Coverage, 1324,
     /* 252614 */     GIR_EraseRootFromParent_Done,
     /* 252615 */   // Label 4142: @252615
     /* 252615 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(252676), // Rule ID 7994 //
     /* 252620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts_isGFX12Plus),
     /* 252623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 252628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252634 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 252639 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 252641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 252652 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_noret_local_addrspace>>  =>  (DS_COND_SUB_U32 ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 252652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_COND_SUB_U32),
     /* 252655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 252660 */     GIR_RootToRootCopy, /*OpIdx*/3, // value
     /* 252662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 252667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252674 */     GIR_RootConstrainSelectedInstOperands,
     /* 252675 */     // GIR_Coverage, 7994,
     /* 252675 */     GIR_EraseRootFromParent_Done,
     /* 252676 */   // Label 4143: @252676
     /* 252676 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(252741), // Rule ID 7993 //
     /* 252681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 252684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 252689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252695 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/1, /*AddrSpace*/3,
     /* 252700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 252704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 252715 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$value)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_local_addrspace>>  =>  (DS_COND_SUB_RTN_U32:{ *:[i32] } ?:{ *:[i32] }:$ptr, anonymous_9775:{ *:[i32] }:$value, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 252715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_COND_SUB_RTN_U32),
     /* 252718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 252720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 252725 */     GIR_RootToRootCopy, /*OpIdx*/3, // value
     /* 252727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 252732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252739 */     GIR_RootConstrainSelectedInstOperands,
     /* 252740 */     // GIR_Coverage, 7993,
     /* 252740 */     GIR_EraseRootFromParent_Done,
     /* 252741 */   // Label 4144: @252741
     /* 252741 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(252809), // Rule ID 4176 //
     /* 252746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts_isGFX12Plus),
     /* 252749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 252754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252760 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 252767 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 252769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 252780 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_noret_global_addrspace>>  =>  (GLOBAL_ATOMIC_COND_SUB_U32_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 252780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_COND_SUB_U32_SADDR),
     /* 252783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 252788 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 252790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 252795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252807 */     GIR_RootConstrainSelectedInstOperands,
     /* 252808 */     // GIR_Coverage, 4176,
     /* 252808 */     GIR_EraseRootFromParent_Done,
     /* 252809 */   // Label 4145: @252809
     /* 252809 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(252870), // Rule ID 4120 //
     /* 252814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 252817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 252822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252828 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 252830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 252841 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_csub_noret>>  =>  (GLOBAL_ATOMIC_CSUB_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 252841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CSUB_SADDR),
     /* 252844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 252849 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 252851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 252856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252868 */     GIR_RootConstrainSelectedInstOperands,
     /* 252869 */     // GIR_Coverage, 4120,
     /* 252869 */     GIR_EraseRootFromParent_Done,
     /* 252870 */   // Label 4146: @252870
     /* 252870 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(252931), // Rule ID 4204 //
     /* 252875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 252878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmin_num),
     /* 252883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252889 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 252891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 252902 */     // (intrinsic_w_chain:{ *:[f32] } 2322:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_fmin_num_noret>>  =>  (GLOBAL_ATOMIC_FMIN_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 252902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_SADDR),
     /* 252905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 252910 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 252912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 252917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252929 */     GIR_RootConstrainSelectedInstOperands,
     /* 252930 */     // GIR_Coverage, 4204,
     /* 252930 */     GIR_EraseRootFromParent_Done,
     /* 252931 */   // Label 4147: @252931
     /* 252931 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(252992), // Rule ID 4208 //
     /* 252936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 252939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmax_num),
     /* 252944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 252950 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 252952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 252956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 252963 */     // (intrinsic_w_chain:{ *:[f32] } 2321:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_fmax_num_noret>>  =>  (GLOBAL_ATOMIC_FMAX_SADDR ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 252963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_SADDR),
     /* 252966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 252971 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 252973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 252978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 252983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 252986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252990 */     GIR_RootConstrainSelectedInstOperands,
     /* 252991 */     // GIR_Coverage, 4208,
     /* 252991 */     GIR_EraseRootFromParent_Done,
     /* 252992 */   // Label 4148: @252992
     /* 252992 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(253064), // Rule ID 4174 //
     /* 252997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_isGFX12Plus),
     /* 253000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 253005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253011 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 253018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 253033 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_global_addrspace>>  =>  (GLOBAL_ATOMIC_COND_SUB_U32_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 253033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_COND_SUB_U32_SADDR_RTN),
     /* 253036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 253043 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 253050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 253055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253062 */     GIR_RootConstrainSelectedInstOperands,
     /* 253063 */     // GIR_Coverage, 4174,
     /* 253063 */     GIR_EraseRootFromParent_Done,
     /* 253064 */   // Label 4149: @253064
     /* 253064 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(253129), // Rule ID 4118 //
     /* 253069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 253072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 253077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 253098 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)  =>  (GLOBAL_ATOMIC_CSUB_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 253098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CSUB_SADDR_RTN),
     /* 253101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 253108 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 253115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 253120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253127 */     GIR_RootConstrainSelectedInstOperands,
     /* 253128 */     // GIR_Coverage, 4118,
     /* 253128 */     GIR_EraseRootFromParent_Done,
     /* 253129 */   // Label 4150: @253129
     /* 253129 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(253194), // Rule ID 4178 //
     /* 253134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 253137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_ordered_add_b64),
     /* 253142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 253145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 253148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 253152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 253163 */     // (intrinsic_w_chain:{ *:[i64] } 2323:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)  =>  (GLOBAL_ATOMIC_ORDERED_ADD_B64_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 253163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ORDERED_ADD_B64_SADDR_RTN),
     /* 253166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 253173 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 253180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 253185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253192 */     GIR_RootConstrainSelectedInstOperands,
     /* 253193 */     // GIR_Coverage, 4178,
     /* 253193 */     GIR_EraseRootFromParent_Done,
     /* 253194 */   // Label 4151: @253194
     /* 253194 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(253259), // Rule ID 4206 //
     /* 253199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmin_num),
     /* 253207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 253228 */     // (intrinsic_w_chain:{ *:[f32] } 2322:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (GLOBAL_ATOMIC_FMIN_SADDR_RTN:{ *:[f32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 253228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_SADDR_RTN),
     /* 253231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 253238 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 253245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 253250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253257 */     GIR_RootConstrainSelectedInstOperands,
     /* 253258 */     // GIR_Coverage, 4206,
     /* 253258 */     GIR_EraseRootFromParent_Done,
     /* 253259 */   // Label 4152: @253259
     /* 253259 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(253324), // Rule ID 4210 //
     /* 253264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmax_num),
     /* 253272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 253293 */     // (intrinsic_w_chain:{ *:[f32] } 2321:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (GLOBAL_ATOMIC_FMAX_SADDR_RTN:{ *:[f32] } ?:{ *:[i32] }:$voffset, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 253293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_SADDR_RTN),
     /* 253296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 253303 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 253310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 253315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253322 */     GIR_RootConstrainSelectedInstOperands,
     /* 253323 */     // GIR_Coverage, 4210,
     /* 253323 */     GIR_EraseRootFromParent_Done,
     /* 253324 */   // Label 4153: @253324
     /* 253324 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(253387), // Rule ID 4175 //
     /* 253329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts_isGFX12Plus),
     /* 253332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 253337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253343 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 253350 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 253352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253363 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_noret_global_addrspace>>  =>  (GLOBAL_ATOMIC_COND_SUB_U32 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_COND_SUB_U32),
     /* 253366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253371 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253385 */     GIR_RootConstrainSelectedInstOperands,
     /* 253386 */     // GIR_Coverage, 4175,
     /* 253386 */     GIR_EraseRootFromParent_Done,
     /* 253387 */   // Label 4154: @253387
     /* 253387 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(253443), // Rule ID 4119 //
     /* 253392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 253395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 253400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253406 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 253408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253419 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_csub_noret>>  =>  (GLOBAL_ATOMIC_CSUB VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CSUB),
     /* 253422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253427 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253441 */     GIR_RootConstrainSelectedInstOperands,
     /* 253442 */     // GIR_Coverage, 4119,
     /* 253442 */     GIR_EraseRootFromParent_Done,
     /* 253443 */   // Label 4155: @253443
     /* 253443 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(253499), // Rule ID 4203 //
     /* 253448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmin_num),
     /* 253456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253462 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 253464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253475 */     // (intrinsic_w_chain:{ *:[f32] } 2322:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_fmin_num_noret>>  =>  (GLOBAL_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN),
     /* 253478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253483 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253497 */     GIR_RootConstrainSelectedInstOperands,
     /* 253498 */     // GIR_Coverage, 4203,
     /* 253498 */     GIR_EraseRootFromParent_Done,
     /* 253499 */   // Label 4156: @253499
     /* 253499 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(253555), // Rule ID 4207 //
     /* 253504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmax_num),
     /* 253512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253518 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 253520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253531 */     // (intrinsic_w_chain:{ *:[f32] } 2321:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_global_atomic_fmax_num_noret>>  =>  (GLOBAL_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX),
     /* 253534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253539 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253553 */     GIR_RootConstrainSelectedInstOperands,
     /* 253554 */     // GIR_Coverage, 4207,
     /* 253554 */     GIR_EraseRootFromParent_Done,
     /* 253555 */   // Label 4157: @253555
     /* 253555 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(253622), // Rule ID 4173 //
     /* 253560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts_isGFX12Plus),
     /* 253563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 253568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253574 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 253581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253596 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_global_addrspace>>  =>  (GLOBAL_ATOMIC_COND_SUB_U32_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_COND_SUB_U32_RTN),
     /* 253599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253606 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253620 */     GIR_RootConstrainSelectedInstOperands,
     /* 253621 */     // GIR_Coverage, 4173,
     /* 253621 */     GIR_EraseRootFromParent_Done,
     /* 253622 */   // Label 4158: @253622
     /* 253622 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(253682), // Rule ID 4117 //
     /* 253627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 253630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_csub),
     /* 253635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253656 */     // (intrinsic_w_chain:{ *:[i32] } 2320:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)  =>  (GLOBAL_ATOMIC_CSUB_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CSUB_RTN),
     /* 253659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253666 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253680 */     GIR_RootConstrainSelectedInstOperands,
     /* 253681 */     // GIR_Coverage, 4117,
     /* 253681 */     GIR_EraseRootFromParent_Done,
     /* 253682 */   // Label 4159: @253682
     /* 253682 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(253742), // Rule ID 4177 //
     /* 253687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 253690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_ordered_add_b64),
     /* 253695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 253698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 253701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 253705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253716 */     // (intrinsic_w_chain:{ *:[i64] } 2323:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i64:{ *:[i64] }:$data)  =>  (GLOBAL_ATOMIC_ORDERED_ADD_B64_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 253716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_ORDERED_ADD_B64_RTN),
     /* 253719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253726 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253740 */     GIR_RootConstrainSelectedInstOperands,
     /* 253741 */     // GIR_Coverage, 4177,
     /* 253741 */     GIR_EraseRootFromParent_Done,
     /* 253742 */   // Label 4160: @253742
     /* 253742 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(253802), // Rule ID 4205 //
     /* 253747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmin_num),
     /* 253755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253776 */     // (intrinsic_w_chain:{ *:[f32] } 2322:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (GLOBAL_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMIN_RTN),
     /* 253779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253786 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253800 */     GIR_RootConstrainSelectedInstOperands,
     /* 253801 */     // GIR_Coverage, 4205,
     /* 253801 */     GIR_EraseRootFromParent_Done,
     /* 253802 */   // Label 4161: @253802
     /* 253802 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(253862), // Rule ID 4209 //
     /* 253807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 253810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_atomic_fmax_num),
     /* 253815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 253821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 253825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 253829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 253836 */     // (intrinsic_w_chain:{ *:[f32] } 2321:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (GLOBAL_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 253836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_FMAX_RTN),
     /* 253839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 253846 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 253848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 253853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 253856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253860 */     GIR_RootConstrainSelectedInstOperands,
     /* 253861 */     // GIR_Coverage, 4209,
     /* 253861 */     GIR_EraseRootFromParent_Done,
     /* 253862 */   // Label 4162: @253862
     /* 253862 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(253904), // Rule ID 8531 //
     /* 253867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_add_gs_reg_rtn),
     /* 253872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 253875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 253878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 253882 */     // MIs[0] offset32
     /* 253882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253885 */     // (intrinsic_w_chain:{ *:[i64] } 2273:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$offset32)  =>  (DS_ADD_GS_REG_RTN:{ *:[i64] } VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$offset32))
     /* 253885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_GS_REG_RTN),
     /* 253888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 253890 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 253892 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // offset32
     /* 253898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253902 */     GIR_RootConstrainSelectedInstOperands,
     /* 253903 */     // GIR_Coverage, 8531,
     /* 253903 */     GIR_EraseRootFromParent_Done,
     /* 253904 */   // Label 4163: @253904
     /* 253904 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(253998), // Rule ID 8532 //
     /* 253909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_add_gs_reg_rtn),
     /* 253914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 253920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 253924 */     // MIs[0] offset32
     /* 253924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253927 */     // (intrinsic_w_chain:{ *:[i32] } 2273:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$offset32)  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i64] } (DS_ADD_GS_REG_RTN:{ *:[i64] } VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$offset32)), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 253927 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 253930 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::DS_ADD_GS_REG_RTN),
     /* 253934 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253939 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src
     /* 253943 */     GIR_CustomOperandRenderer, /*InsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // offset32
     /* 253949 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 253955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 253958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253967 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 253970 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 253975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 253980 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 253987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 253992 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 253997 */     // GIR_Coverage, 8532,
     /* 253997 */     GIR_EraseRootFromParent_Done,
     /* 253998 */   // Label 4164: @253998
     /* 253998 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(254040), // Rule ID 8533 //
     /* 254003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_sub_gs_reg_rtn),
     /* 254008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 254011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 254014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 254018 */     // MIs[0] offset32
     /* 254018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254021 */     // (intrinsic_w_chain:{ *:[i64] } 2295:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$offset32)  =>  (DS_SUB_GS_REG_RTN:{ *:[i64] } VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$offset32))
     /* 254021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_GS_REG_RTN),
     /* 254024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 254026 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 254028 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // offset32
     /* 254034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254038 */     GIR_RootConstrainSelectedInstOperands,
     /* 254039 */     // GIR_Coverage, 8533,
     /* 254039 */     GIR_EraseRootFromParent_Done,
     /* 254040 */   // Label 4165: @254040
     /* 254040 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(254134), // Rule ID 8534 //
     /* 254045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_sub_gs_reg_rtn),
     /* 254050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 254056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254060 */     // MIs[0] offset32
     /* 254060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254063 */     // (intrinsic_w_chain:{ *:[i32] } 2295:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$offset32)  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i64] } (DS_SUB_GS_REG_RTN:{ *:[i64] } VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$offset32)), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 254063 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 254066 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SUB_GS_REG_RTN),
     /* 254070 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254075 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src
     /* 254079 */     GIR_CustomOperandRenderer, /*InsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // offset32
     /* 254085 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 254094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254103 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 254106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 254111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 254116 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 254123 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254128 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 254133 */     // GIR_Coverage, 8534,
     /* 254133 */     GIR_EraseRootFromParent_Done,
     /* 254134 */   // Label 4166: @254134
     /* 254134 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(254198), // Rule ID 3816 //
     /* 254139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts_isGFX12Plus),
     /* 254142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 254147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254153 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 254161 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 254163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254174 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_noret_flat_addrspace>>  =>  (FLAT_ATOMIC_COND_SUB_U32 VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_COND_SUB_U32),
     /* 254177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254182 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254196 */     GIR_RootConstrainSelectedInstOperands,
     /* 254197 */     // GIR_Coverage, 3816,
     /* 254197 */     GIR_EraseRootFromParent_Done,
     /* 254198 */   // Label 4167: @254198
     /* 254198 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(254254), // Rule ID 4212 //
     /* 254203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 254206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_flat_atomic_fmin_num),
     /* 254211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254217 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 254219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254230 */     // (intrinsic_w_chain:{ *:[f32] } 2312:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_flat_atomic_fmin_num_noret>>  =>  (FLAT_ATOMIC_FMIN VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN),
     /* 254233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254238 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254252 */     GIR_RootConstrainSelectedInstOperands,
     /* 254253 */     // GIR_Coverage, 4212,
     /* 254253 */     GIR_EraseRootFromParent_Done,
     /* 254254 */   // Label 4168: @254254
     /* 254254 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(254310), // Rule ID 4214 //
     /* 254259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 254262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_flat_atomic_fmax_num),
     /* 254267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254273 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 254275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254286 */     // (intrinsic_w_chain:{ *:[f32] } 2311:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)<<P:Predicate_int_amdgcn_flat_atomic_fmax_num_noret>>  =>  (FLAT_ATOMIC_FMAX VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX),
     /* 254289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254294 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254308 */     GIR_RootConstrainSelectedInstOperands,
     /* 254309 */     // GIR_Coverage, 4214,
     /* 254309 */     GIR_EraseRootFromParent_Done,
     /* 254310 */   // Label 4169: @254310
     /* 254310 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(254378), // Rule ID 3815 //
     /* 254315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace_isGFX12Plus),
     /* 254318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_atomic_cond_sub_u32),
     /* 254323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254329 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 254337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 254341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254352 */     // (intrinsic_w_chain:{ *:[i32] } 2184:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data)<<P:Predicate_int_amdgcn_atomic_cond_sub_u32_flat_addrspace>>  =>  (FLAT_ATOMIC_COND_SUB_U32_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_COND_SUB_U32_RTN),
     /* 254355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 254357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254362 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254376 */     GIR_RootConstrainSelectedInstOperands,
     /* 254377 */     // GIR_Coverage, 3815,
     /* 254377 */     GIR_EraseRootFromParent_Done,
     /* 254378 */   // Label 4170: @254378
     /* 254378 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(254438), // Rule ID 4211 //
     /* 254383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 254386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_flat_atomic_fmin_num),
     /* 254391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 254401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254412 */     // (intrinsic_w_chain:{ *:[f32] } 2312:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (FLAT_ATOMIC_FMIN_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMIN_RTN),
     /* 254415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 254417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254422 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254436 */     GIR_RootConstrainSelectedInstOperands,
     /* 254437 */     // GIR_Coverage, 4211,
     /* 254437 */     GIR_EraseRootFromParent_Done,
     /* 254438 */   // Label 4171: @254438
     /* 254438 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(254498), // Rule ID 4213 //
     /* 254443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 254446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_flat_atomic_fmax_num),
     /* 254451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 254461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 254465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 254472 */     // (intrinsic_w_chain:{ *:[f32] } 2311:{ *:[iPTR] }, (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), f32:{ *:[f32] }:$data)  =>  (FLAT_ATOMIC_FMAX_RTN:{ *:[f32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9775:{ *:[f32] }:$data, ?:{ *:[i32] }:$offset)
     /* 254472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_FMAX_RTN),
     /* 254475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 254477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 254482 */     GIR_RootToRootCopy, /*OpIdx*/3, // data
     /* 254484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 254489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254496 */     GIR_RootConstrainSelectedInstOperands,
     /* 254497 */     // GIR_Coverage, 4213,
     /* 254497 */     GIR_EraseRootFromParent_Done,
     /* 254498 */   // Label 4172: @254498
     /* 254498 */   GIM_Reject,
     /* 254499 */ // Label 4138: @254499
     /* 254499 */ GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(254833),
     /* 254504 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 254507 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp_compr),
     /* 254512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 254515 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s16,
     /* 254518 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254521 */   GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 254524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254528 */   GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254532 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(254607), // Rule ID 6972 //
     /* 254537 */     // MIs[0] Operand 5
     /* 254537 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 254548 */     // MIs[0] vm
     /* 254548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 254551 */     // (intrinsic_void 2301:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[v2i16] }:$src0, ExpSrc1:{ *:[v2i16] }:$src1, 0:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[v2i16] }:$src0, ExpSrc1:{ *:[v2i16] }:$src1, (IMPLICIT_DEF:{ *:[i16] }), (IMPLICIT_DEF:{ *:[i16] }), (timm:{ *:[i1] }):$vm, 1:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254551 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 254554 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254558 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 254568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP),
     /* 254582 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254584 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254586 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 254594 */     GIR_RootToRootCopy, /*OpIdx*/6, // vm
     /* 254596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254599 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 254601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254605 */     GIR_RootConstrainSelectedInstOperands,
     /* 254606 */     // GIR_Coverage, 6972,
     /* 254606 */     GIR_EraseRootFromParent_Done,
     /* 254607 */   // Label 4174: @254607
     /* 254607 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(254682), // Rule ID 6973 //
     /* 254612 */     // MIs[0] Operand 5
     /* 254612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 254623 */     // MIs[0] vm
     /* 254623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 254626 */     // (intrinsic_void 2301:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[v2i16] }:$src0, ExpSrc1:{ *:[v2i16] }:$src1, -1:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[v2i16] }:$src0, ExpSrc1:{ *:[v2i16] }:$src1, (IMPLICIT_DEF:{ *:[i16] }), (IMPLICIT_DEF:{ *:[i16] }), (timm:{ *:[i1] }):$vm, 1:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254626 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 254629 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254633 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 254643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_DONE),
     /* 254657 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254659 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254661 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 254669 */     GIR_RootToRootCopy, /*OpIdx*/6, // vm
     /* 254671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254674 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 254676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254680 */     GIR_RootConstrainSelectedInstOperands,
     /* 254681 */     // GIR_Coverage, 6973,
     /* 254681 */     GIR_EraseRootFromParent_Done,
     /* 254682 */   // Label 4175: @254682
     /* 254682 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(254757), // Rule ID 6974 //
     /* 254687 */     // MIs[0] Operand 5
     /* 254687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 254698 */     // MIs[0] vm
     /* 254698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 254701 */     // (intrinsic_void 2301:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[v2f16] }:$src0, ExpSrc1:{ *:[v2f16] }:$src1, 0:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[v2f16] }:$src0, ExpSrc1:{ *:[v2f16] }:$src1, (IMPLICIT_DEF:{ *:[i16] }), (IMPLICIT_DEF:{ *:[i16] }), (timm:{ *:[i1] }):$vm, 1:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254701 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 254704 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254708 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 254718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP),
     /* 254732 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254734 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254736 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 254744 */     GIR_RootToRootCopy, /*OpIdx*/6, // vm
     /* 254746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254749 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 254751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254755 */     GIR_RootConstrainSelectedInstOperands,
     /* 254756 */     // GIR_Coverage, 6974,
     /* 254756 */     GIR_EraseRootFromParent_Done,
     /* 254757 */   // Label 4176: @254757
     /* 254757 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(254832), // Rule ID 6975 //
     /* 254762 */     // MIs[0] Operand 5
     /* 254762 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(-1),
     /* 254773 */     // MIs[0] vm
     /* 254773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 254776 */     // (intrinsic_void 2301:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[v2f16] }:$src0, ExpSrc1:{ *:[v2f16] }:$src1, -1:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[v2f16] }:$src0, ExpSrc1:{ *:[v2f16] }:$src1, (IMPLICIT_DEF:{ *:[i16] }), (IMPLICIT_DEF:{ *:[i16] }), (timm:{ *:[i1] }):$vm, 1:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254776 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 254779 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254783 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 254793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_DONE),
     /* 254807 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254809 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254811 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 254819 */     GIR_RootToRootCopy, /*OpIdx*/6, // vm
     /* 254821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 254824 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 254826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254830 */     GIR_RootConstrainSelectedInstOperands,
     /* 254831 */     // GIR_Coverage, 6975,
     /* 254831 */     GIR_EraseRootFromParent_Done,
     /* 254832 */   // Label 4177: @254832
     /* 254832 */   GIM_Reject,
     /* 254833 */ // Label 4173: @254833
     /* 254833 */ GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(255590),
     /* 254838 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 254841 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(254925), // Rule ID 6964 //
     /* 254846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp),
     /* 254851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 254857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 254860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 254863 */     // MIs[0] tgt
     /* 254863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254866 */     // MIs[0] en
     /* 254866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 254869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254881 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254885 */     // MIs[0] Operand 7
     /* 254885 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 254896 */     // MIs[0] vm
     /* 254896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 254899 */     // (intrinsic_void 2300:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, 0:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, (timm:{ *:[i1] }):$vm, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP),
     /* 254902 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254904 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254906 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254908 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 254910 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 254912 */     GIR_RootToRootCopy, /*OpIdx*/8, // vm
     /* 254914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254917 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 254919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254923 */     GIR_RootConstrainSelectedInstOperands,
     /* 254924 */     // GIR_Coverage, 6964,
     /* 254924 */     GIR_EraseRootFromParent_Done,
     /* 254925 */   // Label 4179: @254925
     /* 254925 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(255009), // Rule ID 6965 //
     /* 254930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp),
     /* 254935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 254938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 254941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 254944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 254947 */     // MIs[0] tgt
     /* 254947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254950 */     // MIs[0] en
     /* 254950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 254953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254965 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 254969 */     // MIs[0] Operand 7
     /* 254969 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(-1),
     /* 254980 */     // MIs[0] vm
     /* 254980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 254983 */     // (intrinsic_void 2300:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, -1:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, (timm:{ *:[i1] }):$vm, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 254983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_DONE),
     /* 254986 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 254988 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 254990 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 254992 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 254994 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 254996 */     GIR_RootToRootCopy, /*OpIdx*/8, // vm
     /* 254998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255001 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255007 */     GIR_RootConstrainSelectedInstOperands,
     /* 255008 */     // GIR_Coverage, 6965,
     /* 255008 */     GIR_EraseRootFromParent_Done,
     /* 255009 */   // Label 4180: @255009
     /* 255009 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(255093), // Rule ID 6966 //
     /* 255014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp),
     /* 255019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255031 */     // MIs[0] tgt
     /* 255031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255034 */     // MIs[0] en
     /* 255034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255049 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255053 */     // MIs[0] Operand 7
     /* 255053 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 255064 */     // MIs[0] vm
     /* 255064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 255067 */     // (intrinsic_void 2300:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, 0:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, (timm:{ *:[i1] }):$vm, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP),
     /* 255070 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255072 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255074 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255076 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255078 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255080 */     GIR_RootToRootCopy, /*OpIdx*/8, // vm
     /* 255082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255085 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255091 */     GIR_RootConstrainSelectedInstOperands,
     /* 255092 */     // GIR_Coverage, 6966,
     /* 255092 */     GIR_EraseRootFromParent_Done,
     /* 255093 */   // Label 4181: @255093
     /* 255093 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(255177), // Rule ID 6967 //
     /* 255098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp),
     /* 255103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255115 */     // MIs[0] tgt
     /* 255115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255118 */     // MIs[0] en
     /* 255118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255133 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255137 */     // MIs[0] Operand 7
     /* 255137 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(-1),
     /* 255148 */     // MIs[0] vm
     /* 255148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 255151 */     // (intrinsic_void 2300:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, -1:{ *:[i1] }, (timm:{ *:[i1] }):$vm)  =>  (EXP_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, (timm:{ *:[i1] }):$vm, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_DONE),
     /* 255154 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255156 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255158 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255160 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255162 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255164 */     GIR_RootToRootCopy, /*OpIdx*/8, // vm
     /* 255166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255169 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255175 */     GIR_RootConstrainSelectedInstOperands,
     /* 255176 */     // GIR_Coverage, 6967,
     /* 255176 */     GIR_EraseRootFromParent_Done,
     /* 255177 */   // Label 4182: @255177
     /* 255177 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(255280), // Rule ID 6968 //
     /* 255182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp_row),
     /* 255187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255199 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 255202 */     // MIs[0] tgt
     /* 255202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255205 */     // MIs[0] en
     /* 255205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255220 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255224 */     // MIs[0] Operand 7
     /* 255224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 255235 */     GIM_RootCheckRegBankForClass, /*Op*/8, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 255239 */     // (intrinsic_void 2302:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, 0:{ *:[i1] }, M0:{ *:[i32] })  =>  (EXP_ROW (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, 0:{ *:[i1] }, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, // M0
     /* 255253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_ROW),
     /* 255256 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255258 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255260 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255262 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255264 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255272 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255278 */     GIR_RootConstrainSelectedInstOperands,
     /* 255279 */     // GIR_Coverage, 6968,
     /* 255279 */     GIR_EraseRootFromParent_Done,
     /* 255280 */   // Label 4183: @255280
     /* 255280 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(255383), // Rule ID 6969 //
     /* 255285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp_row),
     /* 255290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255302 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 255305 */     // MIs[0] tgt
     /* 255305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255308 */     // MIs[0] en
     /* 255308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255323 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255327 */     // MIs[0] Operand 7
     /* 255327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(-1),
     /* 255338 */     GIM_RootCheckRegBankForClass, /*Op*/8, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 255342 */     // (intrinsic_void 2302:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, -1:{ *:[i1] }, M0:{ *:[i32] })  =>  (EXP_ROW_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[i32] }:$src0, ExpSrc1:{ *:[i32] }:$src1, ExpSrc2:{ *:[i32] }:$src2, ExpSrc3:{ *:[i32] }:$src3, 0:{ *:[i1] }, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, // M0
     /* 255356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_ROW_DONE),
     /* 255359 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255361 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255363 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255365 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255367 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255375 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255381 */     GIR_RootConstrainSelectedInstOperands,
     /* 255382 */     // GIR_Coverage, 6969,
     /* 255382 */     GIR_EraseRootFromParent_Done,
     /* 255383 */   // Label 4184: @255383
     /* 255383 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(255486), // Rule ID 6970 //
     /* 255388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp_row),
     /* 255393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255405 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 255408 */     // MIs[0] tgt
     /* 255408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255411 */     // MIs[0] en
     /* 255411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255426 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255430 */     // MIs[0] Operand 7
     /* 255430 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 255441 */     GIM_RootCheckRegBankForClass, /*Op*/8, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 255445 */     // (intrinsic_void 2302:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, 0:{ *:[i1] }, M0:{ *:[i32] })  =>  (EXP_ROW (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, 0:{ *:[i1] }, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, // M0
     /* 255459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_ROW),
     /* 255462 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255464 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255466 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255468 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255470 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255478 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255484 */     GIR_RootConstrainSelectedInstOperands,
     /* 255485 */     // GIR_Coverage, 6970,
     /* 255485 */     GIR_EraseRootFromParent_Done,
     /* 255486 */   // Label 4185: @255486
     /* 255486 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(255589), // Rule ID 6971 //
     /* 255491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_exp_row),
     /* 255496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 255499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 255502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 255505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 255508 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 255511 */     // MIs[0] tgt
     /* 255511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255514 */     // MIs[0] en
     /* 255514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 255517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255529 */     GIM_RootCheckRegBankForClass, /*Op*/6, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255533 */     // MIs[0] Operand 7
     /* 255533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(-1),
     /* 255544 */     GIM_RootCheckRegBankForClass, /*Op*/8, /*RC*/GIMT_Encode2(AMDGPU::M0_CLASSRegClassID),
     /* 255548 */     // (intrinsic_void 2302:{ *:[iPTR] }, (timm:{ *:[i32] }):$tgt, (timm:{ *:[i32] }):$en, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, -1:{ *:[i1] }, M0:{ *:[i32] })  =>  (EXP_ROW_DONE (timm:{ *:[i32] }):$tgt, ExpSrc0:{ *:[f32] }:$src0, ExpSrc1:{ *:[f32] }:$src1, ExpSrc2:{ *:[f32] }:$src2, ExpSrc3:{ *:[f32] }:$src3, 0:{ *:[i1] }, 0:{ *:[i1] }, (timm:{ *:[i32] }):$en)
     /* 255548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255552 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AMDGPU::M0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, // M0
     /* 255562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::EXP_ROW_DONE),
     /* 255565 */     GIR_RootToRootCopy, /*OpIdx*/1, // tgt
     /* 255567 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 255569 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 255571 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 255573 */     GIR_RootToRootCopy, /*OpIdx*/6, // src3
     /* 255575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255581 */     GIR_RootToRootCopy, /*OpIdx*/2, // en
     /* 255583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255587 */     GIR_RootConstrainSelectedInstOperands,
     /* 255588 */     // GIR_Coverage, 6971,
     /* 255588 */     GIR_EraseRootFromParent_Done,
     /* 255589 */   // Label 4186: @255589
     /* 255589 */   GIM_Reject,
     /* 255590 */ // Label 4178: @255590
     /* 255590 */ GIM_Reject,
     /* 255591 */ // Label 38: @255591
     /* 255591 */ GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(256391),
     /* 255596 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 255599 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(255638), // Rule ID 7768 //
     /* 255604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 255615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 255619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 255623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 255627 */     // MIs[1] Operand 1
     /* 255627 */     // No operand predicates
     /* 255627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255629 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, (imm:{ *:[i32] }):$src)  =>  (S_MOV_B32:{ *:[i32] } SReg_32:{ *:[i32] }:$src)
     /* 255629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 255632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 255634 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 255636 */     GIR_RootConstrainSelectedInstOperands,
     /* 255637 */     // GIR_Coverage, 7768,
     /* 255637 */     GIR_EraseRootFromParent_Done,
     /* 255638 */   // Label 4188: @255638
     /* 255638 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(255671), // Rule ID 2391 //
     /* 255643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 255654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255662 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[i32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0)
     /* 255662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255667 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255669 */     GIR_RootConstrainSelectedInstOperands,
     /* 255670 */     // GIR_Coverage, 2391,
     /* 255670 */     GIR_EraseRootFromParent_Done,
     /* 255671 */   // Label 4189: @255671
     /* 255671 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(255704), // Rule ID 2392 //
     /* 255676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 255687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255695 */     // (intrinsic_wo_chain:{ *:[f32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[f32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[f32] } VRegOrLdsSrc_32:{ *:[f32] }:$src0)
     /* 255695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255700 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255702 */     GIR_RootConstrainSelectedInstOperands,
     /* 255703 */     // GIR_Coverage, 2392,
     /* 255703 */     GIR_EraseRootFromParent_Done,
     /* 255704 */   // Label 4190: @255704
     /* 255704 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(255737), // Rule ID 2393 //
     /* 255709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 255717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 255720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255728 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[v2i16] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[v2i16] } VRegOrLdsSrc_32:{ *:[v2i16] }:$src0)
     /* 255728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255733 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255735 */     GIR_RootConstrainSelectedInstOperands,
     /* 255736 */     // GIR_Coverage, 2393,
     /* 255736 */     GIR_EraseRootFromParent_Done,
     /* 255737 */   // Label 4191: @255737
     /* 255737 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(255770), // Rule ID 2394 //
     /* 255742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 255750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 255753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255761 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[v2f16] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[v2f16] } VRegOrLdsSrc_32:{ *:[v2f16] }:$src0)
     /* 255761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255766 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255768 */     GIR_RootConstrainSelectedInstOperands,
     /* 255769 */     // GIR_Coverage, 2394,
     /* 255769 */     GIR_EraseRootFromParent_Done,
     /* 255770 */   // Label 4192: @255770
     /* 255770 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(255803), // Rule ID 2395 //
     /* 255775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 255783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 255786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255794 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[i32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0)
     /* 255794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255799 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255801 */     GIR_RootConstrainSelectedInstOperands,
     /* 255802 */     // GIR_Coverage, 2395,
     /* 255802 */     GIR_EraseRootFromParent_Done,
     /* 255803 */   // Label 4193: @255803
     /* 255803 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(255836), // Rule ID 2396 //
     /* 255808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 255816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 255819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255827 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[i32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0)
     /* 255827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255834 */     GIR_RootConstrainSelectedInstOperands,
     /* 255835 */     // GIR_Coverage, 2396,
     /* 255835 */     GIR_EraseRootFromParent_Done,
     /* 255836 */   // Label 4194: @255836
     /* 255836 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(255869), // Rule ID 2397 //
     /* 255841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 255849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 255852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255860 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[i32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0)
     /* 255860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255865 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255867 */     GIR_RootConstrainSelectedInstOperands,
     /* 255868 */     // GIR_Coverage, 2397,
     /* 255868 */     GIR_EraseRootFromParent_Done,
     /* 255869 */   // Label 4195: @255869
     /* 255869 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(255902), // Rule ID 2398 //
     /* 255874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readfirstlane),
     /* 255879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 255882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 255885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 255889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VRegOrLds_32RegClassID),
     /* 255893 */     // (intrinsic_wo_chain:{ *:[i32] } 3247:{ *:[iPTR] }, VRegOrLdsSrc_32:{ *:[i32] }:$src0)  =>  (V_READFIRSTLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0)
     /* 255893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READFIRSTLANE_B32),
     /* 255896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255898 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255900 */     GIR_RootConstrainSelectedInstOperands,
     /* 255901 */     // GIR_Coverage, 2398,
     /* 255901 */     GIR_EraseRootFromParent_Done,
     /* 255902 */   // Label 4196: @255902
     /* 255902 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(255935), // Rule ID 2425 //
     /* 255907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 255912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 255918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255926 */     // (intrinsic_wo_chain:{ *:[i32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[i32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[i32] } VRegSrc_32:{ *:[i32] }:$src0)
     /* 255926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 255929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255931 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255933 */     GIR_RootConstrainSelectedInstOperands,
     /* 255934 */     // GIR_Coverage, 2425,
     /* 255934 */     GIR_EraseRootFromParent_Done,
     /* 255935 */   // Label 4197: @255935
     /* 255935 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(255968), // Rule ID 2426 //
     /* 255940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 255945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 255951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255959 */     // (intrinsic_wo_chain:{ *:[f32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[f32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[f32] } VRegSrc_32:{ *:[f32] }:$src0)
     /* 255959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 255962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255964 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255966 */     GIR_RootConstrainSelectedInstOperands,
     /* 255967 */     // GIR_Coverage, 2426,
     /* 255967 */     GIR_EraseRootFromParent_Done,
     /* 255968 */   // Label 4198: @255968
     /* 255968 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(256001), // Rule ID 2427 //
     /* 255973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 255978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 255981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 255984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 255992 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[v2i16] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[v2i16] } VRegSrc_32:{ *:[v2i16] }:$src0)
     /* 255992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 255995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 255997 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 255999 */     GIR_RootConstrainSelectedInstOperands,
     /* 256000 */     // GIR_Coverage, 2427,
     /* 256000 */     GIR_EraseRootFromParent_Done,
     /* 256001 */   // Label 4199: @256001
     /* 256001 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(256034), // Rule ID 2428 //
     /* 256006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 256011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 256014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 256017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256025 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[v2f16] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[v2f16] } VRegSrc_32:{ *:[v2f16] }:$src0)
     /* 256025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 256028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256030 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256032 */     GIR_RootConstrainSelectedInstOperands,
     /* 256033 */     // GIR_Coverage, 2428,
     /* 256033 */     GIR_EraseRootFromParent_Done,
     /* 256034 */   // Label 4200: @256034
     /* 256034 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(256067), // Rule ID 2429 //
     /* 256039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 256044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 256050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256058 */     // (intrinsic_wo_chain:{ *:[i32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[i32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[i32] } VRegSrc_32:{ *:[i32] }:$src0)
     /* 256058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 256061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256063 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256065 */     GIR_RootConstrainSelectedInstOperands,
     /* 256066 */     // GIR_Coverage, 2429,
     /* 256066 */     GIR_EraseRootFromParent_Done,
     /* 256067 */   // Label 4201: @256067
     /* 256067 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(256100), // Rule ID 2430 //
     /* 256072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 256077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 256083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256091 */     // (intrinsic_wo_chain:{ *:[i32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[i32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[i32] } VRegSrc_32:{ *:[i32] }:$src0)
     /* 256091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 256094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256096 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256098 */     GIR_RootConstrainSelectedInstOperands,
     /* 256099 */     // GIR_Coverage, 2430,
     /* 256099 */     GIR_EraseRootFromParent_Done,
     /* 256100 */   // Label 4202: @256100
     /* 256100 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(256133), // Rule ID 2431 //
     /* 256105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 256110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 256116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256124 */     // (intrinsic_wo_chain:{ *:[i32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[i32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[i32] } VRegSrc_32:{ *:[i32] }:$src0)
     /* 256124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 256127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256131 */     GIR_RootConstrainSelectedInstOperands,
     /* 256132 */     // GIR_Coverage, 2431,
     /* 256132 */     GIR_EraseRootFromParent_Done,
     /* 256133 */   // Label 4203: @256133
     /* 256133 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(256166), // Rule ID 2432 //
     /* 256138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane64),
     /* 256143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 256149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256157 */     // (intrinsic_wo_chain:{ *:[i32] } 3187:{ *:[iPTR] }, VRegSrc_32:{ *:[i32] }:$src0)  =>  (V_PERMLANE64_B32:{ *:[i32] } VRegSrc_32:{ *:[i32] }:$src0)
     /* 256157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE64_B32),
     /* 256160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256162 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256164 */     GIR_RootConstrainSelectedInstOperands,
     /* 256165 */     // GIR_Coverage, 2432,
     /* 256165 */     GIR_EraseRootFromParent_Done,
     /* 256166 */   // Label 4204: @256166
     /* 256166 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(256198), // Rule ID 2 //
     /* 256171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_wqm),
     /* 256176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 256186 */     // (intrinsic_wo_chain:{ *:[i32] } 3297:{ *:[iPTR] }, i32:{ *:[i32] }:$src0)  =>  (S_WQM_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0)
     /* 256186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WQM_B32),
     /* 256189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256191 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 256196 */     GIR_RootConstrainSelectedInstOperands,
     /* 256197 */     // GIR_Coverage, 2,
     /* 256197 */     GIR_EraseRootFromParent_Done,
     /* 256198 */   // Label 4205: @256198
     /* 256198 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(256230), // Rule ID 3 //
     /* 256203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_wqm),
     /* 256208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 256211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 256214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 256218 */     // (intrinsic_wo_chain:{ *:[i64] } 3297:{ *:[iPTR] }, i64:{ *:[i64] }:$src0)  =>  (S_WQM_B64:{ *:[i64] }:{ *:[i1] } i64:{ *:[i64] }:$src0)
     /* 256218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WQM_B64),
     /* 256221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256223 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 256228 */     GIR_RootConstrainSelectedInstOperands,
     /* 256229 */     // GIR_Coverage, 3,
     /* 256229 */     GIR_EraseRootFromParent_Done,
     /* 256230 */   // Label 4206: @256230
     /* 256230 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(256259), // Rule ID 21 //
     /* 256235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_quadmask),
     /* 256240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 256250 */     // (intrinsic_wo_chain:{ *:[i32] } 3276:{ *:[iPTR] }, i32:{ *:[i32] }:$src0)  =>  (S_QUADMASK_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 256250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_QUADMASK_B32),
     /* 256253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256255 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256257 */     GIR_RootConstrainSelectedInstOperands,
     /* 256258 */     // GIR_Coverage, 21,
     /* 256258 */     GIR_EraseRootFromParent_Done,
     /* 256259 */   // Label 4207: @256259
     /* 256259 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(256288), // Rule ID 22 //
     /* 256264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_quadmask),
     /* 256269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 256272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 256275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 256279 */     // (intrinsic_wo_chain:{ *:[i64] } 3276:{ *:[iPTR] }, i64:{ *:[i64] }:$src0)  =>  (S_QUADMASK_B64:{ *:[i64] } i64:{ *:[i64] }:$src0)
     /* 256279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_QUADMASK_B64),
     /* 256282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256284 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256286 */     GIR_RootConstrainSelectedInstOperands,
     /* 256287 */     // GIR_Coverage, 22,
     /* 256287 */     GIR_EraseRootFromParent_Done,
     /* 256288 */   // Label 4208: @256288
     /* 256288 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(256320), // Rule ID 24 //
     /* 256293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 256296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_s_bitreplicate),
     /* 256301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 256304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 256311 */     // (intrinsic_wo_chain:{ *:[i64] } 3258:{ *:[iPTR] }, i32:{ *:[i32] }:$src0)  =>  (S_BITREPLICATE_B64_B32:{ *:[i64] } i32:{ *:[i32] }:$src0)
     /* 256311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BITREPLICATE_B64_B32),
     /* 256314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256316 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256318 */     GIR_RootConstrainSelectedInstOperands,
     /* 256319 */     // GIR_Coverage, 24,
     /* 256319 */     GIR_EraseRootFromParent_Done,
     /* 256320 */   // Label 4209: @256320
     /* 256320 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(256355), // Rule ID 1872 //
     /* 256325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 256328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wqm_vote),
     /* 256333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 256336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /* 256339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 256343 */     // (intrinsic_wo_chain:{ *:[i1] } 3446:{ *:[iPTR] }, i1:{ *:[i1] }:$src0)  =>  (S_WQM_B32:{ *:[i1] }:{ *:[i1] } SSrc_b32:{ *:[i1] }:$src0)
     /* 256343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WQM_B32),
     /* 256346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256348 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 256353 */     GIR_RootConstrainSelectedInstOperands,
     /* 256354 */     // GIR_Coverage, 1872,
     /* 256354 */     GIR_EraseRootFromParent_Done,
     /* 256355 */   // Label 4210: @256355
     /* 256355 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(256390), // Rule ID 1873 //
     /* 256360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /* 256363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wqm_vote),
     /* 256368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 256371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /* 256374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 256378 */     // (intrinsic_wo_chain:{ *:[i1] } 3446:{ *:[iPTR] }, i1:{ *:[i1] }:$src0)  =>  (S_WQM_B64:{ *:[i1] }:{ *:[i1] } SSrc_b64:{ *:[i1] }:$src0)
     /* 256378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_WQM_B64),
     /* 256381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 256383 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 256385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 256388 */     GIR_RootConstrainSelectedInstOperands,
     /* 256389 */     // GIR_Coverage, 1873,
     /* 256389 */     GIR_EraseRootFromParent_Done,
     /* 256390 */   // Label 4211: @256390
     /* 256390 */   GIM_Reject,
     /* 256391 */ // Label 4187: @256391
     /* 256391 */ GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(258933),
     /* 256396 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 256399 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(256451), // Rule ID 1373 //
     /* 256404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 256407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_permute),
     /* 256412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 256421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 256425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 256432 */     // (intrinsic_wo_chain:{ *:[i32] } 2290:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data0)  =>  (DS_PERMUTE_B32:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$data0, i32:{ *:[i32] }:$offset)
     /* 256432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_PERMUTE_B32),
     /* 256435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // addr
     /* 256442 */     GIR_RootToRootCopy, /*OpIdx*/3, // data0
     /* 256444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 256449 */     GIR_RootConstrainSelectedInstOperands,
     /* 256450 */     // GIR_Coverage, 1373,
     /* 256450 */     GIR_EraseRootFromParent_Done,
     /* 256451 */   // Label 4213: @256451
     /* 256451 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(256503), // Rule ID 1374 //
     /* 256456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 256459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_bpermute),
     /* 256464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 256473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 256477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 256484 */     // (intrinsic_wo_chain:{ *:[i32] } 2275:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data0)  =>  (DS_BPERMUTE_B32:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$data0, i32:{ *:[i32] }:$offset)
     /* 256484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_BPERMUTE_B32),
     /* 256487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // addr
     /* 256494 */     GIR_RootToRootCopy, /*OpIdx*/3, // data0
     /* 256496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 256501 */     GIR_RootConstrainSelectedInstOperands,
     /* 256502 */     // GIR_Coverage, 1374,
     /* 256502 */     GIR_EraseRootFromParent_Done,
     /* 256503 */   // Label 4214: @256503
     /* 256503 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(256555), // Rule ID 1375 //
     /* 256508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 256511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_bpermute_fi_b32),
     /* 256516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 256525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 256529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 256536 */     // (intrinsic_wo_chain:{ *:[i32] } 2276:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$offset), i32:{ *:[i32] }:$data0)  =>  (DS_BPERMUTE_FI_B32:{ *:[i32] } i32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$data0, i32:{ *:[i32] }:$offset)
     /* 256536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_BPERMUTE_FI_B32),
     /* 256539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // addr
     /* 256546 */     GIR_RootToRootCopy, /*OpIdx*/3, // data0
     /* 256548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 256553 */     GIR_RootConstrainSelectedInstOperands,
     /* 256554 */     // GIR_Coverage, 1375,
     /* 256554 */     GIR_EraseRootFromParent_Done,
     /* 256555 */   // Label 4215: @256555
     /* 256555 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(256608), // Rule ID 2455 //
     /* 256560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 256563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256578 */     // MIs[0] dpp8
     /* 256578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256581 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 256584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256586 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256588 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256596 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256606 */     GIR_RootConstrainSelectedInstOperands,
     /* 256607 */     // GIR_Coverage, 2455,
     /* 256607 */     GIR_EraseRootFromParent_Done,
     /* 256608 */   // Label 4216: @256608
     /* 256608 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(256661), // Rule ID 2456 //
     /* 256613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 256616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256631 */     // MIs[0] dpp8
     /* 256631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256634 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 256637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256639 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256641 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256649 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256659 */     GIR_RootConstrainSelectedInstOperands,
     /* 256660 */     // GIR_Coverage, 2456,
     /* 256660 */     GIR_EraseRootFromParent_Done,
     /* 256661 */   // Label 4217: @256661
     /* 256661 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(256714), // Rule ID 2457 //
     /* 256666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 256669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256684 */     // MIs[0] dpp8
     /* 256684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256687 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 256690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256692 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256694 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256696 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256702 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256712 */     GIR_RootConstrainSelectedInstOperands,
     /* 256713 */     // GIR_Coverage, 2457,
     /* 256713 */     GIR_EraseRootFromParent_Done,
     /* 256714 */   // Label 4218: @256714
     /* 256714 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(256767), // Rule ID 2458 //
     /* 256719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 256722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256737 */     // MIs[0] dpp8
     /* 256737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256740 */     // (intrinsic_wo_chain:{ *:[f32] } 3174:{ *:[iPTR] }, f32:{ *:[f32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[f32] } VGPR_32:{ *:[f32] }:$src, VGPR_32:{ *:[f32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 256743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256745 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256747 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256755 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256765 */     GIR_RootConstrainSelectedInstOperands,
     /* 256766 */     // GIR_Coverage, 2458,
     /* 256766 */     GIR_EraseRootFromParent_Done,
     /* 256767 */   // Label 4219: @256767
     /* 256767 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(256820), // Rule ID 2459 //
     /* 256772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 256775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256790 */     // MIs[0] dpp8
     /* 256790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256793 */     // (intrinsic_wo_chain:{ *:[f32] } 3174:{ *:[iPTR] }, f32:{ *:[f32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[f32] } VGPR_32:{ *:[f32] }:$src, VGPR_32:{ *:[f32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 256796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256800 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256802 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256808 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256818 */     GIR_RootConstrainSelectedInstOperands,
     /* 256819 */     // GIR_Coverage, 2459,
     /* 256819 */     GIR_EraseRootFromParent_Done,
     /* 256820 */   // Label 4220: @256820
     /* 256820 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(256873), // Rule ID 2460 //
     /* 256825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 256828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 256836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 256839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256843 */     // MIs[0] dpp8
     /* 256843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256846 */     // (intrinsic_wo_chain:{ *:[f32] } 3174:{ *:[iPTR] }, f32:{ *:[f32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[f32] } VGPR_32:{ *:[f32] }:$src, VGPR_32:{ *:[f32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 256849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256853 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256855 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256861 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256871 */     GIR_RootConstrainSelectedInstOperands,
     /* 256872 */     // GIR_Coverage, 2460,
     /* 256872 */     GIR_EraseRootFromParent_Done,
     /* 256873 */   // Label 4221: @256873
     /* 256873 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(256926), // Rule ID 2461 //
     /* 256878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 256881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 256889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 256892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256896 */     // MIs[0] dpp8
     /* 256896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256899 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3174:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[v2i16] } VGPR_32:{ *:[v2i16] }:$src, VGPR_32:{ *:[v2i16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 256902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256904 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256908 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256914 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256924 */     GIR_RootConstrainSelectedInstOperands,
     /* 256925 */     // GIR_Coverage, 2461,
     /* 256925 */     GIR_EraseRootFromParent_Done,
     /* 256926 */   // Label 4222: @256926
     /* 256926 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(256979), // Rule ID 2462 //
     /* 256931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 256934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 256942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 256945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 256949 */     // MIs[0] dpp8
     /* 256949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 256952 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3174:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[v2i16] } VGPR_32:{ *:[v2i16] }:$src, VGPR_32:{ *:[v2i16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 256952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 256955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 256957 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256959 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 256961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 256967 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 256977 */     GIR_RootConstrainSelectedInstOperands,
     /* 256978 */     // GIR_Coverage, 2462,
     /* 256978 */     GIR_EraseRootFromParent_Done,
     /* 256979 */   // Label 4223: @256979
     /* 256979 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(257032), // Rule ID 2463 //
     /* 256984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 256987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 256992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 256995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 256998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257002 */     // MIs[0] dpp8
     /* 257002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257005 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3174:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[v2i16] } VGPR_32:{ *:[v2i16] }:$src, VGPR_32:{ *:[v2i16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257010 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257012 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257014 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257020 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257030 */     GIR_RootConstrainSelectedInstOperands,
     /* 257031 */     // GIR_Coverage, 2463,
     /* 257031 */     GIR_EraseRootFromParent_Done,
     /* 257032 */   // Label 4224: @257032
     /* 257032 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(257085), // Rule ID 2464 //
     /* 257037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 257040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 257048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 257051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257055 */     // MIs[0] dpp8
     /* 257055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257058 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3174:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src, VGPR_32:{ *:[v2f16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 257061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257063 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257065 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257067 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257073 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257083 */     GIR_RootConstrainSelectedInstOperands,
     /* 257084 */     // GIR_Coverage, 2464,
     /* 257084 */     GIR_EraseRootFromParent_Done,
     /* 257085 */   // Label 4225: @257085
     /* 257085 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(257138), // Rule ID 2465 //
     /* 257090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 257093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 257101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 257104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257108 */     // MIs[0] dpp8
     /* 257108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257111 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3174:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src, VGPR_32:{ *:[v2f16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 257114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257116 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257126 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257136 */     GIR_RootConstrainSelectedInstOperands,
     /* 257137 */     // GIR_Coverage, 2465,
     /* 257137 */     GIR_EraseRootFromParent_Done,
     /* 257138 */   // Label 4226: @257138
     /* 257138 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(257191), // Rule ID 2466 //
     /* 257143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 257146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 257154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 257157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257161 */     // MIs[0] dpp8
     /* 257161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257164 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3174:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src, VGPR_32:{ *:[v2f16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257169 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257171 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257179 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257189 */     GIR_RootConstrainSelectedInstOperands,
     /* 257190 */     // GIR_Coverage, 2466,
     /* 257190 */     GIR_EraseRootFromParent_Done,
     /* 257191 */   // Label 4227: @257191
     /* 257191 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(257244), // Rule ID 2467 //
     /* 257196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 257199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 257207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 257210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257214 */     // MIs[0] dpp8
     /* 257214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257217 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p2:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 257220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257222 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257224 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257226 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257232 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257242 */     GIR_RootConstrainSelectedInstOperands,
     /* 257243 */     // GIR_Coverage, 2467,
     /* 257243 */     GIR_EraseRootFromParent_Done,
     /* 257244 */   // Label 4228: @257244
     /* 257244 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(257297), // Rule ID 2468 //
     /* 257249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 257252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 257260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 257263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257267 */     // MIs[0] dpp8
     /* 257267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257270 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p2:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 257273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257275 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257277 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257279 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257285 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257295 */     GIR_RootConstrainSelectedInstOperands,
     /* 257296 */     // GIR_Coverage, 2468,
     /* 257296 */     GIR_EraseRootFromParent_Done,
     /* 257297 */   // Label 4229: @257297
     /* 257297 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(257350), // Rule ID 2469 //
     /* 257302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 257305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 257313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 257316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257320 */     // MIs[0] dpp8
     /* 257320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257323 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p2:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257328 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257330 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257332 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257338 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257348 */     GIR_RootConstrainSelectedInstOperands,
     /* 257349 */     // GIR_Coverage, 2469,
     /* 257349 */     GIR_EraseRootFromParent_Done,
     /* 257350 */   // Label 4230: @257350
     /* 257350 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(257403), // Rule ID 2470 //
     /* 257355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 257358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 257366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 257369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257373 */     // MIs[0] dpp8
     /* 257373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257376 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p3:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 257379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257381 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257383 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257385 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257391 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257401 */     GIR_RootConstrainSelectedInstOperands,
     /* 257402 */     // GIR_Coverage, 2470,
     /* 257402 */     GIR_EraseRootFromParent_Done,
     /* 257403 */   // Label 4231: @257403
     /* 257403 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(257456), // Rule ID 2471 //
     /* 257408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 257411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 257419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 257422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257426 */     // MIs[0] dpp8
     /* 257426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257429 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p3:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 257432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257434 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257436 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257438 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257444 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257454 */     GIR_RootConstrainSelectedInstOperands,
     /* 257455 */     // GIR_Coverage, 2471,
     /* 257455 */     GIR_EraseRootFromParent_Done,
     /* 257456 */   // Label 4232: @257456
     /* 257456 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(257509), // Rule ID 2472 //
     /* 257461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 257464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 257472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 257475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257479 */     // MIs[0] dpp8
     /* 257479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257482 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p3:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257487 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257489 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257497 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257507 */     GIR_RootConstrainSelectedInstOperands,
     /* 257508 */     // GIR_Coverage, 2472,
     /* 257508 */     GIR_EraseRootFromParent_Done,
     /* 257509 */   // Label 4233: @257509
     /* 257509 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(257562), // Rule ID 2473 //
     /* 257514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 257517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 257525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 257528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257532 */     // MIs[0] dpp8
     /* 257532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257535 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p5:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 257538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257540 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257542 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257544 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257550 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257560 */     GIR_RootConstrainSelectedInstOperands,
     /* 257561 */     // GIR_Coverage, 2473,
     /* 257561 */     GIR_EraseRootFromParent_Done,
     /* 257562 */   // Label 4234: @257562
     /* 257562 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(257615), // Rule ID 2474 //
     /* 257567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 257570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 257578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 257581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257585 */     // MIs[0] dpp8
     /* 257585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257588 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p5:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 257591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257593 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257595 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257603 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257613 */     GIR_RootConstrainSelectedInstOperands,
     /* 257614 */     // GIR_Coverage, 2474,
     /* 257614 */     GIR_EraseRootFromParent_Done,
     /* 257615 */   // Label 4235: @257615
     /* 257615 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(257668), // Rule ID 2475 //
     /* 257620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 257623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 257631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 257634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257638 */     // MIs[0] dpp8
     /* 257638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257641 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p5:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257646 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257648 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257650 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257656 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257666 */     GIR_RootConstrainSelectedInstOperands,
     /* 257667 */     // GIR_Coverage, 2475,
     /* 257667 */     GIR_EraseRootFromParent_Done,
     /* 257668 */   // Label 4236: @257668
     /* 257668 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(257721), // Rule ID 2476 //
     /* 257673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Only),
     /* 257676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 257684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 257687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257691 */     // MIs[0] dpp8
     /* 257691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257694 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p6:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx10:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx10),
     /* 257697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257699 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257701 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257703 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257709 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257719 */     GIR_RootConstrainSelectedInstOperands,
     /* 257720 */     // GIR_Coverage, 2476,
     /* 257720 */     GIR_EraseRootFromParent_Done,
     /* 257721 */   // Label 4237: @257721
     /* 257721 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(257774), // Rule ID 2477 //
     /* 257726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only),
     /* 257729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 257737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 257740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257744 */     // MIs[0] dpp8
     /* 257744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257747 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p6:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx11:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx11),
     /* 257750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257752 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257754 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257756 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257762 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257772 */     GIR_RootConstrainSelectedInstOperands,
     /* 257773 */     // GIR_Coverage, 2477,
     /* 257773 */     GIR_EraseRootFromParent_Done,
     /* 257774 */   // Label 4238: @257774
     /* 257774 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(257827), // Rule ID 2478 //
     /* 257779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Only),
     /* 257782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp8),
     /* 257787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 257790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 257793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 257797 */     // MIs[0] dpp8
     /* 257797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257800 */     // (intrinsic_wo_chain:{ *:[i32] } 3174:{ *:[iPTR] }, p6:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp8)  =>  (V_MOV_B32_dpp8_gfx12:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp8), 233:{ *:[i32] })
     /* 257800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp8_gfx12),
     /* 257803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257805 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257809 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp8
     /* 257815 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(233),
     /* 257825 */     GIR_RootConstrainSelectedInstOperands,
     /* 257826 */     // GIR_Coverage, 2478,
     /* 257826 */     GIR_EraseRootFromParent_Done,
     /* 257827 */   // Label 4239: @257827
     /* 257827 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(257868), // Rule ID 7995 //
     /* 257832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_swizzle),
     /* 257837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 257840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 257843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 257847 */     // MIs[0] offset16
     /* 257847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 257850 */     // (intrinsic_wo_chain:{ *:[i32] } 2296:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$offset16)  =>  (DS_SWIZZLE_B32:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, (as_i16timm:{ *:[i16] } ?:{ *:[i32] }:$offset16), 0:{ *:[i1] })
     /* 257850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_SWIZZLE_B32),
     /* 257853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257855 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 257857 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // offset16
     /* 257863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257866 */     GIR_RootConstrainSelectedInstOperands,
     /* 257867 */     // GIR_Coverage, 7995,
     /* 257867 */     GIR_EraseRootFromParent_Done,
     /* 257868 */   // Label 4240: @257868
     /* 257868 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(257902), // Rule ID 2479 //
     /* 257873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 257878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 257881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 257884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 257887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 257891 */     // (intrinsic_wo_chain:{ *:[i32] } 3248:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 257891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 257894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257896 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 257898 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 257900 */     GIR_RootConstrainSelectedInstOperands,
     /* 257901 */     // GIR_Coverage, 2479,
     /* 257901 */     GIR_EraseRootFromParent_Done,
     /* 257902 */   // Label 4241: @257902
     /* 257902 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(257936), // Rule ID 2481 //
     /* 257907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 257912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 257915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 257918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 257921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 257925 */     // (intrinsic_wo_chain:{ *:[f32] } 3248:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[f32] } VRegOrLdsSrc_32:{ *:[f32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 257925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 257928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257930 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 257932 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 257934 */     GIR_RootConstrainSelectedInstOperands,
     /* 257935 */     // GIR_Coverage, 2481,
     /* 257935 */     GIR_EraseRootFromParent_Done,
     /* 257936 */   // Label 4242: @257936
     /* 257936 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(257970), // Rule ID 2483 //
     /* 257941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 257946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 257949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 257952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 257955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 257959 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3248:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[v2i16] } VRegOrLdsSrc_32:{ *:[v2i16] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 257959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 257962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257964 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 257966 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 257968 */     GIR_RootConstrainSelectedInstOperands,
     /* 257969 */     // GIR_Coverage, 2483,
     /* 257969 */     GIR_EraseRootFromParent_Done,
     /* 257970 */   // Label 4243: @257970
     /* 257970 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(258004), // Rule ID 2485 //
     /* 257975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 257980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 257983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 257986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 257989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 257993 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3248:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[v2f16] } VRegOrLdsSrc_32:{ *:[v2f16] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 257993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 257996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 257998 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 258000 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 258002 */     GIR_RootConstrainSelectedInstOperands,
     /* 258003 */     // GIR_Coverage, 2485,
     /* 258003 */     GIR_EraseRootFromParent_Done,
     /* 258004 */   // Label 4244: @258004
     /* 258004 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(258038), // Rule ID 2487 //
     /* 258009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 258014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 258017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 258020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 258027 */     // (intrinsic_wo_chain:{ *:[i32] } 3248:{ *:[iPTR] }, p2:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 258027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 258030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258032 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 258034 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 258036 */     GIR_RootConstrainSelectedInstOperands,
     /* 258037 */     // GIR_Coverage, 2487,
     /* 258037 */     GIR_EraseRootFromParent_Done,
     /* 258038 */   // Label 4245: @258038
     /* 258038 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(258072), // Rule ID 2489 //
     /* 258043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 258048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 258051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 258054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 258061 */     // (intrinsic_wo_chain:{ *:[i32] } 3248:{ *:[iPTR] }, p3:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 258061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 258064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258066 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 258068 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 258070 */     GIR_RootConstrainSelectedInstOperands,
     /* 258071 */     // GIR_Coverage, 2489,
     /* 258071 */     GIR_EraseRootFromParent_Done,
     /* 258072 */   // Label 4246: @258072
     /* 258072 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(258106), // Rule ID 2491 //
     /* 258077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 258082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 258085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 258088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 258095 */     // (intrinsic_wo_chain:{ *:[i32] } 3248:{ *:[iPTR] }, p5:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 258095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 258098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258100 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 258102 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 258104 */     GIR_RootConstrainSelectedInstOperands,
     /* 258105 */     // GIR_Coverage, 2491,
     /* 258105 */     GIR_EraseRootFromParent_Done,
     /* 258106 */   // Label 4247: @258106
     /* 258106 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(258140), // Rule ID 2493 //
     /* 258111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_readlane),
     /* 258116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 258119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 258122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 258129 */     // (intrinsic_wo_chain:{ *:[i32] } 3248:{ *:[iPTR] }, p6:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_READLANE_B32:{ *:[i32] } VRegOrLdsSrc_32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1)
     /* 258129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_READLANE_B32),
     /* 258132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258134 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 258136 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 258138 */     GIR_RootConstrainSelectedInstOperands,
     /* 258139 */     // GIR_Coverage, 2493,
     /* 258139 */     GIR_EraseRootFromParent_Done,
     /* 258140 */   // Label 4248: @258140
     /* 258140 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(258197), // Rule ID 7003 //
     /* 258145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258163 */     // (intrinsic_wo_chain:{ *:[i32] } 3307:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258185 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258190 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258195 */     GIR_RootConstrainSelectedInstOperands,
     /* 258196 */     // GIR_Coverage, 7003,
     /* 258196 */     GIR_EraseRootFromParent_Done,
     /* 258197 */   // Label 4249: @258197
     /* 258197 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(258254), // Rule ID 7004 //
     /* 258202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258220 */     // (intrinsic_wo_chain:{ *:[f32] } 3307:{ *:[iPTR] }, f32:{ *:[f32] }:$src, f32:{ *:[f32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[f32] } 0:{ *:[i32] }, VSrc_b32:{ *:[f32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[f32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258242 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258247 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258252 */     GIR_RootConstrainSelectedInstOperands,
     /* 258253 */     // GIR_Coverage, 7004,
     /* 258253 */     GIR_EraseRootFromParent_Done,
     /* 258254 */   // Label 4250: @258254
     /* 258254 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(258311), // Rule ID 7005 //
     /* 258259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 258267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 258270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 258273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258277 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3307:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src, v2i16:{ *:[v2i16] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[v2i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[v2i16] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[v2i16] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258299 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258304 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258309 */     GIR_RootConstrainSelectedInstOperands,
     /* 258310 */     // GIR_Coverage, 7005,
     /* 258310 */     GIR_EraseRootFromParent_Done,
     /* 258311 */   // Label 4251: @258311
     /* 258311 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(258368), // Rule ID 7006 //
     /* 258316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 258324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 258327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 258330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258334 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3307:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src, v2f16:{ *:[v2f16] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[v2f16] } 0:{ *:[i32] }, VSrc_b32:{ *:[v2f16] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[v2f16] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258356 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258361 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258366 */     GIR_RootConstrainSelectedInstOperands,
     /* 258367 */     // GIR_Coverage, 7006,
     /* 258367 */     GIR_EraseRootFromParent_Done,
     /* 258368 */   // Label 4252: @258368
     /* 258368 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(258425), // Rule ID 7007 //
     /* 258373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 258381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 258384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p2s32,
     /* 258387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258391 */     // (intrinsic_wo_chain:{ *:[i32] } 3307:{ *:[iPTR] }, p2:{ *:[i32] }:$src, p2:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258413 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258418 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258423 */     GIR_RootConstrainSelectedInstOperands,
     /* 258424 */     // GIR_Coverage, 7007,
     /* 258424 */     GIR_EraseRootFromParent_Done,
     /* 258425 */   // Label 4253: @258425
     /* 258425 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(258482), // Rule ID 7008 //
     /* 258430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 258438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 258441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p3s32,
     /* 258444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258448 */     // (intrinsic_wo_chain:{ *:[i32] } 3307:{ *:[iPTR] }, p3:{ *:[i32] }:$src, p3:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258475 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258480 */     GIR_RootConstrainSelectedInstOperands,
     /* 258481 */     // GIR_Coverage, 7008,
     /* 258481 */     GIR_EraseRootFromParent_Done,
     /* 258482 */   // Label 4254: @258482
     /* 258482 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(258539), // Rule ID 7009 //
     /* 258487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 258495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 258498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p5s32,
     /* 258501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258505 */     // (intrinsic_wo_chain:{ *:[i32] } 3307:{ *:[iPTR] }, p5:{ *:[i32] }:$src, p5:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258527 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258532 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258537 */     GIR_RootConstrainSelectedInstOperands,
     /* 258538 */     // GIR_Coverage, 7009,
     /* 258538 */     GIR_EraseRootFromParent_Done,
     /* 258539 */   // Label 4255: @258539
     /* 258539 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(258596), // Rule ID 7010 //
     /* 258544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive),
     /* 258549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 258552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 258555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p6s32,
     /* 258558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258562 */     // (intrinsic_wo_chain:{ *:[i32] } 3307:{ *:[iPTR] }, p6:{ *:[i32] }:$src, p6:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$src, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258584 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258589 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258594 */     GIR_RootConstrainSelectedInstOperands,
     /* 258595 */     // GIR_Coverage, 7010,
     /* 258595 */     GIR_EraseRootFromParent_Done,
     /* 258596 */   // Label 4256: @258596
     /* 258596 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(258653), // Rule ID 7011 //
     /* 258601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_set_inactive_chain_arg),
     /* 258606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 258615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 258619 */     // (intrinsic_wo_chain:{ *:[i32] } 3308:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$inactive)  =>  (V_SET_INACTIVE_B32:{ *:[i32] } 0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$src, 0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$inactive, (IMPLICIT_DEF:{ *:[i1] }))
     /* 258619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 258622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SET_INACTIVE_B32),
     /* 258636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258641 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 258646 */     GIR_RootToRootCopy, /*OpIdx*/3, // inactive
     /* 258648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258651 */     GIR_RootConstrainSelectedInstOperands,
     /* 258652 */     // GIR_Coverage, 7011,
     /* 258652 */     GIR_EraseRootFromParent_Done,
     /* 258653 */   // Label 4257: @258653
     /* 258653 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(258684), // Rule ID 1338 //
     /* 258658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_umin),
     /* 258663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258673 */     // MIs[0] strategy
     /* 258673 */     // No operand predicates
     /* 258673 */     // (intrinsic_wo_chain:{ *:[i32] } 3422:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_UMIN_PSEUDO_U32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_UMIN_PSEUDO_U32),
     /* 258676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258678 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258680 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258682 */     GIR_RootConstrainSelectedInstOperands,
     /* 258683 */     // GIR_Coverage, 1338,
     /* 258683 */     GIR_EraseRootFromParent_Done,
     /* 258684 */   // Label 4258: @258684
     /* 258684 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(258715), // Rule ID 1339 //
     /* 258689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_min),
     /* 258694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258704 */     // MIs[0] strategy
     /* 258704 */     // No operand predicates
     /* 258704 */     // (intrinsic_wo_chain:{ *:[i32] } 3418:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_MIN_PSEUDO_I32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_MIN_PSEUDO_I32),
     /* 258707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258709 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258711 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258713 */     GIR_RootConstrainSelectedInstOperands,
     /* 258714 */     // GIR_Coverage, 1339,
     /* 258714 */     GIR_EraseRootFromParent_Done,
     /* 258715 */   // Label 4259: @258715
     /* 258715 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(258746), // Rule ID 1340 //
     /* 258720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_umax),
     /* 258725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258735 */     // MIs[0] strategy
     /* 258735 */     // No operand predicates
     /* 258735 */     // (intrinsic_wo_chain:{ *:[i32] } 3421:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_UMAX_PSEUDO_U32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_UMAX_PSEUDO_U32),
     /* 258738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258740 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258742 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258744 */     GIR_RootConstrainSelectedInstOperands,
     /* 258745 */     // GIR_Coverage, 1340,
     /* 258745 */     GIR_EraseRootFromParent_Done,
     /* 258746 */   // Label 4260: @258746
     /* 258746 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(258777), // Rule ID 1341 //
     /* 258751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_max),
     /* 258756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258766 */     // MIs[0] strategy
     /* 258766 */     // No operand predicates
     /* 258766 */     // (intrinsic_wo_chain:{ *:[i32] } 3417:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_MAX_PSEUDO_I32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_MAX_PSEUDO_I32),
     /* 258769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258773 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258775 */     GIR_RootConstrainSelectedInstOperands,
     /* 258776 */     // GIR_Coverage, 1341,
     /* 258776 */     GIR_EraseRootFromParent_Done,
     /* 258777 */   // Label 4261: @258777
     /* 258777 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(258808), // Rule ID 1342 //
     /* 258782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_add),
     /* 258787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258797 */     // MIs[0] strategy
     /* 258797 */     // No operand predicates
     /* 258797 */     // (intrinsic_wo_chain:{ *:[i32] } 3415:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_ADD_PSEUDO_I32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_ADD_PSEUDO_I32),
     /* 258800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258802 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258804 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258806 */     GIR_RootConstrainSelectedInstOperands,
     /* 258807 */     // GIR_Coverage, 1342,
     /* 258807 */     GIR_EraseRootFromParent_Done,
     /* 258808 */   // Label 4262: @258808
     /* 258808 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(258839), // Rule ID 1343 //
     /* 258813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_sub),
     /* 258818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258828 */     // MIs[0] strategy
     /* 258828 */     // No operand predicates
     /* 258828 */     // (intrinsic_wo_chain:{ *:[i32] } 3420:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_SUB_PSEUDO_I32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_SUB_PSEUDO_I32),
     /* 258831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258833 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258835 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258837 */     GIR_RootConstrainSelectedInstOperands,
     /* 258838 */     // GIR_Coverage, 1343,
     /* 258838 */     GIR_EraseRootFromParent_Done,
     /* 258839 */   // Label 4263: @258839
     /* 258839 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(258870), // Rule ID 1344 //
     /* 258844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_and),
     /* 258849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258859 */     // MIs[0] strategy
     /* 258859 */     // No operand predicates
     /* 258859 */     // (intrinsic_wo_chain:{ *:[i32] } 3416:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_AND_PSEUDO_B32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_AND_PSEUDO_B32),
     /* 258862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258864 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258866 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258868 */     GIR_RootConstrainSelectedInstOperands,
     /* 258869 */     // GIR_Coverage, 1344,
     /* 258869 */     GIR_EraseRootFromParent_Done,
     /* 258870 */   // Label 4264: @258870
     /* 258870 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(258901), // Rule ID 1345 //
     /* 258875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_or),
     /* 258880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258890 */     // MIs[0] strategy
     /* 258890 */     // No operand predicates
     /* 258890 */     // (intrinsic_wo_chain:{ *:[i32] } 3419:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_OR_PSEUDO_B32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_OR_PSEUDO_B32),
     /* 258893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258897 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258899 */     GIR_RootConstrainSelectedInstOperands,
     /* 258900 */     // GIR_Coverage, 1345,
     /* 258900 */     GIR_EraseRootFromParent_Done,
     /* 258901 */   // Label 4265: @258901
     /* 258901 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(258932), // Rule ID 1346 //
     /* 258906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wave_reduce_xor),
     /* 258911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 258917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 258921 */     // MIs[0] strategy
     /* 258921 */     // No operand predicates
     /* 258921 */     // (intrinsic_wo_chain:{ *:[i32] } 3423:{ *:[iPTR] }, i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)  =>  (WAVE_REDUCE_XOR_PSEUDO_B32:{ *:[i32] } i32:{ *:[i32] }:$src, i32:{ *:[i32] }:$strategy)
     /* 258921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_REDUCE_XOR_PSEUDO_B32),
     /* 258924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 258926 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 258928 */     GIR_RootToRootCopy, /*OpIdx*/3, // strategy
     /* 258930 */     GIR_RootConstrainSelectedInstOperands,
     /* 258931 */     // GIR_Coverage, 1346,
     /* 258931 */     GIR_EraseRootFromParent_Done,
     /* 258932 */   // Label 4266: @258932
     /* 258932 */   GIM_Reject,
     /* 258933 */ // Label 4212: @258933
     /* 258933 */ GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(261258),
     /* 258938 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 258941 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(259032), // Rule ID 2836 //
     /* 258946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 258949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 258954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 258957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 258963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 258966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 258970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 258977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 258984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 258991 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3432:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_F16_w32_threeaddr:{ *:[v8f32] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 258991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_w32_threeaddr),
     /* 258994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 258996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259030 */     GIR_RootConstrainSelectedInstOperands,
     /* 259031 */     // GIR_Coverage, 2836,
     /* 259031 */     GIR_EraseRootFromParent_Done,
     /* 259032 */   // Label 4268: @259032
     /* 259032 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(259123), // Rule ID 2869 //
     /* 259037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 259040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 259045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 259051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 259054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 259057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 259061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259082 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3432:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_F16_w64_threeaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4f16:{ *:[v4f16] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 259082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_w64_threeaddr),
     /* 259085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259121 */     GIR_RootConstrainSelectedInstOperands,
     /* 259122 */     // GIR_Coverage, 2869,
     /* 259122 */     GIR_EraseRootFromParent_Done,
     /* 259123 */   // Label 4269: @259123
     /* 259123 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(259216), // Rule ID 2821 //
     /* 259128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 259131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 259136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 259142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 259145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259173 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3432:{ *:[iPTR] }, (VOP3PMods:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_F16_twoaddr_w32:{ *:[v8f32] } i32:{ *:[i32] }:$src0_modifiers, v16f16:{ *:[v16f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16f16:{ *:[v16f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 259173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_twoaddr_w32),
     /* 259176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259214 */     GIR_RootConstrainSelectedInstOperands,
     /* 259215 */     // GIR_Coverage, 2821,
     /* 259215 */     GIR_EraseRootFromParent_Done,
     /* 259216 */   // Label 4270: @259216
     /* 259216 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(259309), // Rule ID 2822 //
     /* 259221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 259224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 259229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 259235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 259238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259266 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3429:{ *:[iPTR] }, (VOP3PMods:{ *:[v16i16] } v16i16:{ *:[v16i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v16i16] } v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF16_twoaddr_w32:{ *:[v8f32] } i32:{ *:[i32] }:$src0_modifiers, v16i16:{ *:[v16i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16i16:{ *:[v16i16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 259266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_twoaddr_w32),
     /* 259269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259307 */     GIR_RootConstrainSelectedInstOperands,
     /* 259308 */     // GIR_Coverage, 2822,
     /* 259308 */     GIR_EraseRootFromParent_Done,
     /* 259309 */   // Label 4271: @259309
     /* 259309 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(259402), // Rule ID 2827 //
     /* 259314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 259317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 259322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 259328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 259331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 259334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 259338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259359 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3432:{ *:[iPTR] }, (VOP3PMods:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_F16_twoaddr_w64:{ *:[v4f32] } i32:{ *:[i32] }:$src0_modifiers, v16f16:{ *:[v16f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16f16:{ *:[v16f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 259359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_twoaddr_w64),
     /* 259362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259400 */     GIR_RootConstrainSelectedInstOperands,
     /* 259401 */     // GIR_Coverage, 2827,
     /* 259401 */     GIR_EraseRootFromParent_Done,
     /* 259402 */   // Label 4272: @259402
     /* 259402 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(259495), // Rule ID 2828 //
     /* 259407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 259410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 259415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 259421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 259424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 259427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 259431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 259452 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3429:{ *:[iPTR] }, (VOP3PMods:{ *:[v16i16] } v16i16:{ *:[v16i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v16i16] } v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF16_twoaddr_w64:{ *:[v4f32] } i32:{ *:[i32] }:$src0_modifiers, v16i16:{ *:[v16i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16i16:{ *:[v16i16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 259452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_twoaddr_w64),
     /* 259455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259493 */     GIR_RootConstrainSelectedInstOperands,
     /* 259494 */     // GIR_Coverage, 2828,
     /* 259494 */     GIR_EraseRootFromParent_Done,
     /* 259495 */   // Label 4273: @259495
     /* 259495 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(259588), // Rule ID 2835 //
     /* 259500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 259508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 259514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 259517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmamods),
     /* 259545 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3432:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_F16_w32_twoaddr:{ *:[v8f32] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 259545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_w32_twoaddr),
     /* 259548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259586 */     GIR_RootConstrainSelectedInstOperands,
     /* 259587 */     // GIR_Coverage, 2835,
     /* 259587 */     GIR_EraseRootFromParent_Done,
     /* 259588 */   // Label 4274: @259588
     /* 259588 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(259681), // Rule ID 2868 //
     /* 259593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 259596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_f16),
     /* 259601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 259607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 259610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 259613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 259617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 259631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmamods),
     /* 259638 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3432:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_F16_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 259638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_F16_w64_twoaddr),
     /* 259641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 259648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 259653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 259658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 259663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 259668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 259673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259679 */     GIR_RootConstrainSelectedInstOperands,
     /* 259680 */     // GIR_Coverage, 2868,
     /* 259680 */     GIR_EraseRootFromParent_Done,
     /* 259681 */   // Label 4275: @259681
     /* 259681 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(259748), // Rule ID 2838 //
     /* 259686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 259694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 259700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 259703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259717 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3429:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF16_w32_threeaddr:{ *:[v8f32] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 259717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_w32_threeaddr),
     /* 259720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259725 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 259727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259730 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 259732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 259740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259746 */     GIR_RootConstrainSelectedInstOperands,
     /* 259747 */     // GIR_Coverage, 2838,
     /* 259747 */     GIR_EraseRootFromParent_Done,
     /* 259748 */   // Label 4276: @259748
     /* 259748 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(259809), // Rule ID 2848 //
     /* 259753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_fp8),
     /* 259761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 259767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 259770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259784 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3434:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_FP8_FP8_w32_threeaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 259784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_FP8_w32_threeaddr),
     /* 259787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 259791 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 259793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 259801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259807 */     GIR_RootConstrainSelectedInstOperands,
     /* 259808 */     // GIR_Coverage, 2848,
     /* 259808 */     GIR_EraseRootFromParent_Done,
     /* 259809 */   // Label 4277: @259809
     /* 259809 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(259870), // Rule ID 2850 //
     /* 259814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_bf8),
     /* 259822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 259828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 259831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259845 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3433:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_FP8_BF8_w32_threeaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 259845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_BF8_w32_threeaddr),
     /* 259848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259850 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 259852 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 259854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 259862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259868 */     GIR_RootConstrainSelectedInstOperands,
     /* 259869 */     // GIR_Coverage, 2850,
     /* 259869 */     GIR_EraseRootFromParent_Done,
     /* 259870 */   // Label 4278: @259870
     /* 259870 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(259931), // Rule ID 2852 //
     /* 259875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_fp8),
     /* 259883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 259889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 259892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259906 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3431:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF8_FP8_w32_threeaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 259906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_FP8_w32_threeaddr),
     /* 259909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259911 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 259913 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 259915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 259923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259929 */     GIR_RootConstrainSelectedInstOperands,
     /* 259930 */     // GIR_Coverage, 2852,
     /* 259930 */     GIR_EraseRootFromParent_Done,
     /* 259931 */   // Label 4279: @259931
     /* 259931 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(259992), // Rule ID 2854 //
     /* 259936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 259939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_bf8),
     /* 259944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 259947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 259950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 259953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 259956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 259960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 259967 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3430:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF8_BF8_w32_threeaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v8f32:{ *:[v8f32] }:$src2)
     /* 259967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_BF8_w32_threeaddr),
     /* 259970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 259972 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 259974 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 259976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 259979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 259984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 259990 */     GIR_RootConstrainSelectedInstOperands,
     /* 259991 */     // GIR_Coverage, 2854,
     /* 259991 */     GIR_EraseRootFromParent_Done,
     /* 259992 */   // Label 4280: @259992
     /* 259992 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(260059), // Rule ID 2871 //
     /* 259997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 260005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 260028 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3429:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF16_w64_threeaddr:{ *:[v4f32] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 260028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_w64_threeaddr),
     /* 260031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260036 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260041 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260057 */     GIR_RootConstrainSelectedInstOperands,
     /* 260058 */     // GIR_Coverage, 2871,
     /* 260058 */     GIR_EraseRootFromParent_Done,
     /* 260059 */   // Label 4281: @260059
     /* 260059 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(260120), // Rule ID 2881 //
     /* 260064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_fp8),
     /* 260072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 260095 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3434:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_FP8_FP8_w64_threeaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 260095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_FP8_w64_threeaddr),
     /* 260098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260100 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260102 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260118 */     GIR_RootConstrainSelectedInstOperands,
     /* 260119 */     // GIR_Coverage, 2881,
     /* 260119 */     GIR_EraseRootFromParent_Done,
     /* 260120 */   // Label 4282: @260120
     /* 260120 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(260181), // Rule ID 2883 //
     /* 260125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_bf8),
     /* 260133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 260156 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3433:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_FP8_BF8_w64_threeaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 260156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_BF8_w64_threeaddr),
     /* 260159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260161 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260163 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260179 */     GIR_RootConstrainSelectedInstOperands,
     /* 260180 */     // GIR_Coverage, 2883,
     /* 260180 */     GIR_EraseRootFromParent_Done,
     /* 260181 */   // Label 4283: @260181
     /* 260181 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(260242), // Rule ID 2885 //
     /* 260186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_fp8),
     /* 260194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 260217 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3431:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF8_FP8_w64_threeaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 260217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_FP8_w64_threeaddr),
     /* 260220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260222 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260224 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260240 */     GIR_RootConstrainSelectedInstOperands,
     /* 260241 */     // GIR_Coverage, 2885,
     /* 260241 */     GIR_EraseRootFromParent_Done,
     /* 260242 */   // Label 4284: @260242
     /* 260242 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(260303), // Rule ID 2887 //
     /* 260247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_bf8),
     /* 260255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 260278 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3430:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2))  =>  (V_WMMA_F32_16X16X16_BF8_BF8_w64_threeaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, 8:{ *:[i32] }, v4f32:{ *:[v4f32] }:$src2)
     /* 260278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_BF8_w64_threeaddr),
     /* 260281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260283 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260285 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260301 */     GIR_RootConstrainSelectedInstOperands,
     /* 260302 */     // GIR_Coverage, 2887,
     /* 260302 */     GIR_EraseRootFromParent_Done,
     /* 260303 */   // Label 4285: @260303
     /* 260303 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(260372), // Rule ID 2837 //
     /* 260308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 260311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 260316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 260319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 260322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 260325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 260328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 260332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260339 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3429:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF16_w32_twoaddr:{ *:[v8f32] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 260339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_w32_twoaddr),
     /* 260342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260347 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260352 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260370 */     GIR_RootConstrainSelectedInstOperands,
     /* 260371 */     // GIR_Coverage, 2837,
     /* 260371 */     GIR_EraseRootFromParent_Done,
     /* 260372 */   // Label 4286: @260372
     /* 260372 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(260435), // Rule ID 2847 //
     /* 260377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 260380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_fp8),
     /* 260385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 260388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 260397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 260401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260408 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3434:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_FP8_FP8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 260408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_FP8_w32_twoaddr),
     /* 260411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260413 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260415 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260433 */     GIR_RootConstrainSelectedInstOperands,
     /* 260434 */     // GIR_Coverage, 2847,
     /* 260434 */     GIR_EraseRootFromParent_Done,
     /* 260435 */   // Label 4287: @260435
     /* 260435 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(260498), // Rule ID 2849 //
     /* 260440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 260443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_bf8),
     /* 260448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 260451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 260460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 260464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260471 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3433:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_FP8_BF8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 260471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_BF8_w32_twoaddr),
     /* 260474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260478 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260496 */     GIR_RootConstrainSelectedInstOperands,
     /* 260497 */     // GIR_Coverage, 2849,
     /* 260497 */     GIR_EraseRootFromParent_Done,
     /* 260498 */   // Label 4288: @260498
     /* 260498 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(260561), // Rule ID 2851 //
     /* 260503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 260506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_fp8),
     /* 260511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 260514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 260523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 260527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260534 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3431:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF8_FP8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 260534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_FP8_w32_twoaddr),
     /* 260537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260539 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260541 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260559 */     GIR_RootConstrainSelectedInstOperands,
     /* 260560 */     // GIR_Coverage, 2851,
     /* 260560 */     GIR_EraseRootFromParent_Done,
     /* 260561 */   // Label 4289: @260561
     /* 260561 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(260624), // Rule ID 2853 //
     /* 260566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 260569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_bf8),
     /* 260574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 260577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 260586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 260590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260597 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3430:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v8f32] } v8f32:{ *:[v8f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF8_BF8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f32:{ *:[v8f32] }:$src2)
     /* 260597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_BF8_w32_twoaddr),
     /* 260600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260602 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260604 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260622 */     GIR_RootConstrainSelectedInstOperands,
     /* 260623 */     // GIR_Coverage, 2853,
     /* 260623 */     GIR_EraseRootFromParent_Done,
     /* 260624 */   // Label 4290: @260624
     /* 260624 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(260693), // Rule ID 2870 //
     /* 260629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf16),
     /* 260637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260660 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3429:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF16_w64_twoaddr:{ *:[v4f32] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 260660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF16_w64_twoaddr),
     /* 260663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260668 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 260673 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260691 */     GIR_RootConstrainSelectedInstOperands,
     /* 260692 */     // GIR_Coverage, 2870,
     /* 260692 */     GIR_EraseRootFromParent_Done,
     /* 260693 */   // Label 4291: @260693
     /* 260693 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(260756), // Rule ID 2880 //
     /* 260698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_fp8),
     /* 260706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260729 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3434:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_FP8_FP8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 260729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_FP8_w64_twoaddr),
     /* 260732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260734 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260736 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260754 */     GIR_RootConstrainSelectedInstOperands,
     /* 260755 */     // GIR_Coverage, 2880,
     /* 260755 */     GIR_EraseRootFromParent_Done,
     /* 260756 */   // Label 4292: @260756
     /* 260756 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(260819), // Rule ID 2882 //
     /* 260761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_fp8_bf8),
     /* 260769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260792 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3433:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_FP8_BF8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 260792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_FP8_BF8_w64_twoaddr),
     /* 260795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260797 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260799 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260817 */     GIR_RootConstrainSelectedInstOperands,
     /* 260818 */     // GIR_Coverage, 2882,
     /* 260818 */     GIR_EraseRootFromParent_Done,
     /* 260819 */   // Label 4293: @260819
     /* 260819 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(260882), // Rule ID 2884 //
     /* 260824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_fp8),
     /* 260832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260855 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3431:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF8_FP8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 260855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_FP8_w64_twoaddr),
     /* 260858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260860 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260862 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260880 */     GIR_RootConstrainSelectedInstOperands,
     /* 260881 */     // GIR_Coverage, 2884,
     /* 260881 */     GIR_EraseRootFromParent_Done,
     /* 260882 */   // Label 4294: @260882
     /* 260882 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(260945), // Rule ID 2886 //
     /* 260887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 260890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f32_16x16x16_bf8_bf8),
     /* 260895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 260898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 260907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 260911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamods),
     /* 260918 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3430:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (WMMAModsF32NegAbs:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F32_16X16X16_BF8_BF8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f32:{ *:[v4f32] }:$src2)
     /* 260918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F32_16X16X16_BF8_BF8_w64_twoaddr),
     /* 260921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260923 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260925 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_modifiers
     /* 260932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 260937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260943 */     GIR_RootConstrainSelectedInstOperands,
     /* 260944 */     // GIR_Coverage, 2886,
     /* 260944 */     GIR_EraseRootFromParent_Done,
     /* 260945 */   // Label 4295: @260945
     /* 260945 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(260984), // Rule ID 2480 //
     /* 260950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 260955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 260958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 260961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 260964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 260967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 260971 */     // (intrinsic_wo_chain:{ *:[i32] } 3447:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[i32] } SCSrc_b32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$src2)
     /* 260971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 260974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 260976 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 260978 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 260980 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 260982 */     GIR_RootConstrainSelectedInstOperands,
     /* 260983 */     // GIR_Coverage, 2480,
     /* 260983 */     GIR_EraseRootFromParent_Done,
     /* 260984 */   // Label 4296: @260984
     /* 260984 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(261023), // Rule ID 2482 //
     /* 260989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 260994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 260997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 261000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 261006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261010 */     // (intrinsic_wo_chain:{ *:[f32] } 3447:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, f32:{ *:[f32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[f32] } SCSrc_b32:{ *:[f32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[f32] }:$src2)
     /* 261010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261017 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261019 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261021 */     GIR_RootConstrainSelectedInstOperands,
     /* 261022 */     // GIR_Coverage, 2482,
     /* 261022 */     GIR_EraseRootFromParent_Done,
     /* 261023 */   // Label 4297: @261023
     /* 261023 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(261062), // Rule ID 2484 //
     /* 261028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 261036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 261039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s16,
     /* 261045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261049 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3447:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1, v2i16:{ *:[v2i16] }:$src2)  =>  (V_WRITELANE_B32:{ *:[v2i16] } SCSrc_b32:{ *:[v2i16] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[v2i16] }:$src2)
     /* 261049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261056 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261058 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261060 */     GIR_RootConstrainSelectedInstOperands,
     /* 261061 */     // GIR_Coverage, 2484,
     /* 261061 */     GIR_EraseRootFromParent_Done,
     /* 261062 */   // Label 4298: @261062
     /* 261062 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(261101), // Rule ID 2486 //
     /* 261067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 261075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 261078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s16,
     /* 261084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261088 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3447:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1, v2f16:{ *:[v2f16] }:$src2)  =>  (V_WRITELANE_B32:{ *:[v2f16] } SCSrc_b32:{ *:[v2f16] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[v2f16] }:$src2)
     /* 261088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261093 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261095 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261097 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261099 */     GIR_RootConstrainSelectedInstOperands,
     /* 261100 */     // GIR_Coverage, 2486,
     /* 261100 */     GIR_EraseRootFromParent_Done,
     /* 261101 */   // Label 4299: @261101
     /* 261101 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(261140), // Rule ID 2488 //
     /* 261106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 261114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 261117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_p2s32,
     /* 261123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261127 */     // (intrinsic_wo_chain:{ *:[i32] } 3447:{ *:[iPTR] }, p2:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, p2:{ *:[i32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[i32] } SCSrc_b32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$src2)
     /* 261127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261132 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261134 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261136 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261138 */     GIR_RootConstrainSelectedInstOperands,
     /* 261139 */     // GIR_Coverage, 2488,
     /* 261139 */     GIR_EraseRootFromParent_Done,
     /* 261140 */   // Label 4300: @261140
     /* 261140 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(261179), // Rule ID 2490 //
     /* 261145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 261153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 261156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_p3s32,
     /* 261162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261166 */     // (intrinsic_wo_chain:{ *:[i32] } 3447:{ *:[iPTR] }, p3:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, p3:{ *:[i32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[i32] } SCSrc_b32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$src2)
     /* 261166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261171 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261173 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261175 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261177 */     GIR_RootConstrainSelectedInstOperands,
     /* 261178 */     // GIR_Coverage, 2490,
     /* 261178 */     GIR_EraseRootFromParent_Done,
     /* 261179 */   // Label 4301: @261179
     /* 261179 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(261218), // Rule ID 2492 //
     /* 261184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 261192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 261195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_p5s32,
     /* 261201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261205 */     // (intrinsic_wo_chain:{ *:[i32] } 3447:{ *:[iPTR] }, p5:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, p5:{ *:[i32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[i32] } SCSrc_b32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$src2)
     /* 261205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261210 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261212 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261214 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261216 */     GIR_RootConstrainSelectedInstOperands,
     /* 261217 */     // GIR_Coverage, 2492,
     /* 261217 */     GIR_EraseRootFromParent_Done,
     /* 261218 */   // Label 4302: @261218
     /* 261218 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(261257), // Rule ID 2494 //
     /* 261223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_writelane),
     /* 261228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 261231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 261234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 261237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_p6s32,
     /* 261240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 261244 */     // (intrinsic_wo_chain:{ *:[i32] } 3447:{ *:[iPTR] }, p6:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, p6:{ *:[i32] }:$src2)  =>  (V_WRITELANE_B32:{ *:[i32] } SCSrc_b32:{ *:[i32] }:$src0, SCSrc_b32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$src2)
     /* 261244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WRITELANE_B32),
     /* 261247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261249 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 261251 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 261253 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 261255 */     GIR_RootConstrainSelectedInstOperands,
     /* 261256 */     // GIR_Coverage, 2494,
     /* 261256 */     GIR_EraseRootFromParent_Done,
     /* 261257 */   // Label 4303: @261257
     /* 261257 */   GIM_Reject,
     /* 261258 */ // Label 4267: @261258
     /* 261258 */ GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(263731),
     /* 261263 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 261266 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(261368), // Rule ID 2840 //
     /* 261271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 261274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 261279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 261282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 261288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 261291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 261295 */     // MIs[0] Operand 5
     /* 261295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 261306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 261327 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3427:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAVISrc:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src2), 0:{ *:[i1] })  =>  (V_WMMA_F16_16X16X16_F16_w32_threeaddr:{ *:[v8f16] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, 8:{ *:[i32] }, v8f16:{ *:[v8f16] }:$src2)
     /* 261327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_w32_threeaddr),
     /* 261330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 261355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261366 */     GIR_RootConstrainSelectedInstOperands,
     /* 261367 */     // GIR_Coverage, 2840,
     /* 261367 */     GIR_EraseRootFromParent_Done,
     /* 261368 */   // Label 4305: @261368
     /* 261368 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(261470), // Rule ID 2873 //
     /* 261373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 261376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 261381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 261384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 261387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 261390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 261393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 261397 */     // MIs[0] Operand 5
     /* 261397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 261408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 261429 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3427:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAVISrc:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src2), 0:{ *:[i1] })  =>  (V_WMMA_F16_16X16X16_F16_w64_threeaddr:{ *:[v4f16] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4f16:{ *:[v4f16] }:$src1, 8:{ *:[i32] }, v4f16:{ *:[v4f16] }:$src2)
     /* 261429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_w64_threeaddr),
     /* 261432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 261457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261468 */     GIR_RootConstrainSelectedInstOperands,
     /* 261469 */     // GIR_Coverage, 2873,
     /* 261469 */     GIR_EraseRootFromParent_Done,
     /* 261470 */   // Label 4306: @261470
     /* 261470 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(261574), // Rule ID 2839 //
     /* 261475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 261478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 261483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 261486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 261492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 261495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 261499 */     // MIs[0] Operand 5
     /* 261499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 261510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmamodsf16NegAbs),
     /* 261531 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3427:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAModsF16NegAbs:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_WMMA_F16_16X16X16_F16_w32_twoaddr:{ *:[v8f16] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f16:{ *:[v8f16] }:$src2)
     /* 261531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_w32_twoaddr),
     /* 261534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 261561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261572 */     GIR_RootConstrainSelectedInstOperands,
     /* 261573 */     // GIR_Coverage, 2839,
     /* 261573 */     GIR_EraseRootFromParent_Done,
     /* 261574 */   // Label 4307: @261574
     /* 261574 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(261678), // Rule ID 2872 //
     /* 261579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 261582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 261587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 261590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 261593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 261596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 261599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 261603 */     // MIs[0] Operand 5
     /* 261603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 261614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmamodsf16NegAbs),
     /* 261635 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3427:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (WMMAModsF16NegAbs:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers), 0:{ *:[i1] })  =>  (V_WMMA_F16_16X16X16_F16_w64_twoaddr:{ *:[v4f16] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4f16:{ *:[v4f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v4f16:{ *:[v4f16] }:$src2)
     /* 261635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_w64_twoaddr),
     /* 261638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 261665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261676 */     GIR_RootConstrainSelectedInstOperands,
     /* 261677 */     // GIR_Coverage, 2872,
     /* 261677 */     GIR_EraseRootFromParent_Done,
     /* 261678 */   // Label 4308: @261678
     /* 261678 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(261776), // Rule ID 2857 //
     /* 261683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 261686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_f16),
     /* 261691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 261694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 261700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 261703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 261706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 261710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 261731 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3400:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_F16_w32_twoaddr:{ *:[v8f32] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16f16:{ *:[v16f16] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 261731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_F16_w32_twoaddr),
     /* 261734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261756 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 261758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 261768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261774 */     GIR_RootConstrainSelectedInstOperands,
     /* 261775 */     // GIR_Coverage, 2857,
     /* 261775 */     GIR_EraseRootFromParent_Done,
     /* 261776 */   // Label 4309: @261776
     /* 261776 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(261874), // Rule ID 2859 //
     /* 261781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 261784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f16_16x16x32_f16),
     /* 261789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 261792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 261798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 261801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 261804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 261808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 261829 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3396:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v16f16] } v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), v8f16:{ *:[v8f16] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F16_16X16X32_F16_w32_twoaddr:{ *:[v8f16] } i32:{ *:[i32] }:$src0_modifiers, v8f16:{ *:[v8f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v16f16:{ *:[v16f16] }:$src1, v8f16:{ *:[v8f16] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 261829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F16_16X16X32_F16_w32_twoaddr),
     /* 261832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261854 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 261856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 261866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261872 */     GIR_RootConstrainSelectedInstOperands,
     /* 261873 */     // GIR_Coverage, 2859,
     /* 261873 */     GIR_EraseRootFromParent_Done,
     /* 261874 */   // Label 4310: @261874
     /* 261874 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(261972), // Rule ID 2890 //
     /* 261879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 261882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_f16),
     /* 261887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 261890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 261893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 261896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 261899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 261902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 261906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 261920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 261927 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3400:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_F16_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 261927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_F16_w64_twoaddr),
     /* 261930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 261932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 261937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 261942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 261947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 261952 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 261954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 261959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_8bit
     /* 261964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261970 */     GIR_RootConstrainSelectedInstOperands,
     /* 261971 */     // GIR_Coverage, 2890,
     /* 261971 */     GIR_EraseRootFromParent_Done,
     /* 261972 */   // Label 4311: @261972
     /* 261972 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(262070), // Rule ID 2892 //
     /* 261977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 261980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f16_16x16x32_f16),
     /* 261985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 261988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 261991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 261994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 261997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 262004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 262011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_wmmamodsf16Neg),
     /* 262018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262025 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3396:{ *:[iPTR] }, (WMMAModsF16Neg:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (WMMAModsF16Neg:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), v4f16:{ *:[v4f16] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F16_16X16X32_F16_w64_twoaddr:{ *:[v4f16] } i32:{ *:[i32] }:$src0_modifiers, v4f16:{ *:[v4f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v8f16:{ *:[v8f16] }:$src1, v4f16:{ *:[v4f16] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F16_16X16X32_F16_w64_twoaddr),
     /* 262028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 262035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 262040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 262045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 262050 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 262057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_8bit
     /* 262062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262068 */     GIR_RootConstrainSelectedInstOperands,
     /* 262069 */     // GIR_Coverage, 2892,
     /* 262069 */     GIR_EraseRootFromParent_Done,
     /* 262070 */   // Label 4312: @262070
     /* 262070 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(262148), // Rule ID 2842 //
     /* 262075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 262083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 262086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 262092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 262095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262099 */     // MIs[0] Operand 5
     /* 262099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 262110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 262117 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3425:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, (WMMAVISrc:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$src2), 0:{ *:[i1] })  =>  (V_WMMA_BF16_16X16X16_BF16_w32_threeaddr:{ *:[v8i16] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src2)
     /* 262117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_w32_threeaddr),
     /* 262120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262125 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262130 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262146 */     GIR_RootConstrainSelectedInstOperands,
     /* 262147 */     // GIR_Coverage, 2842,
     /* 262147 */     GIR_EraseRootFromParent_Done,
     /* 262148 */   // Label 4313: @262148
     /* 262148 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(262226), // Rule ID 2875 //
     /* 262153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 262161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 262164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 262170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 262173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 262177 */     // MIs[0] Operand 5
     /* 262177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 262188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 262195 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3425:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, (WMMAVISrc:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$src2), 0:{ *:[i1] })  =>  (V_WMMA_BF16_16X16X16_BF16_w64_threeaddr:{ *:[v4i16] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src1, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src2)
     /* 262195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_w64_threeaddr),
     /* 262198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262203 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262208 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262224 */     GIR_RootConstrainSelectedInstOperands,
     /* 262225 */     // GIR_Coverage, 2875,
     /* 262225 */     GIR_EraseRootFromParent_Done,
     /* 262226 */   // Label 4314: @262226
     /* 262226 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(262300), // Rule ID 2858 //
     /* 262231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf16),
     /* 262239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 262242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 262248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 262251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 262258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262265 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3397:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_BF16_w32_twoaddr:{ *:[v8f32] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF16_w32_twoaddr),
     /* 262268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262273 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262278 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262280 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262298 */     GIR_RootConstrainSelectedInstOperands,
     /* 262299 */     // GIR_Coverage, 2858,
     /* 262299 */     GIR_EraseRootFromParent_Done,
     /* 262300 */   // Label 4315: @262300
     /* 262300 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(262374), // Rule ID 2860 //
     /* 262305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_bf16_16x16x32_bf16),
     /* 262313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 262316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 262322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 262325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262339 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3395:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v8i16:{ *:[v8i16] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_BF16_16X16X32_BF16_w32_twoaddr:{ *:[v8i16] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, v8i16:{ *:[v8i16] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_BF16_16X16X32_BF16_w32_twoaddr),
     /* 262342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262347 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262352 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262354 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262372 */     GIR_RootConstrainSelectedInstOperands,
     /* 262373 */     // GIR_Coverage, 2860,
     /* 262373 */     GIR_EraseRootFromParent_Done,
     /* 262374 */   // Label 4316: @262374
     /* 262374 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(262436), // Rule ID 2864 //
     /* 262379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_fp8_fp8),
     /* 262387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 262390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 262396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 262399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 262406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262413 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3402:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_FP8_FP8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_FP8_FP8_w32_twoaddr),
     /* 262416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262418 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262420 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262422 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262434 */     GIR_RootConstrainSelectedInstOperands,
     /* 262435 */     // GIR_Coverage, 2864,
     /* 262435 */     GIR_EraseRootFromParent_Done,
     /* 262436 */   // Label 4317: @262436
     /* 262436 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(262498), // Rule ID 2865 //
     /* 262441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_fp8_bf8),
     /* 262449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 262452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 262458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 262461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 262468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262475 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3401:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_FP8_BF8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_FP8_BF8_w32_twoaddr),
     /* 262478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262480 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262482 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262484 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262496 */     GIR_RootConstrainSelectedInstOperands,
     /* 262497 */     // GIR_Coverage, 2865,
     /* 262497 */     GIR_EraseRootFromParent_Done,
     /* 262498 */   // Label 4318: @262498
     /* 262498 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(262560), // Rule ID 2866 //
     /* 262503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf8_fp8),
     /* 262511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 262514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 262520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 262523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 262530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262537 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3399:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_BF8_FP8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF8_FP8_w32_twoaddr),
     /* 262540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262542 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262544 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262546 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262558 */     GIR_RootConstrainSelectedInstOperands,
     /* 262559 */     // GIR_Coverage, 2866,
     /* 262559 */     GIR_EraseRootFromParent_Done,
     /* 262560 */   // Label 4319: @262560
     /* 262560 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(262622), // Rule ID 2867 //
     /* 262565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 262568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf8_bf8),
     /* 262573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 262576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 262582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s32,
     /* 262585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 262592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 262599 */     // (intrinsic_wo_chain:{ *:[v8f32] } 3398:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit))  =>  (V_SWMMAC_F32_16X16X32_BF8_BF8_w32_twoaddr:{ *:[v8f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v8f32:{ *:[v8f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit)
     /* 262599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF8_BF8_w32_twoaddr),
     /* 262602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262604 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262606 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262608 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_16bit
     /* 262620 */     GIR_RootConstrainSelectedInstOperands,
     /* 262621 */     // GIR_Coverage, 2867,
     /* 262621 */     GIR_EraseRootFromParent_Done,
     /* 262622 */   // Label 4320: @262622
     /* 262622 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(262696), // Rule ID 2891 //
     /* 262627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf16),
     /* 262635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 262638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 262644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 262647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262661 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3397:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_BF16_w64_twoaddr:{ *:[v4f32] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF16_w64_twoaddr),
     /* 262664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262669 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262674 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262676 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 262688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262694 */     GIR_RootConstrainSelectedInstOperands,
     /* 262695 */     // GIR_Coverage, 2891,
     /* 262695 */     GIR_EraseRootFromParent_Done,
     /* 262696 */   // Label 4321: @262696
     /* 262696 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(262770), // Rule ID 2893 //
     /* 262701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_bf16_16x16x32_bf16),
     /* 262709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 262712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 262718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 262721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 262728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262735 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3395:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, v4i16:{ *:[v4i16] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_BF16_16X16X32_BF16_w64_twoaddr:{ *:[v4i16] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, v4i16:{ *:[v4i16] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_BF16_16X16X32_BF16_w64_twoaddr),
     /* 262738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 262748 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262750 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 262762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262768 */     GIR_RootConstrainSelectedInstOperands,
     /* 262769 */     // GIR_Coverage, 2893,
     /* 262769 */     GIR_EraseRootFromParent_Done,
     /* 262770 */   // Label 4322: @262770
     /* 262770 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(262832), // Rule ID 2897 //
     /* 262775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_fp8_fp8),
     /* 262783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 262786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 262789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 262792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 262795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262809 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3402:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_FP8_FP8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_FP8_FP8_w64_twoaddr),
     /* 262812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262814 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262816 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262818 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 262830 */     GIR_RootConstrainSelectedInstOperands,
     /* 262831 */     // GIR_Coverage, 2897,
     /* 262831 */     GIR_EraseRootFromParent_Done,
     /* 262832 */   // Label 4323: @262832
     /* 262832 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(262894), // Rule ID 2898 //
     /* 262837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_fp8_bf8),
     /* 262845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 262848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 262851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 262854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 262857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262871 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3401:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_FP8_BF8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_FP8_BF8_w64_twoaddr),
     /* 262874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262876 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262878 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262880 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 262892 */     GIR_RootConstrainSelectedInstOperands,
     /* 262893 */     // GIR_Coverage, 2898,
     /* 262893 */     GIR_EraseRootFromParent_Done,
     /* 262894 */   // Label 4324: @262894
     /* 262894 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(262956), // Rule ID 2899 //
     /* 262899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf8_fp8),
     /* 262907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 262910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 262913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 262916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 262919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262933 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3399:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_BF8_FP8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF8_FP8_w64_twoaddr),
     /* 262936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 262938 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 262940 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 262942 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 262944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 262949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 262954 */     GIR_RootConstrainSelectedInstOperands,
     /* 262955 */     // GIR_Coverage, 2899,
     /* 262955 */     GIR_EraseRootFromParent_Done,
     /* 262956 */   // Label 4325: @262956
     /* 262956 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(263018), // Rule ID 2900 //
     /* 262961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 262964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_f32_16x16x32_bf8_bf8),
     /* 262969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 262972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 262975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 262978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 262981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 262984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 262988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 262995 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3398:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit))  =>  (V_SWMMAC_F32_16X16X32_BF8_BF8_w64_twoaddr:{ *:[v4f32] } i32:{ *:[i32] }:$src0, v2i32:{ *:[v2i32] }:$src1, v4f32:{ *:[v4f32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit)
     /* 262995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_F32_16X16X32_BF8_BF8_w64_twoaddr),
     /* 262998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263000 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263002 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263004 */     GIR_RootToRootCopy, /*OpIdx*/4, // srcTiedDef
     /* 263006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 263011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // index_key_8bit
     /* 263016 */     GIR_RootConstrainSelectedInstOperands,
     /* 263017 */     // GIR_Coverage, 2900,
     /* 263017 */     GIR_EraseRootFromParent_Done,
     /* 263018 */   // Label 4326: @263018
     /* 263018 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(263090), // Rule ID 2819 //
     /* 263023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 263026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 263031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 263034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s16,
     /* 263043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 263047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263054 */     // (intrinsic_wo_chain:{ *:[v16f16] } 3427:{ *:[iPTR] }, v16f16:{ *:[v16f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v16f16:{ *:[v16f16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F16_16X16X16_F16_twoaddr_w32:{ *:[v16f16] } 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src0, 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v16f16:{ *:[v16f16] }:$src2)
     /* 263054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_twoaddr_w32),
     /* 263057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263062 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263067 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263074 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263088 */     GIR_RootConstrainSelectedInstOperands,
     /* 263089 */     // GIR_Coverage, 2819,
     /* 263089 */     GIR_EraseRootFromParent_Done,
     /* 263090 */   // Label 4327: @263090
     /* 263090 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(263162), // Rule ID 2823 //
     /* 263095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 263098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 263103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 263106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s16,
     /* 263115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 263119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263126 */     // (intrinsic_wo_chain:{ *:[v16i16] } 3425:{ *:[iPTR] }, v16i16:{ *:[v16i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v16i16:{ *:[v16i16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_BF16_16X16X16_BF16_twoaddr_w32:{ *:[v16i16] } 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v16i16:{ *:[v16i16] }:$src2)
     /* 263126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_twoaddr_w32),
     /* 263129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263134 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263139 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263146 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263160 */     GIR_RootConstrainSelectedInstOperands,
     /* 263161 */     // GIR_Coverage, 2823,
     /* 263161 */     GIR_EraseRootFromParent_Done,
     /* 263162 */   // Label 4328: @263162
     /* 263162 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(263234), // Rule ID 2824 //
     /* 263167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 263170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16_tied),
     /* 263175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 263178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s16,
     /* 263187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 263191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263198 */     // (intrinsic_wo_chain:{ *:[v16f16] } 3428:{ *:[iPTR] }, v16f16:{ *:[v16f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v16f16:{ *:[v16f16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F16_16X16X16_F16_TIED_twoaddr_w32:{ *:[v16f16] } 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src0, 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v16f16:{ *:[v16f16] }:$src2)
     /* 263198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_TIED_twoaddr_w32),
     /* 263201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263206 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263211 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263218 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263232 */     GIR_RootConstrainSelectedInstOperands,
     /* 263233 */     // GIR_Coverage, 2824,
     /* 263233 */     GIR_EraseRootFromParent_Done,
     /* 263234 */   // Label 4329: @263234
     /* 263234 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(263306), // Rule ID 2825 //
     /* 263239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 263242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16_tied),
     /* 263247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 263250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s16,
     /* 263259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 263263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263270 */     // (intrinsic_wo_chain:{ *:[v16i16] } 3426:{ *:[iPTR] }, v16i16:{ *:[v16i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v16i16:{ *:[v16i16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_BF16_16X16X16_BF16_TIED_twoaddr_w32:{ *:[v16i16] } 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v16i16:{ *:[v16i16] }:$src2)
     /* 263270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_TIED_twoaddr_w32),
     /* 263273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263283 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263290 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263304 */     GIR_RootConstrainSelectedInstOperands,
     /* 263305 */     // GIR_Coverage, 2825,
     /* 263305 */     GIR_EraseRootFromParent_Done,
     /* 263306 */   // Label 4330: @263306
     /* 263306 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(263378), // Rule ID 2829 //
     /* 263311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 263314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16),
     /* 263319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 263322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 263331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 263335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263342 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3427:{ *:[iPTR] }, v16f16:{ *:[v16f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v8f16:{ *:[v8f16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F16_16X16X16_F16_twoaddr_w64:{ *:[v8f16] } 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src0, 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f16:{ *:[v8f16] }:$src2)
     /* 263342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_twoaddr_w64),
     /* 263345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263350 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263355 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263362 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263376 */     GIR_RootConstrainSelectedInstOperands,
     /* 263377 */     // GIR_Coverage, 2829,
     /* 263377 */     GIR_EraseRootFromParent_Done,
     /* 263378 */   // Label 4331: @263378
     /* 263378 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(263450), // Rule ID 2830 //
     /* 263383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 263386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 263391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 263394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 263403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 263407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263414 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3425:{ *:[iPTR] }, v16i16:{ *:[v16i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v8i16:{ *:[v8i16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_BF16_16X16X16_BF16_twoaddr_w64:{ *:[v8i16] } 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8i16:{ *:[v8i16] }:$src2)
     /* 263414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_twoaddr_w64),
     /* 263417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263427 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263434 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263448 */     GIR_RootConstrainSelectedInstOperands,
     /* 263449 */     // GIR_Coverage, 2830,
     /* 263449 */     GIR_EraseRootFromParent_Done,
     /* 263450 */   // Label 4332: @263450
     /* 263450 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(263522), // Rule ID 2831 //
     /* 263455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 263458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_f16_16x16x16_f16_tied),
     /* 263463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 263466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 263475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 263479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263486 */     // (intrinsic_wo_chain:{ *:[v8f16] } 3428:{ *:[iPTR] }, v16f16:{ *:[v16f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v8f16:{ *:[v8f16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_F16_16X16X16_F16_TIED_twoaddr_w64:{ *:[v8f16] } 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src0, 8:{ *:[i32] }, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8f16:{ *:[v8f16] }:$src2)
     /* 263486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_F16_16X16X16_F16_TIED_twoaddr_w64),
     /* 263489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263494 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263499 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263506 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263520 */     GIR_RootConstrainSelectedInstOperands,
     /* 263521 */     // GIR_Coverage, 2831,
     /* 263521 */     GIR_EraseRootFromParent_Done,
     /* 263522 */   // Label 4333: @263522
     /* 263522 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(263594), // Rule ID 2832 //
     /* 263527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 263530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16_tied),
     /* 263535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 263538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 263541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 263544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 263547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 263551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_wmmaopselvop3pmods),
     /* 263558 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3426:{ *:[iPTR] }, v16i16:{ *:[v16i16] }:$src0, v16i16:{ *:[v16i16] }:$src1, v8i16:{ *:[v8i16] }:$src2, (WMMAOpSelVOP3PMods:{ *:[i1] } i32:{ *:[i32] }:$src2_modifiers))  =>  (V_WMMA_BF16_16X16X16_BF16_TIED_twoaddr_w64:{ *:[v8i16] } 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src0, 8:{ *:[i32] }, v16i16:{ *:[v16i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v8i16:{ *:[v8i16] }:$src2)
     /* 263558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_TIED_twoaddr_w64),
     /* 263561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263566 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263571 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2_modifiers
     /* 263578 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263592 */     GIR_RootConstrainSelectedInstOperands,
     /* 263593 */     // GIR_Coverage, 2832,
     /* 263593 */     GIR_EraseRootFromParent_Done,
     /* 263594 */   // Label 4334: @263594
     /* 263594 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(263662), // Rule ID 2841 //
     /* 263599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 263602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 263607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 263610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 263613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 263616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 263619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 263623 */     // MIs[0] Operand 5
     /* 263623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 263634 */     // (intrinsic_wo_chain:{ *:[v8i16] } 3425:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, v8i16:{ *:[v8i16] }:$src2, 0:{ *:[i1] })  =>  (V_WMMA_BF16_16X16X16_BF16_w32_twoaddr:{ *:[v8i16] } 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src0, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src1, 8:{ *:[i32] }, v8i16:{ *:[v8i16] }:$src2)
     /* 263634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_w32_twoaddr),
     /* 263637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263642 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263647 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263652 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263660 */     GIR_RootConstrainSelectedInstOperands,
     /* 263661 */     // GIR_Coverage, 2841,
     /* 263661 */     GIR_EraseRootFromParent_Done,
     /* 263662 */   // Label 4335: @263662
     /* 263662 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(263730), // Rule ID 2874 //
     /* 263667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 263670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_bf16_16x16x16_bf16),
     /* 263675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 263678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 263684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 263687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 263691 */     // MIs[0] Operand 5
     /* 263691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(0),
     /* 263702 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3425:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4i16:{ *:[v4i16] }:$src2, 0:{ *:[i1] })  =>  (V_WMMA_BF16_16X16X16_BF16_w64_twoaddr:{ *:[v4i16] } 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src0, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src1, 8:{ *:[i32] }, v4i16:{ *:[v4i16] }:$src2)
     /* 263702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_BF16_16X16X16_BF16_w64_twoaddr),
     /* 263705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263710 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 263712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263715 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 263717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 263720 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 263722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263728 */     GIR_RootConstrainSelectedInstOperands,
     /* 263729 */     // GIR_Coverage, 2874,
     /* 263729 */     GIR_EraseRootFromParent_Done,
     /* 263730 */   // Label 4336: @263730
     /* 263730 */   GIM_Reject,
     /* 263731 */ // Label 4304: @263731
     /* 263731 */ GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(264003),
     /* 263736 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 263739 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(263809), // Rule ID 2433 //
     /* 263744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 263747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp),
     /* 263752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 263755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 263758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 263762 */     // MIs[0] dpp_ctrl
     /* 263762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 263765 */     // MIs[0] row_mask
     /* 263765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 263768 */     // MIs[0] bank_mask
     /* 263768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 263771 */     // MIs[0] bound_ctrl
     /* 263771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 263774 */     // (intrinsic_wo_chain:{ *:[i32] } 3173:{ *:[iPTR] }, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$src, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 263774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 263777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263779 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 263781 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 263783 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 263789 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 263795 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 263801 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 263807 */     GIR_RootConstrainSelectedInstOperands,
     /* 263808 */     // GIR_Coverage, 2433,
     /* 263808 */     GIR_EraseRootFromParent_Done,
     /* 263809 */   // Label 4338: @263809
     /* 263809 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(263876), // Rule ID 7754 //
     /* 263814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mov_dpp),
     /* 263819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 263822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 263825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 263829 */     // MIs[0] dpp_ctrl
     /* 263829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 263832 */     // MIs[0] row_mask
     /* 263832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 263835 */     // MIs[0] bank_mask
     /* 263835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 263838 */     // MIs[0] bound_ctrl
     /* 263838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 263841 */     // (intrinsic_wo_chain:{ *:[i64] } 3173:{ *:[iPTR] }, i64:{ *:[i64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[i64] } VReg_64_Align2:{ *:[i64] }:$src, VReg_64_Align2:{ *:[i64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 263841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 263844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263846 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 263848 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 263850 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 263856 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 263862 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 263868 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 263874 */     GIR_RootConstrainSelectedInstOperands,
     /* 263875 */     // GIR_Coverage, 7754,
     /* 263875 */     GIR_EraseRootFromParent_Done,
     /* 263876 */   // Label 4339: @263876
     /* 263876 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(263939), // Rule ID 2695 //
     /* 263881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 263884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16_var),
     /* 263889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 263892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 263895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 263898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 263901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 263905 */     // MIs[0] fi
     /* 263905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 263908 */     // MIs[0] bc
     /* 263908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 263911 */     // (intrinsic_wo_chain:{ *:[i32] } 3185:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_VAR_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), VGPR_32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 263911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_VAR_B32_e64),
     /* 263914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263916 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 263922 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 263924 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 263930 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 263932 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 263934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263937 */     GIR_RootConstrainSelectedInstOperands,
     /* 263938 */     // GIR_Coverage, 2695,
     /* 263938 */     GIR_EraseRootFromParent_Done,
     /* 263939 */   // Label 4340: @263939
     /* 263939 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(264002), // Rule ID 2696 //
     /* 263944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 263947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16_var),
     /* 263952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 263955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 263958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 263961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 263964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 263968 */     // MIs[0] fi
     /* 263968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 263971 */     // MIs[0] bc
     /* 263971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 263974 */     // (intrinsic_wo_chain:{ *:[i32] } 3189:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_VAR_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), VGPR_32:{ *:[i32] }:$src1, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 263974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_VAR_B32_e64),
     /* 263977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 263979 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 263985 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 263987 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 263993 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 263995 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 263997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264000 */     GIR_RootConstrainSelectedInstOperands,
     /* 264001 */     // GIR_Coverage, 2696,
     /* 264001 */     GIR_EraseRootFromParent_Done,
     /* 264002 */   // Label 4341: @264002
     /* 264002 */   GIM_Reject,
     /* 264003 */ // Label 4337: @264003
     /* 264003 */ GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(274322),
     /* 264008 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 264011 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(264092), // Rule ID 2844 //
     /* 264016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 264024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264040 */     // MIs[0] clamp
     /* 264040 */     // No operand predicates
     /* 264040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264061 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8i32] } v8i32:{ *:[v8i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_w32_threeaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_w32_threeaddr),
     /* 264064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264071 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264078 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264085 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264090 */     GIR_RootConstrainSelectedInstOperands,
     /* 264091 */     // GIR_Coverage, 2844,
     /* 264091 */     GIR_EraseRootFromParent_Done,
     /* 264092 */   // Label 4343: @264092
     /* 264092 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(264173), // Rule ID 2846 //
     /* 264097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 264105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 264111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 264114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264121 */     // MIs[0] clamp
     /* 264121 */     // No operand predicates
     /* 264121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264142 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v8i32] } v8i32:{ *:[v8i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_w32_threeaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_w32_threeaddr),
     /* 264145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264152 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264159 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264166 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264171 */     GIR_RootConstrainSelectedInstOperands,
     /* 264172 */     // GIR_Coverage, 2846,
     /* 264172 */     GIR_EraseRootFromParent_Done,
     /* 264173 */   // Label 4344: @264173
     /* 264173 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(264254), // Rule ID 2856 //
     /* 264178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x32_iu4),
     /* 264186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264202 */     // MIs[0] clamp
     /* 264202 */     // No operand predicates
     /* 264202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264223 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3437:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, (WMMAVISrc:{ *:[v8i32] } v8i32:{ *:[v8i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X32_IU4_w32_threeaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X32_IU4_w32_threeaddr),
     /* 264226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264233 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264240 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264247 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264252 */     GIR_RootConstrainSelectedInstOperands,
     /* 264253 */     // GIR_Coverage, 2856,
     /* 264253 */     GIR_EraseRootFromParent_Done,
     /* 264254 */   // Label 4345: @264254
     /* 264254 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(264335), // Rule ID 2877 //
     /* 264259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 264262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 264267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 264270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 264273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 264276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 264279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 264283 */     // MIs[0] clamp
     /* 264283 */     // No operand predicates
     /* 264283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264304 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_w64_threeaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_w64_threeaddr),
     /* 264307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264314 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264321 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264328 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264333 */     GIR_RootConstrainSelectedInstOperands,
     /* 264334 */     // GIR_Coverage, 2877,
     /* 264334 */     GIR_EraseRootFromParent_Done,
     /* 264335 */   // Label 4346: @264335
     /* 264335 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(264416), // Rule ID 2879 //
     /* 264340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 264343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 264348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 264351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 264354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 264357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 264360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 264364 */     // MIs[0] clamp
     /* 264364 */     // No operand predicates
     /* 264364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264385 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_w64_threeaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_w64_threeaddr),
     /* 264388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264395 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264402 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264409 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264414 */     GIR_RootConstrainSelectedInstOperands,
     /* 264415 */     // GIR_Coverage, 2879,
     /* 264415 */     GIR_EraseRootFromParent_Done,
     /* 264416 */   // Label 4347: @264416
     /* 264416 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(264497), // Rule ID 2889 //
     /* 264421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 264424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x32_iu4),
     /* 264429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 264432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 264435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 264438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 264441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 264445 */     // MIs[0] clamp
     /* 264445 */     // No operand predicates
     /* 264445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_wmmavisrc),
     /* 264466 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3437:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, (WMMAVISrc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src2), i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X32_IU4_w64_threeaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X32_IU4_w64_threeaddr),
     /* 264469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264476 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264483 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 264490 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264495 */     GIR_RootConstrainSelectedInstOperands,
     /* 264496 */     // GIR_Coverage, 2889,
     /* 264496 */     GIR_EraseRootFromParent_Done,
     /* 264497 */   // Label 4348: @264497
     /* 264497 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(264577), // Rule ID 2820 //
     /* 264502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 264505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 264510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 264516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /* 264519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264526 */     // MIs[0] clamp
     /* 264526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 264529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264543 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v4i32:{ *:[v4i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v4i32:{ *:[v4i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_twoaddr_w32:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v4i32:{ *:[v4i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4i32:{ *:[v4i32] }:$src1, 8:{ *:[i32] }, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_twoaddr_w32),
     /* 264546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264553 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264560 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 264565 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264567 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264575 */     GIR_RootConstrainSelectedInstOperands,
     /* 264576 */     // GIR_Coverage, 2820,
     /* 264576 */     GIR_EraseRootFromParent_Done,
     /* 264577 */   // Label 4349: @264577
     /* 264577 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(264657), // Rule ID 2826 //
     /* 264582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave32),
     /* 264585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 264590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264606 */     // MIs[0] clamp
     /* 264606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 264609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264623 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_twoaddr_w32:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_twoaddr_w32),
     /* 264626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264633 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264640 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 264645 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264647 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264655 */     GIR_RootConstrainSelectedInstOperands,
     /* 264656 */     // GIR_Coverage, 2826,
     /* 264656 */     GIR_EraseRootFromParent_Done,
     /* 264657 */   // Label 4350: @264657
     /* 264657 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(264737), // Rule ID 2833 //
     /* 264662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 264665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 264670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 264673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 264676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /* 264679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 264682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 264686 */     // MIs[0] clamp
     /* 264686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 264689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264703 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v4i32:{ *:[v4i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_twoaddr_w64:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, v4i32:{ *:[v4i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4i32:{ *:[v4i32] }:$src1, 8:{ *:[i32] }, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_twoaddr_w64),
     /* 264706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264713 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264720 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 264725 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264727 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264735 */     GIR_RootConstrainSelectedInstOperands,
     /* 264736 */     // GIR_Coverage, 2833,
     /* 264736 */     GIR_EraseRootFromParent_Done,
     /* 264737 */   // Label 4351: @264737
     /* 264737 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(264817), // Rule ID 2834 //
     /* 264742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Only_isWave64),
     /* 264745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 264750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 264753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 264762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 264766 */     // MIs[0] clamp
     /* 264766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 264769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264783 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i1] }):$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_twoaddr_w64:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, 8:{ *:[i32] }, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_twoaddr_w64),
     /* 264786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264793 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264800 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 264805 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264807 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264815 */     GIR_RootConstrainSelectedInstOperands,
     /* 264816 */     // GIR_Coverage, 2834,
     /* 264816 */     GIR_EraseRootFromParent_Done,
     /* 264817 */   // Label 4352: @264817
     /* 264817 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(264888), // Rule ID 2843 //
     /* 264822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 264830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264846 */     // MIs[0] clamp
     /* 264846 */     // No operand predicates
     /* 264846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264860 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_w32_twoaddr),
     /* 264863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264870 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264877 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264879 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264881 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264886 */     GIR_RootConstrainSelectedInstOperands,
     /* 264887 */     // GIR_Coverage, 2843,
     /* 264887 */     GIR_EraseRootFromParent_Done,
     /* 264888 */   // Label 4353: @264888
     /* 264888 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(264959), // Rule ID 2845 //
     /* 264893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 264901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 264907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 264910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264917 */     // MIs[0] clamp
     /* 264917 */     // No operand predicates
     /* 264917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264931 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 264931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_w32_twoaddr),
     /* 264934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 264936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 264941 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 264943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 264948 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 264950 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 264952 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 264954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264957 */     GIR_RootConstrainSelectedInstOperands,
     /* 264958 */     // GIR_Coverage, 2845,
     /* 264958 */     GIR_EraseRootFromParent_Done,
     /* 264959 */   // Label 4354: @264959
     /* 264959 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(265030), // Rule ID 2855 //
     /* 264964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 264967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x32_iu4),
     /* 264972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 264975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 264978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 264981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 264984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 264988 */     // MIs[0] clamp
     /* 264988 */     // No operand predicates
     /* 264988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 264995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265002 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3437:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X32_IU4_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 265002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X32_IU4_w32_twoaddr),
     /* 265005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 265012 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 265014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 265019 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 265021 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 265023 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 265025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265028 */     GIR_RootConstrainSelectedInstOperands,
     /* 265029 */     // GIR_Coverage, 2855,
     /* 265029 */     GIR_EraseRootFromParent_Done,
     /* 265030 */   // Label 4355: @265030
     /* 265030 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(265101), // Rule ID 2876 //
     /* 265035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 265038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu8),
     /* 265043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 265046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 265049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 265052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 265055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 265059 */     // MIs[0] clamp
     /* 265059 */     // No operand predicates
     /* 265059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265073 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3436:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU8_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 265073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU8_w64_twoaddr),
     /* 265076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 265083 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 265085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 265090 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 265092 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 265094 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 265096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265099 */     GIR_RootConstrainSelectedInstOperands,
     /* 265100 */     // GIR_Coverage, 2876,
     /* 265100 */     GIR_EraseRootFromParent_Done,
     /* 265101 */   // Label 4356: @265101
     /* 265101 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(265172), // Rule ID 2878 //
     /* 265106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 265109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x16_iu4),
     /* 265114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 265117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 265120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 265123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 265126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 265130 */     // MIs[0] clamp
     /* 265130 */     // No operand predicates
     /* 265130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265144 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3435:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X16_IU4_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 265144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X16_IU4_w64_twoaddr),
     /* 265147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 265154 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 265156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 265161 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 265163 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 265165 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 265167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265170 */     GIR_RootConstrainSelectedInstOperands,
     /* 265171 */     // GIR_Coverage, 2878,
     /* 265171 */     GIR_EraseRootFromParent_Done,
     /* 265172 */   // Label 4357: @265172
     /* 265172 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(265243), // Rule ID 2888 //
     /* 265177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 265180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_wmma_i32_16x16x32_iu4),
     /* 265185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 265188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 265191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 265194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 265197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 265201 */     // MIs[0] clamp
     /* 265201 */     // No operand predicates
     /* 265201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 265215 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3437:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_WMMA_I32_16X16X32_IU4_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 265215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_WMMA_I32_16X16X32_IU4_w64_twoaddr),
     /* 265218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 265225 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 265227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 265232 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 265234 */     GIR_RootToRootCopy, /*OpIdx*/6, // src2
     /* 265236 */     GIR_RootToRootCopy, /*OpIdx*/7, // clamp
     /* 265238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265241 */     GIR_RootConstrainSelectedInstOperands,
     /* 265242 */     // GIR_Coverage, 2888,
     /* 265242 */     GIR_EraseRootFromParent_Done,
     /* 265243 */   // Label 4358: @265243
     /* 265243 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(265316), // Rule ID 2434 //
     /* 265248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 265259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 265262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 265265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265269 */     // MIs[0] dpp_ctrl
     /* 265269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265272 */     // MIs[0] row_mask
     /* 265272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265275 */     // MIs[0] bank_mask
     /* 265275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265278 */     // MIs[0] bound_ctrl
     /* 265278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265281 */     // (intrinsic_wo_chain:{ *:[i32] } 3412:{ *:[iPTR] }, i32:{ *:[i32] }:$old, i32:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$old, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265286 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265288 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265308 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265314 */     GIR_RootConstrainSelectedInstOperands,
     /* 265315 */     // GIR_Coverage, 2434,
     /* 265315 */     GIR_EraseRootFromParent_Done,
     /* 265316 */   // Label 4359: @265316
     /* 265316 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(265389), // Rule ID 2435 //
     /* 265321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 265332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 265335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 265338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265342 */     // MIs[0] dpp_ctrl
     /* 265342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265345 */     // MIs[0] row_mask
     /* 265345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265348 */     // MIs[0] bank_mask
     /* 265348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265351 */     // MIs[0] bound_ctrl
     /* 265351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265354 */     // (intrinsic_wo_chain:{ *:[f32] } 3412:{ *:[iPTR] }, f32:{ *:[f32] }:$old, f32:{ *:[f32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[f32] } VGPR_32:{ *:[f32] }:$old, VGPR_32:{ *:[f32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265359 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265361 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265363 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265369 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265381 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265387 */     GIR_RootConstrainSelectedInstOperands,
     /* 265388 */     // GIR_Coverage, 2435,
     /* 265388 */     GIR_EraseRootFromParent_Done,
     /* 265389 */   // Label 4360: @265389
     /* 265389 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(265462), // Rule ID 2436 //
     /* 265394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 265405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 265408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 265411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265415 */     // MIs[0] dpp_ctrl
     /* 265415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265418 */     // MIs[0] row_mask
     /* 265418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265421 */     // MIs[0] bank_mask
     /* 265421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265424 */     // MIs[0] bound_ctrl
     /* 265424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265427 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3412:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$old, v2i16:{ *:[v2i16] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[v2i16] } VGPR_32:{ *:[v2i16] }:$old, VGPR_32:{ *:[v2i16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265432 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265434 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265448 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265454 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265460 */     GIR_RootConstrainSelectedInstOperands,
     /* 265461 */     // GIR_Coverage, 2436,
     /* 265461 */     GIR_EraseRootFromParent_Done,
     /* 265462 */   // Label 4361: @265462
     /* 265462 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(265535), // Rule ID 2437 //
     /* 265467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 265478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 265481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 265484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265488 */     // MIs[0] dpp_ctrl
     /* 265488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265491 */     // MIs[0] row_mask
     /* 265491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265494 */     // MIs[0] bank_mask
     /* 265494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265497 */     // MIs[0] bound_ctrl
     /* 265497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265500 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3412:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$old, v2f16:{ *:[v2f16] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$old, VGPR_32:{ *:[v2f16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265505 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265507 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265509 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265515 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265521 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265527 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265533 */     GIR_RootConstrainSelectedInstOperands,
     /* 265534 */     // GIR_Coverage, 2437,
     /* 265534 */     GIR_EraseRootFromParent_Done,
     /* 265535 */   // Label 4362: @265535
     /* 265535 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(265608), // Rule ID 2438 //
     /* 265540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 265551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 265554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p2s32,
     /* 265557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265561 */     // MIs[0] dpp_ctrl
     /* 265561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265564 */     // MIs[0] row_mask
     /* 265564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265567 */     // MIs[0] bank_mask
     /* 265567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265570 */     // MIs[0] bound_ctrl
     /* 265570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265573 */     // (intrinsic_wo_chain:{ *:[i32] } 3412:{ *:[iPTR] }, p2:{ *:[i32] }:$old, p2:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$old, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265578 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265580 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265594 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265600 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265606 */     GIR_RootConstrainSelectedInstOperands,
     /* 265607 */     // GIR_Coverage, 2438,
     /* 265607 */     GIR_EraseRootFromParent_Done,
     /* 265608 */   // Label 4363: @265608
     /* 265608 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(265681), // Rule ID 2439 //
     /* 265613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 265624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 265627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p3s32,
     /* 265630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265634 */     // MIs[0] dpp_ctrl
     /* 265634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265637 */     // MIs[0] row_mask
     /* 265637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265640 */     // MIs[0] bank_mask
     /* 265640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265643 */     // MIs[0] bound_ctrl
     /* 265643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265646 */     // (intrinsic_wo_chain:{ *:[i32] } 3412:{ *:[iPTR] }, p3:{ *:[i32] }:$old, p3:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$old, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265651 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265653 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265655 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265661 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265667 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265673 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265679 */     GIR_RootConstrainSelectedInstOperands,
     /* 265680 */     // GIR_Coverage, 2439,
     /* 265680 */     GIR_EraseRootFromParent_Done,
     /* 265681 */   // Label 4364: @265681
     /* 265681 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(265754), // Rule ID 2440 //
     /* 265686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 265697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 265700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p5s32,
     /* 265703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265707 */     // MIs[0] dpp_ctrl
     /* 265707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265710 */     // MIs[0] row_mask
     /* 265710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265713 */     // MIs[0] bank_mask
     /* 265713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265716 */     // MIs[0] bound_ctrl
     /* 265716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265719 */     // (intrinsic_wo_chain:{ *:[i32] } 3412:{ *:[iPTR] }, p5:{ *:[i32] }:$old, p5:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$old, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265724 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265726 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265728 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265734 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265740 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265746 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265752 */     GIR_RootConstrainSelectedInstOperands,
     /* 265753 */     // GIR_Coverage, 2440,
     /* 265753 */     GIR_EraseRootFromParent_Done,
     /* 265754 */   // Label 4365: @265754
     /* 265754 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(265827), // Rule ID 2441 //
     /* 265759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 265762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 265770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 265773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p6s32,
     /* 265776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 265780 */     // MIs[0] dpp_ctrl
     /* 265780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265783 */     // MIs[0] row_mask
     /* 265783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265786 */     // MIs[0] bank_mask
     /* 265786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265789 */     // MIs[0] bound_ctrl
     /* 265789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265792 */     // (intrinsic_wo_chain:{ *:[i32] } 3412:{ *:[iPTR] }, p6:{ *:[i32] }:$old, p6:{ *:[i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B32_dpp:{ *:[i32] } VGPR_32:{ *:[i32] }:$old, VGPR_32:{ *:[i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_dpp),
     /* 265795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265797 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265799 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265801 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265807 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265813 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265819 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265825 */     GIR_RootConstrainSelectedInstOperands,
     /* 265826 */     // GIR_Coverage, 2441,
     /* 265826 */     GIR_EraseRootFromParent_Done,
     /* 265827 */   // Label 4366: @265827
     /* 265827 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(265897), // Rule ID 7755 //
     /* 265832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 265840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 265843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 265846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 265850 */     // MIs[0] dpp_ctrl
     /* 265850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265853 */     // MIs[0] row_mask
     /* 265853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265856 */     // MIs[0] bank_mask
     /* 265856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265859 */     // MIs[0] bound_ctrl
     /* 265859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265862 */     // (intrinsic_wo_chain:{ *:[i64] } 3412:{ *:[iPTR] }, i64:{ *:[i64] }:$old, i64:{ *:[i64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[i64] } VReg_64_Align2:{ *:[i64] }:$old, VReg_64_Align2:{ *:[i64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 265865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265867 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265869 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265871 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265877 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265883 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265889 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265895 */     GIR_RootConstrainSelectedInstOperands,
     /* 265896 */     // GIR_Coverage, 7755,
     /* 265896 */     GIR_EraseRootFromParent_Done,
     /* 265897 */   // Label 4367: @265897
     /* 265897 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(265967), // Rule ID 7756 //
     /* 265902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 265910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 265913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 265916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 265920 */     // MIs[0] dpp_ctrl
     /* 265920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265923 */     // MIs[0] row_mask
     /* 265923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265926 */     // MIs[0] bank_mask
     /* 265926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265929 */     // MIs[0] bound_ctrl
     /* 265929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 265932 */     // (intrinsic_wo_chain:{ *:[f64] } 3412:{ *:[iPTR] }, f64:{ *:[f64] }:$old, f64:{ *:[f64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[f64] } VReg_64_Align2:{ *:[f64] }:$old, VReg_64_Align2:{ *:[f64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 265932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 265935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 265937 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 265939 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 265941 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 265947 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 265953 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 265959 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 265965 */     GIR_RootConstrainSelectedInstOperands,
     /* 265966 */     // GIR_Coverage, 7756,
     /* 265966 */     GIR_EraseRootFromParent_Done,
     /* 265967 */   // Label 4368: @265967
     /* 265967 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(266037), // Rule ID 7757 //
     /* 265972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 265977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 265980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 265983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 265986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 265990 */     // MIs[0] dpp_ctrl
     /* 265990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 265993 */     // MIs[0] row_mask
     /* 265993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 265996 */     // MIs[0] bank_mask
     /* 265996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 265999 */     // MIs[0] bound_ctrl
     /* 265999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266002 */     // (intrinsic_wo_chain:{ *:[v2i32] } 3412:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$old, v2i32:{ *:[v2i32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[v2i32] } VReg_64_Align2:{ *:[v2i32] }:$old, VReg_64_Align2:{ *:[v2i32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266007 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266009 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266011 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266017 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266023 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266029 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266035 */     GIR_RootConstrainSelectedInstOperands,
     /* 266036 */     // GIR_Coverage, 7757,
     /* 266036 */     GIR_EraseRootFromParent_Done,
     /* 266037 */   // Label 4369: @266037
     /* 266037 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(266107), // Rule ID 7758 //
     /* 266042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 266050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 266053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 266056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266060 */     // MIs[0] dpp_ctrl
     /* 266060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266063 */     // MIs[0] row_mask
     /* 266063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266066 */     // MIs[0] bank_mask
     /* 266066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266069 */     // MIs[0] bound_ctrl
     /* 266069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266072 */     // (intrinsic_wo_chain:{ *:[v2f32] } 3412:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$old, v2f32:{ *:[v2f32] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[v2f32] } VReg_64_Align2:{ *:[v2f32] }:$old, VReg_64_Align2:{ *:[v2f32] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266077 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266079 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266081 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266087 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266093 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266099 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266105 */     GIR_RootConstrainSelectedInstOperands,
     /* 266106 */     // GIR_Coverage, 7758,
     /* 266106 */     GIR_EraseRootFromParent_Done,
     /* 266107 */   // Label 4370: @266107
     /* 266107 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(266177), // Rule ID 7759 //
     /* 266112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 266120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 266123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 266126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266130 */     // MIs[0] dpp_ctrl
     /* 266130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266133 */     // MIs[0] row_mask
     /* 266133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266136 */     // MIs[0] bank_mask
     /* 266136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266139 */     // MIs[0] bound_ctrl
     /* 266139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266142 */     // (intrinsic_wo_chain:{ *:[v4i16] } 3412:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$old, v4i16:{ *:[v4i16] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[v4i16] } VReg_64_Align2:{ *:[v4i16] }:$old, VReg_64_Align2:{ *:[v4i16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266147 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266149 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266151 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266157 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266163 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266175 */     GIR_RootConstrainSelectedInstOperands,
     /* 266176 */     // GIR_Coverage, 7759,
     /* 266176 */     GIR_EraseRootFromParent_Done,
     /* 266177 */   // Label 4371: @266177
     /* 266177 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(266247), // Rule ID 7760 //
     /* 266182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 266190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 266193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 266196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266200 */     // MIs[0] dpp_ctrl
     /* 266200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266203 */     // MIs[0] row_mask
     /* 266203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266206 */     // MIs[0] bank_mask
     /* 266206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266209 */     // MIs[0] bound_ctrl
     /* 266209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266212 */     // (intrinsic_wo_chain:{ *:[v4f16] } 3412:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$old, v4f16:{ *:[v4f16] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[v4f16] } VReg_64_Align2:{ *:[v4f16] }:$old, VReg_64_Align2:{ *:[v4f16] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266217 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266219 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266221 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266227 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266233 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266239 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266245 */     GIR_RootConstrainSelectedInstOperands,
     /* 266246 */     // GIR_Coverage, 7760,
     /* 266246 */     GIR_EraseRootFromParent_Done,
     /* 266247 */   // Label 4372: @266247
     /* 266247 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(266317), // Rule ID 7761 //
     /* 266252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p0s64,
     /* 266260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 266263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 266266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266270 */     // MIs[0] dpp_ctrl
     /* 266270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266273 */     // MIs[0] row_mask
     /* 266273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266276 */     // MIs[0] bank_mask
     /* 266276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266279 */     // MIs[0] bound_ctrl
     /* 266279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266282 */     // (intrinsic_wo_chain:{ *:[i64] } 3412:{ *:[iPTR] }, p0:{ *:[i64] }:$old, p0:{ *:[i64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[i64] } VReg_64_Align2:{ *:[i64] }:$old, VReg_64_Align2:{ *:[i64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266287 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266289 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266291 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266297 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266309 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266315 */     GIR_RootConstrainSelectedInstOperands,
     /* 266316 */     // GIR_Coverage, 7761,
     /* 266316 */     GIR_EraseRootFromParent_Done,
     /* 266317 */   // Label 4373: @266317
     /* 266317 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(266387), // Rule ID 7762 //
     /* 266322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p1s64,
     /* 266330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p1s64,
     /* 266333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p1s64,
     /* 266336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266340 */     // MIs[0] dpp_ctrl
     /* 266340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266343 */     // MIs[0] row_mask
     /* 266343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266346 */     // MIs[0] bank_mask
     /* 266346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266349 */     // MIs[0] bound_ctrl
     /* 266349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266352 */     // (intrinsic_wo_chain:{ *:[i64] } 3412:{ *:[iPTR] }, p1:{ *:[i64] }:$old, p1:{ *:[i64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[i64] } VReg_64_Align2:{ *:[i64] }:$old, VReg_64_Align2:{ *:[i64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266357 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266359 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266361 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266367 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266373 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266379 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266385 */     GIR_RootConstrainSelectedInstOperands,
     /* 266386 */     // GIR_Coverage, 7762,
     /* 266386 */     GIR_EraseRootFromParent_Done,
     /* 266387 */   // Label 4374: @266387
     /* 266387 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(266457), // Rule ID 7763 //
     /* 266392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_update_dpp),
     /* 266397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p4s64,
     /* 266400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p4s64,
     /* 266403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p4s64,
     /* 266406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 266410 */     // MIs[0] dpp_ctrl
     /* 266410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 266413 */     // MIs[0] row_mask
     /* 266413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 266416 */     // MIs[0] bank_mask
     /* 266416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266419 */     // MIs[0] bound_ctrl
     /* 266419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266422 */     // (intrinsic_wo_chain:{ *:[i64] } 3412:{ *:[iPTR] }, p4:{ *:[i64] }:$old, p4:{ *:[i64] }:$src, (timm:{ *:[i32] }):$dpp_ctrl, (timm:{ *:[i32] }):$row_mask, (timm:{ *:[i32] }):$bank_mask, (timm:{ *:[i1] }):$bound_ctrl)  =>  (V_MOV_B64_DPP_PSEUDO:{ *:[i64] } VReg_64_Align2:{ *:[i64] }:$old, VReg_64_Align2:{ *:[i64] }:$src, (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$dpp_ctrl), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$row_mask), (as_i32timm:{ *:[i32] } ?:{ *:[i32] }:$bank_mask), (as_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bound_ctrl))
     /* 266422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_DPP_PSEUDO),
     /* 266425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266427 */     GIR_RootToRootCopy, /*OpIdx*/2, // old
     /* 266429 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 266431 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/4, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // dpp_ctrl
     /* 266437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/5, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // row_mask
     /* 266443 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bank_mask
     /* 266449 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // bound_ctrl
     /* 266455 */     GIR_RootConstrainSelectedInstOperands,
     /* 266456 */     // GIR_Coverage, 7763,
     /* 266456 */     GIR_EraseRootFromParent_Done,
     /* 266457 */   // Label 4375: @266457
     /* 266457 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(266528), // Rule ID 2670 //
     /* 266462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 266470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 266473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 266476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 266479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266489 */     // MIs[0] fi
     /* 266489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266492 */     // MIs[0] bc
     /* 266492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266495 */     // (intrinsic_wo_chain:{ *:[i32] } 3183:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 266495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 266498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266500 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266506 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266508 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266514 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266519 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266521 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266526 */     GIR_RootConstrainSelectedInstOperands,
     /* 266527 */     // GIR_Coverage, 2670,
     /* 266527 */     GIR_EraseRootFromParent_Done,
     /* 266528 */   // Label 4376: @266528
     /* 266528 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(266599), // Rule ID 2671 //
     /* 266533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 266541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 266544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 266547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 266550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266560 */     // MIs[0] fi
     /* 266560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266563 */     // MIs[0] bc
     /* 266563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266566 */     // (intrinsic_wo_chain:{ *:[i32] } 3188:{ *:[iPTR] }, i32:{ *:[i32] }:$vdst_in, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 266566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 266569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266571 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266577 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266579 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266585 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266590 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266592 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266597 */     GIR_RootConstrainSelectedInstOperands,
     /* 266598 */     // GIR_Coverage, 2671,
     /* 266598 */     GIR_EraseRootFromParent_Done,
     /* 266599 */   // Label 4377: @266599
     /* 266599 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(266670), // Rule ID 2672 //
     /* 266604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 266612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 266615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 266618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 266621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266631 */     // MIs[0] fi
     /* 266631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266634 */     // MIs[0] bc
     /* 266634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266637 */     // (intrinsic_wo_chain:{ *:[f32] } 3183:{ *:[iPTR] }, f32:{ *:[f32] }:$vdst_in, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[f32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[f32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[f32] }:$vdst_in)
     /* 266637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 266640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266642 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266648 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266650 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266656 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266661 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266663 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266668 */     GIR_RootConstrainSelectedInstOperands,
     /* 266669 */     // GIR_Coverage, 2672,
     /* 266669 */     GIR_EraseRootFromParent_Done,
     /* 266670 */   // Label 4378: @266670
     /* 266670 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(266741), // Rule ID 2673 //
     /* 266675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 266683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 266686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 266689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 266692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266702 */     // MIs[0] fi
     /* 266702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266705 */     // MIs[0] bc
     /* 266705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266708 */     // (intrinsic_wo_chain:{ *:[f32] } 3188:{ *:[iPTR] }, f32:{ *:[f32] }:$vdst_in, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[f32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[f32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[f32] }:$vdst_in)
     /* 266708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 266711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266713 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266719 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266721 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266727 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266732 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266734 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266739 */     GIR_RootConstrainSelectedInstOperands,
     /* 266740 */     // GIR_Coverage, 2673,
     /* 266740 */     GIR_EraseRootFromParent_Done,
     /* 266741 */   // Label 4379: @266741
     /* 266741 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(266812), // Rule ID 2674 //
     /* 266746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 266754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 266757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 266760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 266763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266773 */     // MIs[0] fi
     /* 266773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266776 */     // MIs[0] bc
     /* 266776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266779 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3183:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[v2i16] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[v2i16] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 266779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 266782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266784 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266790 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266792 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266798 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266803 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266805 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266810 */     GIR_RootConstrainSelectedInstOperands,
     /* 266811 */     // GIR_Coverage, 2674,
     /* 266811 */     GIR_EraseRootFromParent_Done,
     /* 266812 */   // Label 4380: @266812
     /* 266812 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(266883), // Rule ID 2675 //
     /* 266817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 266825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 266828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 266831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 266834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266844 */     // MIs[0] fi
     /* 266844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266847 */     // MIs[0] bc
     /* 266847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266850 */     // (intrinsic_wo_chain:{ *:[v2i16] } 3188:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$vdst_in, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[v2i16] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[v2i16] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[v2i16] }:$vdst_in)
     /* 266850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 266853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266855 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266861 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266863 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266869 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266874 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266876 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266881 */     GIR_RootConstrainSelectedInstOperands,
     /* 266882 */     // GIR_Coverage, 2675,
     /* 266882 */     GIR_EraseRootFromParent_Done,
     /* 266883 */   // Label 4381: @266883
     /* 266883 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(266954), // Rule ID 2676 //
     /* 266888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 266896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 266899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 266902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 266905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266915 */     // MIs[0] fi
     /* 266915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266918 */     // MIs[0] bc
     /* 266918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266921 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3183:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[v2f16] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[v2f16] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 266921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 266924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266926 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 266932 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 266934 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 266940 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 266942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266945 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 266947 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 266949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266952 */     GIR_RootConstrainSelectedInstOperands,
     /* 266953 */     // GIR_Coverage, 2676,
     /* 266953 */     GIR_EraseRootFromParent_Done,
     /* 266954 */   // Label 4382: @266954
     /* 266954 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(267025), // Rule ID 2677 //
     /* 266959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 266962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 266967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 266970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 266973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 266976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 266979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 266982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 266986 */     // MIs[0] fi
     /* 266986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 266989 */     // MIs[0] bc
     /* 266989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 266992 */     // (intrinsic_wo_chain:{ *:[v2f16] } 3188:{ *:[iPTR] }, v2f16:{ *:[v2f16] }:$vdst_in, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[v2f16] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[v2f16] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[v2f16] }:$vdst_in)
     /* 266992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 266995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 266997 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267003 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267011 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267016 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267018 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267023 */     GIR_RootConstrainSelectedInstOperands,
     /* 267024 */     // GIR_Coverage, 2677,
     /* 267024 */     GIR_EraseRootFromParent_Done,
     /* 267025 */   // Label 4383: @267025
     /* 267025 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(267096), // Rule ID 2678 //
     /* 267030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 267038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 267041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 267044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p2s32,
     /* 267047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267057 */     // MIs[0] fi
     /* 267057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267060 */     // MIs[0] bc
     /* 267060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267063 */     // (intrinsic_wo_chain:{ *:[i32] } 3183:{ *:[iPTR] }, p2:{ *:[i32] }:$vdst_in, p2:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 267066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267068 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267074 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267076 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267082 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267087 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267089 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267094 */     GIR_RootConstrainSelectedInstOperands,
     /* 267095 */     // GIR_Coverage, 2678,
     /* 267095 */     GIR_EraseRootFromParent_Done,
     /* 267096 */   // Label 4384: @267096
     /* 267096 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(267167), // Rule ID 2679 //
     /* 267101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 267109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p2s32,
     /* 267112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p2s32,
     /* 267115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p2s32,
     /* 267118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267128 */     // MIs[0] fi
     /* 267128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267131 */     // MIs[0] bc
     /* 267131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267134 */     // (intrinsic_wo_chain:{ *:[i32] } 3188:{ *:[iPTR] }, p2:{ *:[i32] }:$vdst_in, p2:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 267137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267145 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267147 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267153 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267158 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267160 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267165 */     GIR_RootConstrainSelectedInstOperands,
     /* 267166 */     // GIR_Coverage, 2679,
     /* 267166 */     GIR_EraseRootFromParent_Done,
     /* 267167 */   // Label 4385: @267167
     /* 267167 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(267238), // Rule ID 2680 //
     /* 267172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 267180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 267183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 267186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p3s32,
     /* 267189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267199 */     // MIs[0] fi
     /* 267199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267202 */     // MIs[0] bc
     /* 267202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267205 */     // (intrinsic_wo_chain:{ *:[i32] } 3183:{ *:[iPTR] }, p3:{ *:[i32] }:$vdst_in, p3:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 267208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267210 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267216 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267218 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267224 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267229 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267231 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267236 */     GIR_RootConstrainSelectedInstOperands,
     /* 267237 */     // GIR_Coverage, 2680,
     /* 267237 */     GIR_EraseRootFromParent_Done,
     /* 267238 */   // Label 4386: @267238
     /* 267238 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(267309), // Rule ID 2681 //
     /* 267243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 267251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p3s32,
     /* 267254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p3s32,
     /* 267257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p3s32,
     /* 267260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267270 */     // MIs[0] fi
     /* 267270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267273 */     // MIs[0] bc
     /* 267273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267276 */     // (intrinsic_wo_chain:{ *:[i32] } 3188:{ *:[iPTR] }, p3:{ *:[i32] }:$vdst_in, p3:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 267279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267281 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267287 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267289 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267295 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267300 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267302 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267307 */     GIR_RootConstrainSelectedInstOperands,
     /* 267308 */     // GIR_Coverage, 2681,
     /* 267308 */     GIR_EraseRootFromParent_Done,
     /* 267309 */   // Label 4387: @267309
     /* 267309 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(267380), // Rule ID 2682 //
     /* 267314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 267322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 267325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 267328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p5s32,
     /* 267331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267341 */     // MIs[0] fi
     /* 267341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267344 */     // MIs[0] bc
     /* 267344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267347 */     // (intrinsic_wo_chain:{ *:[i32] } 3183:{ *:[iPTR] }, p5:{ *:[i32] }:$vdst_in, p5:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 267350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267352 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267358 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267366 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267371 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267373 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267378 */     GIR_RootConstrainSelectedInstOperands,
     /* 267379 */     // GIR_Coverage, 2682,
     /* 267379 */     GIR_EraseRootFromParent_Done,
     /* 267380 */   // Label 4388: @267380
     /* 267380 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(267451), // Rule ID 2683 //
     /* 267385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 267393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p5s32,
     /* 267396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p5s32,
     /* 267399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p5s32,
     /* 267402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267412 */     // MIs[0] fi
     /* 267412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267415 */     // MIs[0] bc
     /* 267415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267418 */     // (intrinsic_wo_chain:{ *:[i32] } 3188:{ *:[iPTR] }, p5:{ *:[i32] }:$vdst_in, p5:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 267421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267423 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267429 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267431 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267437 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267442 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267444 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267449 */     GIR_RootConstrainSelectedInstOperands,
     /* 267450 */     // GIR_Coverage, 2683,
     /* 267450 */     GIR_EraseRootFromParent_Done,
     /* 267451 */   // Label 4389: @267451
     /* 267451 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(267522), // Rule ID 2684 //
     /* 267456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlane16),
     /* 267464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 267467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 267470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p6s32,
     /* 267473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267483 */     // MIs[0] fi
     /* 267483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267486 */     // MIs[0] bc
     /* 267486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267489 */     // (intrinsic_wo_chain:{ *:[i32] } 3183:{ *:[iPTR] }, p6:{ *:[i32] }:$vdst_in, p6:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANE16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANE16_B32_e64),
     /* 267492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267494 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267500 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267502 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267508 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267513 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267515 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267520 */     GIR_RootConstrainSelectedInstOperands,
     /* 267521 */     // GIR_Coverage, 2684,
     /* 267521 */     GIR_EraseRootFromParent_Done,
     /* 267522 */   // Label 4390: @267522
     /* 267522 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(267593), // Rule ID 2685 //
     /* 267527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX10Plus),
     /* 267530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_permlanex16),
     /* 267535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_p6s32,
     /* 267538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p6s32,
     /* 267541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p6s32,
     /* 267544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 267547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 267550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 267554 */     // MIs[0] fi
     /* 267554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267557 */     // MIs[0] bc
     /* 267557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267560 */     // (intrinsic_wo_chain:{ *:[i32] } 3188:{ *:[iPTR] }, p6:{ *:[i32] }:$vdst_in, p6:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2, (timm:{ *:[i1] }):$fi, (timm:{ *:[i1] }):$bc)  =>  (V_PERMLANEX16_B32_e64:{ *:[i32] } (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$fi), VGPR_32:{ *:[i32] }:$src0, (opsel_i1timm:{ *:[i32] } ?:{ *:[i1] }:$bc), SCSrc_b32:{ *:[i32] }:$src1, 0:{ *:[i32] }, SCSrc_b32:{ *:[i32] }:$src2, VGPR_32:{ *:[i32] }:$vdst_in)
     /* 267560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERMLANEX16_B32_e64),
     /* 267563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267565 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // fi
     /* 267571 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 267573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderOpSelTImm), // bc
     /* 267579 */     GIR_RootToRootCopy, /*OpIdx*/4, // src1
     /* 267581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267584 */     GIR_RootToRootCopy, /*OpIdx*/5, // src2
     /* 267586 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdst_in
     /* 267588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 267591 */     GIR_RootConstrainSelectedInstOperands,
     /* 267592 */     // GIR_Coverage, 2685,
     /* 267592 */     GIR_EraseRootFromParent_Done,
     /* 267593 */   // Label 4391: @267593
     /* 267593 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(267654), // Rule ID 1125 //
     /* 267598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 267601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x1f32),
     /* 267606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 267609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 267618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 267622 */     // MIs[0] cbsz
     /* 267622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267625 */     // MIs[0] abid
     /* 267625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267628 */     // MIs[0] blgp
     /* 267628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23380),
     /* 267635 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3156:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23380>>  =>  (V_MFMA_F32_4X4X1F32_e64:{ *:[v4f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X1F32_e64),
     /* 267638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267640 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267642 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267644 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267646 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267648 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267650 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267652 */     GIR_RootConstrainSelectedInstOperands,
     /* 267653 */     // GIR_Coverage, 1125,
     /* 267653 */     GIR_EraseRootFromParent_Done,
     /* 267654 */   // Label 4392: @267654
     /* 267654 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(267715), // Rule ID 1126 //
     /* 267659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 267662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x1f32),
     /* 267667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 267670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 267679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 267683 */     // MIs[0] cbsz
     /* 267683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267686 */     // MIs[0] abid
     /* 267686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267689 */     // MIs[0] blgp
     /* 267689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267692 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23382),
     /* 267696 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3156:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23382>>  =>  (V_MFMA_F32_4X4X1F32_vgprcd_e64:{ *:[v4f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X1F32_vgprcd_e64),
     /* 267699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267701 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267703 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267705 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267707 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267709 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267711 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267713 */     GIR_RootConstrainSelectedInstOperands,
     /* 267714 */     // GIR_Coverage, 1126,
     /* 267714 */     GIR_EraseRootFromParent_Done,
     /* 267715 */   // Label 4393: @267715
     /* 267715 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(267776), // Rule ID 1127 //
     /* 267720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 267723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x1f32),
     /* 267728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 267731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 267740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 267744 */     // MIs[0] cbsz
     /* 267744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267747 */     // MIs[0] abid
     /* 267747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267750 */     // MIs[0] blgp
     /* 267750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23386),
     /* 267757 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3128:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23386>>  =>  (V_MFMA_F32_16X16X1F32_mac_e64:{ *:[v16f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X1F32_mac_e64),
     /* 267760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267762 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267764 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267766 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267768 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267770 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267772 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267774 */     GIR_RootConstrainSelectedInstOperands,
     /* 267775 */     // GIR_Coverage, 1127,
     /* 267775 */     GIR_EraseRootFromParent_Done,
     /* 267776 */   // Label 4394: @267776
     /* 267776 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(267837), // Rule ID 1128 //
     /* 267781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 267784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x1f32),
     /* 267789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 267792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 267801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 267805 */     // MIs[0] cbsz
     /* 267805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267808 */     // MIs[0] abid
     /* 267808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267811 */     // MIs[0] blgp
     /* 267811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23388),
     /* 267818 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3128:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23388>>  =>  (V_MFMA_F32_16X16X1F32_mac_vgprcd_e64:{ *:[v16f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X1F32_mac_vgprcd_e64),
     /* 267821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267823 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267825 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267827 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267829 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267831 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267833 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267835 */     GIR_RootConstrainSelectedInstOperands,
     /* 267836 */     // GIR_Coverage, 1128,
     /* 267836 */     GIR_EraseRootFromParent_Done,
     /* 267837 */   // Label 4395: @267837
     /* 267837 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(267898), // Rule ID 1129 //
     /* 267842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 267845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4f32),
     /* 267850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 267853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 267862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 267866 */     // MIs[0] cbsz
     /* 267866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267869 */     // MIs[0] abid
     /* 267869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267872 */     // MIs[0] blgp
     /* 267872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23390),
     /* 267879 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3138:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23390>>  =>  (V_MFMA_F32_16X16X4F32_e64:{ *:[v4f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4F32_e64),
     /* 267882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267884 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267886 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267888 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267890 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267892 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267894 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267896 */     GIR_RootConstrainSelectedInstOperands,
     /* 267897 */     // GIR_Coverage, 1129,
     /* 267897 */     GIR_EraseRootFromParent_Done,
     /* 267898 */   // Label 4396: @267898
     /* 267898 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(267959), // Rule ID 1130 //
     /* 267903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 267906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4f32),
     /* 267911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 267914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 267923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 267927 */     // MIs[0] cbsz
     /* 267927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267930 */     // MIs[0] abid
     /* 267930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267933 */     // MIs[0] blgp
     /* 267933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23392),
     /* 267940 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3138:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23392>>  =>  (V_MFMA_F32_16X16X4F32_vgprcd_e64:{ *:[v4f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 267940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4F32_vgprcd_e64),
     /* 267943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 267945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 267947 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 267949 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 267951 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 267953 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 267955 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 267957 */     GIR_RootConstrainSelectedInstOperands,
     /* 267958 */     // GIR_Coverage, 1130,
     /* 267958 */     GIR_EraseRootFromParent_Done,
     /* 267959 */   // Label 4397: @267959
     /* 267959 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(268020), // Rule ID 1131 //
     /* 267964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 267967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x1f32),
     /* 267972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 267975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 267978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 267981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 267984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_1024RegClassID),
     /* 267988 */     // MIs[0] cbsz
     /* 267988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 267991 */     // MIs[0] abid
     /* 267991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 267994 */     // MIs[0] blgp
     /* 267994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 267997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23396),
     /* 268001 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3147:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23396>>  =>  (V_MFMA_F32_32X32X1F32_mac_e64:{ *:[v32f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X1F32_mac_e64),
     /* 268004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268006 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268008 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268010 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268012 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268014 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268016 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268018 */     GIR_RootConstrainSelectedInstOperands,
     /* 268019 */     // GIR_Coverage, 1131,
     /* 268019 */     GIR_EraseRootFromParent_Done,
     /* 268020 */   // Label 4398: @268020
     /* 268020 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(268081), // Rule ID 1132 //
     /* 268025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x1f32),
     /* 268033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 268036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 268045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 268049 */     // MIs[0] cbsz
     /* 268049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268052 */     // MIs[0] abid
     /* 268052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268055 */     // MIs[0] blgp
     /* 268055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268058 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23398),
     /* 268062 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3147:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23398>>  =>  (V_MFMA_F32_32X32X1F32_mac_vgprcd_e64:{ *:[v32f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X1F32_mac_vgprcd_e64),
     /* 268065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268067 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268069 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268071 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268073 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268075 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268077 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268079 */     GIR_RootConstrainSelectedInstOperands,
     /* 268080 */     // GIR_Coverage, 1132,
     /* 268080 */     GIR_EraseRootFromParent_Done,
     /* 268081 */   // Label 4399: @268081
     /* 268081 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(268142), // Rule ID 1133 //
     /* 268086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x2f32),
     /* 268094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 268110 */     // MIs[0] cbsz
     /* 268110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268113 */     // MIs[0] abid
     /* 268113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268116 */     // MIs[0] blgp
     /* 268116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268119 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23400),
     /* 268123 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3149:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23400>>  =>  (V_MFMA_F32_32X32X2F32_mac_e64:{ *:[v16f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X2F32_mac_e64),
     /* 268126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268128 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268130 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268132 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268134 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268136 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268138 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268140 */     GIR_RootConstrainSelectedInstOperands,
     /* 268141 */     // GIR_Coverage, 1133,
     /* 268141 */     GIR_EraseRootFromParent_Done,
     /* 268142 */   // Label 4400: @268142
     /* 268142 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(268203), // Rule ID 1134 //
     /* 268147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x2f32),
     /* 268155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 268171 */     // MIs[0] cbsz
     /* 268171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268174 */     // MIs[0] abid
     /* 268174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268177 */     // MIs[0] blgp
     /* 268177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23402),
     /* 268184 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3149:{ *:[iPTR] }, f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23402>>  =>  (V_MFMA_F32_32X32X2F32_mac_vgprcd_e64:{ *:[v16f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X2F32_mac_vgprcd_e64),
     /* 268187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268189 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268191 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268193 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268195 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268197 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268199 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268201 */     GIR_RootConstrainSelectedInstOperands,
     /* 268202 */     // GIR_Coverage, 1134,
     /* 268202 */     GIR_EraseRootFromParent_Done,
     /* 268203 */   // Label 4401: @268203
     /* 268203 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(268264), // Rule ID 1135 //
     /* 268208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x4f16),
     /* 268216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 268232 */     // MIs[0] cbsz
     /* 268232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268235 */     // MIs[0] abid
     /* 268235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268238 */     // MIs[0] blgp
     /* 268238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23404),
     /* 268245 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3159:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23404>>  =>  (V_MFMA_F32_4X4X4F16_e64:{ *:[v4f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X4F16_e64),
     /* 268248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268250 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268252 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268254 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268256 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268258 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268260 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268262 */     GIR_RootConstrainSelectedInstOperands,
     /* 268263 */     // GIR_Coverage, 1135,
     /* 268263 */     GIR_EraseRootFromParent_Done,
     /* 268264 */   // Label 4402: @268264
     /* 268264 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(268325), // Rule ID 1136 //
     /* 268269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x4f16),
     /* 268277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 268293 */     // MIs[0] cbsz
     /* 268293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268296 */     // MIs[0] abid
     /* 268296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268299 */     // MIs[0] blgp
     /* 268299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268302 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23406),
     /* 268306 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3159:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23406>>  =>  (V_MFMA_F32_4X4X4F16_vgprcd_e64:{ *:[v4f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X4F16_vgprcd_e64),
     /* 268309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268311 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268313 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268315 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268317 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268319 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268321 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268323 */     GIR_RootConstrainSelectedInstOperands,
     /* 268324 */     // GIR_Coverage, 1136,
     /* 268324 */     GIR_EraseRootFromParent_Done,
     /* 268325 */   // Label 4403: @268325
     /* 268325 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(268386), // Rule ID 1137 //
     /* 268330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_4x4x4i8),
     /* 268338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 268354 */     // MIs[0] cbsz
     /* 268354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268357 */     // MIs[0] abid
     /* 268357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268360 */     // MIs[0] blgp
     /* 268360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268363 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23408),
     /* 268367 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3170:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23408>>  =>  (V_MFMA_I32_4X4X4I8_e64:{ *:[v4i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_4X4X4I8_e64),
     /* 268370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268372 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268374 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268376 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268378 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268380 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268382 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268384 */     GIR_RootConstrainSelectedInstOperands,
     /* 268385 */     // GIR_Coverage, 1137,
     /* 268385 */     GIR_EraseRootFromParent_Done,
     /* 268386 */   // Label 4404: @268386
     /* 268386 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(268447), // Rule ID 1138 //
     /* 268391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_4x4x4i8),
     /* 268399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 268415 */     // MIs[0] cbsz
     /* 268415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268418 */     // MIs[0] abid
     /* 268418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268421 */     // MIs[0] blgp
     /* 268421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23410),
     /* 268428 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3170:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23410>>  =>  (V_MFMA_I32_4X4X4I8_vgprcd_e64:{ *:[v4i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_4X4X4I8_vgprcd_e64),
     /* 268431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268435 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268437 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268439 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268441 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268443 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268445 */     GIR_RootConstrainSelectedInstOperands,
     /* 268446 */     // GIR_Coverage, 1138,
     /* 268446 */     GIR_EraseRootFromParent_Done,
     /* 268447 */   // Label 4405: @268447
     /* 268447 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(268508), // Rule ID 1139 //
     /* 268452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4f16),
     /* 268460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 268476 */     // MIs[0] cbsz
     /* 268476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268479 */     // MIs[0] abid
     /* 268479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268482 */     // MIs[0] blgp
     /* 268482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268485 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23414),
     /* 268489 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3137:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23414>>  =>  (V_MFMA_F32_16X16X4F16_mac_e64:{ *:[v16f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4F16_mac_e64),
     /* 268492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268494 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268496 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268498 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268500 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268502 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268504 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268506 */     GIR_RootConstrainSelectedInstOperands,
     /* 268507 */     // GIR_Coverage, 1139,
     /* 268507 */     GIR_EraseRootFromParent_Done,
     /* 268508 */   // Label 4406: @268508
     /* 268508 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(268569), // Rule ID 1140 //
     /* 268513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4f16),
     /* 268521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 268537 */     // MIs[0] cbsz
     /* 268537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268540 */     // MIs[0] abid
     /* 268540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268543 */     // MIs[0] blgp
     /* 268543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23416),
     /* 268550 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3137:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23416>>  =>  (V_MFMA_F32_16X16X4F16_mac_vgprcd_e64:{ *:[v16f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4F16_mac_vgprcd_e64),
     /* 268553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268555 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268557 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268559 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268561 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268563 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268565 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268567 */     GIR_RootConstrainSelectedInstOperands,
     /* 268568 */     // GIR_Coverage, 1140,
     /* 268568 */     GIR_EraseRootFromParent_Done,
     /* 268569 */   // Label 4407: @268569
     /* 268569 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(268630), // Rule ID 1141 //
     /* 268574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x16f16),
     /* 268582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 268598 */     // MIs[0] cbsz
     /* 268598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268601 */     // MIs[0] abid
     /* 268601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268604 */     // MIs[0] blgp
     /* 268604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23418),
     /* 268611 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3127:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23418>>  =>  (V_MFMA_F32_16X16X16F16_e64:{ *:[v4f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X16F16_e64),
     /* 268614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268616 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268618 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268620 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268622 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268624 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268626 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268628 */     GIR_RootConstrainSelectedInstOperands,
     /* 268629 */     // GIR_Coverage, 1141,
     /* 268629 */     GIR_EraseRootFromParent_Done,
     /* 268630 */   // Label 4408: @268630
     /* 268630 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(268691), // Rule ID 1142 //
     /* 268635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x16f16),
     /* 268643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 268646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 268655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 268659 */     // MIs[0] cbsz
     /* 268659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268662 */     // MIs[0] abid
     /* 268662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268665 */     // MIs[0] blgp
     /* 268665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268668 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23420),
     /* 268672 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3127:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23420>>  =>  (V_MFMA_F32_16X16X16F16_vgprcd_e64:{ *:[v4f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X16F16_vgprcd_e64),
     /* 268675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268677 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268679 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268681 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268683 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268685 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268687 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268689 */     GIR_RootConstrainSelectedInstOperands,
     /* 268690 */     // GIR_Coverage, 1142,
     /* 268690 */     GIR_EraseRootFromParent_Done,
     /* 268691 */   // Label 4409: @268691
     /* 268691 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(268752), // Rule ID 1143 //
     /* 268696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x4i8),
     /* 268704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 268720 */     // MIs[0] cbsz
     /* 268720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268723 */     // MIs[0] abid
     /* 268723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268726 */     // MIs[0] blgp
     /* 268726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268729 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23424),
     /* 268733 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3164:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23424>>  =>  (V_MFMA_I32_16X16X4I8_mac_e64:{ *:[v16i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X4I8_mac_e64),
     /* 268736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268738 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268740 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268742 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268744 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268746 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268748 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268750 */     GIR_RootConstrainSelectedInstOperands,
     /* 268751 */     // GIR_Coverage, 1143,
     /* 268751 */     GIR_EraseRootFromParent_Done,
     /* 268752 */   // Label 4410: @268752
     /* 268752 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(268813), // Rule ID 1144 //
     /* 268757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x4i8),
     /* 268765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 268771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 268774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 268781 */     // MIs[0] cbsz
     /* 268781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268784 */     // MIs[0] abid
     /* 268784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268787 */     // MIs[0] blgp
     /* 268787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23426),
     /* 268794 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3164:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23426>>  =>  (V_MFMA_I32_16X16X4I8_mac_vgprcd_e64:{ *:[v16i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X4I8_mac_vgprcd_e64),
     /* 268797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268799 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268801 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268803 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268805 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268807 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268809 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268811 */     GIR_RootConstrainSelectedInstOperands,
     /* 268812 */     // GIR_Coverage, 1144,
     /* 268812 */     GIR_EraseRootFromParent_Done,
     /* 268813 */   // Label 4411: @268813
     /* 268813 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(268874), // Rule ID 1145 //
     /* 268818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4f16),
     /* 268826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 268829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 268838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_1024RegClassID),
     /* 268842 */     // MIs[0] cbsz
     /* 268842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268845 */     // MIs[0] abid
     /* 268845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268848 */     // MIs[0] blgp
     /* 268848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268851 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23430),
     /* 268855 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3153:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23430>>  =>  (V_MFMA_F32_32X32X4F16_mac_e64:{ *:[v32f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4F16_mac_e64),
     /* 268858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268860 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268862 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268864 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268866 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268868 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268870 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268872 */     GIR_RootConstrainSelectedInstOperands,
     /* 268873 */     // GIR_Coverage, 1145,
     /* 268873 */     GIR_EraseRootFromParent_Done,
     /* 268874 */   // Label 4412: @268874
     /* 268874 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(268935), // Rule ID 1146 //
     /* 268879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 268882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4f16),
     /* 268887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 268890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 268899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 268903 */     // MIs[0] cbsz
     /* 268903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268906 */     // MIs[0] abid
     /* 268906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268909 */     // MIs[0] blgp
     /* 268909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23432),
     /* 268916 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3153:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23432>>  =>  (V_MFMA_F32_32X32X4F16_mac_vgprcd_e64:{ *:[v32f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4F16_mac_vgprcd_e64),
     /* 268919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268921 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268923 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268925 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268927 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268929 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268931 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268933 */     GIR_RootConstrainSelectedInstOperands,
     /* 268934 */     // GIR_Coverage, 1146,
     /* 268934 */     GIR_EraseRootFromParent_Done,
     /* 268935 */   // Label 4413: @268935
     /* 268935 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(268996), // Rule ID 1147 //
     /* 268940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 268943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x8f16),
     /* 268948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 268951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 268960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 268964 */     // MIs[0] cbsz
     /* 268964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 268967 */     // MIs[0] abid
     /* 268967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 268970 */     // MIs[0] blgp
     /* 268970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 268973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23434),
     /* 268977 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3155:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23434>>  =>  (V_MFMA_F32_32X32X8F16_mac_e64:{ *:[v16f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 268977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X8F16_mac_e64),
     /* 268980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 268982 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 268984 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 268986 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 268988 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 268990 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 268992 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 268994 */     GIR_RootConstrainSelectedInstOperands,
     /* 268995 */     // GIR_Coverage, 1147,
     /* 268995 */     GIR_EraseRootFromParent_Done,
     /* 268996 */   // Label 4414: @268996
     /* 268996 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(269057), // Rule ID 1148 //
     /* 269001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 269004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x8f16),
     /* 269009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 269025 */     // MIs[0] cbsz
     /* 269025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269028 */     // MIs[0] abid
     /* 269028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269031 */     // MIs[0] blgp
     /* 269031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269034 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23436),
     /* 269038 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3155:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23436>>  =>  (V_MFMA_F32_32X32X8F16_mac_vgprcd_e64:{ *:[v16f32] } v4f16:{ *:[v4f16] }:$src0, v4f16:{ *:[v4f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X8F16_mac_vgprcd_e64),
     /* 269041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269043 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269045 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269047 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269049 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269051 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269053 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269055 */     GIR_RootConstrainSelectedInstOperands,
     /* 269056 */     // GIR_Coverage, 1148,
     /* 269056 */     GIR_EraseRootFromParent_Done,
     /* 269057 */   // Label 4415: @269057
     /* 269057 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(269118), // Rule ID 1149 //
     /* 269062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts),
     /* 269065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x4i8),
     /* 269070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 269073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 269082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_1024RegClassID),
     /* 269086 */     // MIs[0] cbsz
     /* 269086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269089 */     // MIs[0] abid
     /* 269089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269092 */     // MIs[0] blgp
     /* 269092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23440),
     /* 269099 */     // (intrinsic_wo_chain:{ *:[v32i32] } 3168:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v32i32:{ *:[v32i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23440>>  =>  (V_MFMA_I32_32X32X4I8_mac_e64:{ *:[v32i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v32i32:{ *:[v32i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X4I8_mac_e64),
     /* 269102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269104 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269106 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269108 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269110 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269112 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269114 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269116 */     GIR_RootConstrainSelectedInstOperands,
     /* 269117 */     // GIR_Coverage, 1149,
     /* 269117 */     GIR_EraseRootFromParent_Done,
     /* 269118 */   // Label 4416: @269118
     /* 269118 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(269179), // Rule ID 1150 //
     /* 269123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMAIInsts_isGFX90APlus),
     /* 269126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x4i8),
     /* 269131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 269134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 269143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 269147 */     // MIs[0] cbsz
     /* 269147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269150 */     // MIs[0] abid
     /* 269150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269153 */     // MIs[0] blgp
     /* 269153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269156 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23442),
     /* 269160 */     // (intrinsic_wo_chain:{ *:[v32i32] } 3168:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v32i32:{ *:[v32i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23442>>  =>  (V_MFMA_I32_32X32X4I8_mac_vgprcd_e64:{ *:[v32i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v32i32:{ *:[v32i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X4I8_mac_vgprcd_e64),
     /* 269163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269165 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269167 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269169 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269171 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269173 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269175 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269177 */     GIR_RootConstrainSelectedInstOperands,
     /* 269178 */     // GIR_Coverage, 1150,
     /* 269178 */     GIR_EraseRootFromParent_Done,
     /* 269179 */   // Label 4417: @269179
     /* 269179 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(269240), // Rule ID 1151 //
     /* 269184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x16i8),
     /* 269192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 269208 */     // MIs[0] cbsz
     /* 269208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269211 */     // MIs[0] abid
     /* 269211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269214 */     // MIs[0] blgp
     /* 269214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269217 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23444),
     /* 269221 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3162:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23444>>  =>  (V_MFMA_I32_16X16X16I8_e64:{ *:[v4i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X16I8_e64),
     /* 269224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269226 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269228 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269230 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269232 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269234 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269236 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269238 */     GIR_RootConstrainSelectedInstOperands,
     /* 269239 */     // GIR_Coverage, 1151,
     /* 269239 */     GIR_EraseRootFromParent_Done,
     /* 269240 */   // Label 4418: @269240
     /* 269240 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(269301), // Rule ID 1152 //
     /* 269245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x16i8),
     /* 269253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 269269 */     // MIs[0] cbsz
     /* 269269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269272 */     // MIs[0] abid
     /* 269272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269275 */     // MIs[0] blgp
     /* 269275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23446),
     /* 269282 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3162:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23446>>  =>  (V_MFMA_I32_16X16X16I8_vgprcd_e64:{ *:[v4i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X16I8_vgprcd_e64),
     /* 269285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269287 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269289 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269291 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269293 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269295 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269297 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269299 */     GIR_RootConstrainSelectedInstOperands,
     /* 269300 */     // GIR_Coverage, 1152,
     /* 269300 */     GIR_EraseRootFromParent_Done,
     /* 269301 */   // Label 4419: @269301
     /* 269301 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(269362), // Rule ID 1153 //
     /* 269306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x8i8),
     /* 269314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 269330 */     // MIs[0] cbsz
     /* 269330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269333 */     // MIs[0] abid
     /* 269333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269336 */     // MIs[0] blgp
     /* 269336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269339 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23448),
     /* 269343 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3169:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23448>>  =>  (V_MFMA_I32_32X32X8I8_mac_e64:{ *:[v16i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X8I8_mac_e64),
     /* 269346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269348 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269350 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269352 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269354 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269356 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269358 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269360 */     GIR_RootConstrainSelectedInstOperands,
     /* 269361 */     // GIR_Coverage, 1153,
     /* 269361 */     GIR_EraseRootFromParent_Done,
     /* 269362 */   // Label 4420: @269362
     /* 269362 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(269423), // Rule ID 1154 //
     /* 269367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x8i8),
     /* 269375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 269381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 269384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 269391 */     // MIs[0] cbsz
     /* 269391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269394 */     // MIs[0] abid
     /* 269394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269397 */     // MIs[0] blgp
     /* 269397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269400 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23450),
     /* 269404 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3169:{ *:[iPTR] }, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23450>>  =>  (V_MFMA_I32_32X32X8I8_mac_vgprcd_e64:{ *:[v16i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X8I8_mac_vgprcd_e64),
     /* 269407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269409 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269411 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269413 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269415 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269417 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269419 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269421 */     GIR_RootConstrainSelectedInstOperands,
     /* 269422 */     // GIR_Coverage, 1154,
     /* 269422 */     GIR_EraseRootFromParent_Done,
     /* 269423 */   // Label 4421: @269423
     /* 269423 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(269484), // Rule ID 1155 //
     /* 269428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x2bf16),
     /* 269436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 269452 */     // MIs[0] cbsz
     /* 269452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269455 */     // MIs[0] abid
     /* 269455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269458 */     // MIs[0] blgp
     /* 269458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23452),
     /* 269465 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3157:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23452>>  =>  (V_MFMA_F32_4X4X2BF16_e64:{ *:[v4f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X2BF16_e64),
     /* 269468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269472 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269474 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269476 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269478 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269480 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269482 */     GIR_RootConstrainSelectedInstOperands,
     /* 269483 */     // GIR_Coverage, 1155,
     /* 269483 */     GIR_EraseRootFromParent_Done,
     /* 269484 */   // Label 4422: @269484
     /* 269484 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(269545), // Rule ID 1156 //
     /* 269489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x2bf16),
     /* 269497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 269513 */     // MIs[0] cbsz
     /* 269513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269516 */     // MIs[0] abid
     /* 269516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269519 */     // MIs[0] blgp
     /* 269519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23454),
     /* 269526 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3157:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23454>>  =>  (V_MFMA_F32_4X4X2BF16_vgprcd_e64:{ *:[v4f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X2BF16_vgprcd_e64),
     /* 269529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269531 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269533 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269535 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269537 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269539 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269541 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269543 */     GIR_RootConstrainSelectedInstOperands,
     /* 269544 */     // GIR_Coverage, 1156,
     /* 269544 */     GIR_EraseRootFromParent_Done,
     /* 269545 */   // Label 4423: @269545
     /* 269545 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(269606), // Rule ID 1157 //
     /* 269550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x2bf16),
     /* 269558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 269574 */     // MIs[0] cbsz
     /* 269574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269577 */     // MIs[0] abid
     /* 269577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269580 */     // MIs[0] blgp
     /* 269580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23458),
     /* 269587 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3129:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23458>>  =>  (V_MFMA_F32_16X16X2BF16_mac_e64:{ *:[v16f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X2BF16_mac_e64),
     /* 269590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269592 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269594 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269596 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269598 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269600 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269602 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269604 */     GIR_RootConstrainSelectedInstOperands,
     /* 269605 */     // GIR_Coverage, 1157,
     /* 269605 */     GIR_EraseRootFromParent_Done,
     /* 269606 */   // Label 4424: @269606
     /* 269606 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(269667), // Rule ID 1158 //
     /* 269611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x2bf16),
     /* 269619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 269635 */     // MIs[0] cbsz
     /* 269635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269638 */     // MIs[0] abid
     /* 269638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269641 */     // MIs[0] blgp
     /* 269641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269644 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23460),
     /* 269648 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3129:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23460>>  =>  (V_MFMA_F32_16X16X2BF16_mac_vgprcd_e64:{ *:[v16f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X2BF16_mac_vgprcd_e64),
     /* 269651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269653 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269655 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269657 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269659 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269661 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269663 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269665 */     GIR_RootConstrainSelectedInstOperands,
     /* 269666 */     // GIR_Coverage, 1158,
     /* 269666 */     GIR_EraseRootFromParent_Done,
     /* 269667 */   // Label 4425: @269667
     /* 269667 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(269728), // Rule ID 1159 //
     /* 269672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x8bf16),
     /* 269680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 269696 */     // MIs[0] cbsz
     /* 269696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269699 */     // MIs[0] abid
     /* 269699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269702 */     // MIs[0] blgp
     /* 269702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23462),
     /* 269709 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3140:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23462>>  =>  (V_MFMA_F32_16X16X8BF16_e64:{ *:[v4f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X8BF16_e64),
     /* 269712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269714 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269716 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269718 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269720 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269722 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269724 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269726 */     GIR_RootConstrainSelectedInstOperands,
     /* 269727 */     // GIR_Coverage, 1159,
     /* 269727 */     GIR_EraseRootFromParent_Done,
     /* 269728 */   // Label 4426: @269728
     /* 269728 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(269789), // Rule ID 1160 //
     /* 269733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x8bf16),
     /* 269741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 269744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 269753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 269757 */     // MIs[0] cbsz
     /* 269757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269760 */     // MIs[0] abid
     /* 269760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269763 */     // MIs[0] blgp
     /* 269763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23464),
     /* 269770 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3140:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23464>>  =>  (V_MFMA_F32_16X16X8BF16_vgprcd_e64:{ *:[v4f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X8BF16_vgprcd_e64),
     /* 269773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269775 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269777 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269779 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269781 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269783 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269785 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269787 */     GIR_RootConstrainSelectedInstOperands,
     /* 269788 */     // GIR_Coverage, 1160,
     /* 269788 */     GIR_EraseRootFromParent_Done,
     /* 269789 */   // Label 4427: @269789
     /* 269789 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(269850), // Rule ID 1161 //
     /* 269794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x2bf16),
     /* 269802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 269805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 269814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_1024RegClassID),
     /* 269818 */     // MIs[0] cbsz
     /* 269818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269821 */     // MIs[0] abid
     /* 269821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269824 */     // MIs[0] blgp
     /* 269824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23468),
     /* 269831 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3148:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23468>>  =>  (V_MFMA_F32_32X32X2BF16_mac_e64:{ *:[v32f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X2BF16_mac_e64),
     /* 269834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269836 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269838 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269840 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269842 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269844 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269846 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269848 */     GIR_RootConstrainSelectedInstOperands,
     /* 269849 */     // GIR_Coverage, 1161,
     /* 269849 */     GIR_EraseRootFromParent_Done,
     /* 269850 */   // Label 4428: @269850
     /* 269850 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(269911), // Rule ID 1162 //
     /* 269855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x2bf16),
     /* 269863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 269866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 269875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 269879 */     // MIs[0] cbsz
     /* 269879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269882 */     // MIs[0] abid
     /* 269882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269885 */     // MIs[0] blgp
     /* 269885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23470),
     /* 269892 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3148:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23470>>  =>  (V_MFMA_F32_32X32X2BF16_mac_vgprcd_e64:{ *:[v32f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X2BF16_mac_vgprcd_e64),
     /* 269895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269897 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269899 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269901 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269903 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269905 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269907 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269909 */     GIR_RootConstrainSelectedInstOperands,
     /* 269910 */     // GIR_Coverage, 1162,
     /* 269910 */     GIR_EraseRootFromParent_Done,
     /* 269911 */   // Label 4429: @269911
     /* 269911 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(269972), // Rule ID 1163 //
     /* 269916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX908orGFX90A),
     /* 269919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4bf16),
     /* 269924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 269940 */     // MIs[0] cbsz
     /* 269940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 269943 */     // MIs[0] abid
     /* 269943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 269946 */     // MIs[0] blgp
     /* 269946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 269949 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23472),
     /* 269953 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3151:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23472>>  =>  (V_MFMA_F32_32X32X4BF16_mac_e64:{ *:[v16f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 269953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4BF16_mac_e64),
     /* 269956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 269958 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 269960 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 269962 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 269964 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 269966 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 269968 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 269970 */     GIR_RootConstrainSelectedInstOperands,
     /* 269971 */     // GIR_Coverage, 1163,
     /* 269971 */     GIR_EraseRootFromParent_Done,
     /* 269972 */   // Label 4430: @269972
     /* 269972 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(270033), // Rule ID 1164 //
     /* 269977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX908orGFX90A),
     /* 269980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4bf16),
     /* 269985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 269988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 269991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 269994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 269997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 270001 */     // MIs[0] cbsz
     /* 270001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270004 */     // MIs[0] abid
     /* 270004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270007 */     // MIs[0] blgp
     /* 270007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270010 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23474),
     /* 270014 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3151:{ *:[iPTR] }, v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23474>>  =>  (V_MFMA_F32_32X32X4BF16_mac_vgprcd_e64:{ *:[v16f32] } v2i16:{ *:[v2i16] }:$src0, v2i16:{ *:[v2i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4BF16_mac_vgprcd_e64),
     /* 270017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270019 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270021 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270023 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270025 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270027 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270029 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270031 */     GIR_RootConstrainSelectedInstOperands,
     /* 270032 */     // GIR_Coverage, 1164,
     /* 270032 */     GIR_EraseRootFromParent_Done,
     /* 270033 */   // Label 4431: @270033
     /* 270033 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(270094), // Rule ID 1165 //
     /* 270038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 270041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_f16),
     /* 270046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 270055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 270062 */     // MIs[0] cbsz
     /* 270062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270065 */     // MIs[0] abid
     /* 270065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270068 */     // MIs[0] blgp
     /* 270068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23476),
     /* 270075 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3133:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23476>>  =>  (V_MFMA_F32_16X16X32_F16_e64:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_F16_e64),
     /* 270078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270080 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270082 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270084 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270086 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270088 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270090 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270092 */     GIR_RootConstrainSelectedInstOperands,
     /* 270093 */     // GIR_Coverage, 1165,
     /* 270093 */     GIR_EraseRootFromParent_Done,
     /* 270094 */   // Label 4432: @270094
     /* 270094 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(270155), // Rule ID 1166 //
     /* 270099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 270102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_f16),
     /* 270107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 270116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 270123 */     // MIs[0] cbsz
     /* 270123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270126 */     // MIs[0] abid
     /* 270126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270129 */     // MIs[0] blgp
     /* 270129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23478),
     /* 270136 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3133:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23478>>  =>  (V_MFMA_F32_16X16X32_F16_vgprcd_e64:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_F16_vgprcd_e64),
     /* 270139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270143 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270145 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270147 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270149 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270151 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270153 */     GIR_RootConstrainSelectedInstOperands,
     /* 270154 */     // GIR_Coverage, 1166,
     /* 270154 */     GIR_EraseRootFromParent_Done,
     /* 270155 */   // Label 4433: @270155
     /* 270155 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(270216), // Rule ID 1167 //
     /* 270160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 270163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_f16),
     /* 270168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 270177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 270184 */     // MIs[0] cbsz
     /* 270184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270187 */     // MIs[0] abid
     /* 270187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270190 */     // MIs[0] blgp
     /* 270190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270193 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23482),
     /* 270197 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3144:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23482>>  =>  (V_MFMA_F32_32X32X16_F16_mac_e64:{ *:[v16f32] } v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_F16_mac_e64),
     /* 270200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270202 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270204 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270206 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270208 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270210 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270212 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270214 */     GIR_RootConstrainSelectedInstOperands,
     /* 270215 */     // GIR_Coverage, 1167,
     /* 270215 */     GIR_EraseRootFromParent_Done,
     /* 270216 */   // Label 4434: @270216
     /* 270216 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(270277), // Rule ID 1168 //
     /* 270221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 270224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_f16),
     /* 270229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 270238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 270245 */     // MIs[0] cbsz
     /* 270245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270248 */     // MIs[0] abid
     /* 270248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270251 */     // MIs[0] blgp
     /* 270251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270254 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23484),
     /* 270258 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3144:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23484>>  =>  (V_MFMA_F32_32X32X16_F16_mac_vgprcd_e64:{ *:[v16f32] } v8f16:{ *:[v8f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_F16_mac_vgprcd_e64),
     /* 270261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270263 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270265 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270267 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270269 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270271 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270273 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270275 */     GIR_RootConstrainSelectedInstOperands,
     /* 270276 */     // GIR_Coverage, 1168,
     /* 270276 */     GIR_EraseRootFromParent_Done,
     /* 270277 */   // Label 4435: @270277
     /* 270277 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(270338), // Rule ID 1169 //
     /* 270282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 270285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x64_i8),
     /* 270290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 270299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 270306 */     // MIs[0] cbsz
     /* 270306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270309 */     // MIs[0] abid
     /* 270309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270312 */     // MIs[0] blgp
     /* 270312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23490),
     /* 270319 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3165:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23490>>  =>  (V_MFMA_I32_16X16X64_I8_e64:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X64_I8_e64),
     /* 270322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270324 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270326 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270328 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270330 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270332 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270334 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270336 */     GIR_RootConstrainSelectedInstOperands,
     /* 270337 */     // GIR_Coverage, 1169,
     /* 270337 */     GIR_EraseRootFromParent_Done,
     /* 270338 */   // Label 4436: @270338
     /* 270338 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(270399), // Rule ID 1170 //
     /* 270343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 270346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x64_i8),
     /* 270351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 270360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 270367 */     // MIs[0] cbsz
     /* 270367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270370 */     // MIs[0] abid
     /* 270370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270373 */     // MIs[0] blgp
     /* 270373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270376 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23492),
     /* 270380 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3165:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23492>>  =>  (V_MFMA_I32_16X16X64_I8_vgprcd_e64:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X64_I8_vgprcd_e64),
     /* 270383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270385 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270387 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270389 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270391 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270393 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270395 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270397 */     GIR_RootConstrainSelectedInstOperands,
     /* 270398 */     // GIR_Coverage, 1170,
     /* 270398 */     GIR_EraseRootFromParent_Done,
     /* 270399 */   // Label 4437: @270399
     /* 270399 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(270460), // Rule ID 1171 //
     /* 270404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 270407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x32_i8),
     /* 270412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 270421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 270428 */     // MIs[0] cbsz
     /* 270428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270431 */     // MIs[0] abid
     /* 270431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270434 */     // MIs[0] blgp
     /* 270434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270437 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23502),
     /* 270441 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3167:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23502>>  =>  (V_MFMA_I32_32X32X32_I8_mac_e64:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X32_I8_mac_e64),
     /* 270444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270446 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270448 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270450 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270452 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270454 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270456 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270458 */     GIR_RootConstrainSelectedInstOperands,
     /* 270459 */     // GIR_Coverage, 1171,
     /* 270459 */     GIR_EraseRootFromParent_Done,
     /* 270460 */   // Label 4438: @270460
     /* 270460 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(270521), // Rule ID 1172 //
     /* 270465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 270468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x32_i8),
     /* 270473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 270482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 270489 */     // MIs[0] cbsz
     /* 270489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270492 */     // MIs[0] abid
     /* 270492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270495 */     // MIs[0] blgp
     /* 270495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23504),
     /* 270502 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3167:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23504>>  =>  (V_MFMA_I32_32X32X32_I8_mac_vgprcd_e64:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X32_I8_mac_vgprcd_e64),
     /* 270505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270509 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270511 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270513 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270515 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270517 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270519 */     GIR_RootConstrainSelectedInstOperands,
     /* 270520 */     // GIR_Coverage, 1172,
     /* 270520 */     GIR_EraseRootFromParent_Done,
     /* 270521 */   // Label 4439: @270521
     /* 270521 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(270582), // Rule ID 1245 //
     /* 270526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4bf16_1k),
     /* 270534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 270537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 270546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_1024RegClassID),
     /* 270550 */     // MIs[0] cbsz
     /* 270550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270553 */     // MIs[0] abid
     /* 270553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270556 */     // MIs[0] blgp
     /* 270556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270559 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23626),
     /* 270563 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3152:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23626>>  =>  (V_MFMA_F32_32X32X4BF16_1K_mac_e64:{ *:[v32f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4BF16_1K_mac_e64),
     /* 270566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270568 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270570 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270572 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270574 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270576 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270578 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270580 */     GIR_RootConstrainSelectedInstOperands,
     /* 270581 */     // GIR_Coverage, 1245,
     /* 270581 */     GIR_EraseRootFromParent_Done,
     /* 270582 */   // Label 4440: @270582
     /* 270582 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(270643), // Rule ID 1246 //
     /* 270587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4bf16_1k),
     /* 270595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s32,
     /* 270598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v32s32,
     /* 270607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_1024RegClassID),
     /* 270611 */     // MIs[0] cbsz
     /* 270611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270614 */     // MIs[0] abid
     /* 270614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270617 */     // MIs[0] blgp
     /* 270617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270620 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23628),
     /* 270624 */     // (intrinsic_wo_chain:{ *:[v32f32] } 3152:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23628>>  =>  (V_MFMA_F32_32X32X4BF16_1K_mac_vgprcd_e64:{ *:[v32f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v32f32:{ *:[v32f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4BF16_1K_mac_vgprcd_e64),
     /* 270627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270629 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270631 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270633 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270635 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270637 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270639 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270641 */     GIR_RootConstrainSelectedInstOperands,
     /* 270642 */     // GIR_Coverage, 1246,
     /* 270642 */     GIR_EraseRootFromParent_Done,
     /* 270643 */   // Label 4441: @270643
     /* 270643 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(270704), // Rule ID 1247 //
     /* 270648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4bf16_1k),
     /* 270656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 270672 */     // MIs[0] cbsz
     /* 270672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270675 */     // MIs[0] abid
     /* 270675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270678 */     // MIs[0] blgp
     /* 270678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23632),
     /* 270685 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3136:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23632>>  =>  (V_MFMA_F32_16X16X4BF16_1K_mac_e64:{ *:[v16f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4BF16_1K_mac_e64),
     /* 270688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270690 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270692 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270694 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270696 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270698 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270700 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270702 */     GIR_RootConstrainSelectedInstOperands,
     /* 270703 */     // GIR_Coverage, 1247,
     /* 270703 */     GIR_EraseRootFromParent_Done,
     /* 270704 */   // Label 4442: @270704
     /* 270704 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(270765), // Rule ID 1248 //
     /* 270709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x4bf16_1k),
     /* 270717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 270733 */     // MIs[0] cbsz
     /* 270733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270736 */     // MIs[0] abid
     /* 270736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270739 */     // MIs[0] blgp
     /* 270739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270742 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23634),
     /* 270746 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3136:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23634>>  =>  (V_MFMA_F32_16X16X4BF16_1K_mac_vgprcd_e64:{ *:[v16f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X4BF16_1K_mac_vgprcd_e64),
     /* 270749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270751 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270753 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270755 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270757 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270759 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270761 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270763 */     GIR_RootConstrainSelectedInstOperands,
     /* 270764 */     // GIR_Coverage, 1248,
     /* 270764 */     GIR_EraseRootFromParent_Done,
     /* 270765 */   // Label 4443: @270765
     /* 270765 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(270826), // Rule ID 1249 //
     /* 270770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x4bf16_1k),
     /* 270778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 270794 */     // MIs[0] cbsz
     /* 270794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270797 */     // MIs[0] abid
     /* 270797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270800 */     // MIs[0] blgp
     /* 270800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270803 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23636),
     /* 270807 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3158:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23636>>  =>  (V_MFMA_F32_4X4X4BF16_1K_e64:{ *:[v4f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X4BF16_1K_e64),
     /* 270810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270812 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270814 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270816 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270818 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270820 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270822 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270824 */     GIR_RootConstrainSelectedInstOperands,
     /* 270825 */     // GIR_Coverage, 1249,
     /* 270825 */     GIR_EraseRootFromParent_Done,
     /* 270826 */   // Label 4444: @270826
     /* 270826 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(270887), // Rule ID 1250 //
     /* 270831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_4x4x4bf16_1k),
     /* 270839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 270842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 270851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 270855 */     // MIs[0] cbsz
     /* 270855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270858 */     // MIs[0] abid
     /* 270858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270861 */     // MIs[0] blgp
     /* 270861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270864 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23638),
     /* 270868 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3158:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23638>>  =>  (V_MFMA_F32_4X4X4BF16_1K_vgprcd_e64:{ *:[v4f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_4X4X4BF16_1K_vgprcd_e64),
     /* 270871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270873 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270875 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270877 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270879 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270881 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270883 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270885 */     GIR_RootConstrainSelectedInstOperands,
     /* 270886 */     // GIR_Coverage, 1250,
     /* 270886 */     GIR_EraseRootFromParent_Done,
     /* 270887 */   // Label 4445: @270887
     /* 270887 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(270948), // Rule ID 1251 //
     /* 270892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x8bf16_1k),
     /* 270900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 270916 */     // MIs[0] cbsz
     /* 270916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270919 */     // MIs[0] abid
     /* 270919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270922 */     // MIs[0] blgp
     /* 270922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23640),
     /* 270929 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3154:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23640>>  =>  (V_MFMA_F32_32X32X8BF16_1K_mac_e64:{ *:[v16f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X8BF16_1K_mac_e64),
     /* 270932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270934 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270936 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270938 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 270940 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 270942 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 270944 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 270946 */     GIR_RootConstrainSelectedInstOperands,
     /* 270947 */     // GIR_Coverage, 1251,
     /* 270947 */     GIR_EraseRootFromParent_Done,
     /* 270948 */   // Label 4446: @270948
     /* 270948 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(271009), // Rule ID 1252 //
     /* 270953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 270956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x8bf16_1k),
     /* 270961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 270964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 270970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 270973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 270977 */     // MIs[0] cbsz
     /* 270977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 270980 */     // MIs[0] abid
     /* 270980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 270983 */     // MIs[0] blgp
     /* 270983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 270986 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23642),
     /* 270990 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3154:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23642>>  =>  (V_MFMA_F32_32X32X8BF16_1K_mac_vgprcd_e64:{ *:[v16f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 270990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X8BF16_1K_mac_vgprcd_e64),
     /* 270993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 270995 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 270997 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 270999 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271001 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271003 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271005 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271007 */     GIR_RootConstrainSelectedInstOperands,
     /* 271008 */     // GIR_Coverage, 1252,
     /* 271008 */     GIR_EraseRootFromParent_Done,
     /* 271009 */   // Label 4447: @271009
     /* 271009 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(271070), // Rule ID 1253 //
     /* 271014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x16bf16_1k),
     /* 271022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 271028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 271031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 271038 */     // MIs[0] cbsz
     /* 271038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271041 */     // MIs[0] abid
     /* 271041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271044 */     // MIs[0] blgp
     /* 271044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23644),
     /* 271051 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3126:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23644>>  =>  (V_MFMA_F32_16X16X16BF16_1K_e64:{ *:[v4f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X16BF16_1K_e64),
     /* 271054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271058 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271060 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271062 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271064 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271066 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271068 */     GIR_RootConstrainSelectedInstOperands,
     /* 271069 */     // GIR_Coverage, 1253,
     /* 271069 */     GIR_EraseRootFromParent_Done,
     /* 271070 */   // Label 4448: @271070
     /* 271070 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(271131), // Rule ID 1254 //
     /* 271075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x16bf16_1k),
     /* 271083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 271089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 271092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 271099 */     // MIs[0] cbsz
     /* 271099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271102 */     // MIs[0] abid
     /* 271102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271105 */     // MIs[0] blgp
     /* 271105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23646),
     /* 271112 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3126:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23646>>  =>  (V_MFMA_F32_16X16X16BF16_1K_vgprcd_e64:{ *:[v4f32] } v4i16:{ *:[v4i16] }:$src0, v4i16:{ *:[v4i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X16BF16_1K_vgprcd_e64),
     /* 271115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271119 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271121 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271123 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271125 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271127 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271129 */     GIR_RootConstrainSelectedInstOperands,
     /* 271130 */     // GIR_Coverage, 1254,
     /* 271130 */     GIR_EraseRootFromParent_Done,
     /* 271131 */   // Label 4449: @271131
     /* 271131 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(271192), // Rule ID 1255 //
     /* 271136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f64_16x16x4f64),
     /* 271144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 271147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s64,
     /* 271156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_256RegClassID),
     /* 271160 */     // MIs[0] cbsz
     /* 271160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271163 */     // MIs[0] abid
     /* 271163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271166 */     // MIs[0] blgp
     /* 271166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271169 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23650),
     /* 271173 */     // (intrinsic_wo_chain:{ *:[v4f64] } 3160:{ *:[iPTR] }, f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, v4f64:{ *:[v4f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23650>>  =>  (V_MFMA_F64_16X16X4F64_mac_e64:{ *:[v4f64] } f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, v4f64:{ *:[v4f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F64_16X16X4F64_mac_e64),
     /* 271176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271178 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271180 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271182 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271184 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271186 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271188 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271190 */     GIR_RootConstrainSelectedInstOperands,
     /* 271191 */     // GIR_Coverage, 1255,
     /* 271191 */     GIR_EraseRootFromParent_Done,
     /* 271192 */   // Label 4450: @271192
     /* 271192 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(271253), // Rule ID 1256 //
     /* 271197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f64_16x16x4f64),
     /* 271205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 271208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s64,
     /* 271217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 271221 */     // MIs[0] cbsz
     /* 271221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271224 */     // MIs[0] abid
     /* 271224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271227 */     // MIs[0] blgp
     /* 271227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271230 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23652),
     /* 271234 */     // (intrinsic_wo_chain:{ *:[v4f64] } 3160:{ *:[iPTR] }, f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, v4f64:{ *:[v4f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23652>>  =>  (V_MFMA_F64_16X16X4F64_mac_vgprcd_e64:{ *:[v4f64] } f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, v4f64:{ *:[v4f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F64_16X16X4F64_mac_vgprcd_e64),
     /* 271237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271239 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271241 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271243 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271245 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271247 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271249 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271251 */     GIR_RootConstrainSelectedInstOperands,
     /* 271252 */     // GIR_Coverage, 1256,
     /* 271252 */     GIR_EraseRootFromParent_Done,
     /* 271253 */   // Label 4451: @271253
     /* 271253 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(271314), // Rule ID 1257 //
     /* 271258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f64_4x4x4f64),
     /* 271266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 271269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 271278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_64RegClassID),
     /* 271282 */     // MIs[0] cbsz
     /* 271282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271285 */     // MIs[0] abid
     /* 271285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271288 */     // MIs[0] blgp
     /* 271288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271291 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23654),
     /* 271295 */     // (intrinsic_wo_chain:{ *:[f64] } 3161:{ *:[iPTR] }, f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, f64:{ *:[f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23654>>  =>  (V_MFMA_F64_4X4X4F64_e64:{ *:[f64] } f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, f64:{ *:[f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F64_4X4X4F64_e64),
     /* 271298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271300 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271302 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271304 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271306 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271308 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271310 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271312 */     GIR_RootConstrainSelectedInstOperands,
     /* 271313 */     // GIR_Coverage, 1257,
     /* 271313 */     GIR_EraseRootFromParent_Done,
     /* 271314 */   // Label 4452: @271314
     /* 271314 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(271375), // Rule ID 1258 //
     /* 271319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus),
     /* 271322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f64_4x4x4f64),
     /* 271327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 271330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 271339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 271343 */     // MIs[0] cbsz
     /* 271343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271346 */     // MIs[0] abid
     /* 271346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271349 */     // MIs[0] blgp
     /* 271349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271352 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23656),
     /* 271356 */     // (intrinsic_wo_chain:{ *:[f64] } 3161:{ *:[iPTR] }, f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, f64:{ *:[f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23656>>  =>  (V_MFMA_F64_4X4X4F64_vgprcd_e64:{ *:[f64] } f64:{ *:[f64] }:$src0, f64:{ *:[f64] }:$src1, f64:{ *:[f64] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F64_4X4X4F64_vgprcd_e64),
     /* 271359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271361 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271363 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271365 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271367 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271369 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271371 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271373 */     GIR_RootConstrainSelectedInstOperands,
     /* 271374 */     // GIR_Coverage, 1258,
     /* 271374 */     GIR_EraseRootFromParent_Done,
     /* 271375 */   // Label 4453: @271375
     /* 271375 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(271436), // Rule ID 1259 //
     /* 271380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 271383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x16_i8),
     /* 271388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 271391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 271400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 271404 */     // MIs[0] cbsz
     /* 271404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271407 */     // MIs[0] abid
     /* 271407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271410 */     // MIs[0] blgp
     /* 271410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271413 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23660),
     /* 271417 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3166:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23660>>  =>  (V_MFMA_I32_32X32X16I8_mac_e64:{ *:[v16i32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X16I8_mac_e64),
     /* 271420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271424 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271426 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271428 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271430 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271432 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271434 */     GIR_RootConstrainSelectedInstOperands,
     /* 271435 */     // GIR_Coverage, 1259,
     /* 271435 */     GIR_EraseRootFromParent_Done,
     /* 271436 */   // Label 4454: @271436
     /* 271436 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(271497), // Rule ID 1260 //
     /* 271441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX940Plus),
     /* 271444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_32x32x16_i8),
     /* 271449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 271452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 271461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 271465 */     // MIs[0] cbsz
     /* 271465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271468 */     // MIs[0] abid
     /* 271468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271471 */     // MIs[0] blgp
     /* 271471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23662),
     /* 271478 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3166:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23662>>  =>  (V_MFMA_I32_32X32X16I8_mac_vgprcd_e64:{ *:[v16i32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16i32:{ *:[v16i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_32X32X16I8_mac_vgprcd_e64),
     /* 271481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271483 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271485 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271487 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271489 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271491 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271493 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271495 */     GIR_RootConstrainSelectedInstOperands,
     /* 271496 */     // GIR_Coverage, 1260,
     /* 271496 */     GIR_EraseRootFromParent_Done,
     /* 271497 */   // Label 4455: @271497
     /* 271497 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(271558), // Rule ID 1261 //
     /* 271502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 271505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x32_i8),
     /* 271510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 271526 */     // MIs[0] cbsz
     /* 271526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271529 */     // MIs[0] abid
     /* 271529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271532 */     // MIs[0] blgp
     /* 271532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23664),
     /* 271539 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3163:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23664>>  =>  (V_MFMA_I32_16X16X32I8_e64:{ *:[v4i32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X32I8_e64),
     /* 271542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271544 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271546 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271548 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271550 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271552 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271554 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271556 */     GIR_RootConstrainSelectedInstOperands,
     /* 271557 */     // GIR_Coverage, 1261,
     /* 271557 */     GIR_EraseRootFromParent_Done,
     /* 271558 */   // Label 4456: @271558
     /* 271558 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(271619), // Rule ID 1262 //
     /* 271563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX90APlus_isGFX940Plus),
     /* 271566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_i32_16x16x32_i8),
     /* 271571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 271587 */     // MIs[0] cbsz
     /* 271587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271590 */     // MIs[0] abid
     /* 271590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271593 */     // MIs[0] blgp
     /* 271593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23666),
     /* 271600 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3163:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23666>>  =>  (V_MFMA_I32_16X16X32I8_vgprcd_e64:{ *:[v4i32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4i32:{ *:[v4i32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_I32_16X16X32I8_vgprcd_e64),
     /* 271603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271605 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271607 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271609 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271611 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271613 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271615 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271617 */     GIR_RootConstrainSelectedInstOperands,
     /* 271618 */     // GIR_Coverage, 1262,
     /* 271618 */     GIR_EraseRootFromParent_Done,
     /* 271619 */   // Label 4457: @271619
     /* 271619 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(271680), // Rule ID 1263 //
     /* 271624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXF32Insts),
     /* 271627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x8_xf32),
     /* 271632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 271641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 271648 */     // MIs[0] cbsz
     /* 271648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271651 */     // MIs[0] abid
     /* 271651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271654 */     // MIs[0] blgp
     /* 271654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23668),
     /* 271661 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3139:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23668>>  =>  (V_MFMA_F32_16X16X8XF32_e64:{ *:[v4f32] } v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X8XF32_e64),
     /* 271664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271666 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271668 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271670 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271672 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271674 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271676 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271678 */     GIR_RootConstrainSelectedInstOperands,
     /* 271679 */     // GIR_Coverage, 1263,
     /* 271679 */     GIR_EraseRootFromParent_Done,
     /* 271680 */   // Label 4458: @271680
     /* 271680 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(271741), // Rule ID 1264 //
     /* 271685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXF32Insts_isGFX90APlus),
     /* 271688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x8_xf32),
     /* 271693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 271702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 271709 */     // MIs[0] cbsz
     /* 271709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271712 */     // MIs[0] abid
     /* 271712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271715 */     // MIs[0] blgp
     /* 271715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23670),
     /* 271722 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3139:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23670>>  =>  (V_MFMA_F32_16X16X8XF32_vgprcd_e64:{ *:[v4f32] } v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X8XF32_vgprcd_e64),
     /* 271725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271727 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271729 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271731 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271733 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271735 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271737 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271739 */     GIR_RootConstrainSelectedInstOperands,
     /* 271740 */     // GIR_Coverage, 1264,
     /* 271740 */     GIR_EraseRootFromParent_Done,
     /* 271741 */   // Label 4459: @271741
     /* 271741 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(271802), // Rule ID 1265 //
     /* 271746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXF32Insts),
     /* 271749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4_xf32),
     /* 271754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 271757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 271763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 271766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 271770 */     // MIs[0] cbsz
     /* 271770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271773 */     // MIs[0] abid
     /* 271773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271776 */     // MIs[0] blgp
     /* 271776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271779 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23674),
     /* 271783 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3150:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23674>>  =>  (V_MFMA_F32_32X32X4XF32_mac_e64:{ *:[v16f32] } v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4XF32_mac_e64),
     /* 271786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271788 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271790 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271792 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271794 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271796 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271798 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271800 */     GIR_RootConstrainSelectedInstOperands,
     /* 271801 */     // GIR_Coverage, 1265,
     /* 271801 */     GIR_EraseRootFromParent_Done,
     /* 271802 */   // Label 4460: @271802
     /* 271802 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(271863), // Rule ID 1266 //
     /* 271807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXF32Insts_isGFX90APlus),
     /* 271810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x4_xf32),
     /* 271815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 271818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 271824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 271827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 271831 */     // MIs[0] cbsz
     /* 271831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271834 */     // MIs[0] abid
     /* 271834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271837 */     // MIs[0] blgp
     /* 271837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271840 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23676),
     /* 271844 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3150:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23676>>  =>  (V_MFMA_F32_32X32X4XF32_mac_vgprcd_e64:{ *:[v16f32] } v2f32:{ *:[v2f32] }:$src0, v2f32:{ *:[v2f32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X4XF32_mac_vgprcd_e64),
     /* 271847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271849 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271851 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271853 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271855 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271857 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271859 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271861 */     GIR_RootConstrainSelectedInstOperands,
     /* 271862 */     // GIR_Coverage, 1266,
     /* 271862 */     GIR_EraseRootFromParent_Done,
     /* 271863 */   // Label 4461: @271863
     /* 271863 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(271924), // Rule ID 1267 //
     /* 271868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 271871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_bf8_bf8),
     /* 271876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 271892 */     // MIs[0] cbsz
     /* 271892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271895 */     // MIs[0] abid
     /* 271895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271898 */     // MIs[0] blgp
     /* 271898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23678),
     /* 271905 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3131:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23678>>  =>  (V_MFMA_F32_16X16X32_BF8_BF8_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_BF8_BF8_e64),
     /* 271908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271910 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271912 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271914 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271916 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271918 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271920 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271922 */     GIR_RootConstrainSelectedInstOperands,
     /* 271923 */     // GIR_Coverage, 1267,
     /* 271923 */     GIR_EraseRootFromParent_Done,
     /* 271924 */   // Label 4462: @271924
     /* 271924 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(271985), // Rule ID 1268 //
     /* 271929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 271932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_bf8_bf8),
     /* 271937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 271940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 271949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 271953 */     // MIs[0] cbsz
     /* 271953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 271956 */     // MIs[0] abid
     /* 271956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 271959 */     // MIs[0] blgp
     /* 271959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 271962 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23680),
     /* 271966 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3131:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23680>>  =>  (V_MFMA_F32_16X16X32_BF8_BF8_vgprcd_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 271966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_BF8_BF8_vgprcd_e64),
     /* 271969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 271971 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 271973 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 271975 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 271977 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 271979 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 271981 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 271983 */     GIR_RootConstrainSelectedInstOperands,
     /* 271984 */     // GIR_Coverage, 1268,
     /* 271984 */     GIR_EraseRootFromParent_Done,
     /* 271985 */   // Label 4463: @271985
     /* 271985 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(272046), // Rule ID 1269 //
     /* 271990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 271993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_bf8_fp8),
     /* 271998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 272014 */     // MIs[0] cbsz
     /* 272014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272017 */     // MIs[0] abid
     /* 272017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272020 */     // MIs[0] blgp
     /* 272020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272023 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23682),
     /* 272027 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3132:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23682>>  =>  (V_MFMA_F32_16X16X32_BF8_FP8_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_BF8_FP8_e64),
     /* 272030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272032 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272034 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272036 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272038 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272040 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272042 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272044 */     GIR_RootConstrainSelectedInstOperands,
     /* 272045 */     // GIR_Coverage, 1269,
     /* 272045 */     GIR_EraseRootFromParent_Done,
     /* 272046 */   // Label 4464: @272046
     /* 272046 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(272107), // Rule ID 1270 //
     /* 272051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_bf8_fp8),
     /* 272059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 272075 */     // MIs[0] cbsz
     /* 272075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272078 */     // MIs[0] abid
     /* 272078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272081 */     // MIs[0] blgp
     /* 272081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272084 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23684),
     /* 272088 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3132:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23684>>  =>  (V_MFMA_F32_16X16X32_BF8_FP8_vgprcd_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_BF8_FP8_vgprcd_e64),
     /* 272091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272093 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272095 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272097 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272099 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272101 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272103 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272105 */     GIR_RootConstrainSelectedInstOperands,
     /* 272106 */     // GIR_Coverage, 1270,
     /* 272106 */     GIR_EraseRootFromParent_Done,
     /* 272107 */   // Label 4465: @272107
     /* 272107 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(272168), // Rule ID 1271 //
     /* 272112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_fp8_bf8),
     /* 272120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 272136 */     // MIs[0] cbsz
     /* 272136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272139 */     // MIs[0] abid
     /* 272139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272142 */     // MIs[0] blgp
     /* 272142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23686),
     /* 272149 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3134:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23686>>  =>  (V_MFMA_F32_16X16X32_FP8_BF8_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_FP8_BF8_e64),
     /* 272152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272154 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272156 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272158 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272160 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272162 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272164 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272166 */     GIR_RootConstrainSelectedInstOperands,
     /* 272167 */     // GIR_Coverage, 1271,
     /* 272167 */     GIR_EraseRootFromParent_Done,
     /* 272168 */   // Label 4466: @272168
     /* 272168 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(272229), // Rule ID 1272 //
     /* 272173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_fp8_bf8),
     /* 272181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 272197 */     // MIs[0] cbsz
     /* 272197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272200 */     // MIs[0] abid
     /* 272200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272203 */     // MIs[0] blgp
     /* 272203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23688),
     /* 272210 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3134:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23688>>  =>  (V_MFMA_F32_16X16X32_FP8_BF8_vgprcd_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_FP8_BF8_vgprcd_e64),
     /* 272213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272217 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272219 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272221 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272223 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272225 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272227 */     GIR_RootConstrainSelectedInstOperands,
     /* 272228 */     // GIR_Coverage, 1272,
     /* 272228 */     GIR_EraseRootFromParent_Done,
     /* 272229 */   // Label 4467: @272229
     /* 272229 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(272290), // Rule ID 1273 //
     /* 272234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_fp8_fp8),
     /* 272242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 272258 */     // MIs[0] cbsz
     /* 272258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272261 */     // MIs[0] abid
     /* 272261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272264 */     // MIs[0] blgp
     /* 272264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23690),
     /* 272271 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3135:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23690>>  =>  (V_MFMA_F32_16X16X32_FP8_FP8_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_FP8_FP8_e64),
     /* 272274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272276 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272278 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272280 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272282 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272284 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272286 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272288 */     GIR_RootConstrainSelectedInstOperands,
     /* 272289 */     // GIR_Coverage, 1273,
     /* 272289 */     GIR_EraseRootFromParent_Done,
     /* 272290 */   // Label 4468: @272290
     /* 272290 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(272351), // Rule ID 1274 //
     /* 272295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_16x16x32_fp8_fp8),
     /* 272303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 272319 */     // MIs[0] cbsz
     /* 272319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272322 */     // MIs[0] abid
     /* 272322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272325 */     // MIs[0] blgp
     /* 272325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272328 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23692),
     /* 272332 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3135:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23692>>  =>  (V_MFMA_F32_16X16X32_FP8_FP8_vgprcd_e64:{ *:[v4f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X32_FP8_FP8_vgprcd_e64),
     /* 272335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272339 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272341 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272343 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272345 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272347 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272349 */     GIR_RootConstrainSelectedInstOperands,
     /* 272350 */     // GIR_Coverage, 1274,
     /* 272350 */     GIR_EraseRootFromParent_Done,
     /* 272351 */   // Label 4469: @272351
     /* 272351 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(272412), // Rule ID 1275 //
     /* 272356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_bf8_bf8),
     /* 272364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 272380 */     // MIs[0] cbsz
     /* 272380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272383 */     // MIs[0] abid
     /* 272383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272386 */     // MIs[0] blgp
     /* 272386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272389 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23696),
     /* 272393 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3142:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23696>>  =>  (V_MFMA_F32_32X32X16_BF8_BF8_mac_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_BF8_BF8_mac_e64),
     /* 272396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272400 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272402 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272404 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272406 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272408 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272410 */     GIR_RootConstrainSelectedInstOperands,
     /* 272411 */     // GIR_Coverage, 1275,
     /* 272411 */     GIR_EraseRootFromParent_Done,
     /* 272412 */   // Label 4470: @272412
     /* 272412 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(272473), // Rule ID 1276 //
     /* 272417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_bf8_bf8),
     /* 272425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 272441 */     // MIs[0] cbsz
     /* 272441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272444 */     // MIs[0] abid
     /* 272444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272447 */     // MIs[0] blgp
     /* 272447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272450 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23698),
     /* 272454 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3142:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23698>>  =>  (V_MFMA_F32_32X32X16_BF8_BF8_mac_vgprcd_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_BF8_BF8_mac_vgprcd_e64),
     /* 272457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272461 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272463 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272465 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272467 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272469 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272471 */     GIR_RootConstrainSelectedInstOperands,
     /* 272472 */     // GIR_Coverage, 1276,
     /* 272472 */     GIR_EraseRootFromParent_Done,
     /* 272473 */   // Label 4471: @272473
     /* 272473 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(272534), // Rule ID 1277 //
     /* 272478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_bf8_fp8),
     /* 272486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 272502 */     // MIs[0] cbsz
     /* 272502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272505 */     // MIs[0] abid
     /* 272505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272508 */     // MIs[0] blgp
     /* 272508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23700),
     /* 272515 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3143:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23700>>  =>  (V_MFMA_F32_32X32X16_BF8_FP8_mac_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_BF8_FP8_mac_e64),
     /* 272518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272520 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272522 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272524 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272526 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272528 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272530 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272532 */     GIR_RootConstrainSelectedInstOperands,
     /* 272533 */     // GIR_Coverage, 1277,
     /* 272533 */     GIR_EraseRootFromParent_Done,
     /* 272534 */   // Label 4472: @272534
     /* 272534 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(272595), // Rule ID 1278 //
     /* 272539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_bf8_fp8),
     /* 272547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 272563 */     // MIs[0] cbsz
     /* 272563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272566 */     // MIs[0] abid
     /* 272566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272569 */     // MIs[0] blgp
     /* 272569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23702),
     /* 272576 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3143:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23702>>  =>  (V_MFMA_F32_32X32X16_BF8_FP8_mac_vgprcd_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_BF8_FP8_mac_vgprcd_e64),
     /* 272579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272581 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272583 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272585 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272587 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272589 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272591 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272593 */     GIR_RootConstrainSelectedInstOperands,
     /* 272594 */     // GIR_Coverage, 1278,
     /* 272594 */     GIR_EraseRootFromParent_Done,
     /* 272595 */   // Label 4473: @272595
     /* 272595 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(272656), // Rule ID 1279 //
     /* 272600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_fp8_bf8),
     /* 272608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 272624 */     // MIs[0] cbsz
     /* 272624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272627 */     // MIs[0] abid
     /* 272627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272630 */     // MIs[0] blgp
     /* 272630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23704),
     /* 272637 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3145:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23704>>  =>  (V_MFMA_F32_32X32X16_FP8_BF8_mac_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_FP8_BF8_mac_e64),
     /* 272640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272642 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272644 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272646 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272648 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272650 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272652 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272654 */     GIR_RootConstrainSelectedInstOperands,
     /* 272655 */     // GIR_Coverage, 1279,
     /* 272655 */     GIR_EraseRootFromParent_Done,
     /* 272656 */   // Label 4474: @272656
     /* 272656 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(272717), // Rule ID 1280 //
     /* 272661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_fp8_bf8),
     /* 272669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 272685 */     // MIs[0] cbsz
     /* 272685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272688 */     // MIs[0] abid
     /* 272688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272691 */     // MIs[0] blgp
     /* 272691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272694 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23706),
     /* 272698 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3145:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23706>>  =>  (V_MFMA_F32_32X32X16_FP8_BF8_mac_vgprcd_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_FP8_BF8_mac_vgprcd_e64),
     /* 272701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272703 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272705 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272707 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272709 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272711 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272713 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272715 */     GIR_RootConstrainSelectedInstOperands,
     /* 272716 */     // GIR_Coverage, 1280,
     /* 272716 */     GIR_EraseRootFromParent_Done,
     /* 272717 */   // Label 4475: @272717
     /* 272717 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(272778), // Rule ID 1281 //
     /* 272722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 272725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_fp8_fp8),
     /* 272730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 272746 */     // MIs[0] cbsz
     /* 272746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272749 */     // MIs[0] abid
     /* 272749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272752 */     // MIs[0] blgp
     /* 272752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23708),
     /* 272759 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3146:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23708>>  =>  (V_MFMA_F32_32X32X16_FP8_FP8_mac_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_FP8_FP8_mac_e64),
     /* 272762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272764 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272766 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272768 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272770 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272772 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272774 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272776 */     GIR_RootConstrainSelectedInstOperands,
     /* 272777 */     // GIR_Coverage, 1281,
     /* 272777 */     GIR_EraseRootFromParent_Done,
     /* 272778 */   // Label 4476: @272778
     /* 272778 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(272839), // Rule ID 1282 //
     /* 272783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts_isGFX90APlus),
     /* 272786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_f32_32x32x16_fp8_fp8),
     /* 272791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 272807 */     // MIs[0] cbsz
     /* 272807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 272810 */     // MIs[0] abid
     /* 272810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272813 */     // MIs[0] blgp
     /* 272813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272816 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23710),
     /* 272820 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3146:{ *:[iPTR] }, i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)<<P:Predicate_anonymous_23710>>  =>  (V_MFMA_F32_32X32X16_FP8_FP8_mac_vgprcd_e64:{ *:[v16f32] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, (timm:{ *:[i32] }):$blgp)
     /* 272820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X16_FP8_FP8_mac_vgprcd_e64),
     /* 272823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272825 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272827 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272829 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272831 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 272833 */     GIR_RootToRootCopy, /*OpIdx*/6, // abid
     /* 272835 */     GIR_RootToRootCopy, /*OpIdx*/7, // blgp
     /* 272837 */     GIR_RootConstrainSelectedInstOperands,
     /* 272838 */     // GIR_Coverage, 1282,
     /* 272838 */     GIR_EraseRootFromParent_Done,
     /* 272839 */   // Label 4477: @272839
     /* 272839 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(272896), // Rule ID 1283 //
     /* 272844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 272847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x32_f16),
     /* 272852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 272858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 272861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 272867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 272871 */     // MIs[0] cbsz
     /* 272871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272874 */     // MIs[0] abid
     /* 272874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272877 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3316:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X32_F16_e64:{ *:[v4f32] } v4f16:{ *:[v4f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 272877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X32_F16_e64),
     /* 272880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272882 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272884 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272886 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 272888 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 272890 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 272892 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272894 */     GIR_RootConstrainSelectedInstOperands,
     /* 272895 */     // GIR_Coverage, 1283,
     /* 272895 */     GIR_EraseRootFromParent_Done,
     /* 272896 */   // Label 4478: @272896
     /* 272896 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(272953), // Rule ID 1284 //
     /* 272901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 272904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x16_f16),
     /* 272909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 272912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 272915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 272918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 272921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 272924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 272928 */     // MIs[0] cbsz
     /* 272928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272931 */     // MIs[0] abid
     /* 272931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272934 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3324:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X16_F16_e64:{ *:[v16f32] } v4f16:{ *:[v4f16] }:$src0, v8f16:{ *:[v8f16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 272934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X16_F16_e64),
     /* 272937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272939 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272941 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 272943 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 272945 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 272947 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 272949 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 272951 */     GIR_RootConstrainSelectedInstOperands,
     /* 272952 */     // GIR_Coverage, 1284,
     /* 272952 */     GIR_EraseRootFromParent_Done,
     /* 272953 */   // Label 4479: @272953
     /* 272953 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(273010), // Rule ID 1285 //
     /* 272958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 272961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x32_bf16),
     /* 272966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 272969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 272972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 272975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 272978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 272981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 272985 */     // MIs[0] cbsz
     /* 272985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 272988 */     // MIs[0] abid
     /* 272988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 272991 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3315:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X32_BF16_e64:{ *:[v4f32] } v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 272991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X32_BF16_e64),
     /* 272994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 272996 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 272998 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273000 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273002 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273004 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273006 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273008 */     GIR_RootConstrainSelectedInstOperands,
     /* 273009 */     // GIR_Coverage, 1285,
     /* 273009 */     GIR_EraseRootFromParent_Done,
     /* 273010 */   // Label 4480: @273010
     /* 273010 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(273067), // Rule ID 1286 //
     /* 273015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 273018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x16_bf16),
     /* 273023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 273029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 273032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273042 */     // MIs[0] cbsz
     /* 273042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273045 */     // MIs[0] abid
     /* 273045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273048 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3323:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X16_BF16_e64:{ *:[v16f32] } v4i16:{ *:[v4i16] }:$src0, v8i16:{ *:[v8i16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X16_BF16_e64),
     /* 273051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273053 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273055 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273057 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273059 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273061 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273063 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273065 */     GIR_RootConstrainSelectedInstOperands,
     /* 273066 */     // GIR_Coverage, 1286,
     /* 273066 */     GIR_EraseRootFromParent_Done,
     /* 273067 */   // Label 4481: @273067
     /* 273067 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(273124), // Rule ID 1287 //
     /* 273072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 273075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_i32_16x16x64_i8),
     /* 273080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273099 */     // MIs[0] cbsz
     /* 273099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273102 */     // MIs[0] abid
     /* 273102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273105 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3336:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_I32_16X16X64_I8_e64:{ *:[v4i32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4i32:{ *:[v4i32] }:$src2)
     /* 273105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_I32_16X16X64_I8_e64),
     /* 273108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273110 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273112 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273114 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273116 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273118 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273120 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273122 */     GIR_RootConstrainSelectedInstOperands,
     /* 273123 */     // GIR_Coverage, 1287,
     /* 273123 */     GIR_EraseRootFromParent_Done,
     /* 273124 */   // Label 4482: @273124
     /* 273124 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(273181), // Rule ID 1288 //
     /* 273129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX940Plus),
     /* 273132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_i32_32x32x32_i8),
     /* 273137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273156 */     // MIs[0] cbsz
     /* 273156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273159 */     // MIs[0] abid
     /* 273159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273162 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3337:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_I32_32X32X32_I8_e64:{ *:[v16i32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16i32:{ *:[v16i32] }:$src2)
     /* 273162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_I32_32X32X32_I8_e64),
     /* 273165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273167 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273169 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273171 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273173 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273175 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273177 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273179 */     GIR_RootConstrainSelectedInstOperands,
     /* 273180 */     // GIR_Coverage, 1288,
     /* 273180 */     GIR_EraseRootFromParent_Done,
     /* 273181 */   // Label 4483: @273181
     /* 273181 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(273238), // Rule ID 1289 //
     /* 273186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x64_bf8_bf8),
     /* 273194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273213 */     // MIs[0] cbsz
     /* 273213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273216 */     // MIs[0] abid
     /* 273216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273219 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3318:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X64_BF8_BF8_e64:{ *:[v4f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X64_BF8_BF8_e64),
     /* 273222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273224 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273226 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273228 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273230 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273232 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273234 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273236 */     GIR_RootConstrainSelectedInstOperands,
     /* 273237 */     // GIR_Coverage, 1289,
     /* 273237 */     GIR_EraseRootFromParent_Done,
     /* 273238 */   // Label 4484: @273238
     /* 273238 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(273295), // Rule ID 1290 //
     /* 273243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x64_bf8_fp8),
     /* 273251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273270 */     // MIs[0] cbsz
     /* 273270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273273 */     // MIs[0] abid
     /* 273273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273276 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3319:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X64_BF8_FP8_e64:{ *:[v4f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X64_BF8_FP8_e64),
     /* 273279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273283 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273285 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273287 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273289 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273291 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273293 */     GIR_RootConstrainSelectedInstOperands,
     /* 273294 */     // GIR_Coverage, 1290,
     /* 273294 */     GIR_EraseRootFromParent_Done,
     /* 273295 */   // Label 4485: @273295
     /* 273295 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(273352), // Rule ID 1291 //
     /* 273300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x64_fp8_bf8),
     /* 273308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273327 */     // MIs[0] cbsz
     /* 273327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273330 */     // MIs[0] abid
     /* 273330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273333 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3321:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X64_FP8_BF8_e64:{ *:[v4f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X64_FP8_BF8_e64),
     /* 273336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273338 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273340 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273342 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273344 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273346 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273348 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273350 */     GIR_RootConstrainSelectedInstOperands,
     /* 273351 */     // GIR_Coverage, 1291,
     /* 273351 */     GIR_EraseRootFromParent_Done,
     /* 273352 */   // Label 4486: @273352
     /* 273352 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(273409), // Rule ID 1292 //
     /* 273357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x64_fp8_fp8),
     /* 273365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273384 */     // MIs[0] cbsz
     /* 273384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273387 */     // MIs[0] abid
     /* 273387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273390 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3322:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X64_FP8_FP8_e64:{ *:[v4f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X64_FP8_FP8_e64),
     /* 273393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273395 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273397 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273399 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273401 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273403 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273405 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273407 */     GIR_RootConstrainSelectedInstOperands,
     /* 273408 */     // GIR_Coverage, 1292,
     /* 273408 */     GIR_EraseRootFromParent_Done,
     /* 273409 */   // Label 4487: @273409
     /* 273409 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(273466), // Rule ID 1293 //
     /* 273414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x32_bf8_bf8),
     /* 273422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273441 */     // MIs[0] cbsz
     /* 273441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273444 */     // MIs[0] abid
     /* 273444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273447 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3326:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X32_BF8_BF8_e64:{ *:[v16f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X32_BF8_BF8_e64),
     /* 273450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273452 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273454 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273456 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273458 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273460 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273462 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273464 */     GIR_RootConstrainSelectedInstOperands,
     /* 273465 */     // GIR_Coverage, 1293,
     /* 273465 */     GIR_EraseRootFromParent_Done,
     /* 273466 */   // Label 4488: @273466
     /* 273466 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(273523), // Rule ID 1294 //
     /* 273471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x32_bf8_fp8),
     /* 273479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273498 */     // MIs[0] cbsz
     /* 273498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273501 */     // MIs[0] abid
     /* 273501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273504 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3327:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X32_BF8_FP8_e64:{ *:[v16f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X32_BF8_FP8_e64),
     /* 273507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273509 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273511 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273513 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273515 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273517 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273519 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273521 */     GIR_RootConstrainSelectedInstOperands,
     /* 273522 */     // GIR_Coverage, 1294,
     /* 273522 */     GIR_EraseRootFromParent_Done,
     /* 273523 */   // Label 4489: @273523
     /* 273523 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(273580), // Rule ID 1295 //
     /* 273528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x32_fp8_bf8),
     /* 273536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273555 */     // MIs[0] cbsz
     /* 273555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273558 */     // MIs[0] abid
     /* 273558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273561 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3329:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X32_FP8_BF8_e64:{ *:[v16f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X32_FP8_BF8_e64),
     /* 273564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273566 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273568 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273570 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273572 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273574 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273576 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273578 */     GIR_RootConstrainSelectedInstOperands,
     /* 273579 */     // GIR_Coverage, 1295,
     /* 273579 */     GIR_EraseRootFromParent_Done,
     /* 273580 */   // Label 4490: @273580
     /* 273580 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(273637), // Rule ID 1296 //
     /* 273585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8Insts),
     /* 273588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x32_fp8_fp8),
     /* 273593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 273602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273612 */     // MIs[0] cbsz
     /* 273612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273615 */     // MIs[0] abid
     /* 273615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273618 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3330:{ *:[iPTR] }, v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X32_FP8_FP8_e64:{ *:[v16f32] } v2i32:{ *:[v2i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X32_FP8_FP8_e64),
     /* 273621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273623 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273625 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273627 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273629 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273631 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273633 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273635 */     GIR_RootConstrainSelectedInstOperands,
     /* 273636 */     // GIR_Coverage, 1296,
     /* 273636 */     GIR_EraseRootFromParent_Done,
     /* 273637 */   // Label 4491: @273637
     /* 273637 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(273694), // Rule ID 1297 //
     /* 273642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x64_f16),
     /* 273650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 273656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 273659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273669 */     // MIs[0] cbsz
     /* 273669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273672 */     // MIs[0] abid
     /* 273672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273675 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3320:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X64_F16_e64:{ *:[v4f32] } v8f16:{ *:[v8f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X64_F16_e64),
     /* 273678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273680 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273682 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273684 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273686 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273688 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273690 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273692 */     GIR_RootConstrainSelectedInstOperands,
     /* 273693 */     // GIR_Coverage, 1297,
     /* 273693 */     GIR_EraseRootFromParent_Done,
     /* 273694 */   // Label 4492: @273694
     /* 273694 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(273751), // Rule ID 1298 //
     /* 273699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x32_f16),
     /* 273707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 273713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 273716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273726 */     // MIs[0] cbsz
     /* 273726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273729 */     // MIs[0] abid
     /* 273729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273732 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3328:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X32_F16_e64:{ *:[v16f32] } v8f16:{ *:[v8f16] }:$src0, v16f16:{ *:[v16f16] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 273732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X32_F16_e64),
     /* 273735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273739 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273741 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273743 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273745 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273747 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273749 */     GIR_RootConstrainSelectedInstOperands,
     /* 273750 */     // GIR_Coverage, 1298,
     /* 273750 */     GIR_EraseRootFromParent_Done,
     /* 273751 */   // Label 4493: @273751
     /* 273751 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(273808), // Rule ID 1299 //
     /* 273756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_i32_16x16x128_i8),
     /* 273764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 273773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273783 */     // MIs[0] cbsz
     /* 273783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273786 */     // MIs[0] abid
     /* 273786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273789 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3335:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4i32:{ *:[v4i32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_I32_16X16X128_I8_e64:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4i32:{ *:[v4i32] }:$src2)
     /* 273789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_I32_16X16X128_I8_e64),
     /* 273792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273794 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273796 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273798 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273800 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273802 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273804 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273806 */     GIR_RootConstrainSelectedInstOperands,
     /* 273807 */     // GIR_Coverage, 1299,
     /* 273807 */     GIR_EraseRootFromParent_Done,
     /* 273808 */   // Label 4494: @273808
     /* 273808 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(273865), // Rule ID 1300 //
     /* 273813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_i32_32x32x64_i8),
     /* 273821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 273824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 273830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 273833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 273840 */     // MIs[0] cbsz
     /* 273840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273843 */     // MIs[0] abid
     /* 273843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273846 */     // (intrinsic_wo_chain:{ *:[v16i32] } 3338:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16i32:{ *:[v16i32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_I32_32X32X64_I8_e64:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16i32:{ *:[v16i32] }:$src2)
     /* 273846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_I32_32X32X64_I8_e64),
     /* 273849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273853 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273855 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273857 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273859 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273861 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273863 */     GIR_RootConstrainSelectedInstOperands,
     /* 273864 */     // GIR_Coverage, 1300,
     /* 273864 */     GIR_EraseRootFromParent_Done,
     /* 273865 */   // Label 4495: @273865
     /* 273865 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(273922), // Rule ID 1301 //
     /* 273870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x128_bf8_bf8),
     /* 273878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 273887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273897 */     // MIs[0] cbsz
     /* 273897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273900 */     // MIs[0] abid
     /* 273900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273903 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3311:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X128_BF8_BF8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X128_BF8_BF8_e64),
     /* 273906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273908 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273910 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273912 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273914 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273916 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273918 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273920 */     GIR_RootConstrainSelectedInstOperands,
     /* 273921 */     // GIR_Coverage, 1301,
     /* 273921 */     GIR_EraseRootFromParent_Done,
     /* 273922 */   // Label 4496: @273922
     /* 273922 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(273979), // Rule ID 1302 //
     /* 273927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x128_bf8_fp8),
     /* 273935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 273944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 273947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 273950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 273954 */     // MIs[0] cbsz
     /* 273954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 273957 */     // MIs[0] abid
     /* 273957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 273960 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3312:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X128_BF8_FP8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 273960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X128_BF8_FP8_e64),
     /* 273963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 273965 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 273967 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 273969 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 273971 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 273973 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 273975 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 273977 */     GIR_RootConstrainSelectedInstOperands,
     /* 273978 */     // GIR_Coverage, 1302,
     /* 273978 */     GIR_EraseRootFromParent_Done,
     /* 273979 */   // Label 4497: @273979
     /* 273979 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(274036), // Rule ID 1303 //
     /* 273984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 273987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x128_fp8_bf8),
     /* 273992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 273995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 274004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 274011 */     // MIs[0] cbsz
     /* 274011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274014 */     // MIs[0] abid
     /* 274014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274017 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3313:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X128_FP8_BF8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 274017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X128_FP8_BF8_e64),
     /* 274020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274022 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274024 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274026 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274028 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274030 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274032 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274034 */     GIR_RootConstrainSelectedInstOperands,
     /* 274035 */     // GIR_Coverage, 1303,
     /* 274035 */     GIR_EraseRootFromParent_Done,
     /* 274036 */   // Label 4498: @274036
     /* 274036 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(274093), // Rule ID 1304 //
     /* 274041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_16x16x128_fp8_fp8),
     /* 274049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 274055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 274061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 274068 */     // MIs[0] cbsz
     /* 274068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274071 */     // MIs[0] abid
     /* 274071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274074 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3314:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_16X16X128_FP8_FP8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v4f32:{ *:[v4f32] }:$src2)
     /* 274074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_16X16X128_FP8_FP8_e64),
     /* 274077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274079 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274081 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274083 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274085 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274087 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274089 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274091 */     GIR_RootConstrainSelectedInstOperands,
     /* 274092 */     // GIR_Coverage, 1304,
     /* 274092 */     GIR_EraseRootFromParent_Done,
     /* 274093 */   // Label 4499: @274093
     /* 274093 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(274150), // Rule ID 1305 //
     /* 274098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x64_bf8_bf8),
     /* 274106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 274109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 274112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 274118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 274125 */     // MIs[0] cbsz
     /* 274125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274128 */     // MIs[0] abid
     /* 274128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274131 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3331:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X64_BF8_BF8_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 274131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X64_BF8_BF8_e64),
     /* 274134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274136 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274138 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274140 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274142 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274144 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274146 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274148 */     GIR_RootConstrainSelectedInstOperands,
     /* 274149 */     // GIR_Coverage, 1305,
     /* 274149 */     GIR_EraseRootFromParent_Done,
     /* 274150 */   // Label 4500: @274150
     /* 274150 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(274207), // Rule ID 1306 //
     /* 274155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x64_bf8_fp8),
     /* 274163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 274166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 274169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 274175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 274182 */     // MIs[0] cbsz
     /* 274182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274185 */     // MIs[0] abid
     /* 274185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274188 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3332:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X64_BF8_FP8_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 274188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X64_BF8_FP8_e64),
     /* 274191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274193 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274195 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274197 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274199 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274201 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274203 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274205 */     GIR_RootConstrainSelectedInstOperands,
     /* 274206 */     // GIR_Coverage, 1306,
     /* 274206 */     GIR_EraseRootFromParent_Done,
     /* 274207 */   // Label 4501: @274207
     /* 274207 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(274264), // Rule ID 1307 //
     /* 274212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x64_fp8_bf8),
     /* 274220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 274223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 274226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 274232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 274239 */     // MIs[0] cbsz
     /* 274239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274242 */     // MIs[0] abid
     /* 274242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274245 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3333:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X64_FP8_BF8_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 274245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X64_FP8_BF8_e64),
     /* 274248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274250 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274252 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274254 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274256 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274258 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274260 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274262 */     GIR_RootConstrainSelectedInstOperands,
     /* 274263 */     // GIR_Coverage, 1307,
     /* 274263 */     GIR_EraseRootFromParent_Done,
     /* 274264 */   // Label 4502: @274264
     /* 274264 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(274321), // Rule ID 1308 //
     /* 274269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_smfmac_f32_32x32x64_fp8_fp8),
     /* 274277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 274280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 274283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 274289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_512RegClassID),
     /* 274296 */     // MIs[0] cbsz
     /* 274296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274299 */     // MIs[0] abid
     /* 274299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 274302 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3334:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid)  =>  (V_SMFMAC_F32_32X32X64_FP8_FP8_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, i32:{ *:[i32] }:$idx, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$abid, v16f32:{ *:[v16f32] }:$src2)
     /* 274302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SMFMAC_F32_32X32X64_FP8_FP8_e64),
     /* 274305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274307 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274309 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274311 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 274313 */     GIR_RootToRootCopy, /*OpIdx*/6, // cbsz
     /* 274315 */     GIR_RootToRootCopy, /*OpIdx*/7, // abid
     /* 274317 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274319 */     GIR_RootConstrainSelectedInstOperands,
     /* 274320 */     // GIR_Coverage, 1308,
     /* 274320 */     GIR_EraseRootFromParent_Done,
     /* 274321 */   // Label 4503: @274321
     /* 274321 */   GIM_Reject,
     /* 274322 */ // Label 4342: @274322
     /* 274322 */ GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(274862),
     /* 274327 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 274330 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(274421), // Rule ID 2861 //
     /* 274335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 274338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x32_iu8),
     /* 274343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 274346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 274349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /* 274352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 274355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 274362 */     // MIs[0] clamp
     /* 274362 */     // No operand predicates
     /* 274362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 274383 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3404:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v4i32:{ *:[v4i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit), i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X32_IU8_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4i32:{ *:[v4i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit, i1:{ *:[i1] }:$clamp)
     /* 274383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X32_IU8_w32_twoaddr),
     /* 274386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274393 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274400 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274402 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 274409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 274414 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274419 */     GIR_RootConstrainSelectedInstOperands,
     /* 274420 */     // GIR_Coverage, 2861,
     /* 274420 */     GIR_EraseRootFromParent_Done,
     /* 274421 */   // Label 4505: @274421
     /* 274421 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(274512), // Rule ID 2862 //
     /* 274426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 274429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x32_iu4),
     /* 274434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 274437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 274440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 274443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 274446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 274453 */     // MIs[0] clamp
     /* 274453 */     // No operand predicates
     /* 274453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 274474 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3403:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit), i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X32_IU4_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit, i1:{ *:[i1] }:$clamp)
     /* 274474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X32_IU4_w32_twoaddr),
     /* 274477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274484 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274491 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274493 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 274500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 274505 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274510 */     GIR_RootConstrainSelectedInstOperands,
     /* 274511 */     // GIR_Coverage, 2862,
     /* 274511 */     GIR_EraseRootFromParent_Done,
     /* 274512 */   // Label 4506: @274512
     /* 274512 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(274603), // Rule ID 2894 //
     /* 274517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 274520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x32_iu8),
     /* 274525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 274531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 274534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 274537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 274544 */     // MIs[0] clamp
     /* 274544 */     // No operand predicates
     /* 274544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex8),
     /* 274565 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3404:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, (SWMMACIndex8:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit), i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X32_IU8_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_8bit, i1:{ *:[i1] }:$clamp)
     /* 274565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X32_IU8_w64_twoaddr),
     /* 274568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274575 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274582 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274584 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 274591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_8bit
     /* 274596 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274601 */     GIR_RootConstrainSelectedInstOperands,
     /* 274602 */     // GIR_Coverage, 2894,
     /* 274602 */     GIR_EraseRootFromParent_Done,
     /* 274603 */   // Label 4507: @274603
     /* 274603 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(274694), // Rule ID 2895 //
     /* 274608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 274611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x32_iu4),
     /* 274616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 274622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 274625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 274628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 274635 */     // MIs[0] clamp
     /* 274635 */     // No operand predicates
     /* 274635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 274656 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3403:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit), i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X32_IU4_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit, i1:{ *:[i1] }:$clamp)
     /* 274656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X32_IU4_w64_twoaddr),
     /* 274659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274666 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274673 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274675 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 274682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 274687 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274692 */     GIR_RootConstrainSelectedInstOperands,
     /* 274693 */     // GIR_Coverage, 2895,
     /* 274693 */     GIR_EraseRootFromParent_Done,
     /* 274694 */   // Label 4508: @274694
     /* 274694 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(274785), // Rule ID 2896 //
     /* 274699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 274702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x64_iu4),
     /* 274707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 274713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v2s32,
     /* 274716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v4s32,
     /* 274719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 274726 */     // MIs[0] clamp
     /* 274726 */     // No operand predicates
     /* 274726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_swmmacindex16),
     /* 274747 */     // (intrinsic_wo_chain:{ *:[v4i32] } 3405:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), i32:{ *:[i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v2i32:{ *:[v2i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, (SWMMACIndex16:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit), i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X64_IU4_w64_twoaddr:{ *:[v4i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i32:{ *:[v2i32] }:$src1, v4i32:{ *:[v4i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$index_key_16bit, i1:{ *:[i1] }:$clamp)
     /* 274747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X64_IU4_w64_twoaddr),
     /* 274750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274757 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274764 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274766 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 274773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // index_key_16bit
     /* 274778 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274783 */     GIR_RootConstrainSelectedInstOperands,
     /* 274784 */     // GIR_Coverage, 2896,
     /* 274784 */     GIR_EraseRootFromParent_Done,
     /* 274785 */   // Label 4509: @274785
     /* 274785 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(274861), // Rule ID 2863 //
     /* 274790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 274793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_swmmac_i32_16x16x64_iu4),
     /* 274798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 274801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 274804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_v4s32,
     /* 274807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_v8s32,
     /* 274810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 274813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_256RegClassID),
     /* 274817 */     // MIs[0] clamp
     /* 274817 */     // No operand predicates
     /* 274817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmodsneg),
     /* 274831 */     // (intrinsic_wo_chain:{ *:[v8i32] } 3405:{ *:[iPTR] }, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers), v2i32:{ *:[v2i32] }:$src0, (VOP3PModsNeg:{ *:[i1] } i32:{ *:[i32] }:$src1_modifiers), v4i32:{ *:[v4i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)  =>  (V_SWMMAC_I32_16X16X64_IU4_w32_twoaddr:{ *:[v8i32] } i32:{ *:[i32] }:$src0_modifiers, v2i32:{ *:[v2i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v4i32:{ *:[v4i32] }:$src1, v8i32:{ *:[v8i32] }:$srcTiedDef, i32:{ *:[i32] }:$src2, i1:{ *:[i1] }:$clamp)
     /* 274831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SWMMAC_I32_16X16X64_IU4_w32_twoaddr),
     /* 274834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0_modifiers
     /* 274841 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 274843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1_modifiers
     /* 274848 */     GIR_RootToRootCopy, /*OpIdx*/5, // src1
     /* 274850 */     GIR_RootToRootCopy, /*OpIdx*/6, // srcTiedDef
     /* 274852 */     GIR_RootToRootCopy, /*OpIdx*/7, // src2
     /* 274854 */     GIR_RootToRootCopy, /*OpIdx*/8, // clamp
     /* 274856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 274859 */     GIR_RootConstrainSelectedInstOperands,
     /* 274860 */     // GIR_Coverage, 2863,
     /* 274860 */     GIR_EraseRootFromParent_Done,
     /* 274861 */   // Label 4510: @274861
     /* 274861 */   GIM_Reject,
     /* 274862 */ // Label 4504: @274862
     /* 274862 */ GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(280775),
     /* 274867 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/11,
     /* 274870 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(274940), // Rule ID 1173 //
     /* 274875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 274878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 274883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 274889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 274895 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 274898 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 274901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 274905 */     // MIs[0] cbsz
     /* 274905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 274908 */     // MIs[0] blgp
     /* 274908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274911 */     // MIs[0] Operand 7
     /* 274911 */     // No operand predicates
     /* 274911 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 274915 */     // MIs[0] Operand 9
     /* 274915 */     // No operand predicates
     /* 274915 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 274919 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 274923 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f8_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 274923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f8_e64),
     /* 274926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274928 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 274930 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 274932 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 274934 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 274936 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 274938 */     GIR_RootConstrainSelectedInstOperands,
     /* 274939 */     // GIR_Coverage, 1173,
     /* 274939 */     GIR_EraseRootFromParent_Done,
     /* 274940 */   // Label 4512: @274940
     /* 274940 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(275010), // Rule ID 1174 //
     /* 274945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 274948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 274953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 274956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 274959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 274962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 274965 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 274968 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 274971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 274975 */     // MIs[0] cbsz
     /* 274975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 274978 */     // MIs[0] blgp
     /* 274978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 274981 */     // MIs[0] Operand 7
     /* 274981 */     // No operand predicates
     /* 274981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 274985 */     // MIs[0] Operand 9
     /* 274985 */     // No operand predicates
     /* 274985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 274989 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 274993 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f8_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 274993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f8_vgprcd_e64),
     /* 274996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 274998 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275000 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275002 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275004 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275006 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275008 */     GIR_RootConstrainSelectedInstOperands,
     /* 275009 */     // GIR_Coverage, 1174,
     /* 275009 */     GIR_EraseRootFromParent_Done,
     /* 275010 */   // Label 4513: @275010
     /* 275010 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(275080), // Rule ID 1175 //
     /* 275015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 275029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275035 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275038 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275045 */     // MIs[0] cbsz
     /* 275045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275048 */     // MIs[0] blgp
     /* 275048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275051 */     // MIs[0] Operand 7
     /* 275051 */     // No operand predicates
     /* 275051 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275055 */     // MIs[0] Operand 9
     /* 275055 */     // No operand predicates
     /* 275055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275059 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275063 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f6_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f6_e64),
     /* 275066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275068 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275070 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275072 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275074 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275076 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275078 */     GIR_RootConstrainSelectedInstOperands,
     /* 275079 */     // GIR_Coverage, 1175,
     /* 275079 */     GIR_EraseRootFromParent_Done,
     /* 275080 */   // Label 4514: @275080
     /* 275080 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(275150), // Rule ID 1176 //
     /* 275085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 275099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275105 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275108 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275115 */     // MIs[0] cbsz
     /* 275115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275118 */     // MIs[0] blgp
     /* 275118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275121 */     // MIs[0] Operand 7
     /* 275121 */     // No operand predicates
     /* 275121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275125 */     // MIs[0] Operand 9
     /* 275125 */     // No operand predicates
     /* 275125 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275129 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275133 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f6_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f6_vgprcd_e64),
     /* 275136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275138 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275140 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275142 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275144 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275146 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275148 */     GIR_RootConstrainSelectedInstOperands,
     /* 275149 */     // GIR_Coverage, 1176,
     /* 275149 */     GIR_EraseRootFromParent_Done,
     /* 275150 */   // Label 4515: @275150
     /* 275150 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(275220), // Rule ID 1177 //
     /* 275155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 275172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275175 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275178 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275185 */     // MIs[0] cbsz
     /* 275185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275188 */     // MIs[0] blgp
     /* 275188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275191 */     // MIs[0] Operand 7
     /* 275191 */     // No operand predicates
     /* 275191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275195 */     // MIs[0] Operand 9
     /* 275195 */     // No operand predicates
     /* 275195 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275199 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275203 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f8_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f8_e64),
     /* 275206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275208 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275210 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275212 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275214 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275216 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275218 */     GIR_RootConstrainSelectedInstOperands,
     /* 275219 */     // GIR_Coverage, 1177,
     /* 275219 */     GIR_EraseRootFromParent_Done,
     /* 275220 */   // Label 4516: @275220
     /* 275220 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(275290), // Rule ID 1178 //
     /* 275225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 275242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275245 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275248 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275255 */     // MIs[0] cbsz
     /* 275255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275258 */     // MIs[0] blgp
     /* 275258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275261 */     // MIs[0] Operand 7
     /* 275261 */     // No operand predicates
     /* 275261 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275265 */     // MIs[0] Operand 9
     /* 275265 */     // No operand predicates
     /* 275265 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275269 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275273 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f8_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f8_vgprcd_e64),
     /* 275276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275280 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275282 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275284 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275286 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275288 */     GIR_RootConstrainSelectedInstOperands,
     /* 275289 */     // GIR_Coverage, 1178,
     /* 275289 */     GIR_EraseRootFromParent_Done,
     /* 275290 */   // Label 4517: @275290
     /* 275290 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(275360), // Rule ID 1179 //
     /* 275295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275315 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275318 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275325 */     // MIs[0] cbsz
     /* 275325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275328 */     // MIs[0] blgp
     /* 275328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275331 */     // MIs[0] Operand 7
     /* 275331 */     // No operand predicates
     /* 275331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275335 */     // MIs[0] Operand 9
     /* 275335 */     // No operand predicates
     /* 275335 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275339 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275343 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f6_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f6_e64),
     /* 275346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275348 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275350 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275352 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275354 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275356 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275358 */     GIR_RootConstrainSelectedInstOperands,
     /* 275359 */     // GIR_Coverage, 1179,
     /* 275359 */     GIR_EraseRootFromParent_Done,
     /* 275360 */   // Label 4518: @275360
     /* 275360 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(275430), // Rule ID 1180 //
     /* 275365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275385 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275388 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275395 */     // MIs[0] cbsz
     /* 275395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275398 */     // MIs[0] blgp
     /* 275398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275401 */     // MIs[0] Operand 7
     /* 275401 */     // No operand predicates
     /* 275401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275405 */     // MIs[0] Operand 9
     /* 275405 */     // No operand predicates
     /* 275405 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275409 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275413 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f6_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f6_vgprcd_e64),
     /* 275416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275418 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275420 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275422 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275424 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275426 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275428 */     GIR_RootConstrainSelectedInstOperands,
     /* 275429 */     // GIR_Coverage, 1180,
     /* 275429 */     GIR_EraseRootFromParent_Done,
     /* 275430 */   // Label 4519: @275430
     /* 275430 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(275500), // Rule ID 1181 //
     /* 275435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 275449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 275452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275455 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275458 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275465 */     // MIs[0] cbsz
     /* 275465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275468 */     // MIs[0] blgp
     /* 275468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275471 */     // MIs[0] Operand 7
     /* 275471 */     // No operand predicates
     /* 275471 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275475 */     // MIs[0] Operand 9
     /* 275475 */     // No operand predicates
     /* 275475 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275483 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f4_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f4_e64),
     /* 275486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275488 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275490 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275492 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275494 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275496 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275498 */     GIR_RootConstrainSelectedInstOperands,
     /* 275499 */     // GIR_Coverage, 1181,
     /* 275499 */     GIR_EraseRootFromParent_Done,
     /* 275500 */   // Label 4520: @275500
     /* 275500 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(275570), // Rule ID 1182 //
     /* 275505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 275519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 275522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275525 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275528 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275535 */     // MIs[0] cbsz
     /* 275535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275538 */     // MIs[0] blgp
     /* 275538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275541 */     // MIs[0] Operand 7
     /* 275541 */     // No operand predicates
     /* 275541 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275545 */     // MIs[0] Operand 9
     /* 275545 */     // No operand predicates
     /* 275545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275549 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275553 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f8_f4_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f8_f4_vgprcd_e64),
     /* 275556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275558 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275560 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275562 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275564 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275566 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275568 */     GIR_RootConstrainSelectedInstOperands,
     /* 275569 */     // GIR_Coverage, 1182,
     /* 275569 */     GIR_EraseRootFromParent_Done,
     /* 275570 */   // Label 4521: @275570
     /* 275570 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(275640), // Rule ID 1183 //
     /* 275575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 275589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 275592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275595 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275598 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275605 */     // MIs[0] cbsz
     /* 275605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275608 */     // MIs[0] blgp
     /* 275608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275611 */     // MIs[0] Operand 7
     /* 275611 */     // No operand predicates
     /* 275611 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275615 */     // MIs[0] Operand 9
     /* 275615 */     // No operand predicates
     /* 275615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275619 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275623 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f8_e64),
     /* 275626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275628 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275630 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275632 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275634 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275636 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275638 */     GIR_RootConstrainSelectedInstOperands,
     /* 275639 */     // GIR_Coverage, 1183,
     /* 275639 */     GIR_EraseRootFromParent_Done,
     /* 275640 */   // Label 4522: @275640
     /* 275640 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(275710), // Rule ID 1184 //
     /* 275645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 275659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 275662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275665 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275668 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275675 */     // MIs[0] cbsz
     /* 275675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275678 */     // MIs[0] blgp
     /* 275678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275681 */     // MIs[0] Operand 7
     /* 275681 */     // No operand predicates
     /* 275681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275685 */     // MIs[0] Operand 9
     /* 275685 */     // No operand predicates
     /* 275685 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275693 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f8_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f8_vgprcd_e64),
     /* 275696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275698 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275700 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275702 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275704 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275706 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275708 */     GIR_RootConstrainSelectedInstOperands,
     /* 275709 */     // GIR_Coverage, 1184,
     /* 275709 */     GIR_EraseRootFromParent_Done,
     /* 275710 */   // Label 4523: @275710
     /* 275710 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(275780), // Rule ID 1185 //
     /* 275715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 275732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275735 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275738 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275745 */     // MIs[0] cbsz
     /* 275745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275748 */     // MIs[0] blgp
     /* 275748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275751 */     // MIs[0] Operand 7
     /* 275751 */     // No operand predicates
     /* 275751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275755 */     // MIs[0] Operand 9
     /* 275755 */     // No operand predicates
     /* 275755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275759 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275763 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f4_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f4_e64),
     /* 275766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275768 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275770 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275772 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275774 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275776 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275778 */     GIR_RootConstrainSelectedInstOperands,
     /* 275779 */     // GIR_Coverage, 1185,
     /* 275779 */     GIR_EraseRootFromParent_Done,
     /* 275780 */   // Label 4524: @275780
     /* 275780 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(275850), // Rule ID 1186 //
     /* 275785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 275799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 275802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275805 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275808 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275815 */     // MIs[0] cbsz
     /* 275815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275818 */     // MIs[0] blgp
     /* 275818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275821 */     // MIs[0] Operand 7
     /* 275821 */     // No operand predicates
     /* 275821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275825 */     // MIs[0] Operand 9
     /* 275825 */     // No operand predicates
     /* 275825 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275829 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275833 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f6_f4_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f6_f4_vgprcd_e64),
     /* 275836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275838 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275840 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275842 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275844 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275846 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275848 */     GIR_RootConstrainSelectedInstOperands,
     /* 275849 */     // GIR_Coverage, 1186,
     /* 275849 */     GIR_EraseRootFromParent_Done,
     /* 275850 */   // Label 4525: @275850
     /* 275850 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(275920), // Rule ID 1187 //
     /* 275855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 275869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275875 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275878 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 275885 */     // MIs[0] cbsz
     /* 275885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275888 */     // MIs[0] blgp
     /* 275888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275891 */     // MIs[0] Operand 7
     /* 275891 */     // No operand predicates
     /* 275891 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275895 */     // MIs[0] Operand 9
     /* 275895 */     // No operand predicates
     /* 275895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275899 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 275903 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f6_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f6_e64),
     /* 275906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275908 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275910 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275912 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275914 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275916 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275918 */     GIR_RootConstrainSelectedInstOperands,
     /* 275919 */     // GIR_Coverage, 1187,
     /* 275919 */     GIR_EraseRootFromParent_Done,
     /* 275920 */   // Label 4526: @275920
     /* 275920 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(275990), // Rule ID 1188 //
     /* 275925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 275928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 275933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 275936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 275939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 275942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 275945 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 275948 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 275951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 275955 */     // MIs[0] cbsz
     /* 275955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 275958 */     // MIs[0] blgp
     /* 275958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 275961 */     // MIs[0] Operand 7
     /* 275961 */     // No operand predicates
     /* 275961 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 275965 */     // MIs[0] Operand 9
     /* 275965 */     // No operand predicates
     /* 275965 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 275969 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 275973 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f6_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 275973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f6_vgprcd_e64),
     /* 275976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 275978 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 275980 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 275982 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 275984 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 275986 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 275988 */     GIR_RootConstrainSelectedInstOperands,
     /* 275989 */     // GIR_Coverage, 1188,
     /* 275989 */     GIR_EraseRootFromParent_Done,
     /* 275990 */   // Label 4527: @275990
     /* 275990 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(276060), // Rule ID 1189 //
     /* 275995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 275998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 276003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 276006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 276015 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276018 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 276025 */     // MIs[0] cbsz
     /* 276025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276028 */     // MIs[0] blgp
     /* 276028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276031 */     // MIs[0] Operand 7
     /* 276031 */     // No operand predicates
     /* 276031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276035 */     // MIs[0] Operand 9
     /* 276035 */     // No operand predicates
     /* 276035 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23506),
     /* 276043 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23506>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f4_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f4_e64),
     /* 276046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276048 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276050 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276052 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276054 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276056 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276058 */     GIR_RootConstrainSelectedInstOperands,
     /* 276059 */     // GIR_Coverage, 1189,
     /* 276059 */     GIR_EraseRootFromParent_Done,
     /* 276060 */   // Label 4528: @276060
     /* 276060 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(276130), // Rule ID 1190 //
     /* 276065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 276073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 276076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 276085 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276088 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 276095 */     // MIs[0] cbsz
     /* 276095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276098 */     // MIs[0] blgp
     /* 276098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276101 */     // MIs[0] Operand 7
     /* 276101 */     // No operand predicates
     /* 276101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276105 */     // MIs[0] Operand 9
     /* 276105 */     // No operand predicates
     /* 276105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276109 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23508),
     /* 276113 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23508>>  =>  (V_MFMA_F32_16X16X128_F8F6F4_f4_f4_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_16X16X128_F8F6F4_f4_f4_vgprcd_e64),
     /* 276116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276120 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276122 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276124 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276126 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276128 */     GIR_RootConstrainSelectedInstOperands,
     /* 276129 */     // GIR_Coverage, 1190,
     /* 276129 */     GIR_EraseRootFromParent_Done,
     /* 276130 */   // Label 4529: @276130
     /* 276130 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(276200), // Rule ID 1191 //
     /* 276135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276155 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276158 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276165 */     // MIs[0] cbsz
     /* 276165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276168 */     // MIs[0] blgp
     /* 276168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276171 */     // MIs[0] Operand 7
     /* 276171 */     // No operand predicates
     /* 276171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276175 */     // MIs[0] Operand 9
     /* 276175 */     // No operand predicates
     /* 276175 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276179 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276183 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f8_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f8_mac_e64),
     /* 276186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276188 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276190 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276192 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276194 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276196 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276198 */     GIR_RootConstrainSelectedInstOperands,
     /* 276199 */     // GIR_Coverage, 1191,
     /* 276199 */     GIR_EraseRootFromParent_Done,
     /* 276200 */   // Label 4530: @276200
     /* 276200 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(276270), // Rule ID 1192 //
     /* 276205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276225 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276228 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276235 */     // MIs[0] cbsz
     /* 276235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276238 */     // MIs[0] blgp
     /* 276238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276241 */     // MIs[0] Operand 7
     /* 276241 */     // No operand predicates
     /* 276241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276245 */     // MIs[0] Operand 9
     /* 276245 */     // No operand predicates
     /* 276245 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276249 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276253 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f8_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f8_mac_vgprcd_e64),
     /* 276256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276258 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276260 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276262 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276264 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276266 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276268 */     GIR_RootConstrainSelectedInstOperands,
     /* 276269 */     // GIR_Coverage, 1192,
     /* 276269 */     GIR_EraseRootFromParent_Done,
     /* 276270 */   // Label 4531: @276270
     /* 276270 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(276340), // Rule ID 1193 //
     /* 276275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 276292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276295 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276298 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276305 */     // MIs[0] cbsz
     /* 276305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276308 */     // MIs[0] blgp
     /* 276308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276311 */     // MIs[0] Operand 7
     /* 276311 */     // No operand predicates
     /* 276311 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276315 */     // MIs[0] Operand 9
     /* 276315 */     // No operand predicates
     /* 276315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276323 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f6_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f6_mac_e64),
     /* 276326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276328 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276330 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276332 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276334 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276336 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276338 */     GIR_RootConstrainSelectedInstOperands,
     /* 276339 */     // GIR_Coverage, 1193,
     /* 276339 */     GIR_EraseRootFromParent_Done,
     /* 276340 */   // Label 4532: @276340
     /* 276340 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(276410), // Rule ID 1194 //
     /* 276345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 276362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276365 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276368 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276375 */     // MIs[0] cbsz
     /* 276375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276378 */     // MIs[0] blgp
     /* 276378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276381 */     // MIs[0] Operand 7
     /* 276381 */     // No operand predicates
     /* 276381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276385 */     // MIs[0] Operand 9
     /* 276385 */     // No operand predicates
     /* 276385 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276389 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276393 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f6_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f6_mac_vgprcd_e64),
     /* 276396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276400 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276402 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276404 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276406 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276408 */     GIR_RootConstrainSelectedInstOperands,
     /* 276409 */     // GIR_Coverage, 1194,
     /* 276409 */     GIR_EraseRootFromParent_Done,
     /* 276410 */   // Label 4533: @276410
     /* 276410 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(276480), // Rule ID 1195 //
     /* 276415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 276429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276435 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276438 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276445 */     // MIs[0] cbsz
     /* 276445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276448 */     // MIs[0] blgp
     /* 276448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276451 */     // MIs[0] Operand 7
     /* 276451 */     // No operand predicates
     /* 276451 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276455 */     // MIs[0] Operand 9
     /* 276455 */     // No operand predicates
     /* 276455 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276463 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f8_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f8_mac_e64),
     /* 276466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276468 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276470 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276472 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276474 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276476 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276478 */     GIR_RootConstrainSelectedInstOperands,
     /* 276479 */     // GIR_Coverage, 1195,
     /* 276479 */     GIR_EraseRootFromParent_Done,
     /* 276480 */   // Label 4534: @276480
     /* 276480 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(276550), // Rule ID 1196 //
     /* 276485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 276499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276505 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276508 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276515 */     // MIs[0] cbsz
     /* 276515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276518 */     // MIs[0] blgp
     /* 276518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276521 */     // MIs[0] Operand 7
     /* 276521 */     // No operand predicates
     /* 276521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276525 */     // MIs[0] Operand 9
     /* 276525 */     // No operand predicates
     /* 276525 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276533 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f8_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f8_mac_vgprcd_e64),
     /* 276536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276538 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276540 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276542 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276544 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276546 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276548 */     GIR_RootConstrainSelectedInstOperands,
     /* 276549 */     // GIR_Coverage, 1196,
     /* 276549 */     GIR_EraseRootFromParent_Done,
     /* 276550 */   // Label 4535: @276550
     /* 276550 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(276620), // Rule ID 1197 //
     /* 276555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 276569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 276572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276575 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276578 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276585 */     // MIs[0] cbsz
     /* 276585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276588 */     // MIs[0] blgp
     /* 276588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276591 */     // MIs[0] Operand 7
     /* 276591 */     // No operand predicates
     /* 276591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276595 */     // MIs[0] Operand 9
     /* 276595 */     // No operand predicates
     /* 276595 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276599 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276603 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f6_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f6_mac_e64),
     /* 276606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276608 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276610 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276612 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276614 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276616 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276618 */     GIR_RootConstrainSelectedInstOperands,
     /* 276619 */     // GIR_Coverage, 1197,
     /* 276619 */     GIR_EraseRootFromParent_Done,
     /* 276620 */   // Label 4536: @276620
     /* 276620 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(276690), // Rule ID 1198 //
     /* 276625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 276639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 276642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276645 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276648 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276655 */     // MIs[0] cbsz
     /* 276655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276658 */     // MIs[0] blgp
     /* 276658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276661 */     // MIs[0] Operand 7
     /* 276661 */     // No operand predicates
     /* 276661 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276665 */     // MIs[0] Operand 9
     /* 276665 */     // No operand predicates
     /* 276665 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276669 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276673 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f6_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f6_mac_vgprcd_e64),
     /* 276676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276678 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276680 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276682 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276684 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276686 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276688 */     GIR_RootConstrainSelectedInstOperands,
     /* 276689 */     // GIR_Coverage, 1198,
     /* 276689 */     GIR_EraseRootFromParent_Done,
     /* 276690 */   // Label 4537: @276690
     /* 276690 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(276760), // Rule ID 1199 //
     /* 276695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276715 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276718 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276725 */     // MIs[0] cbsz
     /* 276725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276728 */     // MIs[0] blgp
     /* 276728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276731 */     // MIs[0] Operand 7
     /* 276731 */     // No operand predicates
     /* 276731 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276735 */     // MIs[0] Operand 9
     /* 276735 */     // No operand predicates
     /* 276735 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276739 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276743 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f4_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f4_mac_e64),
     /* 276746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276748 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276750 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276752 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276754 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276756 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276758 */     GIR_RootConstrainSelectedInstOperands,
     /* 276759 */     // GIR_Coverage, 1199,
     /* 276759 */     GIR_EraseRootFromParent_Done,
     /* 276760 */   // Label 4538: @276760
     /* 276760 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(276830), // Rule ID 1200 //
     /* 276765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 276779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276785 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276788 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276795 */     // MIs[0] cbsz
     /* 276795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276798 */     // MIs[0] blgp
     /* 276798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276801 */     // MIs[0] Operand 7
     /* 276801 */     // No operand predicates
     /* 276801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276805 */     // MIs[0] Operand 9
     /* 276805 */     // No operand predicates
     /* 276805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276809 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276813 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f8_f4_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f8_f4_mac_vgprcd_e64),
     /* 276816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276818 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276820 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276822 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276824 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276826 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276828 */     GIR_RootConstrainSelectedInstOperands,
     /* 276829 */     // GIR_Coverage, 1200,
     /* 276829 */     GIR_EraseRootFromParent_Done,
     /* 276830 */   // Label 4539: @276830
     /* 276830 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(276900), // Rule ID 1201 //
     /* 276835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276855 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276858 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 276865 */     // MIs[0] cbsz
     /* 276865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276868 */     // MIs[0] blgp
     /* 276868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276871 */     // MIs[0] Operand 7
     /* 276871 */     // No operand predicates
     /* 276871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276875 */     // MIs[0] Operand 9
     /* 276875 */     // No operand predicates
     /* 276875 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276879 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 276883 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f8_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f8_mac_e64),
     /* 276886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276888 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276890 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276892 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276894 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276896 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276898 */     GIR_RootConstrainSelectedInstOperands,
     /* 276899 */     // GIR_Coverage, 1201,
     /* 276899 */     GIR_EraseRootFromParent_Done,
     /* 276900 */   // Label 4540: @276900
     /* 276900 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(276970), // Rule ID 1202 //
     /* 276905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 276908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 276922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276925 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276928 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 276931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 276935 */     // MIs[0] cbsz
     /* 276935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 276938 */     // MIs[0] blgp
     /* 276938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 276941 */     // MIs[0] Operand 7
     /* 276941 */     // No operand predicates
     /* 276941 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 276945 */     // MIs[0] Operand 9
     /* 276945 */     // No operand predicates
     /* 276945 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 276949 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 276953 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f8_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 276953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f8_mac_vgprcd_e64),
     /* 276956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 276958 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 276960 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 276962 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 276964 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 276966 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 276968 */     GIR_RootConstrainSelectedInstOperands,
     /* 276969 */     // GIR_Coverage, 1202,
     /* 276969 */     GIR_EraseRootFromParent_Done,
     /* 276970 */   // Label 4541: @276970
     /* 276970 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(277040), // Rule ID 1203 //
     /* 276975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 276978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 276983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 276986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 276989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 276995 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 276998 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 277005 */     // MIs[0] cbsz
     /* 277005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277008 */     // MIs[0] blgp
     /* 277008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277011 */     // MIs[0] Operand 7
     /* 277011 */     // No operand predicates
     /* 277011 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277015 */     // MIs[0] Operand 9
     /* 277015 */     // No operand predicates
     /* 277015 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277019 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 277023 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f4_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f4_mac_e64),
     /* 277026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277028 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277030 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277032 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277034 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277036 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277038 */     GIR_RootConstrainSelectedInstOperands,
     /* 277039 */     // GIR_Coverage, 1203,
     /* 277039 */     GIR_EraseRootFromParent_Done,
     /* 277040 */   // Label 4542: @277040
     /* 277040 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(277110), // Rule ID 1204 //
     /* 277045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 277048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 277053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 277056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 277059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 277062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 277065 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277068 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 277075 */     // MIs[0] cbsz
     /* 277075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277078 */     // MIs[0] blgp
     /* 277078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277081 */     // MIs[0] Operand 7
     /* 277081 */     // No operand predicates
     /* 277081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277085 */     // MIs[0] Operand 9
     /* 277085 */     // No operand predicates
     /* 277085 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277089 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 277093 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f6_f4_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f6_f4_mac_vgprcd_e64),
     /* 277096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277098 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277100 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277102 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277104 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277106 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277108 */     GIR_RootConstrainSelectedInstOperands,
     /* 277109 */     // GIR_Coverage, 1204,
     /* 277109 */     GIR_EraseRootFromParent_Done,
     /* 277110 */   // Label 4543: @277110
     /* 277110 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(277180), // Rule ID 1205 //
     /* 277115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 277123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 277126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 277129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 277132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 277135 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277138 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 277145 */     // MIs[0] cbsz
     /* 277145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277148 */     // MIs[0] blgp
     /* 277148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277151 */     // MIs[0] Operand 7
     /* 277151 */     // No operand predicates
     /* 277151 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277155 */     // MIs[0] Operand 9
     /* 277155 */     // No operand predicates
     /* 277155 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277159 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 277163 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f6_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f6_mac_e64),
     /* 277166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277168 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277170 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277172 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277174 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277176 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277178 */     GIR_RootConstrainSelectedInstOperands,
     /* 277179 */     // GIR_Coverage, 1205,
     /* 277179 */     GIR_EraseRootFromParent_Done,
     /* 277180 */   // Label 4544: @277180
     /* 277180 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(277250), // Rule ID 1206 //
     /* 277185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 277188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 277193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 277196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 277199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 277202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 277205 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277208 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 277215 */     // MIs[0] cbsz
     /* 277215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277218 */     // MIs[0] blgp
     /* 277218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277221 */     // MIs[0] Operand 7
     /* 277221 */     // No operand predicates
     /* 277221 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277225 */     // MIs[0] Operand 9
     /* 277225 */     // No operand predicates
     /* 277225 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277229 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 277233 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f6_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f6_mac_vgprcd_e64),
     /* 277236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277238 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277240 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277242 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277244 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277246 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277248 */     GIR_RootConstrainSelectedInstOperands,
     /* 277249 */     // GIR_Coverage, 1206,
     /* 277249 */     GIR_EraseRootFromParent_Done,
     /* 277250 */   // Label 4545: @277250
     /* 277250 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(277320), // Rule ID 1207 //
     /* 277255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 277263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 277266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 277269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 277272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 277275 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277278 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 277285 */     // MIs[0] cbsz
     /* 277285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277288 */     // MIs[0] blgp
     /* 277288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277291 */     // MIs[0] Operand 7
     /* 277291 */     // No operand predicates
     /* 277291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277295 */     // MIs[0] Operand 9
     /* 277295 */     // No operand predicates
     /* 277295 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23528),
     /* 277303 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23528>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f4_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f4_mac_e64),
     /* 277306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277308 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277310 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277312 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277314 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277316 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277318 */     GIR_RootConstrainSelectedInstOperands,
     /* 277319 */     // GIR_Coverage, 1207,
     /* 277319 */     GIR_EraseRootFromParent_Done,
     /* 277320 */   // Label 4546: @277320
     /* 277320 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(277390), // Rule ID 1208 //
     /* 277325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts_isGFX90APlus),
     /* 277328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 277333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 277336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 277339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 277342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 277345 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277348 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 277355 */     // MIs[0] cbsz
     /* 277355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277358 */     // MIs[0] blgp
     /* 277358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277361 */     // MIs[0] Operand 7
     /* 277361 */     // No operand predicates
     /* 277361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/8, 0,
     /* 277365 */     // MIs[0] Operand 9
     /* 277365 */     // No operand predicates
     /* 277365 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/10, 0,
     /* 277369 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23530),
     /* 277373 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, srcvalue:{ *:[i32] }, 0:{ *:[i32] }, srcvalue:{ *:[i32] }, 0:{ *:[i32] })<<P:Predicate_anonymous_23530>>  =>  (V_MFMA_F32_32X32X64_F8F6F4_f4_f4_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp)
     /* 277373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_F32_32X32X64_F8F6F4_f4_f4_mac_vgprcd_e64),
     /* 277376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277378 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277380 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277382 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277384 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277386 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277388 */     GIR_RootConstrainSelectedInstOperands,
     /* 277389 */     // GIR_Coverage, 1208,
     /* 277389 */     GIR_EraseRootFromParent_Done,
     /* 277390 */   // Label 4547: @277390
     /* 277390 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(277484), // Rule ID 1209 //
     /* 277395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 277409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 277412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277415 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277418 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 277425 */     // MIs[0] cbsz
     /* 277425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277428 */     // MIs[0] blgp
     /* 277428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277431 */     // MIs[0] src0_modifiers
     /* 277431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277439 */     // MIs[0] src1_modifiers
     /* 277439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277442 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277447 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 277451 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f8_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f8_e64),
     /* 277454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277456 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277458 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277460 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277462 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277464 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277466 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277468 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277470 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277476 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277482 */     GIR_RootConstrainSelectedInstOperands,
     /* 277483 */     // GIR_Coverage, 1209,
     /* 277483 */     GIR_EraseRootFromParent_Done,
     /* 277484 */   // Label 4548: @277484
     /* 277484 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(277578), // Rule ID 1210 //
     /* 277489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 277503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 277506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277509 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277512 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 277519 */     // MIs[0] cbsz
     /* 277519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277522 */     // MIs[0] blgp
     /* 277522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277525 */     // MIs[0] src0_modifiers
     /* 277525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277533 */     // MIs[0] src1_modifiers
     /* 277533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277541 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 277545 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f8_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f8_vgprcd_e64),
     /* 277548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277550 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277552 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277554 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277556 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277558 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277560 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277562 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277564 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277570 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277576 */     GIR_RootConstrainSelectedInstOperands,
     /* 277577 */     // GIR_Coverage, 1210,
     /* 277577 */     GIR_EraseRootFromParent_Done,
     /* 277578 */   // Label 4549: @277578
     /* 277578 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(277672), // Rule ID 1211 //
     /* 277583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 277597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 277600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277603 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277606 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 277613 */     // MIs[0] cbsz
     /* 277613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277616 */     // MIs[0] blgp
     /* 277616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277619 */     // MIs[0] src0_modifiers
     /* 277619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277627 */     // MIs[0] src1_modifiers
     /* 277627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 277639 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f6_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f6_e64),
     /* 277642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277644 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277646 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277648 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277650 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277652 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277654 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277656 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277658 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277664 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277670 */     GIR_RootConstrainSelectedInstOperands,
     /* 277671 */     // GIR_Coverage, 1211,
     /* 277671 */     GIR_EraseRootFromParent_Done,
     /* 277672 */   // Label 4550: @277672
     /* 277672 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(277766), // Rule ID 1212 //
     /* 277677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 277691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 277694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277697 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277700 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 277707 */     // MIs[0] cbsz
     /* 277707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277710 */     // MIs[0] blgp
     /* 277710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277713 */     // MIs[0] src0_modifiers
     /* 277713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277721 */     // MIs[0] src1_modifiers
     /* 277721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277729 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 277733 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f6_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f6_vgprcd_e64),
     /* 277736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277738 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277740 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277742 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277744 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277746 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277748 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277750 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277752 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277758 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277764 */     GIR_RootConstrainSelectedInstOperands,
     /* 277765 */     // GIR_Coverage, 1212,
     /* 277765 */     GIR_EraseRootFromParent_Done,
     /* 277766 */   // Label 4551: @277766
     /* 277766 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(277860), // Rule ID 1213 //
     /* 277771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 277785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 277788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277791 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277794 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 277801 */     // MIs[0] cbsz
     /* 277801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277804 */     // MIs[0] blgp
     /* 277804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277807 */     // MIs[0] src0_modifiers
     /* 277807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277815 */     // MIs[0] src1_modifiers
     /* 277815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 277827 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f8_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f8_e64),
     /* 277830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277834 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277836 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277838 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277840 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277842 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277844 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277846 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277852 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277858 */     GIR_RootConstrainSelectedInstOperands,
     /* 277859 */     // GIR_Coverage, 1213,
     /* 277859 */     GIR_EraseRootFromParent_Done,
     /* 277860 */   // Label 4552: @277860
     /* 277860 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(277954), // Rule ID 1214 //
     /* 277865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 277879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 277882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277885 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277888 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 277895 */     // MIs[0] cbsz
     /* 277895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277898 */     // MIs[0] blgp
     /* 277898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277901 */     // MIs[0] src0_modifiers
     /* 277901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277909 */     // MIs[0] src1_modifiers
     /* 277909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 277912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 277917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 277921 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f8_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 277921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f8_vgprcd_e64),
     /* 277924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 277926 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 277928 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 277930 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 277932 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 277934 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 277936 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 277938 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 277940 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 277946 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 277952 */     GIR_RootConstrainSelectedInstOperands,
     /* 277953 */     // GIR_Coverage, 1214,
     /* 277953 */     GIR_EraseRootFromParent_Done,
     /* 277954 */   // Label 4553: @277954
     /* 277954 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(278048), // Rule ID 1215 //
     /* 277959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 277962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 277967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 277970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 277973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 277976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 277979 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 277982 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 277985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 277989 */     // MIs[0] cbsz
     /* 277989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 277992 */     // MIs[0] blgp
     /* 277992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 277995 */     // MIs[0] src0_modifiers
     /* 277995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 277998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278003 */     // MIs[0] src1_modifiers
     /* 278003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278015 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f6_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f6_e64),
     /* 278018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278020 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278022 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278024 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278026 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278028 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278030 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278032 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278034 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278040 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278046 */     GIR_RootConstrainSelectedInstOperands,
     /* 278047 */     // GIR_Coverage, 1215,
     /* 278047 */     GIR_EraseRootFromParent_Done,
     /* 278048 */   // Label 4554: @278048
     /* 278048 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(278142), // Rule ID 1216 //
     /* 278053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 278067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 278070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278073 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278076 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 278083 */     // MIs[0] cbsz
     /* 278083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278086 */     // MIs[0] blgp
     /* 278086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278089 */     // MIs[0] src0_modifiers
     /* 278089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278097 */     // MIs[0] src1_modifiers
     /* 278097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 278109 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f6_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f6_vgprcd_e64),
     /* 278112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278114 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278116 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278118 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278120 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278122 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278124 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278126 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278128 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278134 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278140 */     GIR_RootConstrainSelectedInstOperands,
     /* 278141 */     // GIR_Coverage, 1216,
     /* 278141 */     GIR_EraseRootFromParent_Done,
     /* 278142 */   // Label 4555: @278142
     /* 278142 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(278236), // Rule ID 1217 //
     /* 278147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 278161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 278164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278167 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278170 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 278177 */     // MIs[0] cbsz
     /* 278177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278180 */     // MIs[0] blgp
     /* 278180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278183 */     // MIs[0] src0_modifiers
     /* 278183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278191 */     // MIs[0] src1_modifiers
     /* 278191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278199 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278203 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f4_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f4_e64),
     /* 278206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278208 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278210 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278212 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278214 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278216 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278218 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278220 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278222 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278228 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278234 */     GIR_RootConstrainSelectedInstOperands,
     /* 278235 */     // GIR_Coverage, 1217,
     /* 278235 */     GIR_EraseRootFromParent_Done,
     /* 278236 */   // Label 4556: @278236
     /* 278236 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(278330), // Rule ID 1218 //
     /* 278241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 278255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 278258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278261 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278264 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 278271 */     // MIs[0] cbsz
     /* 278271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278274 */     // MIs[0] blgp
     /* 278274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278277 */     // MIs[0] src0_modifiers
     /* 278277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278285 */     // MIs[0] src1_modifiers
     /* 278285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 278297 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f4_vgprcd_e64:{ *:[v4f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f8_f4_vgprcd_e64),
     /* 278300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278302 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278304 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278306 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278308 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278310 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278312 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278314 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278322 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278328 */     GIR_RootConstrainSelectedInstOperands,
     /* 278329 */     // GIR_Coverage, 1218,
     /* 278329 */     GIR_EraseRootFromParent_Done,
     /* 278330 */   // Label 4557: @278330
     /* 278330 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(278424), // Rule ID 1219 //
     /* 278335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 278349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 278352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278355 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278358 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 278365 */     // MIs[0] cbsz
     /* 278365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278368 */     // MIs[0] blgp
     /* 278368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278371 */     // MIs[0] src0_modifiers
     /* 278371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278379 */     // MIs[0] src1_modifiers
     /* 278379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278387 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278391 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f8_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f8_e64),
     /* 278394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278396 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278398 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278400 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278402 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278404 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278406 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278408 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278410 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278422 */     GIR_RootConstrainSelectedInstOperands,
     /* 278423 */     // GIR_Coverage, 1219,
     /* 278423 */     GIR_EraseRootFromParent_Done,
     /* 278424 */   // Label 4558: @278424
     /* 278424 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(278518), // Rule ID 1220 //
     /* 278429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 278443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 278446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278449 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278452 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 278459 */     // MIs[0] cbsz
     /* 278459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278462 */     // MIs[0] blgp
     /* 278462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278465 */     // MIs[0] src0_modifiers
     /* 278465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278473 */     // MIs[0] src1_modifiers
     /* 278473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278481 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 278485 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f8_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f8_vgprcd_e64),
     /* 278488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278492 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278494 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278496 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278498 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278500 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278502 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278510 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278516 */     GIR_RootConstrainSelectedInstOperands,
     /* 278517 */     // GIR_Coverage, 1220,
     /* 278517 */     GIR_EraseRootFromParent_Done,
     /* 278518 */   // Label 4559: @278518
     /* 278518 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(278612), // Rule ID 1221 //
     /* 278523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 278537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 278540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278543 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278546 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 278553 */     // MIs[0] cbsz
     /* 278553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278556 */     // MIs[0] blgp
     /* 278556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278559 */     // MIs[0] src0_modifiers
     /* 278559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278567 */     // MIs[0] src1_modifiers
     /* 278567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278575 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278579 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f4_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f4_e64),
     /* 278582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278584 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278586 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278588 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278590 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278592 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278594 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278596 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278598 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278610 */     GIR_RootConstrainSelectedInstOperands,
     /* 278611 */     // GIR_Coverage, 1221,
     /* 278611 */     GIR_EraseRootFromParent_Done,
     /* 278612 */   // Label 4560: @278612
     /* 278612 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(278706), // Rule ID 1222 //
     /* 278617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 278631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 278634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278637 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278640 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 278647 */     // MIs[0] cbsz
     /* 278647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278650 */     // MIs[0] blgp
     /* 278650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278653 */     // MIs[0] src0_modifiers
     /* 278653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278661 */     // MIs[0] src1_modifiers
     /* 278661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278669 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 278673 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f4_vgprcd_e64:{ *:[v4f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f6_f4_vgprcd_e64),
     /* 278676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278678 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278680 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278682 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278684 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278686 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278688 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278690 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278692 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278698 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278704 */     GIR_RootConstrainSelectedInstOperands,
     /* 278705 */     // GIR_Coverage, 1222,
     /* 278705 */     GIR_EraseRootFromParent_Done,
     /* 278706 */   // Label 4561: @278706
     /* 278706 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(278800), // Rule ID 1223 //
     /* 278711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 278725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 278728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278731 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278734 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 278741 */     // MIs[0] cbsz
     /* 278741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278744 */     // MIs[0] blgp
     /* 278744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278747 */     // MIs[0] src0_modifiers
     /* 278747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278755 */     // MIs[0] src1_modifiers
     /* 278755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278763 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278767 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f6_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f6_e64),
     /* 278770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278772 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278774 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278776 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278778 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278780 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278782 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278784 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278786 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278792 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278798 */     GIR_RootConstrainSelectedInstOperands,
     /* 278799 */     // GIR_Coverage, 1223,
     /* 278799 */     GIR_EraseRootFromParent_Done,
     /* 278800 */   // Label 4562: @278800
     /* 278800 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(278894), // Rule ID 1224 //
     /* 278805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 278819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 278822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278825 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278828 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 278835 */     // MIs[0] cbsz
     /* 278835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278838 */     // MIs[0] blgp
     /* 278838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278841 */     // MIs[0] src0_modifiers
     /* 278841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278849 */     // MIs[0] src1_modifiers
     /* 278849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278857 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 278861 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f6_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f6_vgprcd_e64),
     /* 278864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278866 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278868 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278870 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278872 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278874 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278876 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278878 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278880 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278886 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278892 */     GIR_RootConstrainSelectedInstOperands,
     /* 278893 */     // GIR_Coverage, 1224,
     /* 278893 */     GIR_EraseRootFromParent_Done,
     /* 278894 */   // Label 4563: @278894
     /* 278894 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(278988), // Rule ID 1225 //
     /* 278899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 278907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 278910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 278913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 278916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 278919 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 278922 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 278925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_128RegClassID),
     /* 278929 */     // MIs[0] cbsz
     /* 278929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 278932 */     // MIs[0] blgp
     /* 278932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 278935 */     // MIs[0] src0_modifiers
     /* 278935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 278938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278943 */     // MIs[0] src1_modifiers
     /* 278943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 278946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 278951 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23564),
     /* 278955 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23564>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f4_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 278955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f4_e64),
     /* 278958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 278960 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 278962 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 278964 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 278966 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 278968 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 278970 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 278972 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 278974 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 278980 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 278986 */     GIR_RootConstrainSelectedInstOperands,
     /* 278987 */     // GIR_Coverage, 1225,
     /* 278987 */     GIR_EraseRootFromParent_Done,
     /* 278988 */   // Label 4564: @278988
     /* 278988 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(279082), // Rule ID 1226 //
     /* 278993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 278996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_16x16x128_f8f6f4),
     /* 279001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 279004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 279007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 279010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 279013 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279016 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 279023 */     // MIs[0] cbsz
     /* 279023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279026 */     // MIs[0] blgp
     /* 279026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279029 */     // MIs[0] src0_modifiers
     /* 279029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279037 */     // MIs[0] src1_modifiers
     /* 279037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279045 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23566),
     /* 279049 */     // (intrinsic_wo_chain:{ *:[v4f32] } 3171:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23566>>  =>  (V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f4_vgprcd_e64:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v4f32:{ *:[v4f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_16X16X128_F8F6F4_f4_f4_vgprcd_e64),
     /* 279052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279056 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279058 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279060 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279062 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279064 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279066 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279068 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279074 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279080 */     GIR_RootConstrainSelectedInstOperands,
     /* 279081 */     // GIR_Coverage, 1226,
     /* 279081 */     GIR_EraseRootFromParent_Done,
     /* 279082 */   // Label 4565: @279082
     /* 279082 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(279176), // Rule ID 1227 //
     /* 279087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 279104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279107 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279110 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 279117 */     // MIs[0] cbsz
     /* 279117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279120 */     // MIs[0] blgp
     /* 279120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279123 */     // MIs[0] src0_modifiers
     /* 279123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279131 */     // MIs[0] src1_modifiers
     /* 279131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279139 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 279143 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f8_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f8_mac_e64),
     /* 279146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279150 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279152 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279154 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279156 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279158 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279160 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279162 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279174 */     GIR_RootConstrainSelectedInstOperands,
     /* 279175 */     // GIR_Coverage, 1227,
     /* 279175 */     GIR_EraseRootFromParent_Done,
     /* 279176 */   // Label 4566: @279176
     /* 279176 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(279270), // Rule ID 1228 //
     /* 279181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 279198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279201 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279204 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 279211 */     // MIs[0] cbsz
     /* 279211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279214 */     // MIs[0] blgp
     /* 279214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279217 */     // MIs[0] src0_modifiers
     /* 279217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279225 */     // MIs[0] src1_modifiers
     /* 279225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 279237 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f8_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f8_mac_vgprcd_e64),
     /* 279240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279242 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279244 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279246 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279248 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279250 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279252 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279254 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279256 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279262 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279268 */     GIR_RootConstrainSelectedInstOperands,
     /* 279269 */     // GIR_Coverage, 1228,
     /* 279269 */     GIR_EraseRootFromParent_Done,
     /* 279270 */   // Label 4567: @279270
     /* 279270 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(279364), // Rule ID 1229 //
     /* 279275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 279292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279295 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279298 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 279305 */     // MIs[0] cbsz
     /* 279305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279308 */     // MIs[0] blgp
     /* 279308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279311 */     // MIs[0] src0_modifiers
     /* 279311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279319 */     // MIs[0] src1_modifiers
     /* 279319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 279331 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f6_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f6_mac_e64),
     /* 279334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279336 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279338 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279340 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279342 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279344 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279346 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279348 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279350 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279356 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279362 */     GIR_RootConstrainSelectedInstOperands,
     /* 279363 */     // GIR_Coverage, 1229,
     /* 279363 */     GIR_EraseRootFromParent_Done,
     /* 279364 */   // Label 4568: @279364
     /* 279364 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(279458), // Rule ID 1230 //
     /* 279369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 279386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279389 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279392 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 279399 */     // MIs[0] cbsz
     /* 279399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279402 */     // MIs[0] blgp
     /* 279402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279405 */     // MIs[0] src0_modifiers
     /* 279405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279413 */     // MIs[0] src1_modifiers
     /* 279413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279421 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 279425 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f6_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f6_mac_vgprcd_e64),
     /* 279428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279430 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279432 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279434 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279436 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279438 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279440 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279442 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279456 */     GIR_RootConstrainSelectedInstOperands,
     /* 279457 */     // GIR_Coverage, 1230,
     /* 279457 */     GIR_EraseRootFromParent_Done,
     /* 279458 */   // Label 4569: @279458
     /* 279458 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(279552), // Rule ID 1231 //
     /* 279463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 279477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 279480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279483 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279486 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 279493 */     // MIs[0] cbsz
     /* 279493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279496 */     // MIs[0] blgp
     /* 279496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279499 */     // MIs[0] src0_modifiers
     /* 279499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279507 */     // MIs[0] src1_modifiers
     /* 279507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279515 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 279519 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f8_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f8_mac_e64),
     /* 279522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279524 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279526 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279528 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279530 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279532 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279534 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279536 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279538 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279544 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279550 */     GIR_RootConstrainSelectedInstOperands,
     /* 279551 */     // GIR_Coverage, 1231,
     /* 279551 */     GIR_EraseRootFromParent_Done,
     /* 279552 */   // Label 4570: @279552
     /* 279552 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(279646), // Rule ID 1232 //
     /* 279557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 279571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 279574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279577 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279580 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 279587 */     // MIs[0] cbsz
     /* 279587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279590 */     // MIs[0] blgp
     /* 279590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279593 */     // MIs[0] src0_modifiers
     /* 279593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279601 */     // MIs[0] src1_modifiers
     /* 279601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279609 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 279613 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f8_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f8_mac_vgprcd_e64),
     /* 279616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279618 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279620 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279622 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279624 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279626 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279628 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279630 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279632 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279638 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279644 */     GIR_RootConstrainSelectedInstOperands,
     /* 279645 */     // GIR_Coverage, 1232,
     /* 279645 */     GIR_EraseRootFromParent_Done,
     /* 279646 */   // Label 4571: @279646
     /* 279646 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(279740), // Rule ID 1233 //
     /* 279651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 279665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 279668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279671 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279674 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 279681 */     // MIs[0] cbsz
     /* 279681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279684 */     // MIs[0] blgp
     /* 279684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279687 */     // MIs[0] src0_modifiers
     /* 279687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279695 */     // MIs[0] src1_modifiers
     /* 279695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279703 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 279707 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f6_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f6_mac_e64),
     /* 279710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279712 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279714 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279716 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279718 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279720 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279722 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279724 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279726 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279732 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279738 */     GIR_RootConstrainSelectedInstOperands,
     /* 279739 */     // GIR_Coverage, 1233,
     /* 279739 */     GIR_EraseRootFromParent_Done,
     /* 279740 */   // Label 4572: @279740
     /* 279740 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(279834), // Rule ID 1234 //
     /* 279745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 279759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 279762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279765 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279768 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 279775 */     // MIs[0] cbsz
     /* 279775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279778 */     // MIs[0] blgp
     /* 279778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279781 */     // MIs[0] src0_modifiers
     /* 279781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279789 */     // MIs[0] src1_modifiers
     /* 279789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279797 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 279801 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f6_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f6_mac_vgprcd_e64),
     /* 279804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279806 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279808 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279810 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279812 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279814 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279816 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279818 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279826 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279832 */     GIR_RootConstrainSelectedInstOperands,
     /* 279833 */     // GIR_Coverage, 1234,
     /* 279833 */     GIR_EraseRootFromParent_Done,
     /* 279834 */   // Label 4573: @279834
     /* 279834 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(279928), // Rule ID 1235 //
     /* 279839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 279856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279859 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279862 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 279869 */     // MIs[0] cbsz
     /* 279869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279872 */     // MIs[0] blgp
     /* 279872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279875 */     // MIs[0] src0_modifiers
     /* 279875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279883 */     // MIs[0] src1_modifiers
     /* 279883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279891 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 279895 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f4_mac_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f4_mac_e64),
     /* 279898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279900 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279902 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279904 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 279906 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 279908 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 279910 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 279912 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 279914 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 279920 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 279926 */     GIR_RootConstrainSelectedInstOperands,
     /* 279927 */     // GIR_Coverage, 1235,
     /* 279927 */     GIR_EraseRootFromParent_Done,
     /* 279928 */   // Label 4574: @279928
     /* 279928 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(280022), // Rule ID 1236 //
     /* 279933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 279936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 279941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 279944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 279947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 279950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 279953 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 279956 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 279959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 279963 */     // MIs[0] cbsz
     /* 279963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 279966 */     // MIs[0] blgp
     /* 279966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 279969 */     // MIs[0] src0_modifiers
     /* 279969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 279972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279977 */     // MIs[0] src1_modifiers
     /* 279977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 279980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 279985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 279989 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f4_mac_vgprcd_e64:{ *:[v16f32] } v8i32:{ *:[v8i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 279989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f8_f4_mac_vgprcd_e64),
     /* 279992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 279994 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 279996 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 279998 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280000 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280002 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280004 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280006 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280008 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280014 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280020 */     GIR_RootConstrainSelectedInstOperands,
     /* 280021 */     // GIR_Coverage, 1236,
     /* 280021 */     GIR_EraseRootFromParent_Done,
     /* 280022 */   // Label 4575: @280022
     /* 280022 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(280116), // Rule ID 1237 //
     /* 280027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 280044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280047 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280050 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 280057 */     // MIs[0] cbsz
     /* 280057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280060 */     // MIs[0] blgp
     /* 280060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280063 */     // MIs[0] src0_modifiers
     /* 280063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280071 */     // MIs[0] src1_modifiers
     /* 280071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280079 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 280083 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f8_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f8_mac_e64),
     /* 280086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280088 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280090 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280092 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280094 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280096 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280098 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280100 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280108 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280114 */     GIR_RootConstrainSelectedInstOperands,
     /* 280115 */     // GIR_Coverage, 1237,
     /* 280115 */     GIR_EraseRootFromParent_Done,
     /* 280116 */   // Label 4576: @280116
     /* 280116 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(280210), // Rule ID 1238 //
     /* 280121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 280138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280141 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280144 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 280151 */     // MIs[0] cbsz
     /* 280151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280154 */     // MIs[0] blgp
     /* 280154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280157 */     // MIs[0] src0_modifiers
     /* 280157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280165 */     // MIs[0] src1_modifiers
     /* 280165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 280177 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f8_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v8i32:{ *:[v8i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f8_mac_vgprcd_e64),
     /* 280180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280182 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280184 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280186 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280188 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280190 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280192 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280194 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280196 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280202 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280208 */     GIR_RootConstrainSelectedInstOperands,
     /* 280209 */     // GIR_Coverage, 1238,
     /* 280209 */     GIR_EraseRootFromParent_Done,
     /* 280210 */   // Label 4577: @280210
     /* 280210 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(280304), // Rule ID 1239 //
     /* 280215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 280229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 280232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280235 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280238 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 280245 */     // MIs[0] cbsz
     /* 280245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280248 */     // MIs[0] blgp
     /* 280248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280251 */     // MIs[0] src0_modifiers
     /* 280251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280259 */     // MIs[0] src1_modifiers
     /* 280259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 280271 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f4_mac_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f4_mac_e64),
     /* 280274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280276 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280278 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280280 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280282 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280284 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280286 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280288 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280302 */     GIR_RootConstrainSelectedInstOperands,
     /* 280303 */     // GIR_Coverage, 1239,
     /* 280303 */     GIR_EraseRootFromParent_Done,
     /* 280304 */   // Label 4578: @280304
     /* 280304 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(280398), // Rule ID 1240 //
     /* 280309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v6s32,
     /* 280323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 280326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280329 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280332 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 280339 */     // MIs[0] cbsz
     /* 280339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280342 */     // MIs[0] blgp
     /* 280342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280345 */     // MIs[0] src0_modifiers
     /* 280345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280353 */     // MIs[0] src1_modifiers
     /* 280353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280361 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 280365 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f4_mac_vgprcd_e64:{ *:[v16f32] } v6i32:{ *:[v6i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f6_f4_mac_vgprcd_e64),
     /* 280368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280370 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280372 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280374 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280376 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280378 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280380 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280382 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280384 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280390 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280396 */     GIR_RootConstrainSelectedInstOperands,
     /* 280397 */     // GIR_Coverage, 1240,
     /* 280397 */     GIR_EraseRootFromParent_Done,
     /* 280398 */   // Label 4579: @280398
     /* 280398 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(280492), // Rule ID 1241 //
     /* 280403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 280420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280423 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280426 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 280433 */     // MIs[0] cbsz
     /* 280433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280436 */     // MIs[0] blgp
     /* 280436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280439 */     // MIs[0] src0_modifiers
     /* 280439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280442 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280447 */     // MIs[0] src1_modifiers
     /* 280447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280455 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 280459 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f6_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f6_mac_e64),
     /* 280462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280464 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280466 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280468 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280470 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280472 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280474 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280476 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280478 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280484 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280490 */     GIR_RootConstrainSelectedInstOperands,
     /* 280491 */     // GIR_Coverage, 1241,
     /* 280491 */     GIR_EraseRootFromParent_Done,
     /* 280492 */   // Label 4580: @280492
     /* 280492 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(280586), // Rule ID 1242 //
     /* 280497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v6s32,
     /* 280514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280517 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280520 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 280527 */     // MIs[0] cbsz
     /* 280527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280530 */     // MIs[0] blgp
     /* 280530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280533 */     // MIs[0] src0_modifiers
     /* 280533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280541 */     // MIs[0] src1_modifiers
     /* 280541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280549 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 280553 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f6_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v6i32:{ *:[v6i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f6_mac_vgprcd_e64),
     /* 280556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280558 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280560 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280562 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280564 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280566 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280568 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280570 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280572 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280578 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280584 */     GIR_RootConstrainSelectedInstOperands,
     /* 280585 */     // GIR_Coverage, 1242,
     /* 280585 */     GIR_EraseRootFromParent_Done,
     /* 280586 */   // Label 4581: @280586
     /* 280586 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(280680), // Rule ID 1243 //
     /* 280591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 280608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280611 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280614 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AReg_512RegClassID),
     /* 280621 */     // MIs[0] cbsz
     /* 280621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280624 */     // MIs[0] blgp
     /* 280624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280627 */     // MIs[0] src0_modifiers
     /* 280627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280635 */     // MIs[0] src1_modifiers
     /* 280635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280643 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23586),
     /* 280647 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23586>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f4_mac_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f4_mac_e64),
     /* 280650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280652 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280654 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280656 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280658 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280660 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280662 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280664 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280666 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280678 */     GIR_RootConstrainSelectedInstOperands,
     /* 280679 */     // GIR_Coverage, 1243,
     /* 280679 */     GIR_EraseRootFromParent_Done,
     /* 280680 */   // Label 4582: @280680
     /* 280680 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(280774), // Rule ID 1244 //
     /* 280685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 280688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_mfma_scale_f32_32x32x64_f8f6f4),
     /* 280693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 280696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 280702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s32,
     /* 280705 */     GIM_RootCheckType, /*Op*/8, /*Type*/GILLT_s32,
     /* 280708 */     GIM_RootCheckType, /*Op*/10, /*Type*/GILLT_s32,
     /* 280711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_512RegClassID),
     /* 280715 */     // MIs[0] cbsz
     /* 280715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 280718 */     // MIs[0] blgp
     /* 280718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 280721 */     // MIs[0] src0_modifiers
     /* 280721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 280724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/7, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280729 */     // MIs[0] src1_modifiers
     /* 280729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 280732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/9, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_MFMALdScaleModifierOp),
     /* 280737 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_23588),
     /* 280741 */     // (intrinsic_wo_chain:{ *:[v16f32] } 3172:{ *:[iPTR] }, v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src0_modifiers, i32:{ *:[i32] }:$scale_src0, (timm:{ *:[i32] })<<P:Predicate_MFMALdScaleModifierOp>><<X:MFMALdScaleXForm>>:$src1_modifiers, i32:{ *:[i32] }:$scale_src1)<<P:Predicate_anonymous_23588>>  =>  (V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f4_mac_vgprcd_e64:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$src0, v4i32:{ *:[v4i32] }:$src1, v16f32:{ *:[v16f32] }:$src2, (timm:{ *:[i32] }):$cbsz, (timm:{ *:[i32] }):$blgp, i32:{ *:[i32] }:$scale_src0, i32:{ *:[i32] }:$scale_src1, (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src0_modifiers), (MFMALdScaleXForm:{ *:[i32] } (timm:{ *:[i32] }):$src1_modifiers))
     /* 280741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MFMA_SCALE_F32_32X32X64_F8F6F4_f4_f4_mac_vgprcd_e64),
     /* 280744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 280746 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 280748 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 280750 */     GIR_RootToRootCopy, /*OpIdx*/4, // src2
     /* 280752 */     GIR_RootToRootCopy, /*OpIdx*/5, // cbsz
     /* 280754 */     GIR_RootToRootCopy, /*OpIdx*/6, // blgp
     /* 280756 */     GIR_RootToRootCopy, /*OpIdx*/8, // scale_src0
     /* 280758 */     GIR_RootToRootCopy, /*OpIdx*/10, // scale_src1
     /* 280760 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src0_modifiers
     /* 280766 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/9, /*OperandRenderer*/GIMT_Encode2(GICR_renderScaledMAIIntrinsicOperand), // src1_modifiers
     /* 280772 */     GIR_RootConstrainSelectedInstOperands,
     /* 280773 */     // GIR_Coverage, 1244,
     /* 280773 */     GIR_EraseRootFromParent_Done,
     /* 280774 */   // Label 4583: @280774
     /* 280774 */   GIM_Reject,
     /* 280775 */ // Label 4511: @280775
     /* 280775 */ GIM_Reject,
     /* 280776 */ // Label 39: @280776
     /* 280776 */ GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(280852),
     /* 280781 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 280784 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(280799), // Rule ID 181 //
     /* 280789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_barrier),
     /* 280794 */     // (intrinsic_void 3253:{ *:[iPTR] })  =>  (S_BARRIER)
     /* 280794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BARRIER),
     /* 280797 */     GIR_RootConstrainSelectedInstOperands,
     /* 280798 */     // GIR_Coverage, 181,
     /* 280798 */     GIR_EraseRootFromParent_Done,
     /* 280799 */   // Label 4585: @280799
     /* 280799 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(280814), // Rule ID 1353 //
     /* 280804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_wave_barrier),
     /* 280809 */     // (intrinsic_void 3413:{ *:[iPTR] })  =>  (WAVE_BARRIER)
     /* 280809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::WAVE_BARRIER),
     /* 280812 */     GIR_RootConstrainSelectedInstOperands,
     /* 280813 */     // GIR_Coverage, 1353,
     /* 280813 */     GIR_EraseRootFromParent_Done,
     /* 280814 */   // Label 4586: @280814
     /* 280814 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(280833), // Rule ID 1361 //
     /* 280819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_unreachable),
     /* 280824 */     // (intrinsic_void 3411:{ *:[iPTR] })  =>  (SI_MASKED_UNREACHABLE)
     /* 280824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_MASKED_UNREACHABLE),
     /* 280827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 280831 */     GIR_RootConstrainSelectedInstOperands,
     /* 280832 */     // GIR_Coverage, 1361,
     /* 280832 */     GIR_EraseRootFromParent_Done,
     /* 280833 */   // Label 4587: @280833
     /* 280833 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(280851), // Rule ID 1875 //
     /* 280838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_endpgm),
     /* 280843 */     // (intrinsic_void 2299:{ *:[iPTR] })  =>  (S_ENDPGM 0:{ *:[i16] })
     /* 280843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ENDPGM),
     /* 280846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 280849 */     GIR_RootConstrainSelectedInstOperands,
     /* 280850 */     // GIR_Coverage, 1875,
     /* 280850 */     GIR_EraseRootFromParent_Done,
     /* 280851 */   // Label 4588: @280851
     /* 280851 */   GIM_Reject,
     /* 280852 */ // Label 4584: @280852
     /* 280852 */ GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(280991),
     /* 280857 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 280860 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(280880), // Rule ID 41 //
     /* 280865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_barrier_signal),
     /* 280870 */     // MIs[0] src0
     /* 280870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 280873 */     // (intrinsic_void 3254:{ *:[iPTR] }, (timm:{ *:[i32] }):$src0)  =>  (S_BARRIER_SIGNAL_IMM (timm:{ *:[i32] }):$src0)
     /* 280873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BARRIER_SIGNAL_IMM),
     /* 280876 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 280878 */     GIR_RootConstrainSelectedInstOperands,
     /* 280879 */     // GIR_Coverage, 41,
     /* 280879 */     GIR_EraseRootFromParent_Done,
     /* 280880 */   // Label 4590: @280880
     /* 280880 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(280900), // Rule ID 182 //
     /* 280885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_s_barrier_wait),
     /* 280890 */     // MIs[0] simm16
     /* 280890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 280893 */     // (intrinsic_void 3257:{ *:[iPTR] }, (timm:{ *:[i16] }):$simm16)  =>  (S_BARRIER_WAIT (timm:{ *:[i16] }):$simm16)
     /* 280893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BARRIER_WAIT),
     /* 280896 */     GIR_RootToRootCopy, /*OpIdx*/1, // simm16
     /* 280898 */     GIR_RootConstrainSelectedInstOperands,
     /* 280899 */     // GIR_Coverage, 182,
     /* 280899 */     GIR_EraseRootFromParent_Done,
     /* 280900 */   // Label 4591: @280900
     /* 280900 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(280920), // Rule ID 1354 //
     /* 280905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_sched_barrier),
     /* 280910 */     // MIs[0] mask
     /* 280910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 280913 */     // (intrinsic_void 3302:{ *:[iPTR] }, (timm:{ *:[i32] }):$mask)  =>  (SCHED_BARRIER (timm:{ *:[i32] }):$mask)
     /* 280913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCHED_BARRIER),
     /* 280916 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 280918 */     GIR_RootConstrainSelectedInstOperands,
     /* 280919 */     // GIR_Coverage, 1354,
     /* 280919 */     GIR_EraseRootFromParent_Done,
     /* 280920 */   // Label 4592: @280920
     /* 280920 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(280940), // Rule ID 1356 //
     /* 280925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_iglp_opt),
     /* 280930 */     // MIs[0] mask
     /* 280930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 280933 */     // (intrinsic_void 2331:{ *:[iPTR] }, (timm:{ *:[i32] }):$mask)  =>  (IGLP_OPT (timm:{ *:[i32] }):$mask)
     /* 280933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::IGLP_OPT),
     /* 280936 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 280938 */     GIR_RootConstrainSelectedInstOperands,
     /* 280939 */     // GIR_Coverage, 1356,
     /* 280939 */     GIR_EraseRootFromParent_Done,
     /* 280940 */   // Label 4593: @280940
     /* 280940 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(280963), // Rule ID 1362 //
     /* 280945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_init_exec),
     /* 280950 */     // MIs[0] src
     /* 280950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 280953 */     // (intrinsic_void 3095:{ *:[iPTR] }, (timm:{ *:[i64] }):$src)  =>  (SI_INIT_EXEC (timm:{ *:[i64] }):$src)
     /* 280953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_INIT_EXEC),
     /* 280956 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 280958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 280961 */     GIR_RootConstrainSelectedInstOperands,
     /* 280962 */     // GIR_Coverage, 1362,
     /* 280962 */     GIR_EraseRootFromParent_Done,
     /* 280963 */   // Label 4594: @280963
     /* 280963 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(280990), // Rule ID 1364 //
     /* 280968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_init_whole_wave),
     /* 280973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 280976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 280980 */     // (intrinsic_w_chain:{ *:[i1] } 3097:{ *:[iPTR] })  =>  (SI_INIT_WHOLE_WAVE:{ *:[i1] })
     /* 280980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_INIT_WHOLE_WAVE),
     /* 280983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 280988 */     GIR_RootConstrainSelectedInstOperands,
     /* 280989 */     // GIR_Coverage, 1364,
     /* 280989 */     GIR_EraseRootFromParent_Done,
     /* 280990 */   // Label 4595: @280990
     /* 280990 */   GIM_Reject,
     /* 280991 */ // Label 4589: @280991
     /* 280991 */ GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(281993),
     /* 280996 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 280999 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(281054), // Rule ID 8535 //
     /* 281004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 281007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_read_tr4_b64),
     /* 281012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 281015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 281030 */     // (intrinsic_w_chain:{ *:[v2i32] } 2292:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))  =>  (DS_READ_B64_TR_B4:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 281030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_TR_B4),
     /* 281033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 281040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281052 */     GIR_RootConstrainSelectedInstOperands,
     /* 281053 */     // GIR_Coverage, 8535,
     /* 281053 */     GIR_EraseRootFromParent_Done,
     /* 281054 */   // Label 4597: @281054
     /* 281054 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(281109), // Rule ID 8536 //
     /* 281059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 281062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_read_tr8_b64),
     /* 281067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 281070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 281085 */     // (intrinsic_w_chain:{ *:[v2i32] } 2294:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))  =>  (DS_READ_B64_TR_B8:{ *:[v2i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 281085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_TR_B8),
     /* 281088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 281095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281107 */     GIR_RootConstrainSelectedInstOperands,
     /* 281108 */     // GIR_Coverage, 8536,
     /* 281108 */     GIR_EraseRootFromParent_Done,
     /* 281109 */   // Label 4598: @281109
     /* 281109 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(281164), // Rule ID 8537 //
     /* 281114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 281117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_read_tr6_b96),
     /* 281122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v3s32,
     /* 281125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 281129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 281140 */     // (intrinsic_w_chain:{ *:[v3i32] } 2293:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))  =>  (DS_READ_B96_TR_B6:{ *:[v3i32] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 281140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B96_TR_B6),
     /* 281143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 281150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281162 */     GIR_RootConstrainSelectedInstOperands,
     /* 281163 */     // GIR_Coverage, 8537,
     /* 281163 */     GIR_EraseRootFromParent_Done,
     /* 281164 */   // Label 4599: @281164
     /* 281164 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(281219), // Rule ID 8538 //
     /* 281169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 281172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_read_tr16_b64),
     /* 281177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 281195 */     // (intrinsic_w_chain:{ *:[v4i16] } 2291:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))  =>  (DS_READ_B64_TR_B16:{ *:[v4i16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 281195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_TR_B16),
     /* 281198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 281205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281217 */     GIR_RootConstrainSelectedInstOperands,
     /* 281218 */     // GIR_Coverage, 8538,
     /* 281218 */     GIR_EraseRootFromParent_Done,
     /* 281219 */   // Label 4600: @281219
     /* 281219 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(281274), // Rule ID 8539 //
     /* 281224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGFX950Insts),
     /* 281227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_ds_read_tr16_b64),
     /* 281232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ds_1addr_1offset),
     /* 281250 */     // (intrinsic_w_chain:{ *:[v4f16] } 2291:{ *:[iPTR] }, (DS1Addr1Offset:{ *:[iPTR] } i32:{ *:[i32] }:$ptr, i32:{ *:[i32] }:$offset))  =>  (DS_READ_B64_TR_B16:{ *:[v4f16] } ?:{ *:[i32] }:$ptr, Offset:{ *:[i32] }:$offset, 0:{ *:[i1] })
     /* 281250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::DS_READ_B64_TR_B16),
     /* 281253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // ptr
     /* 281260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281272 */     GIR_RootConstrainSelectedInstOperands,
     /* 281273 */     // GIR_Coverage, 8539,
     /* 281273 */     GIR_EraseRootFromParent_Done,
     /* 281274 */   // Label 4601: @281274
     /* 281274 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(281334), // Rule ID 4180 //
     /* 281279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b64),
     /* 281287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 281290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281305 */     // (intrinsic_w_chain:{ *:[v2i32] } 2326:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B64_w32_SADDR:{ *:[v2i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B64_w32_SADDR),
     /* 281308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281332 */     GIR_RootConstrainSelectedInstOperands,
     /* 281333 */     // GIR_Coverage, 4180,
     /* 281333 */     GIR_EraseRootFromParent_Done,
     /* 281334 */   // Label 4602: @281334
     /* 281334 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(281394), // Rule ID 4182 //
     /* 281339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 281350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 281354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281365 */     // (intrinsic_w_chain:{ *:[v8i16] } 2325:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w32_SADDR:{ *:[v8i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w32_SADDR),
     /* 281368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281392 */     GIR_RootConstrainSelectedInstOperands,
     /* 281393 */     // GIR_Coverage, 4182,
     /* 281393 */     GIR_EraseRootFromParent_Done,
     /* 281394 */   // Label 4603: @281394
     /* 281394 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(281454), // Rule ID 4184 //
     /* 281399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 281410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 281414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281425 */     // (intrinsic_w_chain:{ *:[v8f16] } 2325:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w32_SADDR:{ *:[v8f16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w32_SADDR),
     /* 281428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281452 */     GIR_RootConstrainSelectedInstOperands,
     /* 281453 */     // GIR_Coverage, 4184,
     /* 281453 */     GIR_EraseRootFromParent_Done,
     /* 281454 */   // Label 4604: @281454
     /* 281454 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(281514), // Rule ID 4186 //
     /* 281459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b64),
     /* 281467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 281470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 281474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281485 */     // (intrinsic_w_chain:{ *:[i32] } 2326:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B64_w64_SADDR:{ *:[i32] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B64_w64_SADDR),
     /* 281488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281512 */     GIR_RootConstrainSelectedInstOperands,
     /* 281513 */     // GIR_Coverage, 4186,
     /* 281513 */     GIR_EraseRootFromParent_Done,
     /* 281514 */   // Label 4605: @281514
     /* 281514 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(281574), // Rule ID 4188 //
     /* 281519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281545 */     // (intrinsic_w_chain:{ *:[v4i16] } 2325:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w64_SADDR:{ *:[v4i16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w64_SADDR),
     /* 281548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281572 */     GIR_RootConstrainSelectedInstOperands,
     /* 281573 */     // GIR_Coverage, 4188,
     /* 281573 */     GIR_EraseRootFromParent_Done,
     /* 281574 */   // Label 4606: @281574
     /* 281574 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(281634), // Rule ID 4190 //
     /* 281579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 281605 */     // (intrinsic_w_chain:{ *:[v4f16] } 2325:{ *:[iPTR] }, (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w64_SADDR:{ *:[v4f16] } ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$voffset, ?:{ *:[i32] }:$offset, 0:{ *:[i32] })
     /* 281605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w64_SADDR),
     /* 281608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 281615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 281620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 281625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281632 */     GIR_RootConstrainSelectedInstOperands,
     /* 281633 */     // GIR_Coverage, 4190,
     /* 281633 */     GIR_EraseRootFromParent_Done,
     /* 281634 */   // Label 4607: @281634
     /* 281634 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(281689), // Rule ID 4179 //
     /* 281639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b64),
     /* 281647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 281650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281665 */     // (intrinsic_w_chain:{ *:[v2i32] } 2326:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B64_w32:{ *:[v2i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B64_w32),
     /* 281668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281687 */     GIR_RootConstrainSelectedInstOperands,
     /* 281688 */     // GIR_Coverage, 4179,
     /* 281688 */     GIR_EraseRootFromParent_Done,
     /* 281689 */   // Label 4608: @281689
     /* 281689 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(281744), // Rule ID 4181 //
     /* 281694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 281705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 281709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281720 */     // (intrinsic_w_chain:{ *:[v8i16] } 2325:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w32:{ *:[v8i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w32),
     /* 281723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281742 */     GIR_RootConstrainSelectedInstOperands,
     /* 281743 */     // GIR_Coverage, 4181,
     /* 281743 */     GIR_EraseRootFromParent_Done,
     /* 281744 */   // Label 4609: @281744
     /* 281744 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(281799), // Rule ID 4183 //
     /* 281749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave32),
     /* 281752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 281760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 281764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281775 */     // (intrinsic_w_chain:{ *:[v8f16] } 2325:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w32:{ *:[v8f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w32),
     /* 281778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281797 */     GIR_RootConstrainSelectedInstOperands,
     /* 281798 */     // GIR_Coverage, 4183,
     /* 281798 */     GIR_EraseRootFromParent_Done,
     /* 281799 */   // Label 4610: @281799
     /* 281799 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(281854), // Rule ID 4185 //
     /* 281804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b64),
     /* 281812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 281815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 281819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281830 */     // (intrinsic_w_chain:{ *:[i32] } 2326:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B64_w64:{ *:[i32] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B64_w64),
     /* 281833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281852 */     GIR_RootConstrainSelectedInstOperands,
     /* 281853 */     // GIR_Coverage, 4185,
     /* 281853 */     GIR_EraseRootFromParent_Done,
     /* 281854 */   // Label 4611: @281854
     /* 281854 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(281909), // Rule ID 4187 //
     /* 281859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281885 */     // (intrinsic_w_chain:{ *:[v4i16] } 2325:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w64:{ *:[v4i16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w64),
     /* 281888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281907 */     GIR_RootConstrainSelectedInstOperands,
     /* 281908 */     // GIR_Coverage, 4187,
     /* 281908 */     GIR_EraseRootFromParent_Done,
     /* 281909 */   // Label 4612: @281909
     /* 281909 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(281964), // Rule ID 4189 //
     /* 281914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus_isWave64),
     /* 281917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_global_load_tr_b128),
     /* 281922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 281925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 281929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 281933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 281940 */     // (intrinsic_w_chain:{ *:[v4f16] } 2325:{ *:[iPTR] }, (GlobalOffset:{ *:[iPTR] } VReg_64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset))  =>  (GLOBAL_LOAD_TR_B128_w64:{ *:[v4f16] } ?:{ *:[i64] }:$vaddr, ?:{ *:[i32] }:$offset)
     /* 281940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_LOAD_TR_B128_w64),
     /* 281943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 281945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 281950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 281955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 281958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 281962 */     GIR_RootConstrainSelectedInstOperands,
     /* 281963 */     // GIR_Coverage, 4189,
     /* 281963 */     GIR_EraseRootFromParent_Done,
     /* 281964 */   // Label 4613: @281964
     /* 281964 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(281992), // Rule ID 1363 //
     /* 281969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_init_exec_from_input),
     /* 281974 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 281977 */     // MIs[0] shift
     /* 281977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 281980 */     // (intrinsic_void 3096:{ *:[iPTR] }, i32:{ *:[i32] }:$input, (timm:{ *:[i32] }):$shift)  =>  (SI_INIT_EXEC_FROM_INPUT i32:{ *:[i32] }:$input, (timm:{ *:[i32] }):$shift)
     /* 281980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SI_INIT_EXEC_FROM_INPUT),
     /* 281983 */     GIR_RootToRootCopy, /*OpIdx*/1, // input
     /* 281985 */     GIR_RootToRootCopy, /*OpIdx*/2, // shift
     /* 281987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::EXEC*/0,
     /* 281990 */     GIR_RootConstrainSelectedInstOperands,
     /* 281991 */     // GIR_Coverage, 1363,
     /* 281991 */     GIR_EraseRootFromParent_Done,
     /* 281992 */   // Label 4614: @281992
     /* 281992 */   GIM_Reject,
     /* 281993 */ // Label 4596: @281993
     /* 281993 */ GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(282026), // Rule ID 1355 //
     /* 281998 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 282001 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::amdgcn_sched_group_barrier),
     /* 282006 */   // MIs[0] mask
     /* 282006 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 282009 */   // MIs[0] size
     /* 282009 */   GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 282012 */   // MIs[0] syncid
     /* 282012 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 282015 */   // (intrinsic_void 3303:{ *:[iPTR] }, (timm:{ *:[i32] }):$mask, (timm:{ *:[i32] }):$size, (timm:{ *:[i32] }):$syncid)  =>  (SCHED_GROUP_BARRIER (timm:{ *:[i32] }):$mask, (timm:{ *:[i32] }):$size, (timm:{ *:[i32] }):$syncid)
     /* 282015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::SCHED_GROUP_BARRIER),
     /* 282018 */   GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 282020 */   GIR_RootToRootCopy, /*OpIdx*/2, // size
     /* 282022 */   GIR_RootToRootCopy, /*OpIdx*/3, // syncid
     /* 282024 */   GIR_RootConstrainSelectedInstOperands,
     /* 282025 */   // GIR_Coverage, 1355,
     /* 282025 */   GIR_EraseRootFromParent_Done,
     /* 282026 */ // Label 4615: @282026
     /* 282026 */ GIM_Reject,
     /* 282027 */ // Label 40: @282027
     /* 282027 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4619*/ GIMT_Encode4(282589),
     /* 282038 */ /*GILLT_s16*//*Label 4616*/ GIMT_Encode4(282050),
     /* 282042 */ /*GILLT_s32*//*Label 4617*/ GIMT_Encode4(282087),
     /* 282046 */ /*GILLT_s64*//*Label 4618*/ GIMT_Encode4(282186),
     /* 282050 */ // Label 4616: @282050
     /* 282050 */ GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(282086), // Rule ID 2567 //
     /* 282055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 282058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 282061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282065 */   // (anyext:{ *:[i16] } i1:{ *:[i1] }:$src)  =>  (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, ?:{ *:[i1] }:$src)
     /* 282065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 282068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 282070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282082 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 282084 */   GIR_RootConstrainSelectedInstOperands,
     /* 282085 */   // GIR_Coverage, 2567,
     /* 282085 */   GIR_EraseRootFromParent_Done,
     /* 282086 */ // Label 4620: @282086
     /* 282086 */ GIM_Reject,
     /* 282087 */ // Label 4617: @282087
     /* 282087 */ GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(282152), // Rule ID 2451 //
     /* 282092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 282095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 282098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282102 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19295),
     /* 282106 */   // (anyext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_19295>>  =>  (REG_SEQUENCE:{ *:[i32] } VGPR_32:{ *:[i32] }, ?:{ *:[i16] }:$src, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i16] }), hi16:{ *:[i32] })
     /* 282106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 282109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 282113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282125 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 282127 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /* 282130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282133 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /* 282136 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282141 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 282146 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 282151 */   // GIR_Coverage, 2451,
     /* 282151 */   GIR_EraseRootFromParent_Done,
     /* 282152 */ // Label 4621: @282152
     /* 282152 */ GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(282185), // Rule ID 7513 //
     /* 282157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 282160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282164 */   // (anyext:{ *:[i32] } i1:{ *:[i1] }:$src0)  =>  (V_CNDMASK_B32_e64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, i1:{ *:[i1] }:$src0)
     /* 282164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 282167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 282169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 282178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282181 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 282183 */   GIR_RootConstrainSelectedInstOperands,
     /* 282184 */   // GIR_Coverage, 7513,
     /* 282184 */   GIR_EraseRootFromParent_Done,
     /* 282185 */ // Label 4622: @282185
     /* 282185 */ GIM_Reject,
     /* 282186 */ // Label 4618: @282186
     /* 282186 */ GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(282269), // Rule ID 2443 //
     /* 282191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX8Plus),
     /* 282194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 282197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282201 */   // (anyext:{ *:[i64] } i16:{ *:[i16] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (COPY:{ *:[i32] } ?:{ *:[i16] }:$src), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 282201 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 282204 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 282208 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282213 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 282216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 282218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282230 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 282234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282244 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 282247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 282250 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 282253 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282263 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282268 */   // GIR_Coverage, 2443,
     /* 282268 */   GIR_EraseRootFromParent_Done,
     /* 282269 */ // Label 4623: @282269
     /* 282269 */ GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(282352), // Rule ID 2447 //
     /* 282274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX8Plus),
     /* 282277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 282280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282284 */   // (anyext:{ *:[i64] } i16:{ *:[i16] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (COPY:{ *:[i32] } ?:{ *:[i16] }:$src), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 282284 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 282287 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 282291 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282296 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 282299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 282301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282313 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 282317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282327 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 282330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 282333 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 282336 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282341 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282346 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282351 */   // GIR_Coverage, 2447,
     /* 282351 */   GIR_EraseRootFromParent_Done,
     /* 282352 */ // Label 4624: @282352
     /* 282352 */ GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(282438), // Rule ID 2452 //
     /* 282357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 282360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 282363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282367 */   // (anyext:{ *:[i64] } i16:{ *:[i16] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i16] }:$src, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i16] }), hi16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] })
     /* 282367 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 282370 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 282374 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 282381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 282384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 282388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282400 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 282402 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/2,
     /* 282405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282408 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/1,
     /* 282411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 282414 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 282417 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282422 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 282427 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 282432 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/5, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282437 */   // GIR_Coverage, 2452,
     /* 282437 */   GIR_EraseRootFromParent_Done,
     /* 282438 */ // Label 4625: @282438
     /* 282438 */ GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(282496), // Rule ID 7597 //
     /* 282443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 282446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 282450 */   // (anyext:{ *:[i64] } i32:{ *:[i32] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src, sub0:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i32] }), sub1:{ *:[i32] })
     /* 282450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 282457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282469 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 282471 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 282474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282477 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 282480 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 282485 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 282490 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 282495 */   // GIR_Coverage, 7597,
     /* 282495 */   GIR_EraseRootFromParent_Done,
     /* 282496 */ // Label 4626: @282496
     /* 282496 */ GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(282588), // Rule ID 7599 //
     /* 282501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 282504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282508 */   // (anyext:{ *:[i64] } i1:{ *:[i1] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, ?:{ *:[i1] }:$src), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 282508 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /* 282511 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 282515 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282520 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 282523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 282525 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 282528 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 282532 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282537 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 282540 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 282543 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 282546 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 282549 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 282553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 282558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282563 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 282566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 282569 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 282572 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282577 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282582 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282587 */   // GIR_Coverage, 7599,
     /* 282587 */   GIR_EraseRootFromParent_Done,
     /* 282588 */ // Label 4627: @282588
     /* 282588 */ GIM_Reject,
     /* 282589 */ // Label 4619: @282589
     /* 282589 */ GIM_Reject,
     /* 282590 */ // Label 41: @282590
     /* 282590 */ GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(282829),
     /* 282595 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 282598 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 4631*/ GIMT_Encode4(282713),
     /* 282609 */   /*GILLT_s16*//*Label 4629*/ GIMT_Encode4(282617),
     /* 282613 */   /*GILLT_s32*//*Label 4630*/ GIMT_Encode4(282665),
     /* 282617 */   // Label 4629: @282617
     /* 282617 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(282664), // Rule ID 7649 //
     /* 282622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 282626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35137),
     /* 282630 */     // (trunc:{ *:[i1] } i16:{ *:[i16] }:$a)<<P:Predicate_anonymous_35137>>  =>  (V_CMP_EQ_U32_e64:{ *:[i1] } (V_AND_B32_e64:{ *:[i16] } 1:{ *:[i32] }, ?:{ *:[i16] }:$a), 1:{ *:[i32] })
     /* 282630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 282633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 282637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282642 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 282645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 282649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U32_e64),
     /* 282654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 282656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282662 */     GIR_RootConstrainSelectedInstOperands,
     /* 282663 */     // GIR_Coverage, 7649,
     /* 282663 */     GIR_EraseRootFromParent_Done,
     /* 282664 */   // Label 4632: @282664
     /* 282664 */   GIM_Reject,
     /* 282665 */   // Label 4630: @282665
     /* 282665 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(282712), // Rule ID 7648 //
     /* 282670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 282674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35137),
     /* 282678 */     // (trunc:{ *:[i1] } i32:{ *:[i32] }:$a)<<P:Predicate_anonymous_35137>>  =>  (V_CMP_EQ_U32_e64:{ *:[i1] } (V_AND_B32_e64:{ *:[i16] } 1:{ *:[i32] }, ?:{ *:[i32] }:$a), 1:{ *:[i32] })
     /* 282678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 282681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 282685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282690 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 282693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 282697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U32_e64),
     /* 282702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 282704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282710 */     GIR_RootConstrainSelectedInstOperands,
     /* 282711 */     // GIR_Coverage, 7648,
     /* 282711 */     GIR_EraseRootFromParent_Done,
     /* 282712 */   // Label 4633: @282712
     /* 282712 */   GIM_Reject,
     /* 282713 */   // Label 4631: @282713
     /* 282713 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 4636*/ GIMT_Encode4(282828),
     /* 282724 */   /*GILLT_s16*//*Label 4634*/ GIMT_Encode4(282732),
     /* 282728 */   /*GILLT_s32*//*Label 4635*/ GIMT_Encode4(282780),
     /* 282732 */   // Label 4634: @282732
     /* 282732 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(282779), // Rule ID 7646 //
     /* 282737 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35133),
     /* 282741 */     // (trunc:{ *:[i1] } i16:{ *:[i16] }:$a)<<P:Predicate_anonymous_35133>>  =>  (S_CMP_EQ_U32:{ *:[i1] } (S_AND_B32:{ *:[i1] }:{ *:[i1] } 1:{ *:[i32] }, ?:{ *:[i16] }:$a), 1:{ *:[i32] })
     /* 282741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 282744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 282748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282753 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 282756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 282760 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AMDGPU::SCC*/0,
     /* 282763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_CMP_EQ_U32),
     /* 282768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 282777 */     GIR_RootConstrainSelectedInstOperands,
     /* 282778 */     // GIR_Coverage, 7646,
     /* 282778 */     GIR_EraseRootFromParent_Done,
     /* 282779 */   // Label 4637: @282779
     /* 282779 */   GIM_Reject,
     /* 282780 */   // Label 4635: @282780
     /* 282780 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(282827), // Rule ID 7645 //
     /* 282785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35133),
     /* 282789 */     // (trunc:{ *:[i1] } i32:{ *:[i32] }:$a)<<P:Predicate_anonymous_35133>>  =>  (S_CMP_EQ_U32:{ *:[i1] } (S_AND_B32:{ *:[i1] }:{ *:[i1] } 1:{ *:[i32] }, ?:{ *:[i32] }:$a), 1:{ *:[i32] })
     /* 282789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 282792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 282796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282801 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 282804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 282808 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AMDGPU::SCC*/0,
     /* 282811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_CMP_EQ_U32),
     /* 282816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 282822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 282825 */     GIR_RootConstrainSelectedInstOperands,
     /* 282826 */     // GIR_Coverage, 7645,
     /* 282826 */     GIR_EraseRootFromParent_Done,
     /* 282827 */   // Label 4638: @282827
     /* 282827 */   GIM_Reject,
     /* 282828 */   // Label 4636: @282828
     /* 282828 */   GIM_Reject,
     /* 282829 */ // Label 4628: @282829
     /* 282829 */ GIM_Reject,
     /* 282830 */ // Label 42: @282830
     /* 282830 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(11), /*)*//*default:*//*Label 4650*/ GIMT_Encode4(283555),
     /* 282841 */ /*GILLT_p0s64*//*Label 4639*/ GIMT_Encode4(282885),
     /* 282845 */ /*GILLT_p1s64*//*Label 4640*/ GIMT_Encode4(282928),
     /* 282849 */ /*GILLT_p2s32*//*Label 4641*/ GIMT_Encode4(282971),
     /* 282853 */ /*GILLT_p3s32*//*Label 4642*/ GIMT_Encode4(283014),
     /* 282857 */ /*GILLT_p4s64*//*Label 4643*/ GIMT_Encode4(283057),
     /* 282861 */ /*GILLT_p5s32*//*Label 4644*/ GIMT_Encode4(283100),
     /* 282865 */ /*GILLT_p6s32*//*Label 4645*/ GIMT_Encode4(283143),
     /* 282869 */ /*GILLT_s1*//*Label 4646*/ GIMT_Encode4(283186),
     /* 282873 */ /*GILLT_s16*//*Label 4647*/ GIMT_Encode4(283231),
     /* 282877 */ /*GILLT_s32*//*Label 4648*/ GIMT_Encode4(283335),
     /* 282881 */ /*GILLT_s64*//*Label 4649*/ GIMT_Encode4(283378),
     /* 282885 */ // Label 4639: @282885
     /* 282885 */ GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(282908), // Rule ID 7498 //
     /* 282890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282894 */   // MIs[0] Operand 1
     /* 282894 */   // No operand predicates
     /* 282894 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34958),
     /* 282898 */   // (imm:{ *:[i64] })<<P:Predicate_anonymous_34958>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 282898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 282901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 282903 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 282906 */   GIR_RootConstrainSelectedInstOperands,
     /* 282907 */   // GIR_Coverage, 7498,
     /* 282907 */   GIR_EraseRootFromParent_Done,
     /* 282908 */ // Label 4651: @282908
     /* 282908 */ GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(282927), // Rule ID 7500 //
     /* 282913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 282917 */   // MIs[0] Operand 1
     /* 282917 */   // No operand predicates
     /* 282917 */   // (imm:{ *:[i64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 282917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 282920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 282922 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 282925 */   GIR_RootConstrainSelectedInstOperands,
     /* 282926 */   // GIR_Coverage, 7500,
     /* 282926 */   GIR_EraseRootFromParent_Done,
     /* 282927 */ // Label 4652: @282927
     /* 282927 */ GIM_Reject,
     /* 282928 */ // Label 4640: @282928
     /* 282928 */ GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(282951), // Rule ID 7495 //
     /* 282933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 282937 */   // MIs[0] Operand 1
     /* 282937 */   // No operand predicates
     /* 282937 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34954),
     /* 282941 */   // (imm:{ *:[i64] })<<P:Predicate_anonymous_34954>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 282941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 282944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 282946 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 282949 */   GIR_RootConstrainSelectedInstOperands,
     /* 282950 */   // GIR_Coverage, 7495,
     /* 282950 */   GIR_EraseRootFromParent_Done,
     /* 282951 */ // Label 4653: @282951
     /* 282951 */ GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(282970), // Rule ID 7497 //
     /* 282956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 282960 */   // MIs[0] Operand 1
     /* 282960 */   // No operand predicates
     /* 282960 */   // (imm:{ *:[i64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 282960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 282963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 282965 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 282968 */   GIR_RootConstrainSelectedInstOperands,
     /* 282969 */   // GIR_Coverage, 7497,
     /* 282969 */   GIR_EraseRootFromParent_Done,
     /* 282970 */ // Label 4654: @282970
     /* 282970 */ GIM_Reject,
     /* 282971 */ // Label 4641: @282971
     /* 282971 */ GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(282994), // Rule ID 7466 //
     /* 282976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 282980 */   // MIs[0] Operand 1
     /* 282980 */   // No operand predicates
     /* 282980 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34908),
     /* 282984 */   // (imm:{ *:[i32] })<<P:Predicate_anonymous_34908>>:$imm  =>  (V_MOV_B32_e32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 282984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 282987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 282989 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 282992 */   GIR_RootConstrainSelectedInstOperands,
     /* 282993 */   // GIR_Coverage, 7466,
     /* 282993 */   GIR_EraseRootFromParent_Done,
     /* 282994 */ // Label 4655: @282994
     /* 282994 */ GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(283013), // Rule ID 7467 //
     /* 282999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283003 */   // MIs[0] Operand 1
     /* 283003 */   // No operand predicates
     /* 283003 */   // (imm:{ *:[i32] }):$imm  =>  (S_MOV_B32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283008 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283011 */   GIR_RootConstrainSelectedInstOperands,
     /* 283012 */   // GIR_Coverage, 7467,
     /* 283012 */   GIR_EraseRootFromParent_Done,
     /* 283013 */ // Label 4656: @283013
     /* 283013 */ GIM_Reject,
     /* 283014 */ // Label 4642: @283014
     /* 283014 */ GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(283037), // Rule ID 7468 //
     /* 283019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283023 */   // MIs[0] Operand 1
     /* 283023 */   // No operand predicates
     /* 283023 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34911),
     /* 283027 */   // (imm:{ *:[i32] })<<P:Predicate_anonymous_34911>>:$imm  =>  (V_MOV_B32_e32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283032 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283035 */   GIR_RootConstrainSelectedInstOperands,
     /* 283036 */   // GIR_Coverage, 7468,
     /* 283036 */   GIR_EraseRootFromParent_Done,
     /* 283037 */ // Label 4657: @283037
     /* 283037 */ GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(283056), // Rule ID 7469 //
     /* 283042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283046 */   // MIs[0] Operand 1
     /* 283046 */   // No operand predicates
     /* 283046 */   // (imm:{ *:[i32] }):$imm  =>  (S_MOV_B32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283051 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283054 */   GIR_RootConstrainSelectedInstOperands,
     /* 283055 */   // GIR_Coverage, 7469,
     /* 283055 */   GIR_EraseRootFromParent_Done,
     /* 283056 */ // Label 4658: @283056
     /* 283056 */ GIM_Reject,
     /* 283057 */ // Label 4643: @283057
     /* 283057 */ GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(283080), // Rule ID 7501 //
     /* 283062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 283066 */   // MIs[0] Operand 1
     /* 283066 */   // No operand predicates
     /* 283066 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34962),
     /* 283070 */   // (imm:{ *:[i64] })<<P:Predicate_anonymous_34962>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 283073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283075 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283078 */   GIR_RootConstrainSelectedInstOperands,
     /* 283079 */   // GIR_Coverage, 7501,
     /* 283079 */   GIR_EraseRootFromParent_Done,
     /* 283080 */ // Label 4659: @283080
     /* 283080 */ GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(283099), // Rule ID 7503 //
     /* 283085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283089 */   // MIs[0] Operand 1
     /* 283089 */   // No operand predicates
     /* 283089 */   // (imm:{ *:[i64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 283092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283094 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283097 */   GIR_RootConstrainSelectedInstOperands,
     /* 283098 */   // GIR_Coverage, 7503,
     /* 283098 */   GIR_EraseRootFromParent_Done,
     /* 283099 */ // Label 4660: @283099
     /* 283099 */ GIM_Reject,
     /* 283100 */ // Label 4644: @283100
     /* 283100 */ GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(283123), // Rule ID 7470 //
     /* 283105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283109 */   // MIs[0] Operand 1
     /* 283109 */   // No operand predicates
     /* 283109 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34914),
     /* 283113 */   // (imm:{ *:[i32] })<<P:Predicate_anonymous_34914>>:$imm  =>  (V_MOV_B32_e32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283118 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283121 */   GIR_RootConstrainSelectedInstOperands,
     /* 283122 */   // GIR_Coverage, 7470,
     /* 283122 */   GIR_EraseRootFromParent_Done,
     /* 283123 */ // Label 4661: @283123
     /* 283123 */ GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(283142), // Rule ID 7471 //
     /* 283128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283132 */   // MIs[0] Operand 1
     /* 283132 */   // No operand predicates
     /* 283132 */   // (imm:{ *:[i32] }):$imm  =>  (S_MOV_B32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283137 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283140 */   GIR_RootConstrainSelectedInstOperands,
     /* 283141 */   // GIR_Coverage, 7471,
     /* 283141 */   GIR_EraseRootFromParent_Done,
     /* 283142 */ // Label 4662: @283142
     /* 283142 */ GIM_Reject,
     /* 283143 */ // Label 4645: @283143
     /* 283143 */ GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(283166), // Rule ID 7472 //
     /* 283148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283152 */   // MIs[0] Operand 1
     /* 283152 */   // No operand predicates
     /* 283152 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34917),
     /* 283156 */   // (imm:{ *:[i32] })<<P:Predicate_anonymous_34917>>:$imm  =>  (V_MOV_B32_e32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283161 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283164 */   GIR_RootConstrainSelectedInstOperands,
     /* 283165 */   // GIR_Coverage, 7472,
     /* 283165 */   GIR_EraseRootFromParent_Done,
     /* 283166 */ // Label 4663: @283166
     /* 283166 */ GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(283185), // Rule ID 7473 //
     /* 283171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283175 */   // MIs[0] Operand 1
     /* 283175 */   // No operand predicates
     /* 283175 */   // (imm:{ *:[i32] }):$imm  =>  (S_MOV_B32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283180 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283183 */   GIR_RootConstrainSelectedInstOperands,
     /* 283184 */   // GIR_Coverage, 7473,
     /* 283184 */   GIR_EraseRootFromParent_Done,
     /* 283185 */ // Label 4664: @283185
     /* 283185 */ GIM_Reject,
     /* 283186 */ // Label 4646: @283186
     /* 283186 */ GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(283208), // Rule ID 7507 //
     /* 283191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave64),
     /* 283194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283198 */   // MIs[0] Operand 1
     /* 283198 */   // No operand predicates
     /* 283198 */   // (imm:{ *:[i1] }):$imm  =>  (S_MOV_B64:{ *:[i1] } (imm:{ *:[i1] }):$imm)
     /* 283198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283203 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283206 */   GIR_RootConstrainSelectedInstOperands,
     /* 283207 */   // GIR_Coverage, 7507,
     /* 283207 */   GIR_EraseRootFromParent_Done,
     /* 283208 */ // Label 4665: @283208
     /* 283208 */ GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(283230), // Rule ID 7508 //
     /* 283213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isWave32),
     /* 283216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283220 */   // MIs[0] Operand 1
     /* 283220 */   // No operand predicates
     /* 283220 */   // (imm:{ *:[i1] }):$imm  =>  (S_MOV_B32:{ *:[i1] } (imm:{ *:[i1] }):$imm)
     /* 283220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283225 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283228 */   GIR_RootConstrainSelectedInstOperands,
     /* 283229 */   // GIR_Coverage, 7508,
     /* 283229 */   GIR_EraseRootFromParent_Done,
     /* 283230 */ // Label 4666: @283230
     /* 283230 */ GIM_Reject,
     /* 283231 */ // Label 4647: @283231
     /* 283231 */ GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(283257), // Rule ID 7478 //
     /* 283236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 283239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283243 */   // MIs[0] Operand 1
     /* 283243 */   // No operand predicates
     /* 283243 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34927),
     /* 283247 */   // (imm:{ *:[i16] })<<P:Predicate_anonymous_34927>>:$imm  =>  (V_MOV_B32_e32:{ *:[i16] } (imm:{ *:[i16] }):$imm)
     /* 283247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283252 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283255 */   GIR_RootConstrainSelectedInstOperands,
     /* 283256 */   // GIR_Coverage, 7478,
     /* 283256 */   GIR_EraseRootFromParent_Done,
     /* 283257 */ // Label 4667: @283257
     /* 283257 */ GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(283283), // Rule ID 7480 //
     /* 283262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 283265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283269 */   // MIs[0] Operand 1
     /* 283269 */   // No operand predicates
     /* 283269 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34927),
     /* 283273 */   // (imm:{ *:[i16] })<<P:Predicate_anonymous_34927>>:$imm  =>  (V_MOV_B32_e32:{ *:[i16] } (imm:{ *:[i16] }):$imm)
     /* 283273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283278 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283281 */   GIR_RootConstrainSelectedInstOperands,
     /* 283282 */   // GIR_Coverage, 7480,
     /* 283282 */   GIR_EraseRootFromParent_Done,
     /* 283283 */ // Label 4668: @283283
     /* 283283 */ GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(283315), // Rule ID 7482 //
     /* 283288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 283291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 283295 */   // MIs[0] Operand 1
     /* 283295 */   // No operand predicates
     /* 283295 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34927),
     /* 283299 */   // (imm:{ *:[i16] })<<P:Predicate_anonymous_34927>>:$imm  =>  (V_MOV_B16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, (imm:{ *:[i16] }):$imm, 0:{ *:[i32] })
     /* 283299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B16_t16_e64),
     /* 283302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283307 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283313 */   GIR_RootConstrainSelectedInstOperands,
     /* 283314 */   // GIR_Coverage, 7482,
     /* 283314 */   GIR_EraseRootFromParent_Done,
     /* 283315 */ // Label 4669: @283315
     /* 283315 */ GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(283334), // Rule ID 1878 //
     /* 283320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283324 */   // MIs[0] Operand 1
     /* 283324 */   // No operand predicates
     /* 283324 */   // (imm:{ *:[i16] }):$imm  =>  (S_MOV_B32:{ *:[i16] } (imm:{ *:[i16] }):$imm)
     /* 283324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283329 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283332 */   GIR_RootConstrainSelectedInstOperands,
     /* 283333 */   // GIR_Coverage, 1878,
     /* 283333 */   GIR_EraseRootFromParent_Done,
     /* 283334 */ // Label 4670: @283334
     /* 283334 */ GIM_Reject,
     /* 283335 */ // Label 4648: @283335
     /* 283335 */ GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(283358), // Rule ID 7464 //
     /* 283340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283344 */   // MIs[0] Operand 1
     /* 283344 */   // No operand predicates
     /* 283344 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34907),
     /* 283348 */   // (imm:{ *:[i32] })<<P:Predicate_anonymous_34907>>:$imm  =>  (V_MOV_B32_e32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283353 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283356 */   GIR_RootConstrainSelectedInstOperands,
     /* 283357 */   // GIR_Coverage, 7464,
     /* 283357 */   GIR_EraseRootFromParent_Done,
     /* 283358 */ // Label 4671: @283358
     /* 283358 */ GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(283377), // Rule ID 7465 //
     /* 283363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283367 */   // MIs[0] Operand 1
     /* 283367 */   // No operand predicates
     /* 283367 */   // (imm:{ *:[i32] }):$imm  =>  (S_MOV_B32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
     /* 283367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283372 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283375 */   GIR_RootConstrainSelectedInstOperands,
     /* 283376 */   // GIR_Coverage, 7465,
     /* 283376 */   GIR_EraseRootFromParent_Done,
     /* 283377 */ // Label 4672: @283377
     /* 283377 */ GIM_Reject,
     /* 283378 */ // Label 4649: @283378
     /* 283378 */ GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(283401), // Rule ID 7493 //
     /* 283383 */   GIM_CheckAPIntImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_InlineImm64),
     /* 283387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283391 */   // MIs[0] Operand 1
     /* 283391 */   // No operand predicates
     /* 283391 */   // (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm  =>  (S_MOV_B64:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm)
     /* 283391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283396 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283399 */   GIR_RootConstrainSelectedInstOperands,
     /* 283400 */   // GIR_Coverage, 7493,
     /* 283400 */   GIR_EraseRootFromParent_Done,
     /* 283401 */ // Label 4673: @283401
     /* 283401 */ GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(283424), // Rule ID 7496 //
     /* 283406 */   GIM_CheckAPIntImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_InlineImm64),
     /* 283410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283414 */   // MIs[0] Operand 1
     /* 283414 */   // No operand predicates
     /* 283414 */   // (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm  =>  (S_MOV_B64:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm)
     /* 283414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283419 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283422 */   GIR_RootConstrainSelectedInstOperands,
     /* 283423 */   // GIR_Coverage, 7496,
     /* 283423 */   GIR_EraseRootFromParent_Done,
     /* 283424 */ // Label 4674: @283424
     /* 283424 */ GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(283447), // Rule ID 7499 //
     /* 283429 */   GIM_CheckAPIntImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_InlineImm64),
     /* 283433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283437 */   // MIs[0] Operand 1
     /* 283437 */   // No operand predicates
     /* 283437 */   // (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm  =>  (S_MOV_B64:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm)
     /* 283437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283442 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283445 */   GIR_RootConstrainSelectedInstOperands,
     /* 283446 */   // GIR_Coverage, 7499,
     /* 283446 */   GIR_EraseRootFromParent_Done,
     /* 283447 */ // Label 4675: @283447
     /* 283447 */ GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(283470), // Rule ID 7502 //
     /* 283452 */   GIM_CheckAPIntImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_InlineImm64),
     /* 283456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283460 */   // MIs[0] Operand 1
     /* 283460 */   // No operand predicates
     /* 283460 */   // (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm  =>  (S_MOV_B64:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_InlineImm64>>:$imm)
     /* 283460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283465 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283468 */   GIR_RootConstrainSelectedInstOperands,
     /* 283469 */   // GIR_Coverage, 7502,
     /* 283469 */   GIR_EraseRootFromParent_Done,
     /* 283470 */ // Label 4676: @283470
     /* 283470 */ GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(283493), // Rule ID 7484 //
     /* 283475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 283479 */   // MIs[0] Operand 1
     /* 283479 */   // No operand predicates
     /* 283479 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34939),
     /* 283483 */   // (imm:{ *:[i64] })<<P:Predicate_anonymous_34939>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 283486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283488 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283491 */   GIR_RootConstrainSelectedInstOperands,
     /* 283492 */   // GIR_Coverage, 7484,
     /* 283492 */   GIR_EraseRootFromParent_Done,
     /* 283493 */ // Label 4677: @283493
     /* 283493 */ GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(283516), // Rule ID 7492 //
     /* 283498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 283502 */   // MIs[0] Operand 1
     /* 283502 */   // No operand predicates
     /* 283502 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34939),
     /* 283506 */   // (imm:{ *:[i64] })<<P:Predicate_anonymous_34939>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 283509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283511 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283514 */   GIR_RootConstrainSelectedInstOperands,
     /* 283515 */   // GIR_Coverage, 7492,
     /* 283515 */   GIR_EraseRootFromParent_Done,
     /* 283516 */ // Label 4678: @283516
     /* 283516 */ GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(283535), // Rule ID 7486 //
     /* 283521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283525 */   // MIs[0] Operand 1
     /* 283525 */   // No operand predicates
     /* 283525 */   // (imm:{ *:[i64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 283528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283530 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283533 */   GIR_RootConstrainSelectedInstOperands,
     /* 283534 */   // GIR_Coverage, 7486,
     /* 283534 */   GIR_EraseRootFromParent_Done,
     /* 283535 */ // Label 4679: @283535
     /* 283535 */ GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(283554), // Rule ID 7494 //
     /* 283540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283544 */   // MIs[0] Operand 1
     /* 283544 */   // No operand predicates
     /* 283544 */   // (imm:{ *:[i64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[i64] } (imm:{ *:[i64] }):$imm)
     /* 283544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 283547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283549 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // imm
     /* 283552 */   GIR_RootConstrainSelectedInstOperands,
     /* 283553 */   // GIR_Coverage, 7494,
     /* 283553 */   GIR_EraseRootFromParent_Done,
     /* 283554 */ // Label 4680: @283554
     /* 283554 */ GIM_Reject,
     /* 283555 */ // Label 4650: @283555
     /* 283555 */ GIM_Reject,
     /* 283556 */ // Label 43: @283556
     /* 283556 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4684*/ GIMT_Encode4(283843),
     /* 283567 */ /*GILLT_s16*//*Label 4681*/ GIMT_Encode4(283579),
     /* 283571 */ /*GILLT_s32*//*Label 4682*/ GIMT_Encode4(283657),
     /* 283575 */ /*GILLT_s64*//*Label 4683*/ GIMT_Encode4(283725),
     /* 283579 */ // Label 4681: @283579
     /* 283579 */ GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(283607), // Rule ID 7479 //
     /* 283584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 283587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283591 */   // MIs[0] Operand 1
     /* 283591 */   // No operand predicates
     /* 283591 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34929),
     /* 283595 */   // (fpimm:{ *:[f16] })<<P:Predicate_anonymous_34929>>:$imm  =>  (V_MOV_B32_e32:{ *:[f16] } (bitcast_fpimm_to_i32:{ *:[f16] } ?:{ *:[f16] }:$imm))
     /* 283595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283600 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283605 */   GIR_RootConstrainSelectedInstOperands,
     /* 283606 */   // GIR_Coverage, 7479,
     /* 283606 */   GIR_EraseRootFromParent_Done,
     /* 283607 */ // Label 4685: @283607
     /* 283607 */ GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(283635), // Rule ID 7481 //
     /* 283612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 283615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283619 */   // MIs[0] Operand 1
     /* 283619 */   // No operand predicates
     /* 283619 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34929),
     /* 283623 */   // (fpimm:{ *:[f16] })<<P:Predicate_anonymous_34929>>:$imm  =>  (V_MOV_B32_e32:{ *:[f16] } (bitcast_fpimm_to_i32:{ *:[f16] } ?:{ *:[f16] }:$imm))
     /* 283623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283628 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283633 */   GIR_RootConstrainSelectedInstOperands,
     /* 283634 */   // GIR_Coverage, 7481,
     /* 283634 */   GIR_EraseRootFromParent_Done,
     /* 283635 */ // Label 4686: @283635
     /* 283635 */ GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(283656), // Rule ID 7489 //
     /* 283640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283644 */   // MIs[0] Operand 1
     /* 283644 */   // No operand predicates
     /* 283644 */   // (fpimm:{ *:[f16] }):$imm  =>  (S_MOV_B32:{ *:[f16] } (bitcast_fpimm_to_i32:{ *:[i32] } ?:{ *:[f16] }:$imm))
     /* 283644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283649 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283654 */   GIR_RootConstrainSelectedInstOperands,
     /* 283655 */   // GIR_Coverage, 7489,
     /* 283655 */   GIR_EraseRootFromParent_Done,
     /* 283656 */ // Label 4687: @283656
     /* 283656 */ GIM_Reject,
     /* 283657 */ // Label 4682: @283657
     /* 283657 */ GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(283682), // Rule ID 7490 //
     /* 283662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283666 */   // MIs[0] Operand 1
     /* 283666 */   // No operand predicates
     /* 283666 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34949),
     /* 283670 */   // (fpimm:{ *:[f32] })<<P:Predicate_anonymous_34949>>:$imm  =>  (V_MOV_B32_e32:{ *:[f32] } (bitcast_fpimm_to_i32:{ *:[f32] } ?:{ *:[f32] }:$imm))
     /* 283670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 283673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283675 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283680 */   GIR_RootConstrainSelectedInstOperands,
     /* 283681 */   // GIR_Coverage, 7490,
     /* 283681 */   GIR_EraseRootFromParent_Done,
     /* 283682 */ // Label 4688: @283682
     /* 283682 */ GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(283703), // Rule ID 7488 //
     /* 283687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283691 */   // MIs[0] Operand 1
     /* 283691 */   // No operand predicates
     /* 283691 */   // (fpimm:{ *:[f32] }):$imm  =>  (S_MOV_B32:{ *:[f32] } (bitcast_fpimm_to_i32:{ *:[f32] } ?:{ *:[f32] }:$imm))
     /* 283691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283696 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283701 */   GIR_RootConstrainSelectedInstOperands,
     /* 283702 */   // GIR_Coverage, 7488,
     /* 283702 */   GIR_EraseRootFromParent_Done,
     /* 283703 */ // Label 4689: @283703
     /* 283703 */ GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(283724), // Rule ID 7491 //
     /* 283708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283712 */   // MIs[0] Operand 1
     /* 283712 */   // No operand predicates
     /* 283712 */   // (fpimm:{ *:[f32] }):$imm  =>  (S_MOV_B32:{ *:[f32] } (bitcast_fpimm_to_i32:{ *:[f32] } ?:{ *:[f32] }:$imm))
     /* 283712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 283715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283717 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm32), // imm
     /* 283722 */   GIR_RootConstrainSelectedInstOperands,
     /* 283723 */   // GIR_Coverage, 7491,
     /* 283723 */   GIR_EraseRootFromParent_Done,
     /* 283724 */ // Label 4690: @283724
     /* 283724 */ GIM_Reject,
     /* 283725 */ // Label 4683: @283725
     /* 283725 */ GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(283750), // Rule ID 7505 //
     /* 283730 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_InlineImmFP64),
     /* 283734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283738 */   // MIs[0] Operand 1
     /* 283738 */   // No operand predicates
     /* 283738 */   // (fpimm:{ *:[f64] })<<P:Predicate_InlineImmFP64>>:$imm  =>  (S_MOV_B64:{ *:[f64] } (bitcast_fpimm_to_i64:{ *:[i64] } ?:{ *:[f64] }:$imm))
     /* 283738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64),
     /* 283741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283743 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm64), // imm
     /* 283748 */   GIR_RootConstrainSelectedInstOperands,
     /* 283749 */   // GIR_Coverage, 7505,
     /* 283749 */   GIR_EraseRootFromParent_Done,
     /* 283750 */ // Label 4691: @283750
     /* 283750 */ GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(283775), // Rule ID 7485 //
     /* 283755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 283759 */   // MIs[0] Operand 1
     /* 283759 */   // No operand predicates
     /* 283759 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34941),
     /* 283763 */   // (fpimm:{ *:[f64] })<<P:Predicate_anonymous_34941>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[f64] } (bitcast_fpimm_to_i64:{ *:[f64] } ?:{ *:[f64] }:$imm))
     /* 283763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 283766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283768 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm64), // imm
     /* 283773 */   GIR_RootConstrainSelectedInstOperands,
     /* 283774 */   // GIR_Coverage, 7485,
     /* 283774 */   GIR_EraseRootFromParent_Done,
     /* 283775 */ // Label 4692: @283775
     /* 283775 */ GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(283800), // Rule ID 7504 //
     /* 283780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 283784 */   // MIs[0] Operand 1
     /* 283784 */   // No operand predicates
     /* 283784 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34941),
     /* 283788 */   // (fpimm:{ *:[f64] })<<P:Predicate_anonymous_34941>>:$imm  =>  (V_MOV_B64_PSEUDO:{ *:[f64] } (bitcast_fpimm_to_i64:{ *:[f64] } ?:{ *:[f64] }:$imm))
     /* 283788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 283791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283793 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm64), // imm
     /* 283798 */   GIR_RootConstrainSelectedInstOperands,
     /* 283799 */   // GIR_Coverage, 7504,
     /* 283799 */   GIR_EraseRootFromParent_Done,
     /* 283800 */ // Label 4693: @283800
     /* 283800 */ GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(283821), // Rule ID 7487 //
     /* 283805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283809 */   // MIs[0] Operand 1
     /* 283809 */   // No operand predicates
     /* 283809 */   // (fpimm:{ *:[f64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[f64] } (bitcast_fpimm_to_i64:{ *:[i64] } (fpimm:{ *:[f64] }):$imm))
     /* 283809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 283812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283814 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm64), // imm
     /* 283819 */   GIR_RootConstrainSelectedInstOperands,
     /* 283820 */   // GIR_Coverage, 7487,
     /* 283820 */   GIR_EraseRootFromParent_Done,
     /* 283821 */ // Label 4694: @283821
     /* 283821 */ GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(283842), // Rule ID 7506 //
     /* 283826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 283830 */   // MIs[0] Operand 1
     /* 283830 */   // No operand predicates
     /* 283830 */   // (fpimm:{ *:[f64] }):$imm  =>  (S_MOV_B64_IMM_PSEUDO:{ *:[f64] } (bitcast_fpimm_to_i64:{ *:[i64] } (fpimm:{ *:[f64] }):$imm))
     /* 283830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B64_IMM_PSEUDO),
     /* 283833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 283835 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderBitcastFPImm64), // imm
     /* 283840 */   GIR_RootConstrainSelectedInstOperands,
     /* 283841 */   // GIR_Coverage, 7506,
     /* 283841 */   GIR_EraseRootFromParent_Done,
     /* 283842 */ // Label 4695: @283842
     /* 283842 */ GIM_Reject,
     /* 283843 */ // Label 4684: @283843
     /* 283843 */ GIM_Reject,
     /* 283844 */ // Label 44: @283844
     /* 283844 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4699*/ GIMT_Encode4(285278),
     /* 283855 */ /*GILLT_s16*//*Label 4696*/ GIMT_Encode4(283867),
     /* 283859 */ /*GILLT_s32*//*Label 4697*/ GIMT_Encode4(283904),
     /* 283863 */ /*GILLT_s64*//*Label 4698*/ GIMT_Encode4(284118),
     /* 283867 */ // Label 4696: @283867
     /* 283867 */ GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(283903), // Rule ID 2568 //
     /* 283872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 283875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 283878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283882 */   // (sext:{ *:[i16] } i1:{ *:[i1] }:$src)  =>  (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, -1:{ *:[i32] }, ?:{ *:[i1] }:$src)
     /* 283882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 283885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 283899 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 283901 */   GIR_RootConstrainSelectedInstOperands,
     /* 283902 */   // GIR_Coverage, 2568,
     /* 283902 */   GIR_EraseRootFromParent_Done,
     /* 283903 */ // Label 4700: @283903
     /* 283903 */ GIM_Reject,
     /* 283904 */ // Label 4697: @283904
     /* 283904 */ GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(283927), // Rule ID 1879 //
     /* 283909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 283912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 283916 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13794),
     /* 283920 */   // (sext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_13794>>  =>  (S_SEXT_I32_I16:{ *:[i32] } ?:{ *:[i16] }:$src)
     /* 283920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SEXT_I32_I16),
     /* 283925 */   GIR_RootConstrainSelectedInstOperands,
     /* 283926 */   // GIR_Coverage, 1879,
     /* 283926 */   GIR_Done,
     /* 283927 */ // Label 4701: @283927
     /* 283927 */ GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(283961), // Rule ID 2577 //
     /* 283932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 283935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 283938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283942 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 283946 */   // (sext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (V_BFE_I32_e64:{ *:[i32] } i16:{ *:[i16] }:$src, 0:{ *:[i32] }, 16:{ *:[i32] })
     /* 283946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 283949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283951 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 283953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 283959 */   GIR_RootConstrainSelectedInstOperands,
     /* 283960 */   // GIR_Coverage, 2577,
     /* 283960 */   GIR_EraseRootFromParent_Done,
     /* 283961 */ // Label 4702: @283961
     /* 283961 */ GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(283995), // Rule ID 2578 //
     /* 283966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 283969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 283972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 283976 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 283980 */   // (sext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (V_BFE_I32_e64:{ *:[i32] } i16:{ *:[i16] }:$src, 0:{ *:[i32] }, 16:{ *:[i32] })
     /* 283980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 283983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 283985 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 283987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 283990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 283993 */   GIR_RootConstrainSelectedInstOperands,
     /* 283994 */   // GIR_Coverage, 2578,
     /* 283994 */   GIR_EraseRootFromParent_Done,
     /* 283995 */ // Label 4703: @283995
     /* 283995 */ GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(284084), // Rule ID 2579 //
     /* 284000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 284003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284010 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 284014 */   // (sext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (V_BFE_I32_e64:{ *:[i32] } (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, VGPR_16:{ *:[i16] }:$src, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i16] }), hi16:{ *:[i32] }), 0:{ *:[i32] }, 16:{ *:[i32] })
     /* 284014 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 284017 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 284021 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 284028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 284031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284040 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284044 */   GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/2,
     /* 284047 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 284050 */   GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/1,
     /* 284053 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284058 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 284063 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 284068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 284073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 284079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 284082 */   GIR_RootConstrainSelectedInstOperands,
     /* 284083 */   // GIR_Coverage, 2579,
     /* 284083 */   GIR_EraseRootFromParent_Done,
     /* 284084 */ // Label 4704: @284084
     /* 284084 */ GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(284117), // Rule ID 7511 //
     /* 284089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 284092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284096 */   // (sext:{ *:[i32] } i1:{ *:[i1] }:$src0)  =>  (V_CNDMASK_B32_e64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, -1:{ *:[i32] }, i1:{ *:[i1] }:$src0)
     /* 284096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 284099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 284101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 284104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 284107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 284110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 284113 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 284115 */   GIR_RootConstrainSelectedInstOperands,
     /* 284116 */   // GIR_Coverage, 7511,
     /* 284116 */   GIR_EraseRootFromParent_Done,
     /* 284117 */ // Label 4705: @284117
     /* 284117 */ GIM_Reject,
     /* 284118 */ // Label 4698: @284118
     /* 284118 */ GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(284263), // Rule ID 1889 //
     /* 284123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 284130 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13794),
     /* 284134 */   // (sext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_13794>>  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, (S_SEXT_I32_I16:{ *:[i32] } ?:{ *:[i16] }:$src), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_ASHR_I32:{ *:[i1] }:{ *:[i1] } (S_SEXT_I32_I16:{ *:[i32] } ?:{ *:[i16] }:$src), (S_MOV_B32:{ *:[i1] } 31:{ *:[i32] })), SGPR_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 284134 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s1,
     /* 284137 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284141 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284146 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/31,
     /* 284149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 284151 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 284154 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AMDGPU::S_SEXT_I32_I16),
     /* 284158 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284163 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 284169 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 284172 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I32),
     /* 284176 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284181 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 284184 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 284187 */   GIR_SetImplicitDefDead, /*InsnID*/3, /*OpIdx for AMDGPU::SCC*/0,
     /* 284190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 284192 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 284195 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284199 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284204 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 284207 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 284212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 284215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_SEXT_I32_I16),
     /* 284219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284224 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 284230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284238 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 284241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 284244 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 284247 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 284252 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 284257 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 284262 */   // GIR_Coverage, 1889,
     /* 284262 */   GIR_EraseRootFromParent_Done,
     /* 284263 */ // Label 4706: @284263
     /* 284263 */ GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(284488), // Rule ID 2580 //
     /* 284268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 284271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284278 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 284282 */   // (sext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFE_I32_e64:{ *:[i32] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] })), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (V_ASHRREV_I32_e32:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 31:{ *:[i32] }), (V_BFE_I32_e64:{ *:[i32] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] }))), VGPR_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 284282 */   GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s16,
     /* 284285 */   GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284289 */   GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284294 */   GIR_AddImm8, /*InsnID*/9, /*Imm*/16,
     /* 284297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 284299 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /* 284302 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284306 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284311 */   GIR_AddImm8, /*InsnID*/8, /*Imm*/0,
     /* 284314 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 284316 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /* 284319 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284323 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284328 */   GIR_Copy, /*NewInsnID*/7, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284332 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 284335 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/8,
     /* 284338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 284340 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s16,
     /* 284343 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284347 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284352 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/31,
     /* 284355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 284357 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 284360 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e32),
     /* 284364 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284369 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 284372 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 284375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 284377 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 284380 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284384 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284389 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 284392 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284397 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 284400 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284404 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284409 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/16,
     /* 284412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 284414 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 284417 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284421 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284426 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 284429 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 284431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 284434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284443 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284447 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 284450 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 284453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 284455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284463 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 284466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 284469 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 284472 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284477 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284482 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284487 */   // GIR_Coverage, 2580,
     /* 284487 */   GIR_EraseRootFromParent_Done,
     /* 284488 */ // Label 4707: @284488
     /* 284488 */ GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(284713), // Rule ID 2581 //
     /* 284493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 284496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284503 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 284507 */   // (sext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFE_I32_e64:{ *:[i32] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] })), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (V_ASHRREV_I32_e32:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 31:{ *:[i32] }), (V_BFE_I32_e64:{ *:[i32] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] }))), VGPR_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 284507 */   GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s16,
     /* 284510 */   GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284514 */   GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284519 */   GIR_AddImm8, /*InsnID*/9, /*Imm*/16,
     /* 284522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 284524 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /* 284527 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284531 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284536 */   GIR_AddImm8, /*InsnID*/8, /*Imm*/0,
     /* 284539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 284541 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /* 284544 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284548 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284553 */   GIR_Copy, /*NewInsnID*/7, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284557 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 284560 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/8,
     /* 284563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 284565 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s16,
     /* 284568 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284572 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284577 */   GIR_AddImm8, /*InsnID*/6, /*Imm*/31,
     /* 284580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 284582 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 284585 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e32),
     /* 284589 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284594 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 284597 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 284600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 284602 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 284605 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284609 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284614 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 284617 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284622 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 284625 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284629 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284634 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/16,
     /* 284637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 284639 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 284642 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284646 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284651 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 284654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 284656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 284659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284668 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284672 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 284675 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 284678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 284680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284688 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 284691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 284694 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 284697 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284702 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284712 */   // GIR_Coverage, 2581,
     /* 284712 */   GIR_EraseRootFromParent_Done,
     /* 284713 */ // Label 4708: @284713
     /* 284713 */ GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(284991), // Rule ID 2582 //
     /* 284718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 284721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284728 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 284732 */   // (sext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_20365>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFE_I32_e64:{ *:[i32] } (REG_SEQUENCE:{ *:[i16] } VGPR_32:{ *:[i32] }, VGPR_16:{ *:[i16] }:$src, lo16:{ *:[i32] }, (IMPLICIT_DEF:{ *:[i16] }), hi16:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] })), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (V_ASHRREV_I32_e32:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 31:{ *:[i32] }), (V_BFE_I32_e64:{ *:[i32] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i16] } 0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 16:{ *:[i32] }))), VGPR_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 284732 */   GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s16,
     /* 284735 */   GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284739 */   GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284744 */   GIR_AddImm8, /*InsnID*/11, /*Imm*/16,
     /* 284747 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 284749 */   GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s16,
     /* 284752 */   GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284756 */   GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284761 */   GIR_AddImm8, /*InsnID*/10, /*Imm*/0,
     /* 284764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 284766 */   GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s32,
     /* 284769 */   GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284773 */   GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284778 */   GIR_Copy, /*NewInsnID*/9, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284782 */   GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 284785 */   GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 284788 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 284790 */   GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s16,
     /* 284793 */   GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284797 */   GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284802 */   GIR_AddImm8, /*InsnID*/8, /*Imm*/31,
     /* 284805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 284807 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 284810 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e32),
     /* 284814 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284819 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 284822 */   GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/8,
     /* 284825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 284827 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s32,
     /* 284830 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284834 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284839 */   GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 284842 */   GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284847 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 284850 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284854 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284859 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/16,
     /* 284862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 284864 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 284867 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 284871 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284876 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 284879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 284881 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 284884 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 284888 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 284895 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 284898 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284902 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284907 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 284911 */   GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/2,
     /* 284914 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 284917 */   GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/1,
     /* 284920 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284925 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 284930 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 284935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 284938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFE_I32_e64),
     /* 284942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284947 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 284950 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 284953 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 284956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 284958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 284961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284966 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 284969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/5,
     /* 284972 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 284975 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 284980 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284985 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 284990 */   // GIR_Coverage, 2582,
     /* 284990 */   GIR_EraseRootFromParent_Done,
     /* 284991 */ // Label 4709: @284991
     /* 284991 */ GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(285083), // Rule ID 7600 //
     /* 284996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 284999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 285003 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13794),
     /* 285007 */   // (sext:{ *:[i64] } i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_13794>>  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src, sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_ASHR_I32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i32] }:$src, 31:{ *:[i32] }), SReg_32_XM0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 285007 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /* 285010 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I32),
     /* 285014 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285019 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 285023 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 285026 */   GIR_SetImplicitDefDead, /*InsnID*/2, /*OpIdx for AMDGPU::SCC*/0,
     /* 285029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 285034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285043 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 285046 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 285051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 285054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285056 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 285058 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 285061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285064 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 285067 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 285072 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 285077 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 285082 */   // GIR_Coverage, 7600,
     /* 285082 */   GIR_EraseRootFromParent_Done,
     /* 285083 */ // Label 4710: @285083
     /* 285083 */ GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(285172), // Rule ID 7601 //
     /* 285088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 285091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 285095 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20365),
     /* 285099 */   // (sext:{ *:[i64] } i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_20365>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src, sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (V_ASHRREV_I32_e64:{ *:[i16] } 31:{ *:[i32] }, ?:{ *:[i32] }:$src), VGPR_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 285099 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 285102 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e64),
     /* 285106 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285111 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 285114 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 285118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 285123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285132 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 285135 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 285143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285145 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 285147 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 285150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285153 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 285156 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 285161 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285166 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285171 */   // GIR_Coverage, 7601,
     /* 285171 */   GIR_EraseRootFromParent_Done,
     /* 285172 */ // Label 4711: @285172
     /* 285172 */ GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(285277), // Rule ID 7602 //
     /* 285177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 285180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 285184 */   // (sext:{ *:[i64] } i1:{ *:[i1] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, -1:{ *:[i32] }, ?:{ *:[i1] }:$src), sub0:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, -1:{ *:[i32] }, ?:{ *:[i1] }:$src), sub1:{ *:[i32] })
     /* 285184 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 285187 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 285191 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285196 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 285199 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 285202 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 285205 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 285208 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 285212 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 285221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285226 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 285229 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 285232 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 285235 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/uint8_t(-1),
     /* 285238 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 285242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 285244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 285247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285252 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 285255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 285258 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 285261 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 285266 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285276 */   // GIR_Coverage, 7602,
     /* 285276 */   GIR_EraseRootFromParent_Done,
     /* 285277 */ // Label 4712: @285277
     /* 285277 */ GIM_Reject,
     /* 285278 */ // Label 4699: @285278
     /* 285278 */ GIM_Reject,
     /* 285279 */ // Label 45: @285279
     /* 285279 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4716*/ GIMT_Encode4(288481),
     /* 285290 */ /*GILLT_s16*//*Label 4713*/ GIMT_Encode4(285302),
     /* 285294 */ /*GILLT_s32*//*Label 4714*/ GIMT_Encode4(285339),
     /* 285298 */ /*GILLT_s64*//*Label 4715*/ GIMT_Encode4(286627),
     /* 285302 */ // Label 4713: @285302
     /* 285302 */ GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(285338), // Rule ID 2566 //
     /* 285307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 285310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 285313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285317 */   // (zext:{ *:[i16] } i1:{ *:[i1] }:$src)  =>  (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, ?:{ *:[i1] }:$src)
     /* 285317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 285320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 285334 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 285336 */   GIR_RootConstrainSelectedInstOperands,
     /* 285337 */   // GIR_Coverage, 2566,
     /* 285337 */   GIR_EraseRootFromParent_Done,
     /* 285338 */ // Label 4717: @285338
     /* 285338 */ GIM_Reject,
     /* 285339 */ // Label 4714: @285339
     /* 285339 */ GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(285415), // Rule ID 2563 //
     /* 285344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285354 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285358 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 285362 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285366 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285370 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285374 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 285378 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 285382 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 285386 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285390 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285394 */   // MIs[3] Operand 1
     /* 285394 */   // No operand predicates
     /* 285394 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 285398 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285400 */   // (zext:{ *:[i32] } (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (V_ASHRREV_I16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 285400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 285403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285405 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 285409 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 285413 */   GIR_RootConstrainSelectedInstOperands,
     /* 285414 */   // GIR_Coverage, 2563,
     /* 285414 */   GIR_EraseRootFromParent_Done,
     /* 285415 */ // Label 4718: @285415
     /* 285415 */ GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(285491), // Rule ID 2559 //
     /* 285420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285430 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285434 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 285438 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285442 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285446 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285450 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 285454 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 285458 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 285462 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285466 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285470 */   // MIs[3] Operand 1
     /* 285470 */   // No operand predicates
     /* 285470 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 285474 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285476 */   // (zext:{ *:[i32] } (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (V_LSHRREV_B16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 285476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 285479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285481 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 285485 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 285489 */   GIR_RootConstrainSelectedInstOperands,
     /* 285490 */   // GIR_Coverage, 2559,
     /* 285490 */   GIR_EraseRootFromParent_Done,
     /* 285491 */ // Label 4719: @285491
     /* 285491 */ GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(285567), // Rule ID 2555 //
     /* 285496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285506 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 285514 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285518 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285522 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285526 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 285530 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 285534 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 285538 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285542 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285546 */   // MIs[3] Operand 1
     /* 285546 */   // No operand predicates
     /* 285546 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 285550 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285552 */   // (zext:{ *:[i32] } (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (V_LSHLREV_B16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 285552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 285555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285557 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 285561 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 285565 */   GIR_RootConstrainSelectedInstOperands,
     /* 285566 */   // GIR_Coverage, 2555,
     /* 285566 */   GIR_EraseRootFromParent_Done,
     /* 285567 */ // Label 4720: @285567
     /* 285567 */ GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(285631), // Rule ID 2541 //
     /* 285572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285582 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285586 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 285590 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285594 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285598 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285602 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285606 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_NegSubInlineIntConst16),
     /* 285610 */   // MIs[2] Operand 1
     /* 285610 */   // No operand predicates
     /* 285610 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285612 */   // (zext:{ *:[i32] } (add:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>><<X:NegateImm>>:$src1))  =>  (V_SUB_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, (NegateImm:{ *:[i16 i32 bf16 f16 f32 v2i16 v2f16 v2bf16] } (imm:{ *:[i16] })<<P:Predicate_NegSubInlineIntConst16>>:$src1))
     /* 285612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /* 285615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285617 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 285621 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderNegateImm), // src1
     /* 285626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285629 */   GIR_RootConstrainSelectedInstOperands,
     /* 285630 */   // GIR_Coverage, 2541,
     /* 285630 */   GIR_EraseRootFromParent_Done,
     /* 285631 */ // Label 4721: @285631
     /* 285631 */ GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(285702), // Rule ID 2583 //
     /* 285636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285646 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285650 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 285654 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285658 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285662 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 285666 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 285670 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 285674 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 285678 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285680 */   // (zext:{ *:[i32] } (add:{ *:[i16] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MAD_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1, VSrc_b16:{ *:[i16] }:$src2)
     /* 285680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_e64),
     /* 285683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285685 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 285689 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 285693 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 285697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285700 */   GIR_RootConstrainSelectedInstOperands,
     /* 285701 */   // GIR_Coverage, 2583,
     /* 285701 */   GIR_EraseRootFromParent_Done,
     /* 285702 */ // Label 4722: @285702
     /* 285702 */ GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(285773), // Rule ID 8689 //
     /* 285707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 285710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285717 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285721 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 285725 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285729 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 285733 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285737 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 285741 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 285745 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 285749 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285751 */   // (zext:{ *:[i32] } (add:{ *:[i16] } i16:{ *:[i16] }:$src2, (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MAD_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1, VSrc_b16:{ *:[i16] }:$src2)
     /* 285751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_U16_e64),
     /* 285754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285756 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 285760 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 285764 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 285768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285771 */   GIR_RootConstrainSelectedInstOperands,
     /* 285772 */   // GIR_Coverage, 8689,
     /* 285772 */   GIR_EraseRootFromParent_Done,
     /* 285773 */ // Label 4723: @285773
     /* 285773 */ GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(285843), // Rule ID 7662 //
     /* 285778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX8Plus),
     /* 285781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 285796 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285800 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 285802 */   // (zext:{ *:[i32] } (bswap:{ *:[i16] } i16:{ *:[i16] }:$a))  =>  (V_PERM_B32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] }))
     /* 285802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 285809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285814 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(202113025),
     /* 285824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 285826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 285829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285834 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 285838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285841 */   GIR_RootConstrainSelectedInstOperands,
     /* 285842 */   // GIR_Coverage, 7662,
     /* 285842 */   GIR_EraseRootFromParent_Done,
     /* 285843 */ // Label 4724: @285843
     /* 285843 */ GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(285913), // Rule ID 7664 //
     /* 285848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX8Plus),
     /* 285851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 285866 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285870 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 285872 */   // (zext:{ *:[i32] } (bswap:{ *:[i16] } i16:{ *:[i16] }:$a))  =>  (V_PERM_B32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] }))
     /* 285872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 285879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285884 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(202113025),
     /* 285894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 285896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 285899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285904 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 285908 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285911 */   GIR_RootConstrainSelectedInstOperands,
     /* 285912 */   // GIR_Coverage, 7664,
     /* 285912 */   GIR_EraseRootFromParent_Done,
     /* 285913 */ // Label 4725: @285913
     /* 285913 */ GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(286000), // Rule ID 7666 //
     /* 285918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX8Plus),
     /* 285921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 285928 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285932 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 285936 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 285940 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 285942 */   // (zext:{ *:[i32] } (bswap:{ *:[i16] } i16:{ *:[i16] }:$a))  =>  (V_PERM_B32_e64:{ *:[i32] } 0:{ *:[i32] }, (COPY:{ *:[i16] } VGPR_16:{ *:[i16] }:$a), (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] }))
     /* 285942 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 285945 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 285949 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285954 */   GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(202113025),
     /* 285964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285978 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 285982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 285984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 285987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 285989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 285992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 285998 */   GIR_RootConstrainSelectedInstOperands,
     /* 285999 */   // GIR_Coverage, 7666,
     /* 285999 */   GIR_EraseRootFromParent_Done,
     /* 286000 */ // Label 4726: @286000
     /* 286000 */ GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(286051), // Rule ID 2529 //
     /* 286005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286015 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286019 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 286023 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286027 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286031 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286033 */   // (zext:{ *:[i32] } (add:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_ADD_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U16_e64),
     /* 286036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286038 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286042 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 286049 */   GIR_RootConstrainSelectedInstOperands,
     /* 286050 */   // GIR_Coverage, 2529,
     /* 286050 */   GIR_EraseRootFromParent_Done,
     /* 286051 */ // Label 4727: @286051
     /* 286051 */ GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(286099), // Rule ID 2562 //
     /* 286056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286066 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286070 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 286074 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286078 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286082 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286084 */   // (zext:{ *:[i32] } (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_ASHRREV_I16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 286087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286089 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 286093 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286097 */   GIR_RootConstrainSelectedInstOperands,
     /* 286098 */   // GIR_Coverage, 2562,
     /* 286098 */   GIR_EraseRootFromParent_Done,
     /* 286099 */ // Label 4728: @286099
     /* 286099 */ GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(286147), // Rule ID 2558 //
     /* 286104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286114 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286118 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 286122 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286126 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286130 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286132 */   // (zext:{ *:[i32] } (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_LSHRREV_B16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 286135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286137 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 286141 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286145 */   GIR_RootConstrainSelectedInstOperands,
     /* 286146 */   // GIR_Coverage, 2558,
     /* 286146 */   GIR_EraseRootFromParent_Done,
     /* 286147 */ // Label 4729: @286147
     /* 286147 */ GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(286195), // Rule ID 2542 //
     /* 286152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 286170 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286174 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286178 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286180 */   // (zext:{ *:[i32] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MUL_LO_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U16_e64),
     /* 286183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286185 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286189 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286193 */   GIR_RootConstrainSelectedInstOperands,
     /* 286194 */   // GIR_Coverage, 2542,
     /* 286194 */   GIR_EraseRootFromParent_Done,
     /* 286195 */ // Label 4730: @286195
     /* 286195 */ GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(286243), // Rule ID 2554 //
     /* 286200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286210 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286214 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 286218 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286222 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286226 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286228 */   // (zext:{ *:[i32] } (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_LSHLREV_B16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 286231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286233 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 286237 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286241 */   GIR_RootConstrainSelectedInstOperands,
     /* 286242 */   // GIR_Coverage, 2554,
     /* 286242 */   GIR_EraseRootFromParent_Done,
     /* 286243 */ // Label 4731: @286243
     /* 286243 */ GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(286291), // Rule ID 2548 //
     /* 286248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 286266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286270 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286274 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286276 */   // (zext:{ *:[i32] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAX_I16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I16_e64),
     /* 286279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286285 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286289 */   GIR_RootConstrainSelectedInstOperands,
     /* 286290 */   // GIR_Coverage, 2548,
     /* 286290 */   GIR_EraseRootFromParent_Done,
     /* 286291 */ // Label 4732: @286291
     /* 286291 */ GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(286339), // Rule ID 2546 //
     /* 286296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286306 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286310 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 286314 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286318 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286322 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286324 */   // (zext:{ *:[i32] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MIN_I16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I16_e64),
     /* 286327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286329 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286333 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286337 */   GIR_RootConstrainSelectedInstOperands,
     /* 286338 */   // GIR_Coverage, 2546,
     /* 286338 */   GIR_EraseRootFromParent_Done,
     /* 286339 */ // Label 4733: @286339
     /* 286339 */ GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(286390), // Rule ID 2544 //
     /* 286344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286354 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286358 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 286362 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286366 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286370 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286372 */   // (zext:{ *:[i32] } (sub:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_SUB_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /* 286375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286377 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286381 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 286388 */   GIR_RootConstrainSelectedInstOperands,
     /* 286389 */   // GIR_Coverage, 2544,
     /* 286389 */   GIR_EraseRootFromParent_Done,
     /* 286390 */ // Label 4734: @286390
     /* 286390 */ GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(286438), // Rule ID 2552 //
     /* 286395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286405 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286409 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 286413 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286417 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286421 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286423 */   // (zext:{ *:[i32] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MAX_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U16_e64),
     /* 286426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286428 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286432 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286436 */   GIR_RootConstrainSelectedInstOperands,
     /* 286437 */   // GIR_Coverage, 2552,
     /* 286437 */   GIR_EraseRootFromParent_Done,
     /* 286438 */ // Label 4735: @286438
     /* 286438 */ GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(286486), // Rule ID 2550 //
     /* 286443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286453 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 286461 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286465 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286469 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286471 */   // (zext:{ *:[i32] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MIN_U16_e64:{ *:[i32] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1)
     /* 286471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U16_e64),
     /* 286474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286476 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 286480 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 286484 */   GIR_RootConstrainSelectedInstOperands,
     /* 286485 */   // GIR_Coverage, 2550,
     /* 286485 */   GIR_EraseRootFromParent_Done,
     /* 286486 */ // Label 4736: @286486
     /* 286486 */ GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(286541), // Rule ID 1890 //
     /* 286491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 286498 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13806),
     /* 286502 */   // (zext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_13806>>  =>  (S_AND_B32:{ *:[i32] }:{ *:[i1] } (S_MOV_B32:{ *:[i1] } 65535:{ *:[i32] }), ?:{ *:[i16] }:$src)
     /* 286502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 286505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 286509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286514 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /* 286524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 286526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 286529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 286531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286534 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 286536 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 286539 */   GIR_RootConstrainSelectedInstOperands,
     /* 286540 */   // GIR_Coverage, 1890,
     /* 286540 */   GIR_EraseRootFromParent_Done,
     /* 286541 */ // Label 4737: @286541
     /* 286541 */ GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(286593), // Rule ID 7641 //
     /* 286546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286553 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35128),
     /* 286557 */   // (zext:{ *:[i32] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_35128>>  =>  (V_AND_B32_e64:{ *:[i32] } (S_MOV_B32:{ *:[i16] } 65535:{ *:[i32] }), ?:{ *:[i16] }:$src)
     /* 286557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 286564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286569 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(65535),
     /* 286579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 286581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 286584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286589 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 286591 */   GIR_RootConstrainSelectedInstOperands,
     /* 286592 */   // GIR_Coverage, 7641,
     /* 286592 */   GIR_EraseRootFromParent_Done,
     /* 286593 */ // Label 4738: @286593
     /* 286593 */ GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(286626), // Rule ID 7512 //
     /* 286598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 286601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286605 */   // (zext:{ *:[i32] } i1:{ *:[i1] }:$src0)  =>  (V_CNDMASK_B32_e64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, i1:{ *:[i1] }:$src0)
     /* 286605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 286608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 286610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 286613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 286616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 286619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 286622 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 286624 */   GIR_RootConstrainSelectedInstOperands,
     /* 286625 */   // GIR_Coverage, 7512,
     /* 286625 */   GIR_EraseRootFromParent_Done,
     /* 286626 */ // Label 4739: @286626
     /* 286626 */ GIM_Reject,
     /* 286627 */ // Label 4715: @286627
     /* 286627 */ GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(286760), // Rule ID 2565 //
     /* 286632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 286642 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286646 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 286650 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286654 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286658 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286662 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 286666 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 286670 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 286674 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286678 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286682 */   // MIs[3] Operand 1
     /* 286682 */   // No operand predicates
     /* 286682 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 286686 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286688 */   // (zext:{ *:[i64] } (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_ASHRREV_I16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 286688 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 286691 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 286695 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286700 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 286703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 286712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286717 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 286721 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286725 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 286727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 286730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286732 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286735 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 286738 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 286741 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 286744 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 286749 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286754 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286759 */   // GIR_Coverage, 2565,
     /* 286759 */   GIR_EraseRootFromParent_Done,
     /* 286760 */ // Label 4740: @286760
     /* 286760 */ GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(286893), // Rule ID 2561 //
     /* 286765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 286775 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286779 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 286783 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286787 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286791 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286795 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 286799 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 286803 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 286807 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286811 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286815 */   // MIs[3] Operand 1
     /* 286815 */   // No operand predicates
     /* 286815 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 286819 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286821 */   // (zext:{ *:[i64] } (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_LSHRREV_B16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 286821 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 286824 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 286828 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286833 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 286836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286838 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286841 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 286845 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286850 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 286854 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 286860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 286863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286868 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 286871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 286874 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 286877 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 286882 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286887 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 286892 */   // GIR_Coverage, 2561,
     /* 286892 */   GIR_EraseRootFromParent_Done,
     /* 286893 */ // Label 4741: @286893
     /* 286893 */ GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(287026), // Rule ID 2557 //
     /* 286898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 286901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 286908 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286912 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 286916 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286920 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 286924 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286928 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 286932 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 286936 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 286940 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286944 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286948 */   // MIs[3] Operand 1
     /* 286948 */   // No operand predicates
     /* 286948 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 286952 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286954 */   // (zext:{ *:[i64] } (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_LSHLREV_B16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 286954 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 286957 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 286961 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286966 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 286969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 286978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286983 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 286987 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 286991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 286993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 286996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287001 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287007 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287010 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287015 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287020 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287025 */   // GIR_Coverage, 2557,
     /* 287025 */   GIR_EraseRootFromParent_Done,
     /* 287026 */ // Label 4742: @287026
     /* 287026 */ GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(287134), // Rule ID 2530 //
     /* 287031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 287049 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287053 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287057 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287059 */   // (zext:{ *:[i64] } (add:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_ADD_U16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287059 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287062 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287066 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287071 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U16_e64),
     /* 287083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287088 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287092 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287096 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 287099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287109 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287115 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287118 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287123 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287128 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287133 */   // GIR_Coverage, 2530,
     /* 287133 */   GIR_EraseRootFromParent_Done,
     /* 287134 */ // Label 4743: @287134
     /* 287134 */ GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(287239), // Rule ID 2564 //
     /* 287139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287149 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287153 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 287157 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287161 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287165 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287167 */   // (zext:{ *:[i64] } (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_ASHRREV_I16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287167 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287170 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287174 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287179 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 287191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287196 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 287200 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 287204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287214 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287220 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287223 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287228 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287233 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287238 */   // GIR_Coverage, 2564,
     /* 287238 */   GIR_EraseRootFromParent_Done,
     /* 287239 */ // Label 4744: @287239
     /* 287239 */ GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(287344), // Rule ID 2560 //
     /* 287244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287254 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287258 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 287262 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287266 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287270 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287272 */   // (zext:{ *:[i64] } (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_LSHRREV_B16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287272 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287275 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287279 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287284 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287289 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287292 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 287296 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287301 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 287305 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 287309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287319 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287325 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287328 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287333 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287338 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287343 */   // GIR_Coverage, 2560,
     /* 287343 */   GIR_EraseRootFromParent_Done,
     /* 287344 */ // Label 4745: @287344
     /* 287344 */ GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(287449), // Rule ID 2543 //
     /* 287349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287359 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287363 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 287367 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287371 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287375 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287377 */   // (zext:{ *:[i64] } (mul:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MUL_LO_U16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287377 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287380 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287384 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287389 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LO_U16_e64),
     /* 287401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287406 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287410 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287424 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287430 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287433 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287438 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287443 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287448 */   // GIR_Coverage, 2543,
     /* 287448 */   GIR_EraseRootFromParent_Done,
     /* 287449 */ // Label 4746: @287449
     /* 287449 */ GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(287554), // Rule ID 2556 //
     /* 287454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287464 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 287472 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287476 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287480 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287482 */   // (zext:{ *:[i64] } (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_LSHLREV_B16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287482 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287485 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287489 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287494 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 287506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287511 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 287515 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 287519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287529 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287532 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287535 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287538 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287543 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287548 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287553 */   // GIR_Coverage, 2556,
     /* 287553 */   GIR_EraseRootFromParent_Done,
     /* 287554 */ // Label 4747: @287554
     /* 287554 */ GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(287659), // Rule ID 2549 //
     /* 287559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287569 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287573 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 287577 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287581 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287587 */   // (zext:{ *:[i64] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MAX_I16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287587 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287590 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287594 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287599 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I16_e64),
     /* 287611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287616 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287620 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287634 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287640 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287643 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287653 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287658 */   // GIR_Coverage, 2549,
     /* 287658 */   GIR_EraseRootFromParent_Done,
     /* 287659 */ // Label 4748: @287659
     /* 287659 */ GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(287764), // Rule ID 2547 //
     /* 287664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 287682 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287686 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287690 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287692 */   // (zext:{ *:[i64] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MIN_I16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287692 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287695 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287699 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287704 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I16_e64),
     /* 287716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287721 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287725 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287739 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287745 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287748 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287753 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287758 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287763 */   // GIR_Coverage, 2547,
     /* 287763 */   GIR_EraseRootFromParent_Done,
     /* 287764 */ // Label 4749: @287764
     /* 287764 */ GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(287872), // Rule ID 2545 //
     /* 287769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287779 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287783 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 287787 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287791 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287795 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287797 */   // (zext:{ *:[i64] } (sub:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_SUB_U16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287797 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287800 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287804 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287809 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287814 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287817 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /* 287821 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287826 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287830 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287834 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 287837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287847 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287853 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287856 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287861 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287866 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287871 */   // GIR_Coverage, 2545,
     /* 287871 */   GIR_EraseRootFromParent_Done,
     /* 287872 */ // Label 4750: @287872
     /* 287872 */ GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(287977), // Rule ID 2553 //
     /* 287877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287887 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287891 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 287895 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287899 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 287903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287905 */   // (zext:{ *:[i64] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MAX_U16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 287905 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 287908 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 287912 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287917 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 287920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U16_e64),
     /* 287929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287934 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 287938 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 287942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 287944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 287947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287952 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 287955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 287958 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 287961 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287971 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 287976 */   // GIR_Coverage, 2553,
     /* 287976 */   GIR_EraseRootFromParent_Done,
     /* 287977 */ // Label 4751: @287977
     /* 287977 */ GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(288082), // Rule ID 2551 //
     /* 287982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8GFX9),
     /* 287985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 287992 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287996 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 288000 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 288004 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 288008 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288010 */   // (zext:{ *:[i64] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_MIN_U16_e64:{ *:[i16] } ?:{ *:[i16] }:$src0, ?:{ *:[i16] }:$src1), sub0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 288010 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 288013 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 288017 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288022 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 288025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 288030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U16_e64),
     /* 288034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288039 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 288043 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 288047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 288049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 288052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288057 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 288060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 288063 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 288066 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 288071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288076 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288081 */   // GIR_Coverage, 2551,
     /* 288081 */   GIR_EraseRootFromParent_Done,
     /* 288082 */ // Label 4752: @288082
     /* 288082 */ GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(288216), // Rule ID 1888 //
     /* 288087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 288090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 288094 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13806),
     /* 288098 */   // (zext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_13806>>  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_AND_B32:{ *:[i1] }:{ *:[i1] } ?:{ *:[i16] }:$src, (S_MOV_B32:{ *:[i1] } 65535:{ *:[i32] })), SGPR_32:{ *:[i32] }), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 288098 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s1,
     /* 288101 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288105 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288110 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 288113 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 288115 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 288118 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288122 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288127 */   GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(65535),
     /* 288137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 288139 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /* 288142 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 288146 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288151 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 288155 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 288158 */   GIR_SetImplicitDefDead, /*InsnID*/2, /*OpIdx for AMDGPU::SCC*/0,
     /* 288161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288163 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 288166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288170 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288175 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288178 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SGPR_32RegClassID),
     /* 288183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 288186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288191 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 288194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 288197 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 288200 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 288205 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 288210 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 288215 */   // GIR_Coverage, 1888,
     /* 288215 */   GIR_EraseRootFromParent_Done,
     /* 288216 */ // Label 4753: @288216
     /* 288216 */ GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(288327), // Rule ID 7642 //
     /* 288221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 288224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 288228 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35128),
     /* 288232 */   // (zext:{ *:[i64] } i16:{ *:[i16] }:$src)<<P:Predicate_anonymous_35128>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_AND_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 65535:{ *:[i32] }), ?:{ *:[i16] }:$src), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 288232 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 288235 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288239 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288244 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 288247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 288249 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 288252 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288256 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288261 */   GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(65535),
     /* 288271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 288276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 288280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288285 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288288 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 288292 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 288294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 288297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288299 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288302 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 288305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 288308 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 288311 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 288316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288321 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288326 */   // GIR_Coverage, 7642,
     /* 288326 */   GIR_EraseRootFromParent_Done,
     /* 288327 */ // Label 4754: @288327
     /* 288327 */ GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(288388), // Rule ID 7596 //
     /* 288332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 288335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 288339 */   // (zext:{ *:[i64] } i32:{ *:[i32] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, ?:{ *:[i32] }:$src, sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 288339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 288342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288351 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 288356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 288359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288361 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 288363 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 288366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288369 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 288372 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 288377 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 288382 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 288387 */   // GIR_Coverage, 7596,
     /* 288387 */   GIR_EraseRootFromParent_Done,
     /* 288388 */ // Label 4755: @288388
     /* 288388 */ GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(288480), // Rule ID 7598 //
     /* 288393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 288396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 288400 */   // (zext:{ *:[i64] } i1:{ *:[i1] }:$src)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, ?:{ *:[i1] }:$src), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 288400 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /* 288403 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 288407 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288412 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 288415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 288420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 288424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288429 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288432 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288435 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288438 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 288441 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 288445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 288447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 288450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288455 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 288458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 288461 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 288464 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 288469 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288474 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288479 */   // GIR_Coverage, 7598,
     /* 288479 */   GIR_EraseRootFromParent_Done,
     /* 288480 */ // Label 4756: @288480
     /* 288480 */ GIM_Reject,
     /* 288481 */ // Label 4716: @288481
     /* 288481 */ GIM_Reject,
     /* 288482 */ // Label 46: @288482
     /* 288482 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 4761*/ GIMT_Encode4(290017),
     /* 288493 */ /*GILLT_s16*//*Label 4757*/ GIMT_Encode4(288509),
     /* 288497 */ /*GILLT_s32*//*Label 4758*/ GIMT_Encode4(288820),
     /* 288501 */ /*GILLT_s64*//*Label 4759*/ GIMT_Encode4(289461),
     /* 288505 */ /*GILLT_v2s16*//*Label 4760*/ GIMT_Encode4(289848),
     /* 288509 */ // Label 4757: @288509
     /* 288509 */ GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(288819),
     /* 288514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 288517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 288520 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(288606), // Rule ID 845 //
     /* 288525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 288528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 288532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 288540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 288544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 288548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288556 */     // MIs[2] Operand 1
     /* 288556 */     // No operand predicates
     /* 288556 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 288560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 288569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 288576 */     // (shl:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHLREV_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 288576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_t16_e64),
     /* 288579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 288586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 288591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 288596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 288601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288604 */     GIR_RootConstrainSelectedInstOperands,
     /* 288605 */     // GIR_Coverage, 845,
     /* 288605 */     GIR_EraseRootFromParent_Done,
     /* 288606 */   // Label 4763: @288606
     /* 288606 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(288662), // Rule ID 844 //
     /* 288611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 288614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 288618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 288625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 288632 */     // (shl:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_LSHLREV_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 288632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_t16_e64),
     /* 288635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 288642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 288647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 288652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 288657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288660 */     GIR_RootConstrainSelectedInstOperands,
     /* 288661 */     // GIR_Coverage, 844,
     /* 288661 */     GIR_EraseRootFromParent_Done,
     /* 288662 */   // Label 4764: @288662
     /* 288662 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(288717), // Rule ID 843 //
     /* 288667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 288670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 288682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 288686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 288690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288698 */     // MIs[2] Operand 1
     /* 288698 */     // No operand predicates
     /* 288698 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 288702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288704 */     // (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHLREV_B16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 288704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 288707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 288713 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 288715 */     GIR_RootConstrainSelectedInstOperands,
     /* 288716 */     // GIR_Coverage, 843,
     /* 288716 */     GIR_EraseRootFromParent_Done,
     /* 288717 */   // Label 4765: @288717
     /* 288717 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(288772), // Rule ID 847 //
     /* 288722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 288725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 288737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 288741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 288745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288753 */     // MIs[2] Operand 1
     /* 288753 */     // No operand predicates
     /* 288753 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 288757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288759 */     // (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHLREV_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 288759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_fake16_e64),
     /* 288762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 288768 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 288770 */     GIR_RootConstrainSelectedInstOperands,
     /* 288771 */     // GIR_Coverage, 847,
     /* 288771 */     GIR_EraseRootFromParent_Done,
     /* 288772 */   // Label 4766: @288772
     /* 288772 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(288795), // Rule ID 842 //
     /* 288777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 288780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288784 */     // (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_LSHLREV_B16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 288784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_e64),
     /* 288787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 288791 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 288793 */     GIR_RootConstrainSelectedInstOperands,
     /* 288794 */     // GIR_Coverage, 842,
     /* 288794 */     GIR_EraseRootFromParent_Done,
     /* 288795 */   // Label 4767: @288795
     /* 288795 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(288818), // Rule ID 846 //
     /* 288800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 288803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288807 */     // (shl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_LSHLREV_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 288807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B16_fake16_e64),
     /* 288810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288812 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 288814 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 288816 */     GIR_RootConstrainSelectedInstOperands,
     /* 288817 */     // GIR_Coverage, 846,
     /* 288817 */     GIR_EraseRootFromParent_Done,
     /* 288818 */   // Label 4768: @288818
     /* 288818 */   GIM_Reject,
     /* 288819 */ // Label 4762: @288819
     /* 288819 */ GIM_Reject,
     /* 288820 */ // Label 4758: @288820
     /* 288820 */ GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(289460),
     /* 288825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 288828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 288831 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(288899), // Rule ID 7769 //
     /* 288836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 288840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 288848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 288856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 288864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 288872 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /* 288876 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 288880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35298),
     /* 288884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288886 */     // (shl:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$a), -1:{ *:[i32] }), i32:{ *:[i32] }:$b)<<P:Predicate_anonymous_35298>>  =>  (S_BFM_B32:{ *:[i32] } ?:{ *:[i32] }:$a, ?:{ *:[i32] }:$b)
     /* 288886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BFM_B32),
     /* 288889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 288891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // a
     /* 288895 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288897 */     GIR_RootConstrainSelectedInstOperands,
     /* 288898 */     // GIR_Coverage, 7769,
     /* 288898 */     GIR_EraseRootFromParent_Done,
     /* 288899 */   // Label 4770: @288899
     /* 288899 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(288967), // Rule ID 7771 //
     /* 288904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 288916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 288924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 288932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 288940 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /* 288944 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 288948 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35300),
     /* 288952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288954 */     // (shl:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, i32:{ *:[i32] }:$a), -1:{ *:[i32] }), i32:{ *:[i32] }:$b)<<P:Predicate_anonymous_35300>>  =>  (V_BFM_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$a, ?:{ *:[i32] }:$b)
     /* 288954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFM_B32_e64),
     /* 288957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 288959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // a
     /* 288963 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288965 */     GIR_RootConstrainSelectedInstOperands,
     /* 288966 */     // GIR_Coverage, 7771,
     /* 288966 */     GIR_EraseRootFromParent_Done,
     /* 288967 */   // Label 4771: @288967
     /* 288967 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(289062), // Rule ID 2613 //
     /* 288972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 288975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 288979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 288987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 288995 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 288997 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /* 289001 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /* 289005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 289009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 289017 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 289021 */     GIM_RecordNamedOperand, /*MI*/2, /*Op*/1, /*StoreIdx*/2, // Name : pred:2:z
     /* 289025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289033 */     // MIs[3] Operand 1
     /* 289033 */     // No operand predicates
     /* 289033 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 289037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20922),
     /* 289041 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289043 */     // (shl:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:2:x, i32:{ *:[i32] }:$src1:$pred:2:y)<<P:Predicate_anonymous_20923>>, (and:{ *:[i32] } i32:{ *:[i32] }:$src2:$pred:2:z, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:2:Predicate_anonymous_20922>>  =>  (V_ADD_LSHL_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 289043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_LSHL_U32_e64),
     /* 289046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 289052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 289056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 289060 */     GIR_RootConstrainSelectedInstOperands,
     /* 289061 */     // GIR_Coverage, 2613,
     /* 289061 */     GIR_EraseRootFromParent_Done,
     /* 289062 */   // Label 4772: @289062
     /* 289062 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(289130), // Rule ID 69 //
     /* 289067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289104 */     // MIs[2] Operand 1
     /* 289104 */     // No operand predicates
     /* 289104 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 289108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13767),
     /* 289112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289114 */     // (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_13767>>  =>  (S_LSHL_B32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 289114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /* 289117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 289119 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 289121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 289125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 289128 */     GIR_RootConstrainSelectedInstOperands,
     /* 289129 */     // GIR_Coverage, 69,
     /* 289129 */     GIR_EraseRootFromParent_Done,
     /* 289130 */   // Label 4773: @289130
     /* 289130 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(289186), // Rule ID 2500 //
     /* 289135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289163 */     // MIs[2] Operand 1
     /* 289163 */     // No operand predicates
     /* 289163 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 289167 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19692),
     /* 289171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289173 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_19692>>  =>  (V_LSHLREV_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 289173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /* 289176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 289182 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 289184 */     GIR_RootConstrainSelectedInstOperands,
     /* 289185 */     // GIR_Coverage, 2500,
     /* 289185 */     GIR_EraseRootFromParent_Done,
     /* 289186 */   // Label 4774: @289186
     /* 289186 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(289251), // Rule ID 2612 //
     /* 289191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 289194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 289206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289214 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 289216 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /* 289220 */     GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /* 289224 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:2:z
     /* 289228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20922),
     /* 289232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289234 */     // (shl:{ *:[i32] } (add:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:2:x, i32:{ *:[i32] }:$src1:$pred:2:y)<<P:Predicate_anonymous_20923>>, i32:{ *:[i32] }:$src2:$pred:2:z)<<P:2:Predicate_anonymous_20922>>  =>  (V_ADD_LSHL_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 289234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_LSHL_U32_e64),
     /* 289237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 289243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 289247 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 289249 */     GIR_RootConstrainSelectedInstOperands,
     /* 289250 */     // GIR_Coverage, 2612,
     /* 289250 */     GIR_EraseRootFromParent_Done,
     /* 289251 */   // Label 4775: @289251
     /* 289251 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(289285), // Rule ID 68 //
     /* 289256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289268 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13767),
     /* 289272 */     // (shl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13767>>  =>  (S_LSHL_B32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 289272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B32),
     /* 289277 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 289283 */     GIR_RootConstrainSelectedInstOperands,
     /* 289284 */     // GIR_Coverage, 68,
     /* 289284 */     GIR_Done,
     /* 289285 */   // Label 4776: @289285
     /* 289285 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(289309), // Rule ID 2499 //
     /* 289290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289294 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19692),
     /* 289298 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19692>>  =>  (V_LSHLREV_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 289298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /* 289301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289303 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 289305 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 289307 */     GIR_RootConstrainSelectedInstOperands,
     /* 289308 */     // GIR_Coverage, 2499,
     /* 289308 */     GIR_EraseRootFromParent_Done,
     /* 289309 */   // Label 4777: @289309
     /* 289309 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(289361), // Rule ID 815 //
     /* 289314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289342 */     // MIs[2] Operand 1
     /* 289342 */     // No operand predicates
     /* 289342 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 289346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289348 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src1, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_LSHLREV_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /* 289351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 289357 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289359 */     GIR_RootConstrainSelectedInstOperands,
     /* 289360 */     // GIR_Coverage, 815,
     /* 289360 */     GIR_EraseRootFromParent_Done,
     /* 289361 */   // Label 4778: @289361
     /* 289361 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(289416), // Rule ID 841 //
     /* 289366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 289369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289397 */     // MIs[2] Operand 1
     /* 289397 */     // No operand predicates
     /* 289397 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 289401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289403 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_LSHL_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_B32_e64),
     /* 289406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289408 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 289410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 289414 */     GIR_RootConstrainSelectedInstOperands,
     /* 289415 */     // GIR_Coverage, 841,
     /* 289415 */     GIR_EraseRootFromParent_Done,
     /* 289416 */   // Label 4779: @289416
     /* 289416 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(289436), // Rule ID 814 //
     /* 289421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289425 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)  =>  (V_LSHLREV_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /* 289428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289430 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 289432 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289434 */     GIR_RootConstrainSelectedInstOperands,
     /* 289435 */     // GIR_Coverage, 814,
     /* 289435 */     GIR_EraseRootFromParent_Done,
     /* 289436 */   // Label 4780: @289436
     /* 289436 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(289459), // Rule ID 840 //
     /* 289441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 289444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289448 */     // (shl:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_LSHL_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_B32_e64),
     /* 289453 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 289457 */     GIR_RootConstrainSelectedInstOperands,
     /* 289458 */     // GIR_Coverage, 840,
     /* 289458 */     GIR_Done,
     /* 289459 */   // Label 4781: @289459
     /* 289459 */   GIM_Reject,
     /* 289460 */ // Label 4769: @289460
     /* 289460 */ GIM_Reject,
     /* 289461 */ // Label 4759: @289461
     /* 289461 */ GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(289847),
     /* 289466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 289469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 289472 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(289540), // Rule ID 71 //
     /* 289477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 289481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 289485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289514 */     // MIs[2] Operand 1
     /* 289514 */     // No operand predicates
     /* 289514 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 289518 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13768),
     /* 289522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289524 */     // (shl:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)<<P:Predicate_anonymous_13768>>  =>  (S_LSHL_B64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 289524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B64),
     /* 289527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 289529 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 289531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 289535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 289538 */     GIR_RootConstrainSelectedInstOperands,
     /* 289539 */     // GIR_Coverage, 71,
     /* 289539 */     GIR_EraseRootFromParent_Done,
     /* 289540 */   // Label 4783: @289540
     /* 289540 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(289574), // Rule ID 70 //
     /* 289545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 289549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 289553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 289557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13768),
     /* 289561 */     // (shl:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13768>>  =>  (S_LSHL_B64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 289561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHL_B64),
     /* 289566 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 289572 */     GIR_RootConstrainSelectedInstOperands,
     /* 289573 */     // GIR_Coverage, 70,
     /* 289573 */     GIR_Done,
     /* 289574 */   // Label 4784: @289574
     /* 289574 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(289639), // Rule ID 986 //
     /* 289579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 289582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289610 */     // MIs[2] Operand 1
     /* 289610 */     // No operand predicates
     /* 289610 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 289614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 289623 */     // (shl:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_LSHL_B64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_B64_e64),
     /* 289626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 289633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 289637 */     GIR_RootConstrainSelectedInstOperands,
     /* 289638 */     // GIR_Coverage, 986,
     /* 289638 */     GIR_EraseRootFromParent_Done,
     /* 289639 */   // Label 4785: @289639
     /* 289639 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(289702), // Rule ID 996 //
     /* 289644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8GFX9GFX10GFX11),
     /* 289647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289675 */     // MIs[2] Operand 1
     /* 289675 */     // No operand predicates
     /* 289675 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 289679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 289688 */     // (shl:{ *:[i64] } i64:{ *:[i64] }:$src1, (and:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_LSHLREV_B64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 289688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B64_e64),
     /* 289691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 289698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289700 */     GIR_RootConstrainSelectedInstOperands,
     /* 289701 */     // GIR_Coverage, 996,
     /* 289701 */     GIR_EraseRootFromParent_Done,
     /* 289702 */   // Label 4786: @289702
     /* 289702 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(289735), // Rule ID 985 //
     /* 289707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 289710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 289721 */     // (shl:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_LSHL_B64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 289721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHL_B64_e64),
     /* 289724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 289731 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 289733 */     GIR_RootConstrainSelectedInstOperands,
     /* 289734 */     // GIR_Coverage, 985,
     /* 289734 */     GIR_EraseRootFromParent_Done,
     /* 289735 */   // Label 4787: @289735
     /* 289735 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(289768), // Rule ID 995 //
     /* 289740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8GFX9GFX10GFX11),
     /* 289743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 289754 */     // (shl:{ *:[i64] } i64:{ *:[i64] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_LSHLREV_B64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 289754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B64_e64),
     /* 289757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 289764 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289766 */     GIR_RootConstrainSelectedInstOperands,
     /* 289767 */     // GIR_Coverage, 995,
     /* 289767 */     GIR_EraseRootFromParent_Done,
     /* 289768 */   // Label 4788: @289768
     /* 289768 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(289823), // Rule ID 922 //
     /* 289773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 289776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 289796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289804 */     // MIs[2] Operand 1
     /* 289804 */     // No operand predicates
     /* 289804 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 289808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289810 */     // (shl:{ *:[i64] } i64:{ *:[i64] }:$src1, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_LSHLREV_B64_pseudo_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 289810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B64_pseudo_e64),
     /* 289813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 289819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289821 */     GIR_RootConstrainSelectedInstOperands,
     /* 289822 */     // GIR_Coverage, 922,
     /* 289822 */     GIR_EraseRootFromParent_Done,
     /* 289823 */   // Label 4789: @289823
     /* 289823 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(289846), // Rule ID 921 //
     /* 289828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 289831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 289835 */     // (shl:{ *:[i64] } i64:{ *:[i64] }:$src1, i32:{ *:[i32] }:$src0)  =>  (V_LSHLREV_B64_pseudo_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 289835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B64_pseudo_e64),
     /* 289838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 289842 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 289844 */     GIR_RootConstrainSelectedInstOperands,
     /* 289845 */     // GIR_Coverage, 921,
     /* 289845 */     GIR_EraseRootFromParent_Done,
     /* 289846 */   // Label 4790: @289846
     /* 289846 */   GIM_Reject,
     /* 289847 */ // Label 4782: @289847
     /* 289847 */ GIM_Reject,
     /* 289848 */ // Label 4760: @289848
     /* 289848 */ GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(290016),
     /* 289853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 289856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 289859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 289863 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(289954), // Rule ID 1110 //
     /* 289868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 289876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 289880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 289884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289892 */     // MIs[2] Operand 1
     /* 289892 */     // No operand predicates
     /* 289892 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 289896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 289905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 289912 */     // (shl:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[v2i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_PK_LSHLREV_B16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 289912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_LSHLREV_B16),
     /* 289915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 289922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 289927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 289932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 289937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289952 */     GIR_RootConstrainSelectedInstOperands,
     /* 289953 */     // GIR_Coverage, 1110,
     /* 289953 */     GIR_EraseRootFromParent_Done,
     /* 289954 */   // Label 4792: @289954
     /* 289954 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(290015), // Rule ID 1109 //
     /* 289959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 289966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 289973 */     // (shl:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_PK_LSHLREV_B16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 289973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_LSHLREV_B16),
     /* 289976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 289978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 289983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 289988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 289993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 289998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290013 */     GIR_RootConstrainSelectedInstOperands,
     /* 290014 */     // GIR_Coverage, 1109,
     /* 290014 */     GIR_EraseRootFromParent_Done,
     /* 290015 */   // Label 4793: @290015
     /* 290015 */   GIM_Reject,
     /* 290016 */ // Label 4791: @290016
     /* 290016 */ GIM_Reject,
     /* 290017 */ // Label 4761: @290017
     /* 290017 */ GIM_Reject,
     /* 290018 */ // Label 47: @290018
     /* 290018 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 4798*/ GIMT_Encode4(291179),
     /* 290029 */ /*GILLT_s16*//*Label 4794*/ GIMT_Encode4(290045),
     /* 290033 */ /*GILLT_s32*//*Label 4795*/ GIMT_Encode4(290356),
     /* 290037 */ /*GILLT_s64*//*Label 4796*/ GIMT_Encode4(290701),
     /* 290041 */ /*GILLT_v2s16*//*Label 4797*/ GIMT_Encode4(291010),
     /* 290045 */ // Label 4794: @290045
     /* 290045 */ GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(290355),
     /* 290050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 290053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 290056 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(290142), // Rule ID 851 //
     /* 290061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 290064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 290068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 290084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290092 */     // MIs[2] Operand 1
     /* 290092 */     // No operand predicates
     /* 290092 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 290096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 290105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 290112 */     // (srl:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHRREV_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 290112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_t16_e64),
     /* 290115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 290122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 290127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 290132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 290137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290140 */     GIR_RootConstrainSelectedInstOperands,
     /* 290141 */     // GIR_Coverage, 851,
     /* 290141 */     GIR_EraseRootFromParent_Done,
     /* 290142 */   // Label 4800: @290142
     /* 290142 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(290198), // Rule ID 850 //
     /* 290147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 290150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 290154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 290161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 290168 */     // (srl:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_LSHRREV_B16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 290168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_t16_e64),
     /* 290171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 290178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 290183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 290188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 290193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290196 */     GIR_RootConstrainSelectedInstOperands,
     /* 290197 */     // GIR_Coverage, 850,
     /* 290197 */     GIR_EraseRootFromParent_Done,
     /* 290198 */   // Label 4801: @290198
     /* 290198 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(290253), // Rule ID 849 //
     /* 290203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 290206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 290226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290234 */     // MIs[2] Operand 1
     /* 290234 */     // No operand predicates
     /* 290234 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 290238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290240 */     // (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHRREV_B16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 290240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 290243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 290249 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290251 */     GIR_RootConstrainSelectedInstOperands,
     /* 290252 */     // GIR_Coverage, 849,
     /* 290252 */     GIR_EraseRootFromParent_Done,
     /* 290253 */   // Label 4802: @290253
     /* 290253 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(290308), // Rule ID 853 //
     /* 290258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 290261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 290281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290289 */     // MIs[2] Operand 1
     /* 290289 */     // No operand predicates
     /* 290289 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 290293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290295 */     // (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_LSHRREV_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 290295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_fake16_e64),
     /* 290298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 290304 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290306 */     GIR_RootConstrainSelectedInstOperands,
     /* 290307 */     // GIR_Coverage, 853,
     /* 290307 */     GIR_EraseRootFromParent_Done,
     /* 290308 */   // Label 4803: @290308
     /* 290308 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(290331), // Rule ID 848 //
     /* 290313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 290316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290320 */     // (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_LSHRREV_B16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 290320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_e64),
     /* 290323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290325 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 290327 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290329 */     GIR_RootConstrainSelectedInstOperands,
     /* 290330 */     // GIR_Coverage, 848,
     /* 290330 */     GIR_EraseRootFromParent_Done,
     /* 290331 */   // Label 4804: @290331
     /* 290331 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(290354), // Rule ID 852 //
     /* 290336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 290339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290343 */     // (srl:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_LSHRREV_B16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 290343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B16_fake16_e64),
     /* 290346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290348 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 290350 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290352 */     GIR_RootConstrainSelectedInstOperands,
     /* 290353 */     // GIR_Coverage, 852,
     /* 290353 */     GIR_EraseRootFromParent_Done,
     /* 290354 */   // Label 4805: @290354
     /* 290354 */   GIM_Reject,
     /* 290355 */ // Label 4799: @290355
     /* 290355 */ GIM_Reject,
     /* 290356 */ // Label 4795: @290356
     /* 290356 */ GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(290700),
     /* 290361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 290364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 290367 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(290435), // Rule ID 73 //
     /* 290372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290409 */     // MIs[2] Operand 1
     /* 290409 */     // No operand predicates
     /* 290409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 290413 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13769),
     /* 290417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290419 */     // (srl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_13769>>  =>  (S_LSHR_B32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 290419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHR_B32),
     /* 290422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 290424 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 290426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 290430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 290433 */     GIR_RootConstrainSelectedInstOperands,
     /* 290434 */     // GIR_Coverage, 73,
     /* 290434 */     GIR_EraseRootFromParent_Done,
     /* 290435 */   // Label 4807: @290435
     /* 290435 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(290491), // Rule ID 2496 //
     /* 290440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290468 */     // MIs[2] Operand 1
     /* 290468 */     // No operand predicates
     /* 290468 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 290472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19688),
     /* 290476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290478 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_19688>>  =>  (V_LSHRREV_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 290478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B32_e64),
     /* 290481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 290487 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 290489 */     GIR_RootConstrainSelectedInstOperands,
     /* 290490 */     // GIR_Coverage, 2496,
     /* 290490 */     GIR_EraseRootFromParent_Done,
     /* 290491 */   // Label 4808: @290491
     /* 290491 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(290525), // Rule ID 72 //
     /* 290496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290508 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13769),
     /* 290512 */     // (srl:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13769>>  =>  (S_LSHR_B32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 290512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHR_B32),
     /* 290517 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 290523 */     GIR_RootConstrainSelectedInstOperands,
     /* 290524 */     // GIR_Coverage, 72,
     /* 290524 */     GIR_Done,
     /* 290525 */   // Label 4809: @290525
     /* 290525 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(290549), // Rule ID 2495 //
     /* 290530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19688),
     /* 290538 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19688>>  =>  (V_LSHRREV_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 290538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B32_e64),
     /* 290541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290543 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 290545 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 290547 */     GIR_RootConstrainSelectedInstOperands,
     /* 290548 */     // GIR_Coverage, 2495,
     /* 290548 */     GIR_EraseRootFromParent_Done,
     /* 290549 */   // Label 4810: @290549
     /* 290549 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(290601), // Rule ID 811 //
     /* 290554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290582 */     // MIs[2] Operand 1
     /* 290582 */     // No operand predicates
     /* 290582 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 290586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290588 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_LSHRREV_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B32_e64),
     /* 290591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 290597 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290599 */     GIR_RootConstrainSelectedInstOperands,
     /* 290600 */     // GIR_Coverage, 811,
     /* 290600 */     GIR_EraseRootFromParent_Done,
     /* 290601 */   // Label 4811: @290601
     /* 290601 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(290656), // Rule ID 837 //
     /* 290606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 290609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290637 */     // MIs[2] Operand 1
     /* 290637 */     // No operand predicates
     /* 290637 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 290641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290643 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_LSHR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHR_B32_e64),
     /* 290646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290648 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 290650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 290654 */     GIR_RootConstrainSelectedInstOperands,
     /* 290655 */     // GIR_Coverage, 837,
     /* 290655 */     GIR_EraseRootFromParent_Done,
     /* 290656 */   // Label 4812: @290656
     /* 290656 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(290676), // Rule ID 810 //
     /* 290661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290665 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)  =>  (V_LSHRREV_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B32_e64),
     /* 290668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290670 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 290672 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290674 */     GIR_RootConstrainSelectedInstOperands,
     /* 290675 */     // GIR_Coverage, 810,
     /* 290675 */     GIR_EraseRootFromParent_Done,
     /* 290676 */   // Label 4813: @290676
     /* 290676 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(290699), // Rule ID 836 //
     /* 290681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 290684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 290688 */     // (srl:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_LSHR_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHR_B32_e64),
     /* 290693 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 290697 */     GIR_RootConstrainSelectedInstOperands,
     /* 290698 */     // GIR_Coverage, 836,
     /* 290698 */     GIR_Done,
     /* 290699 */   // Label 4814: @290699
     /* 290699 */   GIM_Reject,
     /* 290700 */ // Label 4806: @290700
     /* 290700 */ GIM_Reject,
     /* 290701 */ // Label 4796: @290701
     /* 290701 */ GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(291009),
     /* 290706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 290709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 290712 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(290780), // Rule ID 75 //
     /* 290717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 290721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 290725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290754 */     // MIs[2] Operand 1
     /* 290754 */     // No operand predicates
     /* 290754 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 290758 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13770),
     /* 290762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290764 */     // (srl:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)<<P:Predicate_anonymous_13770>>  =>  (S_LSHR_B64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 290764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHR_B64),
     /* 290767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 290769 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 290771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 290775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 290778 */     GIR_RootConstrainSelectedInstOperands,
     /* 290779 */     // GIR_Coverage, 75,
     /* 290779 */     GIR_EraseRootFromParent_Done,
     /* 290780 */   // Label 4816: @290780
     /* 290780 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(290814), // Rule ID 74 //
     /* 290785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 290789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 290793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 290797 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13770),
     /* 290801 */     // (srl:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13770>>  =>  (S_LSHR_B64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 290801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_LSHR_B64),
     /* 290806 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 290812 */     GIR_RootConstrainSelectedInstOperands,
     /* 290813 */     // GIR_Coverage, 74,
     /* 290813 */     GIR_Done,
     /* 290814 */   // Label 4817: @290814
     /* 290814 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(290879), // Rule ID 988 //
     /* 290819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 290822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 290826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290850 */     // MIs[2] Operand 1
     /* 290850 */     // No operand predicates
     /* 290850 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 290854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 290863 */     // (srl:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_LSHR_B64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHR_B64_e64),
     /* 290866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 290873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 290877 */     GIR_RootConstrainSelectedInstOperands,
     /* 290878 */     // GIR_Coverage, 988,
     /* 290878 */     GIR_EraseRootFromParent_Done,
     /* 290879 */   // Label 4818: @290879
     /* 290879 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(290942), // Rule ID 992 //
     /* 290884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 290887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 290891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 290899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 290907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290915 */     // MIs[2] Operand 1
     /* 290915 */     // No operand predicates
     /* 290915 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 290919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 290928 */     // (srl:{ *:[i64] } i64:{ *:[i64] }:$src1, (and:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_LSHRREV_B64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 290928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B64_e64),
     /* 290931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 290938 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 290940 */     GIR_RootConstrainSelectedInstOperands,
     /* 290941 */     // GIR_Coverage, 992,
     /* 290941 */     GIR_EraseRootFromParent_Done,
     /* 290942 */   // Label 4819: @290942
     /* 290942 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(290975), // Rule ID 987 //
     /* 290947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 290950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 290954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 290961 */     // (srl:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_LSHR_B64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 290961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHR_B64_e64),
     /* 290964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 290971 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 290973 */     GIR_RootConstrainSelectedInstOperands,
     /* 290974 */     // GIR_Coverage, 987,
     /* 290974 */     GIR_EraseRootFromParent_Done,
     /* 290975 */   // Label 4820: @290975
     /* 290975 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(291008), // Rule ID 991 //
     /* 290980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 290983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 290987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 290994 */     // (srl:{ *:[i64] } i64:{ *:[i64] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_LSHRREV_B64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 290994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B64_e64),
     /* 290997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 290999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 291004 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291006 */     GIR_RootConstrainSelectedInstOperands,
     /* 291007 */     // GIR_Coverage, 991,
     /* 291007 */     GIR_EraseRootFromParent_Done,
     /* 291008 */   // Label 4821: @291008
     /* 291008 */   GIM_Reject,
     /* 291009 */ // Label 4815: @291009
     /* 291009 */ GIM_Reject,
     /* 291010 */ // Label 4797: @291010
     /* 291010 */ GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(291178),
     /* 291015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 291018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 291021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291025 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(291116), // Rule ID 1114 //
     /* 291030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 291042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 291046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291054 */     // MIs[2] Operand 1
     /* 291054 */     // No operand predicates
     /* 291054 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 291058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 291067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 291074 */     // (srl:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[v2i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_PK_LSHRREV_B16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 291074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_LSHRREV_B16),
     /* 291077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 291084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 291089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 291094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 291099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291114 */     GIR_RootConstrainSelectedInstOperands,
     /* 291115 */     // GIR_Coverage, 1114,
     /* 291115 */     GIR_EraseRootFromParent_Done,
     /* 291116 */   // Label 4823: @291116
     /* 291116 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(291177), // Rule ID 1113 //
     /* 291121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 291128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 291135 */     // (srl:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_PK_LSHRREV_B16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 291135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_LSHRREV_B16),
     /* 291138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 291145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 291150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 291155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 291160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291175 */     GIR_RootConstrainSelectedInstOperands,
     /* 291176 */     // GIR_Coverage, 1113,
     /* 291176 */     GIR_EraseRootFromParent_Done,
     /* 291177 */   // Label 4824: @291177
     /* 291177 */   GIM_Reject,
     /* 291178 */ // Label 4822: @291178
     /* 291178 */ GIM_Reject,
     /* 291179 */ // Label 4798: @291179
     /* 291179 */ GIM_Reject,
     /* 291180 */ // Label 48: @291180
     /* 291180 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 4829*/ GIMT_Encode4(292341),
     /* 291191 */ /*GILLT_s16*//*Label 4825*/ GIMT_Encode4(291207),
     /* 291195 */ /*GILLT_s32*//*Label 4826*/ GIMT_Encode4(291518),
     /* 291199 */ /*GILLT_s64*//*Label 4827*/ GIMT_Encode4(291863),
     /* 291203 */ /*GILLT_v2s16*//*Label 4828*/ GIMT_Encode4(292172),
     /* 291207 */ // Label 4825: @291207
     /* 291207 */ GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(291517),
     /* 291212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 291215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 291218 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(291304), // Rule ID 857 //
     /* 291223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 291226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 291230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 291246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291254 */     // MIs[2] Operand 1
     /* 291254 */     // No operand predicates
     /* 291254 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 291258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 291267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 291274 */     // (sra:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_ASHRREV_I16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 291274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_t16_e64),
     /* 291277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 291284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 291289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 291294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 291299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291302 */     GIR_RootConstrainSelectedInstOperands,
     /* 291303 */     // GIR_Coverage, 857,
     /* 291303 */     GIR_EraseRootFromParent_Done,
     /* 291304 */   // Label 4831: @291304
     /* 291304 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(291360), // Rule ID 856 //
     /* 291309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 291312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 291316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 291323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 291330 */     // (sra:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_ASHRREV_I16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 291330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_t16_e64),
     /* 291333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 291340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 291345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 291350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 291355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291358 */     GIR_RootConstrainSelectedInstOperands,
     /* 291359 */     // GIR_Coverage, 856,
     /* 291359 */     GIR_EraseRootFromParent_Done,
     /* 291360 */   // Label 4832: @291360
     /* 291360 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(291415), // Rule ID 855 //
     /* 291365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 291368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 291388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291396 */     // MIs[2] Operand 1
     /* 291396 */     // No operand predicates
     /* 291396 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 291400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291402 */     // (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_ASHRREV_I16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 291402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 291405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 291411 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291413 */     GIR_RootConstrainSelectedInstOperands,
     /* 291414 */     // GIR_Coverage, 855,
     /* 291414 */     GIR_EraseRootFromParent_Done,
     /* 291415 */   // Label 4833: @291415
     /* 291415 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(291470), // Rule ID 859 //
     /* 291420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 291423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 291443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291451 */     // MIs[2] Operand 1
     /* 291451 */     // No operand predicates
     /* 291451 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 291455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291457 */     // (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, (and:{ *:[i16] } i16:{ *:[i16] }:$src0, (imm:{ *:[i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_ASHRREV_I16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 291457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_fake16_e64),
     /* 291460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 291466 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291468 */     GIR_RootConstrainSelectedInstOperands,
     /* 291469 */     // GIR_Coverage, 859,
     /* 291469 */     GIR_EraseRootFromParent_Done,
     /* 291470 */   // Label 4834: @291470
     /* 291470 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(291493), // Rule ID 854 //
     /* 291475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 291478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291482 */     // (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_ASHRREV_I16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 291482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_e64),
     /* 291485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291487 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 291489 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291491 */     GIR_RootConstrainSelectedInstOperands,
     /* 291492 */     // GIR_Coverage, 854,
     /* 291492 */     GIR_EraseRootFromParent_Done,
     /* 291493 */   // Label 4835: @291493
     /* 291493 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(291516), // Rule ID 858 //
     /* 291498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 291501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291505 */     // (sra:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)  =>  (V_ASHRREV_I16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 291505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I16_fake16_e64),
     /* 291508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291510 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 291512 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291514 */     GIR_RootConstrainSelectedInstOperands,
     /* 291515 */     // GIR_Coverage, 858,
     /* 291515 */     GIR_EraseRootFromParent_Done,
     /* 291516 */   // Label 4836: @291516
     /* 291516 */   GIM_Reject,
     /* 291517 */ // Label 4830: @291517
     /* 291517 */ GIM_Reject,
     /* 291518 */ // Label 4826: @291518
     /* 291518 */ GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(291862),
     /* 291523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 291526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 291529 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(291597), // Rule ID 77 //
     /* 291534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 291554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 291558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291571 */     // MIs[2] Operand 1
     /* 291571 */     // No operand predicates
     /* 291571 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 291575 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13771),
     /* 291579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291581 */     // (sra:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_13771>>  =>  (S_ASHR_I32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 291581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I32),
     /* 291584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 291586 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 291588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 291592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 291595 */     GIR_RootConstrainSelectedInstOperands,
     /* 291596 */     // GIR_Coverage, 77,
     /* 291596 */     GIR_EraseRootFromParent_Done,
     /* 291597 */   // Label 4838: @291597
     /* 291597 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(291653), // Rule ID 2498 //
     /* 291602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 291618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 291622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291630 */     // MIs[2] Operand 1
     /* 291630 */     // No operand predicates
     /* 291630 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 291634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19690),
     /* 291638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291640 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)<<P:Predicate_anonymous_19690>>  =>  (V_ASHRREV_I32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 291640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e64),
     /* 291643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 291649 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 291651 */     GIR_RootConstrainSelectedInstOperands,
     /* 291652 */     // GIR_Coverage, 2498,
     /* 291652 */     GIR_EraseRootFromParent_Done,
     /* 291653 */   // Label 4839: @291653
     /* 291653 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(291687), // Rule ID 76 //
     /* 291658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291670 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13771),
     /* 291674 */     // (sra:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13771>>  =>  (S_ASHR_I32:{ *:[i32] }:{ *:[i1] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 291674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I32),
     /* 291679 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 291685 */     GIR_RootConstrainSelectedInstOperands,
     /* 291686 */     // GIR_Coverage, 76,
     /* 291686 */     GIR_Done,
     /* 291687 */   // Label 4840: @291687
     /* 291687 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(291711), // Rule ID 2497 //
     /* 291692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291696 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_19690),
     /* 291700 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_19690>>  =>  (V_ASHRREV_I32_e64:{ *:[i32] } ?:{ *:[i32] }:$src1, ?:{ *:[i32] }:$src0)
     /* 291700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e64),
     /* 291703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291705 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 291707 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 291709 */     GIR_RootConstrainSelectedInstOperands,
     /* 291710 */     // GIR_Coverage, 2497,
     /* 291710 */     GIR_EraseRootFromParent_Done,
     /* 291711 */   // Label 4841: @291711
     /* 291711 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(291763), // Rule ID 813 //
     /* 291716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 291732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 291736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291744 */     // MIs[2] Operand 1
     /* 291744 */     // No operand predicates
     /* 291744 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 291748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291750 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, (and:{ *:[i32] } i32:{ *:[i32] }:$src0, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_ASHRREV_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 291750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e64),
     /* 291753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 291759 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291761 */     GIR_RootConstrainSelectedInstOperands,
     /* 291762 */     // GIR_Coverage, 813,
     /* 291762 */     GIR_EraseRootFromParent_Done,
     /* 291763 */   // Label 4842: @291763
     /* 291763 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(291818), // Rule ID 839 //
     /* 291768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 291771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 291787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 291791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291799 */     // MIs[2] Operand 1
     /* 291799 */     // No operand predicates
     /* 291799 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_32),
     /* 291803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291805 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_32>>)  =>  (V_ASHR_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 291805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_I32_e64),
     /* 291808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291810 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 291812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 291816 */     GIR_RootConstrainSelectedInstOperands,
     /* 291817 */     // GIR_Coverage, 839,
     /* 291817 */     GIR_EraseRootFromParent_Done,
     /* 291818 */   // Label 4843: @291818
     /* 291818 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(291838), // Rule ID 812 //
     /* 291823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291827 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)  =>  (V_ASHRREV_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 291827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I32_e64),
     /* 291830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 291832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 291834 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 291836 */     GIR_RootConstrainSelectedInstOperands,
     /* 291837 */     // GIR_Coverage, 812,
     /* 291837 */     GIR_EraseRootFromParent_Done,
     /* 291838 */   // Label 4844: @291838
     /* 291838 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(291861), // Rule ID 838 //
     /* 291843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 291846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 291850 */     // (sra:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ASHR_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 291850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_I32_e64),
     /* 291855 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 291859 */     GIR_RootConstrainSelectedInstOperands,
     /* 291860 */     // GIR_Coverage, 838,
     /* 291860 */     GIR_Done,
     /* 291861 */   // Label 4845: @291861
     /* 291861 */   GIM_Reject,
     /* 291862 */ // Label 4837: @291862
     /* 291862 */ GIM_Reject,
     /* 291863 */ // Label 4827: @291863
     /* 291863 */ GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(292171),
     /* 291868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 291871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 291874 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(291942), // Rule ID 79 //
     /* 291879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 291883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 291887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 291899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 291903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291916 */     // MIs[2] Operand 1
     /* 291916 */     // No operand predicates
     /* 291916 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 291920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13772),
     /* 291924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291926 */     // (sra:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, (and:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)<<P:Predicate_anonymous_13772>>  =>  (S_ASHR_I64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 291926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I64),
     /* 291929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 291931 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 291933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 291937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 291940 */     GIR_RootConstrainSelectedInstOperands,
     /* 291941 */     // GIR_Coverage, 79,
     /* 291941 */     GIR_EraseRootFromParent_Done,
     /* 291942 */   // Label 4847: @291942
     /* 291942 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(291976), // Rule ID 78 //
     /* 291947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 291951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 291955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 291959 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13772),
     /* 291963 */     // (sra:{ *:[i64] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13772>>  =>  (S_ASHR_I64:{ *:[i64] }:{ *:[i1] } SSrc_b64:{ *:[i64] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 291963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ASHR_I64),
     /* 291968 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 291974 */     GIR_RootConstrainSelectedInstOperands,
     /* 291975 */     // GIR_Coverage, 78,
     /* 291975 */     GIR_Done,
     /* 291976 */   // Label 4848: @291976
     /* 291976 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(292041), // Rule ID 990 //
     /* 291981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 291984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 291988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 291996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 292000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 292004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292012 */     // MIs[2] Operand 1
     /* 292012 */     // No operand predicates
     /* 292012 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 292016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292025 */     // (sra:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), (and:{ *:[i32] } i32:{ *:[i32] }:$src1, (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_ASHR_I64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 292025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_I64_e64),
     /* 292028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 292039 */     GIR_RootConstrainSelectedInstOperands,
     /* 292040 */     // GIR_Coverage, 990,
     /* 292040 */     GIR_EraseRootFromParent_Done,
     /* 292041 */   // Label 4849: @292041
     /* 292041 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(292104), // Rule ID 994 //
     /* 292046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 292049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 292053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 292061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 292065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 292069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292077 */     // MIs[2] Operand 1
     /* 292077 */     // No operand predicates
     /* 292077 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_64),
     /* 292081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292090 */     // (sra:{ *:[i64] } i64:{ *:[i64] }:$src1, (and:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), (imm:{ *:[i32] }))<<P:Predicate_csh_mask_64>>)  =>  (V_ASHRREV_I64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 292090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I64_e64),
     /* 292093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292100 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 292102 */     GIR_RootConstrainSelectedInstOperands,
     /* 292103 */     // GIR_Coverage, 994,
     /* 292103 */     GIR_EraseRootFromParent_Done,
     /* 292104 */   // Label 4850: @292104
     /* 292104 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(292137), // Rule ID 989 //
     /* 292109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 292112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 292116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292123 */     // (sra:{ *:[i64] } (VOP3Mods0:{ *:[i64] } i64:{ *:[i64] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_ASHR_I64_e64:{ *:[i64] } i64:{ *:[i64] }:$src0, i32:{ *:[i32] }:$src1)
     /* 292123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHR_I64_e64),
     /* 292126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292133 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292135 */     GIR_RootConstrainSelectedInstOperands,
     /* 292136 */     // GIR_Coverage, 989,
     /* 292136 */     GIR_EraseRootFromParent_Done,
     /* 292137 */   // Label 4851: @292137
     /* 292137 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(292170), // Rule ID 993 //
     /* 292142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 292145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 292149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292156 */     // (sra:{ *:[i64] } i64:{ *:[i64] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_ASHRREV_I64_e64:{ *:[i64] } i32:{ *:[i32] }:$src0, i64:{ *:[i64] }:$src1)
     /* 292156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ASHRREV_I64_e64),
     /* 292159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 292168 */     GIR_RootConstrainSelectedInstOperands,
     /* 292169 */     // GIR_Coverage, 993,
     /* 292169 */     GIR_EraseRootFromParent_Done,
     /* 292170 */   // Label 4852: @292170
     /* 292170 */   GIM_Reject,
     /* 292171 */ // Label 4846: @292171
     /* 292171 */ GIM_Reject,
     /* 292172 */ // Label 4828: @292172
     /* 292172 */ GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(292340),
     /* 292177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 292180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 292183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292187 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(292278), // Rule ID 1112 //
     /* 292192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 292200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 292204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 292208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292216 */     // MIs[2] Operand 1
     /* 292216 */     // No operand predicates
     /* 292216 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_csh_mask_16),
     /* 292220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 292229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 292236 */     // (sra:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (and:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (imm:{ *:[v2i16] }))<<P:Predicate_csh_mask_16>>)  =>  (V_PK_ASHRREV_I16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 292236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ASHRREV_I16),
     /* 292239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 292246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 292251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 292256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 292261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292276 */     GIR_RootConstrainSelectedInstOperands,
     /* 292277 */     // GIR_Coverage, 1112,
     /* 292277 */     GIR_EraseRootFromParent_Done,
     /* 292278 */   // Label 4854: @292278
     /* 292278 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(292339), // Rule ID 1111 //
     /* 292283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 292290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 292297 */     // (sra:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_PK_ASHRREV_I16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 292297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ASHRREV_I16),
     /* 292300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 292307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 292312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 292317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 292322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292337 */     GIR_RootConstrainSelectedInstOperands,
     /* 292338 */     // GIR_Coverage, 1111,
     /* 292338 */     GIR_EraseRootFromParent_Done,
     /* 292339 */   // Label 4855: @292339
     /* 292339 */   GIM_Reject,
     /* 292340 */ // Label 4853: @292340
     /* 292340 */ GIM_Reject,
     /* 292341 */ // Label 4829: @292341
     /* 292341 */ GIM_Reject,
     /* 292342 */ // Label 49: @292342
     /* 292342 */ GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(292603),
     /* 292347 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 292350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 292353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 292356 */   GIM_SwitchType, /*MI*/0, /*Op*/3, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 4859*/ GIMT_Encode4(292564),
     /* 292367 */   /*GILLT_s16*//*Label 4857*/ GIMT_Encode4(292375),
     /* 292371 */   /*GILLT_s32*//*Label 4858*/ GIMT_Encode4(292452),
     /* 292375 */   // Label 4857: @292375
     /* 292375 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(292451), // Rule ID 963 //
     /* 292380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 292383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 292394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 292401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 292408 */     // (fshr:{ *:[i32] } (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_ALIGNBIT_B32_fake16_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 292408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 292411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 292433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 292438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 292443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292449 */     GIR_RootConstrainSelectedInstOperands,
     /* 292450 */     // GIR_Coverage, 963,
     /* 292450 */     GIR_EraseRootFromParent_Done,
     /* 292451 */   // Label 4860: @292451
     /* 292451 */   GIM_Reject,
     /* 292452 */   // Label 4858: @292452
     /* 292452 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(292563),
     /* 292457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292461 */     GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(292526), // Rule ID 7533 //
     /* 292466 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 292469 */       // (fshr:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_ALIGNBIT_B32_t16_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i16] } VGPR_32:{ *:[i32] }:$src2, lo16:{ *:[i32] }), 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 292469 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292472 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292476 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292481 */       GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(2), // src2
     /* 292487 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 292492 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292497 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_t16_e64),
     /* 292500 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292502 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292505 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292507 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292510 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292512 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292515 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292518 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292521 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292524 */       GIR_RootConstrainSelectedInstOperands,
     /* 292525 */       // GIR_Coverage, 7533,
     /* 292525 */       GIR_EraseRootFromParent_Done,
     /* 292526 */     // Label 4862: @292526
     /* 292526 */     GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(292562), // Rule ID 7537 //
     /* 292531 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 292534 */       // (fshr:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_ALIGNBIT_B32_fake16_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i32] }, ?:{ *:[i32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 292534 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 292537 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292539 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292542 */       GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292544 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292547 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292549 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292552 */       GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 292554 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292557 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292560 */       GIR_RootConstrainSelectedInstOperands,
     /* 292561 */       // GIR_Coverage, 7537,
     /* 292561 */       GIR_EraseRootFromParent_Done,
     /* 292562 */     // Label 4863: @292562
     /* 292562 */     GIM_Reject,
     /* 292563 */   // Label 4861: @292563
     /* 292563 */   GIM_Reject,
     /* 292564 */   // Label 4859: @292564
     /* 292564 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(292602), // Rule ID 962 //
     /* 292569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 292572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 292575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292586 */     // (fshr:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_ALIGNBIT_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 292586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 292589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292596 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292598 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 292600 */     GIR_RootConstrainSelectedInstOperands,
     /* 292601 */     // GIR_Coverage, 962,
     /* 292601 */     GIR_EraseRootFromParent_Done,
     /* 292602 */   // Label 4864: @292602
     /* 292602 */   GIM_Reject,
     /* 292603 */ // Label 4856: @292603
     /* 292603 */ GIM_Reject,
     /* 292604 */ // Label 50: @292604
     /* 292604 */ GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(292680),
     /* 292609 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 292612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 292615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 292618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 292622 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(292643), // Rule ID 7528 //
     /* 292627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 292630 */     // (rotr:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ALIGNBIT_B32_e64:{ *:[i32] } ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src0, ?:{ *:[i32] }:$src1)
     /* 292630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 292633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292639 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292641 */     GIR_RootConstrainSelectedInstOperands,
     /* 292642 */     // GIR_Coverage, 7528,
     /* 292642 */     GIR_EraseRootFromParent_Done,
     /* 292643 */   // Label 4866: @292643
     /* 292643 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(292679), // Rule ID 7534 //
     /* 292648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 292651 */     // (rotr:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ALIGNBIT_B32_fake16_e64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src0, 0:{ *:[i32] }, ?:{ *:[i32] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 292651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 292654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 292656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292659 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292664 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 292666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292669 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 292671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292677 */     GIR_RootConstrainSelectedInstOperands,
     /* 292678 */     // GIR_Coverage, 7534,
     /* 292678 */     GIR_EraseRootFromParent_Done,
     /* 292679 */   // Label 4867: @292679
     /* 292679 */   GIM_Reject,
     /* 292680 */ // Label 4865: @292680
     /* 292680 */ GIM_Reject,
     /* 292681 */ // Label 51: @292681
     /* 292681 */ GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(294272),
     /* 292686 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 292689 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4872*/ GIMT_Encode4(293972),
     /* 292700 */   /*GILLT_s16*//*Label 4869*/ GIMT_Encode4(292712),
     /* 292704 */   /*GILLT_s32*//*Label 4870*/ GIMT_Encode4(293776),
     /* 292708 */   /*GILLT_s64*//*Label 4871*/ GIMT_Encode4(293874),
     /* 292712 */   // Label 4869: @292712
     /* 292712 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(293775),
     /* 292717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 292720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 292724 */     GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(292781), // Rule ID 461 //
     /* 292729 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 292732 */       // MIs[0] Operand 1
     /* 292732 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 292737 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292744 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 292751 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETLT:{ *:[Other] })  =>  (V_CMP_LT_I16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 292751 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_I16_t16_e64),
     /* 292754 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 292756 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292761 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292766 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292771 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 292776 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292779 */       GIR_RootConstrainSelectedInstOperands,
     /* 292780 */       // GIR_Coverage, 461,
     /* 292780 */       GIR_EraseRootFromParent_Done,
     /* 292781 */     // Label 4874: @292781
     /* 292781 */     GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(292838), // Rule ID 467 //
     /* 292786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 292789 */       // MIs[0] Operand 1
     /* 292789 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 292794 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292801 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 292808 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETLE:{ *:[Other] })  =>  (V_CMP_LE_I16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 292808 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_I16_t16_e64),
     /* 292811 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 292813 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292818 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292823 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292828 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 292833 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292836 */       GIR_RootConstrainSelectedInstOperands,
     /* 292837 */       // GIR_Coverage, 467,
     /* 292837 */       GIR_EraseRootFromParent_Done,
     /* 292838 */     // Label 4875: @292838
     /* 292838 */     GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(292895), // Rule ID 470 //
     /* 292843 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 292846 */       // MIs[0] Operand 1
     /* 292846 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 292851 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292858 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 292865 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETGT:{ *:[Other] })  =>  (V_CMP_GT_I16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 292865 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_I16_t16_e64),
     /* 292868 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 292870 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292875 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292880 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292885 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 292890 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292893 */       GIR_RootConstrainSelectedInstOperands,
     /* 292894 */       // GIR_Coverage, 470,
     /* 292894 */       GIR_EraseRootFromParent_Done,
     /* 292895 */     // Label 4876: @292895
     /* 292895 */     GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(292952), // Rule ID 476 //
     /* 292900 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 292903 */       // MIs[0] Operand 1
     /* 292903 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 292908 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292915 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 292922 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETGE:{ *:[Other] })  =>  (V_CMP_GE_I16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 292922 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_I16_t16_e64),
     /* 292925 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 292927 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292932 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292937 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292942 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 292947 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292950 */       GIR_RootConstrainSelectedInstOperands,
     /* 292951 */       // GIR_Coverage, 476,
     /* 292951 */       GIR_EraseRootFromParent_Done,
     /* 292952 */     // Label 4877: @292952
     /* 292952 */     GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(293009), // Rule ID 485 //
     /* 292957 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 292960 */       // MIs[0] Operand 1
     /* 292960 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 292965 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 292972 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 292979 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_LT_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 292979 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_U16_t16_e64),
     /* 292982 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 292984 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 292989 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 292994 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 292999 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293004 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293007 */       GIR_RootConstrainSelectedInstOperands,
     /* 293008 */       // GIR_Coverage, 485,
     /* 293008 */       GIR_EraseRootFromParent_Done,
     /* 293009 */     // Label 4878: @293009
     /* 293009 */     GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(293066), // Rule ID 489 //
     /* 293014 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 293017 */       // MIs[0] Operand 1
     /* 293017 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 293022 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 293029 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 293036 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETEQ:{ *:[Other] })  =>  (V_CMP_EQ_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 293036 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U16_t16_e64),
     /* 293039 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293041 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 293046 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 293051 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 293056 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293061 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293064 */       GIR_RootConstrainSelectedInstOperands,
     /* 293065 */       // GIR_Coverage, 489,
     /* 293065 */       GIR_EraseRootFromParent_Done,
     /* 293066 */     // Label 4879: @293066
     /* 293066 */     GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(293123), // Rule ID 494 //
     /* 293071 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 293074 */       // MIs[0] Operand 1
     /* 293074 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 293079 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 293086 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 293093 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_LE_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 293093 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_U16_t16_e64),
     /* 293096 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293098 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 293103 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 293108 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 293113 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293118 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293121 */       GIR_RootConstrainSelectedInstOperands,
     /* 293122 */       // GIR_Coverage, 494,
     /* 293122 */       GIR_EraseRootFromParent_Done,
     /* 293123 */     // Label 4880: @293123
     /* 293123 */     GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(293180), // Rule ID 497 //
     /* 293128 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 293131 */       // MIs[0] Operand 1
     /* 293131 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 293136 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 293143 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 293150 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_GT_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 293150 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_U16_t16_e64),
     /* 293153 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293155 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 293160 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 293165 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 293170 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293175 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293178 */       GIR_RootConstrainSelectedInstOperands,
     /* 293179 */       // GIR_Coverage, 497,
     /* 293179 */       GIR_EraseRootFromParent_Done,
     /* 293180 */     // Label 4881: @293180
     /* 293180 */     GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(293237), // Rule ID 501 //
     /* 293185 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 293188 */       // MIs[0] Operand 1
     /* 293188 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 293193 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 293200 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 293207 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETNE:{ *:[Other] })  =>  (V_CMP_NE_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 293207 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U16_t16_e64),
     /* 293210 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293212 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 293217 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 293222 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 293227 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293232 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293235 */       GIR_RootConstrainSelectedInstOperands,
     /* 293236 */       // GIR_Coverage, 501,
     /* 293236 */       GIR_EraseRootFromParent_Done,
     /* 293237 */     // Label 4882: @293237
     /* 293237 */     GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(293294), // Rule ID 506 //
     /* 293242 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 293245 */       // MIs[0] Operand 1
     /* 293245 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 293250 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 293257 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 293264 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3Mods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_GE_U16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 293264 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_U16_t16_e64),
     /* 293267 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293269 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 293274 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 293279 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 293284 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 293289 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293292 */       GIR_RootConstrainSelectedInstOperands,
     /* 293293 */       // GIR_Coverage, 506,
     /* 293293 */       GIR_EraseRootFromParent_Done,
     /* 293294 */     // Label 4883: @293294
     /* 293294 */     GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(293318), // Rule ID 460 //
     /* 293299 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293302 */       // MIs[0] Operand 1
     /* 293302 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 293307 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETLT:{ *:[Other] })  =>  (V_CMP_LT_I16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293307 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_I16_e64),
     /* 293310 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293312 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293314 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293316 */       GIR_RootConstrainSelectedInstOperands,
     /* 293317 */       // GIR_Coverage, 460,
     /* 293317 */       GIR_EraseRootFromParent_Done,
     /* 293318 */     // Label 4884: @293318
     /* 293318 */     GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(293342), // Rule ID 462 //
     /* 293323 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293326 */       // MIs[0] Operand 1
     /* 293326 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 293331 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETLT:{ *:[Other] })  =>  (V_CMP_LT_I16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293331 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_I16_fake16_e64),
     /* 293334 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293336 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293338 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293340 */       GIR_RootConstrainSelectedInstOperands,
     /* 293341 */       // GIR_Coverage, 462,
     /* 293341 */       GIR_EraseRootFromParent_Done,
     /* 293342 */     // Label 4885: @293342
     /* 293342 */     GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(293366), // Rule ID 466 //
     /* 293347 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293350 */       // MIs[0] Operand 1
     /* 293350 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 293355 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETLE:{ *:[Other] })  =>  (V_CMP_LE_I16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293355 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_I16_e64),
     /* 293358 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293360 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293362 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293364 */       GIR_RootConstrainSelectedInstOperands,
     /* 293365 */       // GIR_Coverage, 466,
     /* 293365 */       GIR_EraseRootFromParent_Done,
     /* 293366 */     // Label 4886: @293366
     /* 293366 */     GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(293390), // Rule ID 468 //
     /* 293371 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293374 */       // MIs[0] Operand 1
     /* 293374 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 293379 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETLE:{ *:[Other] })  =>  (V_CMP_LE_I16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293379 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_I16_fake16_e64),
     /* 293382 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293384 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293386 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293388 */       GIR_RootConstrainSelectedInstOperands,
     /* 293389 */       // GIR_Coverage, 468,
     /* 293389 */       GIR_EraseRootFromParent_Done,
     /* 293390 */     // Label 4887: @293390
     /* 293390 */     GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(293414), // Rule ID 469 //
     /* 293395 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293398 */       // MIs[0] Operand 1
     /* 293398 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 293403 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETGT:{ *:[Other] })  =>  (V_CMP_GT_I16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293403 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_I16_e64),
     /* 293406 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293408 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293410 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293412 */       GIR_RootConstrainSelectedInstOperands,
     /* 293413 */       // GIR_Coverage, 469,
     /* 293413 */       GIR_EraseRootFromParent_Done,
     /* 293414 */     // Label 4888: @293414
     /* 293414 */     GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(293438), // Rule ID 471 //
     /* 293419 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293422 */       // MIs[0] Operand 1
     /* 293422 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 293427 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETGT:{ *:[Other] })  =>  (V_CMP_GT_I16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293427 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_I16_fake16_e64),
     /* 293430 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293432 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293434 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293436 */       GIR_RootConstrainSelectedInstOperands,
     /* 293437 */       // GIR_Coverage, 471,
     /* 293437 */       GIR_EraseRootFromParent_Done,
     /* 293438 */     // Label 4889: @293438
     /* 293438 */     GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(293462), // Rule ID 475 //
     /* 293443 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293446 */       // MIs[0] Operand 1
     /* 293446 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 293451 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETGE:{ *:[Other] })  =>  (V_CMP_GE_I16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293451 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_I16_e64),
     /* 293454 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293456 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293458 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293460 */       GIR_RootConstrainSelectedInstOperands,
     /* 293461 */       // GIR_Coverage, 475,
     /* 293461 */       GIR_EraseRootFromParent_Done,
     /* 293462 */     // Label 4890: @293462
     /* 293462 */     GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(293486), // Rule ID 477 //
     /* 293467 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293470 */       // MIs[0] Operand 1
     /* 293470 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 293475 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETGE:{ *:[Other] })  =>  (V_CMP_GE_I16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293475 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_I16_fake16_e64),
     /* 293478 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293480 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293482 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293484 */       GIR_RootConstrainSelectedInstOperands,
     /* 293485 */       // GIR_Coverage, 477,
     /* 293485 */       GIR_EraseRootFromParent_Done,
     /* 293486 */     // Label 4891: @293486
     /* 293486 */     GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(293510), // Rule ID 484 //
     /* 293491 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293494 */       // MIs[0] Operand 1
     /* 293494 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 293499 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETULT:{ *:[Other] })  =>  (V_CMP_LT_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293499 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_U16_e64),
     /* 293502 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293504 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293506 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293508 */       GIR_RootConstrainSelectedInstOperands,
     /* 293509 */       // GIR_Coverage, 484,
     /* 293509 */       GIR_EraseRootFromParent_Done,
     /* 293510 */     // Label 4892: @293510
     /* 293510 */     GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(293534), // Rule ID 486 //
     /* 293515 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293518 */       // MIs[0] Operand 1
     /* 293518 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 293523 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETULT:{ *:[Other] })  =>  (V_CMP_LT_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293523 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_U16_fake16_e64),
     /* 293526 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293528 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293530 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293532 */       GIR_RootConstrainSelectedInstOperands,
     /* 293533 */       // GIR_Coverage, 486,
     /* 293533 */       GIR_EraseRootFromParent_Done,
     /* 293534 */     // Label 4893: @293534
     /* 293534 */     GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(293558), // Rule ID 487 //
     /* 293539 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293542 */       // MIs[0] Operand 1
     /* 293542 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 293547 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETEQ:{ *:[Other] })  =>  (V_CMP_EQ_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293547 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U16_e64),
     /* 293550 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293552 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293554 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293556 */       GIR_RootConstrainSelectedInstOperands,
     /* 293557 */       // GIR_Coverage, 487,
     /* 293557 */       GIR_EraseRootFromParent_Done,
     /* 293558 */     // Label 4894: @293558
     /* 293558 */     GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(293582), // Rule ID 491 //
     /* 293563 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293566 */       // MIs[0] Operand 1
     /* 293566 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 293571 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETEQ:{ *:[Other] })  =>  (V_CMP_EQ_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293571 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U16_fake16_e64),
     /* 293574 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293576 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293578 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293580 */       GIR_RootConstrainSelectedInstOperands,
     /* 293581 */       // GIR_Coverage, 491,
     /* 293581 */       GIR_EraseRootFromParent_Done,
     /* 293582 */     // Label 4895: @293582
     /* 293582 */     GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(293606), // Rule ID 493 //
     /* 293587 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293590 */       // MIs[0] Operand 1
     /* 293590 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 293595 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETULE:{ *:[Other] })  =>  (V_CMP_LE_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293595 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_U16_e64),
     /* 293598 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293600 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293602 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293604 */       GIR_RootConstrainSelectedInstOperands,
     /* 293605 */       // GIR_Coverage, 493,
     /* 293605 */       GIR_EraseRootFromParent_Done,
     /* 293606 */     // Label 4896: @293606
     /* 293606 */     GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(293630), // Rule ID 495 //
     /* 293611 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293614 */       // MIs[0] Operand 1
     /* 293614 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 293619 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETULE:{ *:[Other] })  =>  (V_CMP_LE_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293619 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_U16_fake16_e64),
     /* 293622 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293624 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293626 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293628 */       GIR_RootConstrainSelectedInstOperands,
     /* 293629 */       // GIR_Coverage, 495,
     /* 293629 */       GIR_EraseRootFromParent_Done,
     /* 293630 */     // Label 4897: @293630
     /* 293630 */     GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(293654), // Rule ID 496 //
     /* 293635 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293638 */       // MIs[0] Operand 1
     /* 293638 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 293643 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETUGT:{ *:[Other] })  =>  (V_CMP_GT_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293643 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_U16_e64),
     /* 293646 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293648 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293650 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293652 */       GIR_RootConstrainSelectedInstOperands,
     /* 293653 */       // GIR_Coverage, 496,
     /* 293653 */       GIR_EraseRootFromParent_Done,
     /* 293654 */     // Label 4898: @293654
     /* 293654 */     GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(293678), // Rule ID 498 //
     /* 293659 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293662 */       // MIs[0] Operand 1
     /* 293662 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 293667 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETUGT:{ *:[Other] })  =>  (V_CMP_GT_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293667 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_U16_fake16_e64),
     /* 293670 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293672 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293674 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293676 */       GIR_RootConstrainSelectedInstOperands,
     /* 293677 */       // GIR_Coverage, 498,
     /* 293677 */       GIR_EraseRootFromParent_Done,
     /* 293678 */     // Label 4899: @293678
     /* 293678 */     GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(293702), // Rule ID 499 //
     /* 293683 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293686 */       // MIs[0] Operand 1
     /* 293686 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 293691 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETNE:{ *:[Other] })  =>  (V_CMP_NE_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293691 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U16_e64),
     /* 293694 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293696 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293698 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293700 */       GIR_RootConstrainSelectedInstOperands,
     /* 293701 */       // GIR_Coverage, 499,
     /* 293701 */       GIR_EraseRootFromParent_Done,
     /* 293702 */     // Label 4900: @293702
     /* 293702 */     GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(293726), // Rule ID 503 //
     /* 293707 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293710 */       // MIs[0] Operand 1
     /* 293710 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 293715 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETNE:{ *:[Other] })  =>  (V_CMP_NE_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293715 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U16_fake16_e64),
     /* 293718 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293720 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293722 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293724 */       GIR_RootConstrainSelectedInstOperands,
     /* 293725 */       // GIR_Coverage, 503,
     /* 293725 */       GIR_EraseRootFromParent_Done,
     /* 293726 */     // Label 4901: @293726
     /* 293726 */     GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(293750), // Rule ID 505 //
     /* 293731 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 293734 */       // MIs[0] Operand 1
     /* 293734 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 293739 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETUGE:{ *:[Other] })  =>  (V_CMP_GE_U16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293739 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_U16_e64),
     /* 293742 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293744 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293746 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293748 */       GIR_RootConstrainSelectedInstOperands,
     /* 293749 */       // GIR_Coverage, 505,
     /* 293749 */       GIR_EraseRootFromParent_Done,
     /* 293750 */     // Label 4902: @293750
     /* 293750 */     GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(293774), // Rule ID 507 //
     /* 293755 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 293758 */       // MIs[0] Operand 1
     /* 293758 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 293763 */       // (setcc:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1, SETUGE:{ *:[Other] })  =>  (V_CMP_GE_U16_fake16_e64:{ *:[i1] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 293763 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_U16_fake16_e64),
     /* 293766 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293768 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293770 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293772 */       GIR_RootConstrainSelectedInstOperands,
     /* 293773 */       // GIR_Coverage, 507,
     /* 293773 */       GIR_EraseRootFromParent_Done,
     /* 293774 */     // Label 4903: @293774
     /* 293774 */     GIM_Reject,
     /* 293775 */   // Label 4873: @293775
     /* 293775 */   GIM_Reject,
     /* 293776 */   // Label 4870: @293776
     /* 293776 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(293873),
     /* 293781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 293784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 293788 */     GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(293809), // Rule ID 560 //
     /* 293793 */       // MIs[0] Operand 1
     /* 293793 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 293798 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETLT:{ *:[Other] })  =>  (V_CMP_LT_I32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 293798 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_I32_e64),
     /* 293801 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293803 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293805 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293807 */       GIR_RootConstrainSelectedInstOperands,
     /* 293808 */       // GIR_Coverage, 560,
     /* 293808 */       GIR_EraseRootFromParent_Done,
     /* 293809 */     // Label 4905: @293809
     /* 293809 */     GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(293830), // Rule ID 562 //
     /* 293814 */       // MIs[0] Operand 1
     /* 293814 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 293819 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETLE:{ *:[Other] })  =>  (V_CMP_LE_I32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 293819 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_I32_e64),
     /* 293822 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293824 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293826 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293828 */       GIR_RootConstrainSelectedInstOperands,
     /* 293829 */       // GIR_Coverage, 562,
     /* 293829 */       GIR_EraseRootFromParent_Done,
     /* 293830 */     // Label 4906: @293830
     /* 293830 */     GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(293851), // Rule ID 563 //
     /* 293835 */       // MIs[0] Operand 1
     /* 293835 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 293840 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETGT:{ *:[Other] })  =>  (V_CMP_GT_I32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 293840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_I32_e64),
     /* 293843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293845 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293847 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293849 */       GIR_RootConstrainSelectedInstOperands,
     /* 293850 */       // GIR_Coverage, 563,
     /* 293850 */       GIR_EraseRootFromParent_Done,
     /* 293851 */     // Label 4907: @293851
     /* 293851 */     GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(293872), // Rule ID 565 //
     /* 293856 */       // MIs[0] Operand 1
     /* 293856 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 293861 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETGE:{ *:[Other] })  =>  (V_CMP_GE_I32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 293861 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_I32_e64),
     /* 293864 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293866 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293868 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293870 */       GIR_RootConstrainSelectedInstOperands,
     /* 293871 */       // GIR_Coverage, 565,
     /* 293871 */       GIR_EraseRootFromParent_Done,
     /* 293872 */     // Label 4908: @293872
     /* 293872 */     GIM_Reject,
     /* 293873 */   // Label 4904: @293873
     /* 293873 */   GIM_Reject,
     /* 293874 */   // Label 4871: @293874
     /* 293874 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(293971),
     /* 293879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 293882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 293886 */     GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(293907), // Rule ID 576 //
     /* 293891 */       // MIs[0] Operand 1
     /* 293891 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 293896 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETLT:{ *:[Other] })  =>  (V_CMP_LT_I64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 293896 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_I64_e64),
     /* 293899 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293901 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293903 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293905 */       GIR_RootConstrainSelectedInstOperands,
     /* 293906 */       // GIR_Coverage, 576,
     /* 293906 */       GIR_EraseRootFromParent_Done,
     /* 293907 */     // Label 4910: @293907
     /* 293907 */     GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(293928), // Rule ID 578 //
     /* 293912 */       // MIs[0] Operand 1
     /* 293912 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 293917 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETLE:{ *:[Other] })  =>  (V_CMP_LE_I64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 293917 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_I64_e64),
     /* 293920 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293922 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293924 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293926 */       GIR_RootConstrainSelectedInstOperands,
     /* 293927 */       // GIR_Coverage, 578,
     /* 293927 */       GIR_EraseRootFromParent_Done,
     /* 293928 */     // Label 4911: @293928
     /* 293928 */     GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(293949), // Rule ID 579 //
     /* 293933 */       // MIs[0] Operand 1
     /* 293933 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 293938 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETGT:{ *:[Other] })  =>  (V_CMP_GT_I64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 293938 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_I64_e64),
     /* 293941 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293943 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293945 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293947 */       GIR_RootConstrainSelectedInstOperands,
     /* 293948 */       // GIR_Coverage, 579,
     /* 293948 */       GIR_EraseRootFromParent_Done,
     /* 293949 */     // Label 4912: @293949
     /* 293949 */     GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(293970), // Rule ID 581 //
     /* 293954 */       // MIs[0] Operand 1
     /* 293954 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 293959 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETGE:{ *:[Other] })  =>  (V_CMP_GE_I64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 293959 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_I64_e64),
     /* 293962 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 293964 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 293966 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 293968 */       GIR_RootConstrainSelectedInstOperands,
     /* 293969 */       // GIR_Coverage, 581,
     /* 293969 */       GIR_EraseRootFromParent_Done,
     /* 293970 */     // Label 4913: @293970
     /* 293970 */     GIM_Reject,
     /* 293971 */   // Label 4909: @293971
     /* 293971 */   GIM_Reject,
     /* 293972 */   // Label 4872: @293972
     /* 293972 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 4916*/ GIMT_Encode4(294271),
     /* 293983 */   /*GILLT_s32*//*Label 4914*/ GIMT_Encode4(293991),
     /* 293987 */   /*GILLT_s64*//*Label 4915*/ GIMT_Encode4(294131),
     /* 293991 */   // Label 4914: @293991
     /* 293991 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(294130),
     /* 293996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 293999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 294003 */     GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(294024), // Rule ID 592 //
     /* 294008 */       // MIs[0] Operand 1
     /* 294008 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 294013 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETULT:{ *:[Other] })  =>  (V_CMP_LT_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294013 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_U32_e64),
     /* 294016 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294018 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294020 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294022 */       GIR_RootConstrainSelectedInstOperands,
     /* 294023 */       // GIR_Coverage, 592,
     /* 294023 */       GIR_EraseRootFromParent_Done,
     /* 294024 */     // Label 4918: @294024
     /* 294024 */     GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(294045), // Rule ID 593 //
     /* 294029 */       // MIs[0] Operand 1
     /* 294029 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 294034 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETEQ:{ *:[Other] })  =>  (V_CMP_EQ_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294034 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U32_e64),
     /* 294037 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294039 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294041 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294043 */       GIR_RootConstrainSelectedInstOperands,
     /* 294044 */       // GIR_Coverage, 593,
     /* 294044 */       GIR_EraseRootFromParent_Done,
     /* 294045 */     // Label 4919: @294045
     /* 294045 */     GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(294066), // Rule ID 595 //
     /* 294050 */       // MIs[0] Operand 1
     /* 294050 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 294055 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETULE:{ *:[Other] })  =>  (V_CMP_LE_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294055 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_U32_e64),
     /* 294058 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294060 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294062 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294064 */       GIR_RootConstrainSelectedInstOperands,
     /* 294065 */       // GIR_Coverage, 595,
     /* 294065 */       GIR_EraseRootFromParent_Done,
     /* 294066 */     // Label 4920: @294066
     /* 294066 */     GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(294087), // Rule ID 596 //
     /* 294071 */       // MIs[0] Operand 1
     /* 294071 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 294076 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETUGT:{ *:[Other] })  =>  (V_CMP_GT_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294076 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_U32_e64),
     /* 294079 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294081 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294083 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294085 */       GIR_RootConstrainSelectedInstOperands,
     /* 294086 */       // GIR_Coverage, 596,
     /* 294086 */       GIR_EraseRootFromParent_Done,
     /* 294087 */     // Label 4921: @294087
     /* 294087 */     GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(294108), // Rule ID 597 //
     /* 294092 */       // MIs[0] Operand 1
     /* 294092 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 294097 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETNE:{ *:[Other] })  =>  (V_CMP_NE_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294097 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U32_e64),
     /* 294100 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294102 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294104 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294106 */       GIR_RootConstrainSelectedInstOperands,
     /* 294107 */       // GIR_Coverage, 597,
     /* 294107 */       GIR_EraseRootFromParent_Done,
     /* 294108 */     // Label 4922: @294108
     /* 294108 */     GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(294129), // Rule ID 599 //
     /* 294113 */       // MIs[0] Operand 1
     /* 294113 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 294118 */       // (setcc:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, SETUGE:{ *:[Other] })  =>  (V_CMP_GE_U32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 294118 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_U32_e64),
     /* 294121 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294123 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294125 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294127 */       GIR_RootConstrainSelectedInstOperands,
     /* 294128 */       // GIR_Coverage, 599,
     /* 294128 */       GIR_EraseRootFromParent_Done,
     /* 294129 */     // Label 4923: @294129
     /* 294129 */     GIM_Reject,
     /* 294130 */   // Label 4917: @294130
     /* 294130 */   GIM_Reject,
     /* 294131 */   // Label 4915: @294131
     /* 294131 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(294270),
     /* 294136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 294139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 294143 */     GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(294164), // Rule ID 610 //
     /* 294148 */       // MIs[0] Operand 1
     /* 294148 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 294153 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETULT:{ *:[Other] })  =>  (V_CMP_LT_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294153 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_U64_e64),
     /* 294156 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294158 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294160 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294162 */       GIR_RootConstrainSelectedInstOperands,
     /* 294163 */       // GIR_Coverage, 610,
     /* 294163 */       GIR_EraseRootFromParent_Done,
     /* 294164 */     // Label 4925: @294164
     /* 294164 */     GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(294185), // Rule ID 611 //
     /* 294169 */       // MIs[0] Operand 1
     /* 294169 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 294174 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETEQ:{ *:[Other] })  =>  (V_CMP_EQ_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294174 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_U64_e64),
     /* 294177 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294179 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294181 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294183 */       GIR_RootConstrainSelectedInstOperands,
     /* 294184 */       // GIR_Coverage, 611,
     /* 294184 */       GIR_EraseRootFromParent_Done,
     /* 294185 */     // Label 4926: @294185
     /* 294185 */     GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(294206), // Rule ID 613 //
     /* 294190 */       // MIs[0] Operand 1
     /* 294190 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 294195 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETULE:{ *:[Other] })  =>  (V_CMP_LE_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294195 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_U64_e64),
     /* 294198 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294200 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294202 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294204 */       GIR_RootConstrainSelectedInstOperands,
     /* 294205 */       // GIR_Coverage, 613,
     /* 294205 */       GIR_EraseRootFromParent_Done,
     /* 294206 */     // Label 4927: @294206
     /* 294206 */     GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(294227), // Rule ID 614 //
     /* 294211 */       // MIs[0] Operand 1
     /* 294211 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 294216 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETUGT:{ *:[Other] })  =>  (V_CMP_GT_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294216 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_U64_e64),
     /* 294219 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294221 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294223 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294225 */       GIR_RootConstrainSelectedInstOperands,
     /* 294226 */       // GIR_Coverage, 614,
     /* 294226 */       GIR_EraseRootFromParent_Done,
     /* 294227 */     // Label 4928: @294227
     /* 294227 */     GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(294248), // Rule ID 615 //
     /* 294232 */       // MIs[0] Operand 1
     /* 294232 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 294237 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETNE:{ *:[Other] })  =>  (V_CMP_NE_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294237 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NE_U64_e64),
     /* 294240 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294242 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294244 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294246 */       GIR_RootConstrainSelectedInstOperands,
     /* 294247 */       // GIR_Coverage, 615,
     /* 294247 */       GIR_EraseRootFromParent_Done,
     /* 294248 */     // Label 4929: @294248
     /* 294248 */     GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(294269), // Rule ID 617 //
     /* 294253 */       // MIs[0] Operand 1
     /* 294253 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 294258 */       // (setcc:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1, SETUGE:{ *:[Other] })  =>  (V_CMP_GE_U64_e64:{ *:[i1] } i64:{ *:[i64] }:$src0, i64:{ *:[i64] }:$src1)
     /* 294258 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_U64_e64),
     /* 294261 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294263 */       GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 294265 */       GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 294267 */       GIR_RootConstrainSelectedInstOperands,
     /* 294268 */       // GIR_Coverage, 617,
     /* 294268 */       GIR_EraseRootFromParent_Done,
     /* 294269 */     // Label 4930: @294269
     /* 294269 */     GIM_Reject,
     /* 294270 */   // Label 4924: @294270
     /* 294270 */   GIM_Reject,
     /* 294271 */   // Label 4916: @294271
     /* 294271 */   GIM_Reject,
     /* 294272 */ // Label 4868: @294272
     /* 294272 */ GIM_Reject,
     /* 294273 */ // Label 52: @294273
     /* 294273 */ GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(298435),
     /* 294278 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 294281 */   GIM_SwitchType, /*MI*/0, /*Op*/2, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 4935*/ GIMT_Encode4(298434),
     /* 294292 */   /*GILLT_s16*//*Label 4932*/ GIMT_Encode4(294304),
     /* 294296 */   /*GILLT_s32*//*Label 4933*/ GIMT_Encode4(296838),
     /* 294300 */   /*GILLT_s64*//*Label 4934*/ GIMT_Encode4(297636),
     /* 294304 */   // Label 4932: @294304
     /* 294304 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(296837),
     /* 294309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 294312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 294316 */     GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(294375), // Rule ID 346 //
     /* 294321 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 294324 */       // MIs[0] Operand 1
     /* 294324 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 294329 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294336 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294343 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLT:{ *:[Other] })  =>  (V_CMP_LT_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294343 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_F16_e64),
     /* 294346 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294348 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294353 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294358 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294363 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294368 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294373 */       GIR_RootConstrainSelectedInstOperands,
     /* 294374 */       // GIR_Coverage, 346,
     /* 294374 */       GIR_EraseRootFromParent_Done,
     /* 294375 */     // Label 4937: @294375
     /* 294375 */     GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(294437), // Rule ID 348 //
     /* 294380 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 294383 */       // MIs[0] Operand 1
     /* 294383 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 294388 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294395 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294402 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLT:{ *:[Other] })  =>  (V_CMP_LT_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294402 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_F16_t16_e64),
     /* 294405 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294407 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294412 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294417 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294422 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294427 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294432 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294435 */       GIR_RootConstrainSelectedInstOperands,
     /* 294436 */       // GIR_Coverage, 348,
     /* 294436 */       GIR_EraseRootFromParent_Done,
     /* 294437 */     // Label 4938: @294437
     /* 294437 */     GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(294496), // Rule ID 350 //
     /* 294442 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 294445 */       // MIs[0] Operand 1
     /* 294445 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 294450 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294457 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294464 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLT:{ *:[Other] })  =>  (V_CMP_LT_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294464 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_F16_fake16_e64),
     /* 294467 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294469 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294474 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294479 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294484 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294489 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294494 */       GIR_RootConstrainSelectedInstOperands,
     /* 294495 */       // GIR_Coverage, 350,
     /* 294495 */       GIR_EraseRootFromParent_Done,
     /* 294496 */     // Label 4939: @294496
     /* 294496 */     GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(294555), // Rule ID 352 //
     /* 294501 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 294504 */       // MIs[0] Operand 1
     /* 294504 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 294509 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294516 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294523 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOEQ:{ *:[Other] })  =>  (V_CMP_EQ_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294523 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_e64),
     /* 294526 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294528 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294533 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294538 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294543 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294548 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294553 */       GIR_RootConstrainSelectedInstOperands,
     /* 294554 */       // GIR_Coverage, 352,
     /* 294554 */       GIR_EraseRootFromParent_Done,
     /* 294555 */     // Label 4940: @294555
     /* 294555 */     GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(294617), // Rule ID 354 //
     /* 294560 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 294563 */       // MIs[0] Operand 1
     /* 294563 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 294568 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294575 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294582 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOEQ:{ *:[Other] })  =>  (V_CMP_EQ_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294582 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_t16_e64),
     /* 294585 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294587 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294592 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294597 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294602 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294607 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294612 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294615 */       GIR_RootConstrainSelectedInstOperands,
     /* 294616 */       // GIR_Coverage, 354,
     /* 294616 */       GIR_EraseRootFromParent_Done,
     /* 294617 */     // Label 4941: @294617
     /* 294617 */     GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(294676), // Rule ID 356 //
     /* 294622 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 294625 */       // MIs[0] Operand 1
     /* 294625 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 294630 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294637 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294644 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOEQ:{ *:[Other] })  =>  (V_CMP_EQ_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294644 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_fake16_e64),
     /* 294647 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294649 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294654 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294659 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294664 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294669 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294674 */       GIR_RootConstrainSelectedInstOperands,
     /* 294675 */       // GIR_Coverage, 356,
     /* 294675 */       GIR_EraseRootFromParent_Done,
     /* 294676 */     // Label 4942: @294676
     /* 294676 */     GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(294735), // Rule ID 358 //
     /* 294681 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 294684 */       // MIs[0] Operand 1
     /* 294684 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 294689 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294696 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294703 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLE:{ *:[Other] })  =>  (V_CMP_LE_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294703 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_F16_e64),
     /* 294706 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294708 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294713 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294718 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294723 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294728 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294733 */       GIR_RootConstrainSelectedInstOperands,
     /* 294734 */       // GIR_Coverage, 358,
     /* 294734 */       GIR_EraseRootFromParent_Done,
     /* 294735 */     // Label 4943: @294735
     /* 294735 */     GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(294797), // Rule ID 360 //
     /* 294740 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 294743 */       // MIs[0] Operand 1
     /* 294743 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 294748 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294755 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294762 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLE:{ *:[Other] })  =>  (V_CMP_LE_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294762 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_F16_t16_e64),
     /* 294765 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294767 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294772 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294777 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294782 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294787 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294792 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294795 */       GIR_RootConstrainSelectedInstOperands,
     /* 294796 */       // GIR_Coverage, 360,
     /* 294796 */       GIR_EraseRootFromParent_Done,
     /* 294797 */     // Label 4944: @294797
     /* 294797 */     GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(294856), // Rule ID 362 //
     /* 294802 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 294805 */       // MIs[0] Operand 1
     /* 294805 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 294810 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294817 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294824 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLE:{ *:[Other] })  =>  (V_CMP_LE_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294824 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_F16_fake16_e64),
     /* 294827 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294829 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294834 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294839 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294844 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294849 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294854 */       GIR_RootConstrainSelectedInstOperands,
     /* 294855 */       // GIR_Coverage, 362,
     /* 294855 */       GIR_EraseRootFromParent_Done,
     /* 294856 */     // Label 4945: @294856
     /* 294856 */     GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(294915), // Rule ID 364 //
     /* 294861 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 294864 */       // MIs[0] Operand 1
     /* 294864 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGT),
     /* 294869 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294876 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294883 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGT:{ *:[Other] })  =>  (V_CMP_GT_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294883 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_F16_e64),
     /* 294886 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294888 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294893 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294898 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294903 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294908 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294913 */       GIR_RootConstrainSelectedInstOperands,
     /* 294914 */       // GIR_Coverage, 364,
     /* 294914 */       GIR_EraseRootFromParent_Done,
     /* 294915 */     // Label 4946: @294915
     /* 294915 */     GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(294977), // Rule ID 366 //
     /* 294920 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 294923 */       // MIs[0] Operand 1
     /* 294923 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGT),
     /* 294928 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294935 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 294942 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGT:{ *:[Other] })  =>  (V_CMP_GT_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 294942 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_F16_t16_e64),
     /* 294945 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 294947 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 294952 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 294957 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 294962 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 294967 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 294972 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294975 */       GIR_RootConstrainSelectedInstOperands,
     /* 294976 */       // GIR_Coverage, 366,
     /* 294976 */       GIR_EraseRootFromParent_Done,
     /* 294977 */     // Label 4947: @294977
     /* 294977 */     GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(295036), // Rule ID 368 //
     /* 294982 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 294985 */       // MIs[0] Operand 1
     /* 294985 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGT),
     /* 294990 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 294997 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295004 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGT:{ *:[Other] })  =>  (V_CMP_GT_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295004 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_F16_fake16_e64),
     /* 295007 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295009 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295014 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295019 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295024 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295029 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295034 */       GIR_RootConstrainSelectedInstOperands,
     /* 295035 */       // GIR_Coverage, 368,
     /* 295035 */       GIR_EraseRootFromParent_Done,
     /* 295036 */     // Label 4948: @295036
     /* 295036 */     GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(295095), // Rule ID 370 //
     /* 295041 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295044 */       // MIs[0] Operand 1
     /* 295044 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 295049 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295056 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295063 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETONE:{ *:[Other] })  =>  (V_CMP_LG_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295063 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LG_F16_e64),
     /* 295066 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295068 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295073 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295078 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295083 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295088 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295093 */       GIR_RootConstrainSelectedInstOperands,
     /* 295094 */       // GIR_Coverage, 370,
     /* 295094 */       GIR_EraseRootFromParent_Done,
     /* 295095 */     // Label 4949: @295095
     /* 295095 */     GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(295157), // Rule ID 372 //
     /* 295100 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 295103 */       // MIs[0] Operand 1
     /* 295103 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 295108 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295115 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295122 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETONE:{ *:[Other] })  =>  (V_CMP_LG_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295122 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LG_F16_t16_e64),
     /* 295125 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295127 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295132 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295137 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295142 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295147 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295152 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 295155 */       GIR_RootConstrainSelectedInstOperands,
     /* 295156 */       // GIR_Coverage, 372,
     /* 295156 */       GIR_EraseRootFromParent_Done,
     /* 295157 */     // Label 4950: @295157
     /* 295157 */     GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(295216), // Rule ID 374 //
     /* 295162 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 295165 */       // MIs[0] Operand 1
     /* 295165 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 295170 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295177 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295184 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETONE:{ *:[Other] })  =>  (V_CMP_LG_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295184 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LG_F16_fake16_e64),
     /* 295187 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295189 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295194 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295199 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295204 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295209 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295214 */       GIR_RootConstrainSelectedInstOperands,
     /* 295215 */       // GIR_Coverage, 374,
     /* 295215 */       GIR_EraseRootFromParent_Done,
     /* 295216 */     // Label 4951: @295216
     /* 295216 */     GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(295275), // Rule ID 376 //
     /* 295221 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295224 */       // MIs[0] Operand 1
     /* 295224 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGE),
     /* 295229 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295236 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295243 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGE:{ *:[Other] })  =>  (V_CMP_GE_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295243 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_F16_e64),
     /* 295246 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295248 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295253 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295258 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295263 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295268 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295273 */       GIR_RootConstrainSelectedInstOperands,
     /* 295274 */       // GIR_Coverage, 376,
     /* 295274 */       GIR_EraseRootFromParent_Done,
     /* 295275 */     // Label 4952: @295275
     /* 295275 */     GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(295337), // Rule ID 378 //
     /* 295280 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 295283 */       // MIs[0] Operand 1
     /* 295283 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGE),
     /* 295288 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295295 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295302 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGE:{ *:[Other] })  =>  (V_CMP_GE_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295302 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_F16_t16_e64),
     /* 295305 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295307 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295312 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295317 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295322 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295327 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295332 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 295335 */       GIR_RootConstrainSelectedInstOperands,
     /* 295336 */       // GIR_Coverage, 378,
     /* 295336 */       GIR_EraseRootFromParent_Done,
     /* 295337 */     // Label 4953: @295337
     /* 295337 */     GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(295396), // Rule ID 380 //
     /* 295342 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 295345 */       // MIs[0] Operand 1
     /* 295345 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGE),
     /* 295350 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295357 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295364 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGE:{ *:[Other] })  =>  (V_CMP_GE_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295364 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_F16_fake16_e64),
     /* 295367 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295369 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295374 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295379 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295384 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295389 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295394 */       GIR_RootConstrainSelectedInstOperands,
     /* 295395 */       // GIR_Coverage, 380,
     /* 295395 */       GIR_EraseRootFromParent_Done,
     /* 295396 */     // Label 4954: @295396
     /* 295396 */     GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(295455), // Rule ID 382 //
     /* 295401 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295404 */       // MIs[0] Operand 1
     /* 295404 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 295409 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295416 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295423 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETO:{ *:[Other] })  =>  (V_CMP_O_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295423 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_O_F16_e64),
     /* 295426 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295428 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295433 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295438 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295443 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295448 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295453 */       GIR_RootConstrainSelectedInstOperands,
     /* 295454 */       // GIR_Coverage, 382,
     /* 295454 */       GIR_EraseRootFromParent_Done,
     /* 295455 */     // Label 4955: @295455
     /* 295455 */     GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(295517), // Rule ID 383 //
     /* 295460 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 295463 */       // MIs[0] Operand 1
     /* 295463 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 295468 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295475 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295482 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETO:{ *:[Other] })  =>  (V_CMP_O_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295482 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_O_F16_t16_e64),
     /* 295485 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295487 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295492 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295497 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295502 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295507 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295512 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 295515 */       GIR_RootConstrainSelectedInstOperands,
     /* 295516 */       // GIR_Coverage, 383,
     /* 295516 */       GIR_EraseRootFromParent_Done,
     /* 295517 */     // Label 4956: @295517
     /* 295517 */     GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(295576), // Rule ID 384 //
     /* 295522 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 295525 */       // MIs[0] Operand 1
     /* 295525 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 295530 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295537 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295544 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETO:{ *:[Other] })  =>  (V_CMP_O_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295544 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_O_F16_fake16_e64),
     /* 295547 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295549 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295554 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295559 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295564 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295569 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295574 */       GIR_RootConstrainSelectedInstOperands,
     /* 295575 */       // GIR_Coverage, 384,
     /* 295575 */       GIR_EraseRootFromParent_Done,
     /* 295576 */     // Label 4957: @295576
     /* 295576 */     GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(295635), // Rule ID 385 //
     /* 295581 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295584 */       // MIs[0] Operand 1
     /* 295584 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 295589 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295596 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295603 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUO:{ *:[Other] })  =>  (V_CMP_U_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295603 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_U_F16_e64),
     /* 295606 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295608 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295613 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295618 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295623 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295628 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295633 */       GIR_RootConstrainSelectedInstOperands,
     /* 295634 */       // GIR_Coverage, 385,
     /* 295634 */       GIR_EraseRootFromParent_Done,
     /* 295635 */     // Label 4958: @295635
     /* 295635 */     GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(295697), // Rule ID 386 //
     /* 295640 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 295643 */       // MIs[0] Operand 1
     /* 295643 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 295648 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295655 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295662 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUO:{ *:[Other] })  =>  (V_CMP_U_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295662 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_U_F16_t16_e64),
     /* 295665 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295667 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295672 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295677 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295682 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295687 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295692 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 295695 */       GIR_RootConstrainSelectedInstOperands,
     /* 295696 */       // GIR_Coverage, 386,
     /* 295696 */       GIR_EraseRootFromParent_Done,
     /* 295697 */     // Label 4959: @295697
     /* 295697 */     GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(295756), // Rule ID 387 //
     /* 295702 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 295705 */       // MIs[0] Operand 1
     /* 295705 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 295710 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295717 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295724 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUO:{ *:[Other] })  =>  (V_CMP_U_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295724 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_U_F16_fake16_e64),
     /* 295727 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295729 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295734 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295739 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295744 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295749 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295754 */       GIR_RootConstrainSelectedInstOperands,
     /* 295755 */       // GIR_Coverage, 387,
     /* 295755 */       GIR_EraseRootFromParent_Done,
     /* 295756 */     // Label 4960: @295756
     /* 295756 */     GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(295815), // Rule ID 388 //
     /* 295761 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295764 */       // MIs[0] Operand 1
     /* 295764 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 295769 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295776 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295783 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_NGE_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295783 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGE_F16_e64),
     /* 295786 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295788 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295793 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295798 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295803 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295808 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295813 */       GIR_RootConstrainSelectedInstOperands,
     /* 295814 */       // GIR_Coverage, 388,
     /* 295814 */       GIR_EraseRootFromParent_Done,
     /* 295815 */     // Label 4961: @295815
     /* 295815 */     GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(295877), // Rule ID 389 //
     /* 295820 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 295823 */       // MIs[0] Operand 1
     /* 295823 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 295828 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295835 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295842 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_NGE_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295842 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGE_F16_t16_e64),
     /* 295845 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295847 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295852 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295857 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295862 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295867 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295872 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 295875 */       GIR_RootConstrainSelectedInstOperands,
     /* 295876 */       // GIR_Coverage, 389,
     /* 295876 */       GIR_EraseRootFromParent_Done,
     /* 295877 */     // Label 4962: @295877
     /* 295877 */     GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(295936), // Rule ID 390 //
     /* 295882 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 295885 */       // MIs[0] Operand 1
     /* 295885 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 295890 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295897 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295904 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_NGE_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295904 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGE_F16_fake16_e64),
     /* 295907 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295909 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295914 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295919 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295924 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295929 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295934 */       GIR_RootConstrainSelectedInstOperands,
     /* 295935 */       // GIR_Coverage, 390,
     /* 295935 */       GIR_EraseRootFromParent_Done,
     /* 295936 */     // Label 4963: @295936
     /* 295936 */     GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(295995), // Rule ID 391 //
     /* 295941 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 295944 */       // MIs[0] Operand 1
     /* 295944 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 295949 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 295956 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 295963 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUEQ:{ *:[Other] })  =>  (V_CMP_NLG_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 295963 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLG_F16_e64),
     /* 295966 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 295968 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 295973 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 295978 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 295983 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 295988 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 295993 */       GIR_RootConstrainSelectedInstOperands,
     /* 295994 */       // GIR_Coverage, 391,
     /* 295994 */       GIR_EraseRootFromParent_Done,
     /* 295995 */     // Label 4964: @295995
     /* 295995 */     GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(296057), // Rule ID 392 //
     /* 296000 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 296003 */       // MIs[0] Operand 1
     /* 296003 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 296008 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296015 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296022 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUEQ:{ *:[Other] })  =>  (V_CMP_NLG_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296022 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLG_F16_t16_e64),
     /* 296025 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296027 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296032 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296037 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296042 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296047 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296052 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 296055 */       GIR_RootConstrainSelectedInstOperands,
     /* 296056 */       // GIR_Coverage, 392,
     /* 296056 */       GIR_EraseRootFromParent_Done,
     /* 296057 */     // Label 4965: @296057
     /* 296057 */     GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(296116), // Rule ID 393 //
     /* 296062 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 296065 */       // MIs[0] Operand 1
     /* 296065 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 296070 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296077 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296084 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUEQ:{ *:[Other] })  =>  (V_CMP_NLG_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296084 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLG_F16_fake16_e64),
     /* 296087 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296089 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296094 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296099 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296104 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296109 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296114 */       GIR_RootConstrainSelectedInstOperands,
     /* 296115 */       // GIR_Coverage, 393,
     /* 296115 */       GIR_EraseRootFromParent_Done,
     /* 296116 */     // Label 4966: @296116
     /* 296116 */     GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(296175), // Rule ID 394 //
     /* 296121 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 296124 */       // MIs[0] Operand 1
     /* 296124 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 296129 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296136 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296143 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_NGT_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296143 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGT_F16_e64),
     /* 296146 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296148 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296153 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296158 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296163 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296168 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296173 */       GIR_RootConstrainSelectedInstOperands,
     /* 296174 */       // GIR_Coverage, 394,
     /* 296174 */       GIR_EraseRootFromParent_Done,
     /* 296175 */     // Label 4967: @296175
     /* 296175 */     GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(296237), // Rule ID 395 //
     /* 296180 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 296183 */       // MIs[0] Operand 1
     /* 296183 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 296188 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296195 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296202 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_NGT_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296202 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGT_F16_t16_e64),
     /* 296205 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296207 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296212 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296217 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296222 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296227 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296232 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 296235 */       GIR_RootConstrainSelectedInstOperands,
     /* 296236 */       // GIR_Coverage, 395,
     /* 296236 */       GIR_EraseRootFromParent_Done,
     /* 296237 */     // Label 4968: @296237
     /* 296237 */     GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(296296), // Rule ID 396 //
     /* 296242 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 296245 */       // MIs[0] Operand 1
     /* 296245 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 296250 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296257 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296264 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_NGT_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296264 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGT_F16_fake16_e64),
     /* 296267 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296269 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296274 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296279 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296284 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296289 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296294 */       GIR_RootConstrainSelectedInstOperands,
     /* 296295 */       // GIR_Coverage, 396,
     /* 296295 */       GIR_EraseRootFromParent_Done,
     /* 296296 */     // Label 4969: @296296
     /* 296296 */     GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(296355), // Rule ID 397 //
     /* 296301 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 296304 */       // MIs[0] Operand 1
     /* 296304 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGT),
     /* 296309 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296316 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296323 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_NLE_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296323 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLE_F16_e64),
     /* 296326 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296328 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296333 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296338 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296343 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296348 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296353 */       GIR_RootConstrainSelectedInstOperands,
     /* 296354 */       // GIR_Coverage, 397,
     /* 296354 */       GIR_EraseRootFromParent_Done,
     /* 296355 */     // Label 4970: @296355
     /* 296355 */     GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(296417), // Rule ID 398 //
     /* 296360 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 296363 */       // MIs[0] Operand 1
     /* 296363 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGT),
     /* 296368 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296375 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296382 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_NLE_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296382 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLE_F16_t16_e64),
     /* 296385 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296387 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296392 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296397 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296402 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296407 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296412 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 296415 */       GIR_RootConstrainSelectedInstOperands,
     /* 296416 */       // GIR_Coverage, 398,
     /* 296416 */       GIR_EraseRootFromParent_Done,
     /* 296417 */     // Label 4971: @296417
     /* 296417 */     GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(296476), // Rule ID 399 //
     /* 296422 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 296425 */       // MIs[0] Operand 1
     /* 296425 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGT),
     /* 296430 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296437 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296444 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_NLE_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296444 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLE_F16_fake16_e64),
     /* 296447 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296449 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296454 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296459 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296464 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296469 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296474 */       GIR_RootConstrainSelectedInstOperands,
     /* 296475 */       // GIR_Coverage, 399,
     /* 296475 */       GIR_EraseRootFromParent_Done,
     /* 296476 */     // Label 4972: @296476
     /* 296476 */     GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(296535), // Rule ID 400 //
     /* 296481 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 296484 */       // MIs[0] Operand 1
     /* 296484 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 296489 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296496 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296503 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUNE:{ *:[Other] })  =>  (V_CMP_NEQ_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296503 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NEQ_F16_e64),
     /* 296506 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296508 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296513 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296518 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296523 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296528 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296533 */       GIR_RootConstrainSelectedInstOperands,
     /* 296534 */       // GIR_Coverage, 400,
     /* 296534 */       GIR_EraseRootFromParent_Done,
     /* 296535 */     // Label 4973: @296535
     /* 296535 */     GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(296597), // Rule ID 401 //
     /* 296540 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 296543 */       // MIs[0] Operand 1
     /* 296543 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 296548 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296555 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296562 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUNE:{ *:[Other] })  =>  (V_CMP_NEQ_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296562 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NEQ_F16_t16_e64),
     /* 296565 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296567 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296572 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296577 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296582 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296587 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296592 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 296595 */       GIR_RootConstrainSelectedInstOperands,
     /* 296596 */       // GIR_Coverage, 401,
     /* 296596 */       GIR_EraseRootFromParent_Done,
     /* 296597 */     // Label 4974: @296597
     /* 296597 */     GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(296656), // Rule ID 402 //
     /* 296602 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 296605 */       // MIs[0] Operand 1
     /* 296605 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 296610 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296617 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296624 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUNE:{ *:[Other] })  =>  (V_CMP_NEQ_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296624 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NEQ_F16_fake16_e64),
     /* 296627 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296629 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296634 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296639 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296644 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296649 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296654 */       GIR_RootConstrainSelectedInstOperands,
     /* 296655 */       // GIR_Coverage, 402,
     /* 296655 */       GIR_EraseRootFromParent_Done,
     /* 296656 */     // Label 4975: @296656
     /* 296656 */     GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(296715), // Rule ID 403 //
     /* 296661 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 296664 */       // MIs[0] Operand 1
     /* 296664 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGE),
     /* 296669 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296676 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296683 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_NLT_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296683 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLT_F16_e64),
     /* 296686 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296688 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296693 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296698 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296703 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296708 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296713 */       GIR_RootConstrainSelectedInstOperands,
     /* 296714 */       // GIR_Coverage, 403,
     /* 296714 */       GIR_EraseRootFromParent_Done,
     /* 296715 */     // Label 4976: @296715
     /* 296715 */     GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(296777), // Rule ID 404 //
     /* 296720 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseRealTrue16Insts),
     /* 296723 */       // MIs[0] Operand 1
     /* 296723 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGE),
     /* 296728 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296735 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296742 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_NLT_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296742 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLT_F16_t16_e64),
     /* 296745 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296747 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296752 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296757 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296762 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296767 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296772 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 296775 */       GIR_RootConstrainSelectedInstOperands,
     /* 296776 */       // GIR_Coverage, 404,
     /* 296776 */       GIR_EraseRootFromParent_Done,
     /* 296777 */     // Label 4977: @296777
     /* 296777 */     GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(296836), // Rule ID 405 //
     /* 296782 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_UseFakeTrue16Insts),
     /* 296785 */       // MIs[0] Operand 1
     /* 296785 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGE),
     /* 296790 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296797 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296804 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_NLT_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296804 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLT_F16_fake16_e64),
     /* 296807 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296809 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296814 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296819 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296824 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296829 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296834 */       GIR_RootConstrainSelectedInstOperands,
     /* 296835 */       // GIR_Coverage, 405,
     /* 296835 */       GIR_EraseRootFromParent_Done,
     /* 296836 */     // Label 4978: @296836
     /* 296836 */     GIM_Reject,
     /* 296837 */   // Label 4936: @296837
     /* 296837 */   GIM_Reject,
     /* 296838 */   // Label 4933: @296838
     /* 296838 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(297635),
     /* 296843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 296846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 296850 */     GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(296906), // Rule ID 204 //
     /* 296855 */       // MIs[0] Operand 1
     /* 296855 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 296860 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296867 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296874 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLT:{ *:[Other] })  =>  (V_CMP_LT_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296874 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_F32_e64),
     /* 296877 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296879 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296884 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296889 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296894 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296899 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296904 */       GIR_RootConstrainSelectedInstOperands,
     /* 296905 */       // GIR_Coverage, 204,
     /* 296905 */       GIR_EraseRootFromParent_Done,
     /* 296906 */     // Label 4980: @296906
     /* 296906 */     GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(296962), // Rule ID 206 //
     /* 296911 */       // MIs[0] Operand 1
     /* 296911 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 296916 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296923 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296930 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOEQ:{ *:[Other] })  =>  (V_CMP_EQ_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296930 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F32_e64),
     /* 296933 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296935 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296940 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 296945 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 296950 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 296955 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 296960 */       GIR_RootConstrainSelectedInstOperands,
     /* 296961 */       // GIR_Coverage, 206,
     /* 296961 */       GIR_EraseRootFromParent_Done,
     /* 296962 */     // Label 4981: @296962
     /* 296962 */     GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(297018), // Rule ID 208 //
     /* 296967 */       // MIs[0] Operand 1
     /* 296967 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 296972 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 296979 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 296986 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLE:{ *:[Other] })  =>  (V_CMP_LE_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 296986 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_F32_e64),
     /* 296989 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 296991 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 296996 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297001 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297006 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297011 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297016 */       GIR_RootConstrainSelectedInstOperands,
     /* 297017 */       // GIR_Coverage, 208,
     /* 297017 */       GIR_EraseRootFromParent_Done,
     /* 297018 */     // Label 4982: @297018
     /* 297018 */     GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(297074), // Rule ID 210 //
     /* 297023 */       // MIs[0] Operand 1
     /* 297023 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGT),
     /* 297028 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297035 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297042 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGT:{ *:[Other] })  =>  (V_CMP_GT_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297042 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_F32_e64),
     /* 297045 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297047 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297052 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297057 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297062 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297067 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297072 */       GIR_RootConstrainSelectedInstOperands,
     /* 297073 */       // GIR_Coverage, 210,
     /* 297073 */       GIR_EraseRootFromParent_Done,
     /* 297074 */     // Label 4983: @297074
     /* 297074 */     GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(297130), // Rule ID 212 //
     /* 297079 */       // MIs[0] Operand 1
     /* 297079 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 297084 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297091 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297098 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETONE:{ *:[Other] })  =>  (V_CMP_LG_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297098 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LG_F32_e64),
     /* 297101 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297103 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297108 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297113 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297118 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297123 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297128 */       GIR_RootConstrainSelectedInstOperands,
     /* 297129 */       // GIR_Coverage, 212,
     /* 297129 */       GIR_EraseRootFromParent_Done,
     /* 297130 */     // Label 4984: @297130
     /* 297130 */     GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(297186), // Rule ID 214 //
     /* 297135 */       // MIs[0] Operand 1
     /* 297135 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGE),
     /* 297140 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297147 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297154 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGE:{ *:[Other] })  =>  (V_CMP_GE_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297154 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_F32_e64),
     /* 297157 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297159 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297164 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297169 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297174 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297179 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297184 */       GIR_RootConstrainSelectedInstOperands,
     /* 297185 */       // GIR_Coverage, 214,
     /* 297185 */       GIR_EraseRootFromParent_Done,
     /* 297186 */     // Label 4985: @297186
     /* 297186 */     GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(297242), // Rule ID 216 //
     /* 297191 */       // MIs[0] Operand 1
     /* 297191 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 297196 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297203 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297210 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETO:{ *:[Other] })  =>  (V_CMP_O_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297210 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_O_F32_e64),
     /* 297213 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297215 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297220 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297225 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297230 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297235 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297240 */       GIR_RootConstrainSelectedInstOperands,
     /* 297241 */       // GIR_Coverage, 216,
     /* 297241 */       GIR_EraseRootFromParent_Done,
     /* 297242 */     // Label 4986: @297242
     /* 297242 */     GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(297298), // Rule ID 217 //
     /* 297247 */       // MIs[0] Operand 1
     /* 297247 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 297252 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297259 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297266 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUO:{ *:[Other] })  =>  (V_CMP_U_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297266 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_U_F32_e64),
     /* 297269 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297271 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297276 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297281 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297286 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297291 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297296 */       GIR_RootConstrainSelectedInstOperands,
     /* 297297 */       // GIR_Coverage, 217,
     /* 297297 */       GIR_EraseRootFromParent_Done,
     /* 297298 */     // Label 4987: @297298
     /* 297298 */     GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(297354), // Rule ID 218 //
     /* 297303 */       // MIs[0] Operand 1
     /* 297303 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 297308 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297315 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297322 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_NGE_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297322 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGE_F32_e64),
     /* 297325 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297327 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297332 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297337 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297342 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297347 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297352 */       GIR_RootConstrainSelectedInstOperands,
     /* 297353 */       // GIR_Coverage, 218,
     /* 297353 */       GIR_EraseRootFromParent_Done,
     /* 297354 */     // Label 4988: @297354
     /* 297354 */     GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(297410), // Rule ID 219 //
     /* 297359 */       // MIs[0] Operand 1
     /* 297359 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 297364 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297371 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297378 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUEQ:{ *:[Other] })  =>  (V_CMP_NLG_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297378 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLG_F32_e64),
     /* 297381 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297383 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297388 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297393 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297398 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297403 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297408 */       GIR_RootConstrainSelectedInstOperands,
     /* 297409 */       // GIR_Coverage, 219,
     /* 297409 */       GIR_EraseRootFromParent_Done,
     /* 297410 */     // Label 4989: @297410
     /* 297410 */     GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(297466), // Rule ID 220 //
     /* 297415 */       // MIs[0] Operand 1
     /* 297415 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 297420 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297427 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297434 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_NGT_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297434 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGT_F32_e64),
     /* 297437 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297439 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297444 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297449 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297454 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297459 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297464 */       GIR_RootConstrainSelectedInstOperands,
     /* 297465 */       // GIR_Coverage, 220,
     /* 297465 */       GIR_EraseRootFromParent_Done,
     /* 297466 */     // Label 4990: @297466
     /* 297466 */     GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(297522), // Rule ID 221 //
     /* 297471 */       // MIs[0] Operand 1
     /* 297471 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGT),
     /* 297476 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297483 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297490 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_NLE_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297490 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLE_F32_e64),
     /* 297493 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297495 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297500 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297505 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297510 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297515 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297520 */       GIR_RootConstrainSelectedInstOperands,
     /* 297521 */       // GIR_Coverage, 221,
     /* 297521 */       GIR_EraseRootFromParent_Done,
     /* 297522 */     // Label 4991: @297522
     /* 297522 */     GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(297578), // Rule ID 222 //
     /* 297527 */       // MIs[0] Operand 1
     /* 297527 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 297532 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297539 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297546 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUNE:{ *:[Other] })  =>  (V_CMP_NEQ_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297546 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NEQ_F32_e64),
     /* 297549 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297551 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297556 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297561 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297566 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297571 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297576 */       GIR_RootConstrainSelectedInstOperands,
     /* 297577 */       // GIR_Coverage, 222,
     /* 297577 */       GIR_EraseRootFromParent_Done,
     /* 297578 */     // Label 4992: @297578
     /* 297578 */     GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(297634), // Rule ID 223 //
     /* 297583 */       // MIs[0] Operand 1
     /* 297583 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGE),
     /* 297588 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297595 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297602 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_NLT_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297602 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLT_F32_e64),
     /* 297605 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297607 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297612 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297617 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297622 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297627 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297632 */       GIR_RootConstrainSelectedInstOperands,
     /* 297633 */       // GIR_Coverage, 223,
     /* 297633 */       GIR_EraseRootFromParent_Done,
     /* 297634 */     // Label 4993: @297634
     /* 297634 */     GIM_Reject,
     /* 297635 */   // Label 4979: @297635
     /* 297635 */   GIM_Reject,
     /* 297636 */   // Label 4934: @297636
     /* 297636 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(298433),
     /* 297641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 297644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 297648 */     GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(297704), // Rule ID 242 //
     /* 297653 */       // MIs[0] Operand 1
     /* 297653 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 297658 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297665 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297672 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLT:{ *:[Other] })  =>  (V_CMP_LT_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297672 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LT_F64_e64),
     /* 297675 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297677 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297682 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297687 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297692 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297697 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297702 */       GIR_RootConstrainSelectedInstOperands,
     /* 297703 */       // GIR_Coverage, 242,
     /* 297703 */       GIR_EraseRootFromParent_Done,
     /* 297704 */     // Label 4995: @297704
     /* 297704 */     GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(297760), // Rule ID 244 //
     /* 297709 */       // MIs[0] Operand 1
     /* 297709 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 297714 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297721 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297728 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOEQ:{ *:[Other] })  =>  (V_CMP_EQ_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297728 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F64_e64),
     /* 297731 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297733 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297738 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297743 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297748 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297753 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297758 */       GIR_RootConstrainSelectedInstOperands,
     /* 297759 */       // GIR_Coverage, 244,
     /* 297759 */       GIR_EraseRootFromParent_Done,
     /* 297760 */     // Label 4996: @297760
     /* 297760 */     GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(297816), // Rule ID 246 //
     /* 297765 */       // MIs[0] Operand 1
     /* 297765 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 297770 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297777 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297784 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOLE:{ *:[Other] })  =>  (V_CMP_LE_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297784 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LE_F64_e64),
     /* 297787 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297789 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297794 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297799 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297804 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297809 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297814 */       GIR_RootConstrainSelectedInstOperands,
     /* 297815 */       // GIR_Coverage, 246,
     /* 297815 */       GIR_EraseRootFromParent_Done,
     /* 297816 */     // Label 4997: @297816
     /* 297816 */     GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(297872), // Rule ID 248 //
     /* 297821 */       // MIs[0] Operand 1
     /* 297821 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGT),
     /* 297826 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297833 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297840 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGT:{ *:[Other] })  =>  (V_CMP_GT_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GT_F64_e64),
     /* 297843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297845 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297850 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297855 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297860 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297865 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297870 */       GIR_RootConstrainSelectedInstOperands,
     /* 297871 */       // GIR_Coverage, 248,
     /* 297871 */       GIR_EraseRootFromParent_Done,
     /* 297872 */     // Label 4998: @297872
     /* 297872 */     GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(297928), // Rule ID 250 //
     /* 297877 */       // MIs[0] Operand 1
     /* 297877 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ONE),
     /* 297882 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297889 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297896 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETONE:{ *:[Other] })  =>  (V_CMP_LG_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297896 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_LG_F64_e64),
     /* 297899 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297901 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297906 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297911 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297916 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297921 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297926 */       GIR_RootConstrainSelectedInstOperands,
     /* 297927 */       // GIR_Coverage, 250,
     /* 297927 */       GIR_EraseRootFromParent_Done,
     /* 297928 */     // Label 4999: @297928
     /* 297928 */     GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(297984), // Rule ID 252 //
     /* 297933 */       // MIs[0] Operand 1
     /* 297933 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OGE),
     /* 297938 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 297945 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 297952 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETOGE:{ *:[Other] })  =>  (V_CMP_GE_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 297952 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_GE_F64_e64),
     /* 297955 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 297957 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 297962 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 297967 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 297972 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 297977 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 297982 */       GIR_RootConstrainSelectedInstOperands,
     /* 297983 */       // GIR_Coverage, 252,
     /* 297983 */       GIR_EraseRootFromParent_Done,
     /* 297984 */     // Label 5000: @297984
     /* 297984 */     GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(298040), // Rule ID 254 //
     /* 297989 */       // MIs[0] Operand 1
     /* 297989 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ORD),
     /* 297994 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298001 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298008 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETO:{ *:[Other] })  =>  (V_CMP_O_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298008 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_O_F64_e64),
     /* 298011 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298013 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298018 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298023 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298028 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298033 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298038 */       GIR_RootConstrainSelectedInstOperands,
     /* 298039 */       // GIR_Coverage, 254,
     /* 298039 */       GIR_EraseRootFromParent_Done,
     /* 298040 */     // Label 5001: @298040
     /* 298040 */     GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(298096), // Rule ID 255 //
     /* 298045 */       // MIs[0] Operand 1
     /* 298045 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNO),
     /* 298050 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298057 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298064 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUO:{ *:[Other] })  =>  (V_CMP_U_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298064 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_U_F64_e64),
     /* 298067 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298069 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298074 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298079 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298084 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298089 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298094 */       GIR_RootConstrainSelectedInstOperands,
     /* 298095 */       // GIR_Coverage, 255,
     /* 298095 */       GIR_EraseRootFromParent_Done,
     /* 298096 */     // Label 5002: @298096
     /* 298096 */     GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(298152), // Rule ID 256 //
     /* 298101 */       // MIs[0] Operand 1
     /* 298101 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULT),
     /* 298106 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298113 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298120 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULT:{ *:[Other] })  =>  (V_CMP_NGE_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298120 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGE_F64_e64),
     /* 298123 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298125 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298130 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298135 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298140 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298145 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298150 */       GIR_RootConstrainSelectedInstOperands,
     /* 298151 */       // GIR_Coverage, 256,
     /* 298151 */       GIR_EraseRootFromParent_Done,
     /* 298152 */     // Label 5003: @298152
     /* 298152 */     GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(298208), // Rule ID 257 //
     /* 298157 */       // MIs[0] Operand 1
     /* 298157 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UEQ),
     /* 298162 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298169 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298176 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUEQ:{ *:[Other] })  =>  (V_CMP_NLG_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298176 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLG_F64_e64),
     /* 298179 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298181 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298186 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298191 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298196 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298201 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298206 */       GIR_RootConstrainSelectedInstOperands,
     /* 298207 */       // GIR_Coverage, 257,
     /* 298207 */       GIR_EraseRootFromParent_Done,
     /* 298208 */     // Label 5004: @298208
     /* 298208 */     GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(298264), // Rule ID 258 //
     /* 298213 */       // MIs[0] Operand 1
     /* 298213 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_ULE),
     /* 298218 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298225 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298232 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETULE:{ *:[Other] })  =>  (V_CMP_NGT_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298232 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NGT_F64_e64),
     /* 298235 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298237 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298242 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298247 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298252 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298257 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298262 */       GIR_RootConstrainSelectedInstOperands,
     /* 298263 */       // GIR_Coverage, 258,
     /* 298263 */       GIR_EraseRootFromParent_Done,
     /* 298264 */     // Label 5005: @298264
     /* 298264 */     GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(298320), // Rule ID 259 //
     /* 298269 */       // MIs[0] Operand 1
     /* 298269 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGT),
     /* 298274 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298281 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298288 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGT:{ *:[Other] })  =>  (V_CMP_NLE_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298288 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLE_F64_e64),
     /* 298291 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298293 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298298 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298303 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298308 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298313 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298318 */       GIR_RootConstrainSelectedInstOperands,
     /* 298319 */       // GIR_Coverage, 259,
     /* 298319 */       GIR_EraseRootFromParent_Done,
     /* 298320 */     // Label 5006: @298320
     /* 298320 */     GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(298376), // Rule ID 260 //
     /* 298325 */       // MIs[0] Operand 1
     /* 298325 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 298330 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298337 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298344 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUNE:{ *:[Other] })  =>  (V_CMP_NEQ_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298344 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NEQ_F64_e64),
     /* 298347 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298349 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298354 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298359 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298364 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298369 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298374 */       GIR_RootConstrainSelectedInstOperands,
     /* 298375 */       // GIR_Coverage, 260,
     /* 298375 */       GIR_EraseRootFromParent_Done,
     /* 298376 */     // Label 5007: @298376
     /* 298376 */     GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(298432), // Rule ID 261 //
     /* 298381 */       // MIs[0] Operand 1
     /* 298381 */       GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UGE),
     /* 298386 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298393 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 298400 */       // (setcc:{ *:[i1] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), SETUGE:{ *:[Other] })  =>  (V_CMP_NLT_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp)
     /* 298400 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_NLT_F64_e64),
     /* 298403 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 298405 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 298410 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298415 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 298420 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 298425 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 298430 */       GIR_RootConstrainSelectedInstOperands,
     /* 298431 */       // GIR_Coverage, 261,
     /* 298431 */       GIR_EraseRootFromParent_Done,
     /* 298432 */     // Label 5008: @298432
     /* 298432 */     GIM_Reject,
     /* 298433 */   // Label 4994: @298433
     /* 298433 */   GIM_Reject,
     /* 298434 */   // Label 4935: @298434
     /* 298434 */   GIM_Reject,
     /* 298435 */ // Label 4931: @298435
     /* 298435 */ GIM_Reject,
     /* 298436 */ // Label 53: @298436
     /* 298436 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 5011*/ GIMT_Encode4(298779),
     /* 298447 */ /*GILLT_s16*//*Label 5009*/ GIMT_Encode4(298455),
     /* 298451 */ /*GILLT_s32*//*Label 5010*/ GIMT_Encode4(298663),
     /* 298455 */ // Label 5009: @298455
     /* 298455 */ GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(298662),
     /* 298460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 298463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 298466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 298469 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(298500), // Rule ID 7078 //
     /* 298474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 298477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298481 */     // (select:{ *:[f16] } i1:{ *:[i1] }:$src0, f16:{ *:[f16] }:$src1, f16:{ *:[f16] }:$src2)  =>  (V_CNDMASK_B32_e64:{ *:[f16] } 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src2, 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298489 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298494 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298496 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298498 */     GIR_RootConstrainSelectedInstOperands,
     /* 298499 */     // GIR_Coverage, 7078,
     /* 298499 */     GIR_EraseRootFromParent_Done,
     /* 298500 */   // Label 5013: @298500
     /* 298500 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(298531), // Rule ID 7079 //
     /* 298505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 298508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298512 */     // (select:{ *:[i16] } i1:{ *:[i1] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2)  =>  (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$src2, 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298520 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298525 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298529 */     GIR_RootConstrainSelectedInstOperands,
     /* 298530 */     // GIR_Coverage, 7079,
     /* 298530 */     GIR_EraseRootFromParent_Done,
     /* 298531 */   // Label 5014: @298531
     /* 298531 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(298562), // Rule ID 7080 //
     /* 298536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 298539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298543 */     // (select:{ *:[f16] } i1:{ *:[i1] }:$src0, f16:{ *:[f16] }:$src1, f16:{ *:[f16] }:$src2)  =>  (V_CNDMASK_B32_e64:{ *:[f16] } 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src2, 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298551 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298556 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298558 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298560 */     GIR_RootConstrainSelectedInstOperands,
     /* 298561 */     // GIR_Coverage, 7080,
     /* 298561 */     GIR_EraseRootFromParent_Done,
     /* 298562 */   // Label 5015: @298562
     /* 298562 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(298593), // Rule ID 7081 //
     /* 298567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 298570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298574 */     // (select:{ *:[i16] } i1:{ *:[i1] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2)  =>  (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$src2, 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298582 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298587 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298589 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298591 */     GIR_RootConstrainSelectedInstOperands,
     /* 298592 */     // GIR_Coverage, 7081,
     /* 298592 */     GIR_EraseRootFromParent_Done,
     /* 298593 */   // Label 5016: @298593
     /* 298593 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(298627), // Rule ID 7082 //
     /* 298598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 298601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 298605 */     // (select:{ *:[f16] } i1:{ *:[i1] }:$src0, f16:{ *:[f16] }:$src1, f16:{ *:[f16] }:$src2)  =>  (V_CNDMASK_B16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[f16] }:$src2, 0:{ *:[i32] }, VSrcT_b16:{ *:[f16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B16_t16_e64),
     /* 298608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298613 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298618 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298620 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298625 */     GIR_RootConstrainSelectedInstOperands,
     /* 298626 */     // GIR_Coverage, 7082,
     /* 298626 */     GIR_EraseRootFromParent_Done,
     /* 298627 */   // Label 5017: @298627
     /* 298627 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(298661), // Rule ID 7083 //
     /* 298632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 298635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 298639 */     // (select:{ *:[i16] } i1:{ *:[i1] }:$src0, i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src2)  =>  (V_CNDMASK_B16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B16_t16_e64),
     /* 298642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298647 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 298649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298652 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298654 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 298659 */     GIR_RootConstrainSelectedInstOperands,
     /* 298660 */     // GIR_Coverage, 7083,
     /* 298660 */     GIR_EraseRootFromParent_Done,
     /* 298661 */   // Label 5018: @298661
     /* 298661 */   GIM_Reject,
     /* 298662 */ // Label 5012: @298662
     /* 298662 */ GIM_Reject,
     /* 298663 */ // Label 5010: @298663
     /* 298663 */ GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(298778),
     /* 298668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 298671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 298674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 298677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298681 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(298729), // Rule ID 7076 //
     /* 298686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 298693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 298700 */     // (select:{ *:[i32] } i1:{ *:[i1] }:$src0, (VOP3ModsNonCanonicalizing:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3ModsNonCanonicalizing:{ *:[i32] } i32:{ *:[i32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_CNDMASK_B32_e64:{ *:[i32] } FP32InputMods:{ *:[i32] }:$src2_mods, VSrc_b32:{ *:[i32] }:$src2, FP32InputMods:{ *:[i32] }:$src1_mods, VSrc_b32:{ *:[i32] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src2_mods
     /* 298710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src2
     /* 298715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 298720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 298725 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298727 */     GIR_RootConstrainSelectedInstOperands,
     /* 298728 */     // GIR_Coverage, 7076,
     /* 298728 */     GIR_EraseRootFromParent_Done,
     /* 298729 */   // Label 5020: @298729
     /* 298729 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(298777), // Rule ID 7077 //
     /* 298734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 298741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 298748 */     // (select:{ *:[f32] } i1:{ *:[i1] }:$src0, (VOP3ModsNonCanonicalizing:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3ModsNonCanonicalizing:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_CNDMASK_B32_e64:{ *:[f32] } FP32InputMods:{ *:[i32] }:$src2_mods, VSrc_b32:{ *:[f32] }:$src2, FP32InputMods:{ *:[i32] }:$src1_mods, VSrc_b32:{ *:[f32] }:$src1, SSrc_i1:{ *:[i1] }:$src0)
     /* 298748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 298751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src2_mods
     /* 298758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src2
     /* 298763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 298768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 298773 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 298775 */     GIR_RootConstrainSelectedInstOperands,
     /* 298776 */     // GIR_Coverage, 7077,
     /* 298776 */     GIR_EraseRootFromParent_Done,
     /* 298777 */   // Label 5021: @298777
     /* 298777 */   GIM_Reject,
     /* 298778 */ // Label 5019: @298778
     /* 298778 */ GIM_Reject,
     /* 298779 */ // Label 5011: @298779
     /* 298779 */ GIM_Reject,
     /* 298780 */ // Label 54: @298780
     /* 298780 */ GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(298888),
     /* 298785 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 298788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 298791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 298794 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(298825), // Rule ID 86 //
     /* 298799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 298802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13774),
     /* 298818 */     // (mulhu:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13774>>  =>  (S_MUL_HI_U32:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 298818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_HI_U32),
     /* 298823 */     GIR_RootConstrainSelectedInstOperands,
     /* 298824 */     // GIR_Coverage, 86,
     /* 298824 */     GIR_Done,
     /* 298825 */   // Label 5023: @298825
     /* 298825 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(298887),
     /* 298830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298834 */     GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(298860), // Rule ID 941 //
     /* 298839 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298846 */       // (mulhu:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_MUL_HI_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 298846 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_U32_e64),
     /* 298849 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298851 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298856 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298858 */       GIR_RootConstrainSelectedInstOperands,
     /* 298859 */       // GIR_Coverage, 941,
     /* 298859 */       GIR_EraseRootFromParent_Done,
     /* 298860 */     // Label 5025: @298860
     /* 298860 */     GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(298886), // Rule ID 8668 //
     /* 298865 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298872 */       // (mulhu:{ *:[i32] } i32:{ *:[i32] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_MUL_HI_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 298872 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_U32_e64),
     /* 298875 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298877 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298882 */       GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 298884 */       GIR_RootConstrainSelectedInstOperands,
     /* 298885 */       // GIR_Coverage, 8668,
     /* 298885 */       GIR_EraseRootFromParent_Done,
     /* 298886 */     // Label 5026: @298886
     /* 298886 */     GIM_Reject,
     /* 298887 */   // Label 5024: @298887
     /* 298887 */   GIM_Reject,
     /* 298888 */ // Label 5022: @298888
     /* 298888 */ GIM_Reject,
     /* 298889 */ // Label 55: @298889
     /* 298889 */ GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(298997),
     /* 298894 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 298897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 298900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 298903 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(298934), // Rule ID 87 //
     /* 298908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 298911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 298923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13775),
     /* 298927 */     // (mulhs:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13775>>  =>  (S_MUL_HI_I32:{ *:[i32] } SSrc_b32:{ *:[i32] }:$src0, SSrc_b32:{ *:[i32] }:$src1)
     /* 298927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_HI_I32),
     /* 298932 */     GIR_RootConstrainSelectedInstOperands,
     /* 298933 */     // GIR_Coverage, 87,
     /* 298933 */     GIR_Done,
     /* 298934 */   // Label 5028: @298934
     /* 298934 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(298996),
     /* 298939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 298943 */     GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(298969), // Rule ID 942 //
     /* 298948 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298955 */       // (mulhs:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1)  =>  (V_MUL_HI_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 298955 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_I32_e64),
     /* 298958 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298960 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298965 */       GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 298967 */       GIR_RootConstrainSelectedInstOperands,
     /* 298968 */       // GIR_Coverage, 942,
     /* 298968 */       GIR_EraseRootFromParent_Done,
     /* 298969 */     // Label 5030: @298969
     /* 298969 */     GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(298995), // Rule ID 8669 //
     /* 298974 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 298981 */       // (mulhs:{ *:[i32] } i32:{ *:[i32] }:$src1, (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_MUL_HI_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 298981 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_HI_I32_e64),
     /* 298984 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 298986 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 298991 */       GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 298993 */       GIR_RootConstrainSelectedInstOperands,
     /* 298994 */       // GIR_Coverage, 8669,
     /* 298994 */       GIR_EraseRootFromParent_Done,
     /* 298995 */     // Label 5031: @298995
     /* 298995 */     GIM_Reject,
     /* 298996 */   // Label 5029: @298996
     /* 298996 */   GIM_Reject,
     /* 298997 */ // Label 5027: @298997
     /* 298997 */ GIM_Reject,
     /* 298998 */ // Label 56: @298998
     /* 298998 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5035*/ GIMT_Encode4(299385),
     /* 299009 */ /*GILLT_s16*//*Label 5032*/ GIMT_Encode4(299025),
     /* 299013 */ /*GILLT_s32*//*Label 5033*/ GIMT_Encode4(299241), GIMT_Encode4(0),
     /* 299021 */ /*GILLT_v2s16*//*Label 5034*/ GIMT_Encode4(299310),
     /* 299025 */ // Label 5032: @299025
     /* 299025 */ GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(299240),
     /* 299030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 299033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 299036 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(299095), // Rule ID 2686 //
     /* 299041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /* 299044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299062 */     // (uaddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_e64),
     /* 299065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299093 */     GIR_RootConstrainSelectedInstOperands,
     /* 299094 */     // GIR_Coverage, 2686,
     /* 299094 */     GIR_EraseRootFromParent_Done,
     /* 299095 */   // Label 5037: @299095
     /* 299095 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(299154), // Rule ID 2689 //
     /* 299100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 299103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 299107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299121 */     // (uaddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_t16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_t16_e64),
     /* 299124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299152 */     GIR_RootConstrainSelectedInstOperands,
     /* 299153 */     // GIR_Coverage, 2689,
     /* 299153 */     GIR_EraseRootFromParent_Done,
     /* 299154 */   // Label 5038: @299154
     /* 299154 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(299213), // Rule ID 2692 //
     /* 299159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 299162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299180 */     // (uaddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_NC_U16_fake16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_NC_U16_fake16_e64),
     /* 299183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299211 */     GIR_RootConstrainSelectedInstOperands,
     /* 299212 */     // GIR_Coverage, 2692,
     /* 299212 */     GIR_EraseRootFromParent_Done,
     /* 299213 */   // Label 5039: @299213
     /* 299213 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(299239), // Rule ID 2573 //
     /* 299218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_HasIntClamp),
     /* 299221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299225 */     // (uaddsat:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_ADD_U16_e64:{ *:[i16] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1, 1:{ *:[i1] })
     /* 299225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U16_e64),
     /* 299228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299230 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299232 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299237 */     GIR_RootConstrainSelectedInstOperands,
     /* 299238 */     // GIR_Coverage, 2573,
     /* 299238 */     GIR_EraseRootFromParent_Done,
     /* 299239 */   // Label 5040: @299239
     /* 299239 */   GIM_Reject,
     /* 299240 */ // Label 5036: @299240
     /* 299240 */ GIM_Reject,
     /* 299241 */ // Label 5033: @299241
     /* 299241 */ GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(299309),
     /* 299246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 299252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299256 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(299278), // Rule ID 2571 //
     /* 299261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts_HasIntClamp),
     /* 299264 */     // (uaddsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ADD_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 299264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_U32_e64),
     /* 299267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299269 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299271 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299276 */     GIR_RootConstrainSelectedInstOperands,
     /* 299277 */     // GIR_Coverage, 2571,
     /* 299277 */     GIR_EraseRootFromParent_Done,
     /* 299278 */   // Label 5042: @299278
     /* 299278 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(299308), // Rule ID 2569 //
     /* 299283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasIntClamp),
     /* 299286 */     // (uaddsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ADD_CO_U32_e64:{ *:[i32] }:{ *:[i1] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 299286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 299289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_CO_U32_e64),
     /* 299292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299294 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 299299 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299301 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299306 */     GIR_RootConstrainSelectedInstOperands,
     /* 299307 */     // GIR_Coverage, 2569,
     /* 299307 */     GIR_EraseRootFromParent_Done,
     /* 299308 */   // Label 5043: @299308
     /* 299308 */   GIM_Reject,
     /* 299309 */ // Label 5041: @299309
     /* 299309 */ GIM_Reject,
     /* 299310 */ // Label 5034: @299310
     /* 299310 */ GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(299384), // Rule ID 2733 //
     /* 299315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /* 299318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 299321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 299324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299328 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 299335 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 299342 */   // (uaddsat:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_U16:{ *:[v2i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[v2i16] }:$src1, 1:{ *:[i1] })
     /* 299342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_U16),
     /* 299345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299362 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299382 */   GIR_RootConstrainSelectedInstOperands,
     /* 299383 */   // GIR_Coverage, 2733,
     /* 299383 */   GIR_EraseRootFromParent_Done,
     /* 299384 */ // Label 5044: @299384
     /* 299384 */ GIM_Reject,
     /* 299385 */ // Label 5035: @299385
     /* 299385 */ GIM_Reject,
     /* 299386 */ // Label 57: @299386
     /* 299386 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5048*/ GIMT_Encode4(299711),
     /* 299397 */ /*GILLT_s16*//*Label 5045*/ GIMT_Encode4(299413),
     /* 299401 */ /*GILLT_s32*//*Label 5046*/ GIMT_Encode4(299603), GIMT_Encode4(0),
     /* 299409 */ /*GILLT_v2s16*//*Label 5047*/ GIMT_Encode4(299636),
     /* 299413 */ // Label 5045: @299413
     /* 299413 */ GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(299602),
     /* 299418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 299421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 299424 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(299483), // Rule ID 2626 //
     /* 299429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 299432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299450 */     // (saddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_I16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_I16_e64),
     /* 299453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299481 */     GIR_RootConstrainSelectedInstOperands,
     /* 299482 */     // GIR_Coverage, 2626,
     /* 299482 */     GIR_EraseRootFromParent_Done,
     /* 299483 */   // Label 5050: @299483
     /* 299483 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(299542), // Rule ID 2628 //
     /* 299488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 299491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 299495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299509 */     // (saddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_I16_t16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_I16_t16_e64),
     /* 299512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299540 */     GIR_RootConstrainSelectedInstOperands,
     /* 299541 */     // GIR_Coverage, 2628,
     /* 299541 */     GIR_EraseRootFromParent_Done,
     /* 299542 */   // Label 5051: @299542
     /* 299542 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(299601), // Rule ID 2630 //
     /* 299547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 299550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299568 */     // (saddsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_I16_fake16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_I16_fake16_e64),
     /* 299571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299599 */     GIR_RootConstrainSelectedInstOperands,
     /* 299600 */     // GIR_Coverage, 2630,
     /* 299600 */     GIR_EraseRootFromParent_Done,
     /* 299601 */   // Label 5052: @299601
     /* 299601 */   GIM_Reject,
     /* 299602 */ // Label 5049: @299602
     /* 299602 */ GIM_Reject,
     /* 299603 */ // Label 5046: @299603
     /* 299603 */ GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(299635), // Rule ID 2623 //
     /* 299608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 299611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 299617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299621 */   // (saddsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_ADD_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 299621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_I32_e64),
     /* 299624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299626 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299628 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299633 */   GIR_RootConstrainSelectedInstOperands,
     /* 299634 */   // GIR_Coverage, 2623,
     /* 299634 */   GIR_EraseRootFromParent_Done,
     /* 299635 */ // Label 5053: @299635
     /* 299635 */ GIM_Reject,
     /* 299636 */ // Label 5047: @299636
     /* 299636 */ GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(299710), // Rule ID 2734 //
     /* 299641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /* 299644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 299647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 299650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299654 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 299661 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 299668 */   // (saddsat:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_I16:{ *:[v2i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[v2i16] }:$src1, 1:{ *:[i1] })
     /* 299668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_I16),
     /* 299671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299708 */   GIR_RootConstrainSelectedInstOperands,
     /* 299709 */   // GIR_Coverage, 2734,
     /* 299709 */   GIR_EraseRootFromParent_Done,
     /* 299710 */ // Label 5054: @299710
     /* 299710 */ GIM_Reject,
     /* 299711 */ // Label 5048: @299711
     /* 299711 */ GIM_Reject,
     /* 299712 */ // Label 58: @299712
     /* 299712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5058*/ GIMT_Encode4(300099),
     /* 299723 */ /*GILLT_s16*//*Label 5055*/ GIMT_Encode4(299739),
     /* 299727 */ /*GILLT_s32*//*Label 5056*/ GIMT_Encode4(299955), GIMT_Encode4(0),
     /* 299735 */ /*GILLT_v2s16*//*Label 5057*/ GIMT_Encode4(300024),
     /* 299739 */ // Label 5055: @299739
     /* 299739 */ GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(299954),
     /* 299744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 299747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 299750 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(299809), // Rule ID 2687 //
     /* 299755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /* 299758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299776 */     // (usubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_e64),
     /* 299779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299807 */     GIR_RootConstrainSelectedInstOperands,
     /* 299808 */     // GIR_Coverage, 2687,
     /* 299808 */     GIR_EraseRootFromParent_Done,
     /* 299809 */   // Label 5060: @299809
     /* 299809 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(299868), // Rule ID 2690 //
     /* 299814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 299817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 299821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299835 */     // (usubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_t16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_t16_e64),
     /* 299838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299866 */     GIR_RootConstrainSelectedInstOperands,
     /* 299867 */     // GIR_Coverage, 2690,
     /* 299867 */     GIR_EraseRootFromParent_Done,
     /* 299868 */   // Label 5061: @299868
     /* 299868 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(299927), // Rule ID 2693 //
     /* 299873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 299876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 299894 */     // (usubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_NC_U16_fake16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 299894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_NC_U16_fake16_e64),
     /* 299897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 299904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 299909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 299914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 299919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299925 */     GIR_RootConstrainSelectedInstOperands,
     /* 299926 */     // GIR_Coverage, 2693,
     /* 299926 */     GIR_EraseRootFromParent_Done,
     /* 299927 */   // Label 5062: @299927
     /* 299927 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(299953), // Rule ID 2574 //
     /* 299932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_HasIntClamp),
     /* 299935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299939 */     // (usubsat:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_SUB_U16_e64:{ *:[i16] } VSrc_b16:{ *:[i16] }:$src0, VSrc_b16:{ *:[i16] }:$src1, 1:{ *:[i1] })
     /* 299939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U16_e64),
     /* 299942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299944 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299946 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299951 */     GIR_RootConstrainSelectedInstOperands,
     /* 299952 */     // GIR_Coverage, 2574,
     /* 299952 */     GIR_EraseRootFromParent_Done,
     /* 299953 */   // Label 5063: @299953
     /* 299953 */   GIM_Reject,
     /* 299954 */ // Label 5059: @299954
     /* 299954 */ GIM_Reject,
     /* 299955 */ // Label 5056: @299955
     /* 299955 */ GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(300023),
     /* 299960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 299966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 299970 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(299992), // Rule ID 2572 //
     /* 299975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts_HasIntClamp),
     /* 299978 */     // (usubsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_SUB_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 299978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U32_e64),
     /* 299981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 299983 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 299985 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 299987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 299990 */     GIR_RootConstrainSelectedInstOperands,
     /* 299991 */     // GIR_Coverage, 2572,
     /* 299991 */     GIR_EraseRootFromParent_Done,
     /* 299992 */   // Label 5065: @299992
     /* 299992 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(300022), // Rule ID 2570 //
     /* 299997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasIntClamp),
     /* 300000 */     // (usubsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_SUB_CO_U32_e64:{ *:[i32] }:{ *:[i1] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 300000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 300003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_CO_U32_e64),
     /* 300006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300008 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 300013 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 300015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 300017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300020 */     GIR_RootConstrainSelectedInstOperands,
     /* 300021 */     // GIR_Coverage, 2570,
     /* 300021 */     GIR_EraseRootFromParent_Done,
     /* 300022 */   // Label 5066: @300022
     /* 300022 */   GIM_Reject,
     /* 300023 */ // Label 5064: @300023
     /* 300023 */ GIM_Reject,
     /* 300024 */ // Label 5057: @300024
     /* 300024 */ GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(300098), // Rule ID 2735 //
     /* 300029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /* 300032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 300035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 300038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300042 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 300049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 300056 */   // (usubsat:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_SUB_U16:{ *:[v2i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[v2i16] }:$src1, 1:{ *:[i1] })
     /* 300056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_SUB_U16),
     /* 300059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300096 */   GIR_RootConstrainSelectedInstOperands,
     /* 300097 */   // GIR_Coverage, 2735,
     /* 300097 */   GIR_EraseRootFromParent_Done,
     /* 300098 */ // Label 5067: @300098
     /* 300098 */ GIM_Reject,
     /* 300099 */ // Label 5058: @300099
     /* 300099 */ GIM_Reject,
     /* 300100 */ // Label 59: @300100
     /* 300100 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5071*/ GIMT_Encode4(300425),
     /* 300111 */ /*GILLT_s16*//*Label 5068*/ GIMT_Encode4(300127),
     /* 300115 */ /*GILLT_s32*//*Label 5069*/ GIMT_Encode4(300317), GIMT_Encode4(0),
     /* 300123 */ /*GILLT_v2s16*//*Label 5070*/ GIMT_Encode4(300350),
     /* 300127 */ // Label 5068: @300127
     /* 300127 */ GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(300316),
     /* 300132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 300135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 300138 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(300197), // Rule ID 2627 //
     /* 300143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 300146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300164 */     // (ssubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_I16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 300164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_I16_e64),
     /* 300167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300195 */     GIR_RootConstrainSelectedInstOperands,
     /* 300196 */     // GIR_Coverage, 2627,
     /* 300196 */     GIR_EraseRootFromParent_Done,
     /* 300197 */   // Label 5073: @300197
     /* 300197 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(300256), // Rule ID 2629 //
     /* 300202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 300205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 300209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300223 */     // (ssubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_I16_t16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 300223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_I16_t16_e64),
     /* 300226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300254 */     GIR_RootConstrainSelectedInstOperands,
     /* 300255 */     // GIR_Coverage, 2629,
     /* 300255 */     GIR_EraseRootFromParent_Done,
     /* 300256 */   // Label 5074: @300256
     /* 300256 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(300315), // Rule ID 2631 //
     /* 300261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 300264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 300282 */     // (ssubsat:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_I16_fake16_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[i16] }:$src1, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 300282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_I16_fake16_e64),
     /* 300285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300313 */     GIR_RootConstrainSelectedInstOperands,
     /* 300314 */     // GIR_Coverage, 2631,
     /* 300314 */     GIR_EraseRootFromParent_Done,
     /* 300315 */   // Label 5075: @300315
     /* 300315 */   GIM_Reject,
     /* 300316 */ // Label 5072: @300316
     /* 300316 */ GIM_Reject,
     /* 300317 */ // Label 5069: @300317
     /* 300317 */ GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(300349), // Rule ID 2624 //
     /* 300322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 300325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 300331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300335 */   // (ssubsat:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_SUB_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, 1:{ *:[i1] })
     /* 300335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_I32_e64),
     /* 300338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300340 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 300342 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 300344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300347 */   GIR_RootConstrainSelectedInstOperands,
     /* 300348 */   // GIR_Coverage, 2624,
     /* 300348 */   GIR_EraseRootFromParent_Done,
     /* 300349 */ // Label 5076: @300349
     /* 300349 */ GIM_Reject,
     /* 300350 */ // Label 5070: @300350
     /* 300350 */ GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(300424), // Rule ID 2736 //
     /* 300355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /* 300358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 300361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 300364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 300375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 300382 */   // (ssubsat:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_SUB_I16:{ *:[v2i16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2i16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[v2i16] }:$src1, 1:{ *:[i1] })
     /* 300382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_SUB_I16),
     /* 300385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 300410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300422 */   GIR_RootConstrainSelectedInstOperands,
     /* 300423 */   // GIR_Coverage, 2736,
     /* 300423 */   GIR_EraseRootFromParent_Done,
     /* 300424 */ // Label 5077: @300424
     /* 300424 */ GIM_Reject,
     /* 300425 */ // Label 5071: @300425
     /* 300425 */ GIM_Reject,
     /* 300426 */ // Label 60: @300426
     /* 300426 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 5083*/ GIMT_Encode4(301783),
     /* 300437 */ /*GILLT_s16*//*Label 5078*/ GIMT_Encode4(300457),
     /* 300441 */ /*GILLT_s32*//*Label 5079*/ GIMT_Encode4(300819),
     /* 300445 */ /*GILLT_s64*//*Label 5080*/ GIMT_Encode4(301383),
     /* 300449 */ /*GILLT_v2s16*//*Label 5081*/ GIMT_Encode4(301636),
     /* 300453 */ /*GILLT_v2s32*//*Label 5082*/ GIMT_Encode4(301708),
     /* 300457 */ // Label 5078: @300457
     /* 300457 */ GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(300818),
     /* 300462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 300465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 300468 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(300503), // Rule ID 97 //
     /* 300473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 300476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 300480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 300484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 300488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13776),
     /* 300492 */     // (fadd:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13776>>  =>  (S_ADD_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 300492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_F16),
     /* 300497 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 300501 */     GIR_RootConstrainSelectedInstOperands,
     /* 300502 */     // GIR_Coverage, 97,
     /* 300502 */     GIR_Done,
     /* 300503 */   // Label 5085: @300503
     /* 300503 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(300566), // Rule ID 861 //
     /* 300508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 300511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 300522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300529 */     // (fadd:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 300529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_e64),
     /* 300532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 300559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 300564 */     GIR_RootConstrainSelectedInstOperands,
     /* 300565 */     // GIR_Coverage, 861,
     /* 300565 */     GIR_EraseRootFromParent_Done,
     /* 300566 */   // Label 5086: @300566
     /* 300566 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(300629), // Rule ID 865 //
     /* 300571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 300574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 300585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300592 */     // (fadd:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 300592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_fake16_e64),
     /* 300595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 300622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 300627 */     GIR_RootConstrainSelectedInstOperands,
     /* 300628 */     // GIR_Coverage, 865,
     /* 300628 */     GIR_EraseRootFromParent_Done,
     /* 300629 */   // Label 5087: @300629
     /* 300629 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(300692), // Rule ID 8629 //
     /* 300634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 300637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 300655 */     // (fadd:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 300655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_e64),
     /* 300658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 300665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 300670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 300675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 300680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 300685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 300690 */     GIR_RootConstrainSelectedInstOperands,
     /* 300691 */     // GIR_Coverage, 8629,
     /* 300691 */     GIR_EraseRootFromParent_Done,
     /* 300692 */   // Label 5088: @300692
     /* 300692 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(300755), // Rule ID 8631 //
     /* 300697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 300700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 300718 */     // (fadd:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 300718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_fake16_e64),
     /* 300721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 300728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 300733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 300738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 300743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 300748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 300753 */     GIR_RootConstrainSelectedInstOperands,
     /* 300754 */     // GIR_Coverage, 8631,
     /* 300754 */     GIR_EraseRootFromParent_Done,
     /* 300755 */   // Label 5089: @300755
     /* 300755 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(300817), // Rule ID 863 //
     /* 300760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 300763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 300767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 300774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 300781 */     // (fadd:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 300781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_t16_e64),
     /* 300784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 300791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 300796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 300801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 300806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300815 */     GIR_RootConstrainSelectedInstOperands,
     /* 300816 */     // GIR_Coverage, 863,
     /* 300816 */     GIR_EraseRootFromParent_Done,
     /* 300817 */   // Label 5090: @300817
     /* 300817 */   GIM_Reject,
     /* 300818 */ // Label 5084: @300818
     /* 300818 */ GIM_Reject,
     /* 300819 */ // Label 5079: @300819
     /* 300819 */ GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(301382),
     /* 300824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 300830 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(300926), // Rule ID 11349 //
     /* 300835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts_NoFP32Denormals_isGFX6GFX7GFX10),
     /* 300838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 300850 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 300853 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 300858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 300862 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 300866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 300875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 300882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 300889 */     // (fadd:{ *:[f32] } (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2), (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1)))  =>  (V_MAC_LEGACY_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 300889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_LEGACY_F32_e64),
     /* 300892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 300902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 300910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 300918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300924 */     GIR_RootConstrainSelectedInstOperands,
     /* 300925 */     // GIR_Coverage, 11349,
     /* 300925 */     GIR_EraseRootFromParent_Done,
     /* 300926 */   // Label 5092: @300926
     /* 300926 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(301028), // Rule ID 11351 //
     /* 300931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts_NoFP32Denormals),
     /* 300934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 300938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 300946 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 300949 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 300954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 300958 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 300962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300978 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 300985 */     // (fadd:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mod), (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mod)))  =>  (V_MAD_LEGACY_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mod, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mod, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mod, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 300985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_LEGACY_F32_e64),
     /* 300988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 300990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mod
     /* 300995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 301000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mod
     /* 301005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 301010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mod
     /* 301015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 301020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301026 */     GIR_RootConstrainSelectedInstOperands,
     /* 301027 */     // GIR_Coverage, 11351,
     /* 301027 */     GIR_EraseRootFromParent_Done,
     /* 301028 */   // Label 5093: @301028
     /* 301028 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(301124), // Rule ID 7068 //
     /* 301033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts_NoFP32Denormals_isGFX6GFX7GFX10),
     /* 301036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 301048 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 301051 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 301056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 301060 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 301064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 301073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 301080 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 301087 */     // (fadd:{ *:[f32] } (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1)), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2))  =>  (V_MAC_LEGACY_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 301087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_LEGACY_F32_e64),
     /* 301090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 301116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301122 */     GIR_RootConstrainSelectedInstOperands,
     /* 301123 */     // GIR_Coverage, 7068,
     /* 301123 */     GIR_EraseRootFromParent_Done,
     /* 301124 */   // Label 5094: @301124
     /* 301124 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(301226), // Rule ID 7074 //
     /* 301129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts_NoFP32Denormals),
     /* 301132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 301144 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 301147 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::amdgcn_fmul_legacy),
     /* 301152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 301156 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 301160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301183 */     // (fadd:{ *:[f32] } (intrinsic_wo_chain:{ *:[f32] } 2316:{ *:[iPTR] }, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mod)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mod))  =>  (V_MAD_LEGACY_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mod, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mod, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mod, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 301183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_LEGACY_F32_e64),
     /* 301186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mod
     /* 301193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mod
     /* 301203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mod
     /* 301213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 301218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301224 */     GIR_RootConstrainSelectedInstOperands,
     /* 301225 */     // GIR_Coverage, 7074,
     /* 301225 */     GIR_EraseRootFromParent_Done,
     /* 301226 */   // Label 5095: @301226
     /* 301226 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(301261), // Rule ID 89 //
     /* 301231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 301234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13776),
     /* 301250 */     // (fadd:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13776>>  =>  (S_ADD_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 301250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_F32),
     /* 301255 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 301259 */     GIR_RootConstrainSelectedInstOperands,
     /* 301260 */     // GIR_Coverage, 89,
     /* 301260 */     GIR_Done,
     /* 301261 */   // Label 5096: @301261
     /* 301261 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(301321), // Rule ID 787 //
     /* 301266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301284 */     // (fadd:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F32_e64),
     /* 301287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 301314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 301319 */     GIR_RootConstrainSelectedInstOperands,
     /* 301320 */     // GIR_Coverage, 787,
     /* 301320 */     GIR_EraseRootFromParent_Done,
     /* 301321 */   // Label 5097: @301321
     /* 301321 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(301381), // Rule ID 8618 //
     /* 301326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301344 */     // (fadd:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F32_e64),
     /* 301347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 301354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 301359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 301364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 301369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 301374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 301379 */     GIR_RootConstrainSelectedInstOperands,
     /* 301380 */     // GIR_Coverage, 8618,
     /* 301380 */     GIR_EraseRootFromParent_Done,
     /* 301381 */   // Label 5098: @301381
     /* 301381 */   GIM_Reject,
     /* 301382 */ // Label 5091: @301382
     /* 301382 */ GIM_Reject,
     /* 301383 */ // Label 5080: @301383
     /* 301383 */ GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(301635),
     /* 301388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 301391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 301394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 301398 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(301457), // Rule ID 915 //
     /* 301403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 301406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301420 */     // (fadd:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_pseudo_e64),
     /* 301423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 301450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 301455 */     GIR_RootConstrainSelectedInstOperands,
     /* 301456 */     // GIR_Coverage, 915,
     /* 301456 */     GIR_EraseRootFromParent_Done,
     /* 301457 */   // Label 5100: @301457
     /* 301457 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(301516), // Rule ID 933 //
     /* 301462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 301465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301479 */     // (fadd:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_e64),
     /* 301482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 301509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 301514 */     GIR_RootConstrainSelectedInstOperands,
     /* 301515 */     // GIR_Coverage, 933,
     /* 301515 */     GIR_EraseRootFromParent_Done,
     /* 301516 */   // Label 5101: @301516
     /* 301516 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(301575), // Rule ID 8647 //
     /* 301521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 301524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301538 */     // (fadd:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_pseudo_e64),
     /* 301541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 301548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 301553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 301558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 301563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 301568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 301573 */     GIR_RootConstrainSelectedInstOperands,
     /* 301574 */     // GIR_Coverage, 8647,
     /* 301574 */     GIR_EraseRootFromParent_Done,
     /* 301575 */   // Label 5102: @301575
     /* 301575 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(301634), // Rule ID 8660 //
     /* 301580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 301583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301597 */     // (fadd:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_e64),
     /* 301600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 301607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 301612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 301617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 301622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 301627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 301632 */     GIR_RootConstrainSelectedInstOperands,
     /* 301633 */     // GIR_Coverage, 8660,
     /* 301633 */     GIR_EraseRootFromParent_Done,
     /* 301634 */   // Label 5103: @301634
     /* 301634 */   GIM_Reject,
     /* 301635 */ // Label 5099: @301635
     /* 301635 */ GIM_Reject,
     /* 301636 */ // Label 5081: @301636
     /* 301636 */ GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(301707), // Rule ID 1093 //
     /* 301641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 301644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 301647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301651 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 301658 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 301665 */   // (fadd:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 301665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_F16),
     /* 301668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301670 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301705 */   GIR_RootConstrainSelectedInstOperands,
     /* 301706 */   // GIR_Coverage, 1093,
     /* 301706 */   GIR_EraseRootFromParent_Done,
     /* 301707 */ // Label 5104: @301707
     /* 301707 */ GIM_Reject,
     /* 301708 */ // Label 5082: @301708
     /* 301708 */ GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(301782), // Rule ID 1314 //
     /* 301713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 301716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 301722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 301726 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 301733 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 301740 */   // (fadd:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1)
     /* 301740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_F32),
     /* 301743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301780 */   GIR_RootConstrainSelectedInstOperands,
     /* 301781 */   // GIR_Coverage, 1314,
     /* 301781 */   GIR_EraseRootFromParent_Done,
     /* 301782 */ // Label 5105: @301782
     /* 301782 */ GIM_Reject,
     /* 301783 */ // Label 5083: @301783
     /* 301783 */ GIM_Reject,
     /* 301784 */ // Label 61: @301784
     /* 301784 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 5108*/ GIMT_Encode4(302147),
     /* 301795 */ /*GILLT_s16*//*Label 5106*/ GIMT_Encode4(301803),
     /* 301799 */ /*GILLT_s32*//*Label 5107*/ GIMT_Encode4(302039),
     /* 301803 */ // Label 5106: @301803
     /* 301803 */ GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(302038),
     /* 301808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 301811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 301814 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(301849), // Rule ID 105 //
     /* 301819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 301822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 301834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13780),
     /* 301838 */     // (fsub:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13780>>  =>  (S_SUB_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 301838 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_F16),
     /* 301843 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 301847 */     GIR_RootConstrainSelectedInstOperands,
     /* 301848 */     // GIR_Coverage, 105,
     /* 301848 */     GIR_Done,
     /* 301849 */   // Label 5110: @301849
     /* 301849 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(301912), // Rule ID 867 //
     /* 301854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 301857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301875 */     // (fsub:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_e64),
     /* 301878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 301905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 301910 */     GIR_RootConstrainSelectedInstOperands,
     /* 301911 */     // GIR_Coverage, 867,
     /* 301911 */     GIR_EraseRootFromParent_Done,
     /* 301912 */   // Label 5111: @301912
     /* 301912 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(301975), // Rule ID 871 //
     /* 301917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 301920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 301924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 301931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 301938 */     // (fsub:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 301938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_fake16_e64),
     /* 301941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 301943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 301948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 301953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 301958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 301963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 301968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 301973 */     GIR_RootConstrainSelectedInstOperands,
     /* 301974 */     // GIR_Coverage, 871,
     /* 301974 */     GIR_EraseRootFromParent_Done,
     /* 301975 */   // Label 5112: @301975
     /* 301975 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(302037), // Rule ID 869 //
     /* 301980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 301983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 301987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 301994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 302001 */     // (fsub:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 302001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_t16_e64),
     /* 302004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302035 */     GIR_RootConstrainSelectedInstOperands,
     /* 302036 */     // GIR_Coverage, 869,
     /* 302036 */     GIR_EraseRootFromParent_Done,
     /* 302037 */   // Label 5113: @302037
     /* 302037 */   GIM_Reject,
     /* 302038 */ // Label 5109: @302038
     /* 302038 */ GIM_Reject,
     /* 302039 */ // Label 5107: @302039
     /* 302039 */ GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(302146),
     /* 302044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 302050 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(302085), // Rule ID 107 //
     /* 302055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 302058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13780),
     /* 302074 */     // (fsub:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13780>>  =>  (S_SUB_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 302074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_F32),
     /* 302079 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 302083 */     GIR_RootConstrainSelectedInstOperands,
     /* 302084 */     // GIR_Coverage, 107,
     /* 302084 */     GIR_Done,
     /* 302085 */   // Label 5115: @302085
     /* 302085 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(302145), // Rule ID 789 //
     /* 302090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302108 */     // (fsub:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F32_e64),
     /* 302111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 302138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 302143 */     GIR_RootConstrainSelectedInstOperands,
     /* 302144 */     // GIR_Coverage, 789,
     /* 302144 */     GIR_EraseRootFromParent_Done,
     /* 302145 */   // Label 5116: @302145
     /* 302145 */   GIM_Reject,
     /* 302146 */ // Label 5114: @302146
     /* 302146 */ GIM_Reject,
     /* 302147 */ // Label 5108: @302147
     /* 302147 */ GIM_Reject,
     /* 302148 */ // Label 62: @302148
     /* 302148 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 5122*/ GIMT_Encode4(303533),
     /* 302159 */ /*GILLT_s16*//*Label 5117*/ GIMT_Encode4(302179),
     /* 302163 */ /*GILLT_s32*//*Label 5118*/ GIMT_Encode4(302541),
     /* 302167 */ /*GILLT_s64*//*Label 5119*/ GIMT_Encode4(302709),
     /* 302171 */ /*GILLT_v2s16*//*Label 5120*/ GIMT_Encode4(303386),
     /* 302175 */ /*GILLT_v2s32*//*Label 5121*/ GIMT_Encode4(303458),
     /* 302179 */ // Label 5117: @302179
     /* 302179 */ GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(302540),
     /* 302184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 302187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 302190 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(302225), // Rule ID 99 //
     /* 302195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 302198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302210 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13779),
     /* 302214 */     // (fmul:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13779>>  =>  (S_MUL_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 302214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_F16),
     /* 302219 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 302223 */     GIR_RootConstrainSelectedInstOperands,
     /* 302224 */     // GIR_Coverage, 99,
     /* 302224 */     GIR_Done,
     /* 302225 */   // Label 5124: @302225
     /* 302225 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(302288), // Rule ID 873 //
     /* 302230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 302233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302251 */     // (fmul:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 302254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 302281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 302286 */     GIR_RootConstrainSelectedInstOperands,
     /* 302287 */     // GIR_Coverage, 873,
     /* 302287 */     GIR_EraseRootFromParent_Done,
     /* 302288 */   // Label 5125: @302288
     /* 302288 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(302351), // Rule ID 877 //
     /* 302293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 302296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302314 */     // (fmul:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 302317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 302344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 302349 */     GIR_RootConstrainSelectedInstOperands,
     /* 302350 */     // GIR_Coverage, 877,
     /* 302350 */     GIR_EraseRootFromParent_Done,
     /* 302351 */   // Label 5126: @302351
     /* 302351 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(302414), // Rule ID 8633 //
     /* 302356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 302359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302377 */     // (fmul:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 302380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 302387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 302392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 302397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 302402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 302407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 302412 */     GIR_RootConstrainSelectedInstOperands,
     /* 302413 */     // GIR_Coverage, 8633,
     /* 302413 */     GIR_EraseRootFromParent_Done,
     /* 302414 */   // Label 5127: @302414
     /* 302414 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(302477), // Rule ID 8635 //
     /* 302419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 302422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302440 */     // (fmul:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 302443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 302450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 302455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 302460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 302465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 302470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 302475 */     GIR_RootConstrainSelectedInstOperands,
     /* 302476 */     // GIR_Coverage, 8635,
     /* 302476 */     GIR_EraseRootFromParent_Done,
     /* 302477 */   // Label 5128: @302477
     /* 302477 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(302539), // Rule ID 875 //
     /* 302482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 302485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 302489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 302496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 302503 */     // (fmul:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 302503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_t16_e64),
     /* 302506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302537 */     GIR_RootConstrainSelectedInstOperands,
     /* 302538 */     // GIR_Coverage, 875,
     /* 302538 */     GIR_EraseRootFromParent_Done,
     /* 302539 */   // Label 5129: @302539
     /* 302539 */   GIM_Reject,
     /* 302540 */ // Label 5123: @302540
     /* 302540 */ GIM_Reject,
     /* 302541 */ // Label 5118: @302541
     /* 302541 */ GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(302708),
     /* 302546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 302552 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(302587), // Rule ID 95 //
     /* 302557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 302560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 302572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13779),
     /* 302576 */     // (fmul:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13779>>  =>  (S_MUL_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 302576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_F32),
     /* 302581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 302585 */     GIR_RootConstrainSelectedInstOperands,
     /* 302586 */     // GIR_Coverage, 95,
     /* 302586 */     GIR_Done,
     /* 302587 */   // Label 5131: @302587
     /* 302587 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(302647), // Rule ID 793 //
     /* 302592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302610 */     // (fmul:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 302613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 302620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 302630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 302635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 302640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 302645 */     GIR_RootConstrainSelectedInstOperands,
     /* 302646 */     // GIR_Coverage, 793,
     /* 302646 */     GIR_EraseRootFromParent_Done,
     /* 302647 */   // Label 5132: @302647
     /* 302647 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(302707), // Rule ID 8622 //
     /* 302652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 302656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 302670 */     // (fmul:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 302670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 302673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 302680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 302685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 302690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 302695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 302700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 302705 */     GIR_RootConstrainSelectedInstOperands,
     /* 302706 */     // GIR_Coverage, 8622,
     /* 302706 */     GIR_EraseRootFromParent_Done,
     /* 302707 */   // Label 5133: @302707
     /* 302707 */   GIM_Reject,
     /* 302708 */ // Label 5130: @302708
     /* 302708 */ GIM_Reject,
     /* 302709 */ // Label 5119: @302709
     /* 302709 */ GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(303385),
     /* 302714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 302717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 302720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 302724 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(302798), // Rule ID 7988 //
     /* 302729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 302737 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64),
     /* 302741 */     // MIs[1] Operand 1
     /* 302741 */     // No operand predicates
     /* 302741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302750 */     // (fmul:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods), (fpimm:{ *:[f64] })<<P:Predicate_fpimm_pos_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_mods, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 302750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 302753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 302757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302762 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 302767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 302769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 302772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 302779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302796 */     GIR_RootConstrainSelectedInstOperands,
     /* 302797 */     // GIR_Coverage, 7988,
     /* 302797 */     GIR_EraseRootFromParent_Done,
     /* 302798 */   // Label 5135: @302798
     /* 302798 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(302872), // Rule ID 13654 //
     /* 302803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 302811 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64),
     /* 302815 */     // MIs[1] Operand 1
     /* 302815 */     // No operand predicates
     /* 302815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 302824 */     // (fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_pos_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods))  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_mods, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 302824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 302827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 302831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302836 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 302841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 302843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 302846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 302853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 302858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302870 */     GIR_RootConstrainSelectedInstOperands,
     /* 302871 */     // GIR_Coverage, 13654,
     /* 302871 */     GIR_EraseRootFromParent_Done,
     /* 302872 */   // Label 5136: @302872
     /* 302872 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(302948), // Rule ID 7992 //
     /* 302877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 302885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 302897 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 302901 */     // MIs[2] Operand 1
     /* 302901 */     // No operand predicates
     /* 302901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302903 */     // (fmul:{ *:[f64] } (fabs:{ *:[f64] } f64:{ *:[f64] }:$src0), (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 3:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 302903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 302906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 302910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302915 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 302920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 302922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 302925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 302927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 302930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 302934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302946 */     GIR_RootConstrainSelectedInstOperands,
     /* 302947 */     // GIR_Coverage, 7992,
     /* 302947 */     GIR_EraseRootFromParent_Done,
     /* 302948 */   // Label 5137: @302948
     /* 302948 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(303024), // Rule ID 13658 //
     /* 302953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 302961 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 302965 */     // MIs[1] Operand 1
     /* 302965 */     // No operand predicates
     /* 302965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 302973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302979 */     // (fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, (fabs:{ *:[f64] } f64:{ *:[f64] }:$src0))  =>  (V_LDEXP_F64_e64:{ *:[f64] } 3:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 302979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 302982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 302986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302991 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 302996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 302998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 303001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 303006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 303010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303022 */     GIR_RootConstrainSelectedInstOperands,
     /* 303023 */     // GIR_Coverage, 13658,
     /* 303023 */     GIR_EraseRootFromParent_Done,
     /* 303024 */   // Label 5138: @303024
     /* 303024 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(303086), // Rule ID 13656 //
     /* 303029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 303037 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 303041 */     // MIs[1] Operand 1
     /* 303041 */     // No operand predicates
     /* 303041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303043 */     // (fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, f64:{ *:[f64] }:$src0)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 1:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 303043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 303046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 303050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303055 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 303060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 303062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 303065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 303070 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 303072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303084 */     GIR_RootConstrainSelectedInstOperands,
     /* 303085 */     // GIR_Coverage, 13656,
     /* 303085 */     GIR_EraseRootFromParent_Done,
     /* 303086 */   // Label 5139: @303086
     /* 303086 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(303148), // Rule ID 7990 //
     /* 303091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 303099 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 303103 */     // MIs[1] Operand 1
     /* 303103 */     // No operand predicates
     /* 303103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303105 */     // (fmul:{ *:[f64] } f64:{ *:[f64] }:$src0, (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 1:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 303105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 303108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 303112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303117 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 303122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 303124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 303127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 303132 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 303134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303146 */     GIR_RootConstrainSelectedInstOperands,
     /* 303147 */     // GIR_Coverage, 7990,
     /* 303147 */     GIR_EraseRootFromParent_Done,
     /* 303148 */   // Label 5140: @303148
     /* 303148 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(303207), // Rule ID 916 //
     /* 303153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 303156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303170 */     // (fmul:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_pseudo_e64),
     /* 303173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 303180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 303190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 303200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 303205 */     GIR_RootConstrainSelectedInstOperands,
     /* 303206 */     // GIR_Coverage, 916,
     /* 303206 */     GIR_EraseRootFromParent_Done,
     /* 303207 */   // Label 5141: @303207
     /* 303207 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(303266), // Rule ID 935 //
     /* 303212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 303215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303229 */     // (fmul:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_e64),
     /* 303232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 303239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 303249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 303259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 303264 */     GIR_RootConstrainSelectedInstOperands,
     /* 303265 */     // GIR_Coverage, 935,
     /* 303265 */     GIR_EraseRootFromParent_Done,
     /* 303266 */   // Label 5142: @303266
     /* 303266 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(303325), // Rule ID 8648 //
     /* 303271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 303274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303288 */     // (fmul:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_pseudo_e64),
     /* 303291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 303298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 303303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 303308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 303313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 303318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 303323 */     GIR_RootConstrainSelectedInstOperands,
     /* 303324 */     // GIR_Coverage, 8648,
     /* 303324 */     GIR_EraseRootFromParent_Done,
     /* 303325 */   // Label 5143: @303325
     /* 303325 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(303384), // Rule ID 8662 //
     /* 303330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 303333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303347 */     // (fmul:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_e64),
     /* 303350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 303357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 303362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 303367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 303372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 303377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 303382 */     GIR_RootConstrainSelectedInstOperands,
     /* 303383 */     // GIR_Coverage, 8662,
     /* 303383 */     GIR_EraseRootFromParent_Done,
     /* 303384 */   // Label 5144: @303384
     /* 303384 */   GIM_Reject,
     /* 303385 */ // Label 5134: @303385
     /* 303385 */ GIM_Reject,
     /* 303386 */ // Label 5120: @303386
     /* 303386 */ GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(303457), // Rule ID 1095 //
     /* 303391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 303394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 303397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 303401 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 303408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 303415 */   // (fmul:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MUL_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 303415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F16),
     /* 303418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 303425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 303435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303455 */   GIR_RootConstrainSelectedInstOperands,
     /* 303456 */   // GIR_Coverage, 1095,
     /* 303456 */   GIR_EraseRootFromParent_Done,
     /* 303457 */ // Label 5145: @303457
     /* 303457 */ GIM_Reject,
     /* 303458 */ // Label 5121: @303458
     /* 303458 */ GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(303532), // Rule ID 1312 //
     /* 303463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 303466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 303469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 303472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 303476 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 303483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 303490 */   // (fmul:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MUL_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1)
     /* 303490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F32),
     /* 303493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 303500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303505 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 303510 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303530 */   GIR_RootConstrainSelectedInstOperands,
     /* 303531 */   // GIR_Coverage, 1312,
     /* 303531 */   GIR_EraseRootFromParent_Done,
     /* 303532 */ // Label 5146: @303532
     /* 303532 */ GIM_Reject,
     /* 303533 */ // Label 5122: @303533
     /* 303533 */ GIM_Reject,
     /* 303534 */ // Label 63: @303534
     /* 303534 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 5152*/ GIMT_Encode4(305402),
     /* 303545 */ /*GILLT_s16*//*Label 5147*/ GIMT_Encode4(303565),
     /* 303549 */ /*GILLT_s32*//*Label 5148*/ GIMT_Encode4(304230),
     /* 303553 */ /*GILLT_s64*//*Label 5149*/ GIMT_Encode4(304983),
     /* 303557 */ /*GILLT_v2s16*//*Label 5150*/ GIMT_Encode4(305215),
     /* 303561 */ /*GILLT_v2s32*//*Label 5151*/ GIMT_Encode4(305307),
     /* 303565 */ // Label 5147: @303565
     /* 303565 */ GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(304229),
     /* 303570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 303573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 303576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 303579 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(303618), // Rule ID 113 //
     /* 303584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 303587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 303591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 303595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 303599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 303603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13782),
     /* 303607 */     // (fma:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1, SReg_32:{ *:[f16] }:$src2)<<P:Predicate_anonymous_13782>>  =>  (S_FMAC_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1, SReg_32:{ *:[f16] }:$src2)
     /* 303607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FMAC_F16),
     /* 303612 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 303616 */     GIR_RootConstrainSelectedInstOperands,
     /* 303617 */     // GIR_Coverage, 113,
     /* 303617 */     GIR_Done,
     /* 303618 */   // Label 5154: @303618
     /* 303618 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(303688), // Rule ID 7700 //
     /* 303623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX10Plus),
     /* 303626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 303630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303651 */     // (fma:{ *:[f16] } (VOP3NoMods:{ *:[f16] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f16] } f32:{ *:[f32] }:$src1), (VOP3NoMods:{ *:[f16] } f32:{ *:[f32] }:$src2))  =>  (V_FMAC_F16_e64:{ *:[f16] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2)
     /* 303651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_F16_e64),
     /* 303654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 303680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303686 */     GIR_RootConstrainSelectedInstOperands,
     /* 303687 */     // GIR_Coverage, 7700,
     /* 303687 */     GIR_EraseRootFromParent_Done,
     /* 303688 */   // Label 5155: @303688
     /* 303688 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(303761), // Rule ID 7701 //
     /* 303693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX10Plus),
     /* 303696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 303700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303721 */     // (fma:{ *:[f16] } (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src0), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src1), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src2))  =>  (V_FMAC_F16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f16] }:$src1, 0:{ *:[i32] }, ?:{ *:[f16] }:$src2)
     /* 303721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_F16_t16_e64),
     /* 303724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 303750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303759 */     GIR_RootConstrainSelectedInstOperands,
     /* 303760 */     // GIR_Coverage, 7701,
     /* 303760 */     GIR_EraseRootFromParent_Done,
     /* 303761 */   // Label 5156: @303761
     /* 303761 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(303831), // Rule ID 7702 //
     /* 303766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX10Plus),
     /* 303769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 303773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 303794 */     // (fma:{ *:[f16] } (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src0), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src1), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src2))  =>  (V_FMAC_F16_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f16] }:$src1, 0:{ *:[i32] }, ?:{ *:[f16] }:$src2)
     /* 303794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_F16_fake16_e64),
     /* 303797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 303823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303829 */     GIR_RootConstrainSelectedInstOperands,
     /* 303830 */     // GIR_Coverage, 7702,
     /* 303830 */     GIR_EraseRootFromParent_Done,
     /* 303831 */   // Label 5157: @303831
     /* 303831 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(303911), // Rule ID 1002 //
     /* 303836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8Only),
     /* 303839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 303843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303864 */     // (fma:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_e64),
     /* 303867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 303874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 303879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 303884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 303889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 303894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 303899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 303904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 303909 */     GIR_RootConstrainSelectedInstOperands,
     /* 303910 */     // GIR_Coverage, 1002,
     /* 303910 */     GIR_EraseRootFromParent_Done,
     /* 303911 */   // Label 5158: @303911
     /* 303911 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(303991), // Rule ID 8675 //
     /* 303916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8Only),
     /* 303919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 303923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 303937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 303944 */     // (fma:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 303944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_e64),
     /* 303947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 303949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 303954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 303959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 303964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 303969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 303974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 303979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 303984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 303989 */     GIR_RootConstrainSelectedInstOperands,
     /* 303990 */     // GIR_Coverage, 8675,
     /* 303990 */     GIR_EraseRootFromParent_Done,
     /* 303991 */   // Label 5159: @303991
     /* 303991 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(304070), // Rule ID 1010 //
     /* 303996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 303999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304024 */     // (fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 304024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_e64),
     /* 304027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 304034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 304044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 304054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304068 */     GIR_RootConstrainSelectedInstOperands,
     /* 304069 */     // GIR_Coverage, 1010,
     /* 304069 */     GIR_EraseRootFromParent_Done,
     /* 304070 */   // Label 5160: @304070
     /* 304070 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(304149), // Rule ID 1012 //
     /* 304075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 304078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 304082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304103 */     // (fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 304103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_t16_e64),
     /* 304106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 304113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 304123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 304133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304147 */     GIR_RootConstrainSelectedInstOperands,
     /* 304148 */     // GIR_Coverage, 1012,
     /* 304148 */     GIR_EraseRootFromParent_Done,
     /* 304149 */   // Label 5161: @304149
     /* 304149 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(304228), // Rule ID 1014 //
     /* 304154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 304157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 304182 */     // (fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 304182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_fake16_e64),
     /* 304185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 304192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 304202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 304212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304226 */     GIR_RootConstrainSelectedInstOperands,
     /* 304227 */     // GIR_Coverage, 1014,
     /* 304227 */     GIR_EraseRootFromParent_Done,
     /* 304228 */   // Label 5162: @304228
     /* 304228 */   GIM_Reject,
     /* 304229 */ // Label 5153: @304229
     /* 304229 */ GIM_Reject,
     /* 304230 */ // Label 5148: @304230
     /* 304230 */ GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(304982),
     /* 304235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 304241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 304244 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(304323), // Rule ID 2753 //
     /* 304249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304277 */     // (fma:{ *:[f32] } (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 304277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 304287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 304297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304321 */     GIR_RootConstrainSelectedInstOperands,
     /* 304322 */     // GIR_Coverage, 2753,
     /* 304322 */     GIR_EraseRootFromParent_Done,
     /* 304323 */   // Label 5164: @304323
     /* 304323 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(304402), // Rule ID 2754 //
     /* 304328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304356 */     // (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] })
     /* 304356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 304366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 304376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304400 */     GIR_RootConstrainSelectedInstOperands,
     /* 304401 */     // GIR_Coverage, 2754,
     /* 304401 */     GIR_EraseRootFromParent_Done,
     /* 304402 */   // Label 5165: @304402
     /* 304402 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(304481), // Rule ID 2755 //
     /* 304407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304435 */     // (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 304435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 304445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 304455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304479 */     GIR_RootConstrainSelectedInstOperands,
     /* 304480 */     // GIR_Coverage, 2755,
     /* 304480 */     GIR_EraseRootFromParent_Done,
     /* 304481 */   // Label 5166: @304481
     /* 304481 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(304560), // Rule ID 8718 //
     /* 304486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304514 */     // (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 304514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 304524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 304529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 304534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 304539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304558 */     GIR_RootConstrainSelectedInstOperands,
     /* 304559 */     // GIR_Coverage, 8718,
     /* 304559 */     GIR_EraseRootFromParent_Done,
     /* 304560 */   // Label 5167: @304560
     /* 304560 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(304639), // Rule ID 8719 //
     /* 304565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304593 */     // (fma:{ *:[f32] } (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] })
     /* 304593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 304603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 304608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 304613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 304618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304637 */     GIR_RootConstrainSelectedInstOperands,
     /* 304638 */     // GIR_Coverage, 8719,
     /* 304638 */     GIR_EraseRootFromParent_Done,
     /* 304639 */   // Label 5168: @304639
     /* 304639 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(304718), // Rule ID 8720 //
     /* 304644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 304647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 304665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 304672 */     // (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_FMA_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 304672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIX_F32),
     /* 304675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 304682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 304687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 304692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 304697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 304702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304716 */     GIR_RootConstrainSelectedInstOperands,
     /* 304717 */     // GIR_Coverage, 8720,
     /* 304717 */     GIR_EraseRootFromParent_Done,
     /* 304718 */   // Label 5169: @304718
     /* 304718 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(304757), // Rule ID 111 //
     /* 304723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 304726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 304730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 304734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 304738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 304742 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13782),
     /* 304746 */     // (fma:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1, SReg_32:{ *:[f32] }:$src2)<<P:Predicate_anonymous_13782>>  =>  (S_FMAC_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1, SReg_32:{ *:[f32] }:$src2)
     /* 304746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FMAC_F32),
     /* 304751 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 304755 */     GIR_RootConstrainSelectedInstOperands,
     /* 304756 */     // GIR_Coverage, 111,
     /* 304756 */     GIR_Done,
     /* 304757 */   // Label 5170: @304757
     /* 304757 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(304827), // Rule ID 7699 //
     /* 304762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDLInsts),
     /* 304765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 304776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 304783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 304790 */     // (fma:{ *:[f32] } (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2))  =>  (V_FMAC_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2)
     /* 304790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_F32_e64),
     /* 304793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304825 */     GIR_RootConstrainSelectedInstOperands,
     /* 304826 */     // GIR_Coverage, 7699,
     /* 304826 */     GIR_EraseRootFromParent_Done,
     /* 304827 */   // Label 5171: @304827
     /* 304827 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(304904), // Rule ID 928 //
     /* 304832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 304843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 304850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 304857 */     // (fma:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 304857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F32_e64),
     /* 304860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 304867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 304872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 304877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 304882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 304887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 304897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 304902 */     GIR_RootConstrainSelectedInstOperands,
     /* 304903 */     // GIR_Coverage, 928,
     /* 304903 */     GIR_EraseRootFromParent_Done,
     /* 304904 */   // Label 5172: @304904
     /* 304904 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(304981), // Rule ID 8656 //
     /* 304909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 304913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 304920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 304927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 304934 */     // (fma:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 304934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F32_e64),
     /* 304937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 304939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 304944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 304949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 304954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 304959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 304964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 304969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 304974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 304979 */     GIR_RootConstrainSelectedInstOperands,
     /* 304980 */     // GIR_Coverage, 8656,
     /* 304980 */     GIR_EraseRootFromParent_Done,
     /* 304981 */   // Label 5173: @304981
     /* 304981 */   GIM_Reject,
     /* 304982 */ // Label 5163: @304982
     /* 304982 */ GIM_Reject,
     /* 304983 */ // Label 5149: @304983
     /* 304983 */ GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(305214),
     /* 304988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 304991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 304994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 304997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 305001 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(305067), // Rule ID 7703 //
     /* 305006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmacF64Inst),
     /* 305009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305030 */     // (fma:{ *:[f64] } (VOP3NoMods:{ *:[f64] } f64:{ *:[f64] }:$src0), (VOP3NoMods:{ *:[f64] } f64:{ *:[f64] }:$src1), (VOP3NoMods:{ *:[f64] } f64:{ *:[f64] }:$src2))  =>  (V_FMAC_F64_e64:{ *:[f64] } 0:{ *:[i32] }, ?:{ *:[f64] }:$src0, 0:{ *:[i32] }, ?:{ *:[f64] }:$src1, 0:{ *:[i32] }, ?:{ *:[f64] }:$src2)
     /* 305030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMAC_F64_e64),
     /* 305033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305065 */     GIR_RootConstrainSelectedInstOperands,
     /* 305066 */     // GIR_Coverage, 7703,
     /* 305066 */     GIR_EraseRootFromParent_Done,
     /* 305067 */   // Label 5175: @305067
     /* 305067 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(305140), // Rule ID 931 //
     /* 305072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 305079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305093 */     // (fma:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f64:{ *:[f64] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 305093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F64_e64),
     /* 305096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 305103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 305113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 305133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 305138 */     GIR_RootConstrainSelectedInstOperands,
     /* 305139 */     // GIR_Coverage, 931,
     /* 305139 */     GIR_EraseRootFromParent_Done,
     /* 305140 */   // Label 5176: @305140
     /* 305140 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(305213), // Rule ID 8658 //
     /* 305145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 305159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305166 */     // (fma:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f64:{ *:[f64] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 305166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F64_e64),
     /* 305169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 305176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 305181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 305186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 305191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 305206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 305211 */     GIR_RootConstrainSelectedInstOperands,
     /* 305212 */     // GIR_Coverage, 8658,
     /* 305212 */     GIR_EraseRootFromParent_Done,
     /* 305213 */   // Label 5177: @305213
     /* 305213 */   GIM_Reject,
     /* 305214 */ // Label 5174: @305214
     /* 305214 */ GIM_Reject,
     /* 305215 */ // Label 5150: @305215
     /* 305215 */ GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(305306), // Rule ID 1091 //
     /* 305220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 305223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 305226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 305229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 305233 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305240 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305247 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305254 */   // (fma:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_PK_FMA_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2f16:{ *:[v2f16] }:$src2)
     /* 305254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_FMA_F16),
     /* 305257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 305264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 305274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305304 */   GIR_RootConstrainSelectedInstOperands,
     /* 305305 */   // GIR_Coverage, 1091,
     /* 305305 */   GIR_EraseRootFromParent_Done,
     /* 305306 */ // Label 5178: @305306
     /* 305306 */ GIM_Reject,
     /* 305307 */ // Label 5151: @305307
     /* 305307 */ GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(305401), // Rule ID 1310 //
     /* 305312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 305315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 305318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 305321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 305324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 305328 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305335 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305342 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 305349 */   // (fma:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_PK_FMA_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2f32:{ *:[v2f32] }:$src2)
     /* 305349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_FMA_F32),
     /* 305352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 305359 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 305369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305399 */   GIR_RootConstrainSelectedInstOperands,
     /* 305400 */   // GIR_Coverage, 1310,
     /* 305400 */   GIR_EraseRootFromParent_Done,
     /* 305401 */ // Label 5179: @305401
     /* 305401 */ GIM_Reject,
     /* 305402 */ // Label 5152: @305402
     /* 305402 */ GIM_Reject,
     /* 305403 */ // Label 64: @305403
     /* 305403 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 5182*/ GIMT_Encode4(306348),
     /* 305414 */ /*GILLT_s16*//*Label 5180*/ GIMT_Encode4(305422),
     /* 305418 */ /*GILLT_s32*//*Label 5181*/ GIMT_Encode4(305660),
     /* 305422 */ // Label 5180: @305422
     /* 305422 */ GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(305659),
     /* 305427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 305430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 305433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 305436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 305440 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(305506), // Rule ID 7071 //
     /* 305445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 305448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305469 */     // (fmad:{ *:[f16] } (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src0), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src1), (VOP3NoMods:{ *:[f16] } f16:{ *:[f16] }:$src2))  =>  (V_MAC_F16_e64:{ *:[f16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src0, 0:{ *:[i32] }, ?:{ *:[f16] }:$src1, 0:{ *:[i32] }, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 305469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_F16_e64),
     /* 305472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305504 */     GIR_RootConstrainSelectedInstOperands,
     /* 305505 */     // GIR_Coverage, 7071,
     /* 305505 */     GIR_EraseRootFromParent_Done,
     /* 305506 */   // Label 5184: @305506
     /* 305506 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(305582), // Rule ID 1015 //
     /* 305511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 305514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 305521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305535 */     // (fmad:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 305535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F16_e64),
     /* 305538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 305545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 305555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 305575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 305580 */     GIR_RootConstrainSelectedInstOperands,
     /* 305581 */     // GIR_Coverage, 1015,
     /* 305581 */     GIR_EraseRootFromParent_Done,
     /* 305582 */   // Label 5185: @305582
     /* 305582 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(305658), // Rule ID 8676 //
     /* 305587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts),
     /* 305590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 305604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 305611 */     // (fmad:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 305611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F16_e64),
     /* 305614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 305621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 305626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 305631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 305636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 305641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 305651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 305656 */     GIR_RootConstrainSelectedInstOperands,
     /* 305657 */     // GIR_Coverage, 8676,
     /* 305657 */     GIR_EraseRootFromParent_Done,
     /* 305658 */   // Label 5186: @305658
     /* 305658 */   GIM_Reject,
     /* 305659 */ // Label 5183: @305659
     /* 305659 */ GIM_Reject,
     /* 305660 */ // Label 5181: @305660
     /* 305660 */ GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(306347),
     /* 305665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 305671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 305674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 305678 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(305753), // Rule ID 2737 //
     /* 305683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 305686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 305693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305707 */     // (fmad:{ *:[f32] } (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 305707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 305710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 305717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 305727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 305737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305751 */     GIR_RootConstrainSelectedInstOperands,
     /* 305752 */     // GIR_Coverage, 2737,
     /* 305752 */     GIR_EraseRootFromParent_Done,
     /* 305753 */   // Label 5188: @305753
     /* 305753 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(305828), // Rule ID 2738 //
     /* 305758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 305761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 305775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305782 */     // (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] })
     /* 305782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 305785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 305792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 305802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 305812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305826 */     GIR_RootConstrainSelectedInstOperands,
     /* 305827 */     // GIR_Coverage, 2738,
     /* 305827 */     GIR_EraseRootFromParent_Done,
     /* 305828 */   // Label 5189: @305828
     /* 305828 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(305903), // Rule ID 2739 //
     /* 305833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 305836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 305857 */     // (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 305857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 305860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 305867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 305877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 305887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305901 */     GIR_RootConstrainSelectedInstOperands,
     /* 305902 */     // GIR_Coverage, 2739,
     /* 305902 */     GIR_EraseRootFromParent_Done,
     /* 305903 */   // Label 5190: @305903
     /* 305903 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(305969), // Rule ID 7065 //
     /* 305908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts),
     /* 305911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_no_mods),
     /* 305932 */     // (fmad:{ *:[f32] } (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src0), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src1), (VOP3NoMods:{ *:[f32] } f32:{ *:[f32] }:$src2))  =>  (V_MAC_F32_e64:{ *:[f32] } 0:{ *:[i32] }, ?:{ *:[f32] }:$src0, 0:{ *:[i32] }, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 305932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAC_F32_e64),
     /* 305935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 305937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 305945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 305953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 305961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305967 */     GIR_RootConstrainSelectedInstOperands,
     /* 305968 */     // GIR_Coverage, 7065,
     /* 305968 */     GIR_EraseRootFromParent_Done,
     /* 305969 */   // Label 5191: @305969
     /* 305969 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(306044), // Rule ID 8715 //
     /* 305974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 305977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 305991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 305998 */     // (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 305998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 306001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 306008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 306013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 306018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 306023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 306028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 306033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306042 */     GIR_RootConstrainSelectedInstOperands,
     /* 306043 */     // GIR_Coverage, 8715,
     /* 306043 */     GIR_EraseRootFromParent_Done,
     /* 306044 */   // Label 5192: @306044
     /* 306044 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(306119), // Rule ID 8716 //
     /* 306049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 306052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 306059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 306066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 306073 */     // (fmad:{ *:[f32] } (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] })
     /* 306073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 306076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 306083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 306088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 306093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 306098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 306103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 306108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306117 */     GIR_RootConstrainSelectedInstOperands,
     /* 306118 */     // GIR_Coverage, 8716,
     /* 306118 */     GIR_EraseRootFromParent_Done,
     /* 306119 */   // Label 5193: @306119
     /* 306119 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(306194), // Rule ID 8717 //
     /* 306124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 306127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 306134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 306141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods_ext),
     /* 306148 */     // (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMadMixModsExt:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAD_MIX_F32:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] })
     /* 306148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIX_F32),
     /* 306151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 306158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 306163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 306168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 306173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 306178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 306183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306192 */     GIR_RootConstrainSelectedInstOperands,
     /* 306193 */     // GIR_Coverage, 8717,
     /* 306193 */     GIR_EraseRootFromParent_Done,
     /* 306194 */   // Label 5194: @306194
     /* 306194 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(306270), // Rule ID 923 //
     /* 306199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts),
     /* 306202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306223 */     // (fmad:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F32_e64),
     /* 306226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 306243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 306248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 306253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 306258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306268 */     GIR_RootConstrainSelectedInstOperands,
     /* 306269 */     // GIR_Coverage, 923,
     /* 306269 */     GIR_EraseRootFromParent_Done,
     /* 306270 */   // Label 5195: @306270
     /* 306270 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(306346), // Rule ID 8653 //
     /* 306275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMacF32Insts),
     /* 306278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306299 */     // (fmad:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MAD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_F32_e64),
     /* 306302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 306309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 306314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 306319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 306324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 306329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 306334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 306339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 306344 */     GIR_RootConstrainSelectedInstOperands,
     /* 306345 */     // GIR_Coverage, 8653,
     /* 306345 */     GIR_EraseRootFromParent_Done,
     /* 306346 */   // Label 5196: @306346
     /* 306346 */   GIM_Reject,
     /* 306347 */ // Label 5187: @306347
     /* 306347 */ GIM_Reject,
     /* 306348 */ // Label 5182: @306348
     /* 306348 */ GIM_Reject,
     /* 306349 */ // Label 65: @306349
     /* 306349 */ GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(306466), // Rule ID 7510 //
     /* 306354 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 306357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 306363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 306367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306374 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 306381 */   // (fpow:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_EXP_F32_e64:{ *:[f32] } 0:{ *:[i32] }, (V_MUL_LEGACY_F32_e64:{ *:[i16] } ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, (V_LOG_F32_e64:{ *:[i16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0), 0:{ *:[i1] }, 0:{ *:[i32] }))
     /* 306381 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 306384 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F32_e64),
     /* 306388 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 306398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306403 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 306406 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 306409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306411 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 306414 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_LEGACY_F32_e64),
     /* 306418 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 306428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 306433 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306436 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306439 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306442 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 306447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F32_e64),
     /* 306450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306464 */   GIR_RootConstrainSelectedInstOperands,
     /* 306465 */   // GIR_Coverage, 7510,
     /* 306465 */   GIR_EraseRootFromParent_Done,
     /* 306466 */ // Label 5197: @306466
     /* 306466 */ GIM_Reject,
     /* 306467 */ // Label 66: @306467
     /* 306467 */ GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(306689),
     /* 306472 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 306475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 306478 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(306549), // Rule ID 2711 //
     /* 306483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 306486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 306490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21682),
     /* 306494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306501 */     // (fexp2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21682>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_EXP_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 306501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_EXP_F16_e64),
     /* 306508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 306535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306543 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 306548 */     // GIR_Coverage, 2711,
     /* 306548 */     GIR_EraseRootFromParent_Done,
     /* 306549 */   // Label 5199: @306549
     /* 306549 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(306643),
     /* 306554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 306558 */     GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(306600), // Rule ID 744 //
     /* 306563 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 306566 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306573 */       // (fexp2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_EXP_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306573 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_e64),
     /* 306576 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306578 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306583 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306588 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306593 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306598 */       GIR_RootConstrainSelectedInstOperands,
     /* 306599 */       // GIR_Coverage, 744,
     /* 306599 */       GIR_EraseRootFromParent_Done,
     /* 306600 */     // Label 5201: @306600
     /* 306600 */     GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(306642), // Rule ID 748 //
     /* 306605 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 306608 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306615 */       // (fexp2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_EXP_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306615 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_fake16_e64),
     /* 306618 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306620 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306625 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306630 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306635 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306640 */       GIR_RootConstrainSelectedInstOperands,
     /* 306641 */       // GIR_Coverage, 748,
     /* 306641 */       GIR_EraseRootFromParent_Done,
     /* 306642 */     // Label 5202: @306642
     /* 306642 */     GIM_Reject,
     /* 306643 */   // Label 5200: @306643
     /* 306643 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(306688), // Rule ID 746 //
     /* 306648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 306651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 306655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 306662 */     // (fexp2:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_EXP_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 306662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_EXP_F16_t16_e64),
     /* 306665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306686 */     GIR_RootConstrainSelectedInstOperands,
     /* 306687 */     // GIR_Coverage, 746,
     /* 306687 */     GIR_EraseRootFromParent_Done,
     /* 306688 */   // Label 5203: @306688
     /* 306688 */   GIM_Reject,
     /* 306689 */ // Label 5198: @306689
     /* 306689 */ GIM_Reject,
     /* 306690 */ // Label 67: @306690
     /* 306690 */ GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(306912),
     /* 306695 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 306698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 306701 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(306772), // Rule ID 2713 //
     /* 306706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 306709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 306713 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21684),
     /* 306717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306724 */     // (flog2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21684>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_LOG_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 306724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_LOG_F16_e64),
     /* 306731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 306758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306766 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 306771 */     // GIR_Coverage, 2713,
     /* 306771 */     GIR_EraseRootFromParent_Done,
     /* 306772 */   // Label 5205: @306772
     /* 306772 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(306866),
     /* 306777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 306781 */     GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(306823), // Rule ID 738 //
     /* 306786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 306789 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306796 */       // (flog2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306796 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_e64),
     /* 306799 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306801 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306806 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306811 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306816 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306821 */       GIR_RootConstrainSelectedInstOperands,
     /* 306822 */       // GIR_Coverage, 738,
     /* 306822 */       GIR_EraseRootFromParent_Done,
     /* 306823 */     // Label 5207: @306823
     /* 306823 */     GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(306865), // Rule ID 742 //
     /* 306828 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 306831 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306838 */       // (flog2:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_LOG_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 306838 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_fake16_e64),
     /* 306841 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306843 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306848 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306853 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 306858 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 306863 */       GIR_RootConstrainSelectedInstOperands,
     /* 306864 */       // GIR_Coverage, 742,
     /* 306864 */       GIR_EraseRootFromParent_Done,
     /* 306865 */     // Label 5208: @306865
     /* 306865 */     GIM_Reject,
     /* 306866 */   // Label 5206: @306866
     /* 306866 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(306911), // Rule ID 740 //
     /* 306871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 306874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 306878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 306885 */     // (flog2:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_LOG_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 306885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LOG_F16_t16_e64),
     /* 306888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306909 */     GIR_RootConstrainSelectedInstOperands,
     /* 306910 */     // GIR_Coverage, 740,
     /* 306910 */     GIR_EraseRootFromParent_Done,
     /* 306911 */   // Label 5209: @306911
     /* 306911 */   GIM_Reject,
     /* 306912 */ // Label 5204: @306912
     /* 306912 */ GIM_Reject,
     /* 306913 */ // Label 68: @306913
     /* 306913 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 5213*/ GIMT_Encode4(307275),
     /* 306924 */ /*GILLT_s16*//*Label 5210*/ GIMT_Encode4(306936),
     /* 306928 */ /*GILLT_s32*//*Label 5211*/ GIMT_Encode4(307141),
     /* 306932 */ /*GILLT_s64*//*Label 5212*/ GIMT_Encode4(307208),
     /* 306936 */ // Label 5210: @306936
     /* 306936 */ GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(307140),
     /* 306941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 306944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 306947 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(307010), // Rule ID 2515 //
     /* 306952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 306955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 306959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 306973 */     // (fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod)
     /* 306973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_e64),
     /* 306976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 306978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 306983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 306988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 306993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 306998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 307003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 307008 */     GIR_RootConstrainSelectedInstOperands,
     /* 307009 */     // GIR_Coverage, 2515,
     /* 307009 */     GIR_EraseRootFromParent_Done,
     /* 307010 */   // Label 5215: @307010
     /* 307010 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(307076), // Rule ID 2517 //
     /* 307015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 307018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 307022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307036 */     // (fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod, 0:{ *:[i32] })
     /* 307036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_t16_e64),
     /* 307039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 307046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 307051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 307056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 307061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 307066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 307071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307074 */     GIR_RootConstrainSelectedInstOperands,
     /* 307075 */     // GIR_Coverage, 2517,
     /* 307075 */     GIR_EraseRootFromParent_Done,
     /* 307076 */   // Label 5216: @307076
     /* 307076 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(307139), // Rule ID 2519 //
     /* 307081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 307084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307102 */     // (fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod)
     /* 307102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_fake16_e64),
     /* 307105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 307112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 307117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 307122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 307127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 307132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 307137 */     GIR_RootConstrainSelectedInstOperands,
     /* 307138 */     // GIR_Coverage, 2519,
     /* 307138 */     GIR_EraseRootFromParent_Done,
     /* 307139 */   // Label 5217: @307139
     /* 307139 */   GIM_Reject,
     /* 307140 */ // Label 5214: @307140
     /* 307140 */ GIM_Reject,
     /* 307141 */ // Label 5211: @307141
     /* 307141 */ GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(307207), // Rule ID 823 //
     /* 307146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 307152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307156 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307163 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 307170 */   // (fldexp:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 307170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F32_e64),
     /* 307173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 307180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 307185 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 307190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 307195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 307200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 307205 */   GIR_RootConstrainSelectedInstOperands,
     /* 307206 */   // GIR_Coverage, 823,
     /* 307206 */   GIR_EraseRootFromParent_Done,
     /* 307207 */ // Label 5218: @307207
     /* 307207 */ GIM_Reject,
     /* 307208 */ // Label 5212: @307208
     /* 307208 */ GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(307274), // Rule ID 983 //
     /* 307213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 307216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 307219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 307223 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 307230 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 307237 */   // (fldexp:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 307237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 307240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 307247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 307252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 307257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 307262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 307267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 307272 */   GIR_RootConstrainSelectedInstOperands,
     /* 307273 */   // GIR_Coverage, 983,
     /* 307273 */   GIR_EraseRootFromParent_Done,
     /* 307274 */ // Label 5219: @307274
     /* 307274 */ GIM_Reject,
     /* 307275 */ // Label 5213: @307275
     /* 307275 */ GIM_Reject,
     /* 307276 */ // Label 69: @307276
     /* 307276 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 5225*/ GIMT_Encode4(309138),
     /* 307287 */ /*GILLT_s16*//*Label 5220*/ GIMT_Encode4(307307),
     /* 307291 */ /*GILLT_s32*//*Label 5221*/ GIMT_Encode4(307793),
     /* 307295 */ /*GILLT_s64*//*Label 5222*/ GIMT_Encode4(308047),
     /* 307299 */ /*GILLT_v2s16*//*Label 5223*/ GIMT_Encode4(308725),
     /* 307303 */ /*GILLT_v2s32*//*Label 5224*/ GIMT_Encode4(309081),
     /* 307307 */ // Label 5220: @307307
     /* 307307 */ GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(307792),
     /* 307312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 307315 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(307388), // Rule ID 7428 //
     /* 307320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307341 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 307345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307347 */     // (fneg:{ *:[f16] } (fabs:{ *:[f16] } SReg_32:{ *:[f16] }:$src))<<P:Predicate_anonymous_34837>>  =>  (S_OR_B32:{ *:[f16] }:{ *:[i1] } SReg_32:{ *:[f16] }:$src, (S_MOV_B32:{ *:[i1] } 32768:{ *:[i32] }))
     /* 307347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 307350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307359 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /* 307374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 307376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 307386 */     GIR_RootConstrainSelectedInstOperands,
     /* 307387 */     // GIR_Coverage, 7428,
     /* 307387 */     GIR_EraseRootFromParent_Done,
     /* 307388 */   // Label 5227: @307388
     /* 307388 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(307457), // Rule ID 7444 //
     /* 307393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 307396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307419 */     // (fneg:{ *:[f16] } (fabs:{ *:[f16] } VGPR_32:{ *:[f16] }:$src))  =>  (V_OR_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32768:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 307419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307431 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /* 307446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307455 */     GIR_RootConstrainSelectedInstOperands,
     /* 307456 */     // GIR_Coverage, 7444,
     /* 307456 */     GIR_EraseRootFromParent_Done,
     /* 307457 */   // Label 5228: @307457
     /* 307457 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(307518), // Rule ID 7447 //
     /* 307462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 307465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 307469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 307486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307488 */     // (fneg:{ *:[f16] } (fabs:{ *:[f16] } VGPR_16:{ *:[f16] }:$src))  =>  (V_OR_B16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, 32768:{ *:[i16] }, 0:{ *:[i32] }, VGPR_16:{ *:[f16] }:$src)
     /* 307488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B16_t16_e64),
     /* 307491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307496 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(32768),
     /* 307506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307516 */     GIR_RootConstrainSelectedInstOperands,
     /* 307517 */     // GIR_Coverage, 7447,
     /* 307517 */     GIR_EraseRootFromParent_Done,
     /* 307518 */   // Label 5229: @307518
     /* 307518 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(307587), // Rule ID 7450 //
     /* 307523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 307526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307549 */     // (fneg:{ *:[f16] } (fabs:{ *:[f16] } VGPR_32:{ *:[f16] }:$src))  =>  (V_OR_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32768:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 307549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307561 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /* 307576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307585 */     GIR_RootConstrainSelectedInstOperands,
     /* 307586 */     // GIR_Coverage, 7450,
     /* 307586 */     GIR_EraseRootFromParent_Done,
     /* 307587 */   // Label 5230: @307587
     /* 307587 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(307643), // Rule ID 7426 //
     /* 307592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 307604 */     // (fneg:{ *:[f16] } SReg_32:{ *:[f16] }:$src)<<P:Predicate_anonymous_34837>>  =>  (S_XOR_B32:{ *:[f16] }:{ *:[i1] } SReg_32:{ *:[f16] }:$src, (S_MOV_B32:{ *:[i1] } 32768:{ *:[i32] }))
     /* 307604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 307607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307616 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /* 307631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 307633 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 307635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 307641 */     GIR_RootConstrainSelectedInstOperands,
     /* 307642 */     // GIR_Coverage, 7426,
     /* 307642 */     GIR_EraseRootFromParent_Done,
     /* 307643 */   // Label 5231: @307643
     /* 307643 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(307695), // Rule ID 7443 //
     /* 307648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 307651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307659 */     // (fneg:{ *:[f16] } VGPR_32:{ *:[f16] }:$src)  =>  (V_XOR_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32768:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 307659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307671 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /* 307686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307691 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 307693 */     GIR_RootConstrainSelectedInstOperands,
     /* 307694 */     // GIR_Coverage, 7443,
     /* 307694 */     GIR_EraseRootFromParent_Done,
     /* 307695 */   // Label 5232: @307695
     /* 307695 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(307739), // Rule ID 7446 //
     /* 307700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 307703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 307707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 307711 */     // (fneg:{ *:[f16] } VGPR_16:{ *:[f16] }:$src)  =>  (V_XOR_B16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, 32768:{ *:[i16] }, 0:{ *:[i32] }, VGPR_16:{ *:[f16] }:$src)
     /* 307711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B16_t16_e64),
     /* 307714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307719 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(32768),
     /* 307729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 307734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307737 */     GIR_RootConstrainSelectedInstOperands,
     /* 307738 */     // GIR_Coverage, 7446,
     /* 307738 */     GIR_EraseRootFromParent_Done,
     /* 307739 */   // Label 5233: @307739
     /* 307739 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(307791), // Rule ID 7449 //
     /* 307744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 307747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307755 */     // (fneg:{ *:[f16] } VGPR_32:{ *:[f16] }:$src)  =>  (V_XOR_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32768:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 307755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307767 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32768),
     /* 307777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /* 307782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307787 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 307789 */     GIR_RootConstrainSelectedInstOperands,
     /* 307790 */     // GIR_Coverage, 7449,
     /* 307790 */     GIR_EraseRootFromParent_Done,
     /* 307791 */   // Label 5234: @307791
     /* 307791 */   GIM_Reject,
     /* 307792 */ // Label 5226: @307792
     /* 307792 */ GIM_Reject,
     /* 307793 */ // Label 5221: @307793
     /* 307793 */ GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(308046),
     /* 307798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307801 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(307874), // Rule ID 7423 //
     /* 307806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 307822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 307831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307833 */     // (fneg:{ *:[f32] } (fabs:{ *:[f32] } SReg_32:{ *:[f32] }:$src))<<P:Predicate_anonymous_34837>>  =>  (S_OR_B32:{ *:[f32] }:{ *:[i1] } SReg_32:{ *:[f32] }:$src, (S_MOV_B32:{ *:[i1] } 2147483648:{ *:[i32] }))
     /* 307833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 307836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307845 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483648),
     /* 307855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /* 307860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 307862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 307872 */     GIR_RootConstrainSelectedInstOperands,
     /* 307873 */     // GIR_Coverage, 7423,
     /* 307873 */     GIR_EraseRootFromParent_Done,
     /* 307874 */   // Label 5236: @307874
     /* 307874 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(307940), // Rule ID 7439 //
     /* 307879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 307891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 307895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 307900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307902 */     // (fneg:{ *:[f32] } (fabs:{ *:[f32] } VGPR_32:{ *:[f32] }:$src))  =>  (V_OR_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483648:{ *:[i32] }), VGPR_32:{ *:[f32] }:$src)
     /* 307902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307914 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483648),
     /* 307924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /* 307929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 307931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 307938 */     GIR_RootConstrainSelectedInstOperands,
     /* 307939 */     // GIR_Coverage, 7439,
     /* 307939 */     GIR_EraseRootFromParent_Done,
     /* 307940 */   // Label 5237: @307940
     /* 307940 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(307996), // Rule ID 7425 //
     /* 307945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 307953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 307957 */     // (fneg:{ *:[f32] } SReg_32:{ *:[f32] }:$src)<<P:Predicate_anonymous_34837>>  =>  (S_XOR_B32:{ *:[f32] }:{ *:[i1] } SReg_32:{ *:[f32] }:$src, (S_MOV_B32:{ *:[i1] } 2147483648:{ *:[i32] }))
     /* 307957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 307960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 307964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307969 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483648),
     /* 307979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /* 307984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 307986 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 307988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 307994 */     GIR_RootConstrainSelectedInstOperands,
     /* 307995 */     // GIR_Coverage, 7425,
     /* 307995 */     GIR_EraseRootFromParent_Done,
     /* 307996 */   // Label 5238: @307996
     /* 307996 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(308045), // Rule ID 7441 //
     /* 308001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308009 */     // (fneg:{ *:[f32] } VGPR_32:{ *:[f32] }:$src)  =>  (V_XOR_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483648:{ *:[i32] }), VGPR_32:{ *:[f32] }:$src)
     /* 308009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308021 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483648),
     /* 308031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 308033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /* 308036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 308038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308041 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 308043 */     GIR_RootConstrainSelectedInstOperands,
     /* 308044 */     // GIR_Coverage, 7441,
     /* 308044 */     GIR_EraseRootFromParent_Done,
     /* 308045 */   // Label 5239: @308045
     /* 308045 */   GIM_Reject,
     /* 308046 */ // Label 5235: @308046
     /* 308046 */ GIM_Reject,
     /* 308047 */ // Label 5222: @308047
     /* 308047 */ GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(308724),
     /* 308052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 308055 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(308243), // Rule ID 7438 //
     /* 308060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 308072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 308076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308081 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 308085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308087 */     // (fneg:{ *:[f64] } (fabs:{ *:[f64] } SReg_64:{ *:[f64] }:$src))<<P:Predicate_anonymous_34837>>  =>  (REG_SEQUENCE:{ *:[f64] } SReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_OR_B32:{ *:[i1] }:{ *:[i1] } (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] }), (S_MOV_B32:{ *:[i1] } 2147483648:{ *:[i32] })), SReg_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 308087 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s1,
     /* 308090 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308094 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308099 */     GIR_AddImm, /*InsnID*/5, /*Imm*/GIMT_Encode8(2147483648),
     /* 308109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 308111 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 308114 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308118 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308123 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 308129 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 308134 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308139 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 308142 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /* 308146 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308151 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 308154 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 308157 */     GIR_SetImplicitDefDead, /*InsnID*/3, /*OpIdx for AMDGPU::SCC*/0,
     /* 308160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308162 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 308165 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308169 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308174 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 308177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308194 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 308200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 308205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 308213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 308215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308218 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 308221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308224 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 308227 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308232 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 308237 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 308242 */     // GIR_Coverage, 7438,
     /* 308242 */     GIR_EraseRootFromParent_Done,
     /* 308243 */   // Label 5241: @308243
     /* 308243 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(308404), // Rule ID 7456 //
     /* 308248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 308260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 308264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308271 */     // (fneg:{ *:[f64] } (fabs:{ *:[f64] } VReg_64:{ *:[f64] }:$src))  =>  (REG_SEQUENCE:{ *:[f64] } VReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (V_OR_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i32] } 2147483648:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /* 308271 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 308274 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308278 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308283 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 308289 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308294 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308299 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 308302 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308306 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308311 */     GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(2147483648),
     /* 308321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308323 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 308326 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /* 308330 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308335 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 308338 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 308341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308355 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 308361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 308374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 308376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308379 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 308382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308385 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 308388 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308398 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308403 */     // GIR_Coverage, 7456,
     /* 308403 */     GIR_EraseRootFromParent_Done,
     /* 308404 */   // Label 5242: @308404
     /* 308404 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(308577), // Rule ID 7437 //
     /* 308409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308417 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 308421 */     // (fneg:{ *:[f64] } SReg_64:{ *:[f64] }:$src)<<P:Predicate_anonymous_34837>>  =>  (REG_SEQUENCE:{ *:[f64] } SReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_XOR_B32:{ *:[i1] }:{ *:[i1] } (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] }), (S_MOV_B32:{ *:[i32] } 2147483648:{ *:[i32] })), SReg_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 308421 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 308424 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308428 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308433 */     GIR_AddImm, /*InsnID*/5, /*Imm*/GIMT_Encode8(2147483648),
     /* 308443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 308445 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 308448 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308452 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308457 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 308463 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 308468 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308473 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 308476 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /* 308480 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308485 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 308488 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 308491 */     GIR_SetImplicitDefDead, /*InsnID*/3, /*OpIdx for AMDGPU::SCC*/0,
     /* 308494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308496 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 308499 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308503 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308508 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 308511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308528 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 308534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 308539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 308547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 308549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308552 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 308555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308558 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 308561 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 308566 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 308571 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 308576 */     // GIR_Coverage, 7437,
     /* 308576 */     GIR_EraseRootFromParent_Done,
     /* 308577 */   // Label 5243: @308577
     /* 308577 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(308723), // Rule ID 7455 //
     /* 308582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308590 */     // (fneg:{ *:[f64] } VReg_64:{ *:[f64] }:$src)  =>  (REG_SEQUENCE:{ *:[f64] } VReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (V_XOR_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i32] } 2147483648:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /* 308590 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 308593 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308597 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308602 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 308608 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308613 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308618 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 308621 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308625 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308630 */     GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(2147483648),
     /* 308640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308642 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 308645 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /* 308649 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308654 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 308657 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 308660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308674 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 308680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308685 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 308693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 308695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308698 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 308701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308704 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 308707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 308712 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308717 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308722 */     // GIR_Coverage, 7455,
     /* 308722 */     GIR_EraseRootFromParent_Done,
     /* 308723 */   // Label 5244: @308723
     /* 308723 */   GIM_Reject,
     /* 308724 */ // Label 5240: @308724
     /* 308724 */ GIM_Reject,
     /* 308725 */ // Label 5223: @308725
     /* 308725 */ GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(309080),
     /* 308730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 308733 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(308835), // Rule ID 7431 //
     /* 308738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 308750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 308762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 308766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 308770 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 308772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308777 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2147450879),
     /* 308788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 308792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308794 */     // (fneg:{ *:[v2f16] } (bitconvert:{ *:[v2f16] } (and:{ *:[i32] } SReg_32:{ *:[i32] }:$src, 2147450879:{ *:[i32] })<<P:Predicate_and_oneuse>>))<<P:Predicate_anonymous_34837>>  =>  (S_OR_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[i32] }:$src, (S_MOV_B32:{ *:[i1] } 2147516416:{ *:[i32] }))
     /* 308794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 308797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308806 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147516416),
     /* 308816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 308818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /* 308821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 308823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src
     /* 308827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 308833 */     GIR_RootConstrainSelectedInstOperands,
     /* 308834 */     // GIR_Coverage, 7431,
     /* 308834 */     GIR_EraseRootFromParent_Done,
     /* 308835 */   // Label 5246: @308835
     /* 308835 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(308908), // Rule ID 7432 //
     /* 308840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 308852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 308856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308861 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 308865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308867 */     // (fneg:{ *:[v2f16] } (fabs:{ *:[v2f16] } SReg_32:{ *:[v2f16] }:$src))<<P:Predicate_anonymous_34837>>  =>  (S_OR_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[v2f16] }:$src, (S_MOV_B32:{ *:[i1] } 2147516416:{ *:[i32] }))
     /* 308867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 308870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308879 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147516416),
     /* 308889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 308891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_OR_B32),
     /* 308894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 308896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 308900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 308906 */     GIR_RootConstrainSelectedInstOperands,
     /* 308907 */     // GIR_Coverage, 7432,
     /* 308907 */     GIR_EraseRootFromParent_Done,
     /* 308908 */   // Label 5247: @308908
     /* 308908 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(308974), // Rule ID 7453 //
     /* 308913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 308925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 308929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 308934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308936 */     // (fneg:{ *:[v2f16] } (fabs:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src))  =>  (V_OR_B32_e64:{ *:[v2f16] } (S_MOV_B32:{ *:[i16] } 2147516416:{ *:[i32] }), VGPR_32:{ *:[v2f16] }:$src)
     /* 308936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308948 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147516416),
     /* 308958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 308960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_OR_B32_e64),
     /* 308963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 308965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 308972 */     GIR_RootConstrainSelectedInstOperands,
     /* 308973 */     // GIR_Coverage, 7453,
     /* 308973 */     GIR_EraseRootFromParent_Done,
     /* 308974 */   // Label 5248: @308974
     /* 308974 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(309030), // Rule ID 7429 //
     /* 308979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 308987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34837),
     /* 308991 */     // (fneg:{ *:[v2f16] } SReg_32:{ *:[v2f16] }:$src)<<P:Predicate_anonymous_34837>>  =>  (S_XOR_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[v2f16] }:$src, (S_MOV_B32:{ *:[i1] } 2147516416:{ *:[i32] }))
     /* 308991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 308994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 308998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309003 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147516416),
     /* 309013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_XOR_B32),
     /* 309018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 309020 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 309022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 309028 */     GIR_RootConstrainSelectedInstOperands,
     /* 309029 */     // GIR_Coverage, 7429,
     /* 309029 */     GIR_EraseRootFromParent_Done,
     /* 309030 */   // Label 5249: @309030
     /* 309030 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(309079), // Rule ID 7451 //
     /* 309035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309043 */     // (fneg:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src)  =>  (V_XOR_B32_e64:{ *:[v2f16] } (S_MOV_B32:{ *:[i16] } 2147516416:{ *:[i32] }), VGPR_32:{ *:[v2f16] }:$src)
     /* 309043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 309046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 309050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309055 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147516416),
     /* 309065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_XOR_B32_e64),
     /* 309070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309075 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 309077 */     GIR_RootConstrainSelectedInstOperands,
     /* 309078 */     // GIR_Coverage, 7451,
     /* 309078 */     GIR_EraseRootFromParent_Done,
     /* 309079 */   // Label 5250: @309079
     /* 309079 */   GIM_Reject,
     /* 309080 */ // Label 5245: @309080
     /* 309080 */ GIM_Reject,
     /* 309081 */ // Label 5224: @309081
     /* 309081 */ GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(309137), // Rule ID 7457 //
     /* 309086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 309089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309100 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34892),
     /* 309104 */   // (fneg:{ *:[v2f32] } VReg_64:{ *:[v2f32] }:$src)<<P:Predicate_anonymous_34892>>  =>  (V_PK_ADD_F32:{ *:[v2f32] } 11:{ *:[i32] }, VReg_64:{ *:[v2f32] }:$src, 11:{ *:[i32] }, 0:{ *:[i64] }, 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 309104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_F32),
     /* 309107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 309112 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 309114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 309117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309135 */   GIR_RootConstrainSelectedInstOperands,
     /* 309136 */   // GIR_Coverage, 7457,
     /* 309136 */   GIR_EraseRootFromParent_Done,
     /* 309137 */ // Label 5251: @309137
     /* 309137 */ GIM_Reject,
     /* 309138 */ // Label 5225: @309138
     /* 309138 */ GIM_Reject,
     /* 309139 */ // Label 70: @309139
     /* 309139 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 5254*/ GIMT_Encode4(309538),
     /* 309150 */ /*GILLT_s32*//*Label 5252*/ GIMT_Encode4(309158),
     /* 309154 */ /*GILLT_s64*//*Label 5253*/ GIMT_Encode4(309332),
     /* 309158 */ // Label 5252: @309158
     /* 309158 */ GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(309331),
     /* 309163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309166 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(309193), // Rule ID 31 //
     /* 309171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 309174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 309178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13749),
     /* 309182 */     // (fpextend:{ *:[f32] } f16:{ *:[f16] }:$src0)<<P:Predicate_anonymous_13749>>  =>  (S_CVT_F32_F16:{ *:[f32] } f16:{ *:[f16] }:$src0)
     /* 309182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_F32_F16),
     /* 309187 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 309191 */     GIR_RootConstrainSelectedInstOperands,
     /* 309192 */     // GIR_Coverage, 31,
     /* 309192 */     GIR_Done,
     /* 309193 */   // Label 5256: @309193
     /* 309193 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(309239), // Rule ID 645 //
     /* 309198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 309201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 309212 */     // (fpextend:{ *:[f32] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 309212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_e64),
     /* 309215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 309232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 309237 */     GIR_RootConstrainSelectedInstOperands,
     /* 309238 */     // GIR_Coverage, 645,
     /* 309238 */     GIR_EraseRootFromParent_Done,
     /* 309239 */   // Label 5257: @309239
     /* 309239 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(309285), // Rule ID 649 //
     /* 309244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 309247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 309258 */     // (fpextend:{ *:[f32] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_F16_fake16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 309258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_fake16_e64),
     /* 309261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 309278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 309283 */     GIR_RootConstrainSelectedInstOperands,
     /* 309284 */     // GIR_Coverage, 649,
     /* 309284 */     GIR_EraseRootFromParent_Done,
     /* 309285 */   // Label 5258: @309285
     /* 309285 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(309330), // Rule ID 647 //
     /* 309290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 309293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 309304 */     // (fpextend:{ *:[f32] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_F32_F16_t16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 309304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_t16_e64),
     /* 309307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309328 */     GIR_RootConstrainSelectedInstOperands,
     /* 309329 */     // GIR_Coverage, 647,
     /* 309329 */     GIR_EraseRootFromParent_Done,
     /* 309330 */   // Label 5259: @309330
     /* 309330 */   GIM_Reject,
     /* 309331 */ // Label 5255: @309331
     /* 309331 */ GIM_Reject,
     /* 309332 */ // Label 5253: @309332
     /* 309332 */ GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(309384), // Rule ID 7048 //
     /* 309337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 309340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309347 */   // (fpextend:{ *:[f64] } f16:{ *:[f16] }:$src)  =>  (V_CVT_F64_F32_e32:{ *:[f64] } (V_CVT_F32_F16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src))
     /* 309347 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 309350 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_e64),
     /* 309354 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309359 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309362 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 309366 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309369 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_F32_e32),
     /* 309377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309382 */   GIR_RootConstrainSelectedInstOperands,
     /* 309383 */   // GIR_Coverage, 7048,
     /* 309383 */   GIR_EraseRootFromParent_Done,
     /* 309384 */ // Label 5260: @309384
     /* 309384 */ GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(309439), // Rule ID 7054 //
     /* 309389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 309392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309399 */   // (fpextend:{ *:[f64] } f16:{ *:[f16] }:$src)  =>  (V_CVT_F64_F32_e32:{ *:[f64] } (V_CVT_F32_F16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src))
     /* 309399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 309402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_t16_e64),
     /* 309406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309411 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309414 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 309418 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309421 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309424 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_F32_e32),
     /* 309432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309437 */   GIR_RootConstrainSelectedInstOperands,
     /* 309438 */   // GIR_Coverage, 7054,
     /* 309438 */   GIR_EraseRootFromParent_Done,
     /* 309439 */ // Label 5261: @309439
     /* 309439 */ GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(309491), // Rule ID 7060 //
     /* 309444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 309447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309454 */   // (fpextend:{ *:[f64] } f16:{ *:[f16] }:$src)  =>  (V_CVT_F64_F32_e32:{ *:[f64] } (V_CVT_F32_F16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[f16] }:$src))
     /* 309454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 309457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_fake16_e64),
     /* 309461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309466 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309469 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 309473 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309476 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309479 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_F32_e32),
     /* 309484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309486 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309489 */   GIR_RootConstrainSelectedInstOperands,
     /* 309490 */   // GIR_Coverage, 7060,
     /* 309490 */   GIR_EraseRootFromParent_Done,
     /* 309491 */ // Label 5262: @309491
     /* 309491 */ GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(309537), // Rule ID 631 //
     /* 309496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 309503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 309510 */   // (fpextend:{ *:[f64] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F64_F32_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 309510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_F32_e64),
     /* 309513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 309530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 309535 */   GIR_RootConstrainSelectedInstOperands,
     /* 309536 */   // GIR_Coverage, 631,
     /* 309536 */   GIR_EraseRootFromParent_Done,
     /* 309537 */ // Label 5263: @309537
     /* 309537 */ GIM_Reject,
     /* 309538 */ // Label 5254: @309538
     /* 309538 */ GIM_Reject,
     /* 309539 */ // Label 71: @309539
     /* 309539 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5267*/ GIMT_Encode4(310474),
     /* 309550 */ /*GILLT_s16*//*Label 5264*/ GIMT_Encode4(309566),
     /* 309554 */ /*GILLT_s32*//*Label 5265*/ GIMT_Encode4(310182), GIMT_Encode4(0),
     /* 309562 */ /*GILLT_v2s16*//*Label 5266*/ GIMT_Encode4(310229),
     /* 309566 */ // Label 5264: @309566
     /* 309566 */ GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(310181),
     /* 309571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309574 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(309692), // Rule ID 2759 //
     /* 309579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 309582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309602 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309615 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309629 */     // (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))  =>  (V_FMA_MIXLO_F16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] }))
     /* 309629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 309636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXLO_F16),
     /* 309646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 309663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 309668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 309673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 309678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309690 */     GIR_RootConstrainSelectedInstOperands,
     /* 309691 */     // GIR_Coverage, 2759,
     /* 309691 */     GIR_EraseRootFromParent_Done,
     /* 309692 */   // Label 5269: @309692
     /* 309692 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(309810), // Rule ID 2743 //
     /* 309697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 309700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAD),
     /* 309712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309720 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309726 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309740 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309747 */     // (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers)))  =>  (V_MAD_MIXLO_F16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_modifiers, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] }))
     /* 309747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 309754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXLO_F16),
     /* 309764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 309781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 309786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 309791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 309796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309808 */     GIR_RootConstrainSelectedInstOperands,
     /* 309809 */     // GIR_Coverage, 2743,
     /* 309809 */     GIR_EraseRootFromParent_Done,
     /* 309810 */   // Label 5270: @309810
     /* 309810 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(309913), // Rule ID 2741 //
     /* 309815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 309818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 309830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309840 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309847 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309854 */     // (fpround:{ *:[f16] } (fmul:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers)))  =>  (V_MAD_MIXLO_F16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] }))
     /* 309854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 309861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXLO_F16),
     /* 309871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 309888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 309893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309911 */     GIR_RootConstrainSelectedInstOperands,
     /* 309912 */     // GIR_Coverage, 2741,
     /* 309912 */     GIR_EraseRootFromParent_Done,
     /* 309913 */   // Label 5271: @309913
     /* 309913 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(310016), // Rule ID 2757 //
     /* 309918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 309921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 309925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 309933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 309957 */     // (fpround:{ *:[f16] } (fmul:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers)))  =>  (V_FMA_MIXLO_F16:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f32] }:$src1, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] }))
     /* 309957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 309964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXLO_F16),
     /* 309974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 309976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 309981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 309986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 309991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 309996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 309999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310014 */     GIR_RootConstrainSelectedInstOperands,
     /* 310015 */     // GIR_Coverage, 2757,
     /* 310015 */     GIR_EraseRootFromParent_Done,
     /* 310016 */   // Label 5272: @310016
     /* 310016 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(310043), // Rule ID 36 //
     /* 310021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 310024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 310028 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13754),
     /* 310032 */     // (fpround:{ *:[f16] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13754>>  =>  (S_CVT_F16_F32:{ *:[f16] } f32:{ *:[f32] }:$src0)
     /* 310032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_F16_F32),
     /* 310037 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 310041 */     GIR_RootConstrainSelectedInstOperands,
     /* 310042 */     // GIR_Coverage, 36,
     /* 310042 */     GIR_Done,
     /* 310043 */   // Label 5273: @310043
     /* 310043 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(310089), // Rule ID 639 //
     /* 310048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 310051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 310062 */     // (fpround:{ *:[f16] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_F32_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 310062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_e64),
     /* 310065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 310082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 310087 */     GIR_RootConstrainSelectedInstOperands,
     /* 310088 */     // GIR_Coverage, 639,
     /* 310088 */     GIR_EraseRootFromParent_Done,
     /* 310089 */   // Label 5274: @310089
     /* 310089 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(310135), // Rule ID 643 //
     /* 310094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 310097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 310108 */     // (fpround:{ *:[f16] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_F32_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 310108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_fake16_e64),
     /* 310111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 310128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 310133 */     GIR_RootConstrainSelectedInstOperands,
     /* 310134 */     // GIR_Coverage, 643,
     /* 310134 */     GIR_EraseRootFromParent_Done,
     /* 310135 */   // Label 5275: @310135
     /* 310135 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(310180), // Rule ID 641 //
     /* 310140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 310143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 310147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 310154 */     // (fpround:{ *:[f16] } (VOP3OpSelMods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_F16_F32_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0)
     /* 310154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_t16_e64),
     /* 310157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310178 */     GIR_RootConstrainSelectedInstOperands,
     /* 310179 */     // GIR_Coverage, 641,
     /* 310179 */     GIR_EraseRootFromParent_Done,
     /* 310180 */   // Label 5276: @310180
     /* 310180 */   GIM_Reject,
     /* 310181 */ // Label 5268: @310181
     /* 310181 */ GIM_Reject,
     /* 310182 */ // Label 5265: @310182
     /* 310182 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(310228), // Rule ID 629 //
     /* 310187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310194 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 310201 */   // (fpround:{ *:[f32] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_F64_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 310201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F64_e64),
     /* 310204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 310221 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 310226 */   GIR_RootConstrainSelectedInstOperands,
     /* 310227 */   // GIR_Coverage, 629,
     /* 310227 */   GIR_EraseRootFromParent_Done,
     /* 310228 */ // Label 5277: @310228
     /* 310228 */ GIM_Reject,
     /* 310229 */ // Label 5266: @310229
     /* 310229 */ GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(310325), // Rule ID 2642 //
     /* 310234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCvtPkF16F32Inst),
     /* 310237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 310240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310244 */   // (fpround:{ *:[v2f16] } v2f32:{ *:[v2f32] }:$src)  =>  (V_CVT_PK_F16_F32_e64:{ *:[v2f16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i16] } VReg_64:{ *:[v2f32] }:$src, sub0:{ *:[i32] }), 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i16] } VReg_64:{ *:[v2f32] }:$src, sub1:{ *:[i32] }))
     /* 310244 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 310247 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310251 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310256 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 310262 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310267 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 310272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 310275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310284 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 310290 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310295 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 310300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F16_F32_e64),
     /* 310303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 310317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310323 */   GIR_RootConstrainSelectedInstOperands,
     /* 310324 */   // GIR_Coverage, 2642,
     /* 310324 */   GIR_EraseRootFromParent_Done,
     /* 310325 */ // Label 5278: @310325
     /* 310325 */ GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(310473), // Rule ID 2643 //
     /* 310330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCvtPkF16F32Inst),
     /* 310333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310340 */   // (fpround:{ *:[v2f16] } v2f64:{ *:[v2f64] }:$src)  =>  (V_CVT_PK_F16_F32_e64:{ *:[v2f16] } 0:{ *:[i32] }, (V_CVT_F32_F64_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$src, sub0_sub1:{ *:[i32] })), 0:{ *:[i32] }, (V_CVT_F32_F64_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i64] } VReg_128:{ *:[v2f64] }:$src, sub2_sub3:{ *:[i32] })))
     /* 310340 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 310343 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310347 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310352 */   GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(24), // src
     /* 310358 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 310363 */   GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 310368 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 310371 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F64_e64),
     /* 310375 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310380 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 310383 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 310386 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 310389 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 310392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 310394 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 310397 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310401 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310406 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src
     /* 310412 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 310417 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 310422 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 310425 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F64_e64),
     /* 310429 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310434 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310437 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 310440 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310443 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 310448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_F16_F32_e64),
     /* 310451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 310465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310471 */   GIR_RootConstrainSelectedInstOperands,
     /* 310472 */   // GIR_Coverage, 2643,
     /* 310472 */   GIR_EraseRootFromParent_Done,
     /* 310473 */ // Label 5279: @310473
     /* 310473 */ GIM_Reject,
     /* 310474 */ // Label 5267: @310474
     /* 310474 */ GIM_Reject,
     /* 310475 */ // Label 72: @310475
     /* 310475 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(10), /*)*//*default:*//*Label 5283*/ GIMT_Encode4(311200),
     /* 310486 */ /*GILLT_s1*//*Label 5280*/ GIMT_Encode4(310498),
     /* 310490 */ /*GILLT_s16*//*Label 5281*/ GIMT_Encode4(310771),
     /* 310494 */ /*GILLT_s32*//*Label 5282*/ GIMT_Encode4(310918),
     /* 310498 */ // Label 5280: @310498
     /* 310498 */ GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(310553), // Rule ID 7604 //
     /* 310503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 310506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 310513 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 310520 */   // (fp_to_sint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_e64:{ *:[i1] } 0:{ *:[i32] }, 48128:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 310520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_e64),
     /* 310523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 310525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310528 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 310538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310543 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310551 */   GIR_RootConstrainSelectedInstOperands,
     /* 310552 */   // GIR_Coverage, 7604,
     /* 310552 */   GIR_EraseRootFromParent_Done,
     /* 310553 */ // Label 5284: @310553
     /* 310553 */ GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(310611), // Rule ID 7606 //
     /* 310558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 310561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 310568 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 310575 */   // (fp_to_sint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_t16_e64:{ *:[i1] } 0:{ *:[i32] }, 48128:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 310575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_t16_e64),
     /* 310578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 310580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310583 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 310593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310609 */   GIR_RootConstrainSelectedInstOperands,
     /* 310610 */   // GIR_Coverage, 7606,
     /* 310610 */   GIR_EraseRootFromParent_Done,
     /* 310611 */ // Label 5285: @310611
     /* 310611 */ GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(310666), // Rule ID 7608 //
     /* 310616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 310619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 310626 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 310633 */   // (fp_to_sint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_fake16_e64:{ *:[i1] } 0:{ *:[i32] }, 48128:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 310633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_fake16_e64),
     /* 310636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 310638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310641 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 310651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310664 */   GIR_RootConstrainSelectedInstOperands,
     /* 310665 */   // GIR_Coverage, 7608,
     /* 310665 */   GIR_EraseRootFromParent_Done,
     /* 310666 */ // Label 5286: @310666
     /* 310666 */ GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(310718), // Rule ID 7610 //
     /* 310671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 310678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 310685 */   // (fp_to_sint:{ *:[i1] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F32_e64:{ *:[i1] } 0:{ *:[i32] }, 3212836864:{ *:[i32] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, 0:{ *:[i1] })
     /* 310685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F32_e64),
     /* 310688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 310690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310693 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3212836864),
     /* 310703 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310716 */   GIR_RootConstrainSelectedInstOperands,
     /* 310717 */   // GIR_Coverage, 7610,
     /* 310717 */   GIR_EraseRootFromParent_Done,
     /* 310718 */ // Label 5287: @310718
     /* 310718 */ GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(310770), // Rule ID 7612 //
     /* 310723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 310730 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 310737 */   // (fp_to_sint:{ *:[i1] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F64_e64:{ *:[i1] } 0:{ *:[i32] }, -4616189618054758400:{ *:[i64] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f64] }:$src0, 0:{ *:[i1] })
     /* 310737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F64_e64),
     /* 310740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 310742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310745 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-4616189618054758400),
     /* 310755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310768 */   GIR_RootConstrainSelectedInstOperands,
     /* 310769 */   // GIR_Coverage, 7612,
     /* 310769 */   GIR_EraseRootFromParent_Done,
     /* 310770 */ // Label 5288: @310770
     /* 310770 */ GIM_Reject,
     /* 310771 */ // Label 5281: @310771
     /* 310771 */ GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(310917),
     /* 310776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310779 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(310825), // Rule ID 716 //
     /* 310784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 310787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 310798 */     // (fp_to_sint:{ *:[i16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_I16_F16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 310798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I16_F16_e64),
     /* 310801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 310818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 310823 */     GIR_RootConstrainSelectedInstOperands,
     /* 310824 */     // GIR_Coverage, 716,
     /* 310824 */     GIR_EraseRootFromParent_Done,
     /* 310825 */   // Label 5290: @310825
     /* 310825 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(310871), // Rule ID 718 //
     /* 310830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 310833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 310844 */     // (fp_to_sint:{ *:[i16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_I16_F16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 310844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I16_F16_fake16_e64),
     /* 310847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 310864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 310869 */     GIR_RootConstrainSelectedInstOperands,
     /* 310870 */     // GIR_Coverage, 718,
     /* 310870 */     GIR_EraseRootFromParent_Done,
     /* 310871 */   // Label 5291: @310871
     /* 310871 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(310916), // Rule ID 717 //
     /* 310876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 310879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 310883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 310890 */     // (fp_to_sint:{ *:[i16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_I16_F16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 310890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I16_F16_t16_e64),
     /* 310893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 310900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 310905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 310914 */     GIR_RootConstrainSelectedInstOperands,
     /* 310915 */     // GIR_Coverage, 717,
     /* 310915 */     GIR_EraseRootFromParent_Done,
     /* 310916 */   // Label 5292: @310916
     /* 310916 */   GIM_Reject,
     /* 310917 */ // Label 5289: @310917
     /* 310917 */ GIM_Reject,
     /* 310918 */ // Label 5282: @310918
     /* 310918 */ GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(310948), // Rule ID 29 //
     /* 310923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 310926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 310933 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13747),
     /* 310937 */   // (fp_to_sint:{ *:[i32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13747>>  =>  (S_CVT_I32_F32:{ *:[i32] } f32:{ *:[f32] }:$src0)
     /* 310937 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_I32_F32),
     /* 310942 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 310946 */   GIR_RootConstrainSelectedInstOperands,
     /* 310947 */   // GIR_Coverage, 29,
     /* 310947 */   GIR_Done,
     /* 310948 */ // Label 5293: @310948
     /* 310948 */ GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(311000), // Rule ID 7049 //
     /* 310953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 310956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 310963 */   // (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_I32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src))
     /* 310963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 310966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_e64),
     /* 310970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310975 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310978 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 310982 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310985 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 310988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 310990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I32_F32_e32),
     /* 310993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 310995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310998 */   GIR_RootConstrainSelectedInstOperands,
     /* 310999 */   // GIR_Coverage, 7049,
     /* 310999 */   GIR_EraseRootFromParent_Done,
     /* 311000 */ // Label 5294: @311000
     /* 311000 */ GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(311055), // Rule ID 7055 //
     /* 311005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 311008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311015 */   // (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_I32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[f16] }:$src))
     /* 311015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_t16_e64),
     /* 311022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311027 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311030 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311034 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311037 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311040 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I32_F32_e32),
     /* 311048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311053 */   GIR_RootConstrainSelectedInstOperands,
     /* 311054 */   // GIR_Coverage, 7055,
     /* 311054 */   GIR_EraseRootFromParent_Done,
     /* 311055 */ // Label 5295: @311055
     /* 311055 */ GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(311107), // Rule ID 7061 //
     /* 311060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 311063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311070 */   // (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_I32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[f16] }:$src))
     /* 311070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_fake16_e64),
     /* 311077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311082 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311085 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311089 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311092 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I32_F32_e32),
     /* 311100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311105 */   GIR_RootConstrainSelectedInstOperands,
     /* 311106 */   // GIR_Coverage, 7061,
     /* 311106 */   GIR_EraseRootFromParent_Done,
     /* 311107 */ // Label 5296: @311107
     /* 311107 */ GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(311153), // Rule ID 627 //
     /* 311112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311119 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311126 */   // (fp_to_sint:{ *:[i32] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_I32_F64_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I32_F64_e64),
     /* 311129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311151 */   GIR_RootConstrainSelectedInstOperands,
     /* 311152 */   // GIR_Coverage, 627,
     /* 311152 */   GIR_EraseRootFromParent_Done,
     /* 311153 */ // Label 5297: @311153
     /* 311153 */ GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(311199), // Rule ID 637 //
     /* 311158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311165 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311172 */   // (fp_to_sint:{ *:[i32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_I32_F32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_I32_F32_e64),
     /* 311175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311177 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311197 */   GIR_RootConstrainSelectedInstOperands,
     /* 311198 */   // GIR_Coverage, 637,
     /* 311198 */   GIR_EraseRootFromParent_Done,
     /* 311199 */ // Label 5298: @311199
     /* 311199 */ GIM_Reject,
     /* 311200 */ // Label 5283: @311200
     /* 311200 */ GIM_Reject,
     /* 311201 */ // Label 73: @311201
     /* 311201 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(10), /*)*//*default:*//*Label 5302*/ GIMT_Encode4(311926),
     /* 311212 */ /*GILLT_s1*//*Label 5299*/ GIMT_Encode4(311224),
     /* 311216 */ /*GILLT_s16*//*Label 5300*/ GIMT_Encode4(311497),
     /* 311220 */ /*GILLT_s32*//*Label 5301*/ GIMT_Encode4(311644),
     /* 311224 */ // Label 5299: @311224
     /* 311224 */ GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(311279), // Rule ID 7603 //
     /* 311229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 311232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 311239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 311246 */   // (fp_to_uint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_e64:{ *:[i1] } 0:{ *:[i32] }, 15360:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 311246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_e64),
     /* 311249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 311251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311254 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 311264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311277 */   GIR_RootConstrainSelectedInstOperands,
     /* 311278 */   // GIR_Coverage, 7603,
     /* 311278 */   GIR_EraseRootFromParent_Done,
     /* 311279 */ // Label 5303: @311279
     /* 311279 */ GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(311337), // Rule ID 7605 //
     /* 311284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 311287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 311294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 311301 */   // (fp_to_uint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_t16_e64:{ *:[i1] } 0:{ *:[i32] }, 15360:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 311301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_t16_e64),
     /* 311304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 311306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311309 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 311319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311324 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311335 */   GIR_RootConstrainSelectedInstOperands,
     /* 311336 */   // GIR_Coverage, 7605,
     /* 311336 */   GIR_EraseRootFromParent_Done,
     /* 311337 */ // Label 5304: @311337
     /* 311337 */ GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(311392), // Rule ID 7607 //
     /* 311342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 311345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 311352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 311359 */   // (fp_to_uint:{ *:[i1] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F16_fake16_e64:{ *:[i1] } 0:{ *:[i32] }, 15360:{ *:[i16] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, 0:{ *:[i1] })
     /* 311359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F16_fake16_e64),
     /* 311362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 311364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311367 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 311377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311390 */   GIR_RootConstrainSelectedInstOperands,
     /* 311391 */   // GIR_Coverage, 7607,
     /* 311391 */   GIR_EraseRootFromParent_Done,
     /* 311392 */ // Label 5305: @311392
     /* 311392 */ GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(311444), // Rule ID 7609 //
     /* 311397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 311404 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 311411 */   // (fp_to_uint:{ *:[i1] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F32_e64:{ *:[i1] } 0:{ *:[i32] }, 1065353216:{ *:[i32] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f32] }:$src0, 0:{ *:[i1] })
     /* 311411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F32_e64),
     /* 311414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 311416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311419 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(1065353216),
     /* 311429 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311434 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311442 */   GIR_RootConstrainSelectedInstOperands,
     /* 311443 */   // GIR_Coverage, 7609,
     /* 311443 */   GIR_EraseRootFromParent_Done,
     /* 311444 */ // Label 5306: @311444
     /* 311444 */ GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(311496), // Rule ID 7611 //
     /* 311449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 311456 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 311463 */   // (fp_to_uint:{ *:[i1] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CMP_EQ_F64_e64:{ *:[i1] } 0:{ *:[i32] }, 4607182418800017408:{ *:[i64] }, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f64] }:$src0, 0:{ *:[i1] })
     /* 311463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_EQ_F64_e64),
     /* 311466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 311468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311471 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(4607182418800017408),
     /* 311481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311494 */   GIR_RootConstrainSelectedInstOperands,
     /* 311495 */   // GIR_Coverage, 7611,
     /* 311495 */   GIR_EraseRootFromParent_Done,
     /* 311496 */ // Label 5307: @311496
     /* 311496 */ GIM_Reject,
     /* 311497 */ // Label 5300: @311497
     /* 311497 */ GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(311643),
     /* 311502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311505 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(311551), // Rule ID 713 //
     /* 311510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 311513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311524 */     // (fp_to_uint:{ *:[i16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_U16_F16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U16_F16_e64),
     /* 311527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311549 */     GIR_RootConstrainSelectedInstOperands,
     /* 311550 */     // GIR_Coverage, 713,
     /* 311550 */     GIR_EraseRootFromParent_Done,
     /* 311551 */   // Label 5309: @311551
     /* 311551 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(311597), // Rule ID 715 //
     /* 311556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 311559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311570 */     // (fp_to_uint:{ *:[i16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_U16_F16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U16_F16_fake16_e64),
     /* 311573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311595 */     GIR_RootConstrainSelectedInstOperands,
     /* 311596 */     // GIR_Coverage, 715,
     /* 311596 */     GIR_EraseRootFromParent_Done,
     /* 311597 */   // Label 5310: @311597
     /* 311597 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(311642), // Rule ID 714 //
     /* 311602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 311605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 311609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 311616 */     // (fp_to_uint:{ *:[i16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_U16_F16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 311616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U16_F16_t16_e64),
     /* 311619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311640 */     GIR_RootConstrainSelectedInstOperands,
     /* 311641 */     // GIR_Coverage, 714,
     /* 311641 */     GIR_EraseRootFromParent_Done,
     /* 311642 */   // Label 5311: @311642
     /* 311642 */   GIM_Reject,
     /* 311643 */ // Label 5308: @311643
     /* 311643 */ GIM_Reject,
     /* 311644 */ // Label 5301: @311644
     /* 311644 */ GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(311674), // Rule ID 30 //
     /* 311649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 311652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 311659 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13748),
     /* 311663 */   // (fp_to_uint:{ *:[i32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13748>>  =>  (S_CVT_U32_F32:{ *:[i32] } f32:{ *:[f32] }:$src0)
     /* 311663 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_U32_F32),
     /* 311668 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 311672 */   GIR_RootConstrainSelectedInstOperands,
     /* 311673 */   // GIR_Coverage, 30,
     /* 311673 */   GIR_Done,
     /* 311674 */ // Label 5312: @311674
     /* 311674 */ GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(311726), // Rule ID 7050 //
     /* 311679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 311682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311689 */   // (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_U32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[f16] }:$src))
     /* 311689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_e64),
     /* 311696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311701 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311704 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311708 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311711 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U32_F32_e32),
     /* 311719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311724 */   GIR_RootConstrainSelectedInstOperands,
     /* 311725 */   // GIR_Coverage, 7050,
     /* 311725 */   GIR_EraseRootFromParent_Done,
     /* 311726 */ // Label 5313: @311726
     /* 311726 */ GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(311781), // Rule ID 7056 //
     /* 311731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 311734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311741 */   // (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_U32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[f16] }:$src))
     /* 311741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_t16_e64),
     /* 311748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311753 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311760 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311763 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311766 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U32_F32_e32),
     /* 311774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311779 */   GIR_RootConstrainSelectedInstOperands,
     /* 311780 */   // GIR_Coverage, 7056,
     /* 311780 */   GIR_EraseRootFromParent_Done,
     /* 311781 */ // Label 5314: @311781
     /* 311781 */ GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(311833), // Rule ID 7062 //
     /* 311786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 311789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311796 */   // (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$src)  =>  (V_CVT_U32_F32_e32:{ *:[i32] } (V_CVT_F32_F16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[f16] }:$src))
     /* 311796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_F16_fake16_e64),
     /* 311803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311808 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311811 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311815 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311818 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 311821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U32_F32_e32),
     /* 311826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311828 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311831 */   GIR_RootConstrainSelectedInstOperands,
     /* 311832 */   // GIR_Coverage, 7062,
     /* 311832 */   GIR_EraseRootFromParent_Done,
     /* 311833 */ // Label 5315: @311833
     /* 311833 */ GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(311879), // Rule ID 632 //
     /* 311838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311852 */   // (fp_to_uint:{ *:[i32] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_U32_F64_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U32_F64_e64),
     /* 311855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311877 */   GIR_RootConstrainSelectedInstOperands,
     /* 311878 */   // GIR_Coverage, 632,
     /* 311878 */   GIR_EraseRootFromParent_Done,
     /* 311879 */ // Label 5316: @311879
     /* 311879 */ GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(311925), // Rule ID 636 //
     /* 311884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311891 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 311898 */   // (fp_to_uint:{ *:[i32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_U32_F32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 311898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_U32_F32_e64),
     /* 311901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 311908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 311913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 311918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 311923 */   GIR_RootConstrainSelectedInstOperands,
     /* 311924 */   // GIR_Coverage, 636,
     /* 311924 */   GIR_EraseRootFromParent_Done,
     /* 311925 */ // Label 5317: @311925
     /* 311925 */ GIM_Reject,
     /* 311926 */ // Label 5302: @311926
     /* 311926 */ GIM_Reject,
     /* 311927 */ // Label 74: @311927
     /* 311927 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 5321*/ GIMT_Encode4(312659),
     /* 311938 */ /*GILLT_s16*//*Label 5318*/ GIMT_Encode4(311950),
     /* 311942 */ /*GILLT_s32*//*Label 5319*/ GIMT_Encode4(312453),
     /* 311946 */ /*GILLT_s64*//*Label 5320*/ GIMT_Encode4(312565),
     /* 311950 */ // Label 5318: @311950
     /* 311950 */ GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(312002), // Rule ID 7051 //
     /* 311955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 311958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 311965 */   // (sint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_I32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 311965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 311968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_I32_e32),
     /* 311972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311977 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 311981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_e64),
     /* 311986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 311988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311991 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 311997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312000 */   GIR_RootConstrainSelectedInstOperands,
     /* 312001 */   // GIR_Coverage, 7051,
     /* 312001 */   GIR_EraseRootFromParent_Done,
     /* 312002 */ // Label 5322: @312002
     /* 312002 */ GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(312057), // Rule ID 7057 //
     /* 312007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 312010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 312017 */   // (sint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_t16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_I32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 312017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_I32_e32),
     /* 312024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312029 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_t16_e64),
     /* 312038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312055 */   GIR_RootConstrainSelectedInstOperands,
     /* 312056 */   // GIR_Coverage, 7057,
     /* 312056 */   GIR_EraseRootFromParent_Done,
     /* 312057 */ // Label 5323: @312057
     /* 312057 */ GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(312109), // Rule ID 7063 //
     /* 312062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 312065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312072 */   // (sint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_I32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 312072 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312075 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_I32_e32),
     /* 312079 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312084 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_fake16_e64),
     /* 312093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312107 */   GIR_RootConstrainSelectedInstOperands,
     /* 312108 */   // GIR_Coverage, 7063,
     /* 312108 */   GIR_EraseRootFromParent_Done,
     /* 312109 */ // Label 5324: @312109
     /* 312109 */ GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(312171), // Rule ID 7629 //
     /* 312114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 312117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312124 */   // (sint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_e32:{ *:[f16] } (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 3212836864:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src))
     /* 312124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312136 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312139 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312142 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312145 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(3212836864),
     /* 312155 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_e32),
     /* 312164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312169 */   GIR_RootConstrainSelectedInstOperands,
     /* 312170 */   // GIR_Coverage, 7629,
     /* 312170 */   GIR_EraseRootFromParent_Done,
     /* 312171 */ // Label 5325: @312171
     /* 312171 */ GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(312245), // Rule ID 7630 //
     /* 312176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 312179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 312186 */   // (sint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_t16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 3212836864:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src), 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 312186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312198 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312201 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312204 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312207 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(3212836864),
     /* 312217 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_t16_e64),
     /* 312226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312243 */   GIR_RootConstrainSelectedInstOperands,
     /* 312244 */   // GIR_Coverage, 7630,
     /* 312244 */   GIR_EraseRootFromParent_Done,
     /* 312245 */ // Label 5326: @312245
     /* 312245 */ GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(312316), // Rule ID 7631 //
     /* 312250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 312253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312260 */   // (sint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 3212836864:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src), 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 312260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312272 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312275 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312278 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312281 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(3212836864),
     /* 312291 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_fake16_e64),
     /* 312300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312314 */   GIR_RootConstrainSelectedInstOperands,
     /* 312315 */   // GIR_Coverage, 7631,
     /* 312315 */   GIR_EraseRootFromParent_Done,
     /* 312316 */ // Label 5327: @312316
     /* 312316 */ GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(312360), // Rule ID 710 //
     /* 312321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 312324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312331 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 312338 */   // (sint_to_fp:{ *:[f16] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_I16_e64:{ *:[f16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 312338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_I16_e64),
     /* 312341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 312348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 312353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 312358 */   GIR_RootConstrainSelectedInstOperands,
     /* 312359 */   // GIR_Coverage, 710,
     /* 312359 */   GIR_EraseRootFromParent_Done,
     /* 312360 */ // Label 5328: @312360
     /* 312360 */ GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(312404), // Rule ID 712 //
     /* 312365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 312368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 312382 */   // (sint_to_fp:{ *:[f16] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_I16_fake16_e64:{ *:[f16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 312382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_I16_fake16_e64),
     /* 312385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 312392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 312397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 312402 */   GIR_RootConstrainSelectedInstOperands,
     /* 312403 */   // GIR_Coverage, 712,
     /* 312403 */   GIR_EraseRootFromParent_Done,
     /* 312404 */ // Label 5329: @312404
     /* 312404 */ GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(312452), // Rule ID 711 //
     /* 312409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 312412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 312419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 312426 */   // (sint_to_fp:{ *:[f16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_F16_I16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0)
     /* 312426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_I16_t16_e64),
     /* 312429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 312436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 312441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312450 */   GIR_RootConstrainSelectedInstOperands,
     /* 312451 */   // GIR_Coverage, 711,
     /* 312451 */   GIR_EraseRootFromParent_Done,
     /* 312452 */ // Label 5330: @312452
     /* 312452 */ GIM_Reject,
     /* 312453 */ // Label 5319: @312453
     /* 312453 */ GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(312483), // Rule ID 27 //
     /* 312458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 312461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 312468 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13745),
     /* 312472 */   // (sint_to_fp:{ *:[f32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13745>>  =>  (S_CVT_F32_I32:{ *:[f32] } i32:{ *:[i32] }:$src0)
     /* 312472 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_F32_I32),
     /* 312477 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 312481 */   GIR_RootConstrainSelectedInstOperands,
     /* 312482 */   // GIR_Coverage, 27,
     /* 312482 */   GIR_Done,
     /* 312483 */ // Label 5331: @312483
     /* 312483 */ GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(312523), // Rule ID 7635 //
     /* 312488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312495 */   // (sint_to_fp:{ *:[f32] } i1:{ *:[i1] }:$src)  =>  (V_CNDMASK_B32_e64:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 3212836864:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src)
     /* 312495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312509 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3212836864),
     /* 312519 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 312521 */   GIR_RootConstrainSelectedInstOperands,
     /* 312522 */   // GIR_Coverage, 7635,
     /* 312522 */   GIR_EraseRootFromParent_Done,
     /* 312523 */ // Label 5332: @312523
     /* 312523 */ GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(312564), // Rule ID 634 //
     /* 312528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312535 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 312542 */   // (sint_to_fp:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_I32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 312542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_I32_e64),
     /* 312545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312547 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 312552 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 312557 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 312562 */   GIR_RootConstrainSelectedInstOperands,
     /* 312563 */   // GIR_Coverage, 634,
     /* 312563 */   GIR_EraseRootFromParent_Done,
     /* 312564 */ // Label 5333: @312564
     /* 312564 */ GIM_Reject,
     /* 312565 */ // Label 5320: @312565
     /* 312565 */ GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(312617), // Rule ID 7637 //
     /* 312570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 312577 */   // (sint_to_fp:{ *:[f64] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F64_I32_e32:{ *:[f64] } (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, -1:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src))
     /* 312577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312589 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312592 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312595 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312598 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/uint8_t(-1),
     /* 312601 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_I32_e32),
     /* 312610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312615 */   GIR_RootConstrainSelectedInstOperands,
     /* 312616 */   // GIR_Coverage, 7637,
     /* 312616 */   GIR_EraseRootFromParent_Done,
     /* 312617 */ // Label 5334: @312617
     /* 312617 */ GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(312658), // Rule ID 628 //
     /* 312622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 312629 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 312636 */   // (sint_to_fp:{ *:[f64] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F64_I32_e64:{ *:[f64] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 312636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_I32_e64),
     /* 312639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 312646 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 312651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 312656 */   GIR_RootConstrainSelectedInstOperands,
     /* 312657 */   // GIR_Coverage, 628,
     /* 312657 */   GIR_EraseRootFromParent_Done,
     /* 312658 */ // Label 5335: @312658
     /* 312658 */ GIM_Reject,
     /* 312659 */ // Label 5321: @312659
     /* 312659 */ GIM_Reject,
     /* 312660 */ // Label 75: @312660
     /* 312660 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 5339*/ GIMT_Encode4(313392),
     /* 312671 */ /*GILLT_s16*//*Label 5336*/ GIMT_Encode4(312683),
     /* 312675 */ /*GILLT_s32*//*Label 5337*/ GIMT_Encode4(313186),
     /* 312679 */ /*GILLT_s64*//*Label 5338*/ GIMT_Encode4(313298),
     /* 312683 */ // Label 5336: @312683
     /* 312683 */ GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(312735), // Rule ID 7052 //
     /* 312688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 312691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312698 */   // (uint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_U32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 312698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_U32_e32),
     /* 312705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312710 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_e64),
     /* 312719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312733 */   GIR_RootConstrainSelectedInstOperands,
     /* 312734 */   // GIR_Coverage, 7052,
     /* 312734 */   GIR_EraseRootFromParent_Done,
     /* 312735 */ // Label 5340: @312735
     /* 312735 */ GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(312790), // Rule ID 7058 //
     /* 312740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 312743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 312750 */   // (uint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_t16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_U32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 312750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_U32_e32),
     /* 312757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312762 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_t16_e64),
     /* 312771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312788 */   GIR_RootConstrainSelectedInstOperands,
     /* 312789 */   // GIR_Coverage, 7058,
     /* 312789 */   GIR_EraseRootFromParent_Done,
     /* 312790 */ // Label 5341: @312790
     /* 312790 */ GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(312842), // Rule ID 7064 //
     /* 312795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 312798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312805 */   // (uint_to_fp:{ *:[f16] } i32:{ *:[i32] }:$src)  =>  (V_CVT_F16_F32_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CVT_F32_U32_e32:{ *:[i16] } VSrc_b32:{ *:[i32] }:$src))
     /* 312805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_U32_e32),
     /* 312812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312817 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_fake16_e64),
     /* 312826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312840 */   GIR_RootConstrainSelectedInstOperands,
     /* 312841 */   // GIR_Coverage, 7064,
     /* 312841 */   GIR_EraseRootFromParent_Done,
     /* 312842 */ // Label 5342: @312842
     /* 312842 */ GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(312904), // Rule ID 7632 //
     /* 312847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 312850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312857 */   // (uint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_e32:{ *:[f16] } (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1065353216:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src))
     /* 312857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312869 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312872 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312875 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312878 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(1065353216),
     /* 312888 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_e32),
     /* 312897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312902 */   GIR_RootConstrainSelectedInstOperands,
     /* 312903 */   // GIR_Coverage, 7632,
     /* 312903 */   GIR_EraseRootFromParent_Done,
     /* 312904 */ // Label 5343: @312904
     /* 312904 */ GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(312978), // Rule ID 7633 //
     /* 312909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 312912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 312919 */   // (uint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_t16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1065353216:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src), 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 312919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 312926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312931 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312934 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312937 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 312940 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(1065353216),
     /* 312950 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 312954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_t16_e64),
     /* 312959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 312961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 312976 */   GIR_RootConstrainSelectedInstOperands,
     /* 312977 */   // GIR_Coverage, 7633,
     /* 312977 */   GIR_EraseRootFromParent_Done,
     /* 312978 */ // Label 5344: @312978
     /* 312978 */ GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(313049), // Rule ID 7634 //
     /* 312983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 312986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 312989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 312993 */   // (uint_to_fp:{ *:[f16] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F16_F32_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1065353216:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src), 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 312993 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312996 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 313000 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313005 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313008 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313011 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313014 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(1065353216),
     /* 313024 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 313028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_F32_fake16_e64),
     /* 313033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313047 */   GIR_RootConstrainSelectedInstOperands,
     /* 313048 */   // GIR_Coverage, 7634,
     /* 313048 */   GIR_EraseRootFromParent_Done,
     /* 313049 */ // Label 5345: @313049
     /* 313049 */ GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(313093), // Rule ID 707 //
     /* 313054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 313057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313064 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 313071 */   // (uint_to_fp:{ *:[f16] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_U16_e64:{ *:[f16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 313071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_U16_e64),
     /* 313074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 313081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 313086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 313091 */   GIR_RootConstrainSelectedInstOperands,
     /* 313092 */   // GIR_Coverage, 707,
     /* 313092 */   GIR_EraseRootFromParent_Done,
     /* 313093 */ // Label 5346: @313093
     /* 313093 */ GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(313137), // Rule ID 709 //
     /* 313098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 313101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 313115 */   // (uint_to_fp:{ *:[f16] } (VOP3Mods0:{ *:[i16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F16_U16_fake16_e64:{ *:[f16] } i16:{ *:[i16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 313115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_U16_fake16_e64),
     /* 313118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 313125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 313130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 313135 */   GIR_RootConstrainSelectedInstOperands,
     /* 313136 */   // GIR_Coverage, 709,
     /* 313136 */   GIR_EraseRootFromParent_Done,
     /* 313137 */ // Label 5347: @313137
     /* 313137 */ GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(313185), // Rule ID 708 //
     /* 313142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 313145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 313152 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 313159 */   // (uint_to_fp:{ *:[f16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CVT_F16_U16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0)
     /* 313159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F16_U16_t16_e64),
     /* 313162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 313169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 313174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313183 */   GIR_RootConstrainSelectedInstOperands,
     /* 313184 */   // GIR_Coverage, 708,
     /* 313184 */   GIR_EraseRootFromParent_Done,
     /* 313185 */ // Label 5348: @313185
     /* 313185 */ GIM_Reject,
     /* 313186 */ // Label 5337: @313186
     /* 313186 */ GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(313216), // Rule ID 28 //
     /* 313191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 313194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313201 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13746),
     /* 313205 */   // (uint_to_fp:{ *:[f32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13746>>  =>  (S_CVT_F32_U32:{ *:[f32] } i32:{ *:[i32] }:$src0)
     /* 313205 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CVT_F32_U32),
     /* 313210 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 313214 */   GIR_RootConstrainSelectedInstOperands,
     /* 313215 */   // GIR_Coverage, 28,
     /* 313215 */   GIR_Done,
     /* 313216 */ // Label 5349: @313216
     /* 313216 */ GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(313256), // Rule ID 7636 //
     /* 313221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 313224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313228 */   // (uint_to_fp:{ *:[f32] } i1:{ *:[i1] }:$src)  =>  (V_CNDMASK_B32_e64:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1065353216:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src)
     /* 313228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 313231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313242 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(1065353216),
     /* 313252 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313254 */   GIR_RootConstrainSelectedInstOperands,
     /* 313255 */   // GIR_Coverage, 7636,
     /* 313255 */   GIR_EraseRootFromParent_Done,
     /* 313256 */ // Label 5350: @313256
     /* 313256 */ GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(313297), // Rule ID 635 //
     /* 313261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313268 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 313275 */   // (uint_to_fp:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_U32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 313275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_U32_e64),
     /* 313278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313280 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 313285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 313290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 313295 */   GIR_RootConstrainSelectedInstOperands,
     /* 313296 */   // GIR_Coverage, 635,
     /* 313296 */   GIR_EraseRootFromParent_Done,
     /* 313297 */ // Label 5351: @313297
     /* 313297 */ GIM_Reject,
     /* 313298 */ // Label 5338: @313298
     /* 313298 */ GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(313350), // Rule ID 7638 //
     /* 313303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /* 313306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 313310 */   // (uint_to_fp:{ *:[f64] } i1:{ *:[i1] }:$src)  =>  (V_CVT_F64_U32_e32:{ *:[f64] } (V_CNDMASK_B32_e64:{ *:[i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 1:{ *:[i32] }, SSrc_i1:{ *:[i1] }:$src))
     /* 313310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B32_e64),
     /* 313317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313322 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313325 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313328 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 313331 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 313334 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 313338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_U32_e32),
     /* 313343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313348 */   GIR_RootConstrainSelectedInstOperands,
     /* 313349 */   // GIR_Coverage, 7638,
     /* 313349 */   GIR_EraseRootFromParent_Done,
     /* 313350 */ // Label 5352: @313350
     /* 313350 */ GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(313391), // Rule ID 633 //
     /* 313355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 313362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 313369 */   // (uint_to_fp:{ *:[f64] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F64_U32_e64:{ *:[f64] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 313369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F64_U32_e64),
     /* 313372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 313379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 313384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 313389 */   GIR_RootConstrainSelectedInstOperands,
     /* 313390 */   // GIR_Coverage, 633,
     /* 313390 */   GIR_EraseRootFromParent_Done,
     /* 313391 */ // Label 5353: @313391
     /* 313391 */ GIM_Reject,
     /* 313392 */ // Label 5339: @313392
     /* 313392 */ GIM_Reject,
     /* 313393 */ // Label 76: @313393
     /* 313393 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5358*/ GIMT_Encode4(314193),
     /* 313404 */ /*GILLT_s16*//*Label 5354*/ GIMT_Encode4(313420),
     /* 313408 */ /*GILLT_s32*//*Label 5355*/ GIMT_Encode4(313634),
     /* 313412 */ /*GILLT_s64*//*Label 5356*/ GIMT_Encode4(313749),
     /* 313416 */ /*GILLT_v2s16*//*Label 5357*/ GIMT_Encode4(314078),
     /* 313420 */ // Label 5354: @313420
     /* 313420 */ GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(313633),
     /* 313425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313428 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(313484), // Rule ID 7427 //
     /* 313433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313441 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34839),
     /* 313445 */     // (fabs:{ *:[f16] } SReg_32:{ *:[f16] }:$src)<<P:Predicate_anonymous_34839>>  =>  (S_AND_B32:{ *:[f16] }:{ *:[i1] } SReg_32:{ *:[f16] }:$src, (S_MOV_B32:{ *:[i1] } 32767:{ *:[i32] }))
     /* 313445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 313448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313457 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 313467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 313472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 313474 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 313482 */     GIR_RootConstrainSelectedInstOperands,
     /* 313483 */     // GIR_Coverage, 7427,
     /* 313483 */     GIR_EraseRootFromParent_Done,
     /* 313484 */   // Label 5360: @313484
     /* 313484 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(313536), // Rule ID 7442 //
     /* 313489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 313492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313500 */     // (fabs:{ *:[f16] } VGPR_32:{ *:[f16] }:$src)  =>  (V_AND_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32767:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 313500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313512 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 313522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 313527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313532 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313534 */     GIR_RootConstrainSelectedInstOperands,
     /* 313535 */     // GIR_Coverage, 7442,
     /* 313535 */     GIR_EraseRootFromParent_Done,
     /* 313536 */   // Label 5361: @313536
     /* 313536 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(313580), // Rule ID 7445 //
     /* 313541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 313544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 313548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 313552 */     // (fabs:{ *:[f16] } VGPR_16:{ *:[f16] }:$src)  =>  (V_AND_B16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, 32767:{ *:[i16] }, 0:{ *:[i32] }, VGPR_16:{ *:[f16] }:$src)
     /* 313552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B16_t16_e64),
     /* 313555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313560 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(32767),
     /* 313570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313573 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 313578 */     GIR_RootConstrainSelectedInstOperands,
     /* 313579 */     // GIR_Coverage, 7445,
     /* 313579 */     GIR_EraseRootFromParent_Done,
     /* 313580 */   // Label 5362: @313580
     /* 313580 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(313632), // Rule ID 7448 //
     /* 313585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 313588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313596 */     // (fabs:{ *:[f16] } VGPR_32:{ *:[f16] }:$src)  =>  (V_AND_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32767:{ *:[i32] }), VGPR_32:{ *:[f16] }:$src)
     /* 313596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313608 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 313618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 313623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313628 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313630 */     GIR_RootConstrainSelectedInstOperands,
     /* 313631 */     // GIR_Coverage, 7448,
     /* 313631 */     GIR_EraseRootFromParent_Done,
     /* 313632 */   // Label 5363: @313632
     /* 313632 */   GIM_Reject,
     /* 313633 */ // Label 5359: @313633
     /* 313633 */ GIM_Reject,
     /* 313634 */ // Label 5355: @313634
     /* 313634 */ GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(313748),
     /* 313639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313642 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(313698), // Rule ID 7424 //
     /* 313647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34839),
     /* 313659 */     // (fabs:{ *:[f32] } SReg_32:{ *:[f32] }:$src)<<P:Predicate_anonymous_34839>>  =>  (S_AND_B32:{ *:[f32] }:{ *:[i1] } SReg_32:{ *:[f32] }:$src, (S_MOV_B32:{ *:[i1] } 2147483647:{ *:[i32] }))
     /* 313659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 313662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313671 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483647),
     /* 313681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 313686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 313688 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 313696 */     GIR_RootConstrainSelectedInstOperands,
     /* 313697 */     // GIR_Coverage, 7424,
     /* 313697 */     GIR_EraseRootFromParent_Done,
     /* 313698 */   // Label 5365: @313698
     /* 313698 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(313747), // Rule ID 7440 //
     /* 313703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313711 */     // (fabs:{ *:[f32] } VGPR_32:{ *:[f32] }:$src)  =>  (V_AND_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483647:{ *:[i32] }), VGPR_32:{ *:[f32] }:$src)
     /* 313711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313723 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483647),
     /* 313733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 313738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 313740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313743 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 313745 */     GIR_RootConstrainSelectedInstOperands,
     /* 313746 */     // GIR_Coverage, 7440,
     /* 313746 */     GIR_EraseRootFromParent_Done,
     /* 313747 */   // Label 5366: @313747
     /* 313747 */   GIM_Reject,
     /* 313748 */ // Label 5364: @313748
     /* 313748 */ GIM_Reject,
     /* 313749 */ // Label 5356: @313749
     /* 313749 */ GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(314077),
     /* 313754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313757 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(313930), // Rule ID 7436 //
     /* 313762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 313766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 313770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34839),
     /* 313774 */     // (fabs:{ *:[f64] } SReg_64:{ *:[f64] }:$src)<<P:Predicate_anonymous_34839>>  =>  (REG_SEQUENCE:{ *:[f64] } SReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_AND_B32:{ *:[i1] }:{ *:[i1] } (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] }), (S_MOV_B32:{ *:[i1] } 2147483647:{ *:[i32] })), SReg_32:{ *:[i32] }), sub1:{ *:[i32] })
     /* 313774 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s1,
     /* 313777 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313781 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313786 */     GIR_AddImm, /*InsnID*/5, /*Imm*/GIMT_Encode8(2147483647),
     /* 313796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 313798 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 313801 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313805 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313810 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 313816 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 313821 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 313826 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 313829 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 313833 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313838 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 313841 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 313844 */     GIR_SetImplicitDefDead, /*InsnID*/3, /*OpIdx for AMDGPU::SCC*/0,
     /* 313847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 313849 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 313852 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313856 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313861 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 313864 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 313869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313881 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 313887 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 313892 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 313897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 313900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 313902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313905 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 313908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 313911 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 313914 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 313919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 313924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 313929 */     // GIR_Coverage, 7436,
     /* 313929 */     GIR_EraseRootFromParent_Done,
     /* 313930 */   // Label 5368: @313930
     /* 313930 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(314076), // Rule ID 7454 //
     /* 313935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 313939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 313943 */     // (fabs:{ *:[f64] } VReg_64:{ *:[f64] }:$src)  =>  (REG_SEQUENCE:{ *:[f64] } VReg_64:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub0:{ *:[i32] }), sub0:{ *:[i32] }, (V_AND_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i32] } 2147483647:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[f64] }:$src, sub1:{ *:[i32] })), sub1:{ *:[i32] })
     /* 313943 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 313946 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313950 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313955 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 313961 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 313966 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 313971 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 313974 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 313978 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313983 */     GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(2147483647),
     /* 313993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 313995 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 313998 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 314002 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314007 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314010 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 314013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314027 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /* 314033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314038 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 314043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 314046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 314048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314051 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 314054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 314057 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 314060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 314065 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314070 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314075 */     // GIR_Coverage, 7454,
     /* 314075 */     GIR_EraseRootFromParent_Done,
     /* 314076 */   // Label 5369: @314076
     /* 314076 */   GIM_Reject,
     /* 314077 */ // Label 5367: @314077
     /* 314077 */ GIM_Reject,
     /* 314078 */ // Label 5357: @314078
     /* 314078 */ GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(314192),
     /* 314083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 314086 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(314142), // Rule ID 7430 //
     /* 314091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 314095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 314099 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34839),
     /* 314103 */     // (fabs:{ *:[v2f16] } SReg_32:{ *:[v2f16] }:$src)<<P:Predicate_anonymous_34839>>  =>  (S_AND_B32:{ *:[v2f16] }:{ *:[i1] } SReg_32:{ *:[v2f16] }:$src, (S_MOV_B32:{ *:[i1] } 2147450879:{ *:[i32] }))
     /* 314103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 314106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314115 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147450879),
     /* 314125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 314130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314132 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 314134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 314140 */     GIR_RootConstrainSelectedInstOperands,
     /* 314141 */     // GIR_Coverage, 7430,
     /* 314141 */     GIR_EraseRootFromParent_Done,
     /* 314142 */   // Label 5371: @314142
     /* 314142 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(314191), // Rule ID 7452 //
     /* 314147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314155 */     // (fabs:{ *:[v2f16] } VGPR_32:{ *:[v2f16] }:$src)  =>  (V_AND_B32_e64:{ *:[v2f16] } (S_MOV_B32:{ *:[i16] } 2147450879:{ *:[i32] }), VGPR_32:{ *:[v2f16] }:$src)
     /* 314155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314167 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147450879),
     /* 314177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_AND_B32_e64),
     /* 314182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314187 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 314189 */     GIR_RootConstrainSelectedInstOperands,
     /* 314190 */     // GIR_Coverage, 7452,
     /* 314190 */     GIR_EraseRootFromParent_Done,
     /* 314191 */   // Label 5372: @314191
     /* 314191 */   GIM_Reject,
     /* 314192 */ // Label 5370: @314192
     /* 314192 */ GIM_Reject,
     /* 314193 */ // Label 5358: @314193
     /* 314193 */ GIM_Reject,
     /* 314194 */ // Label 77: @314194
     /* 314194 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5376*/ GIMT_Encode4(314618),
     /* 314205 */ /*GILLT_s16*//*Label 5373*/ GIMT_Encode4(314221),
     /* 314209 */ /*GILLT_s32*//*Label 5374*/ GIMT_Encode4(314353), GIMT_Encode4(0),
     /* 314217 */ /*GILLT_v2s16*//*Label 5375*/ GIMT_Encode4(314564),
     /* 314221 */ // Label 5373: @314221
     /* 314221 */ GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(314352),
     /* 314226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 314229 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(314279), // Rule ID 7458 //
     /* 314234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 314237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314241 */     // (fcopysign:{ *:[f16] } f16:{ *:[f16] }:$src0, f16:{ *:[f16] }:$src1)  =>  (V_BFI_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32767:{ *:[i32] }), ?:{ *:[f16] }:$src0, ?:{ *:[f16] }:$src1)
     /* 314241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314253 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 314263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314275 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 314277 */     GIR_RootConstrainSelectedInstOperands,
     /* 314278 */     // GIR_Coverage, 7458,
     /* 314278 */     GIR_EraseRootFromParent_Done,
     /* 314279 */   // Label 5378: @314279
     /* 314279 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(314351), // Rule ID 7461 //
     /* 314284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 314287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314291 */     // (fcopysign:{ *:[f16] } f16:{ *:[f16] }:$src0, f32:{ *:[f32] }:$src1)  =>  (V_BFI_B32_e64:{ *:[f16] } (S_MOV_B32:{ *:[i16] } 32767:{ *:[i32] }), ?:{ *:[f16] }:$src0, (V_LSHRREV_B32_e64:{ *:[i16] } 16:{ *:[i32] }, ?:{ *:[f32] }:$src1))
     /* 314291 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 314294 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHRREV_B32_e64),
     /* 314298 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314303 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/16,
     /* 314306 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 314310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314324 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(32767),
     /* 314334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314344 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 314349 */     GIR_RootConstrainSelectedInstOperands,
     /* 314350 */     // GIR_Coverage, 7461,
     /* 314350 */     GIR_EraseRootFromParent_Done,
     /* 314351 */   // Label 5379: @314351
     /* 314351 */   GIM_Reject,
     /* 314352 */ // Label 5377: @314352
     /* 314352 */ GIM_Reject,
     /* 314353 */ // Label 5374: @314353
     /* 314353 */ GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(314563),
     /* 314358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314361 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(314433), // Rule ID 7459 //
     /* 314366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 314369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314373 */     // (fcopysign:{ *:[f32] } f32:{ *:[f32] }:$src0, f16:{ *:[f16] }:$src1)  =>  (V_BFI_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483647:{ *:[i32] }), ?:{ *:[f32] }:$src0, (V_LSHLREV_B32_e64:{ *:[i16] } 16:{ *:[i32] }, ?:{ *:[f16] }:$src1))
     /* 314373 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 314376 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_LSHLREV_B32_e64),
     /* 314380 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314385 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/16,
     /* 314388 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 314392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314406 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483647),
     /* 314416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314426 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 314431 */     GIR_RootConstrainSelectedInstOperands,
     /* 314432 */     // GIR_Coverage, 7459,
     /* 314432 */     GIR_EraseRootFromParent_Done,
     /* 314433 */   // Label 5381: @314433
     /* 314433 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(314483), // Rule ID 7524 //
     /* 314438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 314441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314445 */     // (fcopysign:{ *:[f32] } f32:{ *:[f32] }:$src0, f32:{ *:[f32] }:$src1)  =>  (V_BFI_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483647:{ *:[i32] }), ?:{ *:[f32] }:$src0, ?:{ *:[f32] }:$src1)
     /* 314445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314457 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483647),
     /* 314467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314477 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314479 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 314481 */     GIR_RootConstrainSelectedInstOperands,
     /* 314482 */     // GIR_Coverage, 7524,
     /* 314482 */     GIR_EraseRootFromParent_Done,
     /* 314483 */   // Label 5382: @314483
     /* 314483 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(314562), // Rule ID 7525 //
     /* 314488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 314491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314495 */     // (fcopysign:{ *:[f32] } f32:{ *:[f32] }:$src0, f64:{ *:[f64] }:$src1)  =>  (V_BFI_B32_e64:{ *:[f32] } (S_MOV_B32:{ *:[i16] } 2147483647:{ *:[i32] }), ?:{ *:[f32] }:$src0, (EXTRACT_SUBREG:{ *:[i32] } SReg_64:{ *:[f64] }:$src1, sub1:{ *:[i32] }))
     /* 314495 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 314498 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314502 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314507 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(11), // src1
     /* 314513 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 314518 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 314523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314535 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147483647),
     /* 314545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 314560 */     GIR_RootConstrainSelectedInstOperands,
     /* 314561 */     // GIR_Coverage, 7525,
     /* 314561 */     GIR_EraseRootFromParent_Done,
     /* 314562 */   // Label 5383: @314562
     /* 314562 */   GIM_Reject,
     /* 314563 */ // Label 5380: @314563
     /* 314563 */ GIM_Reject,
     /* 314564 */ // Label 5375: @314564
     /* 314564 */ GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(314617), // Rule ID 7463 //
     /* 314569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 314572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 314575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 314579 */   // (fcopysign:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, v2f16:{ *:[v2f16] }:$src1)  =>  (V_BFI_B32_e64:{ *:[v2f16] } (S_MOV_B32:{ *:[i16] } 2147450879:{ *:[i32] }), ?:{ *:[v2f16] }:$src0, ?:{ *:[v2f16] }:$src1)
     /* 314579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 314586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314591 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(2147450879),
     /* 314601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 314606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 314608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314611 */   GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 314613 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 314615 */   GIR_RootConstrainSelectedInstOperands,
     /* 314616 */   // GIR_Coverage, 7463,
     /* 314616 */   GIR_EraseRootFromParent_Done,
     /* 314617 */ // Label 5384: @314617
     /* 314617 */ GIM_Reject,
     /* 314618 */ // Label 5376: @314618
     /* 314618 */ GIM_Reject,
     /* 314619 */ // Label 78: @314619
     /* 314619 */ GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(314949),
     /* 314624 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s1,
     /* 314627 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 5389*/ GIMT_Encode4(314948),
     /* 314638 */   /*GILLT_s16*//*Label 5386*/ GIMT_Encode4(314650),
     /* 314642 */   /*GILLT_s32*//*Label 5387*/ GIMT_Encode4(314832),
     /* 314646 */   /*GILLT_s64*//*Label 5388*/ GIMT_Encode4(314890),
     /* 314650 */   // Label 5386: @314650
     /* 314650 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(314831),
     /* 314655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 314659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 314662 */     GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(314715), // Rule ID 2901 //
     /* 314667 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 314670 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 314677 */       // (is_fpclass:{ *:[i1] } (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (timm:{ *:[i32] }):$mask)  =>  (V_CMP_CLASS_F16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_mods, f16:{ *:[f16] }:$src0, (V_MOV_B32_e32:{ *:[i16] } (timm:{ *:[i32] }):$mask))
     /* 314677 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314680 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 314684 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314689 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // mask
     /* 314693 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314695 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_e64),
     /* 314698 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314700 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 314705 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 314710 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314713 */       GIR_RootConstrainSelectedInstOperands,
     /* 314714 */       // GIR_Coverage, 2901,
     /* 314714 */       GIR_EraseRootFromParent_Done,
     /* 314715 */     // Label 5391: @314715
     /* 314715 */     GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(314774), // Rule ID 2902 //
     /* 314720 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 314723 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 314730 */       // (is_fpclass:{ *:[i1] } (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (timm:{ *:[i32] }):$mask)  =>  (V_CMP_CLASS_F16_t16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_mods, f16:{ *:[f16] }:$src0, 0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } (timm:{ *:[i32] }):$mask))
     /* 314730 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314733 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 314737 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314742 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // mask
     /* 314746 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314748 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_t16_e64),
     /* 314751 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314753 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 314758 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 314763 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 314766 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314769 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 314772 */       GIR_RootConstrainSelectedInstOperands,
     /* 314773 */       // GIR_Coverage, 2902,
     /* 314773 */       GIR_EraseRootFromParent_Done,
     /* 314774 */     // Label 5392: @314774
     /* 314774 */     GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(314830), // Rule ID 2903 //
     /* 314779 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 314782 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 314789 */       // (is_fpclass:{ *:[i1] } (VOP3ModsNonCanonicalizing:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (timm:{ *:[i32] }):$mask)  =>  (V_CMP_CLASS_F16_fake16_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_mods, f16:{ *:[f16] }:$src0, 0:{ *:[i32] }, (V_MOV_B32_e32:{ *:[i16] } (timm:{ *:[i32] }):$mask))
     /* 314789 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314792 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 314796 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314801 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // mask
     /* 314805 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314807 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F16_fake16_e64),
     /* 314810 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314812 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 314817 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 314822 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 314825 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314828 */       GIR_RootConstrainSelectedInstOperands,
     /* 314829 */       // GIR_Coverage, 2903,
     /* 314829 */       GIR_EraseRootFromParent_Done,
     /* 314830 */     // Label 5393: @314830
     /* 314830 */     GIM_Reject,
     /* 314831 */   // Label 5390: @314831
     /* 314831 */   GIM_Reject,
     /* 314832 */   // Label 5387: @314832
     /* 314832 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(314889), // Rule ID 2904 //
     /* 314837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 314841 */     // MIs[0] mask
     /* 314841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 314844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 314851 */     // (is_fpclass:{ *:[i1] } (VOP3ModsNonCanonicalizing:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (timm:{ *:[i32] }):$mask)  =>  (V_CMP_CLASS_F32_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_mods, f32:{ *:[f32] }:$src0, (V_MOV_B32_e32:{ *:[i16] } (timm:{ *:[i32] }):$mask))
     /* 314851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 314858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // mask
     /* 314867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F32_e64),
     /* 314872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 314879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 314884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314887 */     GIR_RootConstrainSelectedInstOperands,
     /* 314888 */     // GIR_Coverage, 2904,
     /* 314888 */     GIR_EraseRootFromParent_Done,
     /* 314889 */   // Label 5394: @314889
     /* 314889 */   GIM_Reject,
     /* 314890 */   // Label 5388: @314890
     /* 314890 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(314947), // Rule ID 2905 //
     /* 314895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_1RegClassID),
     /* 314899 */     // MIs[0] mask
     /* 314899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 314902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3modsnoncanonicalizing),
     /* 314909 */     // (is_fpclass:{ *:[i1] } (VOP3ModsNonCanonicalizing:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods), (timm:{ *:[i32] }):$mask)  =>  (V_CMP_CLASS_F64_e64:{ *:[i1] } i32:{ *:[i32] }:$src0_mods, f64:{ *:[f64] }:$src0, (V_MOV_B32_e32:{ *:[i16] } (timm:{ *:[i32] }):$mask))
     /* 314909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B32_e32),
     /* 314916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // mask
     /* 314925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F64_e64),
     /* 314930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 314932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 314937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 314942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314945 */     GIR_RootConstrainSelectedInstOperands,
     /* 314946 */     // GIR_Coverage, 2905,
     /* 314946 */     GIR_EraseRootFromParent_Done,
     /* 314947 */   // Label 5395: @314947
     /* 314947 */   GIM_Reject,
     /* 314948 */   // Label 5389: @314948
     /* 314948 */   GIM_Reject,
     /* 314949 */ // Label 5385: @314949
     /* 314949 */ GIM_Reject,
     /* 314950 */ // Label 79: @314950
     /* 314950 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 5401*/ GIMT_Encode4(316417),
     /* 314961 */ /*GILLT_s16*//*Label 5396*/ GIMT_Encode4(314981),
     /* 314965 */ /*GILLT_s32*//*Label 5397*/ GIMT_Encode4(315687),
     /* 314969 */ /*GILLT_s64*//*Label 5398*/ GIMT_Encode4(315907),
     /* 314973 */ /*GILLT_v2s16*//*Label 5399*/ GIMT_Encode4(316164),
     /* 314977 */ /*GILLT_v2s32*//*Label 5400*/ GIMT_Encode4(316349),
     /* 314981 */ // Label 5396: @314981
     /* 314981 */ GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(315686),
     /* 314986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 314989 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(315041), // Rule ID 7688 //
     /* 314994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_HasMinMaxDenormModes_NotHasTrue16BitInsts),
     /* 314997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315008 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 315011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315039 */     GIR_RootConstrainSelectedInstOperands,
     /* 315040 */     // GIR_Coverage, 7688,
     /* 315040 */     GIR_EraseRootFromParent_Done,
     /* 315041 */   // Label 5403: @315041
     /* 315041 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(315096), // Rule ID 7689 //
     /* 315046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_HasMinMaxDenormModes_UseRealTrue16Insts),
     /* 315049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 315053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315060 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 315063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315094 */     GIR_RootConstrainSelectedInstOperands,
     /* 315095 */     // GIR_Coverage, 7689,
     /* 315095 */     GIR_EraseRootFromParent_Done,
     /* 315096 */   // Label 5404: @315096
     /* 315096 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(315148), // Rule ID 7690 //
     /* 315101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_HasMinMaxDenormModes_UseFakeTrue16Insts),
     /* 315104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315115 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 315118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315146 */     GIR_RootConstrainSelectedInstOperands,
     /* 315147 */     // GIR_Coverage, 7690,
     /* 315147 */     GIR_EraseRootFromParent_Done,
     /* 315148 */   // Label 5405: @315148
     /* 315148 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(315200), // Rule ID 7695 //
     /* 315153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_NotHasTrue16BitInsts),
     /* 315156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315167 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 315170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315198 */     GIR_RootConstrainSelectedInstOperands,
     /* 315199 */     // GIR_Coverage, 7695,
     /* 315199 */     GIR_EraseRootFromParent_Done,
     /* 315200 */   // Label 5406: @315200
     /* 315200 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(315255), // Rule ID 7696 //
     /* 315205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_UseRealTrue16Insts),
     /* 315208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 315212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315219 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 315222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315253 */     GIR_RootConstrainSelectedInstOperands,
     /* 315254 */     // GIR_Coverage, 7696,
     /* 315254 */     GIR_EraseRootFromParent_Done,
     /* 315255 */   // Label 5407: @315255
     /* 315255 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(315307), // Rule ID 7697 //
     /* 315260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP16Denormals_Has16BitInsts_NotHasMinMaxDenormModes_UseFakeTrue16Insts),
     /* 315263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315274 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 315274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 315277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315305 */     GIR_RootConstrainSelectedInstOperands,
     /* 315306 */     // GIR_Coverage, 7697,
     /* 315306 */     GIR_EraseRootFromParent_Done,
     /* 315307 */   // Label 5408: @315307
     /* 315307 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(315376), // Rule ID 7675 //
     /* 315312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 315315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 315327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 315331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315340 */     // (fcanonicalize:{ *:[f16] } (fneg:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods)))  =>  (V_MUL_F16_e64:{ *:[f16] } 0:{ *:[i32] }, 48128:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src)
     /* 315340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 315343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315348 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 315358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315374 */     GIR_RootConstrainSelectedInstOperands,
     /* 315375 */     // GIR_Coverage, 7675,
     /* 315375 */     GIR_EraseRootFromParent_Done,
     /* 315376 */   // Label 5409: @315376
     /* 315376 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(315448), // Rule ID 7677 //
     /* 315381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 315384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 315388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 315396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 315400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315402 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315409 */     // (fcanonicalize:{ *:[f16] } (fneg:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods)))  =>  (V_MUL_F16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, 48128:{ *:[i16] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 315409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_t16_e64),
     /* 315412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315417 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 315427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315446 */     GIR_RootConstrainSelectedInstOperands,
     /* 315447 */     // GIR_Coverage, 7677,
     /* 315447 */     GIR_EraseRootFromParent_Done,
     /* 315448 */   // Label 5410: @315448
     /* 315448 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(315517), // Rule ID 7679 //
     /* 315453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 315456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 315468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 315472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315481 */     // (fcanonicalize:{ *:[f16] } (fneg:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods)))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, 48128:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src)
     /* 315481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 315484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315489 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(48128),
     /* 315499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315515 */     GIR_RootConstrainSelectedInstOperands,
     /* 315516 */     // GIR_Coverage, 7679,
     /* 315516 */     GIR_EraseRootFromParent_Done,
     /* 315517 */   // Label 5411: @315517
     /* 315517 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(315572), // Rule ID 7674 //
     /* 315522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 315525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315536 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MUL_F16_e64:{ *:[f16] } 0:{ *:[i32] }, 15360:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src)
     /* 315536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 315539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315544 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 315554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315570 */     GIR_RootConstrainSelectedInstOperands,
     /* 315571 */     // GIR_Coverage, 7674,
     /* 315571 */     GIR_EraseRootFromParent_Done,
     /* 315572 */   // Label 5412: @315572
     /* 315572 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(315630), // Rule ID 7676 //
     /* 315577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 315580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 315584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315591 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MUL_F16_t16_e64:{ *:[f16] } 0:{ *:[i32] }, 15360:{ *:[i16] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src, 0:{ *:[i1] }, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 315591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_t16_e64),
     /* 315594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315599 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 315609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315628 */     GIR_RootConstrainSelectedInstOperands,
     /* 315629 */     // GIR_Coverage, 7676,
     /* 315629 */     GIR_EraseRootFromParent_Done,
     /* 315630 */   // Label 5413: @315630
     /* 315630 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(315685), // Rule ID 7678 //
     /* 315635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 315638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315649 */     // (fcanonicalize:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } 0:{ *:[i32] }, 15360:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f16] }:$src)
     /* 315649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 315652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315657 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 315667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315683 */     GIR_RootConstrainSelectedInstOperands,
     /* 315684 */     // GIR_Coverage, 7678,
     /* 315684 */     GIR_EraseRootFromParent_Done,
     /* 315685 */   // Label 5414: @315685
     /* 315685 */   GIM_Reject,
     /* 315686 */ // Label 5402: @315686
     /* 315686 */ GIM_Reject,
     /* 315687 */ // Label 5397: @315687
     /* 315687 */ GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(315906),
     /* 315692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 315699 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(315747), // Rule ID 7685 //
     /* 315704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinMaxDenormModes),
     /* 315707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315714 */     // (fcanonicalize:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src)
     /* 315714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 315717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315745 */     GIR_RootConstrainSelectedInstOperands,
     /* 315746 */     // GIR_Coverage, 7685,
     /* 315746 */     GIR_EraseRootFromParent_Done,
     /* 315747 */   // Label 5416: @315747
     /* 315747 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(315795), // Rule ID 7692 //
     /* 315752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FalsePredicate_NotHasMinMaxDenormModes),
     /* 315755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315762 */     // (fcanonicalize:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src)
     /* 315762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 315765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315793 */     GIR_RootConstrainSelectedInstOperands,
     /* 315794 */     // GIR_Coverage, 7692,
     /* 315794 */     GIR_EraseRootFromParent_Done,
     /* 315795 */   // Label 5417: @315795
     /* 315795 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(315857), // Rule ID 7682 //
     /* 315800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 315808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 315812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315821 */     // (fcanonicalize:{ *:[f32] } (fneg:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src, i32:{ *:[i32] }:$src_mods)))  =>  (V_MUL_F32_e64:{ *:[f32] } 0:{ *:[i32] }, 3212836864:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src)
     /* 315821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 315824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315829 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3212836864),
     /* 315839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315855 */     GIR_RootConstrainSelectedInstOperands,
     /* 315856 */     // GIR_Coverage, 7682,
     /* 315856 */     GIR_EraseRootFromParent_Done,
     /* 315857 */   // Label 5418: @315857
     /* 315857 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(315905), // Rule ID 7681 //
     /* 315862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315869 */     // (fcanonicalize:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MUL_F32_e64:{ *:[f32] } 0:{ *:[i32] }, 1065353216:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f32] }:$src)
     /* 315869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 315872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315877 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(1065353216),
     /* 315887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315903 */     GIR_RootConstrainSelectedInstOperands,
     /* 315904 */     // GIR_Coverage, 7681,
     /* 315904 */     GIR_EraseRootFromParent_Done,
     /* 315905 */   // Label 5419: @315905
     /* 315905 */   GIM_Reject,
     /* 315906 */ // Label 5415: @315906
     /* 315906 */ GIM_Reject,
     /* 315907 */ // Label 5398: @315907
     /* 315907 */ GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(316163),
     /* 315912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 315919 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(315967), // Rule ID 7686 //
     /* 315924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinMaxDenormModes_isNotGFX12Plus),
     /* 315927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315934 */     // (fcanonicalize:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src)
     /* 315934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 315937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 315965 */     GIR_RootConstrainSelectedInstOperands,
     /* 315966 */     // GIR_Coverage, 7686,
     /* 315966 */     GIR_EraseRootFromParent_Done,
     /* 315967 */   // Label 5421: @315967
     /* 315967 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(316015), // Rule ID 7687 //
     /* 315972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinMaxDenormModes_isGFX12Plus),
     /* 315975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 315982 */     // (fcanonicalize:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src)
     /* 315982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 315985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 315987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 315992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 315997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316013 */     GIR_RootConstrainSelectedInstOperands,
     /* 316014 */     // GIR_Coverage, 7687,
     /* 316014 */     GIR_EraseRootFromParent_Done,
     /* 316015 */   // Label 5422: @316015
     /* 316015 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(316063), // Rule ID 7693 //
     /* 316020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP64Denormals_NotHasMinMaxDenormModes_isNotGFX12Plus),
     /* 316023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316030 */     // (fcanonicalize:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src)
     /* 316030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 316033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316061 */     GIR_RootConstrainSelectedInstOperands,
     /* 316062 */     // GIR_Coverage, 7693,
     /* 316062 */     GIR_EraseRootFromParent_Done,
     /* 316063 */   // Label 5423: @316063
     /* 316063 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(316111), // Rule ID 7694 //
     /* 316068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP64Denormals_NotHasMinMaxDenormModes_isGFX12Plus),
     /* 316071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316078 */     // (fcanonicalize:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src)
     /* 316078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 316081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316109 */     GIR_RootConstrainSelectedInstOperands,
     /* 316110 */     // GIR_Coverage, 7694,
     /* 316110 */     GIR_EraseRootFromParent_Done,
     /* 316111 */   // Label 5424: @316111
     /* 316111 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(316162), // Rule ID 7684 //
     /* 316116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 316119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316126 */     // (fcanonicalize:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_MUL_F64_e64:{ *:[f64] } 0:{ *:[i32] }, 4607182418800017408:{ *:[i64] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[f64] }:$src)
     /* 316126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_e64),
     /* 316129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316134 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(4607182418800017408),
     /* 316144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316160 */     GIR_RootConstrainSelectedInstOperands,
     /* 316161 */     // GIR_Coverage, 7684,
     /* 316161 */     GIR_EraseRootFromParent_Done,
     /* 316162 */   // Label 5425: @316162
     /* 316162 */   GIM_Reject,
     /* 316163 */ // Label 5420: @316163
     /* 316163 */ GIM_Reject,
     /* 316164 */ // Label 5399: @316164
     /* 316164 */ GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(316348),
     /* 316169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 316172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 316176 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(316233), // Rule ID 7691 //
     /* 316181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinMaxDenormModes),
     /* 316184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 316191 */     // (fcanonicalize:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_PK_MAX_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f16] }:$src, 0:{ *:[i1] })
     /* 316191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 316194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316231 */     GIR_RootConstrainSelectedInstOperands,
     /* 316232 */     // GIR_Coverage, 7691,
     /* 316232 */     GIR_EraseRootFromParent_Done,
     /* 316233 */   // Label 5427: @316233
     /* 316233 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(316290), // Rule ID 7698 //
     /* 316238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FP16Denormals_NotHasMinMaxDenormModes),
     /* 316241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 316248 */     // (fcanonicalize:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_PK_MAX_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f16] }:$src, ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f16] }:$src, 0:{ *:[i1] })
     /* 316248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 316251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316288 */     GIR_RootConstrainSelectedInstOperands,
     /* 316289 */     // GIR_Coverage, 7698,
     /* 316289 */     GIR_EraseRootFromParent_Done,
     /* 316290 */   // Label 5428: @316290
     /* 316290 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(316347), // Rule ID 7680 //
     /* 316295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 316302 */     // (fcanonicalize:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_PK_MUL_F16:{ *:[v2f16] } 0:{ *:[i32] }, 15360:{ *:[i32] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f16] }:$src, 0:{ *:[i1] })
     /* 316302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F16),
     /* 316305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316310 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(15360),
     /* 316320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316345 */     GIR_RootConstrainSelectedInstOperands,
     /* 316346 */     // GIR_Coverage, 7680,
     /* 316346 */     GIR_EraseRootFromParent_Done,
     /* 316347 */   // Label 5429: @316347
     /* 316347 */   GIM_Reject,
     /* 316348 */ // Label 5426: @316348
     /* 316348 */ GIM_Reject,
     /* 316349 */ // Label 5400: @316349
     /* 316349 */ GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(316416), // Rule ID 7683 //
     /* 316354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 316357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 316360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 316364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 316371 */   // (fcanonicalize:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src, i32:{ *:[i32] }:$src_mods))  =>  (V_PK_MUL_F32:{ *:[v2f32] } 0:{ *:[i32] }, 1065353216:{ *:[i64] }, ?:{ *:[i32] }:$src_mods, ?:{ *:[v2f32] }:$src)
     /* 316371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F32),
     /* 316374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316379 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(1065353216),
     /* 316389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src_mods
     /* 316394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src
     /* 316399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316414 */   GIR_RootConstrainSelectedInstOperands,
     /* 316415 */   // GIR_Coverage, 7683,
     /* 316415 */   GIR_EraseRootFromParent_Done,
     /* 316416 */ // Label 5430: @316416
     /* 316416 */ GIM_Reject,
     /* 316417 */ // Label 5401: @316417
     /* 316417 */ GIM_Reject,
     /* 316418 */ // Label 80: @316418
     /* 316418 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5435*/ GIMT_Encode4(388196),
     /* 316429 */ /*GILLT_s16*//*Label 5431*/ GIMT_Encode4(316445),
     /* 316433 */ /*GILLT_s32*//*Label 5432*/ GIMT_Encode4(370359),
     /* 316437 */ /*GILLT_s64*//*Label 5433*/ GIMT_Encode4(387871),
     /* 316441 */ /*GILLT_v2s16*//*Label 5434*/ GIMT_Encode4(388124),
     /* 316445 */ // Label 5431: @316445
     /* 316445 */ GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(370358),
     /* 316450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 316453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 316456 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(316591), // Rule ID 12465 //
     /* 316461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 316464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 316468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 316480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 316484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 316488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 316496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 316500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 316504 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 316508 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 316508 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 316513 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 316513 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 316518 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 316522 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316524 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316538 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316545 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 316545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 316548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 316555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 316560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 316565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 316570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 316575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 316580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316589 */     GIR_RootConstrainSelectedInstOperands,
     /* 316590 */     // GIR_Coverage, 12465,
     /* 316590 */     GIR_EraseRootFromParent_Done,
     /* 316591 */   // Label 5437: @316591
     /* 316591 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(316726), // Rule ID 12466 //
     /* 316596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 316599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 316603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 316615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 316619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 316623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 316631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 316635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 316639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 316643 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 316643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 316648 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 316648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 316653 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 316657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316666 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316673 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316680 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 316680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 316683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 316690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 316695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 316700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 316705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 316710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 316715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316724 */     GIR_RootConstrainSelectedInstOperands,
     /* 316725 */     // GIR_Coverage, 12466,
     /* 316725 */     GIR_EraseRootFromParent_Done,
     /* 316726 */   // Label 5438: @316726
     /* 316726 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(316861), // Rule ID 12469 //
     /* 316731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 316734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 316738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 316750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 316754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 316758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 316766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 316770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 316774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 316778 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 316778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 316783 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 316783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 316788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 316792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316808 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316815 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 316815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 316818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 316825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 316830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 316835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 316840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 316845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 316850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316859 */     GIR_RootConstrainSelectedInstOperands,
     /* 316860 */     // GIR_Coverage, 12469,
     /* 316860 */     GIR_EraseRootFromParent_Done,
     /* 316861 */   // Label 5439: @316861
     /* 316861 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(316996), // Rule ID 12470 //
     /* 316866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 316869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 316873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 316885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 316889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 316893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 316897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 316901 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 316905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 316909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 316913 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 316913 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 316918 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 316918 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 316923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 316927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316929 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316943 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 316950 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 316950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 316953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 316955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 316960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 316965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 316970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 316975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 316980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 316985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 316994 */     GIR_RootConstrainSelectedInstOperands,
     /* 316995 */     // GIR_Coverage, 12470,
     /* 316995 */     GIR_EraseRootFromParent_Done,
     /* 316996 */   // Label 5440: @316996
     /* 316996 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(317131), // Rule ID 12945 //
     /* 317001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 317004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 317008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317036 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317048 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317048 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317053 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317053 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317058 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317071 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317078 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317085 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 317088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 317095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 317100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 317105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 317110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317129 */     GIR_RootConstrainSelectedInstOperands,
     /* 317130 */     // GIR_Coverage, 12945,
     /* 317130 */     GIR_EraseRootFromParent_Done,
     /* 317131 */   // Label 5441: @317131
     /* 317131 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(317266), // Rule ID 12946 //
     /* 317136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 317139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 317143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317183 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317188 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317188 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317193 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317197 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317213 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317220 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 317223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 317230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 317235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 317240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 317245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317264 */     GIR_RootConstrainSelectedInstOperands,
     /* 317265 */     // GIR_Coverage, 12946,
     /* 317265 */     GIR_EraseRootFromParent_Done,
     /* 317266 */   // Label 5442: @317266
     /* 317266 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(317401), // Rule ID 12949 //
     /* 317271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 317274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 317278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317310 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317314 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317318 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317318 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317323 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317323 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317328 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317348 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317355 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 317358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 317365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 317370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 317375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 317380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317399 */     GIR_RootConstrainSelectedInstOperands,
     /* 317400 */     // GIR_Coverage, 12949,
     /* 317400 */     GIR_EraseRootFromParent_Done,
     /* 317401 */   // Label 5443: @317401
     /* 317401 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(317536), // Rule ID 12950 //
     /* 317406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 317409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 317413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317441 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317453 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317458 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317463 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317469 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317490 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 317493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 317500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 317505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 317510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 317515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317534 */     GIR_RootConstrainSelectedInstOperands,
     /* 317535 */     // GIR_Coverage, 12950,
     /* 317535 */     GIR_EraseRootFromParent_Done,
     /* 317536 */   // Label 5444: @317536
     /* 317536 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(317671), // Rule ID 13425 //
     /* 317541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 317544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 317548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317588 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317593 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317598 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317618 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317625 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 317628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 317635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 317640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 317645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 317650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317669 */     GIR_RootConstrainSelectedInstOperands,
     /* 317670 */     // GIR_Coverage, 13425,
     /* 317670 */     GIR_EraseRootFromParent_Done,
     /* 317671 */   // Label 5445: @317671
     /* 317671 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(317806), // Rule ID 13426 //
     /* 317676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 317679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 317683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317711 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317723 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317728 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317728 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317737 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317760 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 317763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 317770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 317775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 317780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 317785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317804 */     GIR_RootConstrainSelectedInstOperands,
     /* 317805 */     // GIR_Coverage, 13426,
     /* 317805 */     GIR_EraseRootFromParent_Done,
     /* 317806 */   // Label 5446: @317806
     /* 317806 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(317941), // Rule ID 13429 //
     /* 317811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 317814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 317818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317858 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317858 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 317863 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317863 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317868 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 317872 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 317874 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 317895 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 317895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 317898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 317900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 317905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 317910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 317915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 317920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 317925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 317930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 317939 */     GIR_RootConstrainSelectedInstOperands,
     /* 317940 */     // GIR_Coverage, 13429,
     /* 317940 */     GIR_EraseRootFromParent_Done,
     /* 317941 */   // Label 5447: @317941
     /* 317941 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(318076), // Rule ID 13430 //
     /* 317946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 317949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 317953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 317965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 317969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 317973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 317977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 317981 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 317985 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 317989 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 317993 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 317993 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 317998 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 317998 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318003 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318007 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318016 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318023 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318030 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 318033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 318040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 318045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 318050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 318055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318074 */     GIR_RootConstrainSelectedInstOperands,
     /* 318075 */     // GIR_Coverage, 13430,
     /* 318075 */     GIR_EraseRootFromParent_Done,
     /* 318076 */   // Label 5448: @318076
     /* 318076 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(318211), // Rule ID 12450 //
     /* 318081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 318084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 318088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318116 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318128 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318128 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318133 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318138 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318142 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318158 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318165 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 318168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 318175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 318180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 318185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 318190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318209 */     GIR_RootConstrainSelectedInstOperands,
     /* 318210 */     // GIR_Coverage, 12450,
     /* 318210 */     GIR_EraseRootFromParent_Done,
     /* 318211 */   // Label 5449: @318211
     /* 318211 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(318346), // Rule ID 12451 //
     /* 318216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 318219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 318223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318251 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318263 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318268 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318273 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318277 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318293 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318300 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 318303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 318310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 318315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 318320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 318325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318344 */     GIR_RootConstrainSelectedInstOperands,
     /* 318345 */     // GIR_Coverage, 12451,
     /* 318345 */     GIR_EraseRootFromParent_Done,
     /* 318346 */   // Label 5450: @318346
     /* 318346 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(318481), // Rule ID 12454 //
     /* 318351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 318354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 318358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318394 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318398 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318403 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318403 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318412 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318428 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318435 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 318438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 318445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 318450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 318455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 318460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318479 */     GIR_RootConstrainSelectedInstOperands,
     /* 318480 */     // GIR_Coverage, 12454,
     /* 318480 */     GIR_EraseRootFromParent_Done,
     /* 318481 */   // Label 5451: @318481
     /* 318481 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(318616), // Rule ID 12455 //
     /* 318486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 318489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 318493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318521 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318525 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318529 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318533 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318533 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318538 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318538 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318543 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318547 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318549 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318563 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318570 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 318573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 318580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 318585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 318590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 318595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318614 */     GIR_RootConstrainSelectedInstOperands,
     /* 318615 */     // GIR_Coverage, 12455,
     /* 318615 */     GIR_EraseRootFromParent_Done,
     /* 318616 */   // Label 5452: @318616
     /* 318616 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(318751), // Rule ID 12930 //
     /* 318621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 318624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 318628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318660 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318664 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318668 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318668 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318673 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318678 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318684 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318705 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 318708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 318715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 318720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 318725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 318730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318749 */     GIR_RootConstrainSelectedInstOperands,
     /* 318750 */     // GIR_Coverage, 12930,
     /* 318750 */     GIR_EraseRootFromParent_Done,
     /* 318751 */   // Label 5453: @318751
     /* 318751 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(318886), // Rule ID 12931 //
     /* 318756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 318759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 318763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318791 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318803 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318808 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318817 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318833 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318840 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 318843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 318850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 318855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 318860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 318865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 318870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 318875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 318884 */     GIR_RootConstrainSelectedInstOperands,
     /* 318885 */     // GIR_Coverage, 12931,
     /* 318885 */     GIR_EraseRootFromParent_Done,
     /* 318886 */   // Label 5454: @318886
     /* 318886 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(319021), // Rule ID 12934 //
     /* 318891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 318894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 318898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 318914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 318918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 318922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 318926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 318930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 318934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 318938 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 318938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 318943 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 318943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 318948 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 318952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 318954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318968 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 318975 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 318975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 318978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 318980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 318985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 318990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 318995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 319000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319019 */     GIR_RootConstrainSelectedInstOperands,
     /* 319020 */     // GIR_Coverage, 12934,
     /* 319020 */     GIR_EraseRootFromParent_Done,
     /* 319021 */   // Label 5455: @319021
     /* 319021 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(319156), // Rule ID 12935 //
     /* 319026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 319029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 319033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 319069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 319073 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319078 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319087 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319096 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319110 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 319113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 319120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 319125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 319130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 319135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319154 */     GIR_RootConstrainSelectedInstOperands,
     /* 319155 */     // GIR_Coverage, 12935,
     /* 319155 */     GIR_EraseRootFromParent_Done,
     /* 319156 */   // Label 5456: @319156
     /* 319156 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(319291), // Rule ID 13410 //
     /* 319161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 319164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319196 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319200 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 319204 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 319208 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319208 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319213 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319213 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319218 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319231 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319238 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319245 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 319248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 319255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 319260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 319265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 319270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319289 */     GIR_RootConstrainSelectedInstOperands,
     /* 319290 */     // GIR_Coverage, 13410,
     /* 319290 */     GIR_EraseRootFromParent_Done,
     /* 319291 */   // Label 5457: @319291
     /* 319291 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(319426), // Rule ID 13411 //
     /* 319296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 319299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319331 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 319339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 319343 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319343 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319348 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319348 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319353 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319357 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319373 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319380 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 319383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 319390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 319395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 319400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 319405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319424 */     GIR_RootConstrainSelectedInstOperands,
     /* 319425 */     // GIR_Coverage, 13411,
     /* 319425 */     GIR_EraseRootFromParent_Done,
     /* 319426 */   // Label 5458: @319426
     /* 319426 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(319561), // Rule ID 13414 //
     /* 319431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 319434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319466 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 319474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 319478 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319478 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319483 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319492 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319508 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319515 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 319518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 319525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 319530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 319535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 319540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319559 */     GIR_RootConstrainSelectedInstOperands,
     /* 319560 */     // GIR_Coverage, 13414,
     /* 319560 */     GIR_EraseRootFromParent_Done,
     /* 319561 */   // Label 5459: @319561
     /* 319561 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(319696), // Rule ID 13415 //
     /* 319566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 319569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319601 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319605 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 319609 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 319613 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319613 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319618 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319618 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319623 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319627 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319643 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319650 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 319653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 319660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 319665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 319670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 319675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319694 */     GIR_RootConstrainSelectedInstOperands,
     /* 319695 */     // GIR_Coverage, 13415,
     /* 319695 */     GIR_EraseRootFromParent_Done,
     /* 319696 */   // Label 5460: @319696
     /* 319696 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(319831), // Rule ID 7848 //
     /* 319701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 319704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 319744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 319748 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319753 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319758 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319771 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319778 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319785 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 319788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 319795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 319800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 319805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 319810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319829 */     GIR_RootConstrainSelectedInstOperands,
     /* 319830 */     // GIR_Coverage, 7848,
     /* 319830 */     GIR_EraseRootFromParent_Done,
     /* 319831 */   // Label 5461: @319831
     /* 319831 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(319966), // Rule ID 7880 //
     /* 319836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 319839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 319843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 319871 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 319875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 319879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 319883 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 319883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 319888 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 319888 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 319893 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 319897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 319899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319913 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 319920 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 319920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 319923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 319925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 319930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 319935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 319940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 319945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 319950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 319955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 319964 */     GIR_RootConstrainSelectedInstOperands,
     /* 319965 */     // GIR_Coverage, 7880,
     /* 319965 */     GIR_EraseRootFromParent_Done,
     /* 319966 */   // Label 5462: @319966
     /* 319966 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(320101), // Rule ID 7912 //
     /* 319971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 319974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 319978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 319986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 319990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 319994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 319998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320006 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320018 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320018 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320023 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320023 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320028 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320055 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 320058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 320065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 320070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 320075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 320080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320099 */     GIR_RootConstrainSelectedInstOperands,
     /* 320100 */     // GIR_Coverage, 7912,
     /* 320100 */     GIR_EraseRootFromParent_Done,
     /* 320101 */   // Label 5463: @320101
     /* 320101 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(320236), // Rule ID 12464 //
     /* 320106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 320109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 320113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320145 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320149 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320153 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320153 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320158 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320158 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320163 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320183 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320190 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 320193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 320200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 320205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 320210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 320215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320234 */     GIR_RootConstrainSelectedInstOperands,
     /* 320235 */     // GIR_Coverage, 12464,
     /* 320235 */     GIR_EraseRootFromParent_Done,
     /* 320236 */   // Label 5464: @320236
     /* 320236 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(320371), // Rule ID 12467 //
     /* 320241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 320244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 320248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320288 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320293 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320325 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 320328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 320335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 320340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 320345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 320350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320369 */     GIR_RootConstrainSelectedInstOperands,
     /* 320370 */     // GIR_Coverage, 12467,
     /* 320370 */     GIR_EraseRootFromParent_Done,
     /* 320371 */   // Label 5465: @320371
     /* 320371 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(320506), // Rule ID 12468 //
     /* 320376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 320379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 320383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320423 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320428 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320433 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320453 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320460 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 320463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 320470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 320475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 320480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 320485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320504 */     GIR_RootConstrainSelectedInstOperands,
     /* 320505 */     // GIR_Coverage, 12468,
     /* 320505 */     GIR_EraseRootFromParent_Done,
     /* 320506 */   // Label 5466: @320506
     /* 320506 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(320641), // Rule ID 12944 //
     /* 320511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 320514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 320518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320558 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320558 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320563 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320563 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320568 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320588 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320595 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 320598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 320605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 320610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 320615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 320620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320639 */     GIR_RootConstrainSelectedInstOperands,
     /* 320640 */     // GIR_Coverage, 12944,
     /* 320640 */     GIR_EraseRootFromParent_Done,
     /* 320641 */   // Label 5467: @320641
     /* 320641 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(320776), // Rule ID 12947 //
     /* 320646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 320649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 320653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320681 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320693 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320698 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320698 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320703 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320716 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320723 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320730 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 320733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 320740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 320745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 320750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 320755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320774 */     GIR_RootConstrainSelectedInstOperands,
     /* 320775 */     // GIR_Coverage, 12947,
     /* 320775 */     GIR_EraseRootFromParent_Done,
     /* 320776 */   // Label 5468: @320776
     /* 320776 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(320911), // Rule ID 12948 //
     /* 320781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 320784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 320788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320816 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320828 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320828 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320833 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320833 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320838 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320842 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320858 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320865 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 320865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 320868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 320870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 320875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 320880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 320885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 320890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 320895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 320900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 320909 */     GIR_RootConstrainSelectedInstOperands,
     /* 320910 */     // GIR_Coverage, 12948,
     /* 320910 */     GIR_EraseRootFromParent_Done,
     /* 320911 */   // Label 5469: @320911
     /* 320911 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(321046), // Rule ID 13424 //
     /* 320916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 320919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 320923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 320935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 320939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 320943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 320947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 320951 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 320955 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 320959 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 320963 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 320963 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 320968 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 320968 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 320973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 320977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 320979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 320993 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321000 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 321003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 321010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 321015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 321020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 321025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321044 */     GIR_RootConstrainSelectedInstOperands,
     /* 321045 */     // GIR_Coverage, 13424,
     /* 321045 */     GIR_EraseRootFromParent_Done,
     /* 321046 */   // Label 5470: @321046
     /* 321046 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(321181), // Rule ID 13427 //
     /* 321051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 321054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 321098 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321103 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321103 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321112 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321128 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321135 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 321138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 321145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 321150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 321155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 321160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321179 */     GIR_RootConstrainSelectedInstOperands,
     /* 321180 */     // GIR_Coverage, 13427,
     /* 321180 */     GIR_EraseRootFromParent_Done,
     /* 321181 */   // Label 5471: @321181
     /* 321181 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(321316), // Rule ID 13428 //
     /* 321186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 321189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 321233 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321238 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321238 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321256 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321263 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321270 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 321273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 321280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 321285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 321290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 321295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321314 */     GIR_RootConstrainSelectedInstOperands,
     /* 321315 */     // GIR_Coverage, 13428,
     /* 321315 */     GIR_EraseRootFromParent_Done,
     /* 321316 */   // Label 5472: @321316
     /* 321316 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(321451), // Rule ID 7847 //
     /* 321321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 321324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 321368 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321373 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321373 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321382 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321405 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 321408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 321415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 321420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 321425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 321430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321449 */     GIR_RootConstrainSelectedInstOperands,
     /* 321450 */     // GIR_Coverage, 7847,
     /* 321450 */     GIR_EraseRootFromParent_Done,
     /* 321451 */   // Label 5473: @321451
     /* 321451 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(321586), // Rule ID 7879 //
     /* 321456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 321459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 321463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321491 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 321503 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321503 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321508 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321508 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321533 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321540 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 321543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 321550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 321555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 321560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 321565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321584 */     GIR_RootConstrainSelectedInstOperands,
     /* 321585 */     // GIR_Coverage, 7879,
     /* 321585 */     GIR_EraseRootFromParent_Done,
     /* 321586 */   // Label 5474: @321586
     /* 321586 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(321721), // Rule ID 7911 //
     /* 321591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 321594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 321638 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321638 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321643 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321648 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321652 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321668 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321675 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 321678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 321685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 321690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 321695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 321700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321719 */     GIR_RootConstrainSelectedInstOperands,
     /* 321720 */     // GIR_Coverage, 7911,
     /* 321720 */     GIR_EraseRootFromParent_Done,
     /* 321721 */   // Label 5475: @321721
     /* 321721 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(321856), // Rule ID 12449 //
     /* 321726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 321729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321761 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 321773 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321778 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321783 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321803 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321810 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 321813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 321820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 321825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 321830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 321835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321854 */     GIR_RootConstrainSelectedInstOperands,
     /* 321855 */     // GIR_Coverage, 12449,
     /* 321855 */     GIR_EraseRootFromParent_Done,
     /* 321856 */   // Label 5476: @321856
     /* 321856 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(321991), // Rule ID 12452 //
     /* 321861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 321864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 321868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 321888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 321892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 321896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 321900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 321904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 321908 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 321908 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 321913 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 321913 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 321918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 321922 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321938 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 321945 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 321945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 321948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 321950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 321955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 321960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 321965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 321970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 321975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 321980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 321989 */     GIR_RootConstrainSelectedInstOperands,
     /* 321990 */     // GIR_Coverage, 12452,
     /* 321990 */     GIR_EraseRootFromParent_Done,
     /* 321991 */   // Label 5477: @321991
     /* 321991 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(322126), // Rule ID 12453 //
     /* 321996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 321999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 322003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322031 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322035 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322039 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322043 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322048 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322048 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322073 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322080 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 322083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 322090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 322095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 322100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 322105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322124 */     GIR_RootConstrainSelectedInstOperands,
     /* 322125 */     // GIR_Coverage, 12453,
     /* 322125 */     GIR_EraseRootFromParent_Done,
     /* 322126 */   // Label 5478: @322126
     /* 322126 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(322261), // Rule ID 12929 //
     /* 322131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 322134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 322138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322170 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322174 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322178 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322183 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322192 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322208 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322215 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 322218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 322225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 322230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 322235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 322240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322259 */     GIR_RootConstrainSelectedInstOperands,
     /* 322260 */     // GIR_Coverage, 12929,
     /* 322260 */     GIR_EraseRootFromParent_Done,
     /* 322261 */   // Label 5479: @322261
     /* 322261 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(322396), // Rule ID 12932 //
     /* 322266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 322269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 322273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322301 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322313 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322313 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322318 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322318 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322323 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322327 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322343 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322350 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 322353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 322360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 322365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 322370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 322375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322394 */     GIR_RootConstrainSelectedInstOperands,
     /* 322395 */     // GIR_Coverage, 12932,
     /* 322395 */     GIR_EraseRootFromParent_Done,
     /* 322396 */   // Label 5480: @322396
     /* 322396 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(322531), // Rule ID 12933 //
     /* 322401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 322404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 322408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322436 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322448 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322448 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322453 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322458 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322464 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322485 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 322488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 322495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 322500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 322505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 322510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322529 */     GIR_RootConstrainSelectedInstOperands,
     /* 322530 */     // GIR_Coverage, 12933,
     /* 322530 */     GIR_EraseRootFromParent_Done,
     /* 322531 */   // Label 5481: @322531
     /* 322531 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(322666), // Rule ID 13409 //
     /* 322536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 322539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 322543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322583 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322588 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322593 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322613 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322620 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 322623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 322630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 322635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 322640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 322645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322664 */     GIR_RootConstrainSelectedInstOperands,
     /* 322665 */     // GIR_Coverage, 13409,
     /* 322665 */     GIR_EraseRootFromParent_Done,
     /* 322666 */   // Label 5482: @322666
     /* 322666 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(322801), // Rule ID 13412 //
     /* 322671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 322674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 322678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322706 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322718 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322723 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322732 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322755 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 322758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 322765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 322770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 322775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 322780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322799 */     GIR_RootConstrainSelectedInstOperands,
     /* 322800 */     // GIR_Coverage, 13412,
     /* 322800 */     GIR_EraseRootFromParent_Done,
     /* 322801 */   // Label 5483: @322801
     /* 322801 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(322936), // Rule ID 13413 //
     /* 322806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 322809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 322813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322841 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322845 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 322849 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 322853 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322853 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322858 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322858 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322863 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 322867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 322890 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 322890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 322893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 322895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 322900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 322905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 322910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 322915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 322920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 322925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322934 */     GIR_RootConstrainSelectedInstOperands,
     /* 322935 */     // GIR_Coverage, 13413,
     /* 322935 */     GIR_EraseRootFromParent_Done,
     /* 322936 */   // Label 5484: @322936
     /* 322936 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(323071), // Rule ID 12435 //
     /* 322941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 322944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 322948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 322956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 322972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 322976 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 322980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 322984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 322988 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 322988 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 322993 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 322993 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 322998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323018 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323025 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 323028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 323035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 323040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 323045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 323050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323069 */     GIR_RootConstrainSelectedInstOperands,
     /* 323070 */     // GIR_Coverage, 12435,
     /* 323070 */     GIR_EraseRootFromParent_Done,
     /* 323071 */   // Label 5485: @323071
     /* 323071 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(323206), // Rule ID 12436 //
     /* 323076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 323079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 323083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323111 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323123 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323123 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323128 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323128 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323137 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323153 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323160 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 323163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 323170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 323175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 323180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 323185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323204 */     GIR_RootConstrainSelectedInstOperands,
     /* 323205 */     // GIR_Coverage, 12436,
     /* 323205 */     GIR_EraseRootFromParent_Done,
     /* 323206 */   // Label 5486: @323206
     /* 323206 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(323341), // Rule ID 12439 //
     /* 323211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 323214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 323218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323246 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323250 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323258 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323263 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323268 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323288 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323295 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 323298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 323305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 323310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 323315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 323320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323339 */     GIR_RootConstrainSelectedInstOperands,
     /* 323340 */     // GIR_Coverage, 12439,
     /* 323340 */     GIR_EraseRootFromParent_Done,
     /* 323341 */   // Label 5487: @323341
     /* 323341 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(323476), // Rule ID 12440 //
     /* 323346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 323349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 323353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323393 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323398 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323430 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 323433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 323440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 323445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 323450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 323455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323474 */     GIR_RootConstrainSelectedInstOperands,
     /* 323475 */     // GIR_Coverage, 12440,
     /* 323475 */     GIR_EraseRootFromParent_Done,
     /* 323476 */   // Label 5488: @323476
     /* 323476 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(323611), // Rule ID 12915 //
     /* 323481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 323484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 323488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323516 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323528 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323533 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323533 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323558 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323565 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 323568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 323575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 323580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 323585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 323590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323609 */     GIR_RootConstrainSelectedInstOperands,
     /* 323610 */     // GIR_Coverage, 12915,
     /* 323610 */     GIR_EraseRootFromParent_Done,
     /* 323611 */   // Label 5489: @323611
     /* 323611 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(323746), // Rule ID 12916 //
     /* 323616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 323619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 323623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323651 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323663 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323668 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323668 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323673 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323679 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323700 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 323703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 323710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 323715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 323720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 323725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323744 */     GIR_RootConstrainSelectedInstOperands,
     /* 323745 */     // GIR_Coverage, 12916,
     /* 323745 */     GIR_EraseRootFromParent_Done,
     /* 323746 */   // Label 5490: @323746
     /* 323746 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(323881), // Rule ID 12919 //
     /* 323751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 323754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 323758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323790 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323794 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323798 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323798 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323803 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323808 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323835 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 323838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 323845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 323850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 323855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 323860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 323865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 323870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323879 */     GIR_RootConstrainSelectedInstOperands,
     /* 323880 */     // GIR_Coverage, 12919,
     /* 323880 */     GIR_EraseRootFromParent_Done,
     /* 323881 */   // Label 5491: @323881
     /* 323881 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(324016), // Rule ID 12920 //
     /* 323886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 323889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 323893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 323901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 323917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 323921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 323925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 323929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 323933 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 323933 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 323938 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 323938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 323943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 323947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 323949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323963 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 323970 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 323970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 323973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 323975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 323980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 323985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 323990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 323995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324014 */     GIR_RootConstrainSelectedInstOperands,
     /* 324015 */     // GIR_Coverage, 12920,
     /* 324015 */     GIR_EraseRootFromParent_Done,
     /* 324016 */   // Label 5492: @324016
     /* 324016 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(324151), // Rule ID 13395 //
     /* 324021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 324024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324056 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 324068 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324073 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324078 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324105 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 324108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 324115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 324120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 324125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 324130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324149 */     GIR_RootConstrainSelectedInstOperands,
     /* 324150 */     // GIR_Coverage, 13395,
     /* 324150 */     GIR_EraseRootFromParent_Done,
     /* 324151 */   // Label 5493: @324151
     /* 324151 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(324286), // Rule ID 13396 //
     /* 324156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 324159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324191 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 324203 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324208 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324208 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324213 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324226 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324233 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324240 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 324243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 324250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 324255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 324260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 324265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324284 */     GIR_RootConstrainSelectedInstOperands,
     /* 324285 */     // GIR_Coverage, 13396,
     /* 324285 */     GIR_EraseRootFromParent_Done,
     /* 324286 */   // Label 5494: @324286
     /* 324286 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(324421), // Rule ID 13399 //
     /* 324291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 324294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324326 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 324338 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324343 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324343 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324352 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324368 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324375 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 324378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 324385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 324390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 324395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 324400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324419 */     GIR_RootConstrainSelectedInstOperands,
     /* 324420 */     // GIR_Coverage, 13399,
     /* 324420 */     GIR_EraseRootFromParent_Done,
     /* 324421 */   // Label 5495: @324421
     /* 324421 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(324556), // Rule ID 13400 //
     /* 324426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 324429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 324473 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324473 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324478 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324478 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324483 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324487 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324510 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 324513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 324520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 324525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 324530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 324535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324554 */     GIR_RootConstrainSelectedInstOperands,
     /* 324555 */     // GIR_Coverage, 13400,
     /* 324555 */     GIR_EraseRootFromParent_Done,
     /* 324556 */   // Label 5496: @324556
     /* 324556 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(324691), // Rule ID 12420 //
     /* 324561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 324564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324600 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324604 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 324608 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324608 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324613 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324613 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324618 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324638 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324645 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 324648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 324655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 324660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 324665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 324670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324689 */     GIR_RootConstrainSelectedInstOperands,
     /* 324690 */     // GIR_Coverage, 12420,
     /* 324690 */     GIR_EraseRootFromParent_Done,
     /* 324691 */   // Label 5497: @324691
     /* 324691 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(324826), // Rule ID 12421 //
     /* 324696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 324699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 324743 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324748 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324757 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324780 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 324783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 324790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 324795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 324800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 324805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324824 */     GIR_RootConstrainSelectedInstOperands,
     /* 324825 */     // GIR_Coverage, 12421,
     /* 324825 */     GIR_EraseRootFromParent_Done,
     /* 324826 */   // Label 5498: @324826
     /* 324826 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(324961), // Rule ID 12424 //
     /* 324831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 324834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 324866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 324870 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 324874 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 324878 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 324878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 324883 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 324883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 324888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 324892 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 324915 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 324915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 324918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 324920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 324925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 324930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 324935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 324940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 324945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 324950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324959 */     GIR_RootConstrainSelectedInstOperands,
     /* 324960 */     // GIR_Coverage, 12424,
     /* 324960 */     GIR_EraseRootFromParent_Done,
     /* 324961 */   // Label 5499: @324961
     /* 324961 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(325096), // Rule ID 12425 //
     /* 324966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 324969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 324973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 324981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 324985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 324989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 324997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325001 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325013 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325018 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325018 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325023 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325027 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325050 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 325053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 325060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 325065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 325070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 325075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325094 */     GIR_RootConstrainSelectedInstOperands,
     /* 325095 */     // GIR_Coverage, 12425,
     /* 325095 */     GIR_EraseRootFromParent_Done,
     /* 325096 */   // Label 5500: @325096
     /* 325096 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(325231), // Rule ID 12900 //
     /* 325101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 325104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 325108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325136 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325140 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325148 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325148 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325153 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325153 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325158 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325185 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 325188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 325195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 325200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 325205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 325210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325229 */     GIR_RootConstrainSelectedInstOperands,
     /* 325230 */     // GIR_Coverage, 12900,
     /* 325230 */     GIR_EraseRootFromParent_Done,
     /* 325231 */   // Label 5501: @325231
     /* 325231 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(325366), // Rule ID 12901 //
     /* 325236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 325239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 325243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325283 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325283 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325288 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325313 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325320 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 325323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 325330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 325335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 325340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 325345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325364 */     GIR_RootConstrainSelectedInstOperands,
     /* 325365 */     // GIR_Coverage, 12901,
     /* 325365 */     GIR_EraseRootFromParent_Done,
     /* 325366 */   // Label 5502: @325366
     /* 325366 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(325501), // Rule ID 12904 //
     /* 325371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 325374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 325378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325410 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325414 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325418 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325418 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325423 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325455 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 325458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 325465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 325470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 325475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 325480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325499 */     GIR_RootConstrainSelectedInstOperands,
     /* 325500 */     // GIR_Coverage, 12904,
     /* 325500 */     GIR_EraseRootFromParent_Done,
     /* 325501 */   // Label 5503: @325501
     /* 325501 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(325636), // Rule ID 12905 //
     /* 325506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 325509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 325513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325553 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325553 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325558 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325558 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325590 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 325593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 325600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 325605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 325610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 325615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325634 */     GIR_RootConstrainSelectedInstOperands,
     /* 325635 */     // GIR_Coverage, 12905,
     /* 325635 */     GIR_EraseRootFromParent_Done,
     /* 325636 */   // Label 5504: @325636
     /* 325636 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(325771), // Rule ID 13380 //
     /* 325641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 325644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 325648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325676 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325680 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325684 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325688 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325693 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325698 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325702 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325711 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325718 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325725 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 325728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 325735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 325740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 325745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 325750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325769 */     GIR_RootConstrainSelectedInstOperands,
     /* 325770 */     // GIR_Coverage, 13380,
     /* 325770 */     GIR_EraseRootFromParent_Done,
     /* 325771 */   // Label 5505: @325771
     /* 325771 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(325906), // Rule ID 13381 //
     /* 325776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 325779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 325783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325815 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325819 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325823 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325828 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325828 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325833 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325837 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325860 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 325863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 325865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 325870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 325875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 325880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 325885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 325890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 325895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 325904 */     GIR_RootConstrainSelectedInstOperands,
     /* 325905 */     // GIR_Coverage, 13381,
     /* 325905 */     GIR_EraseRootFromParent_Done,
     /* 325906 */   // Label 5506: @325906
     /* 325906 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(326041), // Rule ID 13384 //
     /* 325911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 325914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 325918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 325926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 325930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 325934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 325942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 325946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 325950 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 325954 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 325958 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 325958 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 325963 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 325963 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 325968 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 325972 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 325995 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 325995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 325998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 326005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 326010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 326015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 326020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326039 */     GIR_RootConstrainSelectedInstOperands,
     /* 326040 */     // GIR_Coverage, 13384,
     /* 326040 */     GIR_EraseRootFromParent_Done,
     /* 326041 */   // Label 5507: @326041
     /* 326041 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(326176), // Rule ID 13385 //
     /* 326046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 326049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326081 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326085 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 326089 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 326093 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326093 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326098 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326130 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 326133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 326140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 326145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 326150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 326155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326174 */     GIR_RootConstrainSelectedInstOperands,
     /* 326175 */     // GIR_Coverage, 13385,
     /* 326175 */     GIR_EraseRootFromParent_Done,
     /* 326176 */   // Label 5508: @326176
     /* 326176 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(326311), // Rule ID 7846 //
     /* 326181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 326184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326216 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326228 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326233 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326238 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326265 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 326268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 326275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 326280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 326285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 326290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326309 */     GIR_RootConstrainSelectedInstOperands,
     /* 326310 */     // GIR_Coverage, 7846,
     /* 326310 */     GIR_EraseRootFromParent_Done,
     /* 326311 */   // Label 5509: @326311
     /* 326311 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(326446), // Rule ID 7878 //
     /* 326316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 326319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 326323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326351 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326363 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326368 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326400 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 326403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 326410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 326415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 326420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 326425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326444 */     GIR_RootConstrainSelectedInstOperands,
     /* 326445 */     // GIR_Coverage, 7878,
     /* 326445 */     GIR_EraseRootFromParent_Done,
     /* 326446 */   // Label 5510: @326446
     /* 326446 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(326581), // Rule ID 7910 //
     /* 326451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 326454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326486 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326498 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326498 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326503 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326503 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326508 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326535 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 326538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 326545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 326550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 326555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 326560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326579 */     GIR_RootConstrainSelectedInstOperands,
     /* 326580 */     // GIR_Coverage, 7910,
     /* 326580 */     GIR_EraseRootFromParent_Done,
     /* 326581 */   // Label 5511: @326581
     /* 326581 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(326716), // Rule ID 12434 //
     /* 326586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 326589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326633 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326633 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326638 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326638 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326643 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326656 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326663 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326670 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 326673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 326680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 326685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 326690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 326695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326714 */     GIR_RootConstrainSelectedInstOperands,
     /* 326715 */     // GIR_Coverage, 12434,
     /* 326715 */     GIR_EraseRootFromParent_Done,
     /* 326716 */   // Label 5512: @326716
     /* 326716 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(326851), // Rule ID 12437 //
     /* 326721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 326724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326756 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326768 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326768 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326773 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326778 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326805 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 326808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 326815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 326820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 326825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 326830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326849 */     GIR_RootConstrainSelectedInstOperands,
     /* 326850 */     // GIR_Coverage, 12437,
     /* 326850 */     GIR_EraseRootFromParent_Done,
     /* 326851 */   // Label 5513: @326851
     /* 326851 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(326986), // Rule ID 12438 //
     /* 326856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 326859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 326863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 326871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 326875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 326879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 326887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 326891 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 326895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 326899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 326903 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 326903 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 326908 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 326908 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 326913 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 326917 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 326940 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 326940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 326943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 326945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 326950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 326955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 326960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 326965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 326970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 326975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326984 */     GIR_RootConstrainSelectedInstOperands,
     /* 326985 */     // GIR_Coverage, 12438,
     /* 326985 */     GIR_EraseRootFromParent_Done,
     /* 326986 */   // Label 5514: @326986
     /* 326986 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(327121), // Rule ID 12914 //
     /* 326991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 326994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 326998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327038 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327043 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327075 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 327078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 327085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 327090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 327095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 327100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327119 */     GIR_RootConstrainSelectedInstOperands,
     /* 327120 */     // GIR_Coverage, 12914,
     /* 327120 */     GIR_EraseRootFromParent_Done,
     /* 327121 */   // Label 5515: @327121
     /* 327121 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(327256), // Rule ID 12917 //
     /* 327126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 327129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 327133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327161 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327173 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327178 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327210 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 327213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 327220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 327225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 327230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 327235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327254 */     GIR_RootConstrainSelectedInstOperands,
     /* 327255 */     // GIR_Coverage, 12917,
     /* 327255 */     GIR_EraseRootFromParent_Done,
     /* 327256 */   // Label 5516: @327256
     /* 327256 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(327391), // Rule ID 12918 //
     /* 327261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 327264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 327268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327308 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327313 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327313 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327318 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327338 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327345 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 327348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 327355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 327360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 327365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 327370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327389 */     GIR_RootConstrainSelectedInstOperands,
     /* 327390 */     // GIR_Coverage, 12918,
     /* 327390 */     GIR_EraseRootFromParent_Done,
     /* 327391 */   // Label 5517: @327391
     /* 327391 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(327526), // Rule ID 13394 //
     /* 327396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 327399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 327403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327431 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327435 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327439 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327443 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327443 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327448 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327448 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327453 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327480 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 327483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 327490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 327495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 327500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 327505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327524 */     GIR_RootConstrainSelectedInstOperands,
     /* 327525 */     // GIR_Coverage, 13394,
     /* 327525 */     GIR_EraseRootFromParent_Done,
     /* 327526 */   // Label 5518: @327526
     /* 327526 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(327661), // Rule ID 13397 //
     /* 327531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 327534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 327538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327578 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327578 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327583 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327592 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327608 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327615 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 327618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 327625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 327630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 327635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 327640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327659 */     GIR_RootConstrainSelectedInstOperands,
     /* 327660 */     // GIR_Coverage, 13397,
     /* 327660 */     GIR_EraseRootFromParent_Done,
     /* 327661 */   // Label 5519: @327661
     /* 327661 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(327796), // Rule ID 13398 //
     /* 327666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 327669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 327673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327701 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 327713 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327718 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327750 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 327753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 327760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 327765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 327770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 327775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327794 */     GIR_RootConstrainSelectedInstOperands,
     /* 327795 */     // GIR_Coverage, 13398,
     /* 327795 */     GIR_EraseRootFromParent_Done,
     /* 327796 */   // Label 5520: @327796
     /* 327796 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(327931), // Rule ID 7845 //
     /* 327801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 327804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 327808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327836 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 327848 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327853 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327853 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 327885 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 327885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 327888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 327890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 327895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 327900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 327905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 327910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 327915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 327920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327929 */     GIR_RootConstrainSelectedInstOperands,
     /* 327930 */     // GIR_Coverage, 7845,
     /* 327930 */     GIR_EraseRootFromParent_Done,
     /* 327931 */   // Label 5521: @327931
     /* 327931 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(328066), // Rule ID 7877 //
     /* 327936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 327939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 327943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 327951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 327955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 327959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 327967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 327971 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 327975 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 327979 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 327983 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 327983 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 327988 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 327988 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 327993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 327997 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328013 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328020 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 328023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 328030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 328035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 328040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 328045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328064 */     GIR_RootConstrainSelectedInstOperands,
     /* 328065 */     // GIR_Coverage, 7877,
     /* 328065 */     GIR_EraseRootFromParent_Done,
     /* 328066 */   // Label 5522: @328066
     /* 328066 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(328201), // Rule ID 7909 //
     /* 328071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 328074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 328078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328106 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328118 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328118 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328123 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328123 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328128 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328132 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328155 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 328158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 328165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 328170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 328175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 328180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328199 */     GIR_RootConstrainSelectedInstOperands,
     /* 328200 */     // GIR_Coverage, 7909,
     /* 328200 */     GIR_EraseRootFromParent_Done,
     /* 328201 */   // Label 5523: @328201
     /* 328201 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(328336), // Rule ID 12419 //
     /* 328206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 328209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 328213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328245 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328249 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328253 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328253 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328258 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328263 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328267 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328283 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328290 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 328293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 328300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 328305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 328310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 328315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328334 */     GIR_RootConstrainSelectedInstOperands,
     /* 328335 */     // GIR_Coverage, 12419,
     /* 328335 */     GIR_EraseRootFromParent_Done,
     /* 328336 */   // Label 5524: @328336
     /* 328336 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(328471), // Rule ID 12422 //
     /* 328341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 328344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 328348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328388 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328393 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328402 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328425 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 328428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 328435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 328440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 328445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 328450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328469 */     GIR_RootConstrainSelectedInstOperands,
     /* 328470 */     // GIR_Coverage, 12422,
     /* 328470 */     GIR_EraseRootFromParent_Done,
     /* 328471 */   // Label 5525: @328471
     /* 328471 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(328606), // Rule ID 12423 //
     /* 328476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 328479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 328483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328511 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328515 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328519 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328523 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328528 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328537 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328553 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328560 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 328563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 328570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 328575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 328580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 328585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328604 */     GIR_RootConstrainSelectedInstOperands,
     /* 328605 */     // GIR_Coverage, 12423,
     /* 328605 */     GIR_EraseRootFromParent_Done,
     /* 328606 */   // Label 5526: @328606
     /* 328606 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(328741), // Rule ID 12899 //
     /* 328611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 328614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 328618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328646 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328650 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328654 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328658 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328663 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328668 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328672 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328695 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 328698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 328705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 328710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 328715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 328720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328739 */     GIR_RootConstrainSelectedInstOperands,
     /* 328740 */     // GIR_Coverage, 12899,
     /* 328740 */     GIR_EraseRootFromParent_Done,
     /* 328741 */   // Label 5527: @328741
     /* 328741 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(328876), // Rule ID 12902 //
     /* 328746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 328749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 328753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328785 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328789 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328793 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328798 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328798 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328803 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328816 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328823 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328830 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 328833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 328840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 328845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 328850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 328855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 328865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328874 */     GIR_RootConstrainSelectedInstOperands,
     /* 328875 */     // GIR_Coverage, 12902,
     /* 328875 */     GIR_EraseRootFromParent_Done,
     /* 328876 */   // Label 5528: @328876
     /* 328876 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(329011), // Rule ID 12903 //
     /* 328881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 328884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 328888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 328896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 328900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 328904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 328908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 328912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 328916 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 328920 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 328924 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 328928 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 328928 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 328933 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 328933 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 328938 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 328942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328958 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 328965 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 328965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 328968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 328970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 328975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 328980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 328985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 328990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 328995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 329000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329009 */     GIR_RootConstrainSelectedInstOperands,
     /* 329010 */     // GIR_Coverage, 12903,
     /* 329010 */     GIR_EraseRootFromParent_Done,
     /* 329011 */   // Label 5529: @329011
     /* 329011 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(329146), // Rule ID 13379 //
     /* 329016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 329019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 329047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329051 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 329059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 329063 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 329068 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 329073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329077 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329100 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 329103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 329110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 329115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 329120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 329125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 329130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 329135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329144 */     GIR_RootConstrainSelectedInstOperands,
     /* 329145 */     // GIR_Coverage, 13379,
     /* 329145 */     GIR_EraseRootFromParent_Done,
     /* 329146 */   // Label 5530: @329146
     /* 329146 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(329281), // Rule ID 13382 //
     /* 329151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 329154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 329182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329190 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 329194 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 329198 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 329203 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 329208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329212 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329235 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 329238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 329245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 329250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 329255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 329260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 329265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 329270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329279 */     GIR_RootConstrainSelectedInstOperands,
     /* 329280 */     // GIR_Coverage, 13382,
     /* 329280 */     GIR_EraseRootFromParent_Done,
     /* 329281 */   // Label 5531: @329281
     /* 329281 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(329416), // Rule ID 13383 //
     /* 329286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 329289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 329317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329325 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 329329 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 329333 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 329338 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 329343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329356 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329363 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329370 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 329373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 329380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 329385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 329390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 329395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 329400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 329405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329414 */     GIR_RootConstrainSelectedInstOperands,
     /* 329415 */     // GIR_Coverage, 13383,
     /* 329415 */     GIR_EraseRootFromParent_Done,
     /* 329416 */   // Label 5532: @329416
     /* 329416 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(329551), // Rule ID 12475 //
     /* 329421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 329424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 329448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 329452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 329464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329468 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329468 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 329473 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329473 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 329478 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329491 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329505 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 329508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 329515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 329520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 329525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 329530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 329535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 329540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329549 */     GIR_RootConstrainSelectedInstOperands,
     /* 329550 */     // GIR_Coverage, 12475,
     /* 329550 */     GIR_EraseRootFromParent_Done,
     /* 329551 */   // Label 5533: @329551
     /* 329551 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(329686), // Rule ID 12476 //
     /* 329556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 329559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 329583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 329587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 329599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329603 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329603 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 329608 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329608 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 329613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329626 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329633 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329640 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 329643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 329650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 329655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 329660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 329665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 329670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 329675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329684 */     GIR_RootConstrainSelectedInstOperands,
     /* 329685 */     // GIR_Coverage, 12476,
     /* 329685 */     GIR_EraseRootFromParent_Done,
     /* 329686 */   // Label 5534: @329686
     /* 329686 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(329821), // Rule ID 12477 //
     /* 329691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 329694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 329718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 329722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 329734 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329738 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 329743 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 329748 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329754 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329775 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 329778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 329785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 329790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 329795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 329800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 329805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 329810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329819 */     GIR_RootConstrainSelectedInstOperands,
     /* 329820 */     // GIR_Coverage, 12477,
     /* 329820 */     GIR_EraseRootFromParent_Done,
     /* 329821 */   // Label 5535: @329821
     /* 329821 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(329956), // Rule ID 12478 //
     /* 329826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 329829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 329833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 329853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 329857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329861 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 329865 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 329869 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329873 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 329873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 329878 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 329878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 329883 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 329887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329896 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 329910 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 329910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 329913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 329915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 329920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 329925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 329930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 329935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 329940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 329945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329954 */     GIR_RootConstrainSelectedInstOperands,
     /* 329955 */     // GIR_Coverage, 12478,
     /* 329955 */     GIR_EraseRootFromParent_Done,
     /* 329956 */   // Label 5536: @329956
     /* 329956 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(330091), // Rule ID 12955 //
     /* 329961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 329964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 329968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 329976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 329980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 329984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 329988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 329992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 329996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330008 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330013 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330018 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330045 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 330048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 330055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 330060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 330065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 330070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330089 */     GIR_RootConstrainSelectedInstOperands,
     /* 330090 */     // GIR_Coverage, 12955,
     /* 330090 */     GIR_EraseRootFromParent_Done,
     /* 330091 */   // Label 5537: @330091
     /* 330091 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(330226), // Rule ID 12956 //
     /* 330096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 330099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 330103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330131 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330143 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330148 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330148 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330153 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330173 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330180 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 330183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 330190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 330195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 330200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 330205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330224 */     GIR_RootConstrainSelectedInstOperands,
     /* 330225 */     // GIR_Coverage, 12956,
     /* 330225 */     GIR_EraseRootFromParent_Done,
     /* 330226 */   // Label 5538: @330226
     /* 330226 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(330361), // Rule ID 12957 //
     /* 330231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 330234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 330238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330270 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330274 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330278 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330278 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330283 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330283 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330288 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330301 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330308 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330315 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 330318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 330325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 330330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 330335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 330340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330359 */     GIR_RootConstrainSelectedInstOperands,
     /* 330360 */     // GIR_Coverage, 12957,
     /* 330360 */     GIR_EraseRootFromParent_Done,
     /* 330361 */   // Label 5539: @330361
     /* 330361 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(330496), // Rule ID 12958 //
     /* 330366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 330369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 330373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330401 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330413 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330413 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330418 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330418 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330423 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330436 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330443 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330450 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 330453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 330460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 330465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 330470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 330475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330494 */     GIR_RootConstrainSelectedInstOperands,
     /* 330495 */     // GIR_Coverage, 12958,
     /* 330495 */     GIR_EraseRootFromParent_Done,
     /* 330496 */   // Label 5540: @330496
     /* 330496 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(330631), // Rule ID 13435 //
     /* 330501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 330504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 330508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330548 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330548 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330553 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330553 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330571 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330585 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 330588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 330595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 330600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 330605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 330610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330629 */     GIR_RootConstrainSelectedInstOperands,
     /* 330630 */     // GIR_Coverage, 13435,
     /* 330630 */     GIR_EraseRootFromParent_Done,
     /* 330631 */   // Label 5541: @330631
     /* 330631 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(330766), // Rule ID 13436 //
     /* 330636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 330639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 330643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330671 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330683 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330688 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330720 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 330723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 330730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 330735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 330740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 330745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330764 */     GIR_RootConstrainSelectedInstOperands,
     /* 330765 */     // GIR_Coverage, 13436,
     /* 330765 */     GIR_EraseRootFromParent_Done,
     /* 330766 */   // Label 5542: @330766
     /* 330766 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(330901), // Rule ID 13437 //
     /* 330771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 330774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 330778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330818 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330823 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330828 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330848 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330855 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 330858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 330865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 330870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 330875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 330880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 330885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 330890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330899 */     GIR_RootConstrainSelectedInstOperands,
     /* 330900 */     // GIR_Coverage, 13437,
     /* 330900 */     GIR_EraseRootFromParent_Done,
     /* 330901 */   // Label 5543: @330901
     /* 330901 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(331036), // Rule ID 13438 //
     /* 330906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 330909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 330913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 330925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 330929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 330933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 330937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 330941 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 330945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 330949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 330953 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 330953 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 330958 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 330958 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 330963 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 330967 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 330969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330983 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 330990 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 330990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 330993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 330995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 331000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 331005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 331010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 331015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331034 */     GIR_RootConstrainSelectedInstOperands,
     /* 331035 */     // GIR_Coverage, 13438,
     /* 331035 */     GIR_EraseRootFromParent_Done,
     /* 331036 */   // Label 5544: @331036
     /* 331036 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(331171), // Rule ID 12415 //
     /* 331041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 331044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 331048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331076 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331080 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331084 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331088 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331088 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331093 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331093 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331102 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331125 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 331128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 331135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 331140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 331145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 331150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331169 */     GIR_RootConstrainSelectedInstOperands,
     /* 331170 */     // GIR_Coverage, 12415,
     /* 331170 */     GIR_EraseRootFromParent_Done,
     /* 331171 */   // Label 5545: @331171
     /* 331171 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(331306), // Rule ID 12416 //
     /* 331176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 331179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 331183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331223 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331228 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331239 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331246 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331260 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 331263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 331270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 331275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 331280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 331285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331304 */     GIR_RootConstrainSelectedInstOperands,
     /* 331305 */     // GIR_Coverage, 12416,
     /* 331305 */     GIR_EraseRootFromParent_Done,
     /* 331306 */   // Label 5546: @331306
     /* 331306 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(331441), // Rule ID 12417 //
     /* 331311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 331314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 331318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331346 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331358 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331363 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331368 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331395 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 331398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 331405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 331410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 331415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 331420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331439 */     GIR_RootConstrainSelectedInstOperands,
     /* 331440 */     // GIR_Coverage, 12417,
     /* 331440 */     GIR_EraseRootFromParent_Done,
     /* 331441 */   // Label 5547: @331441
     /* 331441 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(331576), // Rule ID 12418 //
     /* 331446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 331449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 331453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331481 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331493 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331498 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331498 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331516 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331530 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 331533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 331540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 331545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 331550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 331555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331574 */     GIR_RootConstrainSelectedInstOperands,
     /* 331575 */     // GIR_Coverage, 12418,
     /* 331575 */     GIR_EraseRootFromParent_Done,
     /* 331576 */   // Label 5548: @331576
     /* 331576 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(331711), // Rule ID 12895 //
     /* 331581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 331584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 331588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331620 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331624 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331628 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331633 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331633 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331658 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331665 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 331668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 331675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 331680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 331685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 331690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331709 */     GIR_RootConstrainSelectedInstOperands,
     /* 331710 */     // GIR_Coverage, 12895,
     /* 331710 */     GIR_EraseRootFromParent_Done,
     /* 331711 */   // Label 5549: @331711
     /* 331711 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(331846), // Rule ID 12896 //
     /* 331716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 331719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 331723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331763 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331763 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331768 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331768 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331779 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331786 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331800 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 331803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 331810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 331815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 331820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 331825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331844 */     GIR_RootConstrainSelectedInstOperands,
     /* 331845 */     // GIR_Coverage, 12896,
     /* 331845 */     GIR_EraseRootFromParent_Done,
     /* 331846 */   // Label 5550: @331846
     /* 331846 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(331981), // Rule ID 12897 //
     /* 331851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 331854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 331858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 331866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 331870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 331874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 331882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 331886 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 331890 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 331894 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 331898 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 331898 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 331903 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 331903 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 331908 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 331912 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331921 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 331935 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 331935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 331938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 331940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 331945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 331950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 331955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 331960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 331965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 331970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331979 */     GIR_RootConstrainSelectedInstOperands,
     /* 331980 */     // GIR_Coverage, 12897,
     /* 331980 */     GIR_EraseRootFromParent_Done,
     /* 331981 */   // Label 5551: @331981
     /* 331981 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(332116), // Rule ID 12898 //
     /* 331986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 331989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 331993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 332017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 332033 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332038 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332043 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332047 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332070 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 332073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 332080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 332085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 332090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 332095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332114 */     GIR_RootConstrainSelectedInstOperands,
     /* 332115 */     // GIR_Coverage, 12898,
     /* 332115 */     GIR_EraseRootFromParent_Done,
     /* 332116 */   // Label 5552: @332116
     /* 332116 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(332251), // Rule ID 13375 //
     /* 332121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 332124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 332152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332156 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332160 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332164 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 332168 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332173 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332182 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332191 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332205 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 332208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 332215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 332220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 332225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 332230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332249 */     GIR_RootConstrainSelectedInstOperands,
     /* 332250 */     // GIR_Coverage, 13375,
     /* 332250 */     GIR_EraseRootFromParent_Done,
     /* 332251 */   // Label 5553: @332251
     /* 332251 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(332386), // Rule ID 13376 //
     /* 332256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 332259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 332287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 332303 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332308 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332317 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332319 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332340 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 332343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 332350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 332355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 332360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 332365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332384 */     GIR_RootConstrainSelectedInstOperands,
     /* 332385 */     // GIR_Coverage, 13376,
     /* 332385 */     GIR_EraseRootFromParent_Done,
     /* 332386 */   // Label 5554: @332386
     /* 332386 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(332521), // Rule ID 13377 //
     /* 332391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 332394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332410 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 332422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332426 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 332438 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332438 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332443 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332443 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332448 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332452 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332454 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332461 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332468 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332475 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 332478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 332485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 332490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 332495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 332500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332519 */     GIR_RootConstrainSelectedInstOperands,
     /* 332520 */     // GIR_Coverage, 13377,
     /* 332520 */     GIR_EraseRootFromParent_Done,
     /* 332521 */   // Label 5555: @332521
     /* 332521 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(332656), // Rule ID 13378 //
     /* 332526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 332529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 332557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332561 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332565 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332569 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 332573 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332573 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332578 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332578 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332589 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332596 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332610 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 332613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 332620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 332625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 332630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 332635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332654 */     GIR_RootConstrainSelectedInstOperands,
     /* 332655 */     // GIR_Coverage, 13378,
     /* 332655 */     GIR_EraseRootFromParent_Done,
     /* 332656 */   // Label 5556: @332656
     /* 332656 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(332791), // Rule ID 12460 //
     /* 332661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 332664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 332692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332708 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332708 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332713 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332722 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332724 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332731 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332745 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 332748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 332755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 332760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 332765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 332770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332789 */     GIR_RootConstrainSelectedInstOperands,
     /* 332790 */     // GIR_Coverage, 12460,
     /* 332790 */     GIR_EraseRootFromParent_Done,
     /* 332791 */   // Label 5557: @332791
     /* 332791 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(332926), // Rule ID 12461 //
     /* 332796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 332799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 332827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332843 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332848 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332857 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332866 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332873 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 332880 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 332880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 332883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 332885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 332890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 332895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 332900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 332905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 332910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 332915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332924 */     GIR_RootConstrainSelectedInstOperands,
     /* 332925 */     // GIR_Coverage, 12461,
     /* 332925 */     GIR_EraseRootFromParent_Done,
     /* 332926 */   // Label 5558: @332926
     /* 332926 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(333061), // Rule ID 12462 //
     /* 332931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 332934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 332938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 332950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 332954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 332958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 332962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 332966 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 332970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 332974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 332978 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 332978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 332983 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 332983 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 332988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 332992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 332994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333008 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333015 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 333018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 333025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 333030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 333035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 333040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333059 */     GIR_RootConstrainSelectedInstOperands,
     /* 333060 */     // GIR_Coverage, 12462,
     /* 333060 */     GIR_EraseRootFromParent_Done,
     /* 333061 */   // Label 5559: @333061
     /* 333061 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(333196), // Rule ID 12463 //
     /* 333066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 333069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 333073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333101 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333113 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333118 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333118 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333123 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333143 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333150 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 333153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 333160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 333165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 333170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 333175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333194 */     GIR_RootConstrainSelectedInstOperands,
     /* 333195 */     // GIR_Coverage, 12463,
     /* 333195 */     GIR_EraseRootFromParent_Done,
     /* 333196 */   // Label 5560: @333196
     /* 333196 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(333331), // Rule ID 12940 //
     /* 333201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 333204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 333208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333236 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333248 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333253 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333253 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333278 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333285 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 333288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 333295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 333300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 333305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 333310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333329 */     GIR_RootConstrainSelectedInstOperands,
     /* 333330 */     // GIR_Coverage, 12940,
     /* 333330 */     GIR_EraseRootFromParent_Done,
     /* 333331 */   // Label 5561: @333331
     /* 333331 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(333466), // Rule ID 12941 //
     /* 333336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 333339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 333343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333371 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333375 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333379 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333383 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333383 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333388 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333397 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333399 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333420 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 333423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 333430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 333435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 333440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 333445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333464 */     GIR_RootConstrainSelectedInstOperands,
     /* 333465 */     // GIR_Coverage, 12941,
     /* 333465 */     GIR_EraseRootFromParent_Done,
     /* 333466 */   // Label 5562: @333466
     /* 333466 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(333601), // Rule ID 12942 //
     /* 333471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 333474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 333478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333518 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333523 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333528 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333541 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333548 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333555 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 333558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 333565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 333570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 333575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 333580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333599 */     GIR_RootConstrainSelectedInstOperands,
     /* 333600 */     // GIR_Coverage, 12942,
     /* 333600 */     GIR_EraseRootFromParent_Done,
     /* 333601 */   // Label 5563: @333601
     /* 333601 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(333736), // Rule ID 12943 //
     /* 333606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 333609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 333613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333653 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333658 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333690 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 333693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 333700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 333705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 333710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 333715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333734 */     GIR_RootConstrainSelectedInstOperands,
     /* 333735 */     // GIR_Coverage, 12943,
     /* 333735 */     GIR_EraseRootFromParent_Done,
     /* 333736 */   // Label 5564: @333736
     /* 333736 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(333871), // Rule ID 13420 //
     /* 333741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 333744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 333748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333788 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333793 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333798 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333825 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 333828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 333835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 333840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 333845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 333850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333869 */     GIR_RootConstrainSelectedInstOperands,
     /* 333870 */     // GIR_Coverage, 13420,
     /* 333870 */     GIR_EraseRootFromParent_Done,
     /* 333871 */   // Label 5565: @333871
     /* 333871 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(334006), // Rule ID 13421 //
     /* 333876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 333879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 333883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 333895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 333899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 333907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 333911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 333915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 333919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 333923 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 333923 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 333928 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 333928 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 333933 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 333937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333953 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 333960 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 333960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 333963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 333965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 333970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 333975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 333980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 333985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 333990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 333995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334004 */     GIR_RootConstrainSelectedInstOperands,
     /* 334005 */     // GIR_Coverage, 13421,
     /* 334005 */     GIR_EraseRootFromParent_Done,
     /* 334006 */   // Label 5566: @334006
     /* 334006 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(334141), // Rule ID 13422 //
     /* 334011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 334014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334046 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334050 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334054 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334058 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334058 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334063 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334068 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334072 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334074 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334081 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334088 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334095 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 334098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 334105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 334110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 334115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 334120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334139 */     GIR_RootConstrainSelectedInstOperands,
     /* 334140 */     // GIR_Coverage, 13422,
     /* 334140 */     GIR_EraseRootFromParent_Done,
     /* 334141 */   // Label 5567: @334141
     /* 334141 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(334276), // Rule ID 13423 //
     /* 334146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 334149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334181 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334193 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334198 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334216 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334230 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 334233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 334240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 334245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 334250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 334255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334274 */     GIR_RootConstrainSelectedInstOperands,
     /* 334275 */     // GIR_Coverage, 13423,
     /* 334275 */     GIR_EraseRootFromParent_Done,
     /* 334276 */   // Label 5568: @334276
     /* 334276 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(334411), // Rule ID 12400 //
     /* 334281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 334284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334316 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 334328 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334333 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334365 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 334368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 334375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 334380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 334385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 334390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334409 */     GIR_RootConstrainSelectedInstOperands,
     /* 334410 */     // GIR_Coverage, 12400,
     /* 334410 */     GIR_EraseRootFromParent_Done,
     /* 334411 */   // Label 5569: @334411
     /* 334411 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(334546), // Rule ID 12401 //
     /* 334416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 334419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 334463 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334468 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334468 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334473 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334500 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 334503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 334510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 334515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 334520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 334525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334544 */     GIR_RootConstrainSelectedInstOperands,
     /* 334545 */     // GIR_Coverage, 12401,
     /* 334545 */     GIR_EraseRootFromParent_Done,
     /* 334546 */   // Label 5570: @334546
     /* 334546 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(334681), // Rule ID 12402 //
     /* 334551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 334554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334586 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 334598 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334598 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334603 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334603 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334608 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334612 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334614 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334628 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334635 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 334638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 334645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 334650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 334655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 334660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334679 */     GIR_RootConstrainSelectedInstOperands,
     /* 334680 */     // GIR_Coverage, 12402,
     /* 334680 */     GIR_EraseRootFromParent_Done,
     /* 334681 */   // Label 5571: @334681
     /* 334681 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(334816), // Rule ID 12403 //
     /* 334686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 334689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 334693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 334733 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334738 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334743 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334756 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334763 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334770 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 334773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 334780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 334785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 334790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 334795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334814 */     GIR_RootConstrainSelectedInstOperands,
     /* 334815 */     // GIR_Coverage, 12403,
     /* 334815 */     GIR_EraseRootFromParent_Done,
     /* 334816 */   // Label 5572: @334816
     /* 334816 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(334951), // Rule ID 12880 //
     /* 334821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 334824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 334828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334856 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 334868 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 334868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 334873 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 334873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 334878 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 334882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334884 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334891 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334898 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 334905 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 334905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 334908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 334910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 334915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 334920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 334925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 334930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 334935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 334940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334949 */     GIR_RootConstrainSelectedInstOperands,
     /* 334950 */     // GIR_Coverage, 12880,
     /* 334950 */     GIR_EraseRootFromParent_Done,
     /* 334951 */   // Label 5573: @334951
     /* 334951 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(335086), // Rule ID 12881 //
     /* 334956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 334959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 334963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 334971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 334975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 334979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 334987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 334991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 334995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 334999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335003 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335008 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335040 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 335043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 335050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 335055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 335060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 335065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335084 */     GIR_RootConstrainSelectedInstOperands,
     /* 335085 */     // GIR_Coverage, 12881,
     /* 335085 */     GIR_EraseRootFromParent_Done,
     /* 335086 */   // Label 5574: @335086
     /* 335086 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(335221), // Rule ID 12882 //
     /* 335091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 335094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 335098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335126 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335138 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335143 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335152 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335175 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 335178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 335185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 335190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 335195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 335200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335219 */     GIR_RootConstrainSelectedInstOperands,
     /* 335220 */     // GIR_Coverage, 12882,
     /* 335220 */     GIR_EraseRootFromParent_Done,
     /* 335221 */   // Label 5575: @335221
     /* 335221 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(335356), // Rule ID 12883 //
     /* 335226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 335229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 335233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335261 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335273 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335273 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335278 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335278 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335283 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335287 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335310 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 335313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 335320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 335325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 335330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 335335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335354 */     GIR_RootConstrainSelectedInstOperands,
     /* 335355 */     // GIR_Coverage, 12883,
     /* 335355 */     GIR_EraseRootFromParent_Done,
     /* 335356 */   // Label 5576: @335356
     /* 335356 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(335491), // Rule ID 13360 //
     /* 335361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 335364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 335368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335396 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335400 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335404 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335408 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335408 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335413 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335413 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335418 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335422 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335424 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335445 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 335448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 335455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 335460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 335465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 335470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335489 */     GIR_RootConstrainSelectedInstOperands,
     /* 335490 */     // GIR_Coverage, 13360,
     /* 335490 */     GIR_EraseRootFromParent_Done,
     /* 335491 */   // Label 5577: @335491
     /* 335491 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(335626), // Rule ID 13361 //
     /* 335496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 335499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 335503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335531 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335535 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335539 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335543 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335543 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335548 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335548 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335553 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335566 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335573 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335580 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 335583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 335590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 335595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 335600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 335605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335624 */     GIR_RootConstrainSelectedInstOperands,
     /* 335625 */     // GIR_Coverage, 13361,
     /* 335625 */     GIR_EraseRootFromParent_Done,
     /* 335626 */   // Label 5578: @335626
     /* 335626 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(335761), // Rule ID 13362 //
     /* 335631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 335634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 335638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335666 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335678 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335683 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335688 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335715 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 335718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 335725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 335730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 335735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 335740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335759 */     GIR_RootConstrainSelectedInstOperands,
     /* 335760 */     // GIR_Coverage, 13362,
     /* 335760 */     GIR_EraseRootFromParent_Done,
     /* 335761 */   // Label 5579: @335761
     /* 335761 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(335896), // Rule ID 13363 //
     /* 335766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 335769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 335773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 335797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335801 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 335813 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335818 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335829 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335836 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335843 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335850 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 335853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 335860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 335865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 335870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 335875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 335880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 335885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335894 */     GIR_RootConstrainSelectedInstOperands,
     /* 335895 */     // GIR_Coverage, 13363,
     /* 335895 */     GIR_EraseRootFromParent_Done,
     /* 335896 */   // Label 5580: @335896
     /* 335896 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(336031), // Rule ID 12471 //
     /* 335901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 335904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 335908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 335920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 335924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 335928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 335932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 335936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 335940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 335944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 335948 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 335948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 335953 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 335953 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 335958 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 335962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335978 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 335985 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 335985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 335988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 335990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 335995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 336000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 336005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 336010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336029 */     GIR_RootConstrainSelectedInstOperands,
     /* 336030 */     // GIR_Coverage, 12471,
     /* 336030 */     GIR_EraseRootFromParent_Done,
     /* 336031 */   // Label 5581: @336031
     /* 336031 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(336166), // Rule ID 12472 //
     /* 336036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 336039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 336043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336071 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336083 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336083 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336088 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336088 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336093 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336113 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336120 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 336123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 336130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 336135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 336140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 336145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336164 */     GIR_RootConstrainSelectedInstOperands,
     /* 336165 */     // GIR_Coverage, 12472,
     /* 336165 */     GIR_EraseRootFromParent_Done,
     /* 336166 */   // Label 5582: @336166
     /* 336166 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(336301), // Rule ID 12473 //
     /* 336171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 336174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 336178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336206 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336218 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336218 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336223 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336241 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336248 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336255 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 336258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 336265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 336270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 336275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 336280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336299 */     GIR_RootConstrainSelectedInstOperands,
     /* 336300 */     // GIR_Coverage, 12473,
     /* 336300 */     GIR_EraseRootFromParent_Done,
     /* 336301 */   // Label 5583: @336301
     /* 336301 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(336436), // Rule ID 12474 //
     /* 336306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 336309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 336313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336353 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336353 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336358 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336363 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336367 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336390 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 336393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 336400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 336405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 336410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 336415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336434 */     GIR_RootConstrainSelectedInstOperands,
     /* 336435 */     // GIR_Coverage, 12474,
     /* 336435 */     GIR_EraseRootFromParent_Done,
     /* 336436 */   // Label 5584: @336436
     /* 336436 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(336571), // Rule ID 12951 //
     /* 336441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 336444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 336448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336488 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336488 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336493 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336518 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336525 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 336528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 336535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 336540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 336545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 336550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336569 */     GIR_RootConstrainSelectedInstOperands,
     /* 336570 */     // GIR_Coverage, 12951,
     /* 336570 */     GIR_EraseRootFromParent_Done,
     /* 336571 */   // Label 5585: @336571
     /* 336571 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(336706), // Rule ID 12952 //
     /* 336576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 336579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 336583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336623 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336623 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336628 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336653 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336660 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 336663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 336670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 336675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 336680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 336685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336704 */     GIR_RootConstrainSelectedInstOperands,
     /* 336705 */     // GIR_Coverage, 12952,
     /* 336705 */     GIR_EraseRootFromParent_Done,
     /* 336706 */   // Label 5586: @336706
     /* 336706 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(336841), // Rule ID 12953 //
     /* 336711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 336714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 336718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336746 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336758 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336763 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336763 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336788 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336795 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 336798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 336805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 336810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 336815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 336820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336839 */     GIR_RootConstrainSelectedInstOperands,
     /* 336840 */     // GIR_Coverage, 12953,
     /* 336840 */     GIR_EraseRootFromParent_Done,
     /* 336841 */   // Label 5587: @336841
     /* 336841 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(336976), // Rule ID 12954 //
     /* 336846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 336849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 336853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 336865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 336869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 336873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 336877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 336881 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 336885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 336889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336893 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 336893 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 336898 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 336898 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 336903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 336907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336923 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 336930 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 336930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 336933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 336935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 336940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 336945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 336950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 336955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 336960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 336965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336974 */     GIR_RootConstrainSelectedInstOperands,
     /* 336975 */     // GIR_Coverage, 12954,
     /* 336975 */     GIR_EraseRootFromParent_Done,
     /* 336976 */   // Label 5588: @336976
     /* 336976 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(337111), // Rule ID 13431 //
     /* 336981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 336984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 336988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 336996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337024 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337028 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337033 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337058 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337065 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 337068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 337075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 337080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 337085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 337090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337109 */     GIR_RootConstrainSelectedInstOperands,
     /* 337110 */     // GIR_Coverage, 13431,
     /* 337110 */     GIR_EraseRootFromParent_Done,
     /* 337111 */   // Label 5589: @337111
     /* 337111 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(337246), // Rule ID 13432 //
     /* 337116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 337119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337151 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337163 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337163 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337168 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337186 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337193 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337200 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 337203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 337210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 337215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 337220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 337225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337244 */     GIR_RootConstrainSelectedInstOperands,
     /* 337245 */     // GIR_Coverage, 13432,
     /* 337245 */     GIR_EraseRootFromParent_Done,
     /* 337246 */   // Label 5590: @337246
     /* 337246 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(337381), // Rule ID 13433 //
     /* 337251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 337254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337286 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337298 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337303 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337308 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337314 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337328 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337335 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 337338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 337345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 337350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 337355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 337360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337379 */     GIR_RootConstrainSelectedInstOperands,
     /* 337380 */     // GIR_Coverage, 13433,
     /* 337380 */     GIR_EraseRootFromParent_Done,
     /* 337381 */   // Label 5591: @337381
     /* 337381 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(337516), // Rule ID 13434 //
     /* 337386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 337389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337421 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337433 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337433 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337438 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337438 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337443 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337456 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337463 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337470 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 337473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 337480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 337485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 337490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 337495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337514 */     GIR_RootConstrainSelectedInstOperands,
     /* 337515 */     // GIR_Coverage, 13434,
     /* 337515 */     GIR_EraseRootFromParent_Done,
     /* 337516 */   // Label 5592: @337516
     /* 337516 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(337651), // Rule ID 12411 //
     /* 337521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 337524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337556 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 337568 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337568 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337573 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337573 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337584 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337605 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 337608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 337615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 337620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 337625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 337630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337649 */     GIR_RootConstrainSelectedInstOperands,
     /* 337650 */     // GIR_Coverage, 12411,
     /* 337650 */     GIR_EraseRootFromParent_Done,
     /* 337651 */   // Label 5593: @337651
     /* 337651 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(337786), // Rule ID 12412 //
     /* 337656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 337659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337691 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 337703 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337703 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337708 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337708 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337713 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337719 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337726 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337733 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337740 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 337743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 337750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 337755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 337760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 337765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337784 */     GIR_RootConstrainSelectedInstOperands,
     /* 337785 */     // GIR_Coverage, 12412,
     /* 337785 */     GIR_EraseRootFromParent_Done,
     /* 337786 */   // Label 5594: @337786
     /* 337786 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(337921), // Rule ID 12413 //
     /* 337791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 337794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337830 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337834 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 337838 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337838 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337843 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337861 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337868 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337875 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 337875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 337878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 337880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 337885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 337890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 337895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 337900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 337905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 337910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337919 */     GIR_RootConstrainSelectedInstOperands,
     /* 337920 */     // GIR_Coverage, 12413,
     /* 337920 */     GIR_EraseRootFromParent_Done,
     /* 337921 */   // Label 5595: @337921
     /* 337921 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(338056), // Rule ID 12414 //
     /* 337926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 337929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 337933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 337941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 337945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 337949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 337953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 337957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 337961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 337965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 337969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 337973 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 337973 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 337978 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 337978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 337983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 337987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 337996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338003 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338010 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 338013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 338020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 338025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 338030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 338035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338054 */     GIR_RootConstrainSelectedInstOperands,
     /* 338055 */     // GIR_Coverage, 12414,
     /* 338055 */     GIR_EraseRootFromParent_Done,
     /* 338056 */   // Label 5596: @338056
     /* 338056 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(338191), // Rule ID 12891 //
     /* 338061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 338064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 338068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338096 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338108 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338108 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338113 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338118 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338124 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338131 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338138 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338145 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 338148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 338155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 338160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 338165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 338170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338189 */     GIR_RootConstrainSelectedInstOperands,
     /* 338190 */     // GIR_Coverage, 12891,
     /* 338190 */     GIR_EraseRootFromParent_Done,
     /* 338191 */   // Label 5597: @338191
     /* 338191 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(338326), // Rule ID 12892 //
     /* 338196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 338199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 338203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338243 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338248 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338253 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338257 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338266 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338273 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338280 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 338283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 338290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 338295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 338300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 338305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338324 */     GIR_RootConstrainSelectedInstOperands,
     /* 338325 */     // GIR_Coverage, 12892,
     /* 338325 */     GIR_EraseRootFromParent_Done,
     /* 338326 */   // Label 5598: @338326
     /* 338326 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(338461), // Rule ID 12893 //
     /* 338331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 338334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 338338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338366 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338378 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338378 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338383 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338383 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338388 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338392 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338408 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338415 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 338418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 338425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 338430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 338435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 338440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338459 */     GIR_RootConstrainSelectedInstOperands,
     /* 338460 */     // GIR_Coverage, 12893,
     /* 338460 */     GIR_EraseRootFromParent_Done,
     /* 338461 */   // Label 5599: @338461
     /* 338461 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(338596), // Rule ID 12894 //
     /* 338466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 338469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 338473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338501 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338513 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338513 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338518 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338523 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338529 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338536 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338543 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338550 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 338553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 338560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 338565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 338570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 338575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338594 */     GIR_RootConstrainSelectedInstOperands,
     /* 338595 */     // GIR_Coverage, 12894,
     /* 338595 */     GIR_EraseRootFromParent_Done,
     /* 338596 */   // Label 5600: @338596
     /* 338596 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(338731), // Rule ID 13371 //
     /* 338601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 338604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 338608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338648 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338653 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338662 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338678 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338685 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 338688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 338695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 338700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 338705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 338710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338729 */     GIR_RootConstrainSelectedInstOperands,
     /* 338730 */     // GIR_Coverage, 13371,
     /* 338730 */     GIR_EraseRootFromParent_Done,
     /* 338731 */   // Label 5601: @338731
     /* 338731 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(338866), // Rule ID 13372 //
     /* 338736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 338739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 338743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338771 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338775 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338779 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338783 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338788 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338793 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338797 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338813 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338820 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 338823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 338830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 338835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 338840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 338845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338864 */     GIR_RootConstrainSelectedInstOperands,
     /* 338865 */     // GIR_Coverage, 13372,
     /* 338865 */     GIR_EraseRootFromParent_Done,
     /* 338866 */   // Label 5602: @338866
     /* 338866 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(339001), // Rule ID 13373 //
     /* 338871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 338874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 338878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 338886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 338890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 338894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 338898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 338902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 338906 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 338910 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 338914 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 338918 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 338918 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 338923 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 338923 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 338928 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 338932 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338948 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 338955 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 338955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 338958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 338960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 338965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 338970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 338975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 338980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 338985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 338990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338999 */     GIR_RootConstrainSelectedInstOperands,
     /* 339000 */     // GIR_Coverage, 13373,
     /* 339000 */     GIR_EraseRootFromParent_Done,
     /* 339001 */   // Label 5603: @339001
     /* 339001 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(339136), // Rule ID 13374 //
     /* 339006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 339009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 339013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 339037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 339053 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339053 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339058 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339058 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339063 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339067 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339076 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339083 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339090 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 339093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 339100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 339105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 339110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 339115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339134 */     GIR_RootConstrainSelectedInstOperands,
     /* 339135 */     // GIR_Coverage, 13374,
     /* 339135 */     GIR_EraseRootFromParent_Done,
     /* 339136 */   // Label 5604: @339136
     /* 339136 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(339271), // Rule ID 12456 //
     /* 339141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 339144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 339148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339180 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339188 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339188 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339193 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339198 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339202 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339211 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339218 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339225 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 339228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 339235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 339240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 339245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 339250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339269 */     GIR_RootConstrainSelectedInstOperands,
     /* 339270 */     // GIR_Coverage, 12456,
     /* 339270 */     GIR_EraseRootFromParent_Done,
     /* 339271 */   // Label 5605: @339271
     /* 339271 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(339406), // Rule ID 12457 //
     /* 339276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 339279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 339283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339315 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339319 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339323 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339323 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339328 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339333 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339337 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339346 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339360 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 339363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 339370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 339375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 339380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 339385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339404 */     GIR_RootConstrainSelectedInstOperands,
     /* 339405 */     // GIR_Coverage, 12457,
     /* 339405 */     GIR_EraseRootFromParent_Done,
     /* 339406 */   // Label 5606: @339406
     /* 339406 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(339541), // Rule ID 12458 //
     /* 339411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 339414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 339418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339450 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339454 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339458 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339463 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339488 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339495 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 339498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 339505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 339510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 339515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 339520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339539 */     GIR_RootConstrainSelectedInstOperands,
     /* 339540 */     // GIR_Coverage, 12458,
     /* 339540 */     GIR_EraseRootFromParent_Done,
     /* 339541 */   // Label 5607: @339541
     /* 339541 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(339676), // Rule ID 12459 //
     /* 339546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 339549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 339553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339593 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339598 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339598 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339609 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339623 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339630 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 339633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 339640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 339645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 339650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 339655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339674 */     GIR_RootConstrainSelectedInstOperands,
     /* 339675 */     // GIR_Coverage, 12459,
     /* 339675 */     GIR_EraseRootFromParent_Done,
     /* 339676 */   // Label 5608: @339676
     /* 339676 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(339811), // Rule ID 12936 //
     /* 339681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 339684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 339688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339716 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339728 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339728 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339733 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339738 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339744 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339758 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339765 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 339768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 339775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 339780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 339785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 339790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339809 */     GIR_RootConstrainSelectedInstOperands,
     /* 339810 */     // GIR_Coverage, 12936,
     /* 339810 */     GIR_EraseRootFromParent_Done,
     /* 339811 */   // Label 5609: @339811
     /* 339811 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(339946), // Rule ID 12937 //
     /* 339816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 339819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 339823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339863 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 339863 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 339868 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 339873 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 339877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339879 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339893 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 339900 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 339900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 339903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 339905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 339910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 339915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 339920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 339925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 339930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 339935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339944 */     GIR_RootConstrainSelectedInstOperands,
     /* 339945 */     // GIR_Coverage, 12937,
     /* 339945 */     GIR_EraseRootFromParent_Done,
     /* 339946 */   // Label 5610: @339946
     /* 339946 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(340081), // Rule ID 12938 //
     /* 339951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 339954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 339958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 339970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 339974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 339982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 339986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 339990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 339994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 339998 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 339998 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340003 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340028 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340035 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 340038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 340045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 340050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 340055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 340060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340079 */     GIR_RootConstrainSelectedInstOperands,
     /* 340080 */     // GIR_Coverage, 12938,
     /* 340080 */     GIR_EraseRootFromParent_Done,
     /* 340081 */   // Label 5611: @340081
     /* 340081 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(340216), // Rule ID 12939 //
     /* 340086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 340089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 340093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340133 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340138 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340143 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340149 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340170 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 340173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 340180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 340185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 340190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 340195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340214 */     GIR_RootConstrainSelectedInstOperands,
     /* 340215 */     // GIR_Coverage, 12939,
     /* 340215 */     GIR_EraseRootFromParent_Done,
     /* 340216 */   // Label 5612: @340216
     /* 340216 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(340351), // Rule ID 13416 //
     /* 340221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 340224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340256 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340268 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340273 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340273 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340305 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 340308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 340315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 340320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 340325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 340330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340349 */     GIR_RootConstrainSelectedInstOperands,
     /* 340350 */     // GIR_Coverage, 13416,
     /* 340350 */     GIR_EraseRootFromParent_Done,
     /* 340351 */   // Label 5613: @340351
     /* 340351 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(340486), // Rule ID 13417 //
     /* 340356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 340359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340391 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340403 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340403 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340408 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340408 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340413 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340433 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340440 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 340443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 340450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 340455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 340460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 340465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340484 */     GIR_RootConstrainSelectedInstOperands,
     /* 340485 */     // GIR_Coverage, 13417,
     /* 340485 */     GIR_EraseRootFromParent_Done,
     /* 340486 */   // Label 5614: @340486
     /* 340486 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(340621), // Rule ID 13418 //
     /* 340491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 340494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340526 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340538 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340538 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340543 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340543 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340548 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340568 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340575 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 340578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 340585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 340590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 340595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 340600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340619 */     GIR_RootConstrainSelectedInstOperands,
     /* 340620 */     // GIR_Coverage, 13418,
     /* 340620 */     GIR_EraseRootFromParent_Done,
     /* 340621 */   // Label 5615: @340621
     /* 340621 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(340756), // Rule ID 13419 //
     /* 340626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 340629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340673 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340678 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340703 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340710 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 340713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 340720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 340725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 340730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 340735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340754 */     GIR_RootConstrainSelectedInstOperands,
     /* 340755 */     // GIR_Coverage, 13419,
     /* 340755 */     GIR_EraseRootFromParent_Done,
     /* 340756 */   // Label 5616: @340756
     /* 340756 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(340891), // Rule ID 12396 //
     /* 340761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 340764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 340808 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340813 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340831 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340838 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340845 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 340848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 340855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 340860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 340865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 340870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 340875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 340880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340889 */     GIR_RootConstrainSelectedInstOperands,
     /* 340890 */     // GIR_Coverage, 12396,
     /* 340890 */     GIR_EraseRootFromParent_Done,
     /* 340891 */   // Label 5617: @340891
     /* 340891 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(341026), // Rule ID 12397 //
     /* 340896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 340899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 340903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 340911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 340915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 340919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 340923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 340927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 340931 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 340935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 340939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 340943 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 340943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 340948 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 340948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 340953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 340957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 340959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340973 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 340980 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 340980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 340983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 340985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 340990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 340995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 341000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 341005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341024 */     GIR_RootConstrainSelectedInstOperands,
     /* 341025 */     // GIR_Coverage, 12397,
     /* 341025 */     GIR_EraseRootFromParent_Done,
     /* 341026 */   // Label 5618: @341026
     /* 341026 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(341161), // Rule ID 12398 //
     /* 341031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 341034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 341038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341078 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341083 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341083 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341101 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341108 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341115 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 341118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 341125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 341130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 341135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 341140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341159 */     GIR_RootConstrainSelectedInstOperands,
     /* 341160 */     // GIR_Coverage, 12398,
     /* 341160 */     GIR_EraseRootFromParent_Done,
     /* 341161 */   // Label 5619: @341161
     /* 341161 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(341296), // Rule ID 12399 //
     /* 341166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 341169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 341173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341201 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341205 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341209 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341213 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341213 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341218 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341218 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341223 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341227 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341236 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341243 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341250 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 341253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 341260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 341265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 341270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 341275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341294 */     GIR_RootConstrainSelectedInstOperands,
     /* 341295 */     // GIR_Coverage, 12399,
     /* 341295 */     GIR_EraseRootFromParent_Done,
     /* 341296 */   // Label 5620: @341296
     /* 341296 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(341431), // Rule ID 12876 //
     /* 341301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 341304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 341308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341336 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341340 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341344 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341348 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341348 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341353 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341353 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341358 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341362 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341364 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341371 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341378 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341385 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 341388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 341395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 341400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 341405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 341410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341429 */     GIR_RootConstrainSelectedInstOperands,
     /* 341430 */     // GIR_Coverage, 12876,
     /* 341430 */     GIR_EraseRootFromParent_Done,
     /* 341431 */   // Label 5621: @341431
     /* 341431 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(341566), // Rule ID 12877 //
     /* 341436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 341439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 341443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341471 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341483 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341488 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341488 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341493 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341506 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341513 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341520 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 341523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 341530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 341535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 341540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 341545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341564 */     GIR_RootConstrainSelectedInstOperands,
     /* 341565 */     // GIR_Coverage, 12877,
     /* 341565 */     GIR_EraseRootFromParent_Done,
     /* 341566 */   // Label 5622: @341566
     /* 341566 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(341701), // Rule ID 12878 //
     /* 341571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 341574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 341578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341606 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341618 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341618 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341623 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341623 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341628 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341632 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341634 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341641 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341648 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341655 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 341658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 341665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 341670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 341675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 341680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341699 */     GIR_RootConstrainSelectedInstOperands,
     /* 341700 */     // GIR_Coverage, 12878,
     /* 341700 */     GIR_EraseRootFromParent_Done,
     /* 341701 */   // Label 5623: @341701
     /* 341701 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(341836), // Rule ID 12879 //
     /* 341706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 341709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 341713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341753 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341758 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341763 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341783 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341790 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 341793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 341800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 341805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 341810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 341815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341834 */     GIR_RootConstrainSelectedInstOperands,
     /* 341835 */     // GIR_Coverage, 12879,
     /* 341835 */     GIR_EraseRootFromParent_Done,
     /* 341836 */   // Label 5624: @341836
     /* 341836 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(341971), // Rule ID 13356 //
     /* 341841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 341844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 341848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 341872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 341876 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 341880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 341884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 341888 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 341888 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 341893 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 341893 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 341898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 341902 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341904 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341918 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 341925 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 341925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 341928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 341930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 341935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 341940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 341945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 341950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 341955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 341960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341969 */     GIR_RootConstrainSelectedInstOperands,
     /* 341970 */     // GIR_Coverage, 13356,
     /* 341970 */     GIR_EraseRootFromParent_Done,
     /* 341971 */   // Label 5625: @341971
     /* 341971 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(342106), // Rule ID 13357 //
     /* 341976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 341979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 341983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 341991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 341995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 341999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 342003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 342007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342011 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342015 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 342019 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342023 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342023 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 342028 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 342033 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342037 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342039 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342046 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342053 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342060 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 342063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 342070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 342075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 342080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 342085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342104 */     GIR_RootConstrainSelectedInstOperands,
     /* 342105 */     // GIR_Coverage, 13357,
     /* 342105 */     GIR_EraseRootFromParent_Done,
     /* 342106 */   // Label 5626: @342106
     /* 342106 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(342241), // Rule ID 13358 //
     /* 342111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 342114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 342138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 342142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342146 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 342154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342158 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342158 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 342163 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342163 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 342168 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342174 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342181 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342188 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342195 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 342198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 342205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 342210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 342215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 342220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342239 */     GIR_RootConstrainSelectedInstOperands,
     /* 342240 */     // GIR_Coverage, 13358,
     /* 342240 */     GIR_EraseRootFromParent_Done,
     /* 342241 */   // Label 5627: @342241
     /* 342241 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(342376), // Rule ID 13359 //
     /* 342246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 342249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 342273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 342277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 342289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342293 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 342298 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 342303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342307 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342323 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342330 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 342333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 342340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 342345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 342350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 342355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342374 */     GIR_RootConstrainSelectedInstOperands,
     /* 342375 */     // GIR_Coverage, 13359,
     /* 342375 */     GIR_EraseRootFromParent_Done,
     /* 342376 */   // Label 5628: @342376
     /* 342376 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(342511), // Rule ID 12405 //
     /* 342381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 342384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342420 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 342424 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 342428 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 342433 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342433 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 342438 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342458 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342465 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 342468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 342475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 342480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 342485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 342490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342509 */     GIR_RootConstrainSelectedInstOperands,
     /* 342510 */     // GIR_Coverage, 12405,
     /* 342510 */     GIR_EraseRootFromParent_Done,
     /* 342511 */   // Label 5629: @342511
     /* 342511 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(342646), // Rule ID 12406 //
     /* 342516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 342519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342551 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342555 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 342559 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 342563 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342563 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 342568 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342568 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 342573 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342577 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342586 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342593 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342600 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 342603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 342610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 342615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 342620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 342625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342644 */     GIR_RootConstrainSelectedInstOperands,
     /* 342645 */     // GIR_Coverage, 12406,
     /* 342645 */     GIR_EraseRootFromParent_Done,
     /* 342646 */   // Label 5630: @342646
     /* 342646 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(342781), // Rule ID 12409 //
     /* 342651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 342654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342686 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342690 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 342694 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 342698 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342698 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 342703 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342703 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 342708 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342728 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342735 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 342738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 342745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 342750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 342755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 342760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342779 */     GIR_RootConstrainSelectedInstOperands,
     /* 342780 */     // GIR_Coverage, 12409,
     /* 342780 */     GIR_EraseRootFromParent_Done,
     /* 342781 */   // Label 5631: @342781
     /* 342781 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(342916), // Rule ID 12410 //
     /* 342786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 342789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 342793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342821 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342825 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 342829 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 342833 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342833 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 342838 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342838 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 342843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342847 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342863 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342870 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 342870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 342873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 342875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 342880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 342885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 342890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 342895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 342900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 342905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342914 */     GIR_RootConstrainSelectedInstOperands,
     /* 342915 */     // GIR_Coverage, 12410,
     /* 342915 */     GIR_EraseRootFromParent_Done,
     /* 342916 */   // Label 5632: @342916
     /* 342916 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(343051), // Rule ID 12885 //
     /* 342921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 342924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 342928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 342936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 342940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 342944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 342952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 342956 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 342960 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 342964 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 342968 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 342968 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 342973 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 342973 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 342978 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 342982 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342984 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 342998 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343005 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 343008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 343015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 343020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 343025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 343030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343049 */     GIR_RootConstrainSelectedInstOperands,
     /* 343050 */     // GIR_Coverage, 12885,
     /* 343050 */     GIR_EraseRootFromParent_Done,
     /* 343051 */   // Label 5633: @343051
     /* 343051 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(343186), // Rule ID 12886 //
     /* 343056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 343059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 343063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343091 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343099 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343103 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343103 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343108 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343108 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343113 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343133 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343140 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 343143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 343150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 343155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 343160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 343165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343184 */     GIR_RootConstrainSelectedInstOperands,
     /* 343185 */     // GIR_Coverage, 12886,
     /* 343185 */     GIR_EraseRootFromParent_Done,
     /* 343186 */   // Label 5634: @343186
     /* 343186 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(343321), // Rule ID 12889 //
     /* 343191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 343194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 343198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343226 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343238 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343238 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343243 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343254 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343268 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343275 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 343278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 343285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 343290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 343295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 343300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343319 */     GIR_RootConstrainSelectedInstOperands,
     /* 343320 */     // GIR_Coverage, 12889,
     /* 343320 */     GIR_EraseRootFromParent_Done,
     /* 343321 */   // Label 5635: @343321
     /* 343321 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(343456), // Rule ID 12890 //
     /* 343326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 343329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 343333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343373 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343373 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343378 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343378 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343387 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343403 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343410 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 343413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 343420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 343425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 343430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 343435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343454 */     GIR_RootConstrainSelectedInstOperands,
     /* 343455 */     // GIR_Coverage, 12890,
     /* 343455 */     GIR_EraseRootFromParent_Done,
     /* 343456 */   // Label 5636: @343456
     /* 343456 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(343591), // Rule ID 13365 //
     /* 343461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 343464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 343468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343504 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343508 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343508 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343513 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343513 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343518 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343522 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343524 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343538 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343545 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 343548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 343555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 343560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 343565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 343570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343589 */     GIR_RootConstrainSelectedInstOperands,
     /* 343590 */     // GIR_Coverage, 13365,
     /* 343590 */     GIR_EraseRootFromParent_Done,
     /* 343591 */   // Label 5637: @343591
     /* 343591 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(343726), // Rule ID 13366 //
     /* 343596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 343599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 343603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343643 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343648 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343653 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343666 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343673 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343680 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 343683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 343690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 343695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 343700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 343705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343724 */     GIR_RootConstrainSelectedInstOperands,
     /* 343725 */     // GIR_Coverage, 13366,
     /* 343725 */     GIR_EraseRootFromParent_Done,
     /* 343726 */   // Label 5638: @343726
     /* 343726 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(343861), // Rule ID 13369 //
     /* 343731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 343734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 343738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343778 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343783 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343808 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343815 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 343818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 343825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 343830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 343835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 343840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343859 */     GIR_RootConstrainSelectedInstOperands,
     /* 343860 */     // GIR_Coverage, 13369,
     /* 343860 */     GIR_EraseRootFromParent_Done,
     /* 343861 */   // Label 5639: @343861
     /* 343861 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(343996), // Rule ID 13370 //
     /* 343866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 343869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 343873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 343881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 343885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 343889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 343897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 343901 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 343905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 343909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 343913 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 343913 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 343918 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 343918 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 343923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 343927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 343929 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343943 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 343950 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 343950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 343953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 343955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 343960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 343965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 343970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 343975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 343980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 343985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343994 */     GIR_RootConstrainSelectedInstOperands,
     /* 343995 */     // GIR_Coverage, 13370,
     /* 343995 */     GIR_EraseRootFromParent_Done,
     /* 343996 */   // Label 5640: @343996
     /* 343996 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(344131), // Rule ID 12390 //
     /* 344001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 344004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 344008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344036 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344048 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344048 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344053 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344053 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344058 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344071 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344078 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344085 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 344088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 344095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 344100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 344105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 344110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344129 */     GIR_RootConstrainSelectedInstOperands,
     /* 344130 */     // GIR_Coverage, 12390,
     /* 344130 */     GIR_EraseRootFromParent_Done,
     /* 344131 */   // Label 5641: @344131
     /* 344131 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(344266), // Rule ID 12391 //
     /* 344136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 344139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 344143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344183 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344188 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344188 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344193 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344197 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344213 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344220 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 344223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 344230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 344235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 344240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 344245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344264 */     GIR_RootConstrainSelectedInstOperands,
     /* 344265 */     // GIR_Coverage, 12391,
     /* 344265 */     GIR_EraseRootFromParent_Done,
     /* 344266 */   // Label 5642: @344266
     /* 344266 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(344401), // Rule ID 12394 //
     /* 344271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 344274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 344278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344310 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344314 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344318 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344318 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344323 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344323 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344328 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344348 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344355 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 344358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 344365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 344370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 344375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 344380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344399 */     GIR_RootConstrainSelectedInstOperands,
     /* 344400 */     // GIR_Coverage, 12394,
     /* 344400 */     GIR_EraseRootFromParent_Done,
     /* 344401 */   // Label 5643: @344401
     /* 344401 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(344536), // Rule ID 12395 //
     /* 344406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 344409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 344413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344441 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344453 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344458 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344463 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344469 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344490 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 344493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 344500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 344505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 344510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 344515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344534 */     GIR_RootConstrainSelectedInstOperands,
     /* 344535 */     // GIR_Coverage, 12395,
     /* 344535 */     GIR_EraseRootFromParent_Done,
     /* 344536 */   // Label 5644: @344536
     /* 344536 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(344671), // Rule ID 12870 //
     /* 344541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 344544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 344548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344588 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344593 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344598 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344618 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344625 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 344628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 344635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 344640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 344645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 344650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344669 */     GIR_RootConstrainSelectedInstOperands,
     /* 344670 */     // GIR_Coverage, 12870,
     /* 344670 */     GIR_EraseRootFromParent_Done,
     /* 344671 */   // Label 5645: @344671
     /* 344671 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(344806), // Rule ID 12871 //
     /* 344676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 344679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 344683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344711 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344723 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344728 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344728 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344737 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344760 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 344763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 344770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 344775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 344780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 344785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344804 */     GIR_RootConstrainSelectedInstOperands,
     /* 344805 */     // GIR_Coverage, 12871,
     /* 344805 */     GIR_EraseRootFromParent_Done,
     /* 344806 */   // Label 5646: @344806
     /* 344806 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(344941), // Rule ID 12874 //
     /* 344811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 344814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 344818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344858 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344858 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 344863 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344863 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344868 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 344872 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344874 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 344895 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 344895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 344898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 344900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 344905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 344910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 344915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 344920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 344925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 344930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344939 */     GIR_RootConstrainSelectedInstOperands,
     /* 344940 */     // GIR_Coverage, 12874,
     /* 344940 */     GIR_EraseRootFromParent_Done,
     /* 344941 */   // Label 5647: @344941
     /* 344941 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(345076), // Rule ID 12875 //
     /* 344946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 344949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 344953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 344961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 344965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 344969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 344977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 344981 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 344985 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 344989 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 344993 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 344993 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 344998 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 344998 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345003 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345007 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345016 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345023 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345030 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 345033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 345040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 345045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 345050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 345055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345074 */     GIR_RootConstrainSelectedInstOperands,
     /* 345075 */     // GIR_Coverage, 12875,
     /* 345075 */     GIR_EraseRootFromParent_Done,
     /* 345076 */   // Label 5648: @345076
     /* 345076 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(345211), // Rule ID 13350 //
     /* 345081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 345084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345116 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 345124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 345128 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345128 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345133 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345138 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345142 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345158 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345165 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 345168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 345175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 345180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 345185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 345190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345209 */     GIR_RootConstrainSelectedInstOperands,
     /* 345210 */     // GIR_Coverage, 13350,
     /* 345210 */     GIR_EraseRootFromParent_Done,
     /* 345211 */   // Label 5649: @345211
     /* 345211 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(345346), // Rule ID 13351 //
     /* 345216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 345219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345251 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 345259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 345263 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345268 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345273 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345277 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345293 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345300 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 345303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 345310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 345315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 345320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 345325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345344 */     GIR_RootConstrainSelectedInstOperands,
     /* 345345 */     // GIR_Coverage, 13351,
     /* 345345 */     GIR_EraseRootFromParent_Done,
     /* 345346 */   // Label 5650: @345346
     /* 345346 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(345481), // Rule ID 13354 //
     /* 345351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 345354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 345394 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 345398 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345403 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345403 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345412 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345428 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345435 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 345438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 345445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 345450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 345455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 345460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345479 */     GIR_RootConstrainSelectedInstOperands,
     /* 345480 */     // GIR_Coverage, 13354,
     /* 345480 */     GIR_EraseRootFromParent_Done,
     /* 345481 */   // Label 5651: @345481
     /* 345481 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(345616), // Rule ID 13355 //
     /* 345486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 345489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345521 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345525 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 345529 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 345533 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345533 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345538 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345538 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345543 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345547 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345549 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345563 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345570 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 345573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 345580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 345585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 345590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 345595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345614 */     GIR_RootConstrainSelectedInstOperands,
     /* 345615 */     // GIR_Coverage, 13355,
     /* 345615 */     GIR_EraseRootFromParent_Done,
     /* 345616 */   // Label 5652: @345616
     /* 345616 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(345751), // Rule ID 7844 //
     /* 345621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 345624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345660 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 345664 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 345668 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345668 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345673 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345678 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345684 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345705 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 345708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 345715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 345720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 345725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 345730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345749 */     GIR_RootConstrainSelectedInstOperands,
     /* 345750 */     // GIR_Coverage, 7844,
     /* 345750 */     GIR_EraseRootFromParent_Done,
     /* 345751 */   // Label 5653: @345751
     /* 345751 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(345886), // Rule ID 7876 //
     /* 345756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 345759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 345763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345791 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 345799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 345803 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345808 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345817 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345833 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345840 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 345843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 345850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 345855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 345860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 345865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 345870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 345875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345884 */     GIR_RootConstrainSelectedInstOperands,
     /* 345885 */     // GIR_Coverage, 7876,
     /* 345885 */     GIR_EraseRootFromParent_Done,
     /* 345886 */   // Label 5654: @345886
     /* 345886 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(346021), // Rule ID 7908 //
     /* 345891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 345894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 345898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 345906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 345910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 345914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 345922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 345926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 345930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 345934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 345938 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 345938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 345943 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 345943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 345948 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 345952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345968 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 345975 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 345975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 345978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 345980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 345985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 345990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 345995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 346000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346019 */     GIR_RootConstrainSelectedInstOperands,
     /* 346020 */     // GIR_Coverage, 7908,
     /* 346020 */     GIR_EraseRootFromParent_Done,
     /* 346021 */   // Label 5655: @346021
     /* 346021 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(346156), // Rule ID 12404 //
     /* 346026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 346029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 346033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346073 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346078 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346087 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346096 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346110 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 346113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 346120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 346125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 346130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 346135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346154 */     GIR_RootConstrainSelectedInstOperands,
     /* 346155 */     // GIR_Coverage, 12404,
     /* 346155 */     GIR_EraseRootFromParent_Done,
     /* 346156 */   // Label 5656: @346156
     /* 346156 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(346291), // Rule ID 12407 //
     /* 346161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 346164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 346168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346196 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346200 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346204 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346208 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346208 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346213 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346213 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346218 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346231 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346238 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346245 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 346248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 346255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 346260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 346265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 346270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346289 */     GIR_RootConstrainSelectedInstOperands,
     /* 346290 */     // GIR_Coverage, 12407,
     /* 346290 */     GIR_EraseRootFromParent_Done,
     /* 346291 */   // Label 5657: @346291
     /* 346291 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(346426), // Rule ID 12408 //
     /* 346296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 346299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 346303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346331 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346343 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346343 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346348 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346348 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346353 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346357 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346373 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346380 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 346383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 346390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 346395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 346400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 346405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346424 */     GIR_RootConstrainSelectedInstOperands,
     /* 346425 */     // GIR_Coverage, 12408,
     /* 346425 */     GIR_EraseRootFromParent_Done,
     /* 346426 */   // Label 5658: @346426
     /* 346426 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(346561), // Rule ID 12884 //
     /* 346431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 346434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 346438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346466 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346478 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346478 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346483 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346492 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346508 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346515 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 346518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 346525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 346530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 346535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 346540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346559 */     GIR_RootConstrainSelectedInstOperands,
     /* 346560 */     // GIR_Coverage, 12884,
     /* 346560 */     GIR_EraseRootFromParent_Done,
     /* 346561 */   // Label 5659: @346561
     /* 346561 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(346696), // Rule ID 12887 //
     /* 346566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 346569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 346573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346601 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346605 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346609 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346613 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346613 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346618 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346618 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346623 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346627 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346643 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346650 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 346653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 346660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 346665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 346670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 346675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346694 */     GIR_RootConstrainSelectedInstOperands,
     /* 346695 */     // GIR_Coverage, 12887,
     /* 346695 */     GIR_EraseRootFromParent_Done,
     /* 346696 */   // Label 5660: @346696
     /* 346696 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(346831), // Rule ID 12888 //
     /* 346701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 346704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 346708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346748 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346753 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346758 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346771 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346778 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346785 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 346788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 346795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 346800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 346805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 346810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346829 */     GIR_RootConstrainSelectedInstOperands,
     /* 346830 */     // GIR_Coverage, 12888,
     /* 346830 */     GIR_EraseRootFromParent_Done,
     /* 346831 */   // Label 5661: @346831
     /* 346831 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(346966), // Rule ID 13364 //
     /* 346836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 346839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 346843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 346867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 346871 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 346875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 346879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 346883 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 346883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 346888 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 346888 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 346893 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 346897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346913 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 346920 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 346920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 346923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 346925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 346930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 346935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 346940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 346945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 346950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 346955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346964 */     GIR_RootConstrainSelectedInstOperands,
     /* 346965 */     // GIR_Coverage, 13364,
     /* 346965 */     GIR_EraseRootFromParent_Done,
     /* 346966 */   // Label 5662: @346966
     /* 346966 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(347101), // Rule ID 13367 //
     /* 346971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 346974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 346978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 346986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 346990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 346994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347006 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 347018 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347018 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347023 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347023 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347028 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347055 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 347058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 347065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 347070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 347075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 347080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347099 */     GIR_RootConstrainSelectedInstOperands,
     /* 347100 */     // GIR_Coverage, 13367,
     /* 347100 */     GIR_EraseRootFromParent_Done,
     /* 347101 */   // Label 5663: @347101
     /* 347101 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(347236), // Rule ID 13368 //
     /* 347106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 347109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347145 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347149 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 347153 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347153 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347158 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347158 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347163 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347183 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347190 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 347193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 347200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 347205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 347210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 347215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347234 */     GIR_RootConstrainSelectedInstOperands,
     /* 347235 */     // GIR_Coverage, 13368,
     /* 347235 */     GIR_EraseRootFromParent_Done,
     /* 347236 */   // Label 5664: @347236
     /* 347236 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(347371), // Rule ID 7843 //
     /* 347241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 347244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347288 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347293 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347325 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 347328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 347335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 347340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 347345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 347350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347369 */     GIR_RootConstrainSelectedInstOperands,
     /* 347370 */     // GIR_Coverage, 7843,
     /* 347370 */     GIR_EraseRootFromParent_Done,
     /* 347371 */   // Label 5665: @347371
     /* 347371 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(347506), // Rule ID 7875 //
     /* 347376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 347379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 347383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347423 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347428 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347433 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347453 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347460 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 347463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 347470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 347475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 347480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 347485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347504 */     GIR_RootConstrainSelectedInstOperands,
     /* 347505 */     // GIR_Coverage, 7875,
     /* 347505 */     GIR_EraseRootFromParent_Done,
     /* 347506 */   // Label 5666: @347506
     /* 347506 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(347641), // Rule ID 7907 //
     /* 347511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 347514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347558 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347558 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347563 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347563 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347568 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347588 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347595 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 347598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 347605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 347610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 347615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 347620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347639 */     GIR_RootConstrainSelectedInstOperands,
     /* 347640 */     // GIR_Coverage, 7907,
     /* 347640 */     GIR_EraseRootFromParent_Done,
     /* 347641 */   // Label 5667: @347641
     /* 347641 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(347776), // Rule ID 12389 //
     /* 347646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 347649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347681 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347693 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347698 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347698 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347703 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347716 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347723 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347730 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 347733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 347740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 347745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 347750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 347755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347774 */     GIR_RootConstrainSelectedInstOperands,
     /* 347775 */     // GIR_Coverage, 12389,
     /* 347775 */     GIR_EraseRootFromParent_Done,
     /* 347776 */   // Label 5668: @347776
     /* 347776 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(347911), // Rule ID 12392 //
     /* 347781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 347784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347816 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347828 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347828 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347833 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347833 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347838 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347842 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347858 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347865 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 347865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 347868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 347870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 347875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 347880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 347885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 347890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 347895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 347900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347909 */     GIR_RootConstrainSelectedInstOperands,
     /* 347910 */     // GIR_Coverage, 12392,
     /* 347910 */     GIR_EraseRootFromParent_Done,
     /* 347911 */   // Label 5669: @347911
     /* 347911 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(348046), // Rule ID 12393 //
     /* 347916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 347919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 347923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 347931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 347935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 347939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 347947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 347951 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 347955 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 347959 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 347963 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 347963 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 347968 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 347968 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 347973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 347977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 347993 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348000 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 348003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 348010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 348015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 348020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 348025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348044 */     GIR_RootConstrainSelectedInstOperands,
     /* 348045 */     // GIR_Coverage, 12393,
     /* 348045 */     GIR_EraseRootFromParent_Done,
     /* 348046 */   // Label 5670: @348046
     /* 348046 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(348181), // Rule ID 12869 //
     /* 348051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 348054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 348058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348098 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348103 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348103 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348112 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348128 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348135 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 348138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 348145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 348150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 348155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 348160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348179 */     GIR_RootConstrainSelectedInstOperands,
     /* 348180 */     // GIR_Coverage, 12869,
     /* 348180 */     GIR_EraseRootFromParent_Done,
     /* 348181 */   // Label 5671: @348181
     /* 348181 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(348316), // Rule ID 12872 //
     /* 348186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 348189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 348193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348233 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348238 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348238 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348256 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348263 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348270 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 348273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 348280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 348285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 348290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 348295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348314 */     GIR_RootConstrainSelectedInstOperands,
     /* 348315 */     // GIR_Coverage, 12872,
     /* 348315 */     GIR_EraseRootFromParent_Done,
     /* 348316 */   // Label 5672: @348316
     /* 348316 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(348451), // Rule ID 12873 //
     /* 348321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 348324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 348328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348368 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348373 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348373 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348382 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348405 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 348408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 348415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 348420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 348425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 348430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348449 */     GIR_RootConstrainSelectedInstOperands,
     /* 348450 */     // GIR_Coverage, 12873,
     /* 348450 */     GIR_EraseRootFromParent_Done,
     /* 348451 */   // Label 5673: @348451
     /* 348451 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(348586), // Rule ID 13349 //
     /* 348456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 348459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 348463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348491 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348503 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348503 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348508 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348508 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348533 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348540 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 348543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 348550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 348555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 348560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 348565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348584 */     GIR_RootConstrainSelectedInstOperands,
     /* 348585 */     // GIR_Coverage, 13349,
     /* 348585 */     GIR_EraseRootFromParent_Done,
     /* 348586 */   // Label 5674: @348586
     /* 348586 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(348721), // Rule ID 13352 //
     /* 348591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 348594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 348598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348638 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348638 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348643 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348648 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348652 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348668 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348675 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 348678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 348685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 348690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 348695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 348700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348719 */     GIR_RootConstrainSelectedInstOperands,
     /* 348720 */     // GIR_Coverage, 13352,
     /* 348720 */     GIR_EraseRootFromParent_Done,
     /* 348721 */   // Label 5675: @348721
     /* 348721 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(348856), // Rule ID 13353 //
     /* 348726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 348729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 348733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 348757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348761 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 348769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 348773 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348778 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348783 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348803 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348810 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 348813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 348820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 348825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 348830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 348835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348854 */     GIR_RootConstrainSelectedInstOperands,
     /* 348855 */     // GIR_Coverage, 13353,
     /* 348855 */     GIR_EraseRootFromParent_Done,
     /* 348856 */   // Label 5676: @348856
     /* 348856 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(348991), // Rule ID 12375 //
     /* 348861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 348864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 348868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 348880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 348884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 348892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 348896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 348900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 348904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 348908 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 348908 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 348913 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 348913 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 348918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 348922 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348938 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 348945 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 348945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 348948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 348950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 348955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 348960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 348965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 348970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 348975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 348980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348989 */     GIR_RootConstrainSelectedInstOperands,
     /* 348990 */     // GIR_Coverage, 12375,
     /* 348990 */     GIR_EraseRootFromParent_Done,
     /* 348991 */   // Label 5677: @348991
     /* 348991 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(349126), // Rule ID 12376 //
     /* 348996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 348999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 349003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349031 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349035 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349039 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349043 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349048 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349048 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349073 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349080 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 349083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 349090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 349095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 349100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 349105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349124 */     GIR_RootConstrainSelectedInstOperands,
     /* 349125 */     // GIR_Coverage, 12376,
     /* 349125 */     GIR_EraseRootFromParent_Done,
     /* 349126 */   // Label 5678: @349126
     /* 349126 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(349261), // Rule ID 12379 //
     /* 349131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 349134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 349138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349170 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349174 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349178 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349183 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349192 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349208 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349215 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 349218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 349225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 349230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 349235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 349240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349259 */     GIR_RootConstrainSelectedInstOperands,
     /* 349260 */     // GIR_Coverage, 12379,
     /* 349260 */     GIR_EraseRootFromParent_Done,
     /* 349261 */   // Label 5679: @349261
     /* 349261 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(349396), // Rule ID 12380 //
     /* 349266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 349269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 349273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349301 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349313 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349313 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349318 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349318 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349323 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349327 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349343 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349350 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 349353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 349360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 349365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 349370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 349375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349394 */     GIR_RootConstrainSelectedInstOperands,
     /* 349395 */     // GIR_Coverage, 12380,
     /* 349395 */     GIR_EraseRootFromParent_Done,
     /* 349396 */   // Label 5680: @349396
     /* 349396 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(349531), // Rule ID 12855 //
     /* 349401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 349404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 349408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349436 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349448 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349448 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349453 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349458 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349464 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349485 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 349488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 349495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 349500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 349505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 349510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349529 */     GIR_RootConstrainSelectedInstOperands,
     /* 349530 */     // GIR_Coverage, 12855,
     /* 349530 */     GIR_EraseRootFromParent_Done,
     /* 349531 */   // Label 5681: @349531
     /* 349531 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(349666), // Rule ID 12856 //
     /* 349536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 349539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 349543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349583 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349588 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349593 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349613 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349620 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 349623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 349630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 349635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 349640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 349645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349664 */     GIR_RootConstrainSelectedInstOperands,
     /* 349665 */     // GIR_Coverage, 12856,
     /* 349665 */     GIR_EraseRootFromParent_Done,
     /* 349666 */   // Label 5682: @349666
     /* 349666 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(349801), // Rule ID 12859 //
     /* 349671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 349674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 349678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349706 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349718 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349723 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349732 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349755 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 349758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 349765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 349770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 349775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 349780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349799 */     GIR_RootConstrainSelectedInstOperands,
     /* 349800 */     // GIR_Coverage, 12859,
     /* 349800 */     GIR_EraseRootFromParent_Done,
     /* 349801 */   // Label 5683: @349801
     /* 349801 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(349936), // Rule ID 12860 //
     /* 349806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 349809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 349813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349841 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349845 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349849 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349853 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349853 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349858 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349858 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349863 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 349867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 349869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 349890 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 349890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 349893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 349895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 349900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 349905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 349910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 349915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 349920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 349925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349934 */     GIR_RootConstrainSelectedInstOperands,
     /* 349935 */     // GIR_Coverage, 12860,
     /* 349935 */     GIR_EraseRootFromParent_Done,
     /* 349936 */   // Label 5684: @349936
     /* 349936 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(350071), // Rule ID 13335 //
     /* 349941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 349944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 349948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 349960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 349964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 349972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 349976 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 349980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 349984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 349988 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 349988 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 349993 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 349993 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 349998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350018 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350025 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 350028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 350035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 350040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 350045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 350050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350069 */     GIR_RootConstrainSelectedInstOperands,
     /* 350070 */     // GIR_Coverage, 13335,
     /* 350070 */     GIR_EraseRootFromParent_Done,
     /* 350071 */   // Label 5685: @350071
     /* 350071 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(350206), // Rule ID 13336 //
     /* 350076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 350079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350111 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 350123 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350123 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350128 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350128 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350137 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350153 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350160 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 350163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 350170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 350175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 350180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 350185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350204 */     GIR_RootConstrainSelectedInstOperands,
     /* 350205 */     // GIR_Coverage, 13336,
     /* 350205 */     GIR_EraseRootFromParent_Done,
     /* 350206 */   // Label 5686: @350206
     /* 350206 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(350341), // Rule ID 13339 //
     /* 350211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 350214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350246 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350250 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 350258 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350263 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350268 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350288 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350295 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 350298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 350305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 350310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 350315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 350320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350339 */     GIR_RootConstrainSelectedInstOperands,
     /* 350340 */     // GIR_Coverage, 13339,
     /* 350340 */     GIR_EraseRootFromParent_Done,
     /* 350341 */   // Label 5687: @350341
     /* 350341 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(350476), // Rule ID 13340 //
     /* 350346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 350349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 350393 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350398 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350430 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 350433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 350440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 350445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 350450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 350455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350474 */     GIR_RootConstrainSelectedInstOperands,
     /* 350475 */     // GIR_Coverage, 13340,
     /* 350475 */     GIR_EraseRootFromParent_Done,
     /* 350476 */   // Label 5688: @350476
     /* 350476 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(350611), // Rule ID 12360 //
     /* 350481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 350484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350516 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 350528 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350533 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350533 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350558 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350565 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 350568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 350575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 350580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 350585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 350590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350609 */     GIR_RootConstrainSelectedInstOperands,
     /* 350610 */     // GIR_Coverage, 12360,
     /* 350610 */     GIR_EraseRootFromParent_Done,
     /* 350611 */   // Label 5689: @350611
     /* 350611 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(350746), // Rule ID 12361 //
     /* 350616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 350619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350651 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 350663 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350668 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350668 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350673 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350679 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350700 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 350703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 350710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 350715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 350720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 350725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350744 */     GIR_RootConstrainSelectedInstOperands,
     /* 350745 */     // GIR_Coverage, 12361,
     /* 350745 */     GIR_EraseRootFromParent_Done,
     /* 350746 */   // Label 5690: @350746
     /* 350746 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(350881), // Rule ID 12364 //
     /* 350751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 350754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350790 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350794 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 350798 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350798 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350803 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350808 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350835 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 350838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 350845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 350850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 350855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 350860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 350865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 350870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350879 */     GIR_RootConstrainSelectedInstOperands,
     /* 350880 */     // GIR_Coverage, 12364,
     /* 350880 */     GIR_EraseRootFromParent_Done,
     /* 350881 */   // Label 5691: @350881
     /* 350881 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(351016), // Rule ID 12365 //
     /* 350886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 350889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 350893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 350905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 350909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 350917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 350921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 350925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 350929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 350933 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 350933 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 350938 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 350938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 350943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 350947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350963 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 350970 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 350970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 350973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 350975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 350980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 350985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 350990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 350995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351014 */     GIR_RootConstrainSelectedInstOperands,
     /* 351015 */     // GIR_Coverage, 12365,
     /* 351015 */     GIR_EraseRootFromParent_Done,
     /* 351016 */   // Label 5692: @351016
     /* 351016 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(351151), // Rule ID 12840 //
     /* 351021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 351024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 351028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351056 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351068 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351073 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351078 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351105 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 351108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 351115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 351120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 351125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 351130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351149 */     GIR_RootConstrainSelectedInstOperands,
     /* 351150 */     // GIR_Coverage, 12840,
     /* 351150 */     GIR_EraseRootFromParent_Done,
     /* 351151 */   // Label 5693: @351151
     /* 351151 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(351286), // Rule ID 12841 //
     /* 351156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 351159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 351163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351191 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351203 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351208 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351208 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351213 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351226 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351233 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351240 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 351243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 351250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 351255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 351260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 351265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351284 */     GIR_RootConstrainSelectedInstOperands,
     /* 351285 */     // GIR_Coverage, 12841,
     /* 351285 */     GIR_EraseRootFromParent_Done,
     /* 351286 */   // Label 5694: @351286
     /* 351286 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(351421), // Rule ID 12844 //
     /* 351291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 351294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 351298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351326 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351338 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351343 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351343 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351352 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351368 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351375 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 351378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 351385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 351390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 351395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 351400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351419 */     GIR_RootConstrainSelectedInstOperands,
     /* 351420 */     // GIR_Coverage, 12844,
     /* 351420 */     GIR_EraseRootFromParent_Done,
     /* 351421 */   // Label 5695: @351421
     /* 351421 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(351556), // Rule ID 12845 //
     /* 351426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 351429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 351433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351473 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351473 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351478 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351478 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351483 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351487 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351510 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 351513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 351520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 351525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 351530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 351535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351554 */     GIR_RootConstrainSelectedInstOperands,
     /* 351555 */     // GIR_Coverage, 12845,
     /* 351555 */     GIR_EraseRootFromParent_Done,
     /* 351556 */   // Label 5696: @351556
     /* 351556 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(351691), // Rule ID 13320 //
     /* 351561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 351564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 351568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351600 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351604 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351608 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351608 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351613 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351613 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351618 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351638 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351645 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 351648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 351655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 351660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 351665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 351670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351689 */     GIR_RootConstrainSelectedInstOperands,
     /* 351690 */     // GIR_Coverage, 13320,
     /* 351690 */     GIR_EraseRootFromParent_Done,
     /* 351691 */   // Label 5697: @351691
     /* 351691 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(351826), // Rule ID 13321 //
     /* 351696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 351699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 351703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351743 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351748 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351757 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351780 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 351783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 351790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 351795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 351800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 351805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351824 */     GIR_RootConstrainSelectedInstOperands,
     /* 351825 */     // GIR_Coverage, 13321,
     /* 351825 */     GIR_EraseRootFromParent_Done,
     /* 351826 */   // Label 5698: @351826
     /* 351826 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(351961), // Rule ID 13324 //
     /* 351831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 351834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 351838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 351866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 351870 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 351874 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 351878 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 351878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 351883 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 351883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 351888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 351892 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 351894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 351915 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 351915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 351918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 351920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 351925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 351930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 351935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 351940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 351945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 351950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351959 */     GIR_RootConstrainSelectedInstOperands,
     /* 351960 */     // GIR_Coverage, 13324,
     /* 351960 */     GIR_EraseRootFromParent_Done,
     /* 351961 */   // Label 5699: @351961
     /* 351961 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(352096), // Rule ID 13325 //
     /* 351966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 351969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 351973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 351985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 351989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 351997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352001 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 352009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 352013 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352018 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352018 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352023 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352027 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352050 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 352053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 352060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 352065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 352070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 352075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352094 */     GIR_RootConstrainSelectedInstOperands,
     /* 352095 */     // GIR_Coverage, 13325,
     /* 352095 */     GIR_EraseRootFromParent_Done,
     /* 352096 */   // Label 5700: @352096
     /* 352096 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(352231), // Rule ID 7842 //
     /* 352101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 352104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 352108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352136 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352140 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352148 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352148 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352153 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352153 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352158 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352185 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 352188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 352195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 352200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 352205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 352210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352229 */     GIR_RootConstrainSelectedInstOperands,
     /* 352230 */     // GIR_Coverage, 7842,
     /* 352230 */     GIR_EraseRootFromParent_Done,
     /* 352231 */   // Label 5701: @352231
     /* 352231 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(352366), // Rule ID 7874 //
     /* 352236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 352239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 352243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352283 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352283 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352288 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352313 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352320 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 352323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 352330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 352335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 352340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 352345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352364 */     GIR_RootConstrainSelectedInstOperands,
     /* 352365 */     // GIR_Coverage, 7874,
     /* 352365 */     GIR_EraseRootFromParent_Done,
     /* 352366 */   // Label 5702: @352366
     /* 352366 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(352501), // Rule ID 7906 //
     /* 352371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 352374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 352378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352410 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352414 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352418 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352418 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352423 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352455 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 352458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 352465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 352470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 352475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 352480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352499 */     GIR_RootConstrainSelectedInstOperands,
     /* 352500 */     // GIR_Coverage, 7906,
     /* 352500 */     GIR_EraseRootFromParent_Done,
     /* 352501 */   // Label 5703: @352501
     /* 352501 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(352636), // Rule ID 12374 //
     /* 352506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 352509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 352513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352553 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352553 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352558 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352558 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352590 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 352593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 352600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 352605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 352610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 352615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352634 */     GIR_RootConstrainSelectedInstOperands,
     /* 352635 */     // GIR_Coverage, 12374,
     /* 352635 */     GIR_EraseRootFromParent_Done,
     /* 352636 */   // Label 5704: @352636
     /* 352636 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(352771), // Rule ID 12377 //
     /* 352641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 352644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 352648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352676 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352680 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352684 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352688 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352693 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352698 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352702 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352711 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352718 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352725 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 352728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 352735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 352740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 352745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 352750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352769 */     GIR_RootConstrainSelectedInstOperands,
     /* 352770 */     // GIR_Coverage, 12377,
     /* 352770 */     GIR_EraseRootFromParent_Done,
     /* 352771 */   // Label 5705: @352771
     /* 352771 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(352906), // Rule ID 12378 //
     /* 352776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 352779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 352783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352815 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352819 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352823 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352828 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352828 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352833 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352837 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352860 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 352863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 352865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 352870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 352875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 352880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 352885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 352890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 352895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352904 */     GIR_RootConstrainSelectedInstOperands,
     /* 352905 */     // GIR_Coverage, 12378,
     /* 352905 */     GIR_EraseRootFromParent_Done,
     /* 352906 */   // Label 5706: @352906
     /* 352906 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(353041), // Rule ID 12854 //
     /* 352911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 352914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 352918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 352930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 352934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 352942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 352946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 352950 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 352954 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 352958 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 352958 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 352963 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 352963 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 352968 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 352972 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 352995 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 352995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 352998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 353005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 353010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 353015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 353020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353039 */     GIR_RootConstrainSelectedInstOperands,
     /* 353040 */     // GIR_Coverage, 12854,
     /* 353040 */     GIR_EraseRootFromParent_Done,
     /* 353041 */   // Label 5707: @353041
     /* 353041 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(353176), // Rule ID 12857 //
     /* 353046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 353049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 353053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353081 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353085 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353089 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 353093 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353093 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353098 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353130 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 353133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 353140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 353145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 353150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 353155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353174 */     GIR_RootConstrainSelectedInstOperands,
     /* 353175 */     // GIR_Coverage, 12857,
     /* 353175 */     GIR_EraseRootFromParent_Done,
     /* 353176 */   // Label 5708: @353176
     /* 353176 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(353311), // Rule ID 12858 //
     /* 353181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 353184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 353188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353216 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 353228 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353233 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353238 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353265 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 353268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 353275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 353280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 353285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 353290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353309 */     GIR_RootConstrainSelectedInstOperands,
     /* 353310 */     // GIR_Coverage, 12858,
     /* 353310 */     GIR_EraseRootFromParent_Done,
     /* 353311 */   // Label 5709: @353311
     /* 353311 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(353446), // Rule ID 13334 //
     /* 353316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 353319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 353323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353351 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 353363 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353368 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353400 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 353403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 353410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 353415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 353420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 353425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353444 */     GIR_RootConstrainSelectedInstOperands,
     /* 353445 */     // GIR_Coverage, 13334,
     /* 353445 */     GIR_EraseRootFromParent_Done,
     /* 353446 */   // Label 5710: @353446
     /* 353446 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(353581), // Rule ID 13337 //
     /* 353451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 353454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 353458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353486 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 353498 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353498 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353503 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353503 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353508 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353535 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 353538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 353545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 353550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 353555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 353560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353579 */     GIR_RootConstrainSelectedInstOperands,
     /* 353580 */     // GIR_Coverage, 13337,
     /* 353580 */     GIR_EraseRootFromParent_Done,
     /* 353581 */   // Label 5711: @353581
     /* 353581 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(353716), // Rule ID 13338 //
     /* 353586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 353589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 353593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 353633 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353633 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353638 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353638 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353643 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353656 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353663 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353670 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 353673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 353680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 353685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 353690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 353695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353714 */     GIR_RootConstrainSelectedInstOperands,
     /* 353715 */     // GIR_Coverage, 13338,
     /* 353715 */     GIR_EraseRootFromParent_Done,
     /* 353716 */   // Label 5712: @353716
     /* 353716 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(353851), // Rule ID 7841 //
     /* 353721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 353724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 353728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353756 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 353768 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353768 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353773 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353778 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353805 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 353808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 353815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 353820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 353825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 353830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353849 */     GIR_RootConstrainSelectedInstOperands,
     /* 353850 */     // GIR_Coverage, 7841,
     /* 353850 */     GIR_EraseRootFromParent_Done,
     /* 353851 */   // Label 5713: @353851
     /* 353851 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(353986), // Rule ID 7873 //
     /* 353856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 353859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 353863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 353875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 353879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 353887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 353891 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 353895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 353899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 353903 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 353903 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 353908 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 353908 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 353913 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 353917 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 353940 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 353940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 353943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 353945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 353950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 353955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 353960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 353965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 353970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 353975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353984 */     GIR_RootConstrainSelectedInstOperands,
     /* 353985 */     // GIR_Coverage, 7873,
     /* 353985 */     GIR_EraseRootFromParent_Done,
     /* 353986 */   // Label 5714: @353986
     /* 353986 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(354121), // Rule ID 7905 //
     /* 353991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 353994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 353998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354038 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354043 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354075 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 354078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 354085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 354090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 354095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 354100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354119 */     GIR_RootConstrainSelectedInstOperands,
     /* 354120 */     // GIR_Coverage, 7905,
     /* 354120 */     GIR_EraseRootFromParent_Done,
     /* 354121 */   // Label 5715: @354121
     /* 354121 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(354256), // Rule ID 12359 //
     /* 354126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 354129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 354133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354161 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354173 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354178 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354210 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 354213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 354220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 354225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 354230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 354235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354254 */     GIR_RootConstrainSelectedInstOperands,
     /* 354255 */     // GIR_Coverage, 12359,
     /* 354255 */     GIR_EraseRootFromParent_Done,
     /* 354256 */   // Label 5716: @354256
     /* 354256 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(354391), // Rule ID 12362 //
     /* 354261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 354264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 354268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354308 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354313 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354313 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354318 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354338 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354345 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 354348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 354355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 354360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 354365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 354370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354389 */     GIR_RootConstrainSelectedInstOperands,
     /* 354390 */     // GIR_Coverage, 12362,
     /* 354390 */     GIR_EraseRootFromParent_Done,
     /* 354391 */   // Label 5717: @354391
     /* 354391 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(354526), // Rule ID 12363 //
     /* 354396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 354399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 354403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354431 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354435 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354439 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354443 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354443 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354448 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354448 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354453 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354480 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 354483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 354490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 354495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 354500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 354505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354524 */     GIR_RootConstrainSelectedInstOperands,
     /* 354525 */     // GIR_Coverage, 12363,
     /* 354525 */     GIR_EraseRootFromParent_Done,
     /* 354526 */   // Label 5718: @354526
     /* 354526 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(354661), // Rule ID 12839 //
     /* 354531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 354534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 354538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354578 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354578 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354583 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354592 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354608 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354615 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 354618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 354625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 354630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 354635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 354640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354659 */     GIR_RootConstrainSelectedInstOperands,
     /* 354660 */     // GIR_Coverage, 12839,
     /* 354660 */     GIR_EraseRootFromParent_Done,
     /* 354661 */   // Label 5719: @354661
     /* 354661 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(354796), // Rule ID 12842 //
     /* 354666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 354669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 354673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354701 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354713 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354718 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354750 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 354753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 354760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 354765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 354770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 354775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354794 */     GIR_RootConstrainSelectedInstOperands,
     /* 354795 */     // GIR_Coverage, 12842,
     /* 354795 */     GIR_EraseRootFromParent_Done,
     /* 354796 */   // Label 5720: @354796
     /* 354796 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(354931), // Rule ID 12843 //
     /* 354801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 354804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 354808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354836 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354848 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354853 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354853 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 354885 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 354885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 354888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 354890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 354895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 354900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 354905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 354910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 354915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 354920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354929 */     GIR_RootConstrainSelectedInstOperands,
     /* 354930 */     // GIR_Coverage, 12843,
     /* 354930 */     GIR_EraseRootFromParent_Done,
     /* 354931 */   // Label 5721: @354931
     /* 354931 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(355066), // Rule ID 13319 //
     /* 354936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 354939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 354943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 354955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 354959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 354967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 354971 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 354975 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354979 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 354983 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 354983 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 354988 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 354988 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 354993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 354997 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355013 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355020 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 355023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 355030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 355035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 355040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 355045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 355050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 355055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355064 */     GIR_RootConstrainSelectedInstOperands,
     /* 355065 */     // GIR_Coverage, 13319,
     /* 355065 */     GIR_EraseRootFromParent_Done,
     /* 355066 */   // Label 5722: @355066
     /* 355066 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(355201), // Rule ID 13322 //
     /* 355071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 355074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355106 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 355114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 355118 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355118 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 355123 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355123 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 355128 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355132 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355155 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 355158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 355165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 355170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 355175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 355180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 355185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 355190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355199 */     GIR_RootConstrainSelectedInstOperands,
     /* 355200 */     // GIR_Coverage, 13322,
     /* 355200 */     GIR_EraseRootFromParent_Done,
     /* 355201 */   // Label 5723: @355201
     /* 355201 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(355336), // Rule ID 13323 //
     /* 355206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 355209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355245 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 355249 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 355253 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355253 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 355258 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 355263 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355267 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355283 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355290 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 355293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 355300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 355305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 355310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 355315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 355320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 355325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355334 */     GIR_RootConstrainSelectedInstOperands,
     /* 355335 */     // GIR_Coverage, 13323,
     /* 355335 */     GIR_EraseRootFromParent_Done,
     /* 355336 */   // Label 5724: @355336
     /* 355336 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(355471), // Rule ID 12445 //
     /* 355341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 355344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 355372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 355384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 355388 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 355393 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 355398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355402 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355411 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355425 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 355428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 355435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 355440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 355445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 355450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 355455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 355460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355469 */     GIR_RootConstrainSelectedInstOperands,
     /* 355470 */     // GIR_Coverage, 12445,
     /* 355470 */     GIR_EraseRootFromParent_Done,
     /* 355471 */   // Label 5725: @355471
     /* 355471 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(355606), // Rule ID 12446 //
     /* 355476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 355479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 355507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355511 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355515 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 355519 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 355523 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 355528 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 355533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355537 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355546 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355553 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355560 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 355563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 355570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 355575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 355580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 355585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 355590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 355595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355604 */     GIR_RootConstrainSelectedInstOperands,
     /* 355605 */     // GIR_Coverage, 12446,
     /* 355605 */     GIR_EraseRootFromParent_Done,
     /* 355606 */   // Label 5726: @355606
     /* 355606 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(355741), // Rule ID 12447 //
     /* 355611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 355614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 355642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355646 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355650 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 355654 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 355658 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 355663 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 355668 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355672 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355695 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 355698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 355705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 355710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 355715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 355720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 355725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 355730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355739 */     GIR_RootConstrainSelectedInstOperands,
     /* 355740 */     // GIR_Coverage, 12447,
     /* 355740 */     GIR_EraseRootFromParent_Done,
     /* 355741 */   // Label 5727: @355741
     /* 355741 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(355876), // Rule ID 12448 //
     /* 355746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 355749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 355753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 355777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355785 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 355789 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 355793 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 355798 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355798 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 355803 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355816 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355823 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355830 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 355833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 355840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 355845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 355850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 355855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 355860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 355865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355874 */     GIR_RootConstrainSelectedInstOperands,
     /* 355875 */     // GIR_Coverage, 12448,
     /* 355875 */     GIR_EraseRootFromParent_Done,
     /* 355876 */   // Label 5728: @355876
     /* 355876 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(356011), // Rule ID 12925 //
     /* 355881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 355884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 355888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 355896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 355900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 355904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 355912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 355916 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 355920 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 355924 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 355928 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 355928 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 355933 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 355933 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 355938 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 355942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355951 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355958 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 355965 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 355965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 355968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 355970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 355975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 355980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 355985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 355990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 355995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356009 */     GIR_RootConstrainSelectedInstOperands,
     /* 356010 */     // GIR_Coverage, 12925,
     /* 356010 */     GIR_EraseRootFromParent_Done,
     /* 356011 */   // Label 5729: @356011
     /* 356011 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(356146), // Rule ID 12926 //
     /* 356016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 356019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 356023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356051 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356063 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356068 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356077 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356086 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356100 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 356103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 356110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 356115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 356120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 356125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356144 */     GIR_RootConstrainSelectedInstOperands,
     /* 356145 */     // GIR_Coverage, 12926,
     /* 356145 */     GIR_EraseRootFromParent_Done,
     /* 356146 */   // Label 5730: @356146
     /* 356146 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(356281), // Rule ID 12927 //
     /* 356151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 356154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 356158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356190 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356194 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356198 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356203 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356212 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356235 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 356238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 356245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 356250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 356255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 356260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356279 */     GIR_RootConstrainSelectedInstOperands,
     /* 356280 */     // GIR_Coverage, 12927,
     /* 356280 */     GIR_EraseRootFromParent_Done,
     /* 356281 */   // Label 5731: @356281
     /* 356281 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(356416), // Rule ID 12928 //
     /* 356286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 356289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 356293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356325 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356329 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356333 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356338 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356363 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356370 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 356373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 356380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 356385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 356390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 356395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356414 */     GIR_RootConstrainSelectedInstOperands,
     /* 356415 */     // GIR_Coverage, 12928,
     /* 356415 */     GIR_EraseRootFromParent_Done,
     /* 356416 */   // Label 5732: @356416
     /* 356416 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(356551), // Rule ID 13405 //
     /* 356421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 356424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 356428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356468 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356468 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356473 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356473 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356478 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356491 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356505 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 356508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 356515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 356520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 356525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 356530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356549 */     GIR_RootConstrainSelectedInstOperands,
     /* 356550 */     // GIR_Coverage, 13405,
     /* 356550 */     GIR_EraseRootFromParent_Done,
     /* 356551 */   // Label 5733: @356551
     /* 356551 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(356686), // Rule ID 13406 //
     /* 356556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 356559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 356563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356603 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356603 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356608 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356608 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356626 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356633 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356640 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 356643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 356650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 356655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 356660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 356665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356684 */     GIR_RootConstrainSelectedInstOperands,
     /* 356685 */     // GIR_Coverage, 13406,
     /* 356685 */     GIR_EraseRootFromParent_Done,
     /* 356686 */   // Label 5734: @356686
     /* 356686 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(356821), // Rule ID 13407 //
     /* 356691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 356694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 356698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356734 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356738 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356743 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356748 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356754 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356775 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 356778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 356785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 356790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 356795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 356800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356819 */     GIR_RootConstrainSelectedInstOperands,
     /* 356820 */     // GIR_Coverage, 13407,
     /* 356820 */     GIR_EraseRootFromParent_Done,
     /* 356821 */   // Label 5735: @356821
     /* 356821 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(356956), // Rule ID 13408 //
     /* 356826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 356829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 356833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356861 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 356865 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 356869 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 356873 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 356873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 356878 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 356878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 356883 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 356887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356896 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 356910 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 356910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 356913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 356915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 356920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 356925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 356930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 356935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 356940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 356945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356954 */     GIR_RootConstrainSelectedInstOperands,
     /* 356955 */     // GIR_Coverage, 13408,
     /* 356955 */     GIR_EraseRootFromParent_Done,
     /* 356956 */   // Label 5736: @356956
     /* 356956 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(357091), // Rule ID 12385 //
     /* 356961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 356964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 356968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 356976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 356980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 356984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 356992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 356996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357008 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357013 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357018 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357045 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 357048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 357055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 357060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 357065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 357070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357089 */     GIR_RootConstrainSelectedInstOperands,
     /* 357090 */     // GIR_Coverage, 12385,
     /* 357090 */     GIR_EraseRootFromParent_Done,
     /* 357091 */   // Label 5737: @357091
     /* 357091 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(357226), // Rule ID 12386 //
     /* 357096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 357099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 357103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357131 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357143 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357148 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357148 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357153 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357173 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357180 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 357183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 357190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 357195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 357200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 357205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357224 */     GIR_RootConstrainSelectedInstOperands,
     /* 357225 */     // GIR_Coverage, 12386,
     /* 357225 */     GIR_EraseRootFromParent_Done,
     /* 357226 */   // Label 5738: @357226
     /* 357226 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(357361), // Rule ID 12387 //
     /* 357231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 357234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 357238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357270 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357274 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357278 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357278 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357283 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357283 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357288 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357301 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357308 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357315 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 357318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 357325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 357330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 357335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 357340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357359 */     GIR_RootConstrainSelectedInstOperands,
     /* 357360 */     // GIR_Coverage, 12387,
     /* 357360 */     GIR_EraseRootFromParent_Done,
     /* 357361 */   // Label 5739: @357361
     /* 357361 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(357496), // Rule ID 12388 //
     /* 357366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 357369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 357373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357401 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357413 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357413 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357418 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357418 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357423 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357436 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357443 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357450 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 357453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 357460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 357465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 357470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 357475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357494 */     GIR_RootConstrainSelectedInstOperands,
     /* 357495 */     // GIR_Coverage, 12388,
     /* 357495 */     GIR_EraseRootFromParent_Done,
     /* 357496 */   // Label 5740: @357496
     /* 357496 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(357631), // Rule ID 12865 //
     /* 357501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 357504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 357508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357548 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357548 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357553 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357553 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357571 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357585 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 357588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 357595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 357600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 357605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 357610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357629 */     GIR_RootConstrainSelectedInstOperands,
     /* 357630 */     // GIR_Coverage, 12865,
     /* 357630 */     GIR_EraseRootFromParent_Done,
     /* 357631 */   // Label 5741: @357631
     /* 357631 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(357766), // Rule ID 12866 //
     /* 357636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 357639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 357643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357671 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357683 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357688 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357720 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 357723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 357730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 357735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 357740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 357745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357764 */     GIR_RootConstrainSelectedInstOperands,
     /* 357765 */     // GIR_Coverage, 12866,
     /* 357765 */     GIR_EraseRootFromParent_Done,
     /* 357766 */   // Label 5742: @357766
     /* 357766 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(357901), // Rule ID 12867 //
     /* 357771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 357774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 357778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357818 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357823 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357828 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357848 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357855 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 357858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 357865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 357870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 357875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 357880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 357885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 357890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357899 */     GIR_RootConstrainSelectedInstOperands,
     /* 357900 */     // GIR_Coverage, 12867,
     /* 357900 */     GIR_EraseRootFromParent_Done,
     /* 357901 */   // Label 5743: @357901
     /* 357901 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(358036), // Rule ID 12868 //
     /* 357906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 357909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 357913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 357925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 357929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 357933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 357937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 357941 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 357945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 357949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 357953 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 357953 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 357958 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 357958 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 357963 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 357967 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 357969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357983 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 357990 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 357990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 357993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 357995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 358000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 358005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 358010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 358015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358034 */     GIR_RootConstrainSelectedInstOperands,
     /* 358035 */     // GIR_Coverage, 12868,
     /* 358035 */     GIR_EraseRootFromParent_Done,
     /* 358036 */   // Label 5744: @358036
     /* 358036 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(358171), // Rule ID 13345 //
     /* 358041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 358044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 358072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358076 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358080 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358084 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358088 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358088 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358093 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358093 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358102 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358125 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 358128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 358135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 358140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 358145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 358150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358169 */     GIR_RootConstrainSelectedInstOperands,
     /* 358170 */     // GIR_Coverage, 13345,
     /* 358170 */     GIR_EraseRootFromParent_Done,
     /* 358171 */   // Label 5745: @358171
     /* 358171 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(358306), // Rule ID 13346 //
     /* 358176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 358179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 358207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358223 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358228 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358239 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358246 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358260 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 358263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 358270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 358275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 358280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 358285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358304 */     GIR_RootConstrainSelectedInstOperands,
     /* 358305 */     // GIR_Coverage, 13346,
     /* 358305 */     GIR_EraseRootFromParent_Done,
     /* 358306 */   // Label 5746: @358306
     /* 358306 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(358441), // Rule ID 13347 //
     /* 358311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 358314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 358342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358346 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358358 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358363 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358368 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358395 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 358398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 358405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 358410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 358415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 358420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358439 */     GIR_RootConstrainSelectedInstOperands,
     /* 358440 */     // GIR_Coverage, 13347,
     /* 358440 */     GIR_EraseRootFromParent_Done,
     /* 358441 */   // Label 5747: @358441
     /* 358441 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(358576), // Rule ID 13348 //
     /* 358446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 358449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 358477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358481 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358493 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358498 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358498 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358516 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358530 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 358533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 358540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 358545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 358550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 358555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358574 */     GIR_RootConstrainSelectedInstOperands,
     /* 358575 */     // GIR_Coverage, 13348,
     /* 358575 */     GIR_EraseRootFromParent_Done,
     /* 358576 */   // Label 5748: @358576
     /* 358576 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(358711), // Rule ID 12430 //
     /* 358581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 358584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 358612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358620 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358624 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 358628 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358633 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358633 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358658 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358665 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 358668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 358675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 358680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 358685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 358690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358709 */     GIR_RootConstrainSelectedInstOperands,
     /* 358710 */     // GIR_Coverage, 12430,
     /* 358710 */     GIR_EraseRootFromParent_Done,
     /* 358711 */   // Label 5749: @358711
     /* 358711 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(358846), // Rule ID 12431 //
     /* 358716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 358719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 358747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 358763 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358763 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358768 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358768 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358779 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358786 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358800 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 358803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 358810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 358815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 358820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 358825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358844 */     GIR_RootConstrainSelectedInstOperands,
     /* 358845 */     // GIR_Coverage, 12431,
     /* 358845 */     GIR_EraseRootFromParent_Done,
     /* 358846 */   // Label 5750: @358846
     /* 358846 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(358981), // Rule ID 12432 //
     /* 358851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 358854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 358866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 358870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 358874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 358878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 358882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 358886 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 358890 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 358894 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 358898 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 358898 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 358903 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 358903 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 358908 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 358912 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358921 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 358935 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 358935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 358938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 358940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 358945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 358950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 358955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 358960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 358965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 358970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358979 */     GIR_RootConstrainSelectedInstOperands,
     /* 358980 */     // GIR_Coverage, 12432,
     /* 358980 */     GIR_EraseRootFromParent_Done,
     /* 358981 */   // Label 5751: @358981
     /* 358981 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(359116), // Rule ID 12433 //
     /* 358986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 358989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 358993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359033 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359038 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359043 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359047 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359070 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 359073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 359080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 359085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 359090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 359095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359114 */     GIR_RootConstrainSelectedInstOperands,
     /* 359115 */     // GIR_Coverage, 12433,
     /* 359115 */     GIR_EraseRootFromParent_Done,
     /* 359116 */   // Label 5752: @359116
     /* 359116 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(359251), // Rule ID 12910 //
     /* 359121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 359124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 359128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359156 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359160 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359164 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359168 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359173 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359182 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359191 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359205 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 359208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 359215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 359220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 359225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 359230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359249 */     GIR_RootConstrainSelectedInstOperands,
     /* 359250 */     // GIR_Coverage, 12910,
     /* 359250 */     GIR_EraseRootFromParent_Done,
     /* 359251 */   // Label 5753: @359251
     /* 359251 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(359386), // Rule ID 12911 //
     /* 359256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 359259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 359263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359303 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359308 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359317 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359319 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359340 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 359343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 359350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 359355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 359360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 359365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359384 */     GIR_RootConstrainSelectedInstOperands,
     /* 359385 */     // GIR_Coverage, 12911,
     /* 359385 */     GIR_EraseRootFromParent_Done,
     /* 359386 */   // Label 5754: @359386
     /* 359386 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(359521), // Rule ID 12912 //
     /* 359391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 359394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 359398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359410 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359426 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359438 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359438 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359443 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359443 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359448 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359452 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359454 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359461 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359468 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359475 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 359478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 359485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 359490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 359495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 359500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359519 */     GIR_RootConstrainSelectedInstOperands,
     /* 359520 */     // GIR_Coverage, 12912,
     /* 359520 */     GIR_EraseRootFromParent_Done,
     /* 359521 */   // Label 5755: @359521
     /* 359521 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(359656), // Rule ID 12913 //
     /* 359526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 359529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 359533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359561 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359565 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359569 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359573 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359573 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359578 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359578 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359589 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359596 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359610 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 359613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 359620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 359625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 359630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 359635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359654 */     GIR_RootConstrainSelectedInstOperands,
     /* 359655 */     // GIR_Coverage, 12913,
     /* 359655 */     GIR_EraseRootFromParent_Done,
     /* 359656 */   // Label 5756: @359656
     /* 359656 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(359791), // Rule ID 13390 //
     /* 359661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 359664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 359668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359708 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359708 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359713 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359722 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359724 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359731 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359745 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 359748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 359755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 359760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 359765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 359770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359789 */     GIR_RootConstrainSelectedInstOperands,
     /* 359790 */     // GIR_Coverage, 13390,
     /* 359790 */     GIR_EraseRootFromParent_Done,
     /* 359791 */   // Label 5757: @359791
     /* 359791 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(359926), // Rule ID 13391 //
     /* 359796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 359799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 359803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359843 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359848 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359857 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359866 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359873 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 359880 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 359880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 359883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 359885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 359890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 359895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 359900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 359905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 359910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 359915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359924 */     GIR_RootConstrainSelectedInstOperands,
     /* 359925 */     // GIR_Coverage, 13391,
     /* 359925 */     GIR_EraseRootFromParent_Done,
     /* 359926 */   // Label 5758: @359926
     /* 359926 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(360061), // Rule ID 13392 //
     /* 359931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 359934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 359938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 359946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 359950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 359954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 359962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 359966 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 359970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 359978 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 359978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 359983 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 359983 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 359988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 359992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360008 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360015 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 360018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 360025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 360030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 360035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 360040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360059 */     GIR_RootConstrainSelectedInstOperands,
     /* 360060 */     // GIR_Coverage, 13392,
     /* 360060 */     GIR_EraseRootFromParent_Done,
     /* 360061 */   // Label 5759: @360061
     /* 360061 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(360196), // Rule ID 13393 //
     /* 360066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 360069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 360073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360101 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 360113 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360118 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360118 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360123 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360143 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360150 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 360153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 360160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 360165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 360170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 360175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360194 */     GIR_RootConstrainSelectedInstOperands,
     /* 360195 */     // GIR_Coverage, 13393,
     /* 360195 */     GIR_EraseRootFromParent_Done,
     /* 360196 */   // Label 5760: @360196
     /* 360196 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(360331), // Rule ID 12370 //
     /* 360201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 360204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 360208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360236 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360248 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360253 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360253 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360278 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360285 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 360288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 360295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 360300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 360305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 360310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360329 */     GIR_RootConstrainSelectedInstOperands,
     /* 360330 */     // GIR_Coverage, 12370,
     /* 360330 */     GIR_EraseRootFromParent_Done,
     /* 360331 */   // Label 5761: @360331
     /* 360331 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(360466), // Rule ID 12371 //
     /* 360336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 360339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 360343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360371 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360375 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360379 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360383 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360383 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360388 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360397 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360399 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360420 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 360423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 360430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 360435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 360440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 360445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360464 */     GIR_RootConstrainSelectedInstOperands,
     /* 360465 */     // GIR_Coverage, 12371,
     /* 360465 */     GIR_EraseRootFromParent_Done,
     /* 360466 */   // Label 5762: @360466
     /* 360466 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(360601), // Rule ID 12372 //
     /* 360471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 360474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 360478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360518 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360523 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360528 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360541 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360548 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360555 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 360558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 360565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 360570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 360575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 360580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360599 */     GIR_RootConstrainSelectedInstOperands,
     /* 360600 */     // GIR_Coverage, 12372,
     /* 360600 */     GIR_EraseRootFromParent_Done,
     /* 360601 */   // Label 5763: @360601
     /* 360601 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(360736), // Rule ID 12373 //
     /* 360606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 360609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 360613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360653 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360658 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360690 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 360693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 360700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 360705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 360710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 360715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360734 */     GIR_RootConstrainSelectedInstOperands,
     /* 360735 */     // GIR_Coverage, 12373,
     /* 360735 */     GIR_EraseRootFromParent_Done,
     /* 360736 */   // Label 5764: @360736
     /* 360736 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(360871), // Rule ID 12850 //
     /* 360741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 360744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 360748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360788 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360793 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360798 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360825 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 360828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 360835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 360840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 360845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 360850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360869 */     GIR_RootConstrainSelectedInstOperands,
     /* 360870 */     // GIR_Coverage, 12850,
     /* 360870 */     GIR_EraseRootFromParent_Done,
     /* 360871 */   // Label 5765: @360871
     /* 360871 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(361006), // Rule ID 12851 //
     /* 360876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 360879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 360883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 360895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 360899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 360907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 360911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 360915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 360923 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 360923 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 360928 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 360928 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 360933 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 360937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360953 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 360960 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 360960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 360963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 360965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 360970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 360975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 360980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 360985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 360990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 360995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361004 */     GIR_RootConstrainSelectedInstOperands,
     /* 361005 */     // GIR_Coverage, 12851,
     /* 361005 */     GIR_EraseRootFromParent_Done,
     /* 361006 */   // Label 5766: @361006
     /* 361006 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(361141), // Rule ID 12852 //
     /* 361011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 361014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 361018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361046 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361050 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361054 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361058 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361058 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361063 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361068 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361072 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361074 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361081 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361088 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361095 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 361098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 361105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 361110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 361115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 361120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361139 */     GIR_RootConstrainSelectedInstOperands,
     /* 361140 */     // GIR_Coverage, 12852,
     /* 361140 */     GIR_EraseRootFromParent_Done,
     /* 361141 */   // Label 5767: @361141
     /* 361141 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(361276), // Rule ID 12853 //
     /* 361146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 361149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 361153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361181 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361193 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361198 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361216 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361230 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 361233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 361240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 361245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 361250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 361255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361274 */     GIR_RootConstrainSelectedInstOperands,
     /* 361275 */     // GIR_Coverage, 12853,
     /* 361275 */     GIR_EraseRootFromParent_Done,
     /* 361276 */   // Label 5768: @361276
     /* 361276 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(361411), // Rule ID 13330 //
     /* 361281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 361284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361316 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361328 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361333 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361365 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 361368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 361375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 361380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 361385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 361390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361409 */     GIR_RootConstrainSelectedInstOperands,
     /* 361410 */     // GIR_Coverage, 13330,
     /* 361410 */     GIR_EraseRootFromParent_Done,
     /* 361411 */   // Label 5769: @361411
     /* 361411 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(361546), // Rule ID 13331 //
     /* 361416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 361419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361463 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361468 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361468 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361473 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361500 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 361503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 361510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 361515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 361520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 361525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361544 */     GIR_RootConstrainSelectedInstOperands,
     /* 361545 */     // GIR_Coverage, 13331,
     /* 361545 */     GIR_EraseRootFromParent_Done,
     /* 361546 */   // Label 5770: @361546
     /* 361546 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(361681), // Rule ID 13332 //
     /* 361551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 361554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361586 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361598 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361598 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361603 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361603 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361608 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361612 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361614 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361628 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361635 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 361638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 361645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 361650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 361655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 361660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361679 */     GIR_RootConstrainSelectedInstOperands,
     /* 361680 */     // GIR_Coverage, 13332,
     /* 361680 */     GIR_EraseRootFromParent_Done,
     /* 361681 */   // Label 5771: @361681
     /* 361681 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(361816), // Rule ID 13333 //
     /* 361686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 361689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 361717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361733 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361738 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361743 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361756 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361763 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361770 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 361773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 361780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 361785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 361790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 361795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 361800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 361805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361814 */     GIR_RootConstrainSelectedInstOperands,
     /* 361815 */     // GIR_Coverage, 13333,
     /* 361815 */     GIR_EraseRootFromParent_Done,
     /* 361816 */   // Label 5772: @361816
     /* 361816 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(361951), // Rule ID 12441 //
     /* 361821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 361824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 361848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 361852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361856 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 361868 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 361868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 361873 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 361873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 361878 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 361882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361884 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361891 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361898 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 361905 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 361905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 361908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 361910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 361915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 361920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 361925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 361930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 361935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 361940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361949 */     GIR_RootConstrainSelectedInstOperands,
     /* 361950 */     // GIR_Coverage, 12441,
     /* 361950 */     GIR_EraseRootFromParent_Done,
     /* 361951 */   // Label 5773: @361951
     /* 361951 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(362086), // Rule ID 12442 //
     /* 361956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 361959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 361963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 361971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 361975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 361979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 361983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 361987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 361991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 361995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 361999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362003 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362008 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362040 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 362043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 362050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 362055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 362060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 362065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362084 */     GIR_RootConstrainSelectedInstOperands,
     /* 362085 */     // GIR_Coverage, 12442,
     /* 362085 */     GIR_EraseRootFromParent_Done,
     /* 362086 */   // Label 5774: @362086
     /* 362086 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(362221), // Rule ID 12443 //
     /* 362091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 362094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 362098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362126 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362138 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362143 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362152 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362175 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 362178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 362185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 362190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 362195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 362200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362219 */     GIR_RootConstrainSelectedInstOperands,
     /* 362220 */     // GIR_Coverage, 12443,
     /* 362220 */     GIR_EraseRootFromParent_Done,
     /* 362221 */   // Label 5775: @362221
     /* 362221 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(362356), // Rule ID 12444 //
     /* 362226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 362229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 362233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362261 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362273 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362273 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362278 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362278 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362283 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362287 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362310 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 362313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 362320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 362325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 362330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 362335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362354 */     GIR_RootConstrainSelectedInstOperands,
     /* 362355 */     // GIR_Coverage, 12444,
     /* 362355 */     GIR_EraseRootFromParent_Done,
     /* 362356 */   // Label 5776: @362356
     /* 362356 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(362491), // Rule ID 12921 //
     /* 362361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 362364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 362368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362396 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362400 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362404 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362408 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362408 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362413 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362413 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362418 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362422 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362424 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362445 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 362448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 362455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 362460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 362465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 362470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362489 */     GIR_RootConstrainSelectedInstOperands,
     /* 362490 */     // GIR_Coverage, 12921,
     /* 362490 */     GIR_EraseRootFromParent_Done,
     /* 362491 */   // Label 5777: @362491
     /* 362491 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(362626), // Rule ID 12922 //
     /* 362496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 362499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 362503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362531 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362535 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362539 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362543 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362543 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362548 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362548 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362553 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362566 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362573 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362580 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 362583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 362590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 362595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 362600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 362605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362624 */     GIR_RootConstrainSelectedInstOperands,
     /* 362625 */     // GIR_Coverage, 12922,
     /* 362625 */     GIR_EraseRootFromParent_Done,
     /* 362626 */   // Label 5778: @362626
     /* 362626 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(362761), // Rule ID 12923 //
     /* 362631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 362634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 362638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362666 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362678 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362683 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362688 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362715 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 362718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 362725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 362730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 362735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 362740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362759 */     GIR_RootConstrainSelectedInstOperands,
     /* 362760 */     // GIR_Coverage, 12923,
     /* 362760 */     GIR_EraseRootFromParent_Done,
     /* 362761 */   // Label 5779: @362761
     /* 362761 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(362896), // Rule ID 12924 //
     /* 362766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 362769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 362773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362801 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362813 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362818 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362829 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362836 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362843 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362850 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 362853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 362860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 362865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 362870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 362875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 362880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 362885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362894 */     GIR_RootConstrainSelectedInstOperands,
     /* 362895 */     // GIR_Coverage, 12924,
     /* 362895 */     GIR_EraseRootFromParent_Done,
     /* 362896 */   // Label 5780: @362896
     /* 362896 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(363031), // Rule ID 13401 //
     /* 362901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 362904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 362908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 362916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 362920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 362924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 362932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 362936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 362940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 362944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 362948 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 362948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 362953 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 362953 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 362958 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 362962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362978 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 362985 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 362985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 362988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 362990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 362995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 363000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 363005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 363010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363029 */     GIR_RootConstrainSelectedInstOperands,
     /* 363030 */     // GIR_Coverage, 13401,
     /* 363030 */     GIR_EraseRootFromParent_Done,
     /* 363031 */   // Label 5781: @363031
     /* 363031 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(363166), // Rule ID 13402 //
     /* 363036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 363039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363071 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 363083 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363083 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363088 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363088 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363093 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363113 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363120 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 363123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 363130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 363135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 363140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 363145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363164 */     GIR_RootConstrainSelectedInstOperands,
     /* 363165 */     // GIR_Coverage, 13402,
     /* 363165 */     GIR_EraseRootFromParent_Done,
     /* 363166 */   // Label 5782: @363166
     /* 363166 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(363301), // Rule ID 13403 //
     /* 363171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 363174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363206 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 363218 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363218 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363223 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363241 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363248 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363255 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 363258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 363265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 363270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 363275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 363280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363299 */     GIR_RootConstrainSelectedInstOperands,
     /* 363300 */     // GIR_Coverage, 13403,
     /* 363300 */     GIR_EraseRootFromParent_Done,
     /* 363301 */   // Label 5783: @363301
     /* 363301 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(363436), // Rule ID 13404 //
     /* 363306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 363309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 363353 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363353 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363358 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363363 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363367 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363390 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 363393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 363400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 363405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 363410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 363415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363434 */     GIR_RootConstrainSelectedInstOperands,
     /* 363435 */     // GIR_Coverage, 13404,
     /* 363435 */     GIR_EraseRootFromParent_Done,
     /* 363436 */   // Label 5784: @363436
     /* 363436 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(363571), // Rule ID 12381 //
     /* 363441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 363444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363488 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363488 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363493 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363518 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363525 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 363528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 363535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 363540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 363545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 363550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363569 */     GIR_RootConstrainSelectedInstOperands,
     /* 363570 */     // GIR_Coverage, 12381,
     /* 363570 */     GIR_EraseRootFromParent_Done,
     /* 363571 */   // Label 5785: @363571
     /* 363571 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(363706), // Rule ID 12382 //
     /* 363576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 363579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363623 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363623 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363628 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363653 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363660 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 363663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 363670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 363675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 363680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 363685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363704 */     GIR_RootConstrainSelectedInstOperands,
     /* 363705 */     // GIR_Coverage, 12382,
     /* 363705 */     GIR_EraseRootFromParent_Done,
     /* 363706 */   // Label 5786: @363706
     /* 363706 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(363841), // Rule ID 12383 //
     /* 363711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 363714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363746 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363758 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363763 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363763 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363788 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363795 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 363798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 363805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 363810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 363815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 363820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363839 */     GIR_RootConstrainSelectedInstOperands,
     /* 363840 */     // GIR_Coverage, 12383,
     /* 363840 */     GIR_EraseRootFromParent_Done,
     /* 363841 */   // Label 5787: @363841
     /* 363841 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(363976), // Rule ID 12384 //
     /* 363846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 363849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 363853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 363865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 363869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 363873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 363877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363881 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 363885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 363889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363893 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 363893 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 363898 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 363898 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 363903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 363907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363923 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 363930 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 363930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 363933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 363935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 363940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 363945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 363950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 363955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 363960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 363965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363974 */     GIR_RootConstrainSelectedInstOperands,
     /* 363975 */     // GIR_Coverage, 12384,
     /* 363975 */     GIR_EraseRootFromParent_Done,
     /* 363976 */   // Label 5788: @363976
     /* 363976 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(364111), // Rule ID 12861 //
     /* 363981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 363984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 363988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 363996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364024 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364028 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364033 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364058 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364065 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 364068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 364075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 364080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 364085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 364090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364109 */     GIR_RootConstrainSelectedInstOperands,
     /* 364110 */     // GIR_Coverage, 12861,
     /* 364110 */     GIR_EraseRootFromParent_Done,
     /* 364111 */   // Label 5789: @364111
     /* 364111 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(364246), // Rule ID 12862 //
     /* 364116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 364119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 364123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364151 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364163 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364163 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364168 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364186 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364193 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364200 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 364203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 364210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 364215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 364220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 364225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364244 */     GIR_RootConstrainSelectedInstOperands,
     /* 364245 */     // GIR_Coverage, 12862,
     /* 364245 */     GIR_EraseRootFromParent_Done,
     /* 364246 */   // Label 5790: @364246
     /* 364246 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(364381), // Rule ID 12863 //
     /* 364251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 364254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 364258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364286 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364298 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364303 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364308 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364314 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364328 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364335 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 364338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 364345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 364350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 364355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 364360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364379 */     GIR_RootConstrainSelectedInstOperands,
     /* 364380 */     // GIR_Coverage, 12863,
     /* 364380 */     GIR_EraseRootFromParent_Done,
     /* 364381 */   // Label 5791: @364381
     /* 364381 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(364516), // Rule ID 12864 //
     /* 364386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 364389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 364393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364421 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364433 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364433 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364438 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364438 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364443 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364456 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364463 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364470 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 364473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 364480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 364485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 364490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 364495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364514 */     GIR_RootConstrainSelectedInstOperands,
     /* 364515 */     // GIR_Coverage, 12864,
     /* 364515 */     GIR_EraseRootFromParent_Done,
     /* 364516 */   // Label 5792: @364516
     /* 364516 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(364651), // Rule ID 13341 //
     /* 364521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 364524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 364528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364556 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364568 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364568 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364573 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364573 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364584 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364605 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 364608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 364615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 364620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 364625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 364630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364649 */     GIR_RootConstrainSelectedInstOperands,
     /* 364650 */     // GIR_Coverage, 13341,
     /* 364650 */     GIR_EraseRootFromParent_Done,
     /* 364651 */   // Label 5793: @364651
     /* 364651 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(364786), // Rule ID 13342 //
     /* 364656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 364659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 364663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364691 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364703 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364703 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364708 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364708 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364713 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364719 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364726 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364733 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364740 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 364743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 364750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 364755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 364760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 364765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364784 */     GIR_RootConstrainSelectedInstOperands,
     /* 364785 */     // GIR_Coverage, 13342,
     /* 364785 */     GIR_EraseRootFromParent_Done,
     /* 364786 */   // Label 5794: @364786
     /* 364786 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(364921), // Rule ID 13343 //
     /* 364791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 364794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 364798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364830 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364834 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364838 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364838 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364843 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364861 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364868 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364875 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 364875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 364878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 364880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 364885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 364890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 364895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 364900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 364905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 364910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364919 */     GIR_RootConstrainSelectedInstOperands,
     /* 364920 */     // GIR_Coverage, 13343,
     /* 364920 */     GIR_EraseRootFromParent_Done,
     /* 364921 */   // Label 5795: @364921
     /* 364921 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(365056), // Rule ID 13344 //
     /* 364926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 364929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 364933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 364949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 364957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 364965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 364973 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 364973 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 364978 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 364978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 364983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 364987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 364996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365003 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365010 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 365013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 365020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 365025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 365030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 365035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365054 */     GIR_RootConstrainSelectedInstOperands,
     /* 365055 */     // GIR_Coverage, 13344,
     /* 365055 */     GIR_EraseRootFromParent_Done,
     /* 365056 */   // Label 5796: @365056
     /* 365056 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(365191), // Rule ID 12426 //
     /* 365061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 365064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 365068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365096 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365108 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365108 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365113 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365118 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365124 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365131 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365138 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365145 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 365148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 365155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 365160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 365165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 365170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365189 */     GIR_RootConstrainSelectedInstOperands,
     /* 365190 */     // GIR_Coverage, 12426,
     /* 365190 */     GIR_EraseRootFromParent_Done,
     /* 365191 */   // Label 5797: @365191
     /* 365191 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(365326), // Rule ID 12427 //
     /* 365196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 365199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 365203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365243 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365248 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365253 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365257 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365266 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365273 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365280 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 365283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 365290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 365295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 365300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 365305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365324 */     GIR_RootConstrainSelectedInstOperands,
     /* 365325 */     // GIR_Coverage, 12427,
     /* 365325 */     GIR_EraseRootFromParent_Done,
     /* 365326 */   // Label 5798: @365326
     /* 365326 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(365461), // Rule ID 12428 //
     /* 365331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 365334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 365338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365366 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365378 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365378 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365383 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365383 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365388 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365392 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365408 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365415 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 365418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 365425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 365430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 365435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 365440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365459 */     GIR_RootConstrainSelectedInstOperands,
     /* 365460 */     // GIR_Coverage, 12428,
     /* 365460 */     GIR_EraseRootFromParent_Done,
     /* 365461 */   // Label 5799: @365461
     /* 365461 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(365596), // Rule ID 12429 //
     /* 365466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 365469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 365473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365501 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365513 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365513 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365518 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365523 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365529 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365536 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365543 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365550 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 365553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 365560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 365565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 365570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 365575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365594 */     GIR_RootConstrainSelectedInstOperands,
     /* 365595 */     // GIR_Coverage, 12429,
     /* 365595 */     GIR_EraseRootFromParent_Done,
     /* 365596 */   // Label 5800: @365596
     /* 365596 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(365731), // Rule ID 12906 //
     /* 365601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 365604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 365608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365648 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365653 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365662 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365678 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365685 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 365688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 365695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 365700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 365705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 365710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365729 */     GIR_RootConstrainSelectedInstOperands,
     /* 365730 */     // GIR_Coverage, 12906,
     /* 365730 */     GIR_EraseRootFromParent_Done,
     /* 365731 */   // Label 5801: @365731
     /* 365731 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(365866), // Rule ID 12907 //
     /* 365736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 365739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 365743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365771 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365775 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365779 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365783 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365788 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365793 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365797 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365813 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365820 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 365823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 365830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 365835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 365840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 365845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365864 */     GIR_RootConstrainSelectedInstOperands,
     /* 365865 */     // GIR_Coverage, 12907,
     /* 365865 */     GIR_EraseRootFromParent_Done,
     /* 365866 */   // Label 5802: @365866
     /* 365866 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(366001), // Rule ID 12908 //
     /* 365871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 365874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 365878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 365886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 365894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 365902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365906 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 365910 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365914 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 365918 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 365918 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 365923 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 365923 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 365928 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 365932 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365948 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 365955 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 365955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 365958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 365960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 365965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 365970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 365975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 365980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 365985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 365990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365999 */     GIR_RootConstrainSelectedInstOperands,
     /* 366000 */     // GIR_Coverage, 12908,
     /* 366000 */     GIR_EraseRootFromParent_Done,
     /* 366001 */   // Label 5803: @366001
     /* 366001 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(366136), // Rule ID 12909 //
     /* 366006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 366009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 366013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 366053 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366053 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366058 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366058 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366063 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366067 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366076 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366083 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366090 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 366093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 366100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 366105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 366110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 366115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366134 */     GIR_RootConstrainSelectedInstOperands,
     /* 366135 */     // GIR_Coverage, 12909,
     /* 366135 */     GIR_EraseRootFromParent_Done,
     /* 366136 */   // Label 5804: @366136
     /* 366136 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(366271), // Rule ID 13386 //
     /* 366141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 366144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366180 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 366188 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366188 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366193 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366198 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366202 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366211 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366218 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366225 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 366228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 366235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 366240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 366245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 366250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366269 */     GIR_RootConstrainSelectedInstOperands,
     /* 366270 */     // GIR_Coverage, 13386,
     /* 366270 */     GIR_EraseRootFromParent_Done,
     /* 366271 */   // Label 5805: @366271
     /* 366271 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(366406), // Rule ID 13387 //
     /* 366276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 366279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366315 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366319 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 366323 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366323 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366328 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366333 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366337 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366346 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366360 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 366363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 366370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 366375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 366380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 366385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366404 */     GIR_RootConstrainSelectedInstOperands,
     /* 366405 */     // GIR_Coverage, 13387,
     /* 366405 */     GIR_EraseRootFromParent_Done,
     /* 366406 */   // Label 5806: @366406
     /* 366406 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(366541), // Rule ID 13388 //
     /* 366411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 366414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366450 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366454 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 366458 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366463 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366488 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366495 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 366498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 366505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 366510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 366515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 366520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366539 */     GIR_RootConstrainSelectedInstOperands,
     /* 366540 */     // GIR_Coverage, 13388,
     /* 366540 */     GIR_EraseRootFromParent_Done,
     /* 366541 */   // Label 5807: @366541
     /* 366541 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(366676), // Rule ID 13389 //
     /* 366546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 366549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 366593 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366598 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366598 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366609 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366623 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366630 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 366633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 366640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 366645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 366650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 366655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366674 */     GIR_RootConstrainSelectedInstOperands,
     /* 366675 */     // GIR_Coverage, 13389,
     /* 366675 */     GIR_EraseRootFromParent_Done,
     /* 366676 */   // Label 5808: @366676
     /* 366676 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(366811), // Rule ID 12366 //
     /* 366681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 366684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366716 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366728 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366728 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366733 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366738 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366744 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366758 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366765 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 366768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 366775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 366780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 366785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 366790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366809 */     GIR_RootConstrainSelectedInstOperands,
     /* 366810 */     // GIR_Coverage, 12366,
     /* 366810 */     GIR_EraseRootFromParent_Done,
     /* 366811 */   // Label 5809: @366811
     /* 366811 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(366946), // Rule ID 12367 //
     /* 366816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 366819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366863 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 366863 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 366868 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 366873 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 366877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366879 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366893 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 366900 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 366900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 366903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 366905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 366910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 366915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 366920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 366925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 366930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 366935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 366944 */     GIR_RootConstrainSelectedInstOperands,
     /* 366945 */     // GIR_Coverage, 12367,
     /* 366945 */     GIR_EraseRootFromParent_Done,
     /* 366946 */   // Label 5810: @366946
     /* 366946 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(367081), // Rule ID 12368 //
     /* 366951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 366954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 366958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 366974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 366982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 366986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 366990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 366998 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 366998 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367003 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367028 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367035 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 367038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 367045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 367050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 367055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 367060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367079 */     GIR_RootConstrainSelectedInstOperands,
     /* 367080 */     // GIR_Coverage, 12368,
     /* 367080 */     GIR_EraseRootFromParent_Done,
     /* 367081 */   // Label 5811: @367081
     /* 367081 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(367216), // Rule ID 12369 //
     /* 367086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 367089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 367093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367133 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367138 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367143 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367149 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367170 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 367173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 367180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 367185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 367190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 367195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367214 */     GIR_RootConstrainSelectedInstOperands,
     /* 367215 */     // GIR_Coverage, 12369,
     /* 367215 */     GIR_EraseRootFromParent_Done,
     /* 367216 */   // Label 5812: @367216
     /* 367216 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(367351), // Rule ID 12846 //
     /* 367221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 367224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 367228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367256 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367268 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367273 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367273 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367305 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 367308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 367315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 367320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 367325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 367330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367349 */     GIR_RootConstrainSelectedInstOperands,
     /* 367350 */     // GIR_Coverage, 12846,
     /* 367350 */     GIR_EraseRootFromParent_Done,
     /* 367351 */   // Label 5813: @367351
     /* 367351 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(367486), // Rule ID 12847 //
     /* 367356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 367359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 367363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367391 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367403 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367403 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367408 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367408 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367413 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367433 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367440 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 367443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 367450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 367455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 367460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 367465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367484 */     GIR_RootConstrainSelectedInstOperands,
     /* 367485 */     // GIR_Coverage, 12847,
     /* 367485 */     GIR_EraseRootFromParent_Done,
     /* 367486 */   // Label 5814: @367486
     /* 367486 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(367621), // Rule ID 12848 //
     /* 367491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 367494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 367498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367526 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367538 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367538 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367543 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367543 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367548 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367568 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367575 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 367578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 367585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 367590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 367595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 367600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367619 */     GIR_RootConstrainSelectedInstOperands,
     /* 367620 */     // GIR_Coverage, 12848,
     /* 367620 */     GIR_EraseRootFromParent_Done,
     /* 367621 */   // Label 5815: @367621
     /* 367621 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(367756), // Rule ID 12849 //
     /* 367626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 367629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 367633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367673 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367678 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367703 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367710 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 367713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 367720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 367725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 367730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 367735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367754 */     GIR_RootConstrainSelectedInstOperands,
     /* 367755 */     // GIR_Coverage, 12849,
     /* 367755 */     GIR_EraseRootFromParent_Done,
     /* 367756 */   // Label 5816: @367756
     /* 367756 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(367891), // Rule ID 13326 //
     /* 367761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 367764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 367768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367808 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367813 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367831 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367838 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367845 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 367848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 367855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 367860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 367865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 367870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 367875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 367880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367889 */     GIR_RootConstrainSelectedInstOperands,
     /* 367890 */     // GIR_Coverage, 13326,
     /* 367890 */     GIR_EraseRootFromParent_Done,
     /* 367891 */   // Label 5817: @367891
     /* 367891 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(368026), // Rule ID 13327 //
     /* 367896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 367899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 367903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 367915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 367919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 367927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 367931 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 367935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 367943 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 367943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 367948 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 367948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 367953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 367957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367973 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 367980 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 367980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 367983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 367985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 367990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 367995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 368000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 368005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 368010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 368015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368024 */     GIR_RootConstrainSelectedInstOperands,
     /* 368025 */     // GIR_Coverage, 13327,
     /* 368025 */     GIR_EraseRootFromParent_Done,
     /* 368026 */   // Label 5818: @368026
     /* 368026 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(368161), // Rule ID 13328 //
     /* 368031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 368034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 368038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 368054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 368062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 368074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368078 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 368078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 368083 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 368083 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 368088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 368092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368101 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368108 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368115 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 368118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 368135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 368140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 368145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 368150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368159 */     GIR_RootConstrainSelectedInstOperands,
     /* 368160 */     // GIR_Coverage, 13328,
     /* 368160 */     GIR_EraseRootFromParent_Done,
     /* 368161 */   // Label 5819: @368161
     /* 368161 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(368296), // Rule ID 13329 //
     /* 368166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 368169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 368173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 368189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 368197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368201 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368205 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 368209 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368213 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 368213 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 368218 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 368218 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 368223 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 368227 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368236 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368243 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368250 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 368253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 368270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 368275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 368280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 368285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368294 */     GIR_RootConstrainSelectedInstOperands,
     /* 368295 */     // GIR_Coverage, 13329,
     /* 368295 */     GIR_EraseRootFromParent_Done,
     /* 368296 */   // Label 5820: @368296
     /* 368296 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(368411), // Rule ID 13474 //
     /* 368301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 368304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 368308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 368328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368332 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368336 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368338 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368365 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 368368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 368385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 368390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 368395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 368400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368409 */     GIR_RootConstrainSelectedInstOperands,
     /* 368410 */     // GIR_Coverage, 13474,
     /* 368410 */     GIR_EraseRootFromParent_Done,
     /* 368411 */   // Label 5821: @368411
     /* 368411 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(368526), // Rule ID 13490 //
     /* 368416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 368419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 368423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 368443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368451 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368453 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368466 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368480 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 368483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 368500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 368505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 368510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 368515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368524 */     GIR_RootConstrainSelectedInstOperands,
     /* 368525 */     // GIR_Coverage, 13490,
     /* 368525 */     GIR_EraseRootFromParent_Done,
     /* 368526 */   // Label 5822: @368526
     /* 368526 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(368641), // Rule ID 13473 //
     /* 368531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 368534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 368538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368562 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368566 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368568 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368581 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368588 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368595 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 368598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 368615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 368620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 368625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 368630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368639 */     GIR_RootConstrainSelectedInstOperands,
     /* 368640 */     // GIR_Coverage, 13473,
     /* 368640 */     GIR_EraseRootFromParent_Done,
     /* 368641 */   // Label 5823: @368641
     /* 368641 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(368756), // Rule ID 13489 //
     /* 368646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 368649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 368653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 368673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368681 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368683 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368703 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368710 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 368713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 368720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 368725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 368730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 368735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 368740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 368745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368754 */     GIR_RootConstrainSelectedInstOperands,
     /* 368755 */     // GIR_Coverage, 13489,
     /* 368755 */     GIR_EraseRootFromParent_Done,
     /* 368756 */   // Label 5824: @368756
     /* 368756 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(368871), // Rule ID 7948 //
     /* 368761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 368764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 368768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 368788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368792 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368796 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368798 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368825 */     // (fminnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 368828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 368835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 368840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 368845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 368850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 368855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 368860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368869 */     GIR_RootConstrainSelectedInstOperands,
     /* 368870 */     // GIR_Coverage, 7948,
     /* 368870 */     GIR_EraseRootFromParent_Done,
     /* 368871 */   // Label 5825: @368871
     /* 368871 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(368986), // Rule ID 7964 //
     /* 368876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 368879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 368883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 368891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 368895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 368903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 368907 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 368911 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 368913 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 368917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368926 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 368940 */     // (fminnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 368940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 368943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 368945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 368950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 368955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 368960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 368965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 368970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 368975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368984 */     GIR_RootConstrainSelectedInstOperands,
     /* 368985 */     // GIR_Coverage, 7964,
     /* 368985 */     GIR_EraseRootFromParent_Done,
     /* 368986 */   // Label 5826: @368986
     /* 368986 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(369101), // Rule ID 7947 //
     /* 368991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 368994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 368998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 369006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 369022 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 369026 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 369028 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 369032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369055 */     // (fminnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 369058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369099 */     GIR_RootConstrainSelectedInstOperands,
     /* 369100 */     // GIR_Coverage, 7947,
     /* 369100 */     GIR_EraseRootFromParent_Done,
     /* 369101 */   // Label 5827: @369101
     /* 369101 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(369216), // Rule ID 7963 //
     /* 369106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 369109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 369113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 369121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 369137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 369141 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 369143 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 369147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369170 */     // (fminnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 369173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369214 */     GIR_RootConstrainSelectedInstOperands,
     /* 369215 */     // GIR_Coverage, 7963,
     /* 369215 */     GIR_EraseRootFromParent_Done,
     /* 369216 */   // Label 5828: @369216
     /* 369216 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(369315), // Rule ID 13466 //
     /* 369221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 369224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 369228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 369236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369244 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369269 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 369272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 369279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 369284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 369289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 369294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 369299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 369304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369313 */     GIR_RootConstrainSelectedInstOperands,
     /* 369314 */     // GIR_Coverage, 13466,
     /* 369314 */     GIR_EraseRootFromParent_Done,
     /* 369315 */   // Label 5829: @369315
     /* 369315 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(369414), // Rule ID 13482 //
     /* 369320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 369323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 369327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 369335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369343 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369368 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 369371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 369378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 369383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 369388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 369393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 369398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 369403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369412 */     GIR_RootConstrainSelectedInstOperands,
     /* 369413 */     // GIR_Coverage, 13482,
     /* 369413 */     GIR_EraseRootFromParent_Done,
     /* 369414 */   // Label 5830: @369414
     /* 369414 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(369513), // Rule ID 13465 //
     /* 369419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 369422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 369426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369442 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369460 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369467 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 369470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 369477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 369482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 369487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 369492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 369497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 369502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369511 */     GIR_RootConstrainSelectedInstOperands,
     /* 369512 */     // GIR_Coverage, 13465,
     /* 369512 */     GIR_EraseRootFromParent_Done,
     /* 369513 */   // Label 5831: @369513
     /* 369513 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(369612), // Rule ID 13481 //
     /* 369518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 369521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 369525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369541 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369552 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369566 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 369569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 369576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 369581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 369586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 369591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 369596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 369601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369610 */     GIR_RootConstrainSelectedInstOperands,
     /* 369611 */     // GIR_Coverage, 13481,
     /* 369611 */     GIR_EraseRootFromParent_Done,
     /* 369612 */   // Label 5832: @369612
     /* 369612 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(369711), // Rule ID 7940 //
     /* 369617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 369620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 369624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 369632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369640 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369651 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369665 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 369668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369709 */     GIR_RootConstrainSelectedInstOperands,
     /* 369710 */     // GIR_Coverage, 7940,
     /* 369710 */     GIR_EraseRootFromParent_Done,
     /* 369711 */   // Label 5833: @369711
     /* 369711 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(369810), // Rule ID 7956 //
     /* 369716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 369719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 369723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 369731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369739 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369750 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369764 */     // (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 369767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369808 */     GIR_RootConstrainSelectedInstOperands,
     /* 369809 */     // GIR_Coverage, 7956,
     /* 369809 */     GIR_EraseRootFromParent_Done,
     /* 369810 */   // Label 5834: @369810
     /* 369810 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(369909), // Rule ID 7939 //
     /* 369815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 369818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 369822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369838 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369863 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 369866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369907 */     GIR_RootConstrainSelectedInstOperands,
     /* 369908 */     // GIR_Coverage, 7939,
     /* 369908 */     GIR_EraseRootFromParent_Done,
     /* 369909 */   // Label 5835: @369909
     /* 369909 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(370008), // Rule ID 7955 //
     /* 369914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 369917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 369921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 369929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 369933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 369937 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 369939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 369962 */     // (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 369962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 369965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 369967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 369972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 369977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 369982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 369987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 369992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 369997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370006 */     GIR_RootConstrainSelectedInstOperands,
     /* 370007 */     // GIR_Coverage, 7955,
     /* 370007 */     GIR_EraseRootFromParent_Done,
     /* 370008 */   // Label 5836: @370008
     /* 370008 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(370043), // Rule ID 101 //
     /* 370013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 370016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 370020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 370024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 370028 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13777),
     /* 370032 */     // (fminnum:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13777>>  =>  (S_MIN_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 370032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_F16),
     /* 370037 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 370041 */     GIR_RootConstrainSelectedInstOperands,
     /* 370042 */     // GIR_Coverage, 101,
     /* 370042 */     GIR_Done,
     /* 370043 */   // Label 5837: @370043
     /* 370043 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(370106), // Rule ID 888 //
     /* 370048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 370051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 370062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370069 */     // (fminnum:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 370069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_e64),
     /* 370072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 370079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 370089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 370099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 370104 */     GIR_RootConstrainSelectedInstOperands,
     /* 370105 */     // GIR_Coverage, 888,
     /* 370105 */     GIR_EraseRootFromParent_Done,
     /* 370106 */   // Label 5838: @370106
     /* 370106 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(370169), // Rule ID 892 //
     /* 370111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 370114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 370125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370132 */     // (fminnum:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 370132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_fake16_e64),
     /* 370135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 370142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 370152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 370162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 370167 */     GIR_RootConstrainSelectedInstOperands,
     /* 370168 */     // GIR_Coverage, 892,
     /* 370168 */     GIR_EraseRootFromParent_Done,
     /* 370169 */   // Label 5839: @370169
     /* 370169 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(370232), // Rule ID 8641 //
     /* 370174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 370177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 370195 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 370195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_e64),
     /* 370198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 370205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 370210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 370215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 370220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 370225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 370230 */     GIR_RootConstrainSelectedInstOperands,
     /* 370231 */     // GIR_Coverage, 8641,
     /* 370231 */     GIR_EraseRootFromParent_Done,
     /* 370232 */   // Label 5840: @370232
     /* 370232 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(370295), // Rule ID 8643 //
     /* 370237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 370240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 370258 */     // (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 370258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_fake16_e64),
     /* 370261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 370268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 370273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 370278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 370283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 370288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 370293 */     GIR_RootConstrainSelectedInstOperands,
     /* 370294 */     // GIR_Coverage, 8643,
     /* 370294 */     GIR_EraseRootFromParent_Done,
     /* 370295 */   // Label 5841: @370295
     /* 370295 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(370357), // Rule ID 890 //
     /* 370300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 370303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 370307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 370314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 370321 */     // (fminnum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 370321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_t16_e64),
     /* 370324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 370331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 370341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370355 */     GIR_RootConstrainSelectedInstOperands,
     /* 370356 */     // GIR_Coverage, 890,
     /* 370356 */     GIR_EraseRootFromParent_Done,
     /* 370357 */   // Label 5842: @370357
     /* 370357 */   GIM_Reject,
     /* 370358 */ // Label 5436: @370358
     /* 370358 */ GIM_Reject,
     /* 370359 */ // Label 5432: @370359
     /* 370359 */ GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(387870),
     /* 370364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 370370 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(370499), // Rule ID 11955 //
     /* 370375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 370395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 370407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 370411 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370415 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 370419 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 370419 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370424 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 370424 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 370429 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 370433 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370435 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370442 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370449 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370456 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 370456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 370459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 370466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 370476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 370486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 370491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370497 */     GIR_RootConstrainSelectedInstOperands,
     /* 370498 */     // GIR_Coverage, 11955,
     /* 370498 */     GIR_EraseRootFromParent_Done,
     /* 370499 */   // Label 5844: @370499
     /* 370499 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(370628), // Rule ID 11956 //
     /* 370504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 370524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 370536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 370540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 370548 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 370548 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 370553 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 370553 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 370562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370585 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 370585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 370588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 370595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 370605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 370615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 370620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370626 */     GIR_RootConstrainSelectedInstOperands,
     /* 370627 */     // GIR_Coverage, 11956,
     /* 370627 */     GIR_EraseRootFromParent_Done,
     /* 370628 */   // Label 5845: @370628
     /* 370628 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(370757), // Rule ID 11959 //
     /* 370633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 370653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 370665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 370669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 370677 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 370677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 370682 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 370682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370687 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 370691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370700 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370707 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370714 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 370714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 370717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 370724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 370729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 370734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 370739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 370744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 370749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370755 */     GIR_RootConstrainSelectedInstOperands,
     /* 370756 */     // GIR_Coverage, 11959,
     /* 370756 */     GIR_EraseRootFromParent_Done,
     /* 370757 */   // Label 5846: @370757
     /* 370757 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(370886), // Rule ID 11960 //
     /* 370762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 370782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 370794 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 370798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 370806 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 370806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370811 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 370811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 370816 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 370820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370822 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370829 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370836 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370843 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 370843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 370846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 370853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 370858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 370863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 370868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 370873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 370878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 370884 */     GIR_RootConstrainSelectedInstOperands,
     /* 370885 */     // GIR_Coverage, 11960,
     /* 370885 */     GIR_EraseRootFromParent_Done,
     /* 370886 */   // Label 5847: @370886
     /* 370886 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(371015), // Rule ID 11940 //
     /* 370891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 370895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 370911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 370919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 370923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 370927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 370935 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 370935 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370940 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 370940 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 370945 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 370949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 370972 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 370972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 370975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 370977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 370982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 370987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 370992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 370997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371013 */     GIR_RootConstrainSelectedInstOperands,
     /* 371014 */     // GIR_Coverage, 11940,
     /* 371014 */     GIR_EraseRootFromParent_Done,
     /* 371015 */   // Label 5848: @371015
     /* 371015 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(371144), // Rule ID 11941 //
     /* 371020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371052 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371056 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371060 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 371064 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371064 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371069 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371069 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371074 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371080 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371101 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 371111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 371116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 371121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 371126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371142 */     GIR_RootConstrainSelectedInstOperands,
     /* 371143 */     // GIR_Coverage, 11941,
     /* 371143 */     GIR_EraseRootFromParent_Done,
     /* 371144 */   // Label 5849: @371144
     /* 371144 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(371273), // Rule ID 11944 //
     /* 371149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371181 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 371193 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371198 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371230 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 371240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 371245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 371250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 371255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371271 */     GIR_RootConstrainSelectedInstOperands,
     /* 371272 */     // GIR_Coverage, 11944,
     /* 371272 */     GIR_EraseRootFromParent_Done,
     /* 371273 */   // Label 5850: @371273
     /* 371273 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(371402), // Rule ID 11945 //
     /* 371278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371318 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 371322 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371322 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371327 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371336 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371352 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371359 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 371369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 371374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 371379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 371384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371400 */     GIR_RootConstrainSelectedInstOperands,
     /* 371401 */     // GIR_Coverage, 11945,
     /* 371401 */     GIR_EraseRootFromParent_Done,
     /* 371402 */   // Label 5851: @371402
     /* 371402 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(371531), // Rule ID 7814 //
     /* 371407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 371447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 371451 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371451 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371456 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371467 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371488 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 371498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 371503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 371508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 371513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371529 */     GIR_RootConstrainSelectedInstOperands,
     /* 371530 */     // GIR_Coverage, 7814,
     /* 371530 */     GIR_EraseRootFromParent_Done,
     /* 371531 */   // Label 5852: @371531
     /* 371531 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(371660), // Rule ID 11954 //
     /* 371536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371568 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 371576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 371580 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371580 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371585 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371594 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371617 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 371627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 371632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 371637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 371642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371658 */     GIR_RootConstrainSelectedInstOperands,
     /* 371659 */     // GIR_Coverage, 11954,
     /* 371659 */     GIR_EraseRootFromParent_Done,
     /* 371660 */   // Label 5853: @371660
     /* 371660 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(371789), // Rule ID 11957 //
     /* 371665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371697 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 371705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 371709 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371709 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371714 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371714 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371719 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371739 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371746 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 371756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 371761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 371766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 371771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371787 */     GIR_RootConstrainSelectedInstOperands,
     /* 371788 */     // GIR_Coverage, 11957,
     /* 371788 */     GIR_EraseRootFromParent_Done,
     /* 371789 */   // Label 5854: @371789
     /* 371789 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(371918), // Rule ID 11958 //
     /* 371794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371830 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 371834 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 371838 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371838 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371843 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371861 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371868 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371875 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 371875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 371878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 371880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 371885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 371890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 371895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 371900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 371905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 371910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 371916 */     GIR_RootConstrainSelectedInstOperands,
     /* 371917 */     // GIR_Coverage, 11958,
     /* 371917 */     GIR_EraseRootFromParent_Done,
     /* 371918 */   // Label 5855: @371918
     /* 371918 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(372047), // Rule ID 7813 //
     /* 371923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 371927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 371939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 371943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 371951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 371955 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 371959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 371963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 371967 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 371967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 371972 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 371972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 371977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 371981 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 371997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372004 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 372014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 372019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 372024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 372029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372045 */     GIR_RootConstrainSelectedInstOperands,
     /* 372046 */     // GIR_Coverage, 7813,
     /* 372046 */     GIR_EraseRootFromParent_Done,
     /* 372047 */   // Label 5856: @372047
     /* 372047 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(372176), // Rule ID 11939 //
     /* 372052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 372092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 372096 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372101 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372126 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372133 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 372143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 372148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 372153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 372158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372174 */     GIR_RootConstrainSelectedInstOperands,
     /* 372175 */     // GIR_Coverage, 11939,
     /* 372175 */     GIR_EraseRootFromParent_Done,
     /* 372176 */   // Label 5857: @372176
     /* 372176 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(372305), // Rule ID 11942 //
     /* 372181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372213 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 372221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 372225 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372225 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372230 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372230 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372235 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372239 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372241 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372255 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372262 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 372272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 372277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 372282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 372287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372303 */     GIR_RootConstrainSelectedInstOperands,
     /* 372304 */     // GIR_Coverage, 11942,
     /* 372304 */     GIR_EraseRootFromParent_Done,
     /* 372305 */   // Label 5858: @372305
     /* 372305 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(372434), // Rule ID 11943 //
     /* 372310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372346 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 372350 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 372354 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372354 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372359 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372359 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372364 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372370 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372384 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372391 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 372401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 372406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 372411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 372416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372432 */     GIR_RootConstrainSelectedInstOperands,
     /* 372433 */     // GIR_Coverage, 11943,
     /* 372433 */     GIR_EraseRootFromParent_Done,
     /* 372434 */   // Label 5859: @372434
     /* 372434 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(372563), // Rule ID 11925 //
     /* 372439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 372467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372471 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 372483 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372488 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372488 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372493 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372513 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372520 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 372530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 372535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 372540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 372545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372561 */     GIR_RootConstrainSelectedInstOperands,
     /* 372562 */     // GIR_Coverage, 11925,
     /* 372562 */     GIR_EraseRootFromParent_Done,
     /* 372563 */   // Label 5860: @372563
     /* 372563 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(372692), // Rule ID 11926 //
     /* 372568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 372596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372600 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 372612 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372617 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372622 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372626 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372642 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372649 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 372659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 372664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 372669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 372674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372690 */     GIR_RootConstrainSelectedInstOperands,
     /* 372691 */     // GIR_Coverage, 11926,
     /* 372691 */     GIR_EraseRootFromParent_Done,
     /* 372692 */   // Label 5861: @372692
     /* 372692 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(372821), // Rule ID 11929 //
     /* 372697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 372725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 372741 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372746 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372771 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372778 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 372788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 372793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 372798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 372803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372819 */     GIR_RootConstrainSelectedInstOperands,
     /* 372820 */     // GIR_Coverage, 11929,
     /* 372820 */     GIR_EraseRootFromParent_Done,
     /* 372821 */   // Label 5862: @372821
     /* 372821 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(372950), // Rule ID 11930 //
     /* 372826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 372854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372858 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 372870 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 372870 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 372875 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 372880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 372884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372900 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 372907 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 372907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 372910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 372912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 372917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 372922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 372927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 372932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 372937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 372942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 372948 */     GIR_RootConstrainSelectedInstOperands,
     /* 372949 */     // GIR_Coverage, 11930,
     /* 372949 */     GIR_EraseRootFromParent_Done,
     /* 372950 */   // Label 5863: @372950
     /* 372950 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(373079), // Rule ID 11910 //
     /* 372955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 372959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 372967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 372975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 372983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372987 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 372991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 372999 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 372999 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373004 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373004 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373009 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373015 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373029 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373036 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 373046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 373051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 373056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 373061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373077 */     GIR_RootConstrainSelectedInstOperands,
     /* 373078 */     // GIR_Coverage, 11910,
     /* 373078 */     GIR_EraseRootFromParent_Done,
     /* 373079 */   // Label 5864: @373079
     /* 373079 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(373208), // Rule ID 11911 //
     /* 373084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373116 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 373128 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373128 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373133 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373138 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373142 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373158 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373165 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 373175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 373180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 373185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 373190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373206 */     GIR_RootConstrainSelectedInstOperands,
     /* 373207 */     // GIR_Coverage, 11911,
     /* 373207 */     GIR_EraseRootFromParent_Done,
     /* 373208 */   // Label 5865: @373208
     /* 373208 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(373337), // Rule ID 11914 //
     /* 373213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 373257 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373262 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373271 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373280 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373287 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373294 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 373304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 373309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 373314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 373319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373335 */     GIR_RootConstrainSelectedInstOperands,
     /* 373336 */     // GIR_Coverage, 11914,
     /* 373336 */     GIR_EraseRootFromParent_Done,
     /* 373337 */   // Label 5866: @373337
     /* 373337 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(373466), // Rule ID 11915 //
     /* 373342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373374 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 373386 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373391 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373400 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373402 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373423 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 373433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 373438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 373443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 373448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373464 */     GIR_RootConstrainSelectedInstOperands,
     /* 373465 */     // GIR_Coverage, 11915,
     /* 373465 */     GIR_EraseRootFromParent_Done,
     /* 373466 */   // Label 5867: @373466
     /* 373466 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(373595), // Rule ID 7812 //
     /* 373471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373507 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 373511 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 373515 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373520 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373525 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373552 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 373562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 373567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 373572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 373577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373593 */     GIR_RootConstrainSelectedInstOperands,
     /* 373594 */     // GIR_Coverage, 7812,
     /* 373594 */     GIR_EraseRootFromParent_Done,
     /* 373595 */   // Label 5868: @373595
     /* 373595 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(373724), // Rule ID 11924 //
     /* 373600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373632 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 373640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 373644 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373644 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373649 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373649 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373654 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373681 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 373691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 373696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 373701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 373706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373722 */     GIR_RootConstrainSelectedInstOperands,
     /* 373723 */     // GIR_Coverage, 11924,
     /* 373723 */     GIR_EraseRootFromParent_Done,
     /* 373724 */   // Label 5869: @373724
     /* 373724 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(373853), // Rule ID 11927 //
     /* 373729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373761 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 373769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 373773 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373778 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373783 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373803 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373810 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 373820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 373825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 373830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 373835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373851 */     GIR_RootConstrainSelectedInstOperands,
     /* 373852 */     // GIR_Coverage, 11927,
     /* 373852 */     GIR_EraseRootFromParent_Done,
     /* 373853 */   // Label 5870: @373853
     /* 373853 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(373982), // Rule ID 11928 //
     /* 373858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 373878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 373886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373890 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 373894 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 373898 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 373902 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 373902 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373907 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 373907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 373912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 373916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 373939 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 373939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 373942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 373944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 373949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 373954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 373959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 373964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 373969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 373974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373980 */     GIR_RootConstrainSelectedInstOperands,
     /* 373981 */     // GIR_Coverage, 11928,
     /* 373981 */     GIR_EraseRootFromParent_Done,
     /* 373982 */   // Label 5871: @373982
     /* 373982 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(374111), // Rule ID 7811 //
     /* 373987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 373991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 373999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 374015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374019 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 374027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 374031 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374031 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 374036 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 374041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374047 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374068 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 374078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 374083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 374088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 374093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 374098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 374103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374109 */     GIR_RootConstrainSelectedInstOperands,
     /* 374110 */     // GIR_Coverage, 7811,
     /* 374110 */     GIR_EraseRootFromParent_Done,
     /* 374111 */   // Label 5872: @374111
     /* 374111 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(374240), // Rule ID 11909 //
     /* 374116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 374144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374152 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 374156 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 374160 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374160 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 374165 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 374170 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374190 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374197 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 374207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 374212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 374217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 374222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 374227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 374232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374238 */     GIR_RootConstrainSelectedInstOperands,
     /* 374239 */     // GIR_Coverage, 11909,
     /* 374239 */     GIR_EraseRootFromParent_Done,
     /* 374240 */   // Label 5873: @374240
     /* 374240 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(374369), // Rule ID 11912 //
     /* 374245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 374273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374277 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374281 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 374285 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 374289 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374289 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 374294 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374294 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 374299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374326 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 374336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 374341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 374346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 374351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 374356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 374361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374367 */     GIR_RootConstrainSelectedInstOperands,
     /* 374368 */     // GIR_Coverage, 11912,
     /* 374368 */     GIR_EraseRootFromParent_Done,
     /* 374369 */   // Label 5874: @374369
     /* 374369 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(374498), // Rule ID 11913 //
     /* 374374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 374402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374410 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 374414 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 374418 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374418 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 374423 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 374428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374455 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 374465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 374470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 374475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 374480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 374485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 374490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374496 */     GIR_RootConstrainSelectedInstOperands,
     /* 374497 */     // GIR_Coverage, 11913,
     /* 374497 */     GIR_EraseRootFromParent_Done,
     /* 374498 */   // Label 5875: @374498
     /* 374498 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(374627), // Rule ID 11965 //
     /* 374503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 374531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374535 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 374543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374547 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374547 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 374552 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 374557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374570 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374584 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 374594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 374599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 374604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 374609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 374614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 374619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374625 */     GIR_RootConstrainSelectedInstOperands,
     /* 374626 */     // GIR_Coverage, 11965,
     /* 374626 */     GIR_EraseRootFromParent_Done,
     /* 374627 */   // Label 5876: @374627
     /* 374627 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(374756), // Rule ID 11966 //
     /* 374632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 374660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374664 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 374672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374676 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374676 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 374681 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 374686 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374692 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374699 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374713 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 374723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 374728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 374733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 374738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 374743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 374748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374754 */     GIR_RootConstrainSelectedInstOperands,
     /* 374755 */     // GIR_Coverage, 11966,
     /* 374755 */     GIR_EraseRootFromParent_Done,
     /* 374756 */   // Label 5877: @374756
     /* 374756 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(374885), // Rule ID 11967 //
     /* 374761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 374789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 374801 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374805 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374805 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 374810 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 374815 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374842 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 374852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 374857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 374862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 374867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 374872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 374877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374883 */     GIR_RootConstrainSelectedInstOperands,
     /* 374884 */     // GIR_Coverage, 11967,
     /* 374884 */     GIR_EraseRootFromParent_Done,
     /* 374885 */   // Label 5878: @374885
     /* 374885 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(375014), // Rule ID 11968 //
     /* 374890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 374894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 374910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 374918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 374922 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 374926 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 374930 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 374934 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 374934 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 374939 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 374939 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 374944 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 374948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374957 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374964 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 374971 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 374971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 374974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 374976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 374981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 374986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 374991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 374996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375012 */     GIR_RootConstrainSelectedInstOperands,
     /* 375013 */     // GIR_Coverage, 11968,
     /* 375013 */     GIR_EraseRootFromParent_Done,
     /* 375014 */   // Label 5879: @375014
     /* 375014 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(375143), // Rule ID 11905 //
     /* 375019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 375047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375051 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 375063 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375068 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375077 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375086 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375100 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 375110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 375115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 375120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 375125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375141 */     GIR_RootConstrainSelectedInstOperands,
     /* 375142 */     // GIR_Coverage, 11905,
     /* 375142 */     GIR_EraseRootFromParent_Done,
     /* 375143 */   // Label 5880: @375143
     /* 375143 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(375272), // Rule ID 11906 //
     /* 375148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 375176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 375192 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375192 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375197 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375202 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375229 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 375239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 375244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 375249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 375254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375270 */     GIR_RootConstrainSelectedInstOperands,
     /* 375271 */     // GIR_Coverage, 11906,
     /* 375271 */     GIR_EraseRootFromParent_Done,
     /* 375272 */   // Label 5881: @375272
     /* 375272 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(375401), // Rule ID 11907 //
     /* 375277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 375305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 375321 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375326 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375331 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375335 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375344 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375358 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 375368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 375373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 375378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 375383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375399 */     GIR_RootConstrainSelectedInstOperands,
     /* 375400 */     // GIR_Coverage, 11907,
     /* 375400 */     GIR_EraseRootFromParent_Done,
     /* 375401 */   // Label 5882: @375401
     /* 375401 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(375530), // Rule ID 11908 //
     /* 375406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 375434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 375450 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375455 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375460 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375487 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 375497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 375502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 375507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 375512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375528 */     GIR_RootConstrainSelectedInstOperands,
     /* 375529 */     // GIR_Coverage, 11908,
     /* 375529 */     GIR_EraseRootFromParent_Done,
     /* 375530 */   // Label 5883: @375530
     /* 375530 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(375659), // Rule ID 11950 //
     /* 375535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 375563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375567 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375571 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375575 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375579 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375579 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375584 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375584 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375589 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375602 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375609 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375616 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 375626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 375631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 375636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 375641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375657 */     GIR_RootConstrainSelectedInstOperands,
     /* 375658 */     // GIR_Coverage, 11950,
     /* 375658 */     GIR_EraseRootFromParent_Done,
     /* 375659 */   // Label 5884: @375659
     /* 375659 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(375788), // Rule ID 11951 //
     /* 375664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 375692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375708 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375708 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375713 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375722 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375724 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375731 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375745 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 375755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 375760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 375765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 375770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375786 */     GIR_RootConstrainSelectedInstOperands,
     /* 375787 */     // GIR_Coverage, 11951,
     /* 375787 */     GIR_EraseRootFromParent_Done,
     /* 375788 */   // Label 5885: @375788
     /* 375788 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(375917), // Rule ID 11952 //
     /* 375793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 375821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375825 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375837 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375837 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375842 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375847 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375867 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375874 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 375874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 375877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 375879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 375884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 375889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 375894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 375899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 375904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 375909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375915 */     GIR_RootConstrainSelectedInstOperands,
     /* 375916 */     // GIR_Coverage, 11952,
     /* 375916 */     GIR_EraseRootFromParent_Done,
     /* 375917 */   // Label 5886: @375917
     /* 375917 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(376046), // Rule ID 11953 //
     /* 375922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 375926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 375938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 375942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 375950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 375954 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 375958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 375966 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 375966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 375971 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 375971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 375976 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 375980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375989 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 375996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376003 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 376013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 376018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 376023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 376028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 376033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 376038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376044 */     GIR_RootConstrainSelectedInstOperands,
     /* 376045 */     // GIR_Coverage, 11953,
     /* 376045 */     GIR_EraseRootFromParent_Done,
     /* 376046 */   // Label 5887: @376046
     /* 376046 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(376175), // Rule ID 11890 //
     /* 376051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 376079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376083 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 376095 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376095 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376100 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376109 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376132 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 376142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 376147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 376152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 376157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 376162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 376167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376173 */     GIR_RootConstrainSelectedInstOperands,
     /* 376174 */     // GIR_Coverage, 11890,
     /* 376174 */     GIR_EraseRootFromParent_Done,
     /* 376175 */   // Label 5888: @376175
     /* 376175 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(376304), // Rule ID 11891 //
     /* 376180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376196 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 376208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376212 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 376224 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376224 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376229 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376229 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376234 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376238 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376240 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376261 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 376271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 376276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 376281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 376286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 376291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 376296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376302 */     GIR_RootConstrainSelectedInstOperands,
     /* 376303 */     // GIR_Coverage, 11891,
     /* 376303 */     GIR_EraseRootFromParent_Done,
     /* 376304 */   // Label 5889: @376304
     /* 376304 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(376433), // Rule ID 11892 //
     /* 376309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 376337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 376353 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376353 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376358 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376363 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376367 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376390 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 376400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 376405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 376410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 376415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 376420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 376425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376431 */     GIR_RootConstrainSelectedInstOperands,
     /* 376432 */     // GIR_Coverage, 11892,
     /* 376432 */     GIR_EraseRootFromParent_Done,
     /* 376433 */   // Label 5890: @376433
     /* 376433 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(376562), // Rule ID 11893 //
     /* 376438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 376466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 376482 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376482 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376487 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376492 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376496 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376512 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376519 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 376529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 376534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 376539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 376544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 376549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 376554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376560 */     GIR_RootConstrainSelectedInstOperands,
     /* 376561 */     // GIR_Coverage, 11893,
     /* 376561 */     GIR_EraseRootFromParent_Done,
     /* 376562 */   // Label 5891: @376562
     /* 376562 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(376691), // Rule ID 11961 //
     /* 376567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 376595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376611 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376611 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376616 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376621 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376627 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376634 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376641 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376648 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 376658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 376663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 376668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 376673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 376678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 376683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376689 */     GIR_RootConstrainSelectedInstOperands,
     /* 376690 */     // GIR_Coverage, 11961,
     /* 376690 */     GIR_EraseRootFromParent_Done,
     /* 376691 */   // Label 5892: @376691
     /* 376691 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(376820), // Rule ID 11962 //
     /* 376696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 376724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376732 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376736 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376740 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376740 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376745 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376763 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376770 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376777 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 376787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 376792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 376797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 376802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 376807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 376812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376818 */     GIR_RootConstrainSelectedInstOperands,
     /* 376819 */     // GIR_Coverage, 11962,
     /* 376819 */     GIR_EraseRootFromParent_Done,
     /* 376820 */   // Label 5893: @376820
     /* 376820 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(376949), // Rule ID 11963 //
     /* 376825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 376853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376857 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376869 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 376869 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 376874 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376874 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 376879 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 376883 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376892 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376899 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 376906 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 376906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 376909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 376911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 376916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 376921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 376926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 376931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 376936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 376941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376947 */     GIR_RootConstrainSelectedInstOperands,
     /* 376948 */     // GIR_Coverage, 11963,
     /* 376948 */     GIR_EraseRootFromParent_Done,
     /* 376949 */   // Label 5894: @376949
     /* 376949 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(377078), // Rule ID 11964 //
     /* 376954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 376958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 376974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 376982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 376986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 376990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 376998 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 376998 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377003 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377028 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377035 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 377045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 377050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 377055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 377060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377076 */     GIR_RootConstrainSelectedInstOperands,
     /* 377077 */     // GIR_Coverage, 11964,
     /* 377077 */     GIR_EraseRootFromParent_Done,
     /* 377078 */   // Label 5895: @377078
     /* 377078 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(377207), // Rule ID 11901 //
     /* 377083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 377111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377115 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 377127 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377127 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377132 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377150 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377157 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377164 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 377174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 377179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 377184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 377189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377205 */     GIR_RootConstrainSelectedInstOperands,
     /* 377206 */     // GIR_Coverage, 11901,
     /* 377206 */     GIR_EraseRootFromParent_Done,
     /* 377207 */   // Label 5896: @377207
     /* 377207 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(377336), // Rule ID 11902 //
     /* 377212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 377240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 377256 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377256 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377261 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377261 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377272 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377279 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377286 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377293 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 377303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 377308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 377313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 377318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377334 */     GIR_RootConstrainSelectedInstOperands,
     /* 377335 */     // GIR_Coverage, 11902,
     /* 377335 */     GIR_EraseRootFromParent_Done,
     /* 377336 */   // Label 5897: @377336
     /* 377336 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(377465), // Rule ID 11903 //
     /* 377341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 377369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377373 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 377385 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377385 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377390 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377408 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377422 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 377432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 377437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 377442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 377447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377463 */     GIR_RootConstrainSelectedInstOperands,
     /* 377464 */     // GIR_Coverage, 11903,
     /* 377464 */     GIR_EraseRootFromParent_Done,
     /* 377465 */   // Label 5898: @377465
     /* 377465 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(377594), // Rule ID 11904 //
     /* 377470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 377498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377502 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377506 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377510 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 377514 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377514 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377519 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377519 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377524 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377528 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377530 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377544 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377551 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 377561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 377566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 377571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 377576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377592 */     GIR_RootConstrainSelectedInstOperands,
     /* 377593 */     // GIR_Coverage, 11904,
     /* 377593 */     GIR_EraseRootFromParent_Done,
     /* 377594 */   // Label 5899: @377594
     /* 377594 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(377723), // Rule ID 11946 //
     /* 377599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 377627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377643 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377648 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377653 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377666 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377673 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377680 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 377690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 377695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 377700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 377705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377721 */     GIR_RootConstrainSelectedInstOperands,
     /* 377722 */     // GIR_Coverage, 11946,
     /* 377722 */     GIR_EraseRootFromParent_Done,
     /* 377723 */   // Label 5900: @377723
     /* 377723 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(377852), // Rule ID 11947 //
     /* 377728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 377756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377772 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377777 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377782 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377786 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377795 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377802 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377809 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 377819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 377824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 377829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 377834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377850 */     GIR_RootConstrainSelectedInstOperands,
     /* 377851 */     // GIR_Coverage, 11947,
     /* 377851 */     GIR_EraseRootFromParent_Done,
     /* 377852 */   // Label 5901: @377852
     /* 377852 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(377981), // Rule ID 11948 //
     /* 377857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 377877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 377885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 377893 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377897 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377901 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 377901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 377906 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 377906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 377911 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 377915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377924 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 377938 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 377938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 377941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 377943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 377948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 377953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 377958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 377963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 377968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 377973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377979 */     GIR_RootConstrainSelectedInstOperands,
     /* 377980 */     // GIR_Coverage, 11948,
     /* 377980 */     GIR_EraseRootFromParent_Done,
     /* 377981 */   // Label 5902: @377981
     /* 377981 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(378110), // Rule ID 11949 //
     /* 377986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 377990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 377998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 378014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378026 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378030 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378030 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 378035 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 378040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378053 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378060 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378067 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 378077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 378082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 378087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 378092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378108 */     GIR_RootConstrainSelectedInstOperands,
     /* 378109 */     // GIR_Coverage, 11949,
     /* 378109 */     GIR_EraseRootFromParent_Done,
     /* 378110 */   // Label 5903: @378110
     /* 378110 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(378239), // Rule ID 11886 //
     /* 378115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 378143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378147 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378159 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378159 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 378164 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378164 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 378169 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378173 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378182 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378189 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378196 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 378206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 378211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 378216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 378221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378237 */     GIR_RootConstrainSelectedInstOperands,
     /* 378238 */     // GIR_Coverage, 11886,
     /* 378238 */     GIR_EraseRootFromParent_Done,
     /* 378239 */   // Label 5904: @378239
     /* 378239 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(378368), // Rule ID 11887 //
     /* 378244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 378272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378288 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 378293 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 378298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378311 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378325 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 378335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 378340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 378345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 378350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378366 */     GIR_RootConstrainSelectedInstOperands,
     /* 378367 */     // GIR_Coverage, 11887,
     /* 378367 */     GIR_EraseRootFromParent_Done,
     /* 378368 */   // Label 5905: @378368
     /* 378368 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(378497), // Rule ID 11888 //
     /* 378373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 378401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378417 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 378422 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 378427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378431 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378440 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378447 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378454 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 378464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 378469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 378474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 378479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378495 */     GIR_RootConstrainSelectedInstOperands,
     /* 378496 */     // GIR_Coverage, 11888,
     /* 378496 */     GIR_EraseRootFromParent_Done,
     /* 378497 */   // Label 5906: @378497
     /* 378497 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(378626), // Rule ID 11889 //
     /* 378502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 378530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378534 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378538 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378542 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378546 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 378551 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 378556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378560 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378569 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378576 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378583 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 378593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 378598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 378603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 378608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378624 */     GIR_RootConstrainSelectedInstOperands,
     /* 378625 */     // GIR_Coverage, 11889,
     /* 378625 */     GIR_EraseRootFromParent_Done,
     /* 378626 */   // Label 5907: @378626
     /* 378626 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(378755), // Rule ID 11895 //
     /* 378631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378663 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 378675 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 378680 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 378685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378705 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378712 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 378722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 378727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 378732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 378737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378753 */     GIR_RootConstrainSelectedInstOperands,
     /* 378754 */     // GIR_Coverage, 11895,
     /* 378754 */     GIR_EraseRootFromParent_Done,
     /* 378755 */   // Label 5908: @378755
     /* 378755 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(378884), // Rule ID 11896 //
     /* 378760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378792 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378796 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378800 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 378804 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378804 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 378809 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378809 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 378814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378818 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378834 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378841 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 378851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 378856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 378861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 378866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 378871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 378876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378882 */     GIR_RootConstrainSelectedInstOperands,
     /* 378883 */     // GIR_Coverage, 11896,
     /* 378883 */     GIR_EraseRootFromParent_Done,
     /* 378884 */   // Label 5909: @378884
     /* 378884 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(379013), // Rule ID 11899 //
     /* 378889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 378893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 378901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 378909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 378917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 378925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 378933 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 378933 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 378938 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 378938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 378943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 378947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378963 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 378970 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 378970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 378973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 378975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 378980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 378985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 378990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 378995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379011 */     GIR_RootConstrainSelectedInstOperands,
     /* 379012 */     // GIR_Coverage, 11899,
     /* 379012 */     GIR_EraseRootFromParent_Done,
     /* 379013 */   // Label 5910: @379013
     /* 379013 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(379142), // Rule ID 11900 //
     /* 379018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379050 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 379062 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379067 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379072 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379092 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379099 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 379109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 379114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 379119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 379124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379140 */     GIR_RootConstrainSelectedInstOperands,
     /* 379141 */     // GIR_Coverage, 11900,
     /* 379141 */     GIR_EraseRootFromParent_Done,
     /* 379142 */   // Label 5911: @379142
     /* 379142 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(379271), // Rule ID 11880 //
     /* 379147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379179 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379183 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379187 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 379191 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379191 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379196 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379228 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 379238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 379243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 379248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 379253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379269 */     GIR_RootConstrainSelectedInstOperands,
     /* 379270 */     // GIR_Coverage, 11880,
     /* 379270 */     GIR_EraseRootFromParent_Done,
     /* 379271 */   // Label 5912: @379271
     /* 379271 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(379400), // Rule ID 11881 //
     /* 379276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379308 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 379320 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379320 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379325 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379330 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379357 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 379367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 379372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 379377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 379382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379398 */     GIR_RootConstrainSelectedInstOperands,
     /* 379399 */     // GIR_Coverage, 11881,
     /* 379399 */     GIR_EraseRootFromParent_Done,
     /* 379400 */   // Label 5913: @379400
     /* 379400 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(379529), // Rule ID 11884 //
     /* 379405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379437 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 379449 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379449 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379454 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379454 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379463 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379465 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379479 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379486 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 379496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 379501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 379506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 379511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379527 */     GIR_RootConstrainSelectedInstOperands,
     /* 379528 */     // GIR_Coverage, 11884,
     /* 379528 */     GIR_EraseRootFromParent_Done,
     /* 379529 */   // Label 5914: @379529
     /* 379529 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(379658), // Rule ID 11885 //
     /* 379534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 379578 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379578 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379583 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379592 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379608 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379615 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 379625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 379630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 379635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 379640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379656 */     GIR_RootConstrainSelectedInstOperands,
     /* 379657 */     // GIR_Coverage, 11885,
     /* 379657 */     GIR_EraseRootFromParent_Done,
     /* 379658 */   // Label 5915: @379658
     /* 379658 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(379787), // Rule ID 7810 //
     /* 379663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379695 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379699 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379703 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 379707 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379707 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379712 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379737 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379744 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 379754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 379759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 379764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 379769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379785 */     GIR_RootConstrainSelectedInstOperands,
     /* 379786 */     // GIR_Coverage, 7810,
     /* 379786 */     GIR_EraseRootFromParent_Done,
     /* 379787 */   // Label 5916: @379787
     /* 379787 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(379916), // Rule ID 11894 //
     /* 379792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 379836 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379841 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379846 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379866 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379873 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 379873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 379876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 379878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 379883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 379888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 379893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 379898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 379903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 379908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379914 */     GIR_RootConstrainSelectedInstOperands,
     /* 379915 */     // GIR_Coverage, 11894,
     /* 379915 */     GIR_EraseRootFromParent_Done,
     /* 379916 */   // Label 5917: @379916
     /* 379916 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(380045), // Rule ID 11897 //
     /* 379921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 379925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 379933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 379941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 379949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 379957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379961 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 379965 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 379965 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 379970 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 379970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 379975 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 379979 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 379995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380002 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 380012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 380017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 380022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 380027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380043 */     GIR_RootConstrainSelectedInstOperands,
     /* 380044 */     // GIR_Coverage, 11897,
     /* 380044 */     GIR_EraseRootFromParent_Done,
     /* 380045 */   // Label 5918: @380045
     /* 380045 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(380174), // Rule ID 11898 //
     /* 380050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 380078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380082 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380086 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 380090 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 380094 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380094 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380099 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380099 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380104 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380108 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380124 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380131 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 380141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 380146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 380151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 380156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380172 */     GIR_RootConstrainSelectedInstOperands,
     /* 380173 */     // GIR_Coverage, 11898,
     /* 380173 */     GIR_EraseRootFromParent_Done,
     /* 380174 */   // Label 5919: @380174
     /* 380174 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(380303), // Rule ID 7809 //
     /* 380179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 380207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 380219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 380223 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380228 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380239 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380246 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380260 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 380270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 380275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 380280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 380285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380301 */     GIR_RootConstrainSelectedInstOperands,
     /* 380302 */     // GIR_Coverage, 7809,
     /* 380302 */     GIR_EraseRootFromParent_Done,
     /* 380303 */   // Label 5920: @380303
     /* 380303 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(380432), // Rule ID 11879 //
     /* 380308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 380336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380340 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380344 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 380348 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 380352 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380352 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380357 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380368 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380375 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380382 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380389 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 380399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 380404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 380409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 380414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380430 */     GIR_RootConstrainSelectedInstOperands,
     /* 380431 */     // GIR_Coverage, 11879,
     /* 380431 */     GIR_EraseRootFromParent_Done,
     /* 380432 */   // Label 5921: @380432
     /* 380432 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(380561), // Rule ID 11882 //
     /* 380437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 380465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380469 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380473 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 380477 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 380481 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380481 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380486 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380491 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380518 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 380528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 380533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 380538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 380543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380559 */     GIR_RootConstrainSelectedInstOperands,
     /* 380560 */     // GIR_Coverage, 11882,
     /* 380560 */     GIR_EraseRootFromParent_Done,
     /* 380561 */   // Label 5922: @380561
     /* 380561 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(380690), // Rule ID 11883 //
     /* 380566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 380594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 380606 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 380610 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380610 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380615 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380620 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380624 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380647 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 380657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 380662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 380667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 380672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380688 */     GIR_RootConstrainSelectedInstOperands,
     /* 380689 */     // GIR_Coverage, 11883,
     /* 380689 */     GIR_EraseRootFromParent_Done,
     /* 380690 */   // Label 5923: @380690
     /* 380690 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(380819), // Rule ID 11865 //
     /* 380695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380727 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 380739 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380739 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380744 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380744 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380749 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380753 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380755 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380769 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380776 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 380786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 380791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 380796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 380801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380817 */     GIR_RootConstrainSelectedInstOperands,
     /* 380818 */     // GIR_Coverage, 11865,
     /* 380818 */     GIR_EraseRootFromParent_Done,
     /* 380819 */   // Label 5924: @380819
     /* 380819 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(380948), // Rule ID 11866 //
     /* 380824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380856 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 380868 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 380868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 380873 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 380878 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 380882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380884 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380891 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380898 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 380905 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 380905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 380908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 380910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 380915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 380920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 380925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 380930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 380935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 380940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 380946 */     GIR_RootConstrainSelectedInstOperands,
     /* 380947 */     // GIR_Coverage, 11866,
     /* 380947 */     GIR_EraseRootFromParent_Done,
     /* 380948 */   // Label 5925: @380948
     /* 380948 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(381077), // Rule ID 11869 //
     /* 380953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 380957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 380973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 380981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380985 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 380989 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380993 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 380997 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 380997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381002 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381007 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381011 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381027 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381034 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 381044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 381049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 381054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 381059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381075 */     GIR_RootConstrainSelectedInstOperands,
     /* 381076 */     // GIR_Coverage, 11869,
     /* 381076 */     GIR_EraseRootFromParent_Done,
     /* 381077 */   // Label 5926: @381077
     /* 381077 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(381206), // Rule ID 11870 //
     /* 381082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381114 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 381126 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381126 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381131 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381136 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381149 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381163 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 381173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 381178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 381183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 381188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381204 */     GIR_RootConstrainSelectedInstOperands,
     /* 381205 */     // GIR_Coverage, 11870,
     /* 381205 */     GIR_EraseRootFromParent_Done,
     /* 381206 */   // Label 5927: @381206
     /* 381206 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(381335), // Rule ID 11850 //
     /* 381211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 381255 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381260 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381265 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381269 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381292 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 381302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 381307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 381312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 381317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381333 */     GIR_RootConstrainSelectedInstOperands,
     /* 381334 */     // GIR_Coverage, 11850,
     /* 381334 */     GIR_EraseRootFromParent_Done,
     /* 381335 */   // Label 5928: @381335
     /* 381335 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(381464), // Rule ID 11851 //
     /* 381340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381376 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381380 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 381384 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381384 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381389 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381389 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381414 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381421 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 381431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 381436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 381441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 381446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381462 */     GIR_RootConstrainSelectedInstOperands,
     /* 381463 */     // GIR_Coverage, 11851,
     /* 381463 */     GIR_EraseRootFromParent_Done,
     /* 381464 */   // Label 5929: @381464
     /* 381464 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(381593), // Rule ID 11854 //
     /* 381469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381501 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 381513 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381513 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381518 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381523 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381529 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381543 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381550 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 381560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 381565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 381570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 381575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381591 */     GIR_RootConstrainSelectedInstOperands,
     /* 381592 */     // GIR_Coverage, 11854,
     /* 381592 */     GIR_EraseRootFromParent_Done,
     /* 381593 */   // Label 5930: @381593
     /* 381593 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(381722), // Rule ID 11855 //
     /* 381598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381630 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381634 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381638 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 381642 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381647 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381652 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381679 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 381689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 381694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 381699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 381704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381720 */     GIR_RootConstrainSelectedInstOperands,
     /* 381721 */     // GIR_Coverage, 11855,
     /* 381721 */     GIR_EraseRootFromParent_Done,
     /* 381722 */   // Label 5931: @381722
     /* 381722 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(381851), // Rule ID 7808 //
     /* 381727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381759 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 381767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 381771 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381776 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381781 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381801 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381808 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 381818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 381823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 381828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 381833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381849 */     GIR_RootConstrainSelectedInstOperands,
     /* 381850 */     // GIR_Coverage, 7808,
     /* 381850 */     GIR_EraseRootFromParent_Done,
     /* 381851 */   // Label 5932: @381851
     /* 381851 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(381980), // Rule ID 11864 //
     /* 381856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 381876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 381888 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 381892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 381896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 381900 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 381900 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 381905 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 381905 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 381910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 381914 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381930 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 381937 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 381937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 381940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 381942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 381947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 381952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 381957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 381962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 381967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 381972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 381978 */     GIR_RootConstrainSelectedInstOperands,
     /* 381979 */     // GIR_Coverage, 11864,
     /* 381979 */     GIR_EraseRootFromParent_Done,
     /* 381980 */   // Label 5933: @381980
     /* 381980 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(382109), // Rule ID 11867 //
     /* 381985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 381989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 381997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382017 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 382029 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382029 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382034 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382034 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382043 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382045 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382059 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382066 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 382086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 382091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382107 */     GIR_RootConstrainSelectedInstOperands,
     /* 382108 */     // GIR_Coverage, 11867,
     /* 382108 */     GIR_EraseRootFromParent_Done,
     /* 382109 */   // Label 5934: @382109
     /* 382109 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(382238), // Rule ID 11868 //
     /* 382114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382146 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 382158 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382158 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382163 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382163 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382168 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382174 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382188 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382195 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 382215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 382220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382236 */     GIR_RootConstrainSelectedInstOperands,
     /* 382237 */     // GIR_Coverage, 11868,
     /* 382237 */     GIR_EraseRootFromParent_Done,
     /* 382238 */   // Label 5935: @382238
     /* 382238 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(382367), // Rule ID 7807 //
     /* 382243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 382287 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382292 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382297 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382301 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382317 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382324 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 382334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 382339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 382344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 382349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382365 */     GIR_RootConstrainSelectedInstOperands,
     /* 382366 */     // GIR_Coverage, 7807,
     /* 382366 */     GIR_EraseRootFromParent_Done,
     /* 382367 */   // Label 5936: @382367
     /* 382367 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(382496), // Rule ID 11849 //
     /* 382372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 382416 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382421 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382426 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382432 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382446 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382453 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 382463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 382468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 382473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 382478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382494 */     GIR_RootConstrainSelectedInstOperands,
     /* 382495 */     // GIR_Coverage, 11849,
     /* 382495 */     GIR_EraseRootFromParent_Done,
     /* 382496 */   // Label 5937: @382496
     /* 382496 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(382625), // Rule ID 11852 //
     /* 382501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 382545 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382550 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382555 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382559 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382575 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382582 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 382602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 382607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382623 */     GIR_RootConstrainSelectedInstOperands,
     /* 382624 */     // GIR_Coverage, 11852,
     /* 382624 */     GIR_EraseRootFromParent_Done,
     /* 382625 */   // Label 5938: @382625
     /* 382625 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(382754), // Rule ID 11853 //
     /* 382630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382666 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382670 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 382674 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382674 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 382679 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382679 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 382684 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382688 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382704 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382711 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 382731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 382736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 382741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 382746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382752 */     GIR_RootConstrainSelectedInstOperands,
     /* 382753 */     // GIR_Coverage, 11853,
     /* 382753 */     GIR_EraseRootFromParent_Done,
     /* 382754 */   // Label 5939: @382754
     /* 382754 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(382883), // Rule ID 11935 //
     /* 382759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 382783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 382787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382791 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 382803 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 382808 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 382813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382817 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382826 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382833 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382840 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 382860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 382865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 382870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 382875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 382881 */     GIR_RootConstrainSelectedInstOperands,
     /* 382882 */     // GIR_Coverage, 11935,
     /* 382882 */     GIR_EraseRootFromParent_Done,
     /* 382883 */   // Label 5940: @382883
     /* 382883 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(383012), // Rule ID 11936 //
     /* 382888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 382892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 382900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 382908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 382912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 382916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382920 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 382924 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382928 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 382932 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 382932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 382937 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 382937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 382942 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 382946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382955 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 382969 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 382969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 382972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 382974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 382979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 382984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 382989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 382994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 382999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383010 */     GIR_RootConstrainSelectedInstOperands,
     /* 383011 */     // GIR_Coverage, 11936,
     /* 383011 */     GIR_EraseRootFromParent_Done,
     /* 383012 */   // Label 5941: @383012
     /* 383012 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(383141), // Rule ID 11937 //
     /* 383017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 383061 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383066 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383075 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383084 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383091 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383098 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 383108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 383113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 383118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 383123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383139 */     GIR_RootConstrainSelectedInstOperands,
     /* 383140 */     // GIR_Coverage, 11937,
     /* 383140 */     GIR_EraseRootFromParent_Done,
     /* 383141 */   // Label 5942: @383141
     /* 383141 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(383270), // Rule ID 11938 //
     /* 383146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383178 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383182 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383186 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 383190 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383195 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383200 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383204 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383213 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383220 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383227 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 383237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 383242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 383247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 383252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383268 */     GIR_RootConstrainSelectedInstOperands,
     /* 383269 */     // GIR_Coverage, 11938,
     /* 383269 */     GIR_EraseRootFromParent_Done,
     /* 383270 */   // Label 5943: @383270
     /* 383270 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(383399), // Rule ID 11875 //
     /* 383275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383291 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383307 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383311 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383315 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383319 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383319 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383324 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383324 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383329 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383333 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383335 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383342 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383349 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383356 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 383366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 383371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 383376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 383381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383397 */     GIR_RootConstrainSelectedInstOperands,
     /* 383398 */     // GIR_Coverage, 11875,
     /* 383398 */     GIR_EraseRootFromParent_Done,
     /* 383399 */   // Label 5944: @383399
     /* 383399 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(383528), // Rule ID 11876 //
     /* 383404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383436 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383448 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383448 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383453 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383458 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383464 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383471 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383485 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 383495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 383500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 383505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 383510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383526 */     GIR_RootConstrainSelectedInstOperands,
     /* 383527 */     // GIR_Coverage, 11876,
     /* 383527 */     GIR_EraseRootFromParent_Done,
     /* 383528 */   // Label 5945: @383528
     /* 383528 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(383657), // Rule ID 11877 //
     /* 383533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383577 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383582 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383587 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383600 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383607 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383614 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 383624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 383629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 383634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 383639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383655 */     GIR_RootConstrainSelectedInstOperands,
     /* 383656 */     // GIR_Coverage, 11877,
     /* 383656 */     GIR_EraseRootFromParent_Done,
     /* 383657 */   // Label 5946: @383657
     /* 383657 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(383786), // Rule ID 11878 //
     /* 383662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 383690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383694 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383702 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383706 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383711 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383716 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383720 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383729 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383736 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383743 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 383753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 383758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 383763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 383768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383784 */     GIR_RootConstrainSelectedInstOperands,
     /* 383785 */     // GIR_Coverage, 11878,
     /* 383785 */     GIR_EraseRootFromParent_Done,
     /* 383786 */   // Label 5947: @383786
     /* 383786 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(383915), // Rule ID 11920 //
     /* 383791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 383819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 383835 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383835 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383840 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383845 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383858 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383872 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 383872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 383875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 383877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 383882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 383887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 383892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 383897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 383902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 383907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383913 */     GIR_RootConstrainSelectedInstOperands,
     /* 383914 */     // GIR_Coverage, 11920,
     /* 383914 */     GIR_EraseRootFromParent_Done,
     /* 383915 */   // Label 5948: @383915
     /* 383915 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(384044), // Rule ID 11921 //
     /* 383920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 383924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 383932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383936 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 383940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 383948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383952 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 383956 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383960 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 383964 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 383964 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 383969 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 383969 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 383974 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 383978 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383987 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 383994 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384001 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 384011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 384016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 384021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 384026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384042 */     GIR_RootConstrainSelectedInstOperands,
     /* 384043 */     // GIR_Coverage, 11921,
     /* 384043 */     GIR_EraseRootFromParent_Done,
     /* 384044 */   // Label 5949: @384044
     /* 384044 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(384173), // Rule ID 11922 //
     /* 384049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384081 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384085 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384089 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 384093 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384093 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384098 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384130 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 384140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 384145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 384150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 384155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384171 */     GIR_RootConstrainSelectedInstOperands,
     /* 384172 */     // GIR_Coverage, 11922,
     /* 384172 */     GIR_EraseRootFromParent_Done,
     /* 384173 */   // Label 5950: @384173
     /* 384173 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(384302), // Rule ID 11923 //
     /* 384178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384214 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384218 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 384222 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384222 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384227 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384245 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384259 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 384269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 384274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 384279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 384284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384300 */     GIR_RootConstrainSelectedInstOperands,
     /* 384301 */     // GIR_Coverage, 11923,
     /* 384301 */     GIR_EraseRootFromParent_Done,
     /* 384302 */   // Label 5951: @384302
     /* 384302 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(384431), // Rule ID 11860 //
     /* 384307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384339 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384343 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384347 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384351 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384356 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384361 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384365 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384367 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384374 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384388 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 384398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 384403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 384408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 384413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384429 */     GIR_RootConstrainSelectedInstOperands,
     /* 384430 */     // GIR_Coverage, 11860,
     /* 384430 */     GIR_EraseRootFromParent_Done,
     /* 384431 */   // Label 5952: @384431
     /* 384431 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(384560), // Rule ID 11861 //
     /* 384436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384480 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384480 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384485 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384517 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 384527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 384532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 384537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 384542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384558 */     GIR_RootConstrainSelectedInstOperands,
     /* 384559 */     // GIR_Coverage, 11861,
     /* 384559 */     GIR_EraseRootFromParent_Done,
     /* 384560 */   // Label 5953: @384560
     /* 384560 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(384689), // Rule ID 11862 //
     /* 384565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384597 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384609 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384609 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384614 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384614 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384619 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384623 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384632 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384646 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 384656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 384661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 384666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 384671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384687 */     GIR_RootConstrainSelectedInstOperands,
     /* 384688 */     // GIR_Coverage, 11862,
     /* 384688 */     GIR_EraseRootFromParent_Done,
     /* 384689 */   // Label 5954: @384689
     /* 384689 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(384818), // Rule ID 11863 //
     /* 384694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 384722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384734 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384738 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384743 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384748 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384754 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384775 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 384785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 384790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 384795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 384800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 384805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 384810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384816 */     GIR_RootConstrainSelectedInstOperands,
     /* 384817 */     // GIR_Coverage, 11863,
     /* 384817 */     GIR_EraseRootFromParent_Done,
     /* 384818 */   // Label 5955: @384818
     /* 384818 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(384947), // Rule ID 11931 //
     /* 384823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 384851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384859 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384863 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 384867 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 384867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 384872 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 384877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 384881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384897 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 384904 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 384904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 384907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 384909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 384914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 384919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 384924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 384929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 384934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 384939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384945 */     GIR_RootConstrainSelectedInstOperands,
     /* 384946 */     // GIR_Coverage, 11931,
     /* 384946 */     GIR_EraseRootFromParent_Done,
     /* 384947 */   // Label 5956: @384947
     /* 384947 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(385076), // Rule ID 11932 //
     /* 384952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 384956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 384964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 384972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 384980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 384988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 384996 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 384996 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385001 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385006 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385010 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385012 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385019 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385033 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 385043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 385048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 385053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 385058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385074 */     GIR_RootConstrainSelectedInstOperands,
     /* 385075 */     // GIR_Coverage, 11932,
     /* 385075 */     GIR_EraseRootFromParent_Done,
     /* 385076 */   // Label 5957: @385076
     /* 385076 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(385205), // Rule ID 11933 //
     /* 385081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 385125 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385130 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385135 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385162 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 385172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 385177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 385182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 385187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385203 */     GIR_RootConstrainSelectedInstOperands,
     /* 385204 */     // GIR_Coverage, 11933,
     /* 385204 */     GIR_EraseRootFromParent_Done,
     /* 385205 */   // Label 5958: @385205
     /* 385205 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(385334), // Rule ID 11934 //
     /* 385210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 385254 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385254 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385259 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385259 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385268 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385270 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385277 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385291 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 385301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 385306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 385311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 385316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385332 */     GIR_RootConstrainSelectedInstOperands,
     /* 385333 */     // GIR_Coverage, 11934,
     /* 385333 */     GIR_EraseRootFromParent_Done,
     /* 385334 */   // Label 5959: @385334
     /* 385334 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(385463), // Rule ID 11871 //
     /* 385339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385371 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385375 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385379 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385383 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385383 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385388 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385397 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385399 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385420 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 385430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 385435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 385440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 385445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385461 */     GIR_RootConstrainSelectedInstOperands,
     /* 385462 */     // GIR_Coverage, 11871,
     /* 385462 */     GIR_EraseRootFromParent_Done,
     /* 385463 */   // Label 5960: @385463
     /* 385463 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(385592), // Rule ID 11872 //
     /* 385468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385512 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385512 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385517 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385526 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385528 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385535 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385549 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 385559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 385564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 385569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 385574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385590 */     GIR_RootConstrainSelectedInstOperands,
     /* 385591 */     // GIR_Coverage, 11872,
     /* 385591 */     GIR_EraseRootFromParent_Done,
     /* 385592 */   // Label 5961: @385592
     /* 385592 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(385721), // Rule ID 11873 //
     /* 385597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385629 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385641 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385646 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385655 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385664 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385678 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 385688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 385693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 385698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 385703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385719 */     GIR_RootConstrainSelectedInstOperands,
     /* 385720 */     // GIR_Coverage, 11873,
     /* 385720 */     GIR_EraseRootFromParent_Done,
     /* 385721 */   // Label 5962: @385721
     /* 385721 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(385850), // Rule ID 11874 //
     /* 385726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 385754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385770 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385770 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385775 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385780 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385807 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 385817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 385822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 385827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 385832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385848 */     GIR_RootConstrainSelectedInstOperands,
     /* 385849 */     // GIR_Coverage, 11874,
     /* 385849 */     GIR_EraseRootFromParent_Done,
     /* 385850 */   // Label 5963: @385850
     /* 385850 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(385979), // Rule ID 11916 //
     /* 385855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 385875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 385883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 385891 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385895 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 385899 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 385899 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 385904 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 385904 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 385909 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 385913 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385915 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385922 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385929 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 385936 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 385936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 385939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 385941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 385946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 385951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 385956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 385961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 385966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 385971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385977 */     GIR_RootConstrainSelectedInstOperands,
     /* 385978 */     // GIR_Coverage, 11916,
     /* 385978 */     GIR_EraseRootFromParent_Done,
     /* 385979 */   // Label 5964: @385979
     /* 385979 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(386108), // Rule ID 11917 //
     /* 385984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 385988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 385996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386024 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 386028 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386033 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386058 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386065 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 386075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 386080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 386085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 386090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386106 */     GIR_RootConstrainSelectedInstOperands,
     /* 386107 */     // GIR_Coverage, 11917,
     /* 386107 */     GIR_EraseRootFromParent_Done,
     /* 386108 */   // Label 5965: @386108
     /* 386108 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(386237), // Rule ID 11918 //
     /* 386113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386149 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386153 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 386157 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386157 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386162 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386167 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386187 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386194 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 386204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 386209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 386214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 386219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386235 */     GIR_RootConstrainSelectedInstOperands,
     /* 386236 */     // GIR_Coverage, 11918,
     /* 386236 */     GIR_EraseRootFromParent_Done,
     /* 386237 */   // Label 5966: @386237
     /* 386237 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(386366), // Rule ID 11919 //
     /* 386242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386274 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386278 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386282 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 386286 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386291 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386300 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386309 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386323 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 386333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 386338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 386343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 386348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386364 */     GIR_RootConstrainSelectedInstOperands,
     /* 386365 */     // GIR_Coverage, 11919,
     /* 386365 */     GIR_EraseRootFromParent_Done,
     /* 386366 */   // Label 5967: @386366
     /* 386366 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(386495), // Rule ID 11856 //
     /* 386371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386415 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386420 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386425 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386429 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386452 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 386462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 386467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 386472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 386477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386493 */     GIR_RootConstrainSelectedInstOperands,
     /* 386494 */     // GIR_Coverage, 11856,
     /* 386494 */     GIR_EraseRootFromParent_Done,
     /* 386495 */   // Label 5968: @386495
     /* 386495 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(386624), // Rule ID 11857 //
     /* 386500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386532 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386536 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386540 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386544 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386544 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386549 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386549 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386554 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386558 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386560 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386567 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386574 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386581 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 386591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 386596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 386601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 386606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386622 */     GIR_RootConstrainSelectedInstOperands,
     /* 386623 */     // GIR_Coverage, 11857,
     /* 386623 */     GIR_EraseRootFromParent_Done,
     /* 386624 */   // Label 5969: @386624
     /* 386624 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(386753), // Rule ID 11858 //
     /* 386629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386673 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386678 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386703 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386710 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 386720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 386725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 386730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 386735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386751 */     GIR_RootConstrainSelectedInstOperands,
     /* 386752 */     // GIR_Coverage, 11858,
     /* 386752 */     GIR_EraseRootFromParent_Done,
     /* 386753 */   // Label 5970: @386753
     /* 386753 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(386882), // Rule ID 11859 //
     /* 386758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 386778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 386786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386790 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386794 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386798 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 386802 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 386802 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 386807 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 386807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 386812 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 386816 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386818 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386832 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386839 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 386842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 386849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 386854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 386859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 386864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 386869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 386874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386880 */     GIR_RootConstrainSelectedInstOperands,
     /* 386881 */     // GIR_Coverage, 11859,
     /* 386881 */     GIR_EraseRootFromParent_Done,
     /* 386882 */   // Label 5971: @386882
     /* 386882 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(386994), // Rule ID 13458 //
     /* 386887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 386890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 386894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 386902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 386906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 386914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 386918 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 386922 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 386924 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 386928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386937 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 386951 */     // (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 386951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 386954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 386956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 386961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 386966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 386971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 386976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 386981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 386986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386992 */     GIR_RootConstrainSelectedInstOperands,
     /* 386993 */     // GIR_Coverage, 13458,
     /* 386993 */     GIR_EraseRootFromParent_Done,
     /* 386994 */   // Label 5972: @386994
     /* 386994 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(387106), // Rule ID 13457 //
     /* 386999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 387014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 387026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 387030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 387034 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 387036 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 387040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387049 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387063 */     // (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 387073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 387078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 387083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 387088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 387093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 387098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387104 */     GIR_RootConstrainSelectedInstOperands,
     /* 387105 */     // GIR_Coverage, 13457,
     /* 387105 */     GIR_EraseRootFromParent_Done,
     /* 387106 */   // Label 5973: @387106
     /* 387106 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(387218), // Rule ID 7932 //
     /* 387111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 387126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 387138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 387142 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 387146 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 387148 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 387152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387175 */     // (fminnum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 387185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 387195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 387205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 387210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387216 */     GIR_RootConstrainSelectedInstOperands,
     /* 387217 */     // GIR_Coverage, 7932,
     /* 387217 */     GIR_EraseRootFromParent_Done,
     /* 387218 */   // Label 5974: @387218
     /* 387218 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(387330), // Rule ID 7931 //
     /* 387223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 387238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 387250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 387254 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 387258 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 387260 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 387264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387273 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387280 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387287 */     // (fminnum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 387297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 387307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 387317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 387322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387328 */     GIR_RootConstrainSelectedInstOperands,
     /* 387329 */     // GIR_Coverage, 7931,
     /* 387329 */     GIR_EraseRootFromParent_Done,
     /* 387330 */   // Label 5975: @387330
     /* 387330 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(387426), // Rule ID 13450 //
     /* 387335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 387350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 387358 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 387360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387376 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387383 */     // (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 387393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 387398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 387403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 387408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 387413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 387418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387424 */     GIR_RootConstrainSelectedInstOperands,
     /* 387425 */     // GIR_Coverage, 13450,
     /* 387425 */     GIR_EraseRootFromParent_Done,
     /* 387426 */   // Label 5976: @387426
     /* 387426 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(387522), // Rule ID 13449 //
     /* 387431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 387446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 387454 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 387456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387465 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387479 */     // (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 387489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 387494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 387499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 387504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 387509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 387514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387520 */     GIR_RootConstrainSelectedInstOperands,
     /* 387521 */     // GIR_Coverage, 13449,
     /* 387521 */     GIR_EraseRootFromParent_Done,
     /* 387522 */   // Label 5977: @387522
     /* 387522 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(387618), // Rule ID 7924 //
     /* 387527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 387542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 387550 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 387552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387575 */     // (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 387585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 387595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 387605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 387610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387616 */     GIR_RootConstrainSelectedInstOperands,
     /* 387617 */     // GIR_Coverage, 7924,
     /* 387617 */     GIR_EraseRootFromParent_Done,
     /* 387618 */   // Label 5978: @387618
     /* 387618 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(387714), // Rule ID 7923 //
     /* 387623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 387626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 387638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 387642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 387646 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 387648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387671 */     // (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 387671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 387674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 387681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 387691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 387701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 387706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387712 */     GIR_RootConstrainSelectedInstOperands,
     /* 387713 */     // GIR_Coverage, 7923,
     /* 387713 */     GIR_EraseRootFromParent_Done,
     /* 387714 */   // Label 5979: @387714
     /* 387714 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(387749), // Rule ID 91 //
     /* 387719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 387722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 387726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 387730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 387734 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13777),
     /* 387738 */     // (fminnum:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13777>>  =>  (S_MIN_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 387738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_F32),
     /* 387743 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 387747 */     GIR_RootConstrainSelectedInstOperands,
     /* 387748 */     // GIR_Coverage, 91,
     /* 387748 */     GIR_Done,
     /* 387749 */   // Label 5980: @387749
     /* 387749 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(387809), // Rule ID 803 //
     /* 387754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 387765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387772 */     // (fminnum:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 387772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F32_e64),
     /* 387775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 387782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 387792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 387802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 387807 */     GIR_RootConstrainSelectedInstOperands,
     /* 387808 */     // GIR_Coverage, 803,
     /* 387808 */     GIR_EraseRootFromParent_Done,
     /* 387809 */   // Label 5981: @387809
     /* 387809 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(387869), // Rule ID 8624 //
     /* 387814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 387818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 387832 */     // (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 387832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F32_e64),
     /* 387835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 387842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 387847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 387852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 387857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 387862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 387867 */     GIR_RootConstrainSelectedInstOperands,
     /* 387868 */     // GIR_Coverage, 8624,
     /* 387868 */     GIR_EraseRootFromParent_Done,
     /* 387869 */   // Label 5982: @387869
     /* 387869 */   GIM_Reject,
     /* 387870 */ // Label 5843: @387870
     /* 387870 */ GIM_Reject,
     /* 387871 */ // Label 5433: @387871
     /* 387871 */ GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(388123),
     /* 387876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 387879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 387882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 387886 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(387945), // Rule ID 918 //
     /* 387891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 387894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 387901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387908 */     // (fminnum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 387908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_NUM_F64_e64),
     /* 387911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 387918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 387928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 387938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 387943 */     GIR_RootConstrainSelectedInstOperands,
     /* 387944 */     // GIR_Coverage, 918,
     /* 387944 */     GIR_EraseRootFromParent_Done,
     /* 387945 */   // Label 5984: @387945
     /* 387945 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(388004), // Rule ID 937 //
     /* 387950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 387953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 387960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 387967 */     // (fminnum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 387967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 387970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 387972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 387977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 387982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 387987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 387992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 387997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 388002 */     GIR_RootConstrainSelectedInstOperands,
     /* 388003 */     // GIR_Coverage, 937,
     /* 388003 */     GIR_EraseRootFromParent_Done,
     /* 388004 */   // Label 5985: @388004
     /* 388004 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(388063), // Rule ID 8650 //
     /* 388009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 388012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 388026 */     // (fminnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 388026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_NUM_F64_e64),
     /* 388029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 388036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 388041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 388046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 388051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 388056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 388061 */     GIR_RootConstrainSelectedInstOperands,
     /* 388062 */     // GIR_Coverage, 8650,
     /* 388062 */     GIR_EraseRootFromParent_Done,
     /* 388063 */   // Label 5986: @388063
     /* 388063 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(388122), // Rule ID 8664 //
     /* 388068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 388071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 388085 */     // (fminnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 388085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 388088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 388095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 388100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 388105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 388110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 388115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 388120 */     GIR_RootConstrainSelectedInstOperands,
     /* 388121 */     // GIR_Coverage, 8664,
     /* 388121 */     GIR_EraseRootFromParent_Done,
     /* 388122 */   // Label 5987: @388122
     /* 388122 */   GIM_Reject,
     /* 388123 */ // Label 5983: @388123
     /* 388123 */ GIM_Reject,
     /* 388124 */ // Label 5434: @388124
     /* 388124 */ GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(388195), // Rule ID 1099 //
     /* 388129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 388132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 388135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 388139 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 388146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 388153 */   // (fminnum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MIN_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 388153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MIN_F16),
     /* 388156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 388163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 388168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 388173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 388178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388193 */   GIR_RootConstrainSelectedInstOperands,
     /* 388194 */   // GIR_Coverage, 1099,
     /* 388194 */   GIR_EraseRootFromParent_Done,
     /* 388195 */ // Label 5988: @388195
     /* 388195 */ GIM_Reject,
     /* 388196 */ // Label 5435: @388196
     /* 388196 */ GIM_Reject,
     /* 388197 */ // Label 81: @388197
     /* 388197 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 5993*/ GIMT_Encode4(459975),
     /* 388208 */ /*GILLT_s16*//*Label 5989*/ GIMT_Encode4(388224),
     /* 388212 */ /*GILLT_s32*//*Label 5990*/ GIMT_Encode4(442138),
     /* 388216 */ /*GILLT_s64*//*Label 5991*/ GIMT_Encode4(459650),
     /* 388220 */ /*GILLT_v2s16*//*Label 5992*/ GIMT_Encode4(459903),
     /* 388224 */ // Label 5989: @388224
     /* 388224 */ GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(442137),
     /* 388229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 388232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 388235 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(388370), // Rule ID 12225 //
     /* 388240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 388243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 388247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388287 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388292 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388297 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388301 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388317 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388324 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 388327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 388334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 388339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 388344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 388349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 388354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 388359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388368 */     GIR_RootConstrainSelectedInstOperands,
     /* 388369 */     // GIR_Coverage, 12225,
     /* 388369 */     GIR_EraseRootFromParent_Done,
     /* 388370 */   // Label 5995: @388370
     /* 388370 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(388505), // Rule ID 12226 //
     /* 388375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 388378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 388382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388422 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388427 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388432 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388452 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388459 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 388462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 388469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 388474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 388479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 388484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 388489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 388494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388503 */     GIR_RootConstrainSelectedInstOperands,
     /* 388504 */     // GIR_Coverage, 12226,
     /* 388504 */     GIR_EraseRootFromParent_Done,
     /* 388505 */   // Label 5996: @388505
     /* 388505 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(388640), // Rule ID 12229 //
     /* 388510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 388513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 388517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388557 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388562 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388580 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388587 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388594 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 388597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 388604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 388609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 388614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 388619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 388624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 388629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388638 */     GIR_RootConstrainSelectedInstOperands,
     /* 388639 */     // GIR_Coverage, 12229,
     /* 388639 */     GIR_EraseRootFromParent_Done,
     /* 388640 */   // Label 5997: @388640
     /* 388640 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(388775), // Rule ID 12230 //
     /* 388645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 388648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 388652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388688 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388692 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388692 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388697 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388697 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388702 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388708 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388715 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388722 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388729 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 388732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 388739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 388744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 388749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 388754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 388759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 388764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388773 */     GIR_RootConstrainSelectedInstOperands,
     /* 388774 */     // GIR_Coverage, 12230,
     /* 388774 */     GIR_EraseRootFromParent_Done,
     /* 388775 */   // Label 5998: @388775
     /* 388775 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(388910), // Rule ID 12705 //
     /* 388780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 388783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 388787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388815 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388827 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388827 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388832 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388832 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388841 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388850 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388857 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388864 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 388867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 388869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 388874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 388879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 388884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 388889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 388894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 388899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388908 */     GIR_RootConstrainSelectedInstOperands,
     /* 388909 */     // GIR_Coverage, 12705,
     /* 388909 */     GIR_EraseRootFromParent_Done,
     /* 388910 */   // Label 5999: @388910
     /* 388910 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(389045), // Rule ID 12706 //
     /* 388915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 388918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 388922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 388938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 388946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388950 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 388954 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388958 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 388962 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 388962 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 388967 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 388967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 388972 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 388976 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388978 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388992 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 388999 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 388999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 389002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 389009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 389014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 389019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 389024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389043 */     GIR_RootConstrainSelectedInstOperands,
     /* 389044 */     // GIR_Coverage, 12706,
     /* 389044 */     GIR_EraseRootFromParent_Done,
     /* 389045 */   // Label 6000: @389045
     /* 389045 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(389180), // Rule ID 12709 //
     /* 389050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 389053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 389057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389097 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389102 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389113 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389120 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389127 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389134 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 389137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 389144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 389149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 389154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 389159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389178 */     GIR_RootConstrainSelectedInstOperands,
     /* 389179 */     // GIR_Coverage, 12709,
     /* 389179 */     GIR_EraseRootFromParent_Done,
     /* 389180 */   // Label 6001: @389180
     /* 389180 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(389315), // Rule ID 12710 //
     /* 389185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 389188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 389192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389232 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389237 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389262 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389269 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 389272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 389279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 389284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 389289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 389294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389313 */     GIR_RootConstrainSelectedInstOperands,
     /* 389314 */     // GIR_Coverage, 12710,
     /* 389314 */     GIR_EraseRootFromParent_Done,
     /* 389315 */   // Label 6002: @389315
     /* 389315 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(389450), // Rule ID 13185 //
     /* 389320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 389323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 389327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389367 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389372 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389397 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389404 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 389407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 389414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 389419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 389424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 389429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389448 */     GIR_RootConstrainSelectedInstOperands,
     /* 389449 */     // GIR_Coverage, 13185,
     /* 389449 */     GIR_EraseRootFromParent_Done,
     /* 389450 */   // Label 6003: @389450
     /* 389450 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(389585), // Rule ID 13186 //
     /* 389455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 389458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 389462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389490 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389494 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389498 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389502 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389507 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389507 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389512 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389525 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389532 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389539 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 389542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 389549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 389554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 389559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 389564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389583 */     GIR_RootConstrainSelectedInstOperands,
     /* 389584 */     // GIR_Coverage, 13186,
     /* 389584 */     GIR_EraseRootFromParent_Done,
     /* 389585 */   // Label 6004: @389585
     /* 389585 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(389720), // Rule ID 13189 //
     /* 389590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 389593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 389597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389625 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389629 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389633 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389637 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389637 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389642 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389647 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389651 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389667 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389674 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 389677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 389684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 389689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 389694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 389699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389718 */     GIR_RootConstrainSelectedInstOperands,
     /* 389719 */     // GIR_Coverage, 13189,
     /* 389719 */     GIR_EraseRootFromParent_Done,
     /* 389720 */   // Label 6005: @389720
     /* 389720 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(389855), // Rule ID 13190 //
     /* 389725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 389728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 389732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 389772 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389777 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389782 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389786 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389802 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389809 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 389812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 389819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 389824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 389829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 389834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389853 */     GIR_RootConstrainSelectedInstOperands,
     /* 389854 */     // GIR_Coverage, 13190,
     /* 389854 */     GIR_EraseRootFromParent_Done,
     /* 389855 */   // Label 6006: @389855
     /* 389855 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(389990), // Rule ID 12210 //
     /* 389860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 389863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 389867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 389879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 389883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 389891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 389895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 389899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 389907 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 389907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 389912 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 389912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 389917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 389921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389930 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389937 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 389944 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 389944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 389947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 389949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 389954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 389959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 389964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 389969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 389974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 389979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389988 */     GIR_RootConstrainSelectedInstOperands,
     /* 389989 */     // GIR_Coverage, 12210,
     /* 389989 */     GIR_EraseRootFromParent_Done,
     /* 389990 */   // Label 6007: @389990
     /* 389990 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(390125), // Rule ID 12211 //
     /* 389995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 389998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 390002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390042 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390042 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390047 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390052 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390056 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390065 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390072 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390079 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 390082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 390089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 390094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 390099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 390104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390123 */     GIR_RootConstrainSelectedInstOperands,
     /* 390124 */     // GIR_Coverage, 12211,
     /* 390124 */     GIR_EraseRootFromParent_Done,
     /* 390125 */   // Label 6008: @390125
     /* 390125 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(390260), // Rule ID 12214 //
     /* 390130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 390133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 390137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390177 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390182 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390182 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390191 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390200 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390207 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390214 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 390217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 390224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 390229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 390234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 390239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390258 */     GIR_RootConstrainSelectedInstOperands,
     /* 390259 */     // GIR_Coverage, 12214,
     /* 390259 */     GIR_EraseRootFromParent_Done,
     /* 390260 */   // Label 6009: @390260
     /* 390260 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(390395), // Rule ID 12215 //
     /* 390265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 390268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 390272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390300 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390304 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390308 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390312 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390312 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390317 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390317 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390322 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390326 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390335 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390342 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390349 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 390352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 390359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 390364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 390369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 390374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390393 */     GIR_RootConstrainSelectedInstOperands,
     /* 390394 */     // GIR_Coverage, 12215,
     /* 390394 */     GIR_EraseRootFromParent_Done,
     /* 390395 */   // Label 6010: @390395
     /* 390395 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(390530), // Rule ID 12690 //
     /* 390400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 390403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 390407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390435 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390447 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390452 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390461 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390477 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390484 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 390487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 390494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 390499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 390504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 390509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390528 */     GIR_RootConstrainSelectedInstOperands,
     /* 390529 */     // GIR_Coverage, 12690,
     /* 390529 */     GIR_EraseRootFromParent_Done,
     /* 390530 */   // Label 6011: @390530
     /* 390530 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(390665), // Rule ID 12691 //
     /* 390535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 390538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 390542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390570 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390582 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390587 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390592 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390612 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390619 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 390622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 390629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 390634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 390639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 390644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390663 */     GIR_RootConstrainSelectedInstOperands,
     /* 390664 */     // GIR_Coverage, 12691,
     /* 390664 */     GIR_EraseRootFromParent_Done,
     /* 390665 */   // Label 6012: @390665
     /* 390665 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(390800), // Rule ID 12694 //
     /* 390670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 390673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 390677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390709 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390713 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390717 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390722 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390740 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390747 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390754 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 390757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 390764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 390769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 390774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 390779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390798 */     GIR_RootConstrainSelectedInstOperands,
     /* 390799 */     // GIR_Coverage, 12694,
     /* 390799 */     GIR_EraseRootFromParent_Done,
     /* 390800 */   // Label 6013: @390800
     /* 390800 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(390935), // Rule ID 12695 //
     /* 390805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 390808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 390812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390852 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390857 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390862 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 390866 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 390889 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 390889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 390892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 390894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 390899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 390904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 390909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 390914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 390919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 390924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390933 */     GIR_RootConstrainSelectedInstOperands,
     /* 390934 */     // GIR_Coverage, 12695,
     /* 390934 */     GIR_EraseRootFromParent_Done,
     /* 390935 */   // Label 6014: @390935
     /* 390935 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(391070), // Rule ID 13170 //
     /* 390940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 390943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 390947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 390963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 390971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390975 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 390979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 390987 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 390987 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 390992 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 390992 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 390997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391001 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391010 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391017 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391024 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 391027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391068 */     GIR_RootConstrainSelectedInstOperands,
     /* 391069 */     // GIR_Coverage, 13170,
     /* 391069 */     GIR_EraseRootFromParent_Done,
     /* 391070 */   // Label 6015: @391070
     /* 391070 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(391205), // Rule ID 13171 //
     /* 391075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 391078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391110 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391114 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391118 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 391122 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391122 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391127 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391127 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391145 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391152 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391159 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 391162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391203 */     GIR_RootConstrainSelectedInstOperands,
     /* 391204 */     // GIR_Coverage, 13171,
     /* 391204 */     GIR_EraseRootFromParent_Done,
     /* 391205 */   // Label 6016: @391205
     /* 391205 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(391340), // Rule ID 13174 //
     /* 391210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 391213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 391257 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391262 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391271 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391280 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391287 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391294 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 391297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 391304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 391309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 391314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 391319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391338 */     GIR_RootConstrainSelectedInstOperands,
     /* 391339 */     // GIR_Coverage, 13174,
     /* 391339 */     GIR_EraseRootFromParent_Done,
     /* 391340 */   // Label 6017: @391340
     /* 391340 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(391475), // Rule ID 13175 //
     /* 391345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 391348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391384 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391388 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 391392 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391392 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391397 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391397 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391402 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391415 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391422 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391429 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 391432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 391439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 391444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 391449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 391454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391473 */     GIR_RootConstrainSelectedInstOperands,
     /* 391474 */     // GIR_Coverage, 13175,
     /* 391474 */     GIR_EraseRootFromParent_Done,
     /* 391475 */   // Label 6018: @391475
     /* 391475 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(391610), // Rule ID 7832 //
     /* 391480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 391483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 391523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 391527 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391532 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391532 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391537 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391550 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391557 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391564 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 391567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391608 */     GIR_RootConstrainSelectedInstOperands,
     /* 391609 */     // GIR_Coverage, 7832,
     /* 391609 */     GIR_EraseRootFromParent_Done,
     /* 391610 */   // Label 6019: @391610
     /* 391610 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(391745), // Rule ID 7864 //
     /* 391615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 391618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 391622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 391658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 391662 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391667 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391667 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391672 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391692 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391699 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 391702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391743 */     GIR_RootConstrainSelectedInstOperands,
     /* 391744 */     // GIR_Coverage, 7864,
     /* 391744 */     GIR_EraseRootFromParent_Done,
     /* 391745 */   // Label 6020: @391745
     /* 391745 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(391880), // Rule ID 7896 //
     /* 391750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 391753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391785 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 391793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 391797 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391797 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391802 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391802 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391811 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391827 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391834 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 391837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 391869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391878 */     GIR_RootConstrainSelectedInstOperands,
     /* 391879 */     // GIR_Coverage, 7896,
     /* 391879 */     GIR_EraseRootFromParent_Done,
     /* 391880 */   // Label 6021: @391880
     /* 391880 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(392015), // Rule ID 12224 //
     /* 391885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 391888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 391892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 391908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 391916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391920 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 391924 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 391928 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 391932 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 391932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 391937 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 391937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 391942 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 391946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 391969 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 391969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 391972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 391974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 391979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 391984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 391989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 391994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 391999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392013 */     GIR_RootConstrainSelectedInstOperands,
     /* 392014 */     // GIR_Coverage, 12224,
     /* 392014 */     GIR_EraseRootFromParent_Done,
     /* 392015 */   // Label 6022: @392015
     /* 392015 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(392150), // Rule ID 12227 //
     /* 392020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 392023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 392027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392055 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392067 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392072 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392090 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392097 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392104 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 392107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 392114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 392119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 392124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 392129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392148 */     GIR_RootConstrainSelectedInstOperands,
     /* 392149 */     // GIR_Coverage, 12227,
     /* 392149 */     GIR_EraseRootFromParent_Done,
     /* 392150 */   // Label 6023: @392150
     /* 392150 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(392285), // Rule ID 12228 //
     /* 392155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 392158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 392162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392190 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392202 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392207 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392212 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392225 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392232 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392239 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 392242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 392249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 392254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 392259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 392264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392283 */     GIR_RootConstrainSelectedInstOperands,
     /* 392284 */     // GIR_Coverage, 12228,
     /* 392284 */     GIR_EraseRootFromParent_Done,
     /* 392285 */   // Label 6024: @392285
     /* 392285 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(392420), // Rule ID 12704 //
     /* 392290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 392293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 392297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392337 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392337 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392342 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392342 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392347 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392360 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392367 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392374 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 392377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 392384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 392389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 392394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 392399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392418 */     GIR_RootConstrainSelectedInstOperands,
     /* 392419 */     // GIR_Coverage, 12704,
     /* 392419 */     GIR_EraseRootFromParent_Done,
     /* 392420 */   // Label 6025: @392420
     /* 392420 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(392555), // Rule ID 12707 //
     /* 392425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 392428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 392432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392460 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392464 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392468 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392472 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392472 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392477 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392477 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392502 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392509 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 392512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 392519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 392524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 392529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 392534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392553 */     GIR_RootConstrainSelectedInstOperands,
     /* 392554 */     // GIR_Coverage, 12707,
     /* 392554 */     GIR_EraseRootFromParent_Done,
     /* 392555 */   // Label 6026: @392555
     /* 392555 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(392690), // Rule ID 12708 //
     /* 392560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 392563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 392567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392595 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392607 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392612 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392621 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392637 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392644 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 392647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 392654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 392659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 392664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 392669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392688 */     GIR_RootConstrainSelectedInstOperands,
     /* 392689 */     // GIR_Coverage, 12708,
     /* 392689 */     GIR_EraseRootFromParent_Done,
     /* 392690 */   // Label 6027: @392690
     /* 392690 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(392825), // Rule ID 13184 //
     /* 392695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 392698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 392702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392734 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392738 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392742 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392742 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392747 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392747 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392752 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392765 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392772 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392779 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 392782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 392789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 392794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 392799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 392804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392823 */     GIR_RootConstrainSelectedInstOperands,
     /* 392824 */     // GIR_Coverage, 13184,
     /* 392824 */     GIR_EraseRootFromParent_Done,
     /* 392825 */   // Label 6028: @392825
     /* 392825 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(392960), // Rule ID 13187 //
     /* 392830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 392833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 392837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 392865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 392869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 392873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 392877 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 392877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 392882 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 392882 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 392887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 392891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392900 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392907 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 392914 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 392914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 392917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 392919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 392924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 392929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 392934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 392939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 392944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 392949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392958 */     GIR_RootConstrainSelectedInstOperands,
     /* 392959 */     // GIR_Coverage, 13187,
     /* 392959 */     GIR_EraseRootFromParent_Done,
     /* 392960 */   // Label 6029: @392960
     /* 392960 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(393095), // Rule ID 13188 //
     /* 392965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 392968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 392972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 392988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 392996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393000 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393004 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393008 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 393012 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393017 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393017 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393022 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393035 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393042 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393049 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 393052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 393059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 393064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 393069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 393074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393093 */     GIR_RootConstrainSelectedInstOperands,
     /* 393094 */     // GIR_Coverage, 13188,
     /* 393094 */     GIR_EraseRootFromParent_Done,
     /* 393095 */   // Label 6030: @393095
     /* 393095 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(393230), // Rule ID 7831 //
     /* 393100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 393103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 393107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393147 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393147 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393152 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393152 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393157 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393161 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393170 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393177 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393184 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 393187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 393194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 393199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 393204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 393209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393228 */     GIR_RootConstrainSelectedInstOperands,
     /* 393229 */     // GIR_Coverage, 7831,
     /* 393229 */     GIR_EraseRootFromParent_Done,
     /* 393230 */   // Label 6031: @393230
     /* 393230 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(393365), // Rule ID 7863 //
     /* 393235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 393238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 393242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393270 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393274 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393278 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393282 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393282 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393287 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393296 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393312 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393319 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 393322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 393329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 393334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 393339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 393344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393363 */     GIR_RootConstrainSelectedInstOperands,
     /* 393364 */     // GIR_Coverage, 7863,
     /* 393364 */     GIR_EraseRootFromParent_Done,
     /* 393365 */   // Label 6032: @393365
     /* 393365 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(393500), // Rule ID 7895 //
     /* 393370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 393373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 393377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393417 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393422 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393431 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393440 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393447 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393454 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 393457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 393464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 393469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 393474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 393479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393498 */     GIR_RootConstrainSelectedInstOperands,
     /* 393499 */     // GIR_Coverage, 7895,
     /* 393499 */     GIR_EraseRootFromParent_Done,
     /* 393500 */   // Label 6033: @393500
     /* 393500 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(393635), // Rule ID 12209 //
     /* 393505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 393508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 393512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393552 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393557 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393562 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393582 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393589 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 393592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 393599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 393604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 393609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 393614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393633 */     GIR_RootConstrainSelectedInstOperands,
     /* 393634 */     // GIR_Coverage, 12209,
     /* 393634 */     GIR_EraseRootFromParent_Done,
     /* 393635 */   // Label 6034: @393635
     /* 393635 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(393770), // Rule ID 12212 //
     /* 393640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 393643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 393647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393675 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393679 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393683 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393687 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393687 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393692 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393692 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393697 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393701 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393703 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393710 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393717 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393724 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 393727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 393734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 393739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 393744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 393749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393768 */     GIR_RootConstrainSelectedInstOperands,
     /* 393769 */     // GIR_Coverage, 12212,
     /* 393769 */     GIR_EraseRootFromParent_Done,
     /* 393770 */   // Label 6035: @393770
     /* 393770 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(393905), // Rule ID 12213 //
     /* 393775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 393778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 393782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393814 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393818 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393822 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393827 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393827 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393832 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393836 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393845 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393852 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393859 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 393862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 393869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 393874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 393879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 393884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 393889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 393894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393903 */     GIR_RootConstrainSelectedInstOperands,
     /* 393904 */     // GIR_Coverage, 12213,
     /* 393904 */     GIR_EraseRootFromParent_Done,
     /* 393905 */   // Label 6036: @393905
     /* 393905 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(394040), // Rule ID 12689 //
     /* 393910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 393913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 393917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 393929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 393933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 393941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 393945 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 393949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 393953 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 393957 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 393957 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 393962 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 393962 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 393967 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 393971 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393987 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 393994 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 393994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 393997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 393999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 394004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 394009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 394014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 394019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394038 */     GIR_RootConstrainSelectedInstOperands,
     /* 394039 */     // GIR_Coverage, 12689,
     /* 394039 */     GIR_EraseRootFromParent_Done,
     /* 394040 */   // Label 6037: @394040
     /* 394040 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(394175), // Rule ID 12692 //
     /* 394045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 394048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 394052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394080 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 394088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 394092 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394097 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394102 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394106 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394108 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394122 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394129 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 394132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 394139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 394144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 394149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 394154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394173 */     GIR_RootConstrainSelectedInstOperands,
     /* 394174 */     // GIR_Coverage, 12692,
     /* 394174 */     GIR_EraseRootFromParent_Done,
     /* 394175 */   // Label 6038: @394175
     /* 394175 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(394310), // Rule ID 12693 //
     /* 394180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 394183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 394187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394215 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 394223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 394227 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394232 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394237 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394241 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394257 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394264 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 394267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 394274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 394279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 394284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 394289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394308 */     GIR_RootConstrainSelectedInstOperands,
     /* 394309 */     // GIR_Coverage, 12693,
     /* 394309 */     GIR_EraseRootFromParent_Done,
     /* 394310 */   // Label 6039: @394310
     /* 394310 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(394445), // Rule ID 13169 //
     /* 394315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 394318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394354 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 394358 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 394362 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394367 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394372 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394392 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394399 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 394402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 394409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 394414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 394419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 394424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394443 */     GIR_RootConstrainSelectedInstOperands,
     /* 394444 */     // GIR_Coverage, 13169,
     /* 394444 */     GIR_EraseRootFromParent_Done,
     /* 394445 */   // Label 6040: @394445
     /* 394445 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(394580), // Rule ID 13172 //
     /* 394450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 394453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 394493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 394497 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394502 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394507 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394527 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394534 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 394537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 394544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 394549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 394554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 394559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394578 */     GIR_RootConstrainSelectedInstOperands,
     /* 394579 */     // GIR_Coverage, 13172,
     /* 394579 */     GIR_EraseRootFromParent_Done,
     /* 394580 */   // Label 6041: @394580
     /* 394580 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(394715), // Rule ID 13173 //
     /* 394585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 394588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394620 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 394628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 394632 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394637 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394637 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394642 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394648 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394655 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394662 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394669 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 394672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 394679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 394684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 394689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 394694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394713 */     GIR_RootConstrainSelectedInstOperands,
     /* 394714 */     // GIR_Coverage, 13173,
     /* 394714 */     GIR_EraseRootFromParent_Done,
     /* 394715 */   // Label 6042: @394715
     /* 394715 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(394850), // Rule ID 12195 //
     /* 394720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 394723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 394751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 394763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 394767 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394772 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394777 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394797 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394804 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 394807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 394814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 394819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 394824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 394829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394848 */     GIR_RootConstrainSelectedInstOperands,
     /* 394849 */     // GIR_Coverage, 12195,
     /* 394849 */     GIR_EraseRootFromParent_Done,
     /* 394850 */   // Label 6043: @394850
     /* 394850 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(394985), // Rule ID 12196 //
     /* 394855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 394858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 394870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 394878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 394886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394890 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 394894 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 394898 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 394902 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 394902 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 394907 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 394907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 394912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 394916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 394939 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 394939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 394942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 394944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 394949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 394954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 394959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 394964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 394969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394983 */     GIR_RootConstrainSelectedInstOperands,
     /* 394984 */     // GIR_Coverage, 12196,
     /* 394984 */     GIR_EraseRootFromParent_Done,
     /* 394985 */   // Label 6044: @394985
     /* 394985 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(395120), // Rule ID 12199 //
     /* 394990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 394993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 394997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395037 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395037 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395042 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395042 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395060 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395067 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395074 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 395077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 395084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 395089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 395094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 395099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395118 */     GIR_RootConstrainSelectedInstOperands,
     /* 395119 */     // GIR_Coverage, 12199,
     /* 395119 */     GIR_EraseRootFromParent_Done,
     /* 395120 */   // Label 6045: @395120
     /* 395120 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(395255), // Rule ID 12200 //
     /* 395125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 395128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 395132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395172 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395177 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395182 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395195 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395202 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395209 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 395212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 395219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 395224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 395229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 395234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395253 */     GIR_RootConstrainSelectedInstOperands,
     /* 395254 */     // GIR_Coverage, 12200,
     /* 395254 */     GIR_EraseRootFromParent_Done,
     /* 395255 */   // Label 6046: @395255
     /* 395255 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(395390), // Rule ID 12675 //
     /* 395260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 395263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 395267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395295 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395307 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395307 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395312 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395312 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395317 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395330 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395337 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395344 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 395347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 395354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 395359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 395364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 395369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395388 */     GIR_RootConstrainSelectedInstOperands,
     /* 395389 */     // GIR_Coverage, 12675,
     /* 395389 */     GIR_EraseRootFromParent_Done,
     /* 395390 */   // Label 6047: @395390
     /* 395390 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(395525), // Rule ID 12676 //
     /* 395395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 395398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 395402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395430 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395434 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395438 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395442 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395442 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395447 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395456 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395465 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395472 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395479 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 395482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 395489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 395494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 395499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 395504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395523 */     GIR_RootConstrainSelectedInstOperands,
     /* 395524 */     // GIR_Coverage, 12676,
     /* 395524 */     GIR_EraseRootFromParent_Done,
     /* 395525 */   // Label 6048: @395525
     /* 395525 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(395660), // Rule ID 12679 //
     /* 395530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 395533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 395537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395577 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395582 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395587 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395600 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395607 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395614 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 395617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 395624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 395629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 395634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 395639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395658 */     GIR_RootConstrainSelectedInstOperands,
     /* 395659 */     // GIR_Coverage, 12679,
     /* 395659 */     GIR_EraseRootFromParent_Done,
     /* 395660 */   // Label 6049: @395660
     /* 395660 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(395795), // Rule ID 12680 //
     /* 395665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 395668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 395672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395712 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395717 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395735 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395742 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395749 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 395752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 395759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 395764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 395769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 395774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395793 */     GIR_RootConstrainSelectedInstOperands,
     /* 395794 */     // GIR_Coverage, 12680,
     /* 395794 */     GIR_EraseRootFromParent_Done,
     /* 395795 */   // Label 6050: @395795
     /* 395795 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(395930), // Rule ID 13155 //
     /* 395800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 395803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 395807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395835 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395847 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395852 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395857 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395870 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395877 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 395884 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 395884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 395887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 395889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 395894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 395899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 395904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 395909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 395914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 395919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395928 */     GIR_RootConstrainSelectedInstOperands,
     /* 395929 */     // GIR_Coverage, 13155,
     /* 395929 */     GIR_EraseRootFromParent_Done,
     /* 395930 */   // Label 6051: @395930
     /* 395930 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(396065), // Rule ID 13156 //
     /* 395935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 395938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 395942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 395950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 395954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 395958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 395962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 395966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 395970 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 395974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 395978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 395982 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 395982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 395987 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 395987 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 395992 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 395996 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 395998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396005 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396012 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396019 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 396022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 396029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 396034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 396039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 396044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396063 */     GIR_RootConstrainSelectedInstOperands,
     /* 396064 */     // GIR_Coverage, 13156,
     /* 396064 */     GIR_EraseRootFromParent_Done,
     /* 396065 */   // Label 6052: @396065
     /* 396065 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(396200), // Rule ID 13159 //
     /* 396070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 396073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396105 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 396117 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396117 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396122 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396122 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396127 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396131 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396147 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396154 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 396157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 396164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 396169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 396174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 396179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396198 */     GIR_RootConstrainSelectedInstOperands,
     /* 396199 */     // GIR_Coverage, 13159,
     /* 396199 */     GIR_EraseRootFromParent_Done,
     /* 396200 */   // Label 6053: @396200
     /* 396200 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(396335), // Rule ID 13160 //
     /* 396205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 396208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396244 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396248 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 396252 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396252 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396257 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396262 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396266 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396282 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396289 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 396292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 396299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 396304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 396309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 396314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396333 */     GIR_RootConstrainSelectedInstOperands,
     /* 396334 */     // GIR_Coverage, 13160,
     /* 396334 */     GIR_EraseRootFromParent_Done,
     /* 396335 */   // Label 6054: @396335
     /* 396335 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(396470), // Rule ID 12180 //
     /* 396340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 396343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396375 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 396387 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396387 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396392 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396392 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396397 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396417 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396424 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 396427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 396434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 396439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 396444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 396449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396468 */     GIR_RootConstrainSelectedInstOperands,
     /* 396469 */     // GIR_Coverage, 12180,
     /* 396469 */     GIR_EraseRootFromParent_Done,
     /* 396470 */   // Label 6055: @396470
     /* 396470 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(396605), // Rule ID 12181 //
     /* 396475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 396478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 396522 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396527 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396532 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396536 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396559 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 396562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 396569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 396574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 396579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 396584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396603 */     GIR_RootConstrainSelectedInstOperands,
     /* 396604 */     // GIR_Coverage, 12181,
     /* 396604 */     GIR_EraseRootFromParent_Done,
     /* 396605 */   // Label 6056: @396605
     /* 396605 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(396740), // Rule ID 12184 //
     /* 396610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 396613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 396657 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396662 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396667 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396680 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396687 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396694 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 396697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 396704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 396709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 396714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 396719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396738 */     GIR_RootConstrainSelectedInstOperands,
     /* 396739 */     // GIR_Coverage, 12184,
     /* 396739 */     GIR_EraseRootFromParent_Done,
     /* 396740 */   // Label 6057: @396740
     /* 396740 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(396875), // Rule ID 12185 //
     /* 396745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 396748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 396752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 396792 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396792 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396797 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396797 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396802 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396806 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396808 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396822 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396829 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 396832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 396839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 396844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 396849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 396854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396873 */     GIR_RootConstrainSelectedInstOperands,
     /* 396874 */     // GIR_Coverage, 12185,
     /* 396874 */     GIR_EraseRootFromParent_Done,
     /* 396875 */   // Label 6058: @396875
     /* 396875 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(397010), // Rule ID 12660 //
     /* 396880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 396883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 396887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 396895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 396899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 396903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 396907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 396911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 396915 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 396919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 396927 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 396927 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 396932 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 396932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 396937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 396941 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396957 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 396964 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 396964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 396967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 396969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 396974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 396979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 396984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 396989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 396994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 396999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397008 */     GIR_RootConstrainSelectedInstOperands,
     /* 397009 */     // GIR_Coverage, 12660,
     /* 397009 */     GIR_EraseRootFromParent_Done,
     /* 397010 */   // Label 6059: @397010
     /* 397010 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(397145), // Rule ID 12661 //
     /* 397015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 397018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 397022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397050 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397062 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397067 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397072 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397092 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397099 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 397102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 397109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 397114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 397119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 397124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397143 */     GIR_RootConstrainSelectedInstOperands,
     /* 397144 */     // GIR_Coverage, 12661,
     /* 397144 */     GIR_EraseRootFromParent_Done,
     /* 397145 */   // Label 6060: @397145
     /* 397145 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(397280), // Rule ID 12664 //
     /* 397150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 397153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 397157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397185 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397197 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397202 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397211 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397234 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 397237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 397244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 397249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 397254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 397259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397278 */     GIR_RootConstrainSelectedInstOperands,
     /* 397279 */     // GIR_Coverage, 12664,
     /* 397279 */     GIR_EraseRootFromParent_Done,
     /* 397280 */   // Label 6061: @397280
     /* 397280 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(397415), // Rule ID 12665 //
     /* 397285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 397288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 397292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397320 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397328 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397332 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397332 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397337 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397337 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397342 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397346 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397362 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397369 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 397372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 397379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 397384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 397389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 397394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397413 */     GIR_RootConstrainSelectedInstOperands,
     /* 397414 */     // GIR_Coverage, 12665,
     /* 397414 */     GIR_EraseRootFromParent_Done,
     /* 397415 */   // Label 6062: @397415
     /* 397415 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(397550), // Rule ID 13140 //
     /* 397420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 397423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 397427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397459 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397463 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397467 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397472 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397472 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397477 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397481 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397490 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397497 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397504 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 397507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 397514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 397519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 397524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 397529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397548 */     GIR_RootConstrainSelectedInstOperands,
     /* 397549 */     // GIR_Coverage, 13140,
     /* 397549 */     GIR_EraseRootFromParent_Done,
     /* 397550 */   // Label 6063: @397550
     /* 397550 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(397685), // Rule ID 13141 //
     /* 397555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 397558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 397562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397590 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397594 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397598 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397602 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397602 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397607 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397612 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397618 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397632 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397639 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 397642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 397649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 397654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 397659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 397664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397683 */     GIR_RootConstrainSelectedInstOperands,
     /* 397684 */     // GIR_Coverage, 13141,
     /* 397684 */     GIR_EraseRootFromParent_Done,
     /* 397685 */   // Label 6064: @397685
     /* 397685 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(397820), // Rule ID 13144 //
     /* 397690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 397693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 397697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397725 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397737 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397737 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397742 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397742 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397751 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397753 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397767 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397774 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 397777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 397784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 397789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 397794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 397799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397818 */     GIR_RootConstrainSelectedInstOperands,
     /* 397819 */     // GIR_Coverage, 13144,
     /* 397819 */     GIR_EraseRootFromParent_Done,
     /* 397820 */   // Label 6065: @397820
     /* 397820 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(397955), // Rule ID 13145 //
     /* 397825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 397828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 397832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 397872 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 397872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397877 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 397877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 397882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 397886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397895 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 397909 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 397909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 397912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 397914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 397919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 397924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 397929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 397934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 397939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 397944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 397953 */     GIR_RootConstrainSelectedInstOperands,
     /* 397954 */     // GIR_Coverage, 13145,
     /* 397954 */     GIR_EraseRootFromParent_Done,
     /* 397955 */   // Label 6066: @397955
     /* 397955 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(398090), // Rule ID 7830 //
     /* 397960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 397963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 397967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 397975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 397979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 397983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 397991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 397995 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 397999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398007 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398012 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398037 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398044 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 398047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 398054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 398059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 398064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 398069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398088 */     GIR_RootConstrainSelectedInstOperands,
     /* 398089 */     // GIR_Coverage, 7830,
     /* 398089 */     GIR_EraseRootFromParent_Done,
     /* 398090 */   // Label 6067: @398090
     /* 398090 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(398225), // Rule ID 7862 //
     /* 398095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 398098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 398102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398130 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398142 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398147 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398147 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398152 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398165 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398179 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 398182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 398189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 398194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 398199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 398204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398223 */     GIR_RootConstrainSelectedInstOperands,
     /* 398224 */     // GIR_Coverage, 7862,
     /* 398224 */     GIR_EraseRootFromParent_Done,
     /* 398225 */   // Label 6068: @398225
     /* 398225 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(398360), // Rule ID 7894 //
     /* 398230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 398233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 398237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398277 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398277 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398282 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398282 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398287 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398300 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398307 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398314 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 398317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 398324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 398329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 398334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 398339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398358 */     GIR_RootConstrainSelectedInstOperands,
     /* 398359 */     // GIR_Coverage, 7894,
     /* 398359 */     GIR_EraseRootFromParent_Done,
     /* 398360 */   // Label 6069: @398360
     /* 398360 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(398495), // Rule ID 12194 //
     /* 398365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 398368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 398372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398412 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398412 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398417 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398422 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398426 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398428 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398435 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398442 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398449 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 398452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 398459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 398464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 398469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 398474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398493 */     GIR_RootConstrainSelectedInstOperands,
     /* 398494 */     // GIR_Coverage, 12194,
     /* 398494 */     GIR_EraseRootFromParent_Done,
     /* 398495 */   // Label 6070: @398495
     /* 398495 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(398630), // Rule ID 12197 //
     /* 398500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 398503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 398507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398535 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398547 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398547 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398552 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398570 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398584 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 398587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 398594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 398599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 398604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 398609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398628 */     GIR_RootConstrainSelectedInstOperands,
     /* 398629 */     // GIR_Coverage, 12197,
     /* 398629 */     GIR_EraseRootFromParent_Done,
     /* 398630 */   // Label 6071: @398630
     /* 398630 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(398765), // Rule ID 12198 //
     /* 398635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 398638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 398642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398670 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398682 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398687 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398687 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398692 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398705 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398712 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398719 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 398722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 398729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 398734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 398739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 398744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398763 */     GIR_RootConstrainSelectedInstOperands,
     /* 398764 */     // GIR_Coverage, 12198,
     /* 398764 */     GIR_EraseRootFromParent_Done,
     /* 398765 */   // Label 6072: @398765
     /* 398765 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(398900), // Rule ID 12674 //
     /* 398770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 398773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 398777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398805 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398817 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398822 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398840 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398847 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398854 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 398857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 398864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 398869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 398874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 398879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 398884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 398889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 398898 */     GIR_RootConstrainSelectedInstOperands,
     /* 398899 */     // GIR_Coverage, 12674,
     /* 398899 */     GIR_EraseRootFromParent_Done,
     /* 398900 */   // Label 6073: @398900
     /* 398900 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(399035), // Rule ID 12677 //
     /* 398905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 398908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 398912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 398920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 398924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 398928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 398936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 398940 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 398944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 398948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 398952 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 398952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 398957 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 398957 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398962 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 398966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398982 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 398989 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 398989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 398992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 398994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 398999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 399004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 399009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 399014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399033 */     GIR_RootConstrainSelectedInstOperands,
     /* 399034 */     // GIR_Coverage, 12677,
     /* 399034 */     GIR_EraseRootFromParent_Done,
     /* 399035 */   // Label 6074: @399035
     /* 399035 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(399170), // Rule ID 12678 //
     /* 399040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 399043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 399047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 399087 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399092 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399097 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399101 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399103 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399117 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399124 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 399127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 399134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 399139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 399144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 399149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399168 */     GIR_RootConstrainSelectedInstOperands,
     /* 399169 */     // GIR_Coverage, 12678,
     /* 399169 */     GIR_EraseRootFromParent_Done,
     /* 399170 */   // Label 6075: @399170
     /* 399170 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(399305), // Rule ID 13154 //
     /* 399175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 399178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399214 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399218 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 399222 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399222 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399227 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399259 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 399262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 399269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 399274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 399279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 399284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399303 */     GIR_RootConstrainSelectedInstOperands,
     /* 399304 */     // GIR_Coverage, 13154,
     /* 399304 */     GIR_EraseRootFromParent_Done,
     /* 399305 */   // Label 6076: @399305
     /* 399305 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(399440), // Rule ID 13157 //
     /* 399310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 399313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 399357 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399362 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399367 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399380 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399387 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399394 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 399397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 399404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 399409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 399414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 399419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399438 */     GIR_RootConstrainSelectedInstOperands,
     /* 399439 */     // GIR_Coverage, 13157,
     /* 399439 */     GIR_EraseRootFromParent_Done,
     /* 399440 */   // Label 6077: @399440
     /* 399440 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(399575), // Rule ID 13158 //
     /* 399445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 399448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 399492 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399497 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399502 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399522 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399529 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 399532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 399539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 399544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 399549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 399554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399573 */     GIR_RootConstrainSelectedInstOperands,
     /* 399574 */     // GIR_Coverage, 13158,
     /* 399574 */     GIR_EraseRootFromParent_Done,
     /* 399575 */   // Label 6078: @399575
     /* 399575 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(399710), // Rule ID 7829 //
     /* 399580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 399583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 399627 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399632 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399641 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399650 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399657 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399664 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 399667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 399674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 399679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 399684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 399689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399708 */     GIR_RootConstrainSelectedInstOperands,
     /* 399709 */     // GIR_Coverage, 7829,
     /* 399709 */     GIR_EraseRootFromParent_Done,
     /* 399710 */   // Label 6079: @399710
     /* 399710 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(399845), // Rule ID 7861 //
     /* 399715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 399718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 399722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399750 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399758 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 399762 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399762 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399767 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399772 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399776 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399792 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399799 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 399802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 399809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 399814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 399819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 399824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399843 */     GIR_RootConstrainSelectedInstOperands,
     /* 399844 */     // GIR_Coverage, 7861,
     /* 399844 */     GIR_EraseRootFromParent_Done,
     /* 399845 */   // Label 6080: @399845
     /* 399845 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(399980), // Rule ID 7893 //
     /* 399850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 399853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 399865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 399869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 399873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 399881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 399885 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 399889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 399893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 399897 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 399897 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399902 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 399902 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 399907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 399911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399920 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399927 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 399934 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 399934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 399937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 399939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 399944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 399949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 399954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 399959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 399964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 399969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399978 */     GIR_RootConstrainSelectedInstOperands,
     /* 399979 */     // GIR_Coverage, 7893,
     /* 399979 */     GIR_EraseRootFromParent_Done,
     /* 399980 */   // Label 6081: @399980
     /* 399980 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(400115), // Rule ID 12179 //
     /* 399985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 399988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 399992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400020 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400032 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400037 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400037 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400062 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400069 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 400072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 400079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 400084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 400089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 400094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400113 */     GIR_RootConstrainSelectedInstOperands,
     /* 400114 */     // GIR_Coverage, 12179,
     /* 400114 */     GIR_EraseRootFromParent_Done,
     /* 400115 */   // Label 6082: @400115
     /* 400115 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(400250), // Rule ID 12182 //
     /* 400120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 400123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 400127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400167 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400172 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400177 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400181 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400190 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400204 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 400207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 400214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 400219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 400224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 400229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400248 */     GIR_RootConstrainSelectedInstOperands,
     /* 400249 */     // GIR_Coverage, 12182,
     /* 400249 */     GIR_EraseRootFromParent_Done,
     /* 400250 */   // Label 6083: @400250
     /* 400250 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(400385), // Rule ID 12183 //
     /* 400255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 400258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 400262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400290 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400298 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400302 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400307 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400307 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400312 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400316 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400332 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400339 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 400342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 400349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 400354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 400359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 400364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400383 */     GIR_RootConstrainSelectedInstOperands,
     /* 400384 */     // GIR_Coverage, 12183,
     /* 400384 */     GIR_EraseRootFromParent_Done,
     /* 400385 */   // Label 6084: @400385
     /* 400385 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(400520), // Rule ID 12659 //
     /* 400390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 400393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 400397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400425 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400437 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400437 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400442 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400442 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400447 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400451 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400460 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400467 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400474 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 400477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 400484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 400489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 400494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 400499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400518 */     GIR_RootConstrainSelectedInstOperands,
     /* 400519 */     // GIR_Coverage, 12659,
     /* 400519 */     GIR_EraseRootFromParent_Done,
     /* 400520 */   // Label 6085: @400520
     /* 400520 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(400655), // Rule ID 12662 //
     /* 400525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 400528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 400532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400560 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400564 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400568 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400572 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400572 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400577 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400582 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400586 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400602 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400609 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 400612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 400619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 400624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 400629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 400634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400653 */     GIR_RootConstrainSelectedInstOperands,
     /* 400654 */     // GIR_Coverage, 12662,
     /* 400654 */     GIR_EraseRootFromParent_Done,
     /* 400655 */   // Label 6086: @400655
     /* 400655 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(400790), // Rule ID 12663 //
     /* 400660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 400663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 400667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400695 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400699 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400703 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400707 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400707 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400712 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400737 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400744 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 400747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 400754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 400759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 400764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 400769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400788 */     GIR_RootConstrainSelectedInstOperands,
     /* 400789 */     // GIR_Coverage, 12663,
     /* 400789 */     GIR_EraseRootFromParent_Done,
     /* 400790 */   // Label 6087: @400790
     /* 400790 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(400925), // Rule ID 13139 //
     /* 400795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 400798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 400802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400834 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400838 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400842 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400847 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400856 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400872 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 400879 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 400879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 400882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 400884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 400889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 400894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 400899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 400904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 400909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 400914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400923 */     GIR_RootConstrainSelectedInstOperands,
     /* 400924 */     // GIR_Coverage, 13139,
     /* 400924 */     GIR_EraseRootFromParent_Done,
     /* 400925 */   // Label 6088: @400925
     /* 400925 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(401060), // Rule ID 13142 //
     /* 400930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 400933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 400937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 400945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 400949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 400953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 400961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 400965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 400969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 400973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 400977 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 400977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 400982 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 400982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 400987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 400991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 400993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401007 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401014 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 401017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 401034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 401039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 401044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 401049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401058 */     GIR_RootConstrainSelectedInstOperands,
     /* 401059 */     // GIR_Coverage, 13142,
     /* 401059 */     GIR_EraseRootFromParent_Done,
     /* 401060 */   // Label 6089: @401060
     /* 401060 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(401195), // Rule ID 13143 //
     /* 401065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 401068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 401072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 401096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401104 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 401108 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 401112 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401117 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401117 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 401122 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401142 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401149 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 401152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 401169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 401174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 401179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 401184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401193 */     GIR_RootConstrainSelectedInstOperands,
     /* 401194 */     // GIR_Coverage, 13143,
     /* 401194 */     GIR_EraseRootFromParent_Done,
     /* 401195 */   // Label 6090: @401195
     /* 401195 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(401330), // Rule ID 12235 //
     /* 401200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 401203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 401207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401247 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401247 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401252 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401252 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401257 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401261 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401277 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401284 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 401287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 401304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 401309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401328 */     GIR_RootConstrainSelectedInstOperands,
     /* 401329 */     // GIR_Coverage, 12235,
     /* 401329 */     GIR_EraseRootFromParent_Done,
     /* 401330 */   // Label 6091: @401330
     /* 401330 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(401465), // Rule ID 12236 //
     /* 401335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 401338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 401342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401370 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401374 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401378 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401382 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401382 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401387 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401387 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401396 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401405 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401412 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401419 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 401422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 401439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 401444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401463 */     GIR_RootConstrainSelectedInstOperands,
     /* 401464 */     // GIR_Coverage, 12236,
     /* 401464 */     GIR_EraseRootFromParent_Done,
     /* 401465 */   // Label 6092: @401465
     /* 401465 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(401600), // Rule ID 12237 //
     /* 401470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 401473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 401477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401517 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401522 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401531 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401547 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401554 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 401557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 401564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 401569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 401574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 401579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401598 */     GIR_RootConstrainSelectedInstOperands,
     /* 401599 */     // GIR_Coverage, 12237,
     /* 401599 */     GIR_EraseRootFromParent_Done,
     /* 401600 */   // Label 6093: @401600
     /* 401600 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(401735), // Rule ID 12238 //
     /* 401605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 401608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 401612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401640 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401644 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401648 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401652 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401657 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401675 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401682 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401689 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 401692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 401699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 401704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 401709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 401714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401733 */     GIR_RootConstrainSelectedInstOperands,
     /* 401734 */     // GIR_Coverage, 12238,
     /* 401734 */     GIR_EraseRootFromParent_Done,
     /* 401735 */   // Label 6094: @401735
     /* 401735 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(401870), // Rule ID 12715 //
     /* 401740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 401743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 401747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401787 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401792 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401792 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401797 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401817 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401824 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 401827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 401844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 401849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401868 */     GIR_RootConstrainSelectedInstOperands,
     /* 401869 */     // GIR_Coverage, 12715,
     /* 401869 */     GIR_EraseRootFromParent_Done,
     /* 401870 */   // Label 6095: @401870
     /* 401870 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(402005), // Rule ID 12716 //
     /* 401875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 401878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 401882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 401894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 401898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 401902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 401906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 401910 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 401914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 401918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 401922 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 401922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 401927 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 401927 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 401932 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 401936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401945 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401952 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 401959 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 401959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 401962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 401964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 401969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 401974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 401979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 401984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 401989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 401994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 401997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402003 */     GIR_RootConstrainSelectedInstOperands,
     /* 402004 */     // GIR_Coverage, 12716,
     /* 402004 */     GIR_EraseRootFromParent_Done,
     /* 402005 */   // Label 6096: @402005
     /* 402005 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(402140), // Rule ID 12717 //
     /* 402010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 402013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 402017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402045 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402057 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402057 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402062 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402067 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402071 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402087 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402094 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 402097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 402104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 402109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 402114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 402119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402138 */     GIR_RootConstrainSelectedInstOperands,
     /* 402139 */     // GIR_Coverage, 12717,
     /* 402139 */     GIR_EraseRootFromParent_Done,
     /* 402140 */   // Label 6097: @402140
     /* 402140 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(402275), // Rule ID 12718 //
     /* 402145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 402148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 402152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402192 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402192 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402197 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402202 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402229 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 402232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 402239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 402244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 402249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 402254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402273 */     GIR_RootConstrainSelectedInstOperands,
     /* 402274 */     // GIR_Coverage, 12718,
     /* 402274 */     GIR_EraseRootFromParent_Done,
     /* 402275 */   // Label 6098: @402275
     /* 402275 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(402410), // Rule ID 13195 //
     /* 402280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 402283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402327 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402332 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402332 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402337 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402364 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 402367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 402374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 402379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 402384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 402389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402408 */     GIR_RootConstrainSelectedInstOperands,
     /* 402409 */     // GIR_Coverage, 13195,
     /* 402409 */     GIR_EraseRootFromParent_Done,
     /* 402410 */   // Label 6099: @402410
     /* 402410 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(402545), // Rule ID 13196 //
     /* 402415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 402418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402462 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402467 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402492 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402499 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 402502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 402509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 402514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 402519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 402524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402543 */     GIR_RootConstrainSelectedInstOperands,
     /* 402544 */     // GIR_Coverage, 13196,
     /* 402544 */     GIR_EraseRootFromParent_Done,
     /* 402545 */   // Label 6100: @402545
     /* 402545 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(402680), // Rule ID 13197 //
     /* 402550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 402553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402597 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402602 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402602 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402620 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402627 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402634 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 402637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 402644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 402649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 402654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 402659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402678 */     GIR_RootConstrainSelectedInstOperands,
     /* 402679 */     // GIR_Coverage, 13197,
     /* 402679 */     GIR_EraseRootFromParent_Done,
     /* 402680 */   // Label 6101: @402680
     /* 402680 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(402815), // Rule ID 13198 //
     /* 402685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 402688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402724 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402728 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402732 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402732 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402737 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402737 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402742 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402746 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402755 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402762 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402769 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 402772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 402779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 402784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 402789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 402794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402813 */     GIR_RootConstrainSelectedInstOperands,
     /* 402814 */     // GIR_Coverage, 13198,
     /* 402814 */     GIR_EraseRootFromParent_Done,
     /* 402815 */   // Label 6102: @402815
     /* 402815 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(402950), // Rule ID 12175 //
     /* 402820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 402823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402859 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402863 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 402867 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 402867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 402872 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 402872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 402877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 402881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402897 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 402904 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 402904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 402907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 402909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 402914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 402919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 402924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 402929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 402934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 402939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 402948 */     GIR_RootConstrainSelectedInstOperands,
     /* 402949 */     // GIR_Coverage, 12175,
     /* 402949 */     GIR_EraseRootFromParent_Done,
     /* 402950 */   // Label 6103: @402950
     /* 402950 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(403085), // Rule ID 12176 //
     /* 402955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 402958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 402962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 402970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 402974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 402978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 402982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 402986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 402990 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 402994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 402998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403002 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403007 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403016 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403032 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403039 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 403042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 403049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 403054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 403059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 403064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403083 */     GIR_RootConstrainSelectedInstOperands,
     /* 403084 */     // GIR_Coverage, 12176,
     /* 403084 */     GIR_EraseRootFromParent_Done,
     /* 403085 */   // Label 6104: @403085
     /* 403085 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(403220), // Rule ID 12177 //
     /* 403090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 403093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 403097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403137 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403142 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403167 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403174 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 403177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 403184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 403189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 403194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 403199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403218 */     GIR_RootConstrainSelectedInstOperands,
     /* 403219 */     // GIR_Coverage, 12177,
     /* 403219 */     GIR_EraseRootFromParent_Done,
     /* 403220 */   // Label 6105: @403220
     /* 403220 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(403355), // Rule ID 12178 //
     /* 403225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 403228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 403232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403260 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403264 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403268 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403272 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403277 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403277 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403286 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403295 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403302 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403309 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 403312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 403319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 403324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 403329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 403334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403353 */     GIR_RootConstrainSelectedInstOperands,
     /* 403354 */     // GIR_Coverage, 12178,
     /* 403354 */     GIR_EraseRootFromParent_Done,
     /* 403355 */   // Label 6106: @403355
     /* 403355 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(403490), // Rule ID 12655 //
     /* 403360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 403363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 403367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403395 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403399 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403403 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403407 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403407 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403412 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403412 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403417 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403421 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403430 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403437 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403444 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 403447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 403454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 403459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 403464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 403469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403488 */     GIR_RootConstrainSelectedInstOperands,
     /* 403489 */     // GIR_Coverage, 12655,
     /* 403489 */     GIR_EraseRootFromParent_Done,
     /* 403490 */   // Label 6107: @403490
     /* 403490 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(403625), // Rule ID 12656 //
     /* 403495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 403498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 403502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403542 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403547 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403547 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403552 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403558 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403572 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403579 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 403582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 403589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 403594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 403599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 403604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403623 */     GIR_RootConstrainSelectedInstOperands,
     /* 403624 */     // GIR_Coverage, 12656,
     /* 403624 */     GIR_EraseRootFromParent_Done,
     /* 403625 */   // Label 6108: @403625
     /* 403625 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(403760), // Rule ID 12657 //
     /* 403630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 403633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 403637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403677 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403682 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403687 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403707 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403714 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 403717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 403724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 403729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 403734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 403739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403758 */     GIR_RootConstrainSelectedInstOperands,
     /* 403759 */     // GIR_Coverage, 12657,
     /* 403759 */     GIR_EraseRootFromParent_Done,
     /* 403760 */   // Label 6109: @403760
     /* 403760 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(403895), // Rule ID 12658 //
     /* 403765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 403768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 403772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403812 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403817 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403822 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403828 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403849 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 403852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 403859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 403864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 403869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 403874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 403879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 403884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403893 */     GIR_RootConstrainSelectedInstOperands,
     /* 403894 */     // GIR_Coverage, 12658,
     /* 403894 */     GIR_EraseRootFromParent_Done,
     /* 403895 */   // Label 6110: @403895
     /* 403895 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(404030), // Rule ID 13135 //
     /* 403900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 403903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 403907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 403915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 403919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 403923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 403927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 403931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 403935 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 403939 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 403943 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 403947 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 403947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 403952 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 403952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 403957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 403961 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403963 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403970 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 403984 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 403984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 403987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 403989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 403994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 403999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 404004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 404009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404028 */     GIR_RootConstrainSelectedInstOperands,
     /* 404029 */     // GIR_Coverage, 13135,
     /* 404029 */     GIR_EraseRootFromParent_Done,
     /* 404030 */   // Label 6111: @404030
     /* 404030 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(404165), // Rule ID 13136 //
     /* 404035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 404038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 404066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404070 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404074 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404078 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 404082 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404082 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404087 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404105 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404112 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404119 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 404122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 404129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 404134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 404139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 404144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404163 */     GIR_RootConstrainSelectedInstOperands,
     /* 404164 */     // GIR_Coverage, 13136,
     /* 404164 */     GIR_EraseRootFromParent_Done,
     /* 404165 */   // Label 6112: @404165
     /* 404165 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(404300), // Rule ID 13137 //
     /* 404170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 404173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 404201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404205 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 404217 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404217 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404222 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404222 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404227 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404231 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404240 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404254 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 404257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 404264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 404269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 404274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 404279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404298 */     GIR_RootConstrainSelectedInstOperands,
     /* 404299 */     // GIR_Coverage, 13137,
     /* 404299 */     GIR_EraseRootFromParent_Done,
     /* 404300 */   // Label 6113: @404300
     /* 404300 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(404435), // Rule ID 13138 //
     /* 404305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 404308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 404336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404340 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404344 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404348 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 404352 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404352 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404357 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404368 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404375 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404382 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404389 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 404392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 404399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 404404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 404409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 404414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404433 */     GIR_RootConstrainSelectedInstOperands,
     /* 404434 */     // GIR_Coverage, 13138,
     /* 404434 */     GIR_EraseRootFromParent_Done,
     /* 404435 */   // Label 6114: @404435
     /* 404435 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(404570), // Rule ID 12220 //
     /* 404440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 404443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 404471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404487 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404492 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404497 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404501 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404503 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404517 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404524 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 404527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 404534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 404539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 404544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 404549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404568 */     GIR_RootConstrainSelectedInstOperands,
     /* 404569 */     // GIR_Coverage, 12220,
     /* 404569 */     GIR_EraseRootFromParent_Done,
     /* 404570 */   // Label 6115: @404570
     /* 404570 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(404705), // Rule ID 12221 //
     /* 404575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 404578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 404606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404614 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404618 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404622 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404627 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404638 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404645 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404652 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404659 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 404662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 404669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 404674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 404679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 404684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404703 */     GIR_RootConstrainSelectedInstOperands,
     /* 404704 */     // GIR_Coverage, 12221,
     /* 404704 */     GIR_EraseRootFromParent_Done,
     /* 404705 */   // Label 6116: @404705
     /* 404705 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(404840), // Rule ID 12222 //
     /* 404710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 404713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 404741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404745 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404757 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404757 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404762 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404762 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404773 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404780 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404787 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404794 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 404797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 404804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 404809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 404814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 404819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404838 */     GIR_RootConstrainSelectedInstOperands,
     /* 404839 */     // GIR_Coverage, 12222,
     /* 404839 */     GIR_EraseRootFromParent_Done,
     /* 404840 */   // Label 6117: @404840
     /* 404840 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(404975), // Rule ID 12223 //
     /* 404845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 404848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 404852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 404868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 404876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 404880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 404884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 404888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404892 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 404892 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 404897 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 404897 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 404902 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 404906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404908 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404915 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404922 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 404929 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 404929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 404932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 404934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 404939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 404944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 404949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 404954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 404959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 404964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 404973 */     GIR_RootConstrainSelectedInstOperands,
     /* 404974 */     // GIR_Coverage, 12223,
     /* 404974 */     GIR_EraseRootFromParent_Done,
     /* 404975 */   // Label 6118: @404975
     /* 404975 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(405110), // Rule ID 12700 //
     /* 404980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 404983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 404987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 404995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 404999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405027 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405032 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405041 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405050 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405057 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405064 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 405067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 405074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 405079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 405084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 405089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405108 */     GIR_RootConstrainSelectedInstOperands,
     /* 405109 */     // GIR_Coverage, 12700,
     /* 405109 */     GIR_EraseRootFromParent_Done,
     /* 405110 */   // Label 6119: @405110
     /* 405110 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(405245), // Rule ID 12701 //
     /* 405115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 405118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 405122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405150 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405154 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405158 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405162 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405167 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405192 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405199 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 405202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 405209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 405214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 405219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 405224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405243 */     GIR_RootConstrainSelectedInstOperands,
     /* 405244 */     // GIR_Coverage, 12701,
     /* 405244 */     GIR_EraseRootFromParent_Done,
     /* 405245 */   // Label 6120: @405245
     /* 405245 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(405380), // Rule ID 12702 //
     /* 405250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 405253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 405257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405297 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405302 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405307 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405327 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405334 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 405337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 405344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 405349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 405354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 405359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405378 */     GIR_RootConstrainSelectedInstOperands,
     /* 405379 */     // GIR_Coverage, 12702,
     /* 405379 */     GIR_EraseRootFromParent_Done,
     /* 405380 */   // Label 6121: @405380
     /* 405380 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(405515), // Rule ID 12703 //
     /* 405385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 405388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 405392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405420 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405432 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405437 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405437 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405442 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405469 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 405472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 405479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 405484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 405489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 405494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405513 */     GIR_RootConstrainSelectedInstOperands,
     /* 405514 */     // GIR_Coverage, 12703,
     /* 405514 */     GIR_EraseRootFromParent_Done,
     /* 405515 */   // Label 6122: @405515
     /* 405515 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(405650), // Rule ID 13180 //
     /* 405520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 405523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 405527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405567 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405567 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405572 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405572 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405577 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405581 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405597 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405604 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 405607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 405614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 405619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 405624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 405629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405648 */     GIR_RootConstrainSelectedInstOperands,
     /* 405649 */     // GIR_Coverage, 13180,
     /* 405649 */     GIR_EraseRootFromParent_Done,
     /* 405650 */   // Label 6123: @405650
     /* 405650 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(405785), // Rule ID 13181 //
     /* 405655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 405658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 405662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405694 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405698 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405702 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405702 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405707 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405707 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405718 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405732 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405739 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 405742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 405749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 405754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 405759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 405764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405783 */     GIR_RootConstrainSelectedInstOperands,
     /* 405784 */     // GIR_Coverage, 13181,
     /* 405784 */     GIR_EraseRootFromParent_Done,
     /* 405785 */   // Label 6124: @405785
     /* 405785 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(405920), // Rule ID 13182 //
     /* 405790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 405793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 405797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405825 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405837 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405837 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405842 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405847 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405867 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405874 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 405874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 405877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 405879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 405884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 405889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 405894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 405899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 405904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 405909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 405918 */     GIR_RootConstrainSelectedInstOperands,
     /* 405919 */     // GIR_Coverage, 13182,
     /* 405919 */     GIR_EraseRootFromParent_Done,
     /* 405920 */   // Label 6125: @405920
     /* 405920 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(406055), // Rule ID 13183 //
     /* 405925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 405928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 405932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 405944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 405948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 405956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 405960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 405964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 405968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 405972 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 405972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 405977 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 405977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 405982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 405986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 405988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 405995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406002 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406009 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 406012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 406019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 406024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 406029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 406034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406053 */     GIR_RootConstrainSelectedInstOperands,
     /* 406054 */     // GIR_Coverage, 13183,
     /* 406054 */     GIR_EraseRootFromParent_Done,
     /* 406055 */   // Label 6126: @406055
     /* 406055 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(406190), // Rule ID 12160 //
     /* 406060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 406063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 406067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406107 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406112 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406121 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406123 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406137 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406144 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 406147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 406154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 406159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 406164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 406169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406188 */     GIR_RootConstrainSelectedInstOperands,
     /* 406189 */     // GIR_Coverage, 12160,
     /* 406189 */     GIR_EraseRootFromParent_Done,
     /* 406190 */   // Label 6127: @406190
     /* 406190 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(406325), // Rule ID 12161 //
     /* 406195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 406198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 406202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406234 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406238 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406242 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406242 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406247 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406247 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406252 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406272 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406279 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 406282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 406289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 406294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 406299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 406304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406323 */     GIR_RootConstrainSelectedInstOperands,
     /* 406324 */     // GIR_Coverage, 12161,
     /* 406324 */     GIR_EraseRootFromParent_Done,
     /* 406325 */   // Label 6128: @406325
     /* 406325 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(406460), // Rule ID 12162 //
     /* 406330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 406333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 406337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406377 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406377 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406382 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406382 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406387 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406391 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406393 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406400 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406407 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406414 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 406417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 406424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 406429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 406434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 406439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406458 */     GIR_RootConstrainSelectedInstOperands,
     /* 406459 */     // GIR_Coverage, 12162,
     /* 406459 */     GIR_EraseRootFromParent_Done,
     /* 406460 */   // Label 6129: @406460
     /* 406460 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(406595), // Rule ID 12163 //
     /* 406465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 406468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 406472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406512 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406512 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406517 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406526 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406528 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406535 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406549 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 406552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 406559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 406564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 406569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 406574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406593 */     GIR_RootConstrainSelectedInstOperands,
     /* 406594 */     // GIR_Coverage, 12163,
     /* 406594 */     GIR_EraseRootFromParent_Done,
     /* 406595 */   // Label 6130: @406595
     /* 406595 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(406730), // Rule ID 12640 //
     /* 406600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 406603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 406607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406647 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406652 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406661 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406677 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406684 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 406687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 406694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 406699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 406704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 406709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406728 */     GIR_RootConstrainSelectedInstOperands,
     /* 406729 */     // GIR_Coverage, 12640,
     /* 406729 */     GIR_EraseRootFromParent_Done,
     /* 406730 */   // Label 6131: @406730
     /* 406730 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(406865), // Rule ID 12641 //
     /* 406735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 406738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 406742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406778 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406782 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406787 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406792 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406796 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406812 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406819 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 406822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 406829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 406834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 406839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 406844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406863 */     GIR_RootConstrainSelectedInstOperands,
     /* 406864 */     // GIR_Coverage, 12641,
     /* 406864 */     GIR_EraseRootFromParent_Done,
     /* 406865 */   // Label 6132: @406865
     /* 406865 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(407000), // Rule ID 12642 //
     /* 406870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 406873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 406877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 406881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 406885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 406889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 406893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 406897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 406901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 406905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 406909 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 406913 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 406917 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 406917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 406922 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 406922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 406927 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 406931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 406933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406947 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 406954 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 406954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 406957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 406959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 406964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 406969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 406974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 406979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 406984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 406989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406998 */     GIR_RootConstrainSelectedInstOperands,
     /* 406999 */     // GIR_Coverage, 12642,
     /* 406999 */     GIR_EraseRootFromParent_Done,
     /* 407000 */   // Label 6133: @407000
     /* 407000 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(407135), // Rule ID 12643 //
     /* 407005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 407008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 407012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 407036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407044 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407048 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 407052 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407057 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407057 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407062 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407066 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407068 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407082 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407089 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 407092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 407099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 407104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 407109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 407114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 407119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 407124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407133 */     GIR_RootConstrainSelectedInstOperands,
     /* 407134 */     // GIR_Coverage, 12643,
     /* 407134 */     GIR_EraseRootFromParent_Done,
     /* 407135 */   // Label 6134: @407135
     /* 407135 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(407270), // Rule ID 13120 //
     /* 407140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 407143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 407171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407175 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407179 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407183 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 407187 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407187 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407192 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407192 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407210 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407217 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407224 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 407227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 407234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 407239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 407244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 407249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 407254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 407259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407268 */     GIR_RootConstrainSelectedInstOperands,
     /* 407269 */     // GIR_Coverage, 13120,
     /* 407269 */     GIR_EraseRootFromParent_Done,
     /* 407270 */   // Label 6135: @407270
     /* 407270 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(407405), // Rule ID 13121 //
     /* 407275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 407278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 407306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407318 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 407322 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407322 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407327 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407336 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407352 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407359 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 407362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 407369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 407374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 407379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 407384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 407389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 407394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407403 */     GIR_RootConstrainSelectedInstOperands,
     /* 407404 */     // GIR_Coverage, 13121,
     /* 407404 */     GIR_EraseRootFromParent_Done,
     /* 407405 */   // Label 6136: @407405
     /* 407405 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(407540), // Rule ID 13122 //
     /* 407410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 407413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 407441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 407457 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407462 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407467 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407487 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407494 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 407497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 407504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 407509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 407514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 407519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 407524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 407529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407538 */     GIR_RootConstrainSelectedInstOperands,
     /* 407539 */     // GIR_Coverage, 13122,
     /* 407539 */     GIR_EraseRootFromParent_Done,
     /* 407540 */   // Label 6137: @407540
     /* 407540 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(407675), // Rule ID 13123 //
     /* 407545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 407548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 407576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407588 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 407592 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407597 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407606 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407622 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407629 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 407632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 407639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 407644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 407649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 407654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 407659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 407664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407673 */     GIR_RootConstrainSelectedInstOperands,
     /* 407674 */     // GIR_Coverage, 13123,
     /* 407674 */     GIR_EraseRootFromParent_Done,
     /* 407675 */   // Label 6138: @407675
     /* 407675 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(407810), // Rule ID 12231 //
     /* 407680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 407683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 407711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407715 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407719 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407723 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407727 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407732 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407732 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407737 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407741 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407743 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407757 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407764 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 407767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 407774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 407779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 407784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 407789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 407794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 407799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407808 */     GIR_RootConstrainSelectedInstOperands,
     /* 407809 */     // GIR_Coverage, 12231,
     /* 407809 */     GIR_EraseRootFromParent_Done,
     /* 407810 */   // Label 6139: @407810
     /* 407810 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(407945), // Rule ID 12232 //
     /* 407815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 407818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 407846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407850 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407854 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407858 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407862 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 407862 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 407867 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 407872 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 407876 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407878 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407892 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 407899 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 407899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 407902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 407904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 407909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 407914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 407919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 407924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 407929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 407934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407943 */     GIR_RootConstrainSelectedInstOperands,
     /* 407944 */     // GIR_Coverage, 12232,
     /* 407944 */     GIR_EraseRootFromParent_Done,
     /* 407945 */   // Label 6140: @407945
     /* 407945 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(408080), // Rule ID 12233 //
     /* 407950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 407953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 407957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 407969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 407973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 407981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 407985 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 407989 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 407993 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 407997 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 407997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408002 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408007 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408011 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408027 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408034 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 408037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 408044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 408049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 408054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 408059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408078 */     GIR_RootConstrainSelectedInstOperands,
     /* 408079 */     // GIR_Coverage, 12233,
     /* 408079 */     GIR_EraseRootFromParent_Done,
     /* 408080 */   // Label 6141: @408080
     /* 408080 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(408215), // Rule ID 12234 //
     /* 408085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 408088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 408092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408132 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408137 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408142 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408169 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 408172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 408179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 408184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 408189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 408194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408213 */     GIR_RootConstrainSelectedInstOperands,
     /* 408214 */     // GIR_Coverage, 12234,
     /* 408214 */     GIR_EraseRootFromParent_Done,
     /* 408215 */   // Label 6142: @408215
     /* 408215 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(408350), // Rule ID 12711 //
     /* 408220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 408223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 408227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408255 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408267 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408267 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408272 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408277 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408290 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408297 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408304 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 408307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 408314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 408319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 408324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 408329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408348 */     GIR_RootConstrainSelectedInstOperands,
     /* 408349 */     // GIR_Coverage, 12711,
     /* 408349 */     GIR_EraseRootFromParent_Done,
     /* 408350 */   // Label 6143: @408350
     /* 408350 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(408485), // Rule ID 12712 //
     /* 408355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 408358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 408362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408402 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408402 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408407 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408407 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408412 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408425 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408432 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408439 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 408442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 408449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 408454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 408459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 408464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408483 */     GIR_RootConstrainSelectedInstOperands,
     /* 408484 */     // GIR_Coverage, 12712,
     /* 408484 */     GIR_EraseRootFromParent_Done,
     /* 408485 */   // Label 6144: @408485
     /* 408485 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(408620), // Rule ID 12713 //
     /* 408490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 408493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 408497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408537 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408537 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408542 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408560 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408567 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408574 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 408577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 408584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 408589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 408594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 408599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408618 */     GIR_RootConstrainSelectedInstOperands,
     /* 408619 */     // GIR_Coverage, 12713,
     /* 408619 */     GIR_EraseRootFromParent_Done,
     /* 408620 */   // Label 6145: @408620
     /* 408620 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(408755), // Rule ID 12714 //
     /* 408625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 408628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 408632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408672 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408677 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408682 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408702 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408709 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 408712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 408719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 408724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 408729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 408734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408753 */     GIR_RootConstrainSelectedInstOperands,
     /* 408754 */     // GIR_Coverage, 12714,
     /* 408754 */     GIR_EraseRootFromParent_Done,
     /* 408755 */   // Label 6146: @408755
     /* 408755 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(408890), // Rule ID 13191 //
     /* 408760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 408763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 408767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408807 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408812 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408837 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408844 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 408847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 408854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 408859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 408864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 408869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 408874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 408879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 408888 */     GIR_RootConstrainSelectedInstOperands,
     /* 408889 */     // GIR_Coverage, 13191,
     /* 408889 */     GIR_EraseRootFromParent_Done,
     /* 408890 */   // Label 6147: @408890
     /* 408890 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(409025), // Rule ID 13192 //
     /* 408895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 408898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 408902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 408914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 408918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 408926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 408930 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 408934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 408938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 408942 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 408942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 408947 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 408947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 408952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 408956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408972 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 408979 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 408979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 408982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 408984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 408989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 408994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 408999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 409004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409023 */     GIR_RootConstrainSelectedInstOperands,
     /* 409024 */     // GIR_Coverage, 13192,
     /* 409024 */     GIR_EraseRootFromParent_Done,
     /* 409025 */   // Label 6148: @409025
     /* 409025 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(409160), // Rule ID 13193 //
     /* 409030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 409033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409065 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409077 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409077 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409082 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409082 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409087 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409093 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409107 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409114 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 409117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 409124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 409129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 409134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 409139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409158 */     GIR_RootConstrainSelectedInstOperands,
     /* 409159 */     // GIR_Coverage, 13193,
     /* 409159 */     GIR_EraseRootFromParent_Done,
     /* 409160 */   // Label 6149: @409160
     /* 409160 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(409295), // Rule ID 13194 //
     /* 409165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 409168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409200 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409212 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409212 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409217 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409217 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409226 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409242 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409249 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 409252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 409259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 409264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 409269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 409274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409293 */     GIR_RootConstrainSelectedInstOperands,
     /* 409294 */     // GIR_Coverage, 13194,
     /* 409294 */     GIR_EraseRootFromParent_Done,
     /* 409295 */   // Label 6150: @409295
     /* 409295 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(409430), // Rule ID 12171 //
     /* 409300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 409303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 409347 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409347 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409352 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409352 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409357 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409363 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409370 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409377 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409384 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 409387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 409394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 409399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 409404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 409409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409428 */     GIR_RootConstrainSelectedInstOperands,
     /* 409429 */     // GIR_Coverage, 12171,
     /* 409429 */     GIR_EraseRootFromParent_Done,
     /* 409430 */   // Label 6151: @409430
     /* 409430 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(409565), // Rule ID 12172 //
     /* 409435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 409438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 409482 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409482 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409487 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409492 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409496 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409512 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409519 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 409522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 409529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 409534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 409539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 409544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409563 */     GIR_RootConstrainSelectedInstOperands,
     /* 409564 */     // GIR_Coverage, 12172,
     /* 409564 */     GIR_EraseRootFromParent_Done,
     /* 409565 */   // Label 6152: @409565
     /* 409565 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(409700), // Rule ID 12173 //
     /* 409570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 409573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409605 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 409617 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409622 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409627 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409647 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409654 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 409657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 409664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 409669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 409674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 409679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409698 */     GIR_RootConstrainSelectedInstOperands,
     /* 409699 */     // GIR_Coverage, 12173,
     /* 409699 */     GIR_EraseRootFromParent_Done,
     /* 409700 */   // Label 6153: @409700
     /* 409700 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(409835), // Rule ID 12174 //
     /* 409705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 409708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 409712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 409752 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409752 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409757 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409757 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409762 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409766 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409782 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409789 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 409792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 409799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 409804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 409809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 409814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409833 */     GIR_RootConstrainSelectedInstOperands,
     /* 409834 */     // GIR_Coverage, 12174,
     /* 409834 */     GIR_EraseRootFromParent_Done,
     /* 409835 */   // Label 6154: @409835
     /* 409835 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(409970), // Rule ID 12651 //
     /* 409840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 409843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 409847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 409871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 409875 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 409879 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 409883 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 409887 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 409887 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 409892 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 409892 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 409897 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 409901 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409903 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409917 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 409924 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 409924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 409927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 409929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 409934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 409939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 409944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 409949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 409954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 409959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 409968 */     GIR_RootConstrainSelectedInstOperands,
     /* 409969 */     // GIR_Coverage, 12651,
     /* 409969 */     GIR_EraseRootFromParent_Done,
     /* 409970 */   // Label 6155: @409970
     /* 409970 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(410105), // Rule ID 12652 //
     /* 409975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 409978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 409982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 409990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 409994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 409998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410010 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410014 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410018 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410022 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410022 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410027 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410036 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410038 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410045 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410052 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410059 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 410062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 410069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 410074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 410079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 410084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410103 */     GIR_RootConstrainSelectedInstOperands,
     /* 410104 */     // GIR_Coverage, 12652,
     /* 410104 */     GIR_EraseRootFromParent_Done,
     /* 410105 */   // Label 6156: @410105
     /* 410105 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(410240), // Rule ID 12653 //
     /* 410110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 410113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 410117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410149 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410153 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410157 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410157 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410162 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410167 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410187 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410194 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 410197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 410204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 410209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 410214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 410219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410238 */     GIR_RootConstrainSelectedInstOperands,
     /* 410239 */     // GIR_Coverage, 12653,
     /* 410239 */     GIR_EraseRootFromParent_Done,
     /* 410240 */   // Label 6157: @410240
     /* 410240 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(410375), // Rule ID 12654 //
     /* 410245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 410248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 410252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410292 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410297 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410302 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410306 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410308 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410315 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410322 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410329 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 410332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 410339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 410344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 410349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 410354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410373 */     GIR_RootConstrainSelectedInstOperands,
     /* 410374 */     // GIR_Coverage, 12654,
     /* 410374 */     GIR_EraseRootFromParent_Done,
     /* 410375 */   // Label 6158: @410375
     /* 410375 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(410510), // Rule ID 13131 //
     /* 410380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 410383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 410387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410427 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410432 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410437 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410457 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410464 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 410467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 410474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 410479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 410484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 410489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410508 */     GIR_RootConstrainSelectedInstOperands,
     /* 410509 */     // GIR_Coverage, 13131,
     /* 410509 */     GIR_EraseRootFromParent_Done,
     /* 410510 */   // Label 6159: @410510
     /* 410510 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(410645), // Rule ID 13132 //
     /* 410515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 410518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 410522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410562 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410567 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410567 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410576 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410592 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410599 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 410602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 410609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 410614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 410619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 410624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410643 */     GIR_RootConstrainSelectedInstOperands,
     /* 410644 */     // GIR_Coverage, 13132,
     /* 410644 */     GIR_EraseRootFromParent_Done,
     /* 410645 */   // Label 6160: @410645
     /* 410645 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(410780), // Rule ID 13133 //
     /* 410650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 410653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 410657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410693 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410697 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410697 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410702 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410702 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410707 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410711 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410727 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410734 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 410737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 410744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 410749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 410754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 410759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410778 */     GIR_RootConstrainSelectedInstOperands,
     /* 410779 */     // GIR_Coverage, 13133,
     /* 410779 */     GIR_EraseRootFromParent_Done,
     /* 410780 */   // Label 6161: @410780
     /* 410780 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(410915), // Rule ID 13134 //
     /* 410785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 410788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 410792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 410816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 410832 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410832 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410837 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410837 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410846 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410855 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410862 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410869 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 410869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 410872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 410874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 410879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 410884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 410889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 410894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 410899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 410904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410913 */     GIR_RootConstrainSelectedInstOperands,
     /* 410914 */     // GIR_Coverage, 13134,
     /* 410914 */     GIR_EraseRootFromParent_Done,
     /* 410915 */   // Label 6162: @410915
     /* 410915 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(411050), // Rule ID 12216 //
     /* 410920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 410923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 410927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 410939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 410943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 410947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 410951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 410955 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 410959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 410963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 410967 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 410967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 410972 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 410972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 410977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 410981 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 410983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 410997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411004 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 411007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 411014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 411019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 411024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 411029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411048 */     GIR_RootConstrainSelectedInstOperands,
     /* 411049 */     // GIR_Coverage, 12216,
     /* 411049 */     GIR_EraseRootFromParent_Done,
     /* 411050 */   // Label 6163: @411050
     /* 411050 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(411185), // Rule ID 12217 //
     /* 411055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 411058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 411062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411090 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411094 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411098 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411102 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411107 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411112 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411116 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411118 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411132 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411139 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 411142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 411149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 411154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 411159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 411164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411183 */     GIR_RootConstrainSelectedInstOperands,
     /* 411184 */     // GIR_Coverage, 12217,
     /* 411184 */     GIR_EraseRootFromParent_Done,
     /* 411185 */   // Label 6164: @411185
     /* 411185 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(411320), // Rule ID 12218 //
     /* 411190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 411193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 411197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411225 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411233 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411237 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411242 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411242 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411247 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411260 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411267 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411274 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 411277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 411284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 411289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 411294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 411299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411318 */     GIR_RootConstrainSelectedInstOperands,
     /* 411319 */     // GIR_Coverage, 12218,
     /* 411319 */     GIR_EraseRootFromParent_Done,
     /* 411320 */   // Label 6165: @411320
     /* 411320 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(411455), // Rule ID 12219 //
     /* 411325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 411328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 411332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411360 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411372 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411377 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411377 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411382 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411402 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411409 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 411412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 411419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 411424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 411429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 411434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411453 */     GIR_RootConstrainSelectedInstOperands,
     /* 411454 */     // GIR_Coverage, 12219,
     /* 411454 */     GIR_EraseRootFromParent_Done,
     /* 411455 */   // Label 6166: @411455
     /* 411455 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(411590), // Rule ID 12696 //
     /* 411460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 411463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 411467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411495 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411507 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411507 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411512 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411512 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411517 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411521 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411523 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411530 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411544 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 411547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 411554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 411559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 411564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 411569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411588 */     GIR_RootConstrainSelectedInstOperands,
     /* 411589 */     // GIR_Coverage, 12696,
     /* 411589 */     GIR_EraseRootFromParent_Done,
     /* 411590 */   // Label 6167: @411590
     /* 411590 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(411725), // Rule ID 12697 //
     /* 411595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 411598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 411602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411630 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411634 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411638 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411642 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411647 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411652 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411679 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 411682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 411689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 411694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 411699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 411704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411723 */     GIR_RootConstrainSelectedInstOperands,
     /* 411724 */     // GIR_Coverage, 12697,
     /* 411724 */     GIR_EraseRootFromParent_Done,
     /* 411725 */   // Label 6168: @411725
     /* 411725 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(411860), // Rule ID 12698 //
     /* 411730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 411733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 411737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411777 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411782 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411787 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411807 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411814 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 411817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 411824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 411829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 411834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 411839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411858 */     GIR_RootConstrainSelectedInstOperands,
     /* 411859 */     // GIR_Coverage, 12698,
     /* 411859 */     GIR_EraseRootFromParent_Done,
     /* 411860 */   // Label 6169: @411860
     /* 411860 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(411995), // Rule ID 12699 //
     /* 411865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 411868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 411872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 411884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 411888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 411896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 411900 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 411904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 411908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 411912 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 411912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 411917 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 411917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 411922 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 411926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411928 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411942 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 411949 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 411949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 411952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 411954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 411959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 411964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 411969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 411974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 411979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 411984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411993 */     GIR_RootConstrainSelectedInstOperands,
     /* 411994 */     // GIR_Coverage, 12699,
     /* 411994 */     GIR_EraseRootFromParent_Done,
     /* 411995 */   // Label 6170: @411995
     /* 411995 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(412130), // Rule ID 13176 //
     /* 412000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 412003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412035 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412047 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412052 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412057 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412070 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412077 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412084 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 412087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 412094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 412099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 412104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 412109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412128 */     GIR_RootConstrainSelectedInstOperands,
     /* 412129 */     // GIR_Coverage, 13176,
     /* 412129 */     GIR_EraseRootFromParent_Done,
     /* 412130 */   // Label 6171: @412130
     /* 412130 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(412265), // Rule ID 13177 //
     /* 412135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 412138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412170 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412182 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412182 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412187 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412187 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412192 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412198 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412205 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412212 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412219 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 412222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 412229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 412234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 412239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 412244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412263 */     GIR_RootConstrainSelectedInstOperands,
     /* 412264 */     // GIR_Coverage, 13177,
     /* 412264 */     GIR_EraseRootFromParent_Done,
     /* 412265 */   // Label 6172: @412265
     /* 412265 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(412400), // Rule ID 13178 //
     /* 412270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 412273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412309 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412313 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412317 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412317 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412322 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412322 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412340 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412347 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412354 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 412357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 412364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 412369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 412374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 412379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412398 */     GIR_RootConstrainSelectedInstOperands,
     /* 412399 */     // GIR_Coverage, 13178,
     /* 412399 */     GIR_EraseRootFromParent_Done,
     /* 412400 */   // Label 6173: @412400
     /* 412400 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(412535), // Rule ID 13179 //
     /* 412405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 412408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412452 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412457 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412489 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 412492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 412499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 412504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 412509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 412514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412533 */     GIR_RootConstrainSelectedInstOperands,
     /* 412534 */     // GIR_Coverage, 13179,
     /* 412534 */     GIR_EraseRootFromParent_Done,
     /* 412535 */   // Label 6174: @412535
     /* 412535 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(412670), // Rule ID 12156 //
     /* 412540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 412543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 412587 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412592 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412624 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 412627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 412634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 412639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 412644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 412649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412668 */     GIR_RootConstrainSelectedInstOperands,
     /* 412669 */     // GIR_Coverage, 12156,
     /* 412669 */     GIR_EraseRootFromParent_Done,
     /* 412670 */   // Label 6175: @412670
     /* 412670 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(412805), // Rule ID 12157 //
     /* 412675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 412678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 412722 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412727 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412752 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412759 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 412762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 412769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 412774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 412779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 412784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412803 */     GIR_RootConstrainSelectedInstOperands,
     /* 412804 */     // GIR_Coverage, 12157,
     /* 412804 */     GIR_EraseRootFromParent_Done,
     /* 412805 */   // Label 6176: @412805
     /* 412805 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(412940), // Rule ID 12158 //
     /* 412810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 412813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412845 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 412857 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 412862 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412862 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412867 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 412871 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412887 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 412894 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 412894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 412897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 412899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 412904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 412909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 412914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 412919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 412924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 412929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 412938 */     GIR_RootConstrainSelectedInstOperands,
     /* 412939 */     // GIR_Coverage, 12158,
     /* 412939 */     GIR_EraseRootFromParent_Done,
     /* 412940 */   // Label 6177: @412940
     /* 412940 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(413075), // Rule ID 12159 //
     /* 412945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 412948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 412952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 412960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 412964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 412968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 412976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 412980 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 412984 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 412988 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 412992 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 412992 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 412997 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 412997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413006 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413008 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413022 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413029 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 413032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 413039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 413044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 413049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 413054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413073 */     GIR_RootConstrainSelectedInstOperands,
     /* 413074 */     // GIR_Coverage, 12159,
     /* 413074 */     GIR_EraseRootFromParent_Done,
     /* 413075 */   // Label 6178: @413075
     /* 413075 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(413210), // Rule ID 12636 //
     /* 413080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 413083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 413087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413115 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413127 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413127 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413132 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413150 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413157 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413164 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 413167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 413174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 413179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 413184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 413189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413208 */     GIR_RootConstrainSelectedInstOperands,
     /* 413209 */     // GIR_Coverage, 12636,
     /* 413209 */     GIR_EraseRootFromParent_Done,
     /* 413210 */   // Label 6179: @413210
     /* 413210 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(413345), // Rule ID 12637 //
     /* 413215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 413218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 413222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413262 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413267 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413267 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413292 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413299 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 413302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 413309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 413314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 413319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 413324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413343 */     GIR_RootConstrainSelectedInstOperands,
     /* 413344 */     // GIR_Coverage, 12637,
     /* 413344 */     GIR_EraseRootFromParent_Done,
     /* 413345 */   // Label 6180: @413345
     /* 413345 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(413480), // Rule ID 12638 //
     /* 413350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 413353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 413357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413385 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413389 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413393 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413397 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413397 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413402 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413402 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413407 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413411 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413413 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413420 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413427 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413434 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 413437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 413444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 413449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 413454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 413459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413478 */     GIR_RootConstrainSelectedInstOperands,
     /* 413479 */     // GIR_Coverage, 12638,
     /* 413479 */     GIR_EraseRootFromParent_Done,
     /* 413480 */   // Label 6181: @413480
     /* 413480 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(413615), // Rule ID 12639 //
     /* 413485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 413488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 413492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413524 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413528 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413532 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413532 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413537 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413537 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413546 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413548 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413555 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413562 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413569 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 413572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 413579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 413584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 413589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 413594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413613 */     GIR_RootConstrainSelectedInstOperands,
     /* 413614 */     // GIR_Coverage, 12639,
     /* 413614 */     GIR_EraseRootFromParent_Done,
     /* 413615 */   // Label 6182: @413615
     /* 413615 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(413750), // Rule ID 13116 //
     /* 413620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 413623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 413627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413667 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413667 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413672 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413681 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413683 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413690 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413697 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413704 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 413707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 413714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 413719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 413724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 413729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413748 */     GIR_RootConstrainSelectedInstOperands,
     /* 413749 */     // GIR_Coverage, 13116,
     /* 413749 */     GIR_EraseRootFromParent_Done,
     /* 413750 */   // Label 6183: @413750
     /* 413750 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(413885), // Rule ID 13117 //
     /* 413755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 413758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 413762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413790 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413794 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413798 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413802 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413802 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413807 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413812 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413816 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413818 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413832 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413839 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 413842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 413849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 413854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 413859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 413864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 413869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 413874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 413883 */     GIR_RootConstrainSelectedInstOperands,
     /* 413884 */     // GIR_Coverage, 13117,
     /* 413884 */     GIR_EraseRootFromParent_Done,
     /* 413885 */   // Label 6184: @413885
     /* 413885 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(414020), // Rule ID 13118 //
     /* 413890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 413893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 413897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 413905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 413909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 413913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 413917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 413921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 413925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 413929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 413933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 413937 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 413937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 413942 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 413942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 413947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 413951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 413953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413960 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413967 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 413974 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 413974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 413977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 413979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 413984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 413989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 413994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 413999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414018 */     GIR_RootConstrainSelectedInstOperands,
     /* 414019 */     // GIR_Coverage, 13118,
     /* 414019 */     GIR_EraseRootFromParent_Done,
     /* 414020 */   // Label 6185: @414020
     /* 414020 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(414155), // Rule ID 13119 //
     /* 414025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 414028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 414032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 414052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 414056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414064 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 414068 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414072 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 414077 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414077 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 414082 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414088 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414095 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414102 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414109 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 414112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 414119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 414124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 414129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 414134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414153 */     GIR_RootConstrainSelectedInstOperands,
     /* 414154 */     // GIR_Coverage, 13119,
     /* 414154 */     GIR_EraseRootFromParent_Done,
     /* 414155 */   // Label 6186: @414155
     /* 414155 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(414290), // Rule ID 12165 //
     /* 414160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 414163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 414167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414195 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414199 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414203 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414207 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414212 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414212 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414217 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414221 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414230 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414237 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414244 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 414247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 414254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 414259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 414264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 414269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414288 */     GIR_RootConstrainSelectedInstOperands,
     /* 414289 */     // GIR_Coverage, 12165,
     /* 414289 */     GIR_EraseRootFromParent_Done,
     /* 414290 */   // Label 6187: @414290
     /* 414290 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(414425), // Rule ID 12166 //
     /* 414295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 414298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 414302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414330 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414342 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414342 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414347 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414347 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414352 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414356 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414358 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414372 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414379 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 414382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 414389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 414394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 414399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 414404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414423 */     GIR_RootConstrainSelectedInstOperands,
     /* 414424 */     // GIR_Coverage, 12166,
     /* 414424 */     GIR_EraseRootFromParent_Done,
     /* 414425 */   // Label 6188: @414425
     /* 414425 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(414560), // Rule ID 12169 //
     /* 414430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 414433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 414437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414465 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414469 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414473 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414477 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414477 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414482 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414482 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414487 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414491 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414493 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414500 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414507 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414514 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 414517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 414524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 414529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 414534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 414539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414558 */     GIR_RootConstrainSelectedInstOperands,
     /* 414559 */     // GIR_Coverage, 12169,
     /* 414559 */     GIR_EraseRootFromParent_Done,
     /* 414560 */   // Label 6189: @414560
     /* 414560 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(414695), // Rule ID 12170 //
     /* 414565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 414568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 414572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414600 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414612 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414617 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414622 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414626 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414642 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414649 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 414652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 414659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 414664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 414669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 414674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414693 */     GIR_RootConstrainSelectedInstOperands,
     /* 414694 */     // GIR_Coverage, 12170,
     /* 414694 */     GIR_EraseRootFromParent_Done,
     /* 414695 */   // Label 6190: @414695
     /* 414695 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(414830), // Rule ID 12645 //
     /* 414700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 414703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 414707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414735 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414747 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414747 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414752 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414752 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414761 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414763 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414777 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414784 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 414787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 414794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 414799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 414804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 414809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414828 */     GIR_RootConstrainSelectedInstOperands,
     /* 414829 */     // GIR_Coverage, 12645,
     /* 414829 */     GIR_EraseRootFromParent_Done,
     /* 414830 */   // Label 6191: @414830
     /* 414830 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(414965), // Rule ID 12646 //
     /* 414835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 414838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 414842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 414866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 414870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 414874 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 414878 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 414882 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 414882 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 414887 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 414887 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 414892 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 414896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 414898 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414912 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 414919 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 414919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 414922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 414924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 414929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 414934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 414939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 414944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 414949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 414954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 414963 */     GIR_RootConstrainSelectedInstOperands,
     /* 414964 */     // GIR_Coverage, 12646,
     /* 414964 */     GIR_EraseRootFromParent_Done,
     /* 414965 */   // Label 6192: @414965
     /* 414965 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(415100), // Rule ID 12649 //
     /* 414970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 414973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 414977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 414981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 414985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 414989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 414993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 414997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415017 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415017 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415022 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415022 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415027 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415031 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415040 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415047 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415054 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 415057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 415064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 415069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 415074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 415079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415098 */     GIR_RootConstrainSelectedInstOperands,
     /* 415099 */     // GIR_Coverage, 12649,
     /* 415099 */     GIR_EraseRootFromParent_Done,
     /* 415100 */   // Label 6193: @415100
     /* 415100 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(415235), // Rule ID 12650 //
     /* 415105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 415108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 415112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415152 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415152 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415157 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415157 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415162 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415168 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415182 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415189 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 415192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 415199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 415204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 415209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 415214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415233 */     GIR_RootConstrainSelectedInstOperands,
     /* 415234 */     // GIR_Coverage, 12650,
     /* 415234 */     GIR_EraseRootFromParent_Done,
     /* 415235 */   // Label 6194: @415235
     /* 415235 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(415370), // Rule ID 13125 //
     /* 415240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 415243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415287 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415292 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415297 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415301 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415317 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415324 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 415327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 415334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 415339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 415344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 415349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415368 */     GIR_RootConstrainSelectedInstOperands,
     /* 415369 */     // GIR_Coverage, 13125,
     /* 415369 */     GIR_EraseRootFromParent_Done,
     /* 415370 */   // Label 6195: @415370
     /* 415370 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(415505), // Rule ID 13126 //
     /* 415375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 415378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415422 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415427 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415432 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415452 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415459 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 415462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 415469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 415474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 415479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 415484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415503 */     GIR_RootConstrainSelectedInstOperands,
     /* 415504 */     // GIR_Coverage, 13126,
     /* 415504 */     GIR_EraseRootFromParent_Done,
     /* 415505 */   // Label 6196: @415505
     /* 415505 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(415640), // Rule ID 13129 //
     /* 415510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 415513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415557 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415562 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415580 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415587 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415594 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 415597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 415604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 415609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 415614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 415619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415638 */     GIR_RootConstrainSelectedInstOperands,
     /* 415639 */     // GIR_Coverage, 13129,
     /* 415639 */     GIR_EraseRootFromParent_Done,
     /* 415640 */   // Label 6197: @415640
     /* 415640 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(415775), // Rule ID 13130 //
     /* 415645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 415648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415688 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 415692 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415692 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415697 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415697 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415702 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415708 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415715 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415722 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415729 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 415732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 415739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 415744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 415749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 415754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415773 */     GIR_RootConstrainSelectedInstOperands,
     /* 415774 */     // GIR_Coverage, 13130,
     /* 415774 */     GIR_EraseRootFromParent_Done,
     /* 415775 */   // Label 6198: @415775
     /* 415775 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(415910), // Rule ID 12150 //
     /* 415780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 415783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415815 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 415827 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415827 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415832 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415832 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415841 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415850 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415857 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415864 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 415867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 415869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 415874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 415879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 415884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 415889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 415894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 415899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 415908 */     GIR_RootConstrainSelectedInstOperands,
     /* 415909 */     // GIR_Coverage, 12150,
     /* 415909 */     GIR_EraseRootFromParent_Done,
     /* 415910 */   // Label 6199: @415910
     /* 415910 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(416045), // Rule ID 12151 //
     /* 415915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 415918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 415922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 415926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 415930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 415934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 415938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 415942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 415946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 415950 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 415954 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 415958 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 415962 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 415962 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 415967 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 415967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 415972 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 415976 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 415978 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415992 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 415999 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 415999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 416002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 416009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 416014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 416019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 416024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416043 */     GIR_RootConstrainSelectedInstOperands,
     /* 416044 */     // GIR_Coverage, 12151,
     /* 416044 */     GIR_EraseRootFromParent_Done,
     /* 416045 */   // Label 6200: @416045
     /* 416045 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(416180), // Rule ID 12154 //
     /* 416050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 416053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 416057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416097 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416102 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416113 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416120 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416127 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416134 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 416137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 416144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 416149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 416154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 416159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416178 */     GIR_RootConstrainSelectedInstOperands,
     /* 416179 */     // GIR_Coverage, 12154,
     /* 416179 */     GIR_EraseRootFromParent_Done,
     /* 416180 */   // Label 6201: @416180
     /* 416180 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(416315), // Rule ID 12155 //
     /* 416185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 416188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 416192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416232 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416237 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416262 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416269 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 416272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 416279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 416284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 416289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 416294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416313 */     GIR_RootConstrainSelectedInstOperands,
     /* 416314 */     // GIR_Coverage, 12155,
     /* 416314 */     GIR_EraseRootFromParent_Done,
     /* 416315 */   // Label 6202: @416315
     /* 416315 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(416450), // Rule ID 12630 //
     /* 416320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 416323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 416327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416367 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416372 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416397 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416404 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 416407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 416414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 416419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 416424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 416429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416448 */     GIR_RootConstrainSelectedInstOperands,
     /* 416449 */     // GIR_Coverage, 12630,
     /* 416449 */     GIR_EraseRootFromParent_Done,
     /* 416450 */   // Label 6203: @416450
     /* 416450 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(416585), // Rule ID 12631 //
     /* 416455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 416458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 416462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416490 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416494 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416498 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416502 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416507 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416507 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416512 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416525 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416532 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416539 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 416542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 416549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 416554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 416559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 416564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416583 */     GIR_RootConstrainSelectedInstOperands,
     /* 416584 */     // GIR_Coverage, 12631,
     /* 416584 */     GIR_EraseRootFromParent_Done,
     /* 416585 */   // Label 6204: @416585
     /* 416585 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(416720), // Rule ID 12634 //
     /* 416590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 416593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 416597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416625 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416629 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416633 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416637 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416637 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416642 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416647 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416651 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416667 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416674 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 416677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 416684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 416689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 416694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 416699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416718 */     GIR_RootConstrainSelectedInstOperands,
     /* 416719 */     // GIR_Coverage, 12634,
     /* 416719 */     GIR_EraseRootFromParent_Done,
     /* 416720 */   // Label 6205: @416720
     /* 416720 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(416855), // Rule ID 12635 //
     /* 416725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 416728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 416732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416772 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416777 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416782 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416786 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416802 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416809 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 416812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 416819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 416824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 416829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 416834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416853 */     GIR_RootConstrainSelectedInstOperands,
     /* 416854 */     // GIR_Coverage, 12635,
     /* 416854 */     GIR_EraseRootFromParent_Done,
     /* 416855 */   // Label 6206: @416855
     /* 416855 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(416990), // Rule ID 13110 //
     /* 416860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 416863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 416867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 416871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 416875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 416879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 416883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 416887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 416891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 416895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 416899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 416903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 416907 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 416907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 416912 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 416912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 416917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 416921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 416923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416930 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416937 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 416944 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 416944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 416947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 416949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 416954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 416959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 416964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 416969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 416974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 416979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 416988 */     GIR_RootConstrainSelectedInstOperands,
     /* 416989 */     // GIR_Coverage, 13110,
     /* 416989 */     GIR_EraseRootFromParent_Done,
     /* 416990 */   // Label 6207: @416990
     /* 416990 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(417125), // Rule ID 13111 //
     /* 416995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 416998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 417038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 417042 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417042 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417047 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417052 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417056 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417065 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417072 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417079 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 417082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 417089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 417094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 417099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 417104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417123 */     GIR_RootConstrainSelectedInstOperands,
     /* 417124 */     // GIR_Coverage, 13111,
     /* 417124 */     GIR_EraseRootFromParent_Done,
     /* 417125 */   // Label 6208: @417125
     /* 417125 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(417260), // Rule ID 13114 //
     /* 417130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 417133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 417173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 417177 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417182 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417182 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417191 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417200 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417207 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417214 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 417217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 417224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 417229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 417234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 417239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417258 */     GIR_RootConstrainSelectedInstOperands,
     /* 417259 */     // GIR_Coverage, 13114,
     /* 417259 */     GIR_EraseRootFromParent_Done,
     /* 417260 */   // Label 6209: @417260
     /* 417260 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(417395), // Rule ID 13115 //
     /* 417265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 417268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417300 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417304 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 417308 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 417312 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417312 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417317 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417317 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417322 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417326 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417335 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417342 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417349 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 417352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 417359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 417364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 417369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 417374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417393 */     GIR_RootConstrainSelectedInstOperands,
     /* 417394 */     // GIR_Coverage, 13115,
     /* 417394 */     GIR_EraseRootFromParent_Done,
     /* 417395 */   // Label 6210: @417395
     /* 417395 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(417530), // Rule ID 7828 //
     /* 417400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 417403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417435 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 417443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 417447 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417452 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417461 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417477 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417484 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 417487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 417494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 417499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 417504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 417509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417528 */     GIR_RootConstrainSelectedInstOperands,
     /* 417529 */     // GIR_Coverage, 7828,
     /* 417529 */     GIR_EraseRootFromParent_Done,
     /* 417530 */   // Label 6211: @417530
     /* 417530 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(417665), // Rule ID 7860 //
     /* 417535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 417538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 417542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417570 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 417578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 417582 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417587 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417592 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417612 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417619 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 417622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 417629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 417634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 417639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 417644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417663 */     GIR_RootConstrainSelectedInstOperands,
     /* 417664 */     // GIR_Coverage, 7860,
     /* 417664 */     GIR_EraseRootFromParent_Done,
     /* 417665 */   // Label 6212: @417665
     /* 417665 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(417800), // Rule ID 7892 //
     /* 417670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 417673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417709 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 417713 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 417717 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417722 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417740 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417747 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417754 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 417757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 417764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 417769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 417774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 417779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417798 */     GIR_RootConstrainSelectedInstOperands,
     /* 417799 */     // GIR_Coverage, 7892,
     /* 417799 */     GIR_EraseRootFromParent_Done,
     /* 417800 */   // Label 6213: @417800
     /* 417800 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(417935), // Rule ID 12164 //
     /* 417805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 417808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 417848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 417852 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417857 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417862 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 417866 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 417868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 417889 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 417889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 417892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 417894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 417899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 417904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 417909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 417914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 417919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 417924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 417933 */     GIR_RootConstrainSelectedInstOperands,
     /* 417934 */     // GIR_Coverage, 12164,
     /* 417934 */     GIR_EraseRootFromParent_Done,
     /* 417935 */   // Label 6214: @417935
     /* 417935 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(418070), // Rule ID 12167 //
     /* 417940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 417943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 417947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 417951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 417955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 417959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 417963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 417967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 417971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 417975 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 417979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 417983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 417987 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 417987 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 417992 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 417992 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 417997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418001 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418010 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418017 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418024 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 418027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418068 */     GIR_RootConstrainSelectedInstOperands,
     /* 418069 */     // GIR_Coverage, 12167,
     /* 418069 */     GIR_EraseRootFromParent_Done,
     /* 418070 */   // Label 6215: @418070
     /* 418070 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(418205), // Rule ID 12168 //
     /* 418075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 418078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 418082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418110 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418114 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418118 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418122 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418122 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418127 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418127 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418145 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418152 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418159 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 418162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418203 */     GIR_RootConstrainSelectedInstOperands,
     /* 418204 */     // GIR_Coverage, 12168,
     /* 418204 */     GIR_EraseRootFromParent_Done,
     /* 418205 */   // Label 6216: @418205
     /* 418205 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(418340), // Rule ID 12644 //
     /* 418210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 418213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 418217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418257 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418262 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418271 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418280 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418287 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418294 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 418297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 418304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 418309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 418314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 418319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418338 */     GIR_RootConstrainSelectedInstOperands,
     /* 418339 */     // GIR_Coverage, 12644,
     /* 418339 */     GIR_EraseRootFromParent_Done,
     /* 418340 */   // Label 6217: @418340
     /* 418340 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(418475), // Rule ID 12647 //
     /* 418345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 418348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 418352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418384 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418388 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418392 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418392 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418397 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418397 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418402 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418415 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418422 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418429 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 418432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418473 */     GIR_RootConstrainSelectedInstOperands,
     /* 418474 */     // GIR_Coverage, 12647,
     /* 418474 */     GIR_EraseRootFromParent_Done,
     /* 418475 */   // Label 6218: @418475
     /* 418475 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(418610), // Rule ID 12648 //
     /* 418480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 418483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 418487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418527 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418532 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418532 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418537 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418550 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418557 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418564 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 418567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418608 */     GIR_RootConstrainSelectedInstOperands,
     /* 418609 */     // GIR_Coverage, 12648,
     /* 418609 */     GIR_EraseRootFromParent_Done,
     /* 418610 */   // Label 6219: @418610
     /* 418610 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(418745), // Rule ID 13124 //
     /* 418615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 418618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 418622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418662 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418667 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418667 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418672 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418692 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418699 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 418702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 418709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 418714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 418719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 418724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418743 */     GIR_RootConstrainSelectedInstOperands,
     /* 418744 */     // GIR_Coverage, 13124,
     /* 418744 */     GIR_EraseRootFromParent_Done,
     /* 418745 */   // Label 6220: @418745
     /* 418745 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(418880), // Rule ID 13127 //
     /* 418750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 418753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 418757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418785 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418797 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418797 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418802 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418802 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418811 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418827 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418834 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 418837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 418869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 418878 */     GIR_RootConstrainSelectedInstOperands,
     /* 418879 */     // GIR_Coverage, 13127,
     /* 418879 */     GIR_EraseRootFromParent_Done,
     /* 418880 */   // Label 6221: @418880
     /* 418880 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(419015), // Rule ID 13128 //
     /* 418885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 418888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 418892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 418896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 418900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 418904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 418908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 418912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 418916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 418920 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 418924 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 418928 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 418932 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 418932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 418937 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 418937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 418942 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 418946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 418948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 418969 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 418969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 418972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 418974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 418979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 418984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 418989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 418994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 418999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419013 */     GIR_RootConstrainSelectedInstOperands,
     /* 419014 */     // GIR_Coverage, 13128,
     /* 419014 */     GIR_EraseRootFromParent_Done,
     /* 419015 */   // Label 6222: @419015
     /* 419015 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(419150), // Rule ID 7827 //
     /* 419020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 419023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 419027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419055 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419067 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419072 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419090 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419097 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419104 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 419107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 419114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 419119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 419124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 419129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419148 */     GIR_RootConstrainSelectedInstOperands,
     /* 419149 */     // GIR_Coverage, 7827,
     /* 419149 */     GIR_EraseRootFromParent_Done,
     /* 419150 */   // Label 6223: @419150
     /* 419150 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(419285), // Rule ID 7859 //
     /* 419155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 419158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 419162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419190 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419202 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419207 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419212 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419225 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419232 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419239 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 419242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 419249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 419254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 419259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 419264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419283 */     GIR_RootConstrainSelectedInstOperands,
     /* 419284 */     // GIR_Coverage, 7859,
     /* 419284 */     GIR_EraseRootFromParent_Done,
     /* 419285 */   // Label 6224: @419285
     /* 419285 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(419420), // Rule ID 7891 //
     /* 419290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 419293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 419297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419337 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419337 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419342 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419342 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419347 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419360 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419367 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419374 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 419377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 419384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 419389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 419394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 419399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419418 */     GIR_RootConstrainSelectedInstOperands,
     /* 419419 */     // GIR_Coverage, 7891,
     /* 419419 */     GIR_EraseRootFromParent_Done,
     /* 419420 */   // Label 6225: @419420
     /* 419420 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(419555), // Rule ID 12149 //
     /* 419425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 419428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 419432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419460 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419464 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419468 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419472 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419472 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419477 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419477 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419502 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419509 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 419512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 419519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 419524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 419529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 419534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419553 */     GIR_RootConstrainSelectedInstOperands,
     /* 419554 */     // GIR_Coverage, 12149,
     /* 419554 */     GIR_EraseRootFromParent_Done,
     /* 419555 */   // Label 6226: @419555
     /* 419555 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(419690), // Rule ID 12152 //
     /* 419560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 419563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 419567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419595 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419607 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419612 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419621 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419637 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419644 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 419647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 419654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 419659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 419664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 419669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419688 */     GIR_RootConstrainSelectedInstOperands,
     /* 419689 */     // GIR_Coverage, 12152,
     /* 419689 */     GIR_EraseRootFromParent_Done,
     /* 419690 */   // Label 6227: @419690
     /* 419690 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(419825), // Rule ID 12153 //
     /* 419695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 419698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 419702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419734 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419738 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419742 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419742 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419747 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419747 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419752 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419765 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419772 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419779 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 419782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 419789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 419794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 419799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 419804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419823 */     GIR_RootConstrainSelectedInstOperands,
     /* 419824 */     // GIR_Coverage, 12153,
     /* 419824 */     GIR_EraseRootFromParent_Done,
     /* 419825 */   // Label 6228: @419825
     /* 419825 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(419960), // Rule ID 12629 //
     /* 419830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 419833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 419837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 419865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 419869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 419873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 419877 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 419877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 419882 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 419882 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 419887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 419891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 419893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419900 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419907 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 419914 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 419914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 419917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 419919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 419924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 419929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 419934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 419939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 419944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 419949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 419958 */     GIR_RootConstrainSelectedInstOperands,
     /* 419959 */     // GIR_Coverage, 12629,
     /* 419959 */     GIR_EraseRootFromParent_Done,
     /* 419960 */   // Label 6229: @419960
     /* 419960 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(420095), // Rule ID 12632 //
     /* 419965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 419968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 419972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 419976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 419980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 419984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 419988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 419992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 419996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420000 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420004 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 420008 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 420012 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420017 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420017 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420022 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420035 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420042 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420049 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 420052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 420059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 420064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 420069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 420074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420093 */     GIR_RootConstrainSelectedInstOperands,
     /* 420094 */     // GIR_Coverage, 12632,
     /* 420094 */     GIR_EraseRootFromParent_Done,
     /* 420095 */   // Label 6230: @420095
     /* 420095 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(420230), // Rule ID 12633 //
     /* 420100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 420103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 420107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 420131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 420143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 420147 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420147 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420152 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420152 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420157 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420161 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420170 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420177 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420184 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 420187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 420194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 420199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 420204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 420209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420228 */     GIR_RootConstrainSelectedInstOperands,
     /* 420229 */     // GIR_Coverage, 12633,
     /* 420229 */     GIR_EraseRootFromParent_Done,
     /* 420230 */   // Label 6231: @420230
     /* 420230 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(420365), // Rule ID 13109 //
     /* 420235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 420238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 420266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420270 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420274 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 420278 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 420282 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420282 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420287 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420296 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420312 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420319 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 420322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 420329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 420334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 420339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 420344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420363 */     GIR_RootConstrainSelectedInstOperands,
     /* 420364 */     // GIR_Coverage, 13109,
     /* 420364 */     GIR_EraseRootFromParent_Done,
     /* 420365 */   // Label 6232: @420365
     /* 420365 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(420500), // Rule ID 13112 //
     /* 420370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 420373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 420401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 420413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 420417 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420422 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420431 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420440 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420447 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420454 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 420457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 420464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 420469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 420474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 420479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420498 */     GIR_RootConstrainSelectedInstOperands,
     /* 420499 */     // GIR_Coverage, 13112,
     /* 420499 */     GIR_EraseRootFromParent_Done,
     /* 420500 */   // Label 6233: @420500
     /* 420500 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(420635), // Rule ID 13113 //
     /* 420505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 420508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 420536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 420548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 420552 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420557 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420562 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420582 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420589 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 420592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 420599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 420604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 420609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 420614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420633 */     GIR_RootConstrainSelectedInstOperands,
     /* 420634 */     // GIR_Coverage, 13113,
     /* 420634 */     GIR_EraseRootFromParent_Done,
     /* 420635 */   // Label 6234: @420635
     /* 420635 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(420770), // Rule ID 12135 //
     /* 420640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 420643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420675 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420679 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 420683 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 420687 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420687 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420692 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420692 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420697 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420701 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420703 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420710 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420717 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420724 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 420727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 420734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 420739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 420744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 420749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420768 */     GIR_RootConstrainSelectedInstOperands,
     /* 420769 */     // GIR_Coverage, 12135,
     /* 420769 */     GIR_EraseRootFromParent_Done,
     /* 420770 */   // Label 6235: @420770
     /* 420770 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(420905), // Rule ID 12136 //
     /* 420775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 420778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420814 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 420818 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 420822 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420827 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420827 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420832 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420836 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420845 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420852 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420859 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 420862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 420869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 420874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 420879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 420884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 420889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 420894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 420903 */     GIR_RootConstrainSelectedInstOperands,
     /* 420904 */     // GIR_Coverage, 12136,
     /* 420904 */     GIR_EraseRootFromParent_Done,
     /* 420905 */   // Label 6236: @420905
     /* 420905 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(421040), // Rule ID 12139 //
     /* 420910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 420913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 420917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 420921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 420929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 420933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 420937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 420941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 420945 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 420949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 420953 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 420957 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 420957 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 420962 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 420962 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 420967 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 420971 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 420973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420987 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 420994 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 420994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 420997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 420999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 421004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 421009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 421014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 421019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421038 */     GIR_RootConstrainSelectedInstOperands,
     /* 421039 */     // GIR_Coverage, 12139,
     /* 421039 */     GIR_EraseRootFromParent_Done,
     /* 421040 */   // Label 6237: @421040
     /* 421040 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(421175), // Rule ID 12140 //
     /* 421045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 421048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 421052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421080 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421092 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421097 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421102 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421106 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421108 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421122 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421129 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 421132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 421139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 421144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 421149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 421154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421173 */     GIR_RootConstrainSelectedInstOperands,
     /* 421174 */     // GIR_Coverage, 12140,
     /* 421174 */     GIR_EraseRootFromParent_Done,
     /* 421175 */   // Label 6238: @421175
     /* 421175 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(421310), // Rule ID 12615 //
     /* 421180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 421183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 421187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421215 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421227 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421232 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421237 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421241 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421257 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421264 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 421267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 421274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 421279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 421284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 421289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421308 */     GIR_RootConstrainSelectedInstOperands,
     /* 421309 */     // GIR_Coverage, 12615,
     /* 421309 */     GIR_EraseRootFromParent_Done,
     /* 421310 */   // Label 6239: @421310
     /* 421310 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(421445), // Rule ID 12616 //
     /* 421315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 421318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 421322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421354 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421358 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421362 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421367 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421372 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421392 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421399 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 421402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 421409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 421414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 421419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 421424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421443 */     GIR_RootConstrainSelectedInstOperands,
     /* 421444 */     // GIR_Coverage, 12616,
     /* 421444 */     GIR_EraseRootFromParent_Done,
     /* 421445 */   // Label 6240: @421445
     /* 421445 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(421580), // Rule ID 12619 //
     /* 421450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 421453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 421457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421497 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421502 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421507 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421527 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421534 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 421537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 421544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 421549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 421554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 421559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421578 */     GIR_RootConstrainSelectedInstOperands,
     /* 421579 */     // GIR_Coverage, 12619,
     /* 421579 */     GIR_EraseRootFromParent_Done,
     /* 421580 */   // Label 6241: @421580
     /* 421580 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(421715), // Rule ID 12620 //
     /* 421585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 421588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 421592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421620 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421632 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421637 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421637 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421642 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421648 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421655 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421662 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421669 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 421672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 421679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 421684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 421689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 421694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421713 */     GIR_RootConstrainSelectedInstOperands,
     /* 421714 */     // GIR_Coverage, 12620,
     /* 421714 */     GIR_EraseRootFromParent_Done,
     /* 421715 */   // Label 6242: @421715
     /* 421715 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(421850), // Rule ID 13095 //
     /* 421720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 421723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 421727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421767 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421772 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421777 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421797 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421804 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 421807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 421814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 421819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 421824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 421829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421848 */     GIR_RootConstrainSelectedInstOperands,
     /* 421849 */     // GIR_Coverage, 13095,
     /* 421849 */     GIR_EraseRootFromParent_Done,
     /* 421850 */   // Label 6243: @421850
     /* 421850 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(421985), // Rule ID 13096 //
     /* 421855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 421858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 421862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 421866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 421874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 421878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 421882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 421886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 421890 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 421894 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 421898 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 421902 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 421902 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 421907 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 421907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 421912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 421916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 421918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 421939 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 421939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 421942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 421944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 421949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 421954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 421959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 421964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 421969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 421974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 421983 */     GIR_RootConstrainSelectedInstOperands,
     /* 421984 */     // GIR_Coverage, 13096,
     /* 421984 */     GIR_EraseRootFromParent_Done,
     /* 421985 */   // Label 6244: @421985
     /* 421985 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(422120), // Rule ID 13099 //
     /* 421990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 421993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 421997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 422037 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422037 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422042 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422042 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422060 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422067 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422074 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 422077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 422084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 422089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 422094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 422099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422118 */     GIR_RootConstrainSelectedInstOperands,
     /* 422119 */     // GIR_Coverage, 13099,
     /* 422119 */     GIR_EraseRootFromParent_Done,
     /* 422120 */   // Label 6245: @422120
     /* 422120 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(422255), // Rule ID 13100 //
     /* 422125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 422128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 422132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 422172 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422177 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422182 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422195 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422202 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422209 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 422212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 422219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 422224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 422229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 422234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422253 */     GIR_RootConstrainSelectedInstOperands,
     /* 422254 */     // GIR_Coverage, 13100,
     /* 422254 */     GIR_EraseRootFromParent_Done,
     /* 422255 */   // Label 6246: @422255
     /* 422255 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(422390), // Rule ID 12120 //
     /* 422260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 422263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 422267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422295 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422307 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422307 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422312 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422312 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422317 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422330 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422337 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422344 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 422347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 422354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 422359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 422364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 422369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422388 */     GIR_RootConstrainSelectedInstOperands,
     /* 422389 */     // GIR_Coverage, 12120,
     /* 422389 */     GIR_EraseRootFromParent_Done,
     /* 422390 */   // Label 6247: @422390
     /* 422390 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(422525), // Rule ID 12121 //
     /* 422395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 422398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 422402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422430 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422434 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422438 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422442 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422442 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422447 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422456 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422465 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422472 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422479 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 422482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 422489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 422494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 422499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 422504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422523 */     GIR_RootConstrainSelectedInstOperands,
     /* 422524 */     // GIR_Coverage, 12121,
     /* 422524 */     GIR_EraseRootFromParent_Done,
     /* 422525 */   // Label 6248: @422525
     /* 422525 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(422660), // Rule ID 12124 //
     /* 422530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 422533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 422537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422577 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422582 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422587 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422600 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422607 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422614 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 422617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 422624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 422629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 422634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 422639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422658 */     GIR_RootConstrainSelectedInstOperands,
     /* 422659 */     // GIR_Coverage, 12124,
     /* 422659 */     GIR_EraseRootFromParent_Done,
     /* 422660 */   // Label 6249: @422660
     /* 422660 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(422795), // Rule ID 12125 //
     /* 422665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 422668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 422672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422712 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422717 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422735 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422742 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422749 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 422752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 422759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 422764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 422769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 422774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422793 */     GIR_RootConstrainSelectedInstOperands,
     /* 422794 */     // GIR_Coverage, 12125,
     /* 422794 */     GIR_EraseRootFromParent_Done,
     /* 422795 */   // Label 6250: @422795
     /* 422795 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(422930), // Rule ID 12600 //
     /* 422800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 422803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 422807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422835 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422847 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422852 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422857 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422870 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422877 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 422884 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 422884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 422887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 422889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 422894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 422899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 422904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 422909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 422914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 422919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 422928 */     GIR_RootConstrainSelectedInstOperands,
     /* 422929 */     // GIR_Coverage, 12600,
     /* 422929 */     GIR_EraseRootFromParent_Done,
     /* 422930 */   // Label 6251: @422930
     /* 422930 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(423065), // Rule ID 12601 //
     /* 422935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 422938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 422942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 422946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 422954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 422958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 422962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 422966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 422970 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 422974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 422978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 422982 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 422982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 422987 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 422987 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 422992 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 422996 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 422998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423005 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423012 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423019 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 423022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 423029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 423034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 423039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 423044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423063 */     GIR_RootConstrainSelectedInstOperands,
     /* 423064 */     // GIR_Coverage, 12601,
     /* 423064 */     GIR_EraseRootFromParent_Done,
     /* 423065 */   // Label 6252: @423065
     /* 423065 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(423200), // Rule ID 12604 //
     /* 423070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 423073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 423077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423105 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423117 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423117 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423122 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423122 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423127 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423131 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423147 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423154 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 423157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 423164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 423169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 423174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 423179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423198 */     GIR_RootConstrainSelectedInstOperands,
     /* 423199 */     // GIR_Coverage, 12604,
     /* 423199 */     GIR_EraseRootFromParent_Done,
     /* 423200 */   // Label 6253: @423200
     /* 423200 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(423335), // Rule ID 12605 //
     /* 423205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 423208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 423212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423244 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423248 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423252 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423252 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423257 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423262 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423266 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423282 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423289 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 423292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 423299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 423304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 423309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 423314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423333 */     GIR_RootConstrainSelectedInstOperands,
     /* 423334 */     // GIR_Coverage, 12605,
     /* 423334 */     GIR_EraseRootFromParent_Done,
     /* 423335 */   // Label 6254: @423335
     /* 423335 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(423470), // Rule ID 13080 //
     /* 423340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 423343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 423347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423375 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423387 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423387 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423392 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423392 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423397 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423417 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423424 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 423427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 423434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 423439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 423444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 423449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423468 */     GIR_RootConstrainSelectedInstOperands,
     /* 423469 */     // GIR_Coverage, 13080,
     /* 423469 */     GIR_EraseRootFromParent_Done,
     /* 423470 */   // Label 6255: @423470
     /* 423470 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(423605), // Rule ID 13081 //
     /* 423475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 423478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 423482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423522 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423527 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423532 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423536 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423559 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 423562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 423569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 423574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 423579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 423584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423603 */     GIR_RootConstrainSelectedInstOperands,
     /* 423604 */     // GIR_Coverage, 13081,
     /* 423604 */     GIR_EraseRootFromParent_Done,
     /* 423605 */   // Label 6256: @423605
     /* 423605 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(423740), // Rule ID 13084 //
     /* 423610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 423613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 423617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423657 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423662 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423667 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423680 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423687 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423694 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 423697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 423704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 423709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 423714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 423719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423738 */     GIR_RootConstrainSelectedInstOperands,
     /* 423739 */     // GIR_Coverage, 13084,
     /* 423739 */     GIR_EraseRootFromParent_Done,
     /* 423740 */   // Label 6257: @423740
     /* 423740 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(423875), // Rule ID 13085 //
     /* 423745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 423748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 423752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 423788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 423792 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423792 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423797 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423797 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423802 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423806 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423808 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423822 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423829 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 423832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 423839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 423844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 423849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 423854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 423873 */     GIR_RootConstrainSelectedInstOperands,
     /* 423874 */     // GIR_Coverage, 13085,
     /* 423874 */     GIR_EraseRootFromParent_Done,
     /* 423875 */   // Label 6258: @423875
     /* 423875 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(424010), // Rule ID 7826 //
     /* 423880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 423883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 423887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 423891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 423899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 423903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 423907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 423911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 423915 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 423919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 423923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 423927 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 423927 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 423932 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 423932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 423937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 423941 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 423943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423957 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 423964 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 423964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 423967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 423969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 423974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 423979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 423984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 423989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 423994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 423999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424008 */     GIR_RootConstrainSelectedInstOperands,
     /* 424009 */     // GIR_Coverage, 7826,
     /* 424009 */     GIR_EraseRootFromParent_Done,
     /* 424010 */   // Label 6259: @424010
     /* 424010 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(424145), // Rule ID 7858 //
     /* 424015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 424018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 424022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424050 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424062 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424067 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424072 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424092 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424099 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 424102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 424109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 424114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 424119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 424124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424143 */     GIR_RootConstrainSelectedInstOperands,
     /* 424144 */     // GIR_Coverage, 7858,
     /* 424144 */     GIR_EraseRootFromParent_Done,
     /* 424145 */   // Label 6260: @424145
     /* 424145 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(424280), // Rule ID 7890 //
     /* 424150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 424153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 424157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424185 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424197 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424202 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424211 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424234 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 424237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 424244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 424249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 424254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 424259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424278 */     GIR_RootConstrainSelectedInstOperands,
     /* 424279 */     // GIR_Coverage, 7890,
     /* 424279 */     GIR_EraseRootFromParent_Done,
     /* 424280 */   // Label 6261: @424280
     /* 424280 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(424415), // Rule ID 12134 //
     /* 424285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 424288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 424292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424320 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424328 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424332 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424332 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424337 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424337 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424342 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424346 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424362 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424369 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 424372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 424379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 424384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 424389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 424394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424413 */     GIR_RootConstrainSelectedInstOperands,
     /* 424414 */     // GIR_Coverage, 12134,
     /* 424414 */     GIR_EraseRootFromParent_Done,
     /* 424415 */   // Label 6262: @424415
     /* 424415 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(424550), // Rule ID 12137 //
     /* 424420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 424423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 424427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424459 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424463 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424467 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424472 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424472 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424477 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424481 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424490 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424497 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424504 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 424507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 424514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 424519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 424524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 424529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424548 */     GIR_RootConstrainSelectedInstOperands,
     /* 424549 */     // GIR_Coverage, 12137,
     /* 424549 */     GIR_EraseRootFromParent_Done,
     /* 424550 */   // Label 6263: @424550
     /* 424550 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(424685), // Rule ID 12138 //
     /* 424555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 424558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 424562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424590 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424594 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424598 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424602 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424602 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424607 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424612 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424618 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424632 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424639 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 424642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 424649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 424654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 424659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 424664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424683 */     GIR_RootConstrainSelectedInstOperands,
     /* 424684 */     // GIR_Coverage, 12138,
     /* 424684 */     GIR_EraseRootFromParent_Done,
     /* 424685 */   // Label 6264: @424685
     /* 424685 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(424820), // Rule ID 12614 //
     /* 424690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 424693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 424697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424725 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424737 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424737 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424742 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424742 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424751 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424753 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424767 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424774 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 424777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 424784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 424789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 424794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 424799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424818 */     GIR_RootConstrainSelectedInstOperands,
     /* 424819 */     // GIR_Coverage, 12614,
     /* 424819 */     GIR_EraseRootFromParent_Done,
     /* 424820 */   // Label 6265: @424820
     /* 424820 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(424955), // Rule ID 12617 //
     /* 424825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 424828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 424832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 424868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 424872 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 424872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 424877 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 424877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 424882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 424886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 424888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424895 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 424909 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 424909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 424912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 424914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 424919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 424924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 424929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 424934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 424939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 424944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 424953 */     GIR_RootConstrainSelectedInstOperands,
     /* 424954 */     // GIR_Coverage, 12617,
     /* 424954 */     GIR_EraseRootFromParent_Done,
     /* 424955 */   // Label 6266: @424955
     /* 424955 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(425090), // Rule ID 12618 //
     /* 424960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 424963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 424967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 424971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 424979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 424983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 424987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 424991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 424995 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 424999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 425007 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425012 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425037 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425044 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 425047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 425054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 425059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 425064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 425069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425088 */     GIR_RootConstrainSelectedInstOperands,
     /* 425089 */     // GIR_Coverage, 12618,
     /* 425089 */     GIR_EraseRootFromParent_Done,
     /* 425090 */   // Label 6267: @425090
     /* 425090 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(425225), // Rule ID 13094 //
     /* 425095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 425098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425130 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 425142 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425147 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425147 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425152 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425165 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425179 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 425182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 425189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 425194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 425199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 425204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425223 */     GIR_RootConstrainSelectedInstOperands,
     /* 425224 */     // GIR_Coverage, 13094,
     /* 425224 */     GIR_EraseRootFromParent_Done,
     /* 425225 */   // Label 6268: @425225
     /* 425225 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(425360), // Rule ID 13097 //
     /* 425230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 425233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 425277 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425277 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425282 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425282 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425287 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425300 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425307 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425314 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 425317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 425324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 425329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 425334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 425339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425358 */     GIR_RootConstrainSelectedInstOperands,
     /* 425359 */     // GIR_Coverage, 13097,
     /* 425359 */     GIR_EraseRootFromParent_Done,
     /* 425360 */   // Label 6269: @425360
     /* 425360 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(425495), // Rule ID 13098 //
     /* 425365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 425368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 425412 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425412 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425417 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425422 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425426 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425428 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425435 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425442 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425449 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 425452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 425459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 425464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 425469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 425474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425493 */     GIR_RootConstrainSelectedInstOperands,
     /* 425494 */     // GIR_Coverage, 13098,
     /* 425494 */     GIR_EraseRootFromParent_Done,
     /* 425495 */   // Label 6270: @425495
     /* 425495 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(425630), // Rule ID 7825 //
     /* 425500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 425503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425535 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 425547 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425547 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425552 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425570 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425584 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 425587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 425594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 425599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 425604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 425609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425628 */     GIR_RootConstrainSelectedInstOperands,
     /* 425629 */     // GIR_Coverage, 7825,
     /* 425629 */     GIR_EraseRootFromParent_Done,
     /* 425630 */   // Label 6271: @425630
     /* 425630 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(425765), // Rule ID 7857 //
     /* 425635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 425638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 425642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425670 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 425682 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425687 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425687 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425692 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425705 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425712 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425719 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 425722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 425729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 425734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 425739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 425744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425763 */     GIR_RootConstrainSelectedInstOperands,
     /* 425764 */     // GIR_Coverage, 7857,
     /* 425764 */     GIR_EraseRootFromParent_Done,
     /* 425765 */   // Label 6272: @425765
     /* 425765 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(425900), // Rule ID 7889 //
     /* 425770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 425773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425805 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 425817 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425822 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425840 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425847 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425854 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 425857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 425864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 425869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 425874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 425879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 425884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 425889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 425898 */     GIR_RootConstrainSelectedInstOperands,
     /* 425899 */     // GIR_Coverage, 7889,
     /* 425899 */     GIR_EraseRootFromParent_Done,
     /* 425900 */   // Label 6273: @425900
     /* 425900 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(426035), // Rule ID 12119 //
     /* 425905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 425908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 425912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 425916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 425924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 425928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 425932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 425936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 425940 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 425944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 425948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 425952 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 425952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 425957 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 425957 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 425962 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 425966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 425968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425982 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 425989 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 425989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 425992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 425994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 425999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 426004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 426009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 426014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426033 */     GIR_RootConstrainSelectedInstOperands,
     /* 426034 */     // GIR_Coverage, 12119,
     /* 426034 */     GIR_EraseRootFromParent_Done,
     /* 426035 */   // Label 6274: @426035
     /* 426035 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(426170), // Rule ID 12122 //
     /* 426040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 426043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 426047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426087 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426092 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426097 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426101 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426103 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426117 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426124 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 426127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 426134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 426139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 426144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 426149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426168 */     GIR_RootConstrainSelectedInstOperands,
     /* 426169 */     // GIR_Coverage, 12122,
     /* 426169 */     GIR_EraseRootFromParent_Done,
     /* 426170 */   // Label 6275: @426170
     /* 426170 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(426305), // Rule ID 12123 //
     /* 426175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 426178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 426182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426214 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426218 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426222 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426222 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426227 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426259 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 426262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 426269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 426274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 426279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 426284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426303 */     GIR_RootConstrainSelectedInstOperands,
     /* 426304 */     // GIR_Coverage, 12123,
     /* 426304 */     GIR_EraseRootFromParent_Done,
     /* 426305 */   // Label 6276: @426305
     /* 426305 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(426440), // Rule ID 12599 //
     /* 426310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 426313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 426317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426357 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426362 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426367 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426380 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426387 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426394 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 426397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 426404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 426409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 426414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 426419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426438 */     GIR_RootConstrainSelectedInstOperands,
     /* 426439 */     // GIR_Coverage, 12599,
     /* 426439 */     GIR_EraseRootFromParent_Done,
     /* 426440 */   // Label 6277: @426440
     /* 426440 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(426575), // Rule ID 12602 //
     /* 426445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 426448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 426452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426492 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426497 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426502 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426522 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426529 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 426532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 426539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 426544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 426549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 426554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426573 */     GIR_RootConstrainSelectedInstOperands,
     /* 426574 */     // GIR_Coverage, 12602,
     /* 426574 */     GIR_EraseRootFromParent_Done,
     /* 426575 */   // Label 6278: @426575
     /* 426575 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(426710), // Rule ID 12603 //
     /* 426580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 426583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 426587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426627 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426632 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426641 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426650 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426657 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426664 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 426667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 426674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 426679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 426684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 426689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426708 */     GIR_RootConstrainSelectedInstOperands,
     /* 426709 */     // GIR_Coverage, 12603,
     /* 426709 */     GIR_EraseRootFromParent_Done,
     /* 426710 */   // Label 6279: @426710
     /* 426710 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(426845), // Rule ID 13079 //
     /* 426715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 426718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 426722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426750 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426758 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426762 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426762 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426767 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426772 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426776 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426792 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426799 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 426802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 426809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 426814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 426819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 426824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426843 */     GIR_RootConstrainSelectedInstOperands,
     /* 426844 */     // GIR_Coverage, 13079,
     /* 426844 */     GIR_EraseRootFromParent_Done,
     /* 426845 */   // Label 6280: @426845
     /* 426845 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(426980), // Rule ID 13082 //
     /* 426850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 426853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 426857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 426869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 426873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 426877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 426881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 426885 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 426889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 426893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 426897 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 426897 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 426902 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 426902 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 426907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 426911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 426913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426920 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426927 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 426934 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 426934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 426937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 426939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 426944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 426949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 426954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 426959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 426964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 426969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 426978 */     GIR_RootConstrainSelectedInstOperands,
     /* 426979 */     // GIR_Coverage, 13082,
     /* 426979 */     GIR_EraseRootFromParent_Done,
     /* 426980 */   // Label 6281: @426980
     /* 426980 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(427115), // Rule ID 13083 //
     /* 426985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 426988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 426992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 426996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 427012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427020 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 427028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 427032 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 427037 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427037 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 427042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427062 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427069 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 427072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 427079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 427084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 427089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 427094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 427099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 427104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427113 */     GIR_RootConstrainSelectedInstOperands,
     /* 427114 */     // GIR_Coverage, 13083,
     /* 427114 */     GIR_EraseRootFromParent_Done,
     /* 427115 */   // Label 6282: @427115
     /* 427115 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(427250), // Rule ID 12205 //
     /* 427120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 427123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 427127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427167 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427172 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427177 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427181 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427190 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427204 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 427207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 427214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 427219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 427224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 427229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427248 */     GIR_RootConstrainSelectedInstOperands,
     /* 427249 */     // GIR_Coverage, 12205,
     /* 427249 */     GIR_EraseRootFromParent_Done,
     /* 427250 */   // Label 6283: @427250
     /* 427250 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(427385), // Rule ID 12206 //
     /* 427255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 427258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 427262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427290 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427298 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427302 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427307 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427307 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427312 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427316 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427325 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427332 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427339 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 427342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 427349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 427354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 427359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 427364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427383 */     GIR_RootConstrainSelectedInstOperands,
     /* 427384 */     // GIR_Coverage, 12206,
     /* 427384 */     GIR_EraseRootFromParent_Done,
     /* 427385 */   // Label 6284: @427385
     /* 427385 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(427520), // Rule ID 12207 //
     /* 427390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 427393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 427397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427425 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427437 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427437 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427442 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427442 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427447 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427451 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427460 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427467 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427474 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 427477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 427484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 427489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 427494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 427499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427518 */     GIR_RootConstrainSelectedInstOperands,
     /* 427519 */     // GIR_Coverage, 12207,
     /* 427519 */     GIR_EraseRootFromParent_Done,
     /* 427520 */   // Label 6285: @427520
     /* 427520 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(427655), // Rule ID 12208 //
     /* 427525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 427528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 427532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427560 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427564 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427568 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427572 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427572 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427577 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427582 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427586 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427602 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427609 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 427612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 427619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 427624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 427629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 427634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427653 */     GIR_RootConstrainSelectedInstOperands,
     /* 427654 */     // GIR_Coverage, 12208,
     /* 427654 */     GIR_EraseRootFromParent_Done,
     /* 427655 */   // Label 6286: @427655
     /* 427655 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(427790), // Rule ID 12685 //
     /* 427660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 427663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 427667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427695 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427699 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427703 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427707 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427707 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427712 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427730 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427737 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427744 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 427747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 427754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 427759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 427764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 427769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427788 */     GIR_RootConstrainSelectedInstOperands,
     /* 427789 */     // GIR_Coverage, 12685,
     /* 427789 */     GIR_EraseRootFromParent_Done,
     /* 427790 */   // Label 6287: @427790
     /* 427790 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(427925), // Rule ID 12686 //
     /* 427795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 427798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 427802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427834 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427838 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427842 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427847 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427856 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427872 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 427879 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 427879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 427882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 427884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 427889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 427894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 427899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 427904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 427909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 427914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 427923 */     GIR_RootConstrainSelectedInstOperands,
     /* 427924 */     // GIR_Coverage, 12686,
     /* 427924 */     GIR_EraseRootFromParent_Done,
     /* 427925 */   // Label 6288: @427925
     /* 427925 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(428060), // Rule ID 12687 //
     /* 427930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 427933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 427937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 427941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 427945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 427949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 427953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 427957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 427961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 427965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 427969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 427973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 427977 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 427977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 427982 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 427982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 427987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 427991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 427993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428000 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428007 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428014 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 428017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 428024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 428029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 428034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 428039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428058 */     GIR_RootConstrainSelectedInstOperands,
     /* 428059 */     // GIR_Coverage, 12687,
     /* 428059 */     GIR_EraseRootFromParent_Done,
     /* 428060 */   // Label 6289: @428060
     /* 428060 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(428195), // Rule ID 12688 //
     /* 428065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 428068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 428072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428104 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428108 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 428112 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428117 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428117 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428122 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428142 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428149 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 428152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 428159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 428164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 428169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 428174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428193 */     GIR_RootConstrainSelectedInstOperands,
     /* 428194 */     // GIR_Coverage, 12688,
     /* 428194 */     GIR_EraseRootFromParent_Done,
     /* 428195 */   // Label 6290: @428195
     /* 428195 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(428330), // Rule ID 13165 //
     /* 428200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 428203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 428247 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428247 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428252 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428252 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428257 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428261 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428277 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428284 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 428287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 428294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 428299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 428304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 428309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428328 */     GIR_RootConstrainSelectedInstOperands,
     /* 428329 */     // GIR_Coverage, 13165,
     /* 428329 */     GIR_EraseRootFromParent_Done,
     /* 428330 */   // Label 6291: @428330
     /* 428330 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(428465), // Rule ID 13166 //
     /* 428335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 428338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428370 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428374 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428378 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 428382 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428382 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428387 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428387 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428396 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428405 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428412 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428419 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 428422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 428429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 428434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 428439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 428444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428463 */     GIR_RootConstrainSelectedInstOperands,
     /* 428464 */     // GIR_Coverage, 13166,
     /* 428464 */     GIR_EraseRootFromParent_Done,
     /* 428465 */   // Label 6292: @428465
     /* 428465 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(428600), // Rule ID 13167 //
     /* 428470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 428473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 428517 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428522 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428531 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428547 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428554 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 428557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 428564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 428569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 428574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 428579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428598 */     GIR_RootConstrainSelectedInstOperands,
     /* 428599 */     // GIR_Coverage, 13167,
     /* 428599 */     GIR_EraseRootFromParent_Done,
     /* 428600 */   // Label 6293: @428600
     /* 428600 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(428735), // Rule ID 13168 //
     /* 428605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 428608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428640 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428644 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428648 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 428652 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428657 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428675 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428682 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428689 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 428692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 428699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 428704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 428709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 428714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428733 */     GIR_RootConstrainSelectedInstOperands,
     /* 428734 */     // GIR_Coverage, 13168,
     /* 428734 */     GIR_EraseRootFromParent_Done,
     /* 428735 */   // Label 6294: @428735
     /* 428735 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(428870), // Rule ID 12145 //
     /* 428740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 428743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428787 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428792 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428792 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428797 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428817 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428824 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 428827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 428834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 428839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 428844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 428849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428868 */     GIR_RootConstrainSelectedInstOperands,
     /* 428869 */     // GIR_Coverage, 12145,
     /* 428869 */     GIR_EraseRootFromParent_Done,
     /* 428870 */   // Label 6295: @428870
     /* 428870 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(429005), // Rule ID 12146 //
     /* 428875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 428878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 428882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 428886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 428894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 428898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 428902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 428906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 428910 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 428914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 428918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 428922 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 428922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 428927 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 428927 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 428932 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 428936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 428938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428945 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428952 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 428959 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 428959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 428962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 428964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 428969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 428974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 428979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 428984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 428989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 428994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 428997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429003 */     GIR_RootConstrainSelectedInstOperands,
     /* 429004 */     // GIR_Coverage, 12146,
     /* 429004 */     GIR_EraseRootFromParent_Done,
     /* 429005 */   // Label 6296: @429005
     /* 429005 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(429140), // Rule ID 12147 //
     /* 429010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 429013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 429017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429045 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429057 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429057 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429062 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429067 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429071 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429087 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429094 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 429097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 429104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 429109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 429114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 429119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429138 */     GIR_RootConstrainSelectedInstOperands,
     /* 429139 */     // GIR_Coverage, 12147,
     /* 429139 */     GIR_EraseRootFromParent_Done,
     /* 429140 */   // Label 6297: @429140
     /* 429140 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(429275), // Rule ID 12148 //
     /* 429145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 429148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 429152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429192 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429192 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429197 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429202 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429229 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 429232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 429239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 429244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 429249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 429254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429273 */     GIR_RootConstrainSelectedInstOperands,
     /* 429274 */     // GIR_Coverage, 12148,
     /* 429274 */     GIR_EraseRootFromParent_Done,
     /* 429275 */   // Label 6298: @429275
     /* 429275 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(429410), // Rule ID 12625 //
     /* 429280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 429283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 429287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429327 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429332 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429332 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429337 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429364 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 429367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 429374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 429379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 429384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 429389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429408 */     GIR_RootConstrainSelectedInstOperands,
     /* 429409 */     // GIR_Coverage, 12625,
     /* 429409 */     GIR_EraseRootFromParent_Done,
     /* 429410 */   // Label 6299: @429410
     /* 429410 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(429545), // Rule ID 12626 //
     /* 429415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 429418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 429422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429462 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429467 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429492 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429499 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 429502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 429509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 429514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 429519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 429524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429543 */     GIR_RootConstrainSelectedInstOperands,
     /* 429544 */     // GIR_Coverage, 12626,
     /* 429544 */     GIR_EraseRootFromParent_Done,
     /* 429545 */   // Label 6300: @429545
     /* 429545 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(429680), // Rule ID 12627 //
     /* 429550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 429553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 429557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429597 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429602 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429602 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429607 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429620 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429627 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429634 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 429637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 429644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 429649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 429654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 429659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429678 */     GIR_RootConstrainSelectedInstOperands,
     /* 429679 */     // GIR_Coverage, 12627,
     /* 429679 */     GIR_EraseRootFromParent_Done,
     /* 429680 */   // Label 6301: @429680
     /* 429680 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(429815), // Rule ID 12628 //
     /* 429685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 429688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 429692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429724 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429728 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429732 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429732 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429737 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429737 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429742 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429746 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429755 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429762 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429769 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 429772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 429779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 429784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 429789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 429794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429813 */     GIR_RootConstrainSelectedInstOperands,
     /* 429814 */     // GIR_Coverage, 12628,
     /* 429814 */     GIR_EraseRootFromParent_Done,
     /* 429815 */   // Label 6302: @429815
     /* 429815 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(429950), // Rule ID 13105 //
     /* 429820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 429823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 429827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429859 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429863 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429867 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 429867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 429872 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 429872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 429877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 429881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 429883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429897 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 429904 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 429904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 429907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 429909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 429914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 429919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 429924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 429929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 429934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 429939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 429948 */     GIR_RootConstrainSelectedInstOperands,
     /* 429949 */     // GIR_Coverage, 13105,
     /* 429949 */     GIR_EraseRootFromParent_Done,
     /* 429950 */   // Label 6303: @429950
     /* 429950 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(430085), // Rule ID 13106 //
     /* 429955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 429958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 429962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 429966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 429970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 429974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 429978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 429982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 429986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 429990 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 429994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 429998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430002 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430007 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430016 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430032 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430039 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 430042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 430049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 430054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 430059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 430064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430083 */     GIR_RootConstrainSelectedInstOperands,
     /* 430084 */     // GIR_Coverage, 13106,
     /* 430084 */     GIR_EraseRootFromParent_Done,
     /* 430085 */   // Label 6304: @430085
     /* 430085 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(430220), // Rule ID 13107 //
     /* 430090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 430093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 430121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430137 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430142 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430167 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430174 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 430177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 430184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 430189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 430194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 430199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430218 */     GIR_RootConstrainSelectedInstOperands,
     /* 430219 */     // GIR_Coverage, 13107,
     /* 430219 */     GIR_EraseRootFromParent_Done,
     /* 430220 */   // Label 6305: @430220
     /* 430220 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(430355), // Rule ID 13108 //
     /* 430225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 430228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 430256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430260 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430264 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430268 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430272 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430277 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430277 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430286 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430295 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430302 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430309 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 430312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 430319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 430324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 430329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 430334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430353 */     GIR_RootConstrainSelectedInstOperands,
     /* 430354 */     // GIR_Coverage, 13108,
     /* 430354 */     GIR_EraseRootFromParent_Done,
     /* 430355 */   // Label 6306: @430355
     /* 430355 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(430490), // Rule ID 12190 //
     /* 430360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 430363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 430391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430395 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430399 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430403 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 430407 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430407 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430412 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430412 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430417 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430421 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430430 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430437 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430444 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 430447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 430454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 430459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 430464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 430469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430488 */     GIR_RootConstrainSelectedInstOperands,
     /* 430489 */     // GIR_Coverage, 12190,
     /* 430489 */     GIR_EraseRootFromParent_Done,
     /* 430490 */   // Label 6307: @430490
     /* 430490 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(430625), // Rule ID 12191 //
     /* 430495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 430498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 430526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 430542 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430547 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430547 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430552 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430558 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430572 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430579 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 430582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 430589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 430594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 430599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 430604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430623 */     GIR_RootConstrainSelectedInstOperands,
     /* 430624 */     // GIR_Coverage, 12191,
     /* 430624 */     GIR_EraseRootFromParent_Done,
     /* 430625 */   // Label 6308: @430625
     /* 430625 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(430760), // Rule ID 12192 //
     /* 430630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 430633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 430661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 430677 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430682 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430687 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430707 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430714 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 430717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 430724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 430729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 430734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 430739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430758 */     GIR_RootConstrainSelectedInstOperands,
     /* 430759 */     // GIR_Coverage, 12192,
     /* 430759 */     GIR_EraseRootFromParent_Done,
     /* 430760 */   // Label 6309: @430760
     /* 430760 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(430895), // Rule ID 12193 //
     /* 430765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 430768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 430772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 430796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 430812 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430817 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430822 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430828 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430849 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 430852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 430859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 430864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 430869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 430874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 430879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 430884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 430893 */     GIR_RootConstrainSelectedInstOperands,
     /* 430894 */     // GIR_Coverage, 12193,
     /* 430894 */     GIR_EraseRootFromParent_Done,
     /* 430895 */   // Label 6310: @430895
     /* 430895 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(431030), // Rule ID 12670 //
     /* 430900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 430903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 430907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 430911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 430915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 430919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 430923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 430927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 430931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 430935 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 430939 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 430943 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 430947 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 430947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 430952 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 430952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 430957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 430961 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 430963 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430970 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 430984 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 430984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 430987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 430989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 430994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 430999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 431004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 431009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431028 */     GIR_RootConstrainSelectedInstOperands,
     /* 431029 */     // GIR_Coverage, 12670,
     /* 431029 */     GIR_EraseRootFromParent_Done,
     /* 431030 */   // Label 6311: @431030
     /* 431030 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(431165), // Rule ID 12671 //
     /* 431035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 431038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 431042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431070 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431074 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431078 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431082 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431082 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431087 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431105 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431112 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431119 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 431122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 431129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 431134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 431139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 431144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431163 */     GIR_RootConstrainSelectedInstOperands,
     /* 431164 */     // GIR_Coverage, 12671,
     /* 431164 */     GIR_EraseRootFromParent_Done,
     /* 431165 */   // Label 6312: @431165
     /* 431165 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(431300), // Rule ID 12672 //
     /* 431170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 431173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 431177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431205 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431217 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431217 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431222 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431222 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431227 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431231 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431240 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431254 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 431257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 431264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 431269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 431274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 431279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431298 */     GIR_RootConstrainSelectedInstOperands,
     /* 431299 */     // GIR_Coverage, 12672,
     /* 431299 */     GIR_EraseRootFromParent_Done,
     /* 431300 */   // Label 6313: @431300
     /* 431300 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(431435), // Rule ID 12673 //
     /* 431305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 431308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 431312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431340 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431344 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431348 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431352 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431352 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431357 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431368 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431375 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431382 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431389 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 431392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 431399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 431404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 431409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 431414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431433 */     GIR_RootConstrainSelectedInstOperands,
     /* 431434 */     // GIR_Coverage, 12673,
     /* 431434 */     GIR_EraseRootFromParent_Done,
     /* 431435 */   // Label 6314: @431435
     /* 431435 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(431570), // Rule ID 13150 //
     /* 431440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 431443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 431447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431487 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431492 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431497 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431501 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431503 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431517 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431524 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 431527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 431534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 431539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 431544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 431549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431568 */     GIR_RootConstrainSelectedInstOperands,
     /* 431569 */     // GIR_Coverage, 13150,
     /* 431569 */     GIR_EraseRootFromParent_Done,
     /* 431570 */   // Label 6315: @431570
     /* 431570 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(431705), // Rule ID 13151 //
     /* 431575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 431578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 431582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431614 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431618 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431622 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431627 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431638 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431645 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431652 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431659 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 431662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 431669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 431674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 431679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 431684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431703 */     GIR_RootConstrainSelectedInstOperands,
     /* 431704 */     // GIR_Coverage, 13151,
     /* 431704 */     GIR_EraseRootFromParent_Done,
     /* 431705 */   // Label 6316: @431705
     /* 431705 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(431840), // Rule ID 13152 //
     /* 431710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 431713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 431717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431745 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431757 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431757 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431762 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431762 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431773 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431780 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431787 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431794 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 431797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 431804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 431809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 431814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 431819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431838 */     GIR_RootConstrainSelectedInstOperands,
     /* 431839 */     // GIR_Coverage, 13152,
     /* 431839 */     GIR_EraseRootFromParent_Done,
     /* 431840 */   // Label 6317: @431840
     /* 431840 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(431975), // Rule ID 13153 //
     /* 431845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 431848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 431852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 431868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 431872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 431876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 431880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 431884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 431888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 431892 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 431892 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 431897 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 431897 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 431902 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 431906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 431908 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431915 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431922 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 431929 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 431929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 431932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 431934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 431939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 431944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 431949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 431954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 431959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 431964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 431973 */     GIR_RootConstrainSelectedInstOperands,
     /* 431974 */     // GIR_Coverage, 13153,
     /* 431974 */     GIR_EraseRootFromParent_Done,
     /* 431975 */   // Label 6318: @431975
     /* 431975 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(432110), // Rule ID 12130 //
     /* 431980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 431983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 431987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 431991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 431995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 431999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432027 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432032 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432041 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432050 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432057 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432064 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 432067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 432074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 432079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 432084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 432089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432108 */     GIR_RootConstrainSelectedInstOperands,
     /* 432109 */     // GIR_Coverage, 12130,
     /* 432109 */     GIR_EraseRootFromParent_Done,
     /* 432110 */   // Label 6319: @432110
     /* 432110 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(432245), // Rule ID 12131 //
     /* 432115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 432118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 432122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432150 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432154 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432158 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432162 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432167 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432192 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432199 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 432202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 432209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 432214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 432219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 432224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432243 */     GIR_RootConstrainSelectedInstOperands,
     /* 432244 */     // GIR_Coverage, 12131,
     /* 432244 */     GIR_EraseRootFromParent_Done,
     /* 432245 */   // Label 6320: @432245
     /* 432245 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(432380), // Rule ID 12132 //
     /* 432250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 432253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 432257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432297 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432302 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432307 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432327 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432334 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 432337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 432344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 432349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 432354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 432359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432378 */     GIR_RootConstrainSelectedInstOperands,
     /* 432379 */     // GIR_Coverage, 12132,
     /* 432379 */     GIR_EraseRootFromParent_Done,
     /* 432380 */   // Label 6321: @432380
     /* 432380 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(432515), // Rule ID 12133 //
     /* 432385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 432388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 432392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432420 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432432 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432437 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432437 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432442 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432469 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 432472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 432479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 432484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 432489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 432494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432513 */     GIR_RootConstrainSelectedInstOperands,
     /* 432514 */     // GIR_Coverage, 12133,
     /* 432514 */     GIR_EraseRootFromParent_Done,
     /* 432515 */   // Label 6322: @432515
     /* 432515 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(432650), // Rule ID 12610 //
     /* 432520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 432523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 432527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432567 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432567 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432572 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432572 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432577 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432581 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432597 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432604 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 432607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 432614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 432619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 432624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 432629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432648 */     GIR_RootConstrainSelectedInstOperands,
     /* 432649 */     // GIR_Coverage, 12610,
     /* 432649 */     GIR_EraseRootFromParent_Done,
     /* 432650 */   // Label 6323: @432650
     /* 432650 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(432785), // Rule ID 12611 //
     /* 432655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 432658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 432662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432694 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432698 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432702 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432702 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432707 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432707 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432718 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432732 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432739 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 432742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 432749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 432754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 432759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 432764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432783 */     GIR_RootConstrainSelectedInstOperands,
     /* 432784 */     // GIR_Coverage, 12611,
     /* 432784 */     GIR_EraseRootFromParent_Done,
     /* 432785 */   // Label 6324: @432785
     /* 432785 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(432920), // Rule ID 12612 //
     /* 432790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 432793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 432797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432825 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432837 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432837 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432842 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432847 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432867 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432874 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 432874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 432877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 432879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 432884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 432889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 432894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 432899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 432904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 432909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 432918 */     GIR_RootConstrainSelectedInstOperands,
     /* 432919 */     // GIR_Coverage, 12612,
     /* 432919 */     GIR_EraseRootFromParent_Done,
     /* 432920 */   // Label 6325: @432920
     /* 432920 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(433055), // Rule ID 12613 //
     /* 432925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 432928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 432932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 432936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 432944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 432948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 432952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 432956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 432960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 432964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 432968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 432972 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 432972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 432977 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 432977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 432982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 432986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 432988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 432995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433002 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433009 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 433012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 433019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 433024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 433029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 433034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 433039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 433044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433053 */     GIR_RootConstrainSelectedInstOperands,
     /* 433054 */     // GIR_Coverage, 12613,
     /* 433054 */     GIR_EraseRootFromParent_Done,
     /* 433055 */   // Label 6326: @433055
     /* 433055 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(433190), // Rule ID 13090 //
     /* 433060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 433063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 433087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 433091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433107 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433112 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433121 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433123 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433137 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433144 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 433147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 433154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 433159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 433164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 433169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 433174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 433179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433188 */     GIR_RootConstrainSelectedInstOperands,
     /* 433189 */     // GIR_Coverage, 13090,
     /* 433189 */     GIR_EraseRootFromParent_Done,
     /* 433190 */   // Label 6327: @433190
     /* 433190 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(433325), // Rule ID 13091 //
     /* 433195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 433198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 433222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 433226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433234 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433238 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433242 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433242 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433247 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433247 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433252 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433272 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433279 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 433282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 433289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 433294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 433299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 433304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 433309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 433314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433323 */     GIR_RootConstrainSelectedInstOperands,
     /* 433324 */     // GIR_Coverage, 13091,
     /* 433324 */     GIR_EraseRootFromParent_Done,
     /* 433325 */   // Label 6328: @433325
     /* 433325 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(433460), // Rule ID 13092 //
     /* 433330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 433333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 433357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 433361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433377 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433377 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433382 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433382 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433387 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433391 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433393 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433400 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433407 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433414 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 433417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 433424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 433429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 433434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 433439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 433444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 433449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433458 */     GIR_RootConstrainSelectedInstOperands,
     /* 433459 */     // GIR_Coverage, 13092,
     /* 433459 */     GIR_EraseRootFromParent_Done,
     /* 433460 */   // Label 6329: @433460
     /* 433460 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(433595), // Rule ID 13093 //
     /* 433465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 433468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 433492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 433496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433512 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433512 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433517 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433526 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433528 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433535 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433549 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 433552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 433559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 433564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 433569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 433574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 433579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 433584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433593 */     GIR_RootConstrainSelectedInstOperands,
     /* 433594 */     // GIR_Coverage, 13093,
     /* 433594 */     GIR_EraseRootFromParent_Done,
     /* 433595 */   // Label 6330: @433595
     /* 433595 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(433730), // Rule ID 12201 //
     /* 433600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 433603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 433627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 433631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 433647 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433652 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433661 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433677 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433684 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 433687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 433694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 433699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 433704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 433709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 433714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 433719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433728 */     GIR_RootConstrainSelectedInstOperands,
     /* 433729 */     // GIR_Coverage, 12201,
     /* 433729 */     GIR_EraseRootFromParent_Done,
     /* 433730 */   // Label 6331: @433730
     /* 433730 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(433865), // Rule ID 12202 //
     /* 433735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 433738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 433762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 433766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433778 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 433782 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433787 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433792 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433796 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433812 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433819 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 433822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 433829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 433834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 433839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 433844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 433849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 433854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433863 */     GIR_RootConstrainSelectedInstOperands,
     /* 433864 */     // GIR_Coverage, 12202,
     /* 433864 */     GIR_EraseRootFromParent_Done,
     /* 433865 */   // Label 6332: @433865
     /* 433865 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(434000), // Rule ID 12203 //
     /* 433870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 433873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 433877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 433881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 433885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 433889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 433893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 433897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 433901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 433905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 433909 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 433913 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 433917 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 433917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 433922 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 433922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 433927 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 433931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 433933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433947 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 433954 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 433954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 433957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 433959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 433964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 433969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 433974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 433979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 433984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 433989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 433998 */     GIR_RootConstrainSelectedInstOperands,
     /* 433999 */     // GIR_Coverage, 12203,
     /* 433999 */     GIR_EraseRootFromParent_Done,
     /* 434000 */   // Label 6333: @434000
     /* 434000 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(434135), // Rule ID 12204 //
     /* 434005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 434008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 434012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434044 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434048 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434052 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434057 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434057 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434062 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434066 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434068 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434082 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434089 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 434092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 434099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 434104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 434109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 434114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434133 */     GIR_RootConstrainSelectedInstOperands,
     /* 434134 */     // GIR_Coverage, 12204,
     /* 434134 */     GIR_EraseRootFromParent_Done,
     /* 434135 */   // Label 6334: @434135
     /* 434135 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(434270), // Rule ID 12681 //
     /* 434140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 434143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 434147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434175 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434179 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434183 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434187 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434187 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434192 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434192 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434210 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434217 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434224 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 434227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 434234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 434239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 434244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 434249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434268 */     GIR_RootConstrainSelectedInstOperands,
     /* 434269 */     // GIR_Coverage, 12681,
     /* 434269 */     GIR_EraseRootFromParent_Done,
     /* 434270 */   // Label 6335: @434270
     /* 434270 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(434405), // Rule ID 12682 //
     /* 434275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 434278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 434282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434318 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434322 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434322 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434327 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434336 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434352 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434359 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 434362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 434369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 434374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 434379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 434384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434403 */     GIR_RootConstrainSelectedInstOperands,
     /* 434404 */     // GIR_Coverage, 12682,
     /* 434404 */     GIR_EraseRootFromParent_Done,
     /* 434405 */   // Label 6336: @434405
     /* 434405 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(434540), // Rule ID 12683 //
     /* 434410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 434413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 434417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434457 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434462 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434467 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434487 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434494 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 434497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 434504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 434509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 434514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 434519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434538 */     GIR_RootConstrainSelectedInstOperands,
     /* 434539 */     // GIR_Coverage, 12683,
     /* 434539 */     GIR_EraseRootFromParent_Done,
     /* 434540 */   // Label 6337: @434540
     /* 434540 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(434675), // Rule ID 12684 //
     /* 434545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 434548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 434552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434588 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434592 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434597 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434606 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434622 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434629 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 434632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 434639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 434644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 434649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 434654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434673 */     GIR_RootConstrainSelectedInstOperands,
     /* 434674 */     // GIR_Coverage, 12684,
     /* 434674 */     GIR_EraseRootFromParent_Done,
     /* 434675 */   // Label 6338: @434675
     /* 434675 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(434810), // Rule ID 13161 //
     /* 434680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 434683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 434687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434715 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434719 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434723 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434727 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434732 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434732 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434737 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434741 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434743 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434757 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434764 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 434767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 434774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 434779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 434784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 434789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434808 */     GIR_RootConstrainSelectedInstOperands,
     /* 434809 */     // GIR_Coverage, 13161,
     /* 434809 */     GIR_EraseRootFromParent_Done,
     /* 434810 */   // Label 6339: @434810
     /* 434810 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(434945), // Rule ID 13162 //
     /* 434815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 434818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 434822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434850 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434854 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434858 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434862 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 434862 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 434867 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 434872 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 434876 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 434878 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434892 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 434899 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 434899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 434902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 434904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 434909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 434914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 434919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 434924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 434929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 434934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 434943 */     GIR_RootConstrainSelectedInstOperands,
     /* 434944 */     // GIR_Coverage, 13162,
     /* 434944 */     GIR_EraseRootFromParent_Done,
     /* 434945 */   // Label 6340: @434945
     /* 434945 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(435080), // Rule ID 13163 //
     /* 434950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 434953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 434957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 434961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 434965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 434969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 434973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 434977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 434981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 434985 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 434989 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 434993 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 434997 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 434997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435002 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435007 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435011 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435027 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435034 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 435037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 435044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 435049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 435054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 435059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435078 */     GIR_RootConstrainSelectedInstOperands,
     /* 435079 */     // GIR_Coverage, 13163,
     /* 435079 */     GIR_EraseRootFromParent_Done,
     /* 435080 */   // Label 6341: @435080
     /* 435080 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(435215), // Rule ID 13164 //
     /* 435085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 435088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 435092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 435132 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435137 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435142 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435169 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 435172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 435179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 435184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 435189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 435194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435213 */     GIR_RootConstrainSelectedInstOperands,
     /* 435214 */     // GIR_Coverage, 13164,
     /* 435214 */     GIR_EraseRootFromParent_Done,
     /* 435215 */   // Label 6342: @435215
     /* 435215 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(435350), // Rule ID 12141 //
     /* 435220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 435223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 435227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435255 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435267 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435267 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435272 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435277 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435290 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435297 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435304 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 435307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 435314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 435319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 435324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 435329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435348 */     GIR_RootConstrainSelectedInstOperands,
     /* 435349 */     // GIR_Coverage, 12141,
     /* 435349 */     GIR_EraseRootFromParent_Done,
     /* 435350 */   // Label 6343: @435350
     /* 435350 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(435485), // Rule ID 12142 //
     /* 435355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 435358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 435362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435402 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435402 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435407 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435407 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435412 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435425 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435432 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435439 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 435442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 435449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 435454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 435459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 435464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435483 */     GIR_RootConstrainSelectedInstOperands,
     /* 435484 */     // GIR_Coverage, 12142,
     /* 435484 */     GIR_EraseRootFromParent_Done,
     /* 435485 */   // Label 6344: @435485
     /* 435485 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(435620), // Rule ID 12143 //
     /* 435490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 435493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 435497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435537 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435537 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435542 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435560 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435567 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435574 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 435577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 435584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 435589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 435594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 435599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435618 */     GIR_RootConstrainSelectedInstOperands,
     /* 435619 */     // GIR_Coverage, 12143,
     /* 435619 */     GIR_EraseRootFromParent_Done,
     /* 435620 */   // Label 6345: @435620
     /* 435620 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(435755), // Rule ID 12144 //
     /* 435625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 435628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 435632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435672 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435677 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435682 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435702 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435709 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 435712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 435719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 435724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 435729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 435734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435753 */     GIR_RootConstrainSelectedInstOperands,
     /* 435754 */     // GIR_Coverage, 12144,
     /* 435754 */     GIR_EraseRootFromParent_Done,
     /* 435755 */   // Label 6346: @435755
     /* 435755 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(435890), // Rule ID 12621 //
     /* 435760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 435763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 435767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435807 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435812 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435837 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435844 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 435847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 435854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 435859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 435864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 435869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 435874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 435879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 435888 */     GIR_RootConstrainSelectedInstOperands,
     /* 435889 */     // GIR_Coverage, 12621,
     /* 435889 */     GIR_EraseRootFromParent_Done,
     /* 435890 */   // Label 6347: @435890
     /* 435890 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(436025), // Rule ID 12622 //
     /* 435895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 435898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 435902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 435906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 435914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 435918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 435922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 435926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 435930 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 435934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 435938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 435942 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 435942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 435947 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 435947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 435952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 435956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 435958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435972 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 435979 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 435979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 435982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 435984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 435989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 435994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 435999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 436004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436023 */     GIR_RootConstrainSelectedInstOperands,
     /* 436024 */     // GIR_Coverage, 12622,
     /* 436024 */     GIR_EraseRootFromParent_Done,
     /* 436025 */   // Label 6348: @436025
     /* 436025 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(436160), // Rule ID 12623 //
     /* 436030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 436033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 436037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436065 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436077 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436077 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436082 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436082 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436087 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436093 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436107 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436114 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 436117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 436124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 436129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 436134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 436139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436158 */     GIR_RootConstrainSelectedInstOperands,
     /* 436159 */     // GIR_Coverage, 12623,
     /* 436159 */     GIR_EraseRootFromParent_Done,
     /* 436160 */   // Label 6349: @436160
     /* 436160 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(436295), // Rule ID 12624 //
     /* 436165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 436168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 436172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436200 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436212 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436212 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436217 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436217 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436226 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436242 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436249 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 436252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 436259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 436264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 436269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 436274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436293 */     GIR_RootConstrainSelectedInstOperands,
     /* 436294 */     // GIR_Coverage, 12624,
     /* 436294 */     GIR_EraseRootFromParent_Done,
     /* 436295 */   // Label 6350: @436295
     /* 436295 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(436430), // Rule ID 13101 //
     /* 436300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 436303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436347 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436347 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436352 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436352 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436357 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436363 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436370 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436377 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436384 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 436387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 436394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 436399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 436404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 436409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436428 */     GIR_RootConstrainSelectedInstOperands,
     /* 436429 */     // GIR_Coverage, 13101,
     /* 436429 */     GIR_EraseRootFromParent_Done,
     /* 436430 */   // Label 6351: @436430
     /* 436430 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(436565), // Rule ID 13102 //
     /* 436435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 436438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436482 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436482 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436487 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436492 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436496 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436512 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436519 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 436522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 436529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 436534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 436539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 436544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436563 */     GIR_RootConstrainSelectedInstOperands,
     /* 436564 */     // GIR_Coverage, 13102,
     /* 436564 */     GIR_EraseRootFromParent_Done,
     /* 436565 */   // Label 6352: @436565
     /* 436565 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(436700), // Rule ID 13103 //
     /* 436570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 436573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436605 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436617 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436622 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436627 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436647 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436654 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 436657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 436664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 436669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 436674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 436679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436698 */     GIR_RootConstrainSelectedInstOperands,
     /* 436699 */     // GIR_Coverage, 13103,
     /* 436699 */     GIR_EraseRootFromParent_Done,
     /* 436700 */   // Label 6353: @436700
     /* 436700 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(436835), // Rule ID 13104 //
     /* 436705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 436708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 436736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436752 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436752 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436757 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436757 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436762 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436766 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436782 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436789 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 436792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 436799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 436804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 436809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 436814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436833 */     GIR_RootConstrainSelectedInstOperands,
     /* 436834 */     // GIR_Coverage, 13104,
     /* 436834 */     GIR_EraseRootFromParent_Done,
     /* 436835 */   // Label 6354: @436835
     /* 436835 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(436970), // Rule ID 12186 //
     /* 436840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 436843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 436867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 436871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 436875 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 436879 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 436883 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 436887 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 436887 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 436892 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 436892 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 436897 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 436901 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 436903 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436917 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 436924 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 436924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 436927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 436929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 436934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 436939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 436944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 436949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 436954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 436959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 436968 */     GIR_RootConstrainSelectedInstOperands,
     /* 436969 */     // GIR_Coverage, 12186,
     /* 436969 */     GIR_EraseRootFromParent_Done,
     /* 436970 */   // Label 6355: @436970
     /* 436970 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(437105), // Rule ID 12187 //
     /* 436975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 436978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 436982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 436986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 436990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 436994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 436998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437010 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437014 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437018 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437022 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437022 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437027 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437036 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437038 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437045 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437052 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437059 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 437062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 437069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 437074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 437079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 437084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437103 */     GIR_RootConstrainSelectedInstOperands,
     /* 437104 */     // GIR_Coverage, 12187,
     /* 437104 */     GIR_EraseRootFromParent_Done,
     /* 437105 */   // Label 6356: @437105
     /* 437105 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(437240), // Rule ID 12188 //
     /* 437110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 437113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 437117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437149 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437153 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437157 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437157 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437162 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437167 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437187 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437194 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 437197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 437204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 437209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 437214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 437219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437238 */     GIR_RootConstrainSelectedInstOperands,
     /* 437239 */     // GIR_Coverage, 12188,
     /* 437239 */     GIR_EraseRootFromParent_Done,
     /* 437240 */   // Label 6357: @437240
     /* 437240 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(437375), // Rule ID 12189 //
     /* 437245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 437248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 437252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437292 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437297 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437302 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437306 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437308 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437315 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437322 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437329 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 437332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 437339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 437344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 437349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 437354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437373 */     GIR_RootConstrainSelectedInstOperands,
     /* 437374 */     // GIR_Coverage, 12189,
     /* 437374 */     GIR_EraseRootFromParent_Done,
     /* 437375 */   // Label 6358: @437375
     /* 437375 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(437510), // Rule ID 12666 //
     /* 437380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 437383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 437387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437427 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437432 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437437 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437457 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437464 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 437467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 437474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 437479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 437484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 437489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437508 */     GIR_RootConstrainSelectedInstOperands,
     /* 437509 */     // GIR_Coverage, 12666,
     /* 437509 */     GIR_EraseRootFromParent_Done,
     /* 437510 */   // Label 6359: @437510
     /* 437510 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(437645), // Rule ID 12667 //
     /* 437515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 437518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 437522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437562 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437567 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437567 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437576 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437592 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437599 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 437602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 437609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 437614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 437619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 437624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437643 */     GIR_RootConstrainSelectedInstOperands,
     /* 437644 */     // GIR_Coverage, 12667,
     /* 437644 */     GIR_EraseRootFromParent_Done,
     /* 437645 */   // Label 6360: @437645
     /* 437645 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(437780), // Rule ID 12668 //
     /* 437650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 437653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 437657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437693 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437697 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437697 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437702 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437702 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437707 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437711 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437727 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437734 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 437737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 437744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 437749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 437754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 437759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437778 */     GIR_RootConstrainSelectedInstOperands,
     /* 437779 */     // GIR_Coverage, 12668,
     /* 437779 */     GIR_EraseRootFromParent_Done,
     /* 437780 */   // Label 6361: @437780
     /* 437780 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(437915), // Rule ID 12669 //
     /* 437785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 437788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 437792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437832 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437832 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437837 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437837 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437846 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437855 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437862 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437869 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 437869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 437872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 437874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 437879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 437884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 437889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 437894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 437899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 437904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 437913 */     GIR_RootConstrainSelectedInstOperands,
     /* 437914 */     // GIR_Coverage, 12669,
     /* 437914 */     GIR_EraseRootFromParent_Done,
     /* 437915 */   // Label 6362: @437915
     /* 437915 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(438050), // Rule ID 13146 //
     /* 437920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 437923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 437927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 437931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 437935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 437939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 437943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 437947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 437951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 437955 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 437959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 437963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 437967 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 437967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 437972 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 437972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 437977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 437981 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 437983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 437997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438004 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 438007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 438014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 438019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 438024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 438029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438048 */     GIR_RootConstrainSelectedInstOperands,
     /* 438049 */     // GIR_Coverage, 13146,
     /* 438049 */     GIR_EraseRootFromParent_Done,
     /* 438050 */   // Label 6363: @438050
     /* 438050 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(438185), // Rule ID 13147 //
     /* 438055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 438058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438090 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438094 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438098 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 438102 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438107 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438112 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438116 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438118 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438132 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438139 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 438142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 438149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 438154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 438159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 438164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438183 */     GIR_RootConstrainSelectedInstOperands,
     /* 438184 */     // GIR_Coverage, 13147,
     /* 438184 */     GIR_EraseRootFromParent_Done,
     /* 438185 */   // Label 6364: @438185
     /* 438185 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(438320), // Rule ID 13148 //
     /* 438190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 438193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438225 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438233 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 438237 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438242 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438242 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438247 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438260 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438267 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438274 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 438277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 438284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 438289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 438294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 438299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438318 */     GIR_RootConstrainSelectedInstOperands,
     /* 438319 */     // GIR_Coverage, 13148,
     /* 438319 */     GIR_EraseRootFromParent_Done,
     /* 438320 */   // Label 6365: @438320
     /* 438320 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(438455), // Rule ID 13149 //
     /* 438325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 438328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438360 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 438372 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438377 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438377 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438382 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438402 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438409 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 438412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 438419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 438424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 438429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 438434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438453 */     GIR_RootConstrainSelectedInstOperands,
     /* 438454 */     // GIR_Coverage, 13149,
     /* 438454 */     GIR_EraseRootFromParent_Done,
     /* 438455 */   // Label 6366: @438455
     /* 438455 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(438590), // Rule ID 12126 //
     /* 438460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 438463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438495 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438507 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438507 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438512 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438512 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438517 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438521 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438523 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438530 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438544 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 438547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 438554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 438559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 438564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 438569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438588 */     GIR_RootConstrainSelectedInstOperands,
     /* 438589 */     // GIR_Coverage, 12126,
     /* 438589 */     GIR_EraseRootFromParent_Done,
     /* 438590 */   // Label 6367: @438590
     /* 438590 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(438725), // Rule ID 12127 //
     /* 438595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 438598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438630 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438634 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438638 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438642 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438647 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438652 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438679 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 438682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 438689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 438694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 438699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 438704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438723 */     GIR_RootConstrainSelectedInstOperands,
     /* 438724 */     // GIR_Coverage, 12127,
     /* 438724 */     GIR_EraseRootFromParent_Done,
     /* 438725 */   // Label 6368: @438725
     /* 438725 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(438860), // Rule ID 12128 //
     /* 438730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 438733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438777 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438782 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438787 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438807 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438814 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 438817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 438824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 438829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 438834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 438839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438858 */     GIR_RootConstrainSelectedInstOperands,
     /* 438859 */     // GIR_Coverage, 12128,
     /* 438859 */     GIR_EraseRootFromParent_Done,
     /* 438860 */   // Label 6369: @438860
     /* 438860 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(438995), // Rule ID 12129 //
     /* 438865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 438868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 438872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 438876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 438884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 438888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 438892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 438896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 438900 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 438904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 438908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 438912 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 438912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 438917 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 438917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 438922 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 438926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 438928 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438942 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 438949 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 438949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 438952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 438954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 438959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 438964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 438969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 438974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 438979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 438984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 438993 */     GIR_RootConstrainSelectedInstOperands,
     /* 438994 */     // GIR_Coverage, 12129,
     /* 438994 */     GIR_EraseRootFromParent_Done,
     /* 438995 */   // Label 6370: @438995
     /* 438995 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(439130), // Rule ID 12606 //
     /* 439000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 439003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 439007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439035 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439047 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439052 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439057 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439070 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439077 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439084 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 439087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 439094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 439099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 439104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 439109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439128 */     GIR_RootConstrainSelectedInstOperands,
     /* 439129 */     // GIR_Coverage, 12606,
     /* 439129 */     GIR_EraseRootFromParent_Done,
     /* 439130 */   // Label 6371: @439130
     /* 439130 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(439265), // Rule ID 12607 //
     /* 439135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 439138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 439142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439170 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439182 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439182 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439187 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439187 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439192 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439198 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439205 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439212 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439219 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 439222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 439229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 439234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 439239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 439244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439263 */     GIR_RootConstrainSelectedInstOperands,
     /* 439264 */     // GIR_Coverage, 12607,
     /* 439264 */     GIR_EraseRootFromParent_Done,
     /* 439265 */   // Label 6372: @439265
     /* 439265 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(439400), // Rule ID 12608 //
     /* 439270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 439273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 439277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439309 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439313 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439317 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439317 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439322 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439322 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439340 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439347 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439354 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 439357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 439364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 439369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 439374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 439379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439398 */     GIR_RootConstrainSelectedInstOperands,
     /* 439399 */     // GIR_Coverage, 12608,
     /* 439399 */     GIR_EraseRootFromParent_Done,
     /* 439400 */   // Label 6373: @439400
     /* 439400 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(439535), // Rule ID 12609 //
     /* 439405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 439408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 439412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439452 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439457 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439489 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 439492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 439499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 439504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 439509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 439514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439533 */     GIR_RootConstrainSelectedInstOperands,
     /* 439534 */     // GIR_Coverage, 12609,
     /* 439534 */     GIR_EraseRootFromParent_Done,
     /* 439535 */   // Label 6374: @439535
     /* 439535 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(439670), // Rule ID 13086 //
     /* 439540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 439543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 439547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439587 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439592 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439624 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 439627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 439634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 439639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 439644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 439649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439668 */     GIR_RootConstrainSelectedInstOperands,
     /* 439669 */     // GIR_Coverage, 13086,
     /* 439669 */     GIR_EraseRootFromParent_Done,
     /* 439670 */   // Label 6375: @439670
     /* 439670 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(439805), // Rule ID 13087 //
     /* 439675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 439678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 439682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439722 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439727 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439752 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439759 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 439762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 439769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 439774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 439779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 439784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439803 */     GIR_RootConstrainSelectedInstOperands,
     /* 439804 */     // GIR_Coverage, 13087,
     /* 439804 */     GIR_EraseRootFromParent_Done,
     /* 439805 */   // Label 6376: @439805
     /* 439805 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(439940), // Rule ID 13088 //
     /* 439810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 439813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 439817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439845 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439857 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 439862 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439862 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439867 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 439871 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 439873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439887 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 439894 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 439894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 439897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 439899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 439904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 439909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 439914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 439919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 439924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 439929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 439938 */     GIR_RootConstrainSelectedInstOperands,
     /* 439939 */     // GIR_Coverage, 13088,
     /* 439939 */     GIR_EraseRootFromParent_Done,
     /* 439940 */   // Label 6377: @439940
     /* 439940 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(440075), // Rule ID 13089 //
     /* 439945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 439948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 439952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 439956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 439964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 439968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 439972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 439976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 439980 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 439984 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 439988 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 439992 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 439992 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 439997 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 439997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 440002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 440006 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 440008 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440022 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440029 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 440032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 440039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 440044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 440049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 440054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 440059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 440064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440073 */     GIR_RootConstrainSelectedInstOperands,
     /* 440074 */     // GIR_Coverage, 13089,
     /* 440074 */     GIR_EraseRootFromParent_Done,
     /* 440075 */   // Label 6378: @440075
     /* 440075 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(440190), // Rule ID 13470 //
     /* 440080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 440083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 440087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 440091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 440107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440111 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440115 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440117 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440137 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440144 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 440147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 440154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 440159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 440164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 440169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 440174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 440179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440188 */     GIR_RootConstrainSelectedInstOperands,
     /* 440189 */     // GIR_Coverage, 13470,
     /* 440189 */     GIR_EraseRootFromParent_Done,
     /* 440190 */   // Label 6379: @440190
     /* 440190 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(440305), // Rule ID 13486 //
     /* 440195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 440198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 440202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 440206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 440222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440226 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440230 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440232 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440245 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440259 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 440262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 440269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 440274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 440279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 440284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 440289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 440294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440303 */     GIR_RootConstrainSelectedInstOperands,
     /* 440304 */     // GIR_Coverage, 13486,
     /* 440304 */     GIR_EraseRootFromParent_Done,
     /* 440305 */   // Label 6380: @440305
     /* 440305 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(440420), // Rule ID 13469 //
     /* 440310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 440313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 440317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 440321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 440337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440345 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440347 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440360 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440367 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440374 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 440377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 440384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 440389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 440394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 440399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 440404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 440409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440418 */     GIR_RootConstrainSelectedInstOperands,
     /* 440419 */     // GIR_Coverage, 13469,
     /* 440419 */     GIR_EraseRootFromParent_Done,
     /* 440420 */   // Label 6381: @440420
     /* 440420 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(440535), // Rule ID 13485 //
     /* 440425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 440428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 440432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 440436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 440452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440460 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440462 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440489 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 440492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 440499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 440504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 440509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 440514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 440519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 440524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440533 */     GIR_RootConstrainSelectedInstOperands,
     /* 440534 */     // GIR_Coverage, 13485,
     /* 440534 */     GIR_EraseRootFromParent_Done,
     /* 440535 */   // Label 6382: @440535
     /* 440535 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(440650), // Rule ID 7944 //
     /* 440540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 440543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 440547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 440551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 440567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440575 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440577 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440597 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440604 */     // (fmaxnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 440607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 440614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 440619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 440624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 440629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 440634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 440639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440648 */     GIR_RootConstrainSelectedInstOperands,
     /* 440649 */     // GIR_Coverage, 7944,
     /* 440649 */     GIR_EraseRootFromParent_Done,
     /* 440650 */   // Label 6383: @440650
     /* 440650 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(440765), // Rule ID 7960 //
     /* 440655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 440658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 440662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 440666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 440682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440686 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440690 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440692 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440705 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440712 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440719 */     // (fmaxnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 440722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 440729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 440734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 440739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 440744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 440749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 440754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440763 */     GIR_RootConstrainSelectedInstOperands,
     /* 440764 */     // GIR_Coverage, 7960,
     /* 440764 */     GIR_EraseRootFromParent_Done,
     /* 440765 */   // Label 6384: @440765
     /* 440765 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(440880), // Rule ID 7943 //
     /* 440770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 440773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 440777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 440781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 440797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440801 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440805 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440807 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440820 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440827 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440834 */     // (fmaxnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 440837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 440844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 440849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 440854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 440859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 440864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 440869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440878 */     GIR_RootConstrainSelectedInstOperands,
     /* 440879 */     // GIR_Coverage, 7943,
     /* 440879 */     GIR_EraseRootFromParent_Done,
     /* 440880 */   // Label 6385: @440880
     /* 440880 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(440995), // Rule ID 7959 //
     /* 440885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 440888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 440892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 440896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 440900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 440904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 440908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 440912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 440916 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 440920 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 440922 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 440926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 440928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440942 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 440949 */     // (fmaxnum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 440949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 440952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 440954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 440959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 440964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 440969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 440974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 440979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 440984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 440993 */     GIR_RootConstrainSelectedInstOperands,
     /* 440994 */     // GIR_Coverage, 7959,
     /* 440994 */     GIR_EraseRootFromParent_Done,
     /* 440995 */   // Label 6386: @440995
     /* 440995 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(441094), // Rule ID 13462 //
     /* 441000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 441003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 441007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 441011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 441015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441023 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441048 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 441051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 441058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 441063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 441068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 441073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 441078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 441083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441092 */     GIR_RootConstrainSelectedInstOperands,
     /* 441093 */     // GIR_Coverage, 13462,
     /* 441093 */     GIR_EraseRootFromParent_Done,
     /* 441094 */   // Label 6387: @441094
     /* 441094 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(441193), // Rule ID 13478 //
     /* 441099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 441102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 441110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 441114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441122 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441147 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 441150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 441157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 441162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 441167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 441172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 441177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 441182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441191 */     GIR_RootConstrainSelectedInstOperands,
     /* 441192 */     // GIR_Coverage, 13478,
     /* 441192 */     GIR_EraseRootFromParent_Done,
     /* 441193 */   // Label 6388: @441193
     /* 441193 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(441292), // Rule ID 13461 //
     /* 441198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 441201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 441205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 441209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 441213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441221 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441232 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441239 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441246 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 441249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 441256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 441261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 441266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 441271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 441276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 441281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441290 */     GIR_RootConstrainSelectedInstOperands,
     /* 441291 */     // GIR_Coverage, 13461,
     /* 441291 */     GIR_EraseRootFromParent_Done,
     /* 441292 */   // Label 6389: @441292
     /* 441292 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(441391), // Rule ID 13477 //
     /* 441297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 441300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 441308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 441312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441320 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441345 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 441348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 441355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 441360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 441365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 441370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 441375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 441380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441389 */     GIR_RootConstrainSelectedInstOperands,
     /* 441390 */     // GIR_Coverage, 13477,
     /* 441390 */     GIR_EraseRootFromParent_Done,
     /* 441391 */   // Label 6390: @441391
     /* 441391 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(441490), // Rule ID 7936 //
     /* 441396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 441399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 441403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 441407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 441411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441419 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441430 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441444 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 441447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 441454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 441464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 441474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 441479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441488 */     GIR_RootConstrainSelectedInstOperands,
     /* 441489 */     // GIR_Coverage, 7936,
     /* 441489 */     GIR_EraseRootFromParent_Done,
     /* 441490 */   // Label 6391: @441490
     /* 441490 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(441589), // Rule ID 7952 //
     /* 441495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 441498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 441506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 441510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441518 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441529 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441543 */     // (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 441546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 441553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 441563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 441573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 441578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441587 */     GIR_RootConstrainSelectedInstOperands,
     /* 441588 */     // GIR_Coverage, 7952,
     /* 441588 */     GIR_EraseRootFromParent_Done,
     /* 441589 */   // Label 6392: @441589
     /* 441589 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(441688), // Rule ID 7935 //
     /* 441594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 441597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 441601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 441605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 441609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441617 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441642 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 441645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 441652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 441662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 441672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 441677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441686 */     GIR_RootConstrainSelectedInstOperands,
     /* 441687 */     // GIR_Coverage, 7935,
     /* 441687 */     GIR_EraseRootFromParent_Done,
     /* 441688 */   // Label 6393: @441688
     /* 441688 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(441787), // Rule ID 7951 //
     /* 441693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 441696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 441704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 441708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 441712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 441716 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 441718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 441720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441741 */     // (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 441741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 441744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 441751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 441761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 441771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 441776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 441785 */     GIR_RootConstrainSelectedInstOperands,
     /* 441786 */     // GIR_Coverage, 7951,
     /* 441786 */     GIR_EraseRootFromParent_Done,
     /* 441787 */   // Label 6394: @441787
     /* 441787 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(441822), // Rule ID 103 //
     /* 441792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 441795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 441799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 441803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 441807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13778),
     /* 441811 */     // (fmaxnum:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13778>>  =>  (S_MAX_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 441811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_F16),
     /* 441816 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 441820 */     GIR_RootConstrainSelectedInstOperands,
     /* 441821 */     // GIR_Coverage, 103,
     /* 441821 */     GIR_Done,
     /* 441822 */   // Label 6395: @441822
     /* 441822 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(441885), // Rule ID 882 //
     /* 441827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 441830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 441841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441848 */     // (fmaxnum:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 441848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 441851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 441858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 441868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 441878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 441883 */     GIR_RootConstrainSelectedInstOperands,
     /* 441884 */     // GIR_Coverage, 882,
     /* 441884 */     GIR_EraseRootFromParent_Done,
     /* 441885 */   // Label 6396: @441885
     /* 441885 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(441948), // Rule ID 886 //
     /* 441890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 441893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 441904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441911 */     // (fmaxnum:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 441911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 441914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 441921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 441926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 441931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 441936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 441941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 441946 */     GIR_RootConstrainSelectedInstOperands,
     /* 441947 */     // GIR_Coverage, 886,
     /* 441947 */     GIR_EraseRootFromParent_Done,
     /* 441948 */   // Label 6397: @441948
     /* 441948 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(442011), // Rule ID 8637 //
     /* 441953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 441956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 441960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 441967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 441974 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 441974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 441977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 441979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 441984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 441989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 441994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 441999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 442004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 442009 */     GIR_RootConstrainSelectedInstOperands,
     /* 442010 */     // GIR_Coverage, 8637,
     /* 442010 */     GIR_EraseRootFromParent_Done,
     /* 442011 */   // Label 6398: @442011
     /* 442011 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(442074), // Rule ID 8639 //
     /* 442016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 442019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 442037 */     // (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 442037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 442040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 442047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 442052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 442057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 442062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 442067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 442072 */     GIR_RootConstrainSelectedInstOperands,
     /* 442073 */     // GIR_Coverage, 8639,
     /* 442073 */     GIR_EraseRootFromParent_Done,
     /* 442074 */   // Label 6399: @442074
     /* 442074 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(442136), // Rule ID 884 //
     /* 442079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 442082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 442086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 442093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 442100 */     // (fmaxnum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 442100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 442103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 442110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 442115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 442120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 442125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442134 */     GIR_RootConstrainSelectedInstOperands,
     /* 442135 */     // GIR_Coverage, 884,
     /* 442135 */     GIR_EraseRootFromParent_Done,
     /* 442136 */   // Label 6400: @442136
     /* 442136 */   GIM_Reject,
     /* 442137 */ // Label 5994: @442137
     /* 442137 */ GIM_Reject,
     /* 442138 */ // Label 5990: @442138
     /* 442138 */ GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(459649),
     /* 442143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 442146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 442149 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(442278), // Rule ID 11715 //
     /* 442154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442190 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442194 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 442198 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442203 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442212 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442235 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 442245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 442250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 442255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 442260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442276 */     GIR_RootConstrainSelectedInstOperands,
     /* 442277 */     // GIR_Coverage, 11715,
     /* 442277 */     GIR_EraseRootFromParent_Done,
     /* 442278 */   // Label 6402: @442278
     /* 442278 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(442407), // Rule ID 11716 //
     /* 442283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 442327 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442327 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442332 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442332 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442337 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442350 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442364 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 442374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 442379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 442384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 442389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442405 */     GIR_RootConstrainSelectedInstOperands,
     /* 442406 */     // GIR_Coverage, 11716,
     /* 442406 */     GIR_EraseRootFromParent_Done,
     /* 442407 */   // Label 6403: @442407
     /* 442407 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(442536), // Rule ID 11719 //
     /* 442412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 442456 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442461 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442493 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 442503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 442508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 442513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 442518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442534 */     GIR_RootConstrainSelectedInstOperands,
     /* 442535 */     // GIR_Coverage, 11719,
     /* 442535 */     GIR_EraseRootFromParent_Done,
     /* 442536 */   // Label 6404: @442536
     /* 442536 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(442665), // Rule ID 11720 //
     /* 442541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 442585 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442590 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442595 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442622 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 442632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 442637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 442642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 442647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442663 */     GIR_RootConstrainSelectedInstOperands,
     /* 442664 */     // GIR_Coverage, 11720,
     /* 442664 */     GIR_EraseRootFromParent_Done,
     /* 442665 */   // Label 6405: @442665
     /* 442665 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(442794), // Rule ID 11700 //
     /* 442670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 442714 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442714 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442719 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442719 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442724 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442728 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442744 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442751 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 442761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 442766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 442771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 442776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442792 */     GIR_RootConstrainSelectedInstOperands,
     /* 442793 */     // GIR_Coverage, 11700,
     /* 442793 */     GIR_EraseRootFromParent_Done,
     /* 442794 */   // Label 6406: @442794
     /* 442794 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(442923), // Rule ID 11701 //
     /* 442799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 442843 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442848 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442857 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442873 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442880 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 442880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 442883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 442885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 442890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 442895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 442900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 442905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 442910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 442915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 442921 */     GIR_RootConstrainSelectedInstOperands,
     /* 442922 */     // GIR_Coverage, 11701,
     /* 442922 */     GIR_EraseRootFromParent_Done,
     /* 442923 */   // Label 6407: @442923
     /* 442923 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(443052), // Rule ID 11704 //
     /* 442928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 442932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 442936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 442944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 442948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 442952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 442956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 442960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 442964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 442968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 442972 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 442972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 442977 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 442977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 442982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 442986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 442988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 442995 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443002 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443009 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 443019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 443024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 443029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 443034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443050 */     GIR_RootConstrainSelectedInstOperands,
     /* 443051 */     // GIR_Coverage, 11704,
     /* 443051 */     GIR_EraseRootFromParent_Done,
     /* 443052 */   // Label 6408: @443052
     /* 443052 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(443181), // Rule ID 11705 //
     /* 443057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 443097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 443101 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443106 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443115 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443124 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443131 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443138 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 443148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 443153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 443158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 443163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443179 */     GIR_RootConstrainSelectedInstOperands,
     /* 443180 */     // GIR_Coverage, 11705,
     /* 443180 */     GIR_EraseRootFromParent_Done,
     /* 443181 */   // Label 6409: @443181
     /* 443181 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(443310), // Rule ID 7798 //
     /* 443186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443218 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 443230 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443230 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443235 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443240 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443246 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443260 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443267 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 443277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 443282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 443287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 443292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443308 */     GIR_RootConstrainSelectedInstOperands,
     /* 443309 */     // GIR_Coverage, 7798,
     /* 443309 */     GIR_EraseRootFromParent_Done,
     /* 443310 */   // Label 6410: @443310
     /* 443310 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(443439), // Rule ID 11714 //
     /* 443315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443351 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443355 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 443359 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443359 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443364 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443364 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443369 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443373 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443375 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443389 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443396 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 443406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 443411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 443416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 443421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443437 */     GIR_RootConstrainSelectedInstOperands,
     /* 443438 */     // GIR_Coverage, 11714,
     /* 443438 */     GIR_EraseRootFromParent_Done,
     /* 443439 */   // Label 6411: @443439
     /* 443439 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(443568), // Rule ID 11717 //
     /* 443444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 443488 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443488 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443493 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443498 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443518 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443525 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 443535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 443540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 443545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 443550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443566 */     GIR_RootConstrainSelectedInstOperands,
     /* 443567 */     // GIR_Coverage, 11717,
     /* 443567 */     GIR_EraseRootFromParent_Done,
     /* 443568 */   // Label 6412: @443568
     /* 443568 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(443697), // Rule ID 11718 //
     /* 443573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443605 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 443617 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443622 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443627 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443647 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443654 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 443664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 443669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 443674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 443679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443695 */     GIR_RootConstrainSelectedInstOperands,
     /* 443696 */     // GIR_Coverage, 11718,
     /* 443696 */     GIR_EraseRootFromParent_Done,
     /* 443697 */   // Label 6413: @443697
     /* 443697 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(443826), // Rule ID 7797 //
     /* 443702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443734 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443738 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443742 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 443746 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443751 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443760 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443783 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 443793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 443798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 443803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 443808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443824 */     GIR_RootConstrainSelectedInstOperands,
     /* 443825 */     // GIR_Coverage, 7797,
     /* 443825 */     GIR_EraseRootFromParent_Done,
     /* 443826 */   // Label 6414: @443826
     /* 443826 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(443955), // Rule ID 11699 //
     /* 443831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 443871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 443875 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 443875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 443880 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 443880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 443885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 443889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 443891 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443898 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443905 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 443912 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 443912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 443915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 443917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 443922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 443927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 443932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 443937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 443942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 443947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 443953 */     GIR_RootConstrainSelectedInstOperands,
     /* 443954 */     // GIR_Coverage, 11699,
     /* 443954 */     GIR_EraseRootFromParent_Done,
     /* 443955 */   // Label 6415: @443955
     /* 443955 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(444084), // Rule ID 11702 //
     /* 443960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 443964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 443968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 443976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 443980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 443984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 443988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 443992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 443996 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 444000 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 444004 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444004 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444009 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444009 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444014 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444018 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444034 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444041 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 444051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 444056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 444061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 444066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444082 */     GIR_RootConstrainSelectedInstOperands,
     /* 444083 */     // GIR_Coverage, 11702,
     /* 444083 */     GIR_EraseRootFromParent_Done,
     /* 444084 */   // Label 6416: @444084
     /* 444084 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(444213), // Rule ID 11703 //
     /* 444089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 444129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 444133 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444138 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444143 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444149 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444156 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444170 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 444180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 444185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 444190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 444195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444211 */     GIR_RootConstrainSelectedInstOperands,
     /* 444212 */     // GIR_Coverage, 11703,
     /* 444212 */     GIR_EraseRootFromParent_Done,
     /* 444213 */   // Label 6417: @444213
     /* 444213 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(444342), // Rule ID 11685 //
     /* 444218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 444262 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444267 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444267 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444292 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444299 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 444309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 444314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 444319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 444324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444340 */     GIR_RootConstrainSelectedInstOperands,
     /* 444341 */     // GIR_Coverage, 11685,
     /* 444341 */     GIR_EraseRootFromParent_Done,
     /* 444342 */   // Label 6418: @444342
     /* 444342 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(444471), // Rule ID 11686 //
     /* 444347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444379 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444387 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 444391 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444396 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444405 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444421 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444428 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 444438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 444443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 444448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 444453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444469 */     GIR_RootConstrainSelectedInstOperands,
     /* 444470 */     // GIR_Coverage, 11686,
     /* 444470 */     GIR_EraseRootFromParent_Done,
     /* 444471 */   // Label 6419: @444471
     /* 444471 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(444600), // Rule ID 11689 //
     /* 444476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444508 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 444520 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444525 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444550 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444557 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 444567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 444572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 444577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 444582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444598 */     GIR_RootConstrainSelectedInstOperands,
     /* 444599 */     // GIR_Coverage, 11689,
     /* 444599 */     GIR_EraseRootFromParent_Done,
     /* 444600 */   // Label 6420: @444600
     /* 444600 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(444729), // Rule ID 11690 //
     /* 444605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444637 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444641 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444645 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 444649 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444649 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444654 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444654 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444663 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444672 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444679 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444686 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 444696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 444701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 444706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 444711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444727 */     GIR_RootConstrainSelectedInstOperands,
     /* 444728 */     // GIR_Coverage, 11690,
     /* 444728 */     GIR_EraseRootFromParent_Done,
     /* 444729 */   // Label 6421: @444729
     /* 444729 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(444858), // Rule ID 11670 //
     /* 444734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444766 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 444778 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444783 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444788 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444808 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444815 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 444825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 444830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 444835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 444840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444856 */     GIR_RootConstrainSelectedInstOperands,
     /* 444857 */     // GIR_Coverage, 11670,
     /* 444857 */     GIR_EraseRootFromParent_Done,
     /* 444858 */   // Label 6422: @444858
     /* 444858 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(444987), // Rule ID 11671 //
     /* 444863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 444871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 444875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 444879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 444883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 444887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 444891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 444895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 444899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 444903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 444907 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 444907 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 444912 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 444912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 444917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 444921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 444923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444930 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444937 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 444944 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 444944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 444947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 444949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 444954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 444959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 444964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 444969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 444974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 444979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 444985 */     GIR_RootConstrainSelectedInstOperands,
     /* 444986 */     // GIR_Coverage, 11671,
     /* 444986 */     GIR_EraseRootFromParent_Done,
     /* 444987 */   // Label 6423: @444987
     /* 444987 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(445116), // Rule ID 11674 //
     /* 444992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 444996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 445032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 445036 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445041 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445041 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445073 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 445083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 445088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 445093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 445098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445114 */     GIR_RootConstrainSelectedInstOperands,
     /* 445115 */     // GIR_Coverage, 11674,
     /* 445115 */     GIR_EraseRootFromParent_Done,
     /* 445116 */   // Label 6424: @445116
     /* 445116 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(445245), // Rule ID 11675 //
     /* 445121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 445161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 445165 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445170 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445195 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445202 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 445212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 445217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 445222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 445227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445243 */     GIR_RootConstrainSelectedInstOperands,
     /* 445244 */     // GIR_Coverage, 11675,
     /* 445244 */     GIR_EraseRootFromParent_Done,
     /* 445245 */   // Label 6425: @445245
     /* 445245 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(445374), // Rule ID 7796 //
     /* 445250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445282 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445286 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445290 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 445294 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445294 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445299 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445299 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445304 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445317 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445324 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445331 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 445341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 445346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 445351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 445356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445372 */     GIR_RootConstrainSelectedInstOperands,
     /* 445373 */     // GIR_Coverage, 7796,
     /* 445373 */     GIR_EraseRootFromParent_Done,
     /* 445374 */   // Label 6426: @445374
     /* 445374 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(445503), // Rule ID 11684 //
     /* 445379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 445423 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445428 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445433 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445453 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445460 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 445470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 445475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 445480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 445485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445501 */     GIR_RootConstrainSelectedInstOperands,
     /* 445502 */     // GIR_Coverage, 11684,
     /* 445502 */     GIR_EraseRootFromParent_Done,
     /* 445503 */   // Label 6427: @445503
     /* 445503 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(445632), // Rule ID 11687 //
     /* 445508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 445552 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445552 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445557 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445562 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445582 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445589 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 445599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 445604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 445609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 445614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445630 */     GIR_RootConstrainSelectedInstOperands,
     /* 445631 */     // GIR_Coverage, 11687,
     /* 445631 */     GIR_EraseRootFromParent_Done,
     /* 445632 */   // Label 6428: @445632
     /* 445632 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(445761), // Rule ID 11688 //
     /* 445637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445673 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445677 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 445681 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445686 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445691 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445718 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 445728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 445733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 445738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 445743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445759 */     GIR_RootConstrainSelectedInstOperands,
     /* 445760 */     // GIR_Coverage, 11688,
     /* 445760 */     GIR_EraseRootFromParent_Done,
     /* 445761 */   // Label 6429: @445761
     /* 445761 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(445890), // Rule ID 7795 //
     /* 445766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 445810 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445815 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445824 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445840 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445847 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 445857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 445862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 445867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 445872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 445877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 445882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 445888 */     GIR_RootConstrainSelectedInstOperands,
     /* 445889 */     // GIR_Coverage, 7795,
     /* 445889 */     GIR_EraseRootFromParent_Done,
     /* 445890 */   // Label 6430: @445890
     /* 445890 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(446019), // Rule ID 11669 //
     /* 445895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 445899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 445903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 445907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 445911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 445915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 445919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 445923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 445927 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 445931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 445935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 445939 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 445939 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 445944 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 445944 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 445949 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 445953 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 445955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445969 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 445976 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 445976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 445979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 445981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 445986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 445991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 445996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 446001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 446006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 446011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446017 */     GIR_RootConstrainSelectedInstOperands,
     /* 446018 */     // GIR_Coverage, 11669,
     /* 446018 */     GIR_EraseRootFromParent_Done,
     /* 446019 */   // Label 6431: @446019
     /* 446019 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(446148), // Rule ID 11672 //
     /* 446024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 446048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 446052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446056 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 446064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 446068 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446068 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 446073 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 446078 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446105 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 446115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 446120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 446125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 446130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 446135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 446140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446146 */     GIR_RootConstrainSelectedInstOperands,
     /* 446147 */     // GIR_Coverage, 11672,
     /* 446147 */     GIR_EraseRootFromParent_Done,
     /* 446148 */   // Label 6432: @446148
     /* 446148 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(446277), // Rule ID 11673 //
     /* 446153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 446177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 446181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446185 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 446193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 446197 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446197 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 446202 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 446207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446211 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446234 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 446244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 446249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 446254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 446259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 446264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 446269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446275 */     GIR_RootConstrainSelectedInstOperands,
     /* 446276 */     // GIR_Coverage, 11673,
     /* 446276 */     GIR_EraseRootFromParent_Done,
     /* 446277 */   // Label 6433: @446277
     /* 446277 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(446406), // Rule ID 11725 //
     /* 446282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446314 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446318 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446322 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446326 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446331 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446336 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446349 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446363 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 446373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 446378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 446383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 446388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 446393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 446398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446404 */     GIR_RootConstrainSelectedInstOperands,
     /* 446405 */     // GIR_Coverage, 11725,
     /* 446405 */     GIR_EraseRootFromParent_Done,
     /* 446406 */   // Label 6434: @446406
     /* 446406 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(446535), // Rule ID 11726 //
     /* 446411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446443 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446455 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446460 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446469 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446492 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 446502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 446507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 446512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 446517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 446522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 446527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446533 */     GIR_RootConstrainSelectedInstOperands,
     /* 446534 */     // GIR_Coverage, 11726,
     /* 446534 */     GIR_EraseRootFromParent_Done,
     /* 446535 */   // Label 6435: @446535
     /* 446535 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(446664), // Rule ID 11727 //
     /* 446540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446572 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446576 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446580 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446584 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446584 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446589 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446589 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446594 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446600 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446607 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446621 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 446631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 446636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 446641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 446646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 446651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 446656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446662 */     GIR_RootConstrainSelectedInstOperands,
     /* 446663 */     // GIR_Coverage, 11727,
     /* 446663 */     GIR_EraseRootFromParent_Done,
     /* 446664 */   // Label 6436: @446664
     /* 446664 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(446793), // Rule ID 11728 //
     /* 446669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446701 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446713 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446718 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446736 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446750 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 446760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 446765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 446770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 446775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 446780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 446785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446791 */     GIR_RootConstrainSelectedInstOperands,
     /* 446792 */     // GIR_Coverage, 11728,
     /* 446792 */     GIR_EraseRootFromParent_Done,
     /* 446793 */   // Label 6437: @446793
     /* 446793 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(446922), // Rule ID 11665 //
     /* 446798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446834 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446838 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 446842 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446842 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446847 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446856 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446872 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446879 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 446879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 446882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 446884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 446889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 446894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 446899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 446904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 446909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 446914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 446920 */     GIR_RootConstrainSelectedInstOperands,
     /* 446921 */     // GIR_Coverage, 11665,
     /* 446921 */     GIR_EraseRootFromParent_Done,
     /* 446922 */   // Label 6438: @446922
     /* 446922 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(447051), // Rule ID 11666 //
     /* 446927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 446931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 446935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 446939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 446943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 446947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 446951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 446955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 446959 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 446963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 446967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 446971 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 446971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 446976 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 446976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 446981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 446985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 446987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 446994 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447008 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 447018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 447023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 447028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 447033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447049 */     GIR_RootConstrainSelectedInstOperands,
     /* 447050 */     // GIR_Coverage, 11666,
     /* 447050 */     GIR_EraseRootFromParent_Done,
     /* 447051 */   // Label 6439: @447051
     /* 447051 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(447180), // Rule ID 11667 //
     /* 447056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 447084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 447100 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447105 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447137 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 447147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 447152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 447157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 447162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447178 */     GIR_RootConstrainSelectedInstOperands,
     /* 447179 */     // GIR_Coverage, 11667,
     /* 447179 */     GIR_EraseRootFromParent_Done,
     /* 447180 */   // Label 6440: @447180
     /* 447180 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(447309), // Rule ID 11668 //
     /* 447185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 447213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447217 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 447229 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447229 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447234 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447234 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447239 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447266 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 447276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 447281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 447286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 447291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447307 */     GIR_RootConstrainSelectedInstOperands,
     /* 447308 */     // GIR_Coverage, 11668,
     /* 447308 */     GIR_EraseRootFromParent_Done,
     /* 447309 */   // Label 6441: @447309
     /* 447309 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(447438), // Rule ID 11710 //
     /* 447314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447346 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447358 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447363 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447368 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447395 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 447405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 447410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 447415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 447420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447436 */     GIR_RootConstrainSelectedInstOperands,
     /* 447437 */     // GIR_Coverage, 11710,
     /* 447437 */     GIR_EraseRootFromParent_Done,
     /* 447438 */   // Label 6442: @447438
     /* 447438 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(447567), // Rule ID 11711 //
     /* 447443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447487 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447492 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447497 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447501 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447503 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447517 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447524 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 447534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 447539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 447544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 447549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447565 */     GIR_RootConstrainSelectedInstOperands,
     /* 447566 */     // GIR_Coverage, 11711,
     /* 447566 */     GIR_EraseRootFromParent_Done,
     /* 447567 */   // Label 6443: @447567
     /* 447567 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(447696), // Rule ID 11712 //
     /* 447572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447616 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447621 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447653 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 447663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 447668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 447673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 447678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447694 */     GIR_RootConstrainSelectedInstOperands,
     /* 447695 */     // GIR_Coverage, 11712,
     /* 447695 */     GIR_EraseRootFromParent_Done,
     /* 447696 */   // Label 6444: @447696
     /* 447696 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(447825), // Rule ID 11713 //
     /* 447701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447745 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447750 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447782 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 447792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 447797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 447802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 447807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447823 */     GIR_RootConstrainSelectedInstOperands,
     /* 447824 */     // GIR_Coverage, 11713,
     /* 447824 */     GIR_EraseRootFromParent_Done,
     /* 447825 */   // Label 6445: @447825
     /* 447825 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(447954), // Rule ID 11650 //
     /* 447830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447862 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 447874 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 447874 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 447879 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 447879 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 447884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 447888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 447890 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447897 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447904 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 447911 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 447911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 447914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 447916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 447921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 447926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 447931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 447936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 447941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 447946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 447952 */     GIR_RootConstrainSelectedInstOperands,
     /* 447953 */     // GIR_Coverage, 11650,
     /* 447953 */     GIR_EraseRootFromParent_Done,
     /* 447954 */   // Label 6446: @447954
     /* 447954 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(448083), // Rule ID 11651 //
     /* 447959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 447963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 447967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 447971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 447975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 447979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 447983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 447987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 447991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 447995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 447999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 448003 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448003 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448008 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448040 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 448050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 448055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 448060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 448065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 448070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 448075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448081 */     GIR_RootConstrainSelectedInstOperands,
     /* 448082 */     // GIR_Coverage, 11651,
     /* 448082 */     GIR_EraseRootFromParent_Done,
     /* 448083 */   // Label 6447: @448083
     /* 448083 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(448212), // Rule ID 11652 //
     /* 448088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 448112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 448116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 448132 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448137 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448142 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448169 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 448179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 448184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 448189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 448194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 448199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 448204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448210 */     GIR_RootConstrainSelectedInstOperands,
     /* 448211 */     // GIR_Coverage, 11652,
     /* 448211 */     GIR_EraseRootFromParent_Done,
     /* 448212 */   // Label 6448: @448212
     /* 448212 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(448341), // Rule ID 11653 //
     /* 448217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 448241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 448245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448249 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 448261 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448261 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448266 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448271 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448298 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 448308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 448313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 448318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 448323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 448328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 448333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448339 */     GIR_RootConstrainSelectedInstOperands,
     /* 448340 */     // GIR_Coverage, 11653,
     /* 448340 */     GIR_EraseRootFromParent_Done,
     /* 448341 */   // Label 6449: @448341
     /* 448341 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(448470), // Rule ID 11721 //
     /* 448346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 448370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 448374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448390 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448395 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448400 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448420 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448427 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 448437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 448442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 448447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 448452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 448457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 448462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448468 */     GIR_RootConstrainSelectedInstOperands,
     /* 448469 */     // GIR_Coverage, 11721,
     /* 448469 */     GIR_EraseRootFromParent_Done,
     /* 448470 */   // Label 6450: @448470
     /* 448470 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(448599), // Rule ID 11722 //
     /* 448475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 448499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 448503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448519 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448519 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448524 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448524 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448533 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448549 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448556 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 448566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 448571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 448576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 448581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 448586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 448591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448597 */     GIR_RootConstrainSelectedInstOperands,
     /* 448598 */     // GIR_Coverage, 11722,
     /* 448598 */     GIR_EraseRootFromParent_Done,
     /* 448599 */   // Label 6451: @448599
     /* 448599 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(448728), // Rule ID 11723 //
     /* 448604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 448628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 448632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448648 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448653 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448662 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448678 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448685 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 448695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 448700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 448705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 448710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 448715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 448720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448726 */     GIR_RootConstrainSelectedInstOperands,
     /* 448727 */     // GIR_Coverage, 11723,
     /* 448727 */     GIR_EraseRootFromParent_Done,
     /* 448728 */   // Label 6452: @448728
     /* 448728 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(448857), // Rule ID 11724 //
     /* 448733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 448757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 448761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448777 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448782 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448787 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448807 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448814 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 448824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 448829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 448834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 448839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 448844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 448849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448855 */     GIR_RootConstrainSelectedInstOperands,
     /* 448856 */     // GIR_Coverage, 11724,
     /* 448856 */     GIR_EraseRootFromParent_Done,
     /* 448857 */   // Label 6453: @448857
     /* 448857 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(448986), // Rule ID 11661 //
     /* 448862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 448874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 448878 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 448882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 448886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 448890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 448894 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 448898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 448902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 448906 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 448906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 448911 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 448911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 448916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 448920 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 448922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448929 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448936 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 448943 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 448943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 448946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 448948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 448953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 448958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 448963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 448968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 448973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 448978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 448984 */     GIR_RootConstrainSelectedInstOperands,
     /* 448985 */     // GIR_Coverage, 11661,
     /* 448985 */     GIR_EraseRootFromParent_Done,
     /* 448986 */   // Label 6454: @448986
     /* 448986 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(449115), // Rule ID 11662 //
     /* 448991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 448995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 448999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 449019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 449035 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449040 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449045 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449058 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449065 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449072 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 449082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 449087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 449092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 449097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449113 */     GIR_RootConstrainSelectedInstOperands,
     /* 449114 */     // GIR_Coverage, 11662,
     /* 449114 */     GIR_EraseRootFromParent_Done,
     /* 449115 */   // Label 6455: @449115
     /* 449115 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(449244), // Rule ID 11663 //
     /* 449120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 449148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 449164 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449164 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449169 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449169 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449174 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449180 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449187 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449194 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449201 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 449211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 449216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 449221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 449226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449242 */     GIR_RootConstrainSelectedInstOperands,
     /* 449243 */     // GIR_Coverage, 11663,
     /* 449243 */     GIR_EraseRootFromParent_Done,
     /* 449244 */   // Label 6456: @449244
     /* 449244 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(449373), // Rule ID 11664 //
     /* 449249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 449277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 449293 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449298 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449307 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449323 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449330 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 449340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 449345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 449350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 449355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449371 */     GIR_RootConstrainSelectedInstOperands,
     /* 449372 */     // GIR_Coverage, 11664,
     /* 449372 */     GIR_EraseRootFromParent_Done,
     /* 449373 */   // Label 6457: @449373
     /* 449373 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(449502), // Rule ID 11706 //
     /* 449378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 449406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449422 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449427 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449432 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449452 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449459 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 449469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 449474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 449479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 449484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449500 */     GIR_RootConstrainSelectedInstOperands,
     /* 449501 */     // GIR_Coverage, 11706,
     /* 449501 */     GIR_EraseRootFromParent_Done,
     /* 449502 */   // Label 6458: @449502
     /* 449502 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(449631), // Rule ID 11707 //
     /* 449507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 449535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449551 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449556 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449565 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449567 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449574 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449581 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449588 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 449598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 449603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 449608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 449613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449629 */     GIR_RootConstrainSelectedInstOperands,
     /* 449630 */     // GIR_Coverage, 11707,
     /* 449630 */     GIR_EraseRootFromParent_Done,
     /* 449631 */   // Label 6459: @449631
     /* 449631 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(449760), // Rule ID 11708 //
     /* 449636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 449664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449672 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449676 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449680 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449685 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449690 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449696 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449703 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449710 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449717 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 449727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 449732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 449737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 449742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449758 */     GIR_RootConstrainSelectedInstOperands,
     /* 449759 */     // GIR_Coverage, 11708,
     /* 449759 */     GIR_EraseRootFromParent_Done,
     /* 449760 */   // Label 6460: @449760
     /* 449760 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(449889), // Rule ID 11709 //
     /* 449765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 449793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449797 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449809 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449809 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449814 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449814 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449819 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449823 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449832 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449839 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449846 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 449856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 449861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 449866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 449871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 449876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 449881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 449887 */     GIR_RootConstrainSelectedInstOperands,
     /* 449888 */     // GIR_Coverage, 11709,
     /* 449888 */     GIR_EraseRootFromParent_Done,
     /* 449889 */   // Label 6461: @449889
     /* 449889 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(450018), // Rule ID 11646 //
     /* 449894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 449898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 449902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 449906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 449910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 449914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 449918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 449922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 449926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 449930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 449934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 449938 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 449938 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 449943 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 449943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 449948 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 449952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 449954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449961 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449968 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 449975 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 449975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 449978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 449980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 449985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 449990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 449995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 450000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450016 */     GIR_RootConstrainSelectedInstOperands,
     /* 450017 */     // GIR_Coverage, 11646,
     /* 450017 */     GIR_EraseRootFromParent_Done,
     /* 450018 */   // Label 6462: @450018
     /* 450018 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(450147), // Rule ID 11647 //
     /* 450023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 450047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 450051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450055 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 450063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450067 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 450072 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 450077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450090 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450097 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450104 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 450114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 450119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 450124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 450129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450145 */     GIR_RootConstrainSelectedInstOperands,
     /* 450146 */     // GIR_Coverage, 11647,
     /* 450146 */     GIR_EraseRootFromParent_Done,
     /* 450147 */   // Label 6463: @450147
     /* 450147 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(450276), // Rule ID 11648 //
     /* 450152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 450176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 450180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450184 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 450192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450196 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 450201 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 450206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450210 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450212 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450219 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450226 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450233 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 450243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 450248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 450253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 450258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450274 */     GIR_RootConstrainSelectedInstOperands,
     /* 450275 */     // GIR_Coverage, 11648,
     /* 450275 */     GIR_EraseRootFromParent_Done,
     /* 450276 */   // Label 6464: @450276
     /* 450276 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(450405), // Rule ID 11649 //
     /* 450281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 450305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 450309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450317 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 450321 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450325 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 450330 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 450335 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450348 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450355 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450362 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 450372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 450377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 450382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 450387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450403 */     GIR_RootConstrainSelectedInstOperands,
     /* 450404 */     // GIR_Coverage, 11649,
     /* 450404 */     GIR_EraseRootFromParent_Done,
     /* 450405 */   // Label 6465: @450405
     /* 450405 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(450534), // Rule ID 11655 //
     /* 450410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 450434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450442 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 450450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 450454 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450454 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 450459 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 450464 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450484 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450491 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 450501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 450506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 450511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 450516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450532 */     GIR_RootConstrainSelectedInstOperands,
     /* 450533 */     // GIR_Coverage, 11655,
     /* 450533 */     GIR_EraseRootFromParent_Done,
     /* 450534 */   // Label 6466: @450534
     /* 450534 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(450663), // Rule ID 11656 //
     /* 450539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 450563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 450579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 450583 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450583 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 450588 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 450593 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450613 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450620 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 450630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 450635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 450640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 450645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450661 */     GIR_RootConstrainSelectedInstOperands,
     /* 450662 */     // GIR_Coverage, 11656,
     /* 450662 */     GIR_EraseRootFromParent_Done,
     /* 450663 */   // Label 6467: @450663
     /* 450663 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(450792), // Rule ID 11659 //
     /* 450668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 450692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 450708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 450712 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450712 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 450717 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 450722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450735 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450742 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450749 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 450759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 450764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 450769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 450774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450790 */     GIR_RootConstrainSelectedInstOperands,
     /* 450791 */     // GIR_Coverage, 11659,
     /* 450791 */     GIR_EraseRootFromParent_Done,
     /* 450792 */   // Label 6468: @450792
     /* 450792 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(450921), // Rule ID 11660 //
     /* 450797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 450821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450829 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 450837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 450841 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 450846 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 450851 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450855 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450871 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450878 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 450878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 450881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 450883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 450888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 450893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 450898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 450903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 450908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 450913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 450919 */     GIR_RootConstrainSelectedInstOperands,
     /* 450920 */     // GIR_Coverage, 11660,
     /* 450920 */     GIR_EraseRootFromParent_Done,
     /* 450921 */   // Label 6469: @450921
     /* 450921 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(451050), // Rule ID 11640 //
     /* 450926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 450930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 450934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 450938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 450942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 450946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 450950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 450954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 450958 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 450962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 450966 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 450970 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 450970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 450975 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 450975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 450980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 450984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 450986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 450993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451000 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451007 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 451017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 451022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 451027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 451032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451048 */     GIR_RootConstrainSelectedInstOperands,
     /* 451049 */     // GIR_Coverage, 11640,
     /* 451049 */     GIR_EraseRootFromParent_Done,
     /* 451050 */   // Label 6470: @451050
     /* 451050 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(451179), // Rule ID 11641 //
     /* 451055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451087 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 451095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 451099 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451099 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451104 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451104 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451109 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451122 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451129 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451136 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 451146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 451151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 451156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 451161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451177 */     GIR_RootConstrainSelectedInstOperands,
     /* 451178 */     // GIR_Coverage, 11641,
     /* 451178 */     GIR_EraseRootFromParent_Done,
     /* 451179 */   // Label 6471: @451179
     /* 451179 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(451308), // Rule ID 11644 //
     /* 451184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451216 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 451224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 451228 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451233 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451238 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451265 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 451275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 451280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 451285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 451290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451306 */     GIR_RootConstrainSelectedInstOperands,
     /* 451307 */     // GIR_Coverage, 11644,
     /* 451307 */     GIR_EraseRootFromParent_Done,
     /* 451308 */   // Label 6472: @451308
     /* 451308 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(451437), // Rule ID 11645 //
     /* 451313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 451353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 451357 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451357 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451362 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451367 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451380 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451387 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451394 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 451404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 451409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 451414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 451419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451435 */     GIR_RootConstrainSelectedInstOperands,
     /* 451436 */     // GIR_Coverage, 11645,
     /* 451436 */     GIR_EraseRootFromParent_Done,
     /* 451437 */   // Label 6473: @451437
     /* 451437 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(451566), // Rule ID 7794 //
     /* 451442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 451482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 451486 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451491 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451516 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451523 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 451533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 451538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 451543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 451548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451564 */     GIR_RootConstrainSelectedInstOperands,
     /* 451565 */     // GIR_Coverage, 7794,
     /* 451565 */     GIR_EraseRootFromParent_Done,
     /* 451566 */   // Label 6474: @451566
     /* 451566 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(451695), // Rule ID 11654 //
     /* 451571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 451611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 451615 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451620 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451625 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451638 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451645 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451652 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 451662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 451667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 451672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 451677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451693 */     GIR_RootConstrainSelectedInstOperands,
     /* 451694 */     // GIR_Coverage, 11654,
     /* 451694 */     GIR_EraseRootFromParent_Done,
     /* 451695 */   // Label 6475: @451695
     /* 451695 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(451824), // Rule ID 11657 //
     /* 451700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 451740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 451744 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451744 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451749 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451749 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451754 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451758 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451774 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451781 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 451791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 451796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 451801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 451806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451822 */     GIR_RootConstrainSelectedInstOperands,
     /* 451823 */     // GIR_Coverage, 11657,
     /* 451823 */     GIR_EraseRootFromParent_Done,
     /* 451824 */   // Label 6476: @451824
     /* 451824 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(451953), // Rule ID 11658 //
     /* 451829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451861 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451865 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 451869 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 451873 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 451873 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 451878 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 451878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 451883 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 451887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 451889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 451910 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 451910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 451913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 451915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 451920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 451925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 451930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 451935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 451940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 451945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 451951 */     GIR_RootConstrainSelectedInstOperands,
     /* 451952 */     // GIR_Coverage, 11658,
     /* 451952 */     GIR_EraseRootFromParent_Done,
     /* 451953 */   // Label 6477: @451953
     /* 451953 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(452082), // Rule ID 7793 //
     /* 451958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 451962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 451966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 451970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 451974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 451978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 451982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 451986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 451990 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 451994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 451998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 452002 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452007 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452016 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452025 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452032 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452039 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 452049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 452054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 452059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 452064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452080 */     GIR_RootConstrainSelectedInstOperands,
     /* 452081 */     // GIR_Coverage, 7793,
     /* 452081 */     GIR_EraseRootFromParent_Done,
     /* 452082 */   // Label 6478: @452082
     /* 452082 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(452211), // Rule ID 11639 //
     /* 452087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 452115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452123 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 452127 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 452131 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452136 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452141 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452168 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 452178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 452183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 452188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 452193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452209 */     GIR_RootConstrainSelectedInstOperands,
     /* 452210 */     // GIR_Coverage, 11639,
     /* 452210 */     GIR_EraseRootFromParent_Done,
     /* 452211 */   // Label 6479: @452211
     /* 452211 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(452340), // Rule ID 11642 //
     /* 452216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 452244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452248 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 452256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 452260 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452265 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452270 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452290 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452297 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 452307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 452312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 452317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 452322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452338 */     GIR_RootConstrainSelectedInstOperands,
     /* 452339 */     // GIR_Coverage, 11642,
     /* 452339 */     GIR_EraseRootFromParent_Done,
     /* 452340 */   // Label 6480: @452340
     /* 452340 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(452469), // Rule ID 11643 //
     /* 452345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 452373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452377 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 452385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 452389 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452389 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452394 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452394 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452399 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452403 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452405 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452426 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 452436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 452441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 452446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 452451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452467 */     GIR_RootConstrainSelectedInstOperands,
     /* 452468 */     // GIR_Coverage, 11643,
     /* 452468 */     GIR_EraseRootFromParent_Done,
     /* 452469 */   // Label 6481: @452469
     /* 452469 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(452598), // Rule ID 11625 //
     /* 452474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 452514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 452518 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452518 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452523 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452528 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452548 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452555 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 452565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 452570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 452575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 452580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452596 */     GIR_RootConstrainSelectedInstOperands,
     /* 452597 */     // GIR_Coverage, 11625,
     /* 452597 */     GIR_EraseRootFromParent_Done,
     /* 452598 */   // Label 6482: @452598
     /* 452598 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(452727), // Rule ID 11626 //
     /* 452603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 452643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 452647 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452652 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452661 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452670 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452677 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452684 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 452694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 452699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 452704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 452709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452725 */     GIR_RootConstrainSelectedInstOperands,
     /* 452726 */     // GIR_Coverage, 11626,
     /* 452726 */     GIR_EraseRootFromParent_Done,
     /* 452727 */   // Label 6483: @452727
     /* 452727 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(452856), // Rule ID 11629 //
     /* 452732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452768 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 452772 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 452776 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452781 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452786 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452813 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 452823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 452828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 452833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 452838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452854 */     GIR_RootConstrainSelectedInstOperands,
     /* 452855 */     // GIR_Coverage, 11629,
     /* 452855 */     GIR_EraseRootFromParent_Done,
     /* 452856 */   // Label 6484: @452856
     /* 452856 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(452985), // Rule ID 11630 //
     /* 452861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 452877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 452881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 452885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 452889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 452893 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 452897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 452901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 452905 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 452905 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 452910 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 452910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 452915 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 452919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 452921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452928 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 452942 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 452942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 452945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 452947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 452952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 452957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 452962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 452967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 452972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 452977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 452983 */     GIR_RootConstrainSelectedInstOperands,
     /* 452984 */     // GIR_Coverage, 11630,
     /* 452984 */     GIR_EraseRootFromParent_Done,
     /* 452985 */   // Label 6485: @452985
     /* 452985 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(453114), // Rule ID 11610 //
     /* 452990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 452994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 452998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453022 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 453030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 453034 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453034 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453039 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453039 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453044 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453048 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453050 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453064 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453071 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 453081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 453086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 453091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 453096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453112 */     GIR_RootConstrainSelectedInstOperands,
     /* 453113 */     // GIR_Coverage, 11610,
     /* 453113 */     GIR_EraseRootFromParent_Done,
     /* 453114 */   // Label 6486: @453114
     /* 453114 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(453243), // Rule ID 11611 //
     /* 453119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453151 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 453159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 453163 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453163 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453168 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453173 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453193 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453200 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 453210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 453215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 453220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 453225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453241 */     GIR_RootConstrainSelectedInstOperands,
     /* 453242 */     // GIR_Coverage, 11611,
     /* 453242 */     GIR_EraseRootFromParent_Done,
     /* 453243 */   // Label 6487: @453243
     /* 453243 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(453372), // Rule ID 11614 //
     /* 453248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 453288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 453292 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453297 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453302 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453306 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453308 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453322 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453329 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 453339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 453344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 453349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 453354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453370 */     GIR_RootConstrainSelectedInstOperands,
     /* 453371 */     // GIR_Coverage, 11614,
     /* 453371 */     GIR_EraseRootFromParent_Done,
     /* 453372 */   // Label 6488: @453372
     /* 453372 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(453501), // Rule ID 11615 //
     /* 453377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453409 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453413 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 453417 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 453421 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453426 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453431 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453435 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453451 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453458 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 453468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 453473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 453478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 453483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453499 */     GIR_RootConstrainSelectedInstOperands,
     /* 453500 */     // GIR_Coverage, 11615,
     /* 453500 */     GIR_EraseRootFromParent_Done,
     /* 453501 */   // Label 6489: @453501
     /* 453501 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(453630), // Rule ID 7792 //
     /* 453506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 453546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 453550 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453555 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453566 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453580 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453587 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 453597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 453602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 453607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 453612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453628 */     GIR_RootConstrainSelectedInstOperands,
     /* 453629 */     // GIR_Coverage, 7792,
     /* 453629 */     GIR_EraseRootFromParent_Done,
     /* 453630 */   // Label 6490: @453630
     /* 453630 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(453759), // Rule ID 11624 //
     /* 453635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453667 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453671 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 453675 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 453679 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453679 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453684 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453684 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453693 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453695 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453702 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453709 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453716 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 453726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 453731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 453736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 453741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453757 */     GIR_RootConstrainSelectedInstOperands,
     /* 453758 */     // GIR_Coverage, 11624,
     /* 453758 */     GIR_EraseRootFromParent_Done,
     /* 453759 */   // Label 6491: @453759
     /* 453759 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(453888), // Rule ID 11627 //
     /* 453764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 453804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 453808 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453813 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453838 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453845 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 453855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 453860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 453865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 453870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 453875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 453880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 453886 */     GIR_RootConstrainSelectedInstOperands,
     /* 453887 */     // GIR_Coverage, 11627,
     /* 453887 */     GIR_EraseRootFromParent_Done,
     /* 453888 */   // Label 6492: @453888
     /* 453888 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(454017), // Rule ID 11628 //
     /* 453893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 453897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 453901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 453909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 453913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 453917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 453921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 453925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 453929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 453933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 453937 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 453937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 453942 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 453942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 453947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 453951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 453953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453960 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453967 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 453974 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 453974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 453977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 453979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 453984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 453989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 453994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 453999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 454004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 454009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454015 */     GIR_RootConstrainSelectedInstOperands,
     /* 454016 */     // GIR_Coverage, 11628,
     /* 454016 */     GIR_EraseRootFromParent_Done,
     /* 454017 */   // Label 6493: @454017
     /* 454017 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(454146), // Rule ID 7791 //
     /* 454022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 454046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 454062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 454066 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 454071 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 454076 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454082 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454096 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454103 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 454113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 454118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 454123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 454128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 454133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 454138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454144 */     GIR_RootConstrainSelectedInstOperands,
     /* 454145 */     // GIR_Coverage, 7791,
     /* 454145 */     GIR_EraseRootFromParent_Done,
     /* 454146 */   // Label 6494: @454146
     /* 454146 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(454275), // Rule ID 11609 //
     /* 454151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 454175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 454191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 454195 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 454200 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 454205 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454225 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454232 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 454242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 454247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 454252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 454257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 454262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 454267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454273 */     GIR_RootConstrainSelectedInstOperands,
     /* 454274 */     // GIR_Coverage, 11609,
     /* 454274 */     GIR_EraseRootFromParent_Done,
     /* 454275 */   // Label 6495: @454275
     /* 454275 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(454404), // Rule ID 11612 //
     /* 454280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 454304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454312 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 454320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 454324 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454324 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 454329 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454329 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 454334 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454338 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454340 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454354 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454361 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 454371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 454376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 454381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 454386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 454391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 454396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454402 */     GIR_RootConstrainSelectedInstOperands,
     /* 454403 */     // GIR_Coverage, 11612,
     /* 454403 */     GIR_EraseRootFromParent_Done,
     /* 454404 */   // Label 6496: @454404
     /* 454404 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(454533), // Rule ID 11613 //
     /* 454409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 454433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454441 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 454449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 454453 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454453 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 454458 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 454463 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454469 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454490 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 454500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 454505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 454510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 454515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 454520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 454525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454531 */     GIR_RootConstrainSelectedInstOperands,
     /* 454532 */     // GIR_Coverage, 11613,
     /* 454532 */     GIR_EraseRootFromParent_Done,
     /* 454533 */   // Label 6497: @454533
     /* 454533 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(454662), // Rule ID 11695 //
     /* 454538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 454562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 454566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454570 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 454578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 454582 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 454587 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 454592 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454605 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454612 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454619 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 454629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 454634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 454639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 454644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 454649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 454654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454660 */     GIR_RootConstrainSelectedInstOperands,
     /* 454661 */     // GIR_Coverage, 11695,
     /* 454661 */     GIR_EraseRootFromParent_Done,
     /* 454662 */   // Label 6498: @454662
     /* 454662 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(454791), // Rule ID 11696 //
     /* 454667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 454691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 454695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454699 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 454707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 454711 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 454716 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454716 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 454721 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454734 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454741 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454748 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 454758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 454763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 454768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 454773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 454778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 454783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454789 */     GIR_RootConstrainSelectedInstOperands,
     /* 454790 */     // GIR_Coverage, 11696,
     /* 454790 */     GIR_EraseRootFromParent_Done,
     /* 454791 */   // Label 6499: @454791
     /* 454791 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(454920), // Rule ID 11697 //
     /* 454796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 454820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 454824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 454836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 454840 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 454845 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 454850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454863 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454870 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454877 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 454877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 454880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 454882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 454887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 454892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 454897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 454902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 454907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 454912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 454918 */     GIR_RootConstrainSelectedInstOperands,
     /* 454919 */     // GIR_Coverage, 11697,
     /* 454919 */     GIR_EraseRootFromParent_Done,
     /* 454920 */   // Label 6500: @454920
     /* 454920 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(455049), // Rule ID 11698 //
     /* 454925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 454929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 454933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 454937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 454941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 454945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 454949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 454953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 454957 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 454961 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 454965 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 454969 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 454969 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 454974 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 454974 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 454979 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 454983 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 454985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454992 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 454999 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455006 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 455016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 455021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 455026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 455031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455047 */     GIR_RootConstrainSelectedInstOperands,
     /* 455048 */     // GIR_Coverage, 11698,
     /* 455048 */     GIR_EraseRootFromParent_Done,
     /* 455049 */   // Label 6501: @455049
     /* 455049 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(455178), // Rule ID 11635 //
     /* 455054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 455082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455098 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455103 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455103 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455112 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455121 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455128 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455135 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 455145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 455150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 455155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 455160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455176 */     GIR_RootConstrainSelectedInstOperands,
     /* 455177 */     // GIR_Coverage, 11635,
     /* 455177 */     GIR_EraseRootFromParent_Done,
     /* 455178 */   // Label 6502: @455178
     /* 455178 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(455307), // Rule ID 11636 //
     /* 455183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 455211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455215 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455227 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455232 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455237 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455241 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455250 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455257 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455264 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 455274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 455279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 455284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 455289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455305 */     GIR_RootConstrainSelectedInstOperands,
     /* 455306 */     // GIR_Coverage, 11636,
     /* 455306 */     GIR_EraseRootFromParent_Done,
     /* 455307 */   // Label 6503: @455307
     /* 455307 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(455436), // Rule ID 11637 //
     /* 455312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 455340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455356 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455361 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455366 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455372 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455379 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455386 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455393 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 455403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 455408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 455413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 455418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455434 */     GIR_RootConstrainSelectedInstOperands,
     /* 455435 */     // GIR_Coverage, 11637,
     /* 455435 */     GIR_EraseRootFromParent_Done,
     /* 455436 */   // Label 6504: @455436
     /* 455436 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(455565), // Rule ID 11638 //
     /* 455441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 455469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455477 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455481 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455485 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455490 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455508 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455522 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 455532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 455537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 455542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 455547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455563 */     GIR_RootConstrainSelectedInstOperands,
     /* 455564 */     // GIR_Coverage, 11638,
     /* 455564 */     GIR_EraseRootFromParent_Done,
     /* 455565 */   // Label 6505: @455565
     /* 455565 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(455694), // Rule ID 11680 //
     /* 455570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 455598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455602 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 455614 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455614 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455619 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455619 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455624 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455637 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455651 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 455661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 455666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 455671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 455676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455692 */     GIR_RootConstrainSelectedInstOperands,
     /* 455693 */     // GIR_Coverage, 11680,
     /* 455693 */     GIR_EraseRootFromParent_Done,
     /* 455694 */   // Label 6506: @455694
     /* 455694 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(455823), // Rule ID 11681 //
     /* 455699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 455727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 455743 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455743 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455748 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455757 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455766 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455780 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 455790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 455795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 455800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 455805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455821 */     GIR_RootConstrainSelectedInstOperands,
     /* 455822 */     // GIR_Coverage, 11681,
     /* 455822 */     GIR_EraseRootFromParent_Done,
     /* 455823 */   // Label 6507: @455823
     /* 455823 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(455952), // Rule ID 11682 //
     /* 455828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 455856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 455872 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 455872 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 455877 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 455877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 455882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 455886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 455888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455895 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 455909 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 455909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 455912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 455914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 455919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 455924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 455929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 455934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 455939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 455944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 455950 */     GIR_RootConstrainSelectedInstOperands,
     /* 455951 */     // GIR_Coverage, 11682,
     /* 455951 */     GIR_EraseRootFromParent_Done,
     /* 455952 */   // Label 6508: @455952
     /* 455952 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(456081), // Rule ID 11683 //
     /* 455957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 455961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 455965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 455969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 455973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 455977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 455981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 455985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 455989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 455993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 455997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 456001 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456006 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456024 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456038 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 456048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 456053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 456058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 456063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 456068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 456073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456079 */     GIR_RootConstrainSelectedInstOperands,
     /* 456080 */     // GIR_Coverage, 11683,
     /* 456080 */     GIR_EraseRootFromParent_Done,
     /* 456081 */   // Label 6509: @456081
     /* 456081 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(456210), // Rule ID 11620 //
     /* 456086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 456110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 456114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456118 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456130 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456135 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456153 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456167 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 456177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 456182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 456187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 456192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 456197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 456202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456208 */     GIR_RootConstrainSelectedInstOperands,
     /* 456209 */     // GIR_Coverage, 11620,
     /* 456209 */     GIR_EraseRootFromParent_Done,
     /* 456210 */   // Label 6510: @456210
     /* 456210 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(456339), // Rule ID 11621 //
     /* 456215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 456239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 456243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456247 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456259 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456259 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456264 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456264 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456269 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456282 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456296 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 456306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 456311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 456316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 456321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 456326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 456331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456337 */     GIR_RootConstrainSelectedInstOperands,
     /* 456338 */     // GIR_Coverage, 11621,
     /* 456338 */     GIR_EraseRootFromParent_Done,
     /* 456339 */   // Label 6511: @456339
     /* 456339 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(456468), // Rule ID 11622 //
     /* 456344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 456368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 456372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456388 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456388 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456393 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456402 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456411 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456425 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 456435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 456440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 456445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 456450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 456455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 456460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456466 */     GIR_RootConstrainSelectedInstOperands,
     /* 456467 */     // GIR_Coverage, 11622,
     /* 456467 */     GIR_EraseRootFromParent_Done,
     /* 456468 */   // Label 6512: @456468
     /* 456468 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(456597), // Rule ID 11623 //
     /* 456473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 456497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 456501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456517 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456522 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456531 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456547 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456554 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 456564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 456569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 456574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 456579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 456584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 456589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456595 */     GIR_RootConstrainSelectedInstOperands,
     /* 456596 */     // GIR_Coverage, 11623,
     /* 456596 */     GIR_EraseRootFromParent_Done,
     /* 456597 */   // Label 6513: @456597
     /* 456597 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(456726), // Rule ID 11691 //
     /* 456602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 456626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 456630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456634 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 456646 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456651 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456669 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456683 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 456693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 456698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 456703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 456708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 456713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 456718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456724 */     GIR_RootConstrainSelectedInstOperands,
     /* 456725 */     // GIR_Coverage, 11691,
     /* 456725 */     GIR_EraseRootFromParent_Done,
     /* 456726 */   // Label 6514: @456726
     /* 456726 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(456855), // Rule ID 11692 //
     /* 456731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 456755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 456759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456763 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 456775 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456780 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456789 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456812 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 456822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 456827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 456832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 456837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 456842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 456847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456853 */     GIR_RootConstrainSelectedInstOperands,
     /* 456854 */     // GIR_Coverage, 11692,
     /* 456854 */     GIR_EraseRootFromParent_Done,
     /* 456855 */   // Label 6515: @456855
     /* 456855 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(456984), // Rule ID 11693 //
     /* 456860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 456872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 456876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 456880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 456884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 456888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 456892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 456896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 456900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 456904 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 456904 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 456909 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 456909 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 456914 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 456918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 456920 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456927 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456934 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 456941 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 456941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 456944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 456946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 456951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 456956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 456961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 456966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 456971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 456976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 456982 */     GIR_RootConstrainSelectedInstOperands,
     /* 456983 */     // GIR_Coverage, 11693,
     /* 456983 */     GIR_EraseRootFromParent_Done,
     /* 456984 */   // Label 6516: @456984
     /* 456984 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(457113), // Rule ID 11694 //
     /* 456989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 456993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 456997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 457017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 457033 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457033 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457038 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457043 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457047 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457070 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 457080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 457085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 457090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 457095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457111 */     GIR_RootConstrainSelectedInstOperands,
     /* 457112 */     // GIR_Coverage, 11694,
     /* 457112 */     GIR_EraseRootFromParent_Done,
     /* 457113 */   // Label 6517: @457113
     /* 457113 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(457242), // Rule ID 11631 //
     /* 457118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 457146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457150 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457154 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457158 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457162 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457167 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457192 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457199 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 457209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 457214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 457219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 457224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457240 */     GIR_RootConstrainSelectedInstOperands,
     /* 457241 */     // GIR_Coverage, 11631,
     /* 457241 */     GIR_EraseRootFromParent_Done,
     /* 457242 */   // Label 6518: @457242
     /* 457242 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(457371), // Rule ID 11632 //
     /* 457247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 457275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457291 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457296 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457301 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457307 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457314 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457328 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 457338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 457343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 457348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 457353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457369 */     GIR_RootConstrainSelectedInstOperands,
     /* 457370 */     // GIR_Coverage, 11632,
     /* 457370 */     GIR_EraseRootFromParent_Done,
     /* 457371 */   // Label 6519: @457371
     /* 457371 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(457500), // Rule ID 11633 //
     /* 457376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 457404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457420 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457425 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457430 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457443 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457457 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 457467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 457472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 457477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 457482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457498 */     GIR_RootConstrainSelectedInstOperands,
     /* 457499 */     // GIR_Coverage, 11633,
     /* 457499 */     GIR_EraseRootFromParent_Done,
     /* 457500 */   // Label 6520: @457500
     /* 457500 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(457629), // Rule ID 11634 //
     /* 457505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457521 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 457533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457537 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457549 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457549 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457554 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457554 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457559 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457565 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457572 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457579 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457586 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 457596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 457601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 457606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 457611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457627 */     GIR_RootConstrainSelectedInstOperands,
     /* 457628 */     // GIR_Coverage, 11634,
     /* 457628 */     GIR_EraseRootFromParent_Done,
     /* 457629 */   // Label 6521: @457629
     /* 457629 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(457758), // Rule ID 11676 //
     /* 457634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 457662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457666 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 457678 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457683 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457688 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457715 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 457725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 457730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 457735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 457740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457756 */     GIR_RootConstrainSelectedInstOperands,
     /* 457757 */     // GIR_Coverage, 11676,
     /* 457757 */     GIR_EraseRootFromParent_Done,
     /* 457758 */   // Label 6522: @457758
     /* 457758 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(457887), // Rule ID 11677 //
     /* 457763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 457791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 457807 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457812 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457837 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457844 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 457854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 457859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 457864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 457869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 457874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 457879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 457885 */     GIR_RootConstrainSelectedInstOperands,
     /* 457886 */     // GIR_Coverage, 11677,
     /* 457886 */     GIR_EraseRootFromParent_Done,
     /* 457887 */   // Label 6523: @457887
     /* 457887 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(458016), // Rule ID 11678 //
     /* 457892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 457896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 457900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 457904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 457908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 457912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 457916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 457920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 457924 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 457928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 457932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 457936 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 457936 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 457941 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 457941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 457946 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 457950 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 457952 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457959 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 457973 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 457973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 457976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 457978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 457983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 457988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 457993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 457998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458014 */     GIR_RootConstrainSelectedInstOperands,
     /* 458015 */     // GIR_Coverage, 11678,
     /* 458015 */     GIR_EraseRootFromParent_Done,
     /* 458016 */   // Label 6524: @458016
     /* 458016 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(458145), // Rule ID 11679 //
     /* 458021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 458041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 458049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 458061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 458065 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 458065 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 458070 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 458070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 458075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 458079 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 458081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458088 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458095 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458102 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 458105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 458112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 458117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 458122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 458127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458143 */     GIR_RootConstrainSelectedInstOperands,
     /* 458144 */     // GIR_Coverage, 11679,
     /* 458144 */     GIR_EraseRootFromParent_Done,
     /* 458145 */   // Label 6525: @458145
     /* 458145 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(458274), // Rule ID 11616 //
     /* 458150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 458170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 458178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458182 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 458190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458194 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 458194 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 458199 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 458199 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 458204 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 458208 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 458210 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458217 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458224 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458231 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 458234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 458241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 458246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 458251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 458256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458272 */     GIR_RootConstrainSelectedInstOperands,
     /* 458273 */     // GIR_Coverage, 11616,
     /* 458273 */     GIR_EraseRootFromParent_Done,
     /* 458274 */   // Label 6526: @458274
     /* 458274 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(458403), // Rule ID 11617 //
     /* 458279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 458299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 458307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458315 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 458319 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458323 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 458323 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 458328 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 458328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 458333 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 458337 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 458339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458346 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458360 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 458363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 458370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 458375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 458380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 458385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458401 */     GIR_RootConstrainSelectedInstOperands,
     /* 458402 */     // GIR_Coverage, 11617,
     /* 458402 */     GIR_EraseRootFromParent_Done,
     /* 458403 */   // Label 6527: @458403
     /* 458403 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(458532), // Rule ID 11618 //
     /* 458408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 458428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 458436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 458448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458452 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 458452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 458457 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 458457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 458462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 458466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 458468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458489 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 458492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 458499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 458504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 458509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 458514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458530 */     GIR_RootConstrainSelectedInstOperands,
     /* 458531 */     // GIR_Coverage, 11618,
     /* 458531 */     GIR_EraseRootFromParent_Done,
     /* 458532 */   // Label 6528: @458532
     /* 458532 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(458661), // Rule ID 11619 //
     /* 458537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 458557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 458565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458569 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 458577 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458581 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 458581 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 458586 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 458586 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 458591 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 458595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 458597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458604 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458611 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458618 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 458621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 458628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 458633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 458638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 458643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458659 */     GIR_RootConstrainSelectedInstOperands,
     /* 458660 */     // GIR_Coverage, 11619,
     /* 458660 */     GIR_EraseRootFromParent_Done,
     /* 458661 */   // Label 6529: @458661
     /* 458661 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(458773), // Rule ID 13454 //
     /* 458666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 458669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 458677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 458681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 458693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458697 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458701 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 458703 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 458707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 458709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458716 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458723 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458730 */     // (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 458733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 458740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 458745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 458750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 458755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 458760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 458765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458771 */     GIR_RootConstrainSelectedInstOperands,
     /* 458772 */     // GIR_Coverage, 13454,
     /* 458772 */     GIR_EraseRootFromParent_Done,
     /* 458773 */   // Label 6530: @458773
     /* 458773 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(458885), // Rule ID 13453 //
     /* 458778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 458781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 458789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 458793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 458805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458809 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458813 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 458815 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 458819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 458821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458842 */     // (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 458845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 458852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 458857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 458862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 458867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 458872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 458877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458883 */     GIR_RootConstrainSelectedInstOperands,
     /* 458884 */     // GIR_Coverage, 13453,
     /* 458884 */     GIR_EraseRootFromParent_Done,
     /* 458885 */   // Label 6531: @458885
     /* 458885 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(458997), // Rule ID 7928 //
     /* 458890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 458893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 458897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 458901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 458905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 458909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 458913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 458917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 458921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 458925 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 458927 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 458931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 458933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458947 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 458954 */     // (fmaxnum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 458954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 458957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 458959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 458964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 458969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 458974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 458979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 458984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 458989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 458995 */     GIR_RootConstrainSelectedInstOperands,
     /* 458996 */     // GIR_Coverage, 7928,
     /* 458996 */     GIR_EraseRootFromParent_Done,
     /* 458997 */   // Label 6532: @458997
     /* 458997 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(459109), // Rule ID 7927 //
     /* 459002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 459005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 459013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 459017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 459021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 459025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 459029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 459033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 459037 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 459039 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 459043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 459045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459052 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459059 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459066 */     // (fmaxnum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 459066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 459069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 459076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 459086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 459096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 459101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459107 */     GIR_RootConstrainSelectedInstOperands,
     /* 459108 */     // GIR_Coverage, 7927,
     /* 459108 */     GIR_EraseRootFromParent_Done,
     /* 459109 */   // Label 6533: @459109
     /* 459109 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(459205), // Rule ID 13446 //
     /* 459114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 459117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 459125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 459129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 459133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 459137 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 459139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 459141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459155 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459162 */     // (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 459162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 459165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 459172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 459177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 459182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 459187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 459192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 459197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459203 */     GIR_RootConstrainSelectedInstOperands,
     /* 459204 */     // GIR_Coverage, 13446,
     /* 459204 */     GIR_EraseRootFromParent_Done,
     /* 459205 */   // Label 6534: @459205
     /* 459205 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(459301), // Rule ID 13445 //
     /* 459210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 459213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 459221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 459225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 459229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 459233 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 459235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 459237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459258 */     // (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 459258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 459261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 459268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 459273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 459278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 459283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 459288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 459293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459299 */     GIR_RootConstrainSelectedInstOperands,
     /* 459300 */     // GIR_Coverage, 13445,
     /* 459300 */     GIR_EraseRootFromParent_Done,
     /* 459301 */   // Label 6535: @459301
     /* 459301 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(459397), // Rule ID 7920 //
     /* 459306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 459309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 459317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 459321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 459325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 459329 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 459331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 459333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459340 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459354 */     // (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 459354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 459357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 459364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 459374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 459384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 459389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459395 */     GIR_RootConstrainSelectedInstOperands,
     /* 459396 */     // GIR_Coverage, 7920,
     /* 459396 */     GIR_EraseRootFromParent_Done,
     /* 459397 */   // Label 6536: @459397
     /* 459397 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(459493), // Rule ID 7919 //
     /* 459402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 459405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 459413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 459417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 459421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 459425 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 459427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 459429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459450 */     // (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 459450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 459453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 459460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 459470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 459480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 459485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459491 */     GIR_RootConstrainSelectedInstOperands,
     /* 459492 */     // GIR_Coverage, 7919,
     /* 459492 */     GIR_EraseRootFromParent_Done,
     /* 459493 */   // Label 6537: @459493
     /* 459493 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(459528), // Rule ID 93 //
     /* 459498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 459501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 459505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 459509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 459513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13778),
     /* 459517 */     // (fmaxnum:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13778>>  =>  (S_MAX_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 459517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_F32),
     /* 459522 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 459526 */     GIR_RootConstrainSelectedInstOperands,
     /* 459527 */     // GIR_Coverage, 93,
     /* 459527 */     GIR_Done,
     /* 459528 */   // Label 6538: @459528
     /* 459528 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(459588), // Rule ID 805 //
     /* 459533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459551 */     // (fmaxnum:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 459554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 459561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 459571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 459581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 459586 */     GIR_RootConstrainSelectedInstOperands,
     /* 459587 */     // GIR_Coverage, 805,
     /* 459587 */     GIR_EraseRootFromParent_Done,
     /* 459588 */   // Label 6539: @459588
     /* 459588 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(459648), // Rule ID 8626 //
     /* 459593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459611 */     // (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 459614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 459621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 459626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 459631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 459636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 459641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 459646 */     GIR_RootConstrainSelectedInstOperands,
     /* 459647 */     // GIR_Coverage, 8626,
     /* 459647 */     GIR_EraseRootFromParent_Done,
     /* 459648 */   // Label 6540: @459648
     /* 459648 */   GIM_Reject,
     /* 459649 */ // Label 6401: @459649
     /* 459649 */ GIM_Reject,
     /* 459650 */ // Label 5991: @459650
     /* 459650 */ GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(459902),
     /* 459655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 459658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 459661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 459665 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(459724), // Rule ID 920 //
     /* 459670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 459673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459687 */     // (fmaxnum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 459690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 459697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 459707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 459717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 459722 */     GIR_RootConstrainSelectedInstOperands,
     /* 459723 */     // GIR_Coverage, 920,
     /* 459723 */     GIR_EraseRootFromParent_Done,
     /* 459724 */   // Label 6542: @459724
     /* 459724 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(459783), // Rule ID 939 //
     /* 459729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 459732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459746 */     // (fmaxnum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 459749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 459756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 459766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 459776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 459781 */     GIR_RootConstrainSelectedInstOperands,
     /* 459782 */     // GIR_Coverage, 939,
     /* 459782 */     GIR_EraseRootFromParent_Done,
     /* 459783 */   // Label 6543: @459783
     /* 459783 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(459842), // Rule ID 8652 //
     /* 459788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 459791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459805 */     // (fmaxnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 459808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 459815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 459820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 459825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 459830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 459835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 459840 */     GIR_RootConstrainSelectedInstOperands,
     /* 459841 */     // GIR_Coverage, 8652,
     /* 459841 */     GIR_EraseRootFromParent_Done,
     /* 459842 */   // Label 6544: @459842
     /* 459842 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(459901), // Rule ID 8666 //
     /* 459847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 459850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 459857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 459864 */     // (fmaxnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 459864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 459867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 459874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 459879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 459884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 459889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 459894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 459899 */     GIR_RootConstrainSelectedInstOperands,
     /* 459900 */     // GIR_Coverage, 8666,
     /* 459900 */     GIR_EraseRootFromParent_Done,
     /* 459901 */   // Label 6545: @459901
     /* 459901 */   GIM_Reject,
     /* 459902 */ // Label 6541: @459902
     /* 459902 */ GIM_Reject,
     /* 459903 */ // Label 5992: @459903
     /* 459903 */ GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(459974), // Rule ID 1097 //
     /* 459908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 459911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 459914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 459918 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 459925 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 459932 */   // (fmaxnum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MAX_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 459932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 459935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 459937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 459942 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 459947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 459952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 459957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 459972 */   GIR_RootConstrainSelectedInstOperands,
     /* 459973 */   // GIR_Coverage, 1097,
     /* 459973 */   GIR_EraseRootFromParent_Done,
     /* 459974 */ // Label 6546: @459974
     /* 459974 */ GIM_Reject,
     /* 459975 */ // Label 5993: @459975
     /* 459975 */ GIM_Reject,
     /* 459976 */ // Label 82: @459976
     /* 459976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 6551*/ GIMT_Encode4(531754),
     /* 459987 */ /*GILLT_s16*//*Label 6547*/ GIMT_Encode4(460003),
     /* 459991 */ /*GILLT_s32*//*Label 6548*/ GIMT_Encode4(513917),
     /* 459995 */ /*GILLT_s64*//*Label 6549*/ GIMT_Encode4(531429),
     /* 459999 */ /*GILLT_v2s16*//*Label 6550*/ GIMT_Encode4(531682),
     /* 460003 */ // Label 6547: @460003
     /* 460003 */ GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(513916),
     /* 460008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 460011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 460014 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(460149), // Rule ID 12345 //
     /* 460019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 460022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 460026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460066 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460071 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460076 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460082 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460096 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460103 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 460106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 460113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 460118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 460123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 460128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460147 */     GIR_RootConstrainSelectedInstOperands,
     /* 460148 */     // GIR_Coverage, 12345,
     /* 460148 */     GIR_EraseRootFromParent_Done,
     /* 460149 */   // Label 6553: @460149
     /* 460149 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(460284), // Rule ID 12346 //
     /* 460154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 460157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 460161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460201 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460206 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460238 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 460241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 460248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 460253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 460258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 460263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460282 */     GIR_RootConstrainSelectedInstOperands,
     /* 460283 */     // GIR_Coverage, 12346,
     /* 460283 */     GIR_EraseRootFromParent_Done,
     /* 460284 */   // Label 6554: @460284
     /* 460284 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(460419), // Rule ID 12349 //
     /* 460289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 460292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 460296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460336 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460341 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460346 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460366 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460373 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 460376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 460383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 460388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 460393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 460398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460417 */     GIR_RootConstrainSelectedInstOperands,
     /* 460418 */     // GIR_Coverage, 12349,
     /* 460418 */     GIR_EraseRootFromParent_Done,
     /* 460419 */   // Label 6555: @460419
     /* 460419 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(460554), // Rule ID 12350 //
     /* 460424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 460427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 460431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460471 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460471 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460476 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460476 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460481 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460485 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460508 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 460511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 460518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 460523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 460528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 460533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460552 */     GIR_RootConstrainSelectedInstOperands,
     /* 460553 */     // GIR_Coverage, 12350,
     /* 460553 */     GIR_EraseRootFromParent_Done,
     /* 460554 */   // Label 6556: @460554
     /* 460554 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(460689), // Rule ID 12825 //
     /* 460559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 460562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 460566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460594 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460602 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460606 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460606 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460611 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460611 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460616 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460636 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460643 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 460646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 460653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 460658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 460663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 460668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460687 */     GIR_RootConstrainSelectedInstOperands,
     /* 460688 */     // GIR_Coverage, 12825,
     /* 460688 */     GIR_EraseRootFromParent_Done,
     /* 460689 */   // Label 6557: @460689
     /* 460689 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(460824), // Rule ID 12826 //
     /* 460694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 460697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 460701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460741 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460746 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460771 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460778 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 460781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 460788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 460793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 460798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 460803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460822 */     GIR_RootConstrainSelectedInstOperands,
     /* 460823 */     // GIR_Coverage, 12826,
     /* 460823 */     GIR_EraseRootFromParent_Done,
     /* 460824 */   // Label 6558: @460824
     /* 460824 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(460959), // Rule ID 12829 //
     /* 460829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 460832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 460836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460864 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 460868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 460872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 460876 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 460876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 460881 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 460881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 460886 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 460890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 460892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 460913 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 460913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 460916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 460918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 460923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 460928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 460933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 460938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 460943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 460948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 460957 */     GIR_RootConstrainSelectedInstOperands,
     /* 460958 */     // GIR_Coverage, 12829,
     /* 460958 */     GIR_EraseRootFromParent_Done,
     /* 460959 */   // Label 6559: @460959
     /* 460959 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(461094), // Rule ID 12830 //
     /* 460964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 460967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 460971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 460975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 460983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 460987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 460991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 460995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 460999 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 461011 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461016 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461016 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461048 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 461051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 461058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 461063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 461068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 461073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461092 */     GIR_RootConstrainSelectedInstOperands,
     /* 461093 */     // GIR_Coverage, 12830,
     /* 461093 */     GIR_EraseRootFromParent_Done,
     /* 461094 */   // Label 6560: @461094
     /* 461094 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(461229), // Rule ID 13305 //
     /* 461099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 461102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461134 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461138 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461142 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 461146 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461151 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461156 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461160 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461176 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461183 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 461186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 461193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 461198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 461203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 461208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461227 */     GIR_RootConstrainSelectedInstOperands,
     /* 461228 */     // GIR_Coverage, 13305,
     /* 461228 */     GIR_EraseRootFromParent_Done,
     /* 461229 */   // Label 6561: @461229
     /* 461229 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(461364), // Rule ID 13306 //
     /* 461234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 461237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461269 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 461281 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461281 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461286 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461291 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461295 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461311 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461318 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 461321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 461328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 461333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 461338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 461343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461362 */     GIR_RootConstrainSelectedInstOperands,
     /* 461363 */     // GIR_Coverage, 13306,
     /* 461363 */     GIR_EraseRootFromParent_Done,
     /* 461364 */   // Label 6562: @461364
     /* 461364 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(461499), // Rule ID 13309 //
     /* 461369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 461372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 461416 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461421 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461426 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461432 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461446 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461453 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 461456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 461463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 461468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 461473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 461478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461497 */     GIR_RootConstrainSelectedInstOperands,
     /* 461498 */     // GIR_Coverage, 13309,
     /* 461498 */     GIR_EraseRootFromParent_Done,
     /* 461499 */   // Label 6563: @461499
     /* 461499 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(461634), // Rule ID 13310 //
     /* 461504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 461507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 461551 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461556 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461565 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461567 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461581 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461588 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 461591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 461598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 461603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 461608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 461613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461632 */     GIR_RootConstrainSelectedInstOperands,
     /* 461633 */     // GIR_Coverage, 13310,
     /* 461633 */     GIR_EraseRootFromParent_Done,
     /* 461634 */   // Label 6564: @461634
     /* 461634 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(461769), // Rule ID 12330 //
     /* 461639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 461642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461674 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 461686 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461691 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461696 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461700 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461702 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461716 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461723 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 461726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 461733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 461738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 461743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 461748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461767 */     GIR_RootConstrainSelectedInstOperands,
     /* 461768 */     // GIR_Coverage, 12330,
     /* 461768 */     GIR_EraseRootFromParent_Done,
     /* 461769 */   // Label 6565: @461769
     /* 461769 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(461904), // Rule ID 12331 //
     /* 461774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 461777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461809 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 461821 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461821 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461826 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461826 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461835 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461851 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461858 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 461861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 461868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 461873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 461878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 461883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 461888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 461893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 461902 */     GIR_RootConstrainSelectedInstOperands,
     /* 461903 */     // GIR_Coverage, 12331,
     /* 461903 */     GIR_EraseRootFromParent_Done,
     /* 461904 */   // Label 6566: @461904
     /* 461904 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(462039), // Rule ID 12334 //
     /* 461909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 461912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 461916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 461920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 461928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 461932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 461936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 461940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 461944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 461948 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 461952 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 461956 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 461956 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 461961 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 461961 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 461966 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 461970 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 461972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461986 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 461993 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 461993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 461996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 461998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 462003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 462008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 462013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 462018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462037 */     GIR_RootConstrainSelectedInstOperands,
     /* 462038 */     // GIR_Coverage, 12334,
     /* 462038 */     GIR_EraseRootFromParent_Done,
     /* 462039 */   // Label 6567: @462039
     /* 462039 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(462174), // Rule ID 12335 //
     /* 462044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 462047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 462051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462079 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462091 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462096 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462107 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462121 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462128 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 462131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 462138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 462143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 462148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 462153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462172 */     GIR_RootConstrainSelectedInstOperands,
     /* 462173 */     // GIR_Coverage, 12335,
     /* 462173 */     GIR_EraseRootFromParent_Done,
     /* 462174 */   // Label 6568: @462174
     /* 462174 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(462309), // Rule ID 12810 //
     /* 462179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 462182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 462186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462214 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462218 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462222 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462226 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462226 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462231 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462236 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462240 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462256 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462263 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 462266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 462273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 462278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 462283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 462288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462307 */     GIR_RootConstrainSelectedInstOperands,
     /* 462308 */     // GIR_Coverage, 12810,
     /* 462308 */     GIR_EraseRootFromParent_Done,
     /* 462309 */   // Label 6569: @462309
     /* 462309 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(462444), // Rule ID 12811 //
     /* 462314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 462317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 462321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462361 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462366 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462371 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462391 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462398 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 462401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 462408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 462413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 462418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 462423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462442 */     GIR_RootConstrainSelectedInstOperands,
     /* 462443 */     // GIR_Coverage, 12811,
     /* 462443 */     GIR_EraseRootFromParent_Done,
     /* 462444 */   // Label 6570: @462444
     /* 462444 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(462579), // Rule ID 12814 //
     /* 462449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 462452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 462456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462488 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462492 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462496 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462501 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462501 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462506 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462510 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462512 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462526 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462533 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 462536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 462543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 462548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 462553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 462558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462577 */     GIR_RootConstrainSelectedInstOperands,
     /* 462578 */     // GIR_Coverage, 12814,
     /* 462578 */     GIR_EraseRootFromParent_Done,
     /* 462579 */   // Label 6571: @462579
     /* 462579 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(462714), // Rule ID 12815 //
     /* 462584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 462587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 462591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462623 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462627 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462631 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462631 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462636 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462636 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462641 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462661 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462668 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 462671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 462678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 462683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 462688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 462693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462712 */     GIR_RootConstrainSelectedInstOperands,
     /* 462713 */     // GIR_Coverage, 12815,
     /* 462713 */     GIR_EraseRootFromParent_Done,
     /* 462714 */   // Label 6572: @462714
     /* 462714 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(462849), // Rule ID 13290 //
     /* 462719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 462722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 462726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462754 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462766 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462766 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462771 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462780 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462796 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462803 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 462806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 462813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 462818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 462823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 462828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462847 */     GIR_RootConstrainSelectedInstOperands,
     /* 462848 */     // GIR_Coverage, 13290,
     /* 462848 */     GIR_EraseRootFromParent_Done,
     /* 462849 */   // Label 6573: @462849
     /* 462849 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(462984), // Rule ID 13291 //
     /* 462854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 462857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 462861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 462865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 462873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 462877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 462881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 462885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 462889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 462893 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 462897 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 462901 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 462901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 462906 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 462906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 462911 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 462915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 462917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 462938 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 462938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 462941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 462943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 462948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 462953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 462958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 462963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 462968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 462973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 462982 */     GIR_RootConstrainSelectedInstOperands,
     /* 462983 */     // GIR_Coverage, 13291,
     /* 462983 */     GIR_EraseRootFromParent_Done,
     /* 462984 */   // Label 6574: @462984
     /* 462984 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(463119), // Rule ID 13294 //
     /* 462989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 462992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 462996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 463032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 463036 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463041 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463041 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463073 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 463076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 463083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 463088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 463093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 463098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463117 */     GIR_RootConstrainSelectedInstOperands,
     /* 463118 */     // GIR_Coverage, 13294,
     /* 463118 */     GIR_EraseRootFromParent_Done,
     /* 463119 */   // Label 6575: @463119
     /* 463119 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(463254), // Rule ID 13295 //
     /* 463124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 463127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463159 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 463167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 463171 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463171 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463176 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463176 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463181 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463187 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463201 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463208 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 463211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 463218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 463223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 463228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 463233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463252 */     GIR_RootConstrainSelectedInstOperands,
     /* 463253 */     // GIR_Coverage, 13295,
     /* 463253 */     GIR_EraseRootFromParent_Done,
     /* 463254 */   // Label 6576: @463254
     /* 463254 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(463389), // Rule ID 7840 //
     /* 463259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 463262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463294 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463306 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463311 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463311 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463322 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463336 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463343 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 463346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 463353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 463358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 463363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 463368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463387 */     GIR_RootConstrainSelectedInstOperands,
     /* 463388 */     // GIR_Coverage, 7840,
     /* 463388 */     GIR_EraseRootFromParent_Done,
     /* 463389 */   // Label 6577: @463389
     /* 463389 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(463524), // Rule ID 7872 //
     /* 463394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 463397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 463401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463433 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463437 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463441 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463441 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463446 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463446 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463451 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463455 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463464 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463471 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463478 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 463481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 463488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 463493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 463498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 463503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463522 */     GIR_RootConstrainSelectedInstOperands,
     /* 463523 */     // GIR_Coverage, 7872,
     /* 463523 */     GIR_EraseRootFromParent_Done,
     /* 463524 */   // Label 6578: @463524
     /* 463524 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(463659), // Rule ID 7904 //
     /* 463529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 463532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463564 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463576 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463576 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463581 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463581 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463586 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463592 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463606 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463613 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 463616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 463623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 463628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 463633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 463638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463657 */     GIR_RootConstrainSelectedInstOperands,
     /* 463658 */     // GIR_Coverage, 7904,
     /* 463658 */     GIR_EraseRootFromParent_Done,
     /* 463659 */   // Label 6579: @463659
     /* 463659 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(463794), // Rule ID 12344 //
     /* 463664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 463667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463699 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463711 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463716 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463716 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463721 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463741 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463748 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 463751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 463758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 463763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 463768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 463773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463792 */     GIR_RootConstrainSelectedInstOperands,
     /* 463793 */     // GIR_Coverage, 12344,
     /* 463793 */     GIR_EraseRootFromParent_Done,
     /* 463794 */   // Label 6580: @463794
     /* 463794 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(463929), // Rule ID 12347 //
     /* 463799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 463802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463846 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463851 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463856 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 463883 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 463883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 463886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 463888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 463893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 463898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 463903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 463908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 463913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 463918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 463927 */     GIR_RootConstrainSelectedInstOperands,
     /* 463928 */     // GIR_Coverage, 12347,
     /* 463928 */     GIR_EraseRootFromParent_Done,
     /* 463929 */   // Label 6581: @463929
     /* 463929 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(464064), // Rule ID 12348 //
     /* 463934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 463937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 463941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 463945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 463953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 463957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 463961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 463965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 463969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 463973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 463977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 463981 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 463981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 463986 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 463986 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 463991 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 463995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 463997 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464011 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464018 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 464021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 464028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 464033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 464038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 464043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464062 */     GIR_RootConstrainSelectedInstOperands,
     /* 464063 */     // GIR_Coverage, 12348,
     /* 464063 */     GIR_EraseRootFromParent_Done,
     /* 464064 */   // Label 6582: @464064
     /* 464064 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(464199), // Rule ID 12824 //
     /* 464069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 464072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 464076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464104 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464108 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464112 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464116 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464116 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464121 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464121 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464126 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464130 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464132 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464146 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464153 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 464156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 464163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 464168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 464173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 464178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464197 */     GIR_RootConstrainSelectedInstOperands,
     /* 464198 */     // GIR_Coverage, 12824,
     /* 464198 */     GIR_EraseRootFromParent_Done,
     /* 464199 */   // Label 6583: @464199
     /* 464199 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(464334), // Rule ID 12827 //
     /* 464204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 464207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 464211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464251 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464256 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464256 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464261 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464281 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464288 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 464291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 464298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 464303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 464308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 464313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464332 */     GIR_RootConstrainSelectedInstOperands,
     /* 464333 */     // GIR_Coverage, 12827,
     /* 464333 */     GIR_EraseRootFromParent_Done,
     /* 464334 */   // Label 6584: @464334
     /* 464334 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(464469), // Rule ID 12828 //
     /* 464339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 464342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 464346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464374 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464386 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464391 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464400 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464402 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464423 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 464426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 464433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 464438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 464443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 464448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464467 */     GIR_RootConstrainSelectedInstOperands,
     /* 464468 */     // GIR_Coverage, 12828,
     /* 464468 */     GIR_EraseRootFromParent_Done,
     /* 464469 */   // Label 6585: @464469
     /* 464469 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(464604), // Rule ID 13304 //
     /* 464474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 464477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 464481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464509 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464521 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464521 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464526 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464526 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464531 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464537 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464551 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464558 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 464561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 464568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 464573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 464578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 464583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464602 */     GIR_RootConstrainSelectedInstOperands,
     /* 464603 */     // GIR_Coverage, 13304,
     /* 464603 */     GIR_EraseRootFromParent_Done,
     /* 464604 */   // Label 6586: @464604
     /* 464604 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(464739), // Rule ID 13307 //
     /* 464609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 464612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 464616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464656 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464661 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464661 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464666 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464672 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464679 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464686 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464693 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 464696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 464703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 464708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 464713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 464718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464737 */     GIR_RootConstrainSelectedInstOperands,
     /* 464738 */     // GIR_Coverage, 13307,
     /* 464738 */     GIR_EraseRootFromParent_Done,
     /* 464739 */   // Label 6587: @464739
     /* 464739 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(464874), // Rule ID 13308 //
     /* 464744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 464747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 464751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 464791 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464796 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464796 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464801 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464805 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464821 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464828 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 464831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 464838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 464843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 464848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 464853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 464872 */     GIR_RootConstrainSelectedInstOperands,
     /* 464873 */     // GIR_Coverage, 13308,
     /* 464873 */     GIR_EraseRootFromParent_Done,
     /* 464874 */   // Label 6588: @464874
     /* 464874 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(465009), // Rule ID 7839 //
     /* 464879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 464882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 464886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 464890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 464898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 464902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 464906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 464910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 464914 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 464918 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 464922 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 464926 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 464926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 464931 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 464931 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 464936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 464940 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 464942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464956 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 464963 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 464963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 464966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 464968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 464973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 464978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 464983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 464988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 464993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 464998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465007 */     GIR_RootConstrainSelectedInstOperands,
     /* 465008 */     // GIR_Coverage, 7839,
     /* 465008 */     GIR_EraseRootFromParent_Done,
     /* 465009 */   // Label 6589: @465009
     /* 465009 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(465144), // Rule ID 7871 //
     /* 465014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 465017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 465021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465061 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465066 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465075 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465091 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465098 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 465101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 465108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 465113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 465118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 465123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465142 */     GIR_RootConstrainSelectedInstOperands,
     /* 465143 */     // GIR_Coverage, 7871,
     /* 465143 */     GIR_EraseRootFromParent_Done,
     /* 465144 */   // Label 6590: @465144
     /* 465144 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(465279), // Rule ID 7903 //
     /* 465149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 465152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 465156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465184 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465196 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465201 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465210 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465212 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465226 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465233 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 465236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 465243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 465248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 465253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 465258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465277 */     GIR_RootConstrainSelectedInstOperands,
     /* 465278 */     // GIR_Coverage, 7903,
     /* 465278 */     GIR_EraseRootFromParent_Done,
     /* 465279 */   // Label 6591: @465279
     /* 465279 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(465414), // Rule ID 12329 //
     /* 465284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 465287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 465291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465331 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465336 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465341 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465345 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465361 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465368 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 465371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 465378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 465383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 465388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 465393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465412 */     GIR_RootConstrainSelectedInstOperands,
     /* 465413 */     // GIR_Coverage, 12329,
     /* 465413 */     GIR_EraseRootFromParent_Done,
     /* 465414 */   // Label 6592: @465414
     /* 465414 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(465549), // Rule ID 12332 //
     /* 465419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 465422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 465426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465454 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465458 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465462 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465466 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465466 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465471 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465471 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465476 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465480 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465482 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465496 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465503 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 465506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 465513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 465518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 465523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 465528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465547 */     GIR_RootConstrainSelectedInstOperands,
     /* 465548 */     // GIR_Coverage, 12332,
     /* 465548 */     GIR_EraseRootFromParent_Done,
     /* 465549 */   // Label 6593: @465549
     /* 465549 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(465684), // Rule ID 12333 //
     /* 465554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 465557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 465561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465593 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465597 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465601 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465601 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465606 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465606 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465611 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465615 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465617 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465631 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465638 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 465641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 465648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 465653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 465658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 465663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465682 */     GIR_RootConstrainSelectedInstOperands,
     /* 465683 */     // GIR_Coverage, 12333,
     /* 465683 */     GIR_EraseRootFromParent_Done,
     /* 465684 */   // Label 6594: @465684
     /* 465684 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(465819), // Rule ID 12809 //
     /* 465689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 465692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 465696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465724 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465728 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465732 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465736 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465736 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465741 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465746 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465752 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465766 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465773 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 465776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 465783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 465788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 465793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 465798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465817 */     GIR_RootConstrainSelectedInstOperands,
     /* 465818 */     // GIR_Coverage, 12809,
     /* 465818 */     GIR_EraseRootFromParent_Done,
     /* 465819 */   // Label 6595: @465819
     /* 465819 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(465954), // Rule ID 12812 //
     /* 465824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 465827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 465831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 465867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 465871 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 465871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 465876 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 465876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 465881 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 465885 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 465887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465901 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 465908 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 465908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 465911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 465913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 465918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 465923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 465928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 465933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 465938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 465943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 465952 */     GIR_RootConstrainSelectedInstOperands,
     /* 465953 */     // GIR_Coverage, 12812,
     /* 465953 */     GIR_EraseRootFromParent_Done,
     /* 465954 */   // Label 6596: @465954
     /* 465954 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(466089), // Rule ID 12813 //
     /* 465959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 465962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 465966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 465970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 465978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 465982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 465986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 465990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 465994 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 465998 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 466002 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 466006 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466011 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466020 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466043 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 466046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 466053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 466058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 466063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 466068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466087 */     GIR_RootConstrainSelectedInstOperands,
     /* 466088 */     // GIR_Coverage, 12813,
     /* 466088 */     GIR_EraseRootFromParent_Done,
     /* 466089 */   // Label 6597: @466089
     /* 466089 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(466224), // Rule ID 13289 //
     /* 466094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 466097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 466137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 466141 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466146 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466171 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466178 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 466181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 466188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 466193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 466198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 466203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466222 */     GIR_RootConstrainSelectedInstOperands,
     /* 466223 */     // GIR_Coverage, 13289,
     /* 466223 */     GIR_EraseRootFromParent_Done,
     /* 466224 */   // Label 6598: @466224
     /* 466224 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(466359), // Rule ID 13292 //
     /* 466229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 466232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 466272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 466276 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466281 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466281 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466286 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466292 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466313 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 466316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 466323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 466328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 466333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 466338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466357 */     GIR_RootConstrainSelectedInstOperands,
     /* 466358 */     // GIR_Coverage, 13292,
     /* 466358 */     GIR_EraseRootFromParent_Done,
     /* 466359 */   // Label 6599: @466359
     /* 466359 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(466494), // Rule ID 13293 //
     /* 466364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 466367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 466407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 466411 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466411 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466416 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466421 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466441 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466448 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 466451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 466458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 466463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 466468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 466473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466492 */     GIR_RootConstrainSelectedInstOperands,
     /* 466493 */     // GIR_Coverage, 13293,
     /* 466493 */     GIR_EraseRootFromParent_Done,
     /* 466494 */   // Label 6600: @466494
     /* 466494 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(466629), // Rule ID 12315 //
     /* 466499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 466502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 466530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466534 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466538 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 466542 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 466546 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466551 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466560 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466576 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466583 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 466586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 466593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 466598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 466603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 466608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466627 */     GIR_RootConstrainSelectedInstOperands,
     /* 466628 */     // GIR_Coverage, 12315,
     /* 466628 */     GIR_EraseRootFromParent_Done,
     /* 466629 */   // Label 6601: @466629
     /* 466629 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(466764), // Rule ID 12316 //
     /* 466634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 466637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 466665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466673 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 466677 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 466681 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466686 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466691 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466718 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 466721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 466728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 466733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 466738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 466743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466762 */     GIR_RootConstrainSelectedInstOperands,
     /* 466763 */     // GIR_Coverage, 12316,
     /* 466763 */     GIR_EraseRootFromParent_Done,
     /* 466764 */   // Label 6602: @466764
     /* 466764 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(466899), // Rule ID 12319 //
     /* 466769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 466772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 466800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 466812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 466816 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466816 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466821 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466821 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466826 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466832 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466846 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466853 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 466856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 466863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 466868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 466873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 466878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 466883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 466888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 466897 */     GIR_RootConstrainSelectedInstOperands,
     /* 466898 */     // GIR_Coverage, 12319,
     /* 466898 */     GIR_EraseRootFromParent_Done,
     /* 466899 */   // Label 6603: @466899
     /* 466899 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(467034), // Rule ID 12320 //
     /* 466904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 466907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 466911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 466915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 466919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 466923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 466927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 466931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 466935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 466939 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 466943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 466947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 466951 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 466951 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 466956 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 466956 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 466961 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 466965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 466967 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466981 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 466988 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 466988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 466991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 466993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 466998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 467003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 467008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 467013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467032 */     GIR_RootConstrainSelectedInstOperands,
     /* 467033 */     // GIR_Coverage, 12320,
     /* 467033 */     GIR_EraseRootFromParent_Done,
     /* 467034 */   // Label 6604: @467034
     /* 467034 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(467169), // Rule ID 12795 //
     /* 467039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 467042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 467046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467078 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467082 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467086 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467086 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467091 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467096 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467123 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 467126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 467133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 467138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 467143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 467148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467167 */     GIR_RootConstrainSelectedInstOperands,
     /* 467168 */     // GIR_Coverage, 12795,
     /* 467168 */     GIR_EraseRootFromParent_Done,
     /* 467169 */   // Label 6605: @467169
     /* 467169 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(467304), // Rule ID 12796 //
     /* 467174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 467177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 467181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467221 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467221 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467226 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467226 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467231 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467251 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467258 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 467261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 467268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 467273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 467278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 467283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467302 */     GIR_RootConstrainSelectedInstOperands,
     /* 467303 */     // GIR_Coverage, 12796,
     /* 467303 */     GIR_EraseRootFromParent_Done,
     /* 467304 */   // Label 6606: @467304
     /* 467304 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(467439), // Rule ID 12799 //
     /* 467309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 467312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 467316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467356 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467361 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467366 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467372 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467386 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467393 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 467396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 467403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 467408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 467413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 467418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467437 */     GIR_RootConstrainSelectedInstOperands,
     /* 467438 */     // GIR_Coverage, 12799,
     /* 467438 */     GIR_EraseRootFromParent_Done,
     /* 467439 */   // Label 6607: @467439
     /* 467439 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(467574), // Rule ID 12800 //
     /* 467444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 467447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 467451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467491 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467496 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467501 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467507 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467521 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467528 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 467531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 467538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 467543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 467548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 467553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467572 */     GIR_RootConstrainSelectedInstOperands,
     /* 467573 */     // GIR_Coverage, 12800,
     /* 467573 */     GIR_EraseRootFromParent_Done,
     /* 467574 */   // Label 6608: @467574
     /* 467574 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(467709), // Rule ID 13275 //
     /* 467579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 467582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 467586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467626 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467631 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467631 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467636 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467642 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467656 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467663 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 467666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 467673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 467678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 467683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 467688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467707 */     GIR_RootConstrainSelectedInstOperands,
     /* 467708 */     // GIR_Coverage, 13275,
     /* 467708 */     GIR_EraseRootFromParent_Done,
     /* 467709 */   // Label 6609: @467709
     /* 467709 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(467844), // Rule ID 13276 //
     /* 467714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 467717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 467721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467761 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467766 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467766 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467771 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467775 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467791 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467798 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 467801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 467808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 467813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 467818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 467823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467842 */     GIR_RootConstrainSelectedInstOperands,
     /* 467843 */     // GIR_Coverage, 13276,
     /* 467843 */     GIR_EraseRootFromParent_Done,
     /* 467844 */   // Label 6610: @467844
     /* 467844 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(467979), // Rule ID 13279 //
     /* 467849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 467852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 467856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 467868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 467872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 467876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 467880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 467884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 467888 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 467892 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 467896 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 467896 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 467901 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 467901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 467906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 467910 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 467912 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467926 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 467933 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 467933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 467936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 467938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 467943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 467948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 467953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 467958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 467963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 467968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 467977 */     GIR_RootConstrainSelectedInstOperands,
     /* 467978 */     // GIR_Coverage, 13279,
     /* 467978 */     GIR_EraseRootFromParent_Done,
     /* 467979 */   // Label 6611: @467979
     /* 467979 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(468114), // Rule ID 13280 //
     /* 467984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 467987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 467991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 467995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 467999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468019 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 468031 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468031 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468036 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468047 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468068 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 468071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 468078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 468083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 468088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 468093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468112 */     GIR_RootConstrainSelectedInstOperands,
     /* 468113 */     // GIR_Coverage, 13280,
     /* 468113 */     GIR_EraseRootFromParent_Done,
     /* 468114 */   // Label 6612: @468114
     /* 468114 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(468249), // Rule ID 12300 //
     /* 468119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 468122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 468126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468154 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468166 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468166 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468171 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468171 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468176 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468182 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468196 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468203 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 468206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 468213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 468218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 468223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 468228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468247 */     GIR_RootConstrainSelectedInstOperands,
     /* 468248 */     // GIR_Coverage, 12300,
     /* 468248 */     GIR_EraseRootFromParent_Done,
     /* 468249 */   // Label 6613: @468249
     /* 468249 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(468384), // Rule ID 12301 //
     /* 468254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 468257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 468261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468301 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468306 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468311 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468315 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468317 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468331 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468338 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 468341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 468348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 468353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 468358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 468363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468382 */     GIR_RootConstrainSelectedInstOperands,
     /* 468383 */     // GIR_Coverage, 12301,
     /* 468383 */     GIR_EraseRootFromParent_Done,
     /* 468384 */   // Label 6614: @468384
     /* 468384 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(468519), // Rule ID 12304 //
     /* 468389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 468392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 468396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468428 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468432 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468436 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468441 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468441 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468450 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468466 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468473 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 468476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 468483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 468488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 468493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 468498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468517 */     GIR_RootConstrainSelectedInstOperands,
     /* 468518 */     // GIR_Coverage, 12304,
     /* 468518 */     GIR_EraseRootFromParent_Done,
     /* 468519 */   // Label 6615: @468519
     /* 468519 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(468654), // Rule ID 12305 //
     /* 468524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 468527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 468531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468559 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468571 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468571 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468576 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468576 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468585 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468601 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468608 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 468611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 468618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 468623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 468628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 468633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468652 */     GIR_RootConstrainSelectedInstOperands,
     /* 468653 */     // GIR_Coverage, 12305,
     /* 468653 */     GIR_EraseRootFromParent_Done,
     /* 468654 */   // Label 6616: @468654
     /* 468654 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(468789), // Rule ID 12780 //
     /* 468659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 468662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 468666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468694 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468702 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468706 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468711 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468716 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468720 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468736 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468743 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 468746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 468753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 468758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 468763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 468768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468787 */     GIR_RootConstrainSelectedInstOperands,
     /* 468788 */     // GIR_Coverage, 12780,
     /* 468788 */     GIR_EraseRootFromParent_Done,
     /* 468789 */   // Label 6617: @468789
     /* 468789 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(468924), // Rule ID 12781 //
     /* 468794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 468797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 468801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468829 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468841 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468846 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468851 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468855 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468871 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468878 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 468878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 468881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 468883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 468888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 468893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 468898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 468903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 468908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 468913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 468922 */     GIR_RootConstrainSelectedInstOperands,
     /* 468923 */     // GIR_Coverage, 12781,
     /* 468923 */     GIR_EraseRootFromParent_Done,
     /* 468924 */   // Label 6618: @468924
     /* 468924 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(469059), // Rule ID 12784 //
     /* 468929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 468932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 468936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 468940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 468944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 468948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 468952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 468956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 468960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 468964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 468968 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 468972 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 468976 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 468976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 468981 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 468981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 468986 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 468990 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 468992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 468999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469013 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 469016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 469023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 469028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 469033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 469038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469057 */     GIR_RootConstrainSelectedInstOperands,
     /* 469058 */     // GIR_Coverage, 12784,
     /* 469058 */     GIR_EraseRootFromParent_Done,
     /* 469059 */   // Label 6619: @469059
     /* 469059 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(469194), // Rule ID 12785 //
     /* 469064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 469067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 469071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469099 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 469107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 469111 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469116 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469116 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469121 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469125 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469127 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469141 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469148 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 469151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 469158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 469163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 469168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 469173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469192 */     GIR_RootConstrainSelectedInstOperands,
     /* 469193 */     // GIR_Coverage, 12785,
     /* 469193 */     GIR_EraseRootFromParent_Done,
     /* 469194 */   // Label 6620: @469194
     /* 469194 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(469329), // Rule ID 13260 //
     /* 469199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 469202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 469206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469234 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469238 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 469242 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 469246 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469246 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469251 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469256 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469260 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469276 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469283 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 469286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 469293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 469298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 469303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 469308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469327 */     GIR_RootConstrainSelectedInstOperands,
     /* 469328 */     // GIR_Coverage, 13260,
     /* 469328 */     GIR_EraseRootFromParent_Done,
     /* 469329 */   // Label 6621: @469329
     /* 469329 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(469464), // Rule ID 13261 //
     /* 469334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 469337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 469341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 469377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 469381 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469386 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469395 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469397 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469411 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469418 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 469421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 469428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 469433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 469438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 469443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469462 */     GIR_RootConstrainSelectedInstOperands,
     /* 469463 */     // GIR_Coverage, 13261,
     /* 469463 */     GIR_EraseRootFromParent_Done,
     /* 469464 */   // Label 6622: @469464
     /* 469464 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(469599), // Rule ID 13264 //
     /* 469469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 469472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 469476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469504 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469508 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 469512 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 469516 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469516 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469521 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469521 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469530 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469546 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469553 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 469556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 469563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 469568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 469573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 469578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469597 */     GIR_RootConstrainSelectedInstOperands,
     /* 469598 */     // GIR_Coverage, 13264,
     /* 469598 */     GIR_EraseRootFromParent_Done,
     /* 469599 */   // Label 6623: @469599
     /* 469599 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(469734), // Rule ID 13265 //
     /* 469604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 469607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 469611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469639 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 469647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 469651 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469656 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469661 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469688 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 469691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 469698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 469703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 469708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 469713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469732 */     GIR_RootConstrainSelectedInstOperands,
     /* 469733 */     // GIR_Coverage, 13265,
     /* 469733 */     GIR_EraseRootFromParent_Done,
     /* 469734 */   // Label 6624: @469734
     /* 469734 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(469869), // Rule ID 7838 //
     /* 469739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 469742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 469746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 469782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 469786 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469791 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469796 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469816 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469823 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 469826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 469833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 469838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 469843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 469848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469867 */     GIR_RootConstrainSelectedInstOperands,
     /* 469868 */     // GIR_Coverage, 7838,
     /* 469868 */     GIR_EraseRootFromParent_Done,
     /* 469869 */   // Label 6625: @469869
     /* 469869 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(470004), // Rule ID 7870 //
     /* 469874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 469877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 469881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 469885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 469889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 469893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 469897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 469901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 469905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 469909 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 469913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 469917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 469921 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 469921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 469926 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 469926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 469931 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 469935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 469937 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469951 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 469958 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 469958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 469961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 469963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 469968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 469973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 469978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 469983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 469988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 469993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 469999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470002 */     GIR_RootConstrainSelectedInstOperands,
     /* 470003 */     // GIR_Coverage, 7870,
     /* 470003 */     GIR_EraseRootFromParent_Done,
     /* 470004 */   // Label 6626: @470004
     /* 470004 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(470139), // Rule ID 7902 //
     /* 470009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 470012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 470016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470044 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470048 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470052 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470056 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470056 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470061 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470066 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470086 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470093 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 470096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 470103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 470108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 470113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 470118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470137 */     GIR_RootConstrainSelectedInstOperands,
     /* 470138 */     // GIR_Coverage, 7902,
     /* 470138 */     GIR_EraseRootFromParent_Done,
     /* 470139 */   // Label 6627: @470139
     /* 470139 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(470274), // Rule ID 12314 //
     /* 470144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 470147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 470151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470179 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470183 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470187 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470191 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470191 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470196 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470228 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 470231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 470238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 470243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 470248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 470253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470272 */     GIR_RootConstrainSelectedInstOperands,
     /* 470273 */     // GIR_Coverage, 12314,
     /* 470273 */     GIR_EraseRootFromParent_Done,
     /* 470274 */   // Label 6628: @470274
     /* 470274 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(470409), // Rule ID 12317 //
     /* 470279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 470282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 470286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470314 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470318 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470322 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470326 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470331 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470336 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470363 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 470366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 470373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 470378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 470383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 470388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470407 */     GIR_RootConstrainSelectedInstOperands,
     /* 470408 */     // GIR_Coverage, 12317,
     /* 470408 */     GIR_EraseRootFromParent_Done,
     /* 470409 */   // Label 6629: @470409
     /* 470409 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(470544), // Rule ID 12318 //
     /* 470414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 470417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 470421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470461 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470466 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470466 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470471 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470491 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470498 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 470501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 470508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 470513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 470518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 470523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470542 */     GIR_RootConstrainSelectedInstOperands,
     /* 470543 */     // GIR_Coverage, 12318,
     /* 470543 */     GIR_EraseRootFromParent_Done,
     /* 470544 */   // Label 6630: @470544
     /* 470544 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(470679), // Rule ID 12794 //
     /* 470549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 470552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 470556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470584 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470596 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470596 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470601 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470601 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470626 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470633 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 470636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 470643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 470648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 470653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 470658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470677 */     GIR_RootConstrainSelectedInstOperands,
     /* 470678 */     // GIR_Coverage, 12794,
     /* 470678 */     GIR_EraseRootFromParent_Done,
     /* 470679 */   // Label 6631: @470679
     /* 470679 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(470814), // Rule ID 12797 //
     /* 470684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 470687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 470691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470719 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470731 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470731 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470736 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470736 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470741 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470747 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470754 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470768 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 470771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 470778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 470783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 470788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 470793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470812 */     GIR_RootConstrainSelectedInstOperands,
     /* 470813 */     // GIR_Coverage, 12797,
     /* 470813 */     GIR_EraseRootFromParent_Done,
     /* 470814 */   // Label 6632: @470814
     /* 470814 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(470949), // Rule ID 12798 //
     /* 470819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 470822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 470826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470854 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470858 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470862 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 470866 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 470866 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 470871 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 470871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 470876 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 470880 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 470882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470896 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 470903 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 470903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 470906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 470908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 470913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 470918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 470923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 470928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 470933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 470938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 470947 */     GIR_RootConstrainSelectedInstOperands,
     /* 470948 */     // GIR_Coverage, 12798,
     /* 470948 */     GIR_EraseRootFromParent_Done,
     /* 470949 */   // Label 6633: @470949
     /* 470949 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(471084), // Rule ID 13274 //
     /* 470954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 470957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 470961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 470965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 470969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 470973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 470977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 470981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 470985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 470989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 470993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 470997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 471001 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471006 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471038 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 471041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 471048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 471053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 471058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 471063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471082 */     GIR_RootConstrainSelectedInstOperands,
     /* 471083 */     // GIR_Coverage, 13274,
     /* 471083 */     GIR_EraseRootFromParent_Done,
     /* 471084 */   // Label 6634: @471084
     /* 471084 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(471219), // Rule ID 13277 //
     /* 471089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 471092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471124 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 471136 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471141 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471152 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471173 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 471176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 471183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 471188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 471193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 471198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471217 */     GIR_RootConstrainSelectedInstOperands,
     /* 471218 */     // GIR_Coverage, 13277,
     /* 471218 */     GIR_EraseRootFromParent_Done,
     /* 471219 */   // Label 6635: @471219
     /* 471219 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(471354), // Rule ID 13278 //
     /* 471224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 471227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471259 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 471271 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471276 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471301 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471308 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 471311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 471318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 471323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 471328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 471333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471352 */     GIR_RootConstrainSelectedInstOperands,
     /* 471353 */     // GIR_Coverage, 13278,
     /* 471353 */     GIR_EraseRootFromParent_Done,
     /* 471354 */   // Label 6636: @471354
     /* 471354 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(471489), // Rule ID 7837 //
     /* 471359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 471362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471394 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 471406 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471411 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471411 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471416 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471420 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471422 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471436 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471443 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 471446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 471453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 471458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 471463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 471468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471487 */     GIR_RootConstrainSelectedInstOperands,
     /* 471488 */     // GIR_Coverage, 7837,
     /* 471488 */     GIR_EraseRootFromParent_Done,
     /* 471489 */   // Label 6637: @471489
     /* 471489 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(471624), // Rule ID 7869 //
     /* 471494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 471497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 471501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471529 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471533 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471537 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 471541 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471541 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471546 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471551 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471557 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471571 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471578 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 471581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 471588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 471593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 471598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 471603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471622 */     GIR_RootConstrainSelectedInstOperands,
     /* 471623 */     // GIR_Coverage, 7869,
     /* 471623 */     GIR_EraseRootFromParent_Done,
     /* 471624 */   // Label 6638: @471624
     /* 471624 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(471759), // Rule ID 7901 //
     /* 471629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 471632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471664 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 471676 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471676 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471681 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471686 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471692 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471713 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 471716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 471723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 471728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 471733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 471738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471757 */     GIR_RootConstrainSelectedInstOperands,
     /* 471758 */     // GIR_Coverage, 7901,
     /* 471758 */     GIR_EraseRootFromParent_Done,
     /* 471759 */   // Label 6639: @471759
     /* 471759 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(471894), // Rule ID 12299 //
     /* 471764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 471767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471799 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 471811 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471816 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471816 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471848 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 471851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 471858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 471863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 471868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 471873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 471878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 471883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 471892 */     GIR_RootConstrainSelectedInstOperands,
     /* 471893 */     // GIR_Coverage, 12299,
     /* 471893 */     GIR_EraseRootFromParent_Done,
     /* 471894 */   // Label 6640: @471894
     /* 471894 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(472029), // Rule ID 12302 //
     /* 471899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 471902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 471906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 471910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 471914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 471918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 471922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 471926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 471930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 471934 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 471938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 471942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 471946 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 471946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 471951 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 471951 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 471956 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 471960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 471962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 471983 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 471983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 471986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 471988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 471993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 471998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472027 */     GIR_RootConstrainSelectedInstOperands,
     /* 472028 */     // GIR_Coverage, 12302,
     /* 472028 */     GIR_EraseRootFromParent_Done,
     /* 472029 */   // Label 6641: @472029
     /* 472029 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(472164), // Rule ID 12303 //
     /* 472034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 472037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 472041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472069 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472073 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472077 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472081 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472081 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472086 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472086 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472091 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472097 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472118 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 472121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 472128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 472133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472162 */     GIR_RootConstrainSelectedInstOperands,
     /* 472163 */     // GIR_Coverage, 12303,
     /* 472163 */     GIR_EraseRootFromParent_Done,
     /* 472164 */   // Label 6642: @472164
     /* 472164 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(472299), // Rule ID 12779 //
     /* 472169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 472172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 472176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472204 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472208 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472212 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472216 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472221 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472221 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472226 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472232 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472239 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472246 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472253 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 472256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 472263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 472268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 472273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 472278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472297 */     GIR_RootConstrainSelectedInstOperands,
     /* 472298 */     // GIR_Coverage, 12779,
     /* 472298 */     GIR_EraseRootFromParent_Done,
     /* 472299 */   // Label 6643: @472299
     /* 472299 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(472434), // Rule ID 12782 //
     /* 472304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 472307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 472311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472339 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472343 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472347 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472351 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472356 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472361 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472365 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472367 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472388 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 472391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 472398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 472403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472432 */     GIR_RootConstrainSelectedInstOperands,
     /* 472433 */     // GIR_Coverage, 12782,
     /* 472433 */     GIR_EraseRootFromParent_Done,
     /* 472434 */   // Label 6644: @472434
     /* 472434 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(472569), // Rule ID 12783 //
     /* 472439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 472442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 472446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472486 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472491 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472516 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472523 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 472526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 472533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 472538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472567 */     GIR_RootConstrainSelectedInstOperands,
     /* 472568 */     // GIR_Coverage, 12783,
     /* 472568 */     GIR_EraseRootFromParent_Done,
     /* 472569 */   // Label 6645: @472569
     /* 472569 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(472704), // Rule ID 13259 //
     /* 472574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 472577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 472581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472609 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472621 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472626 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472658 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 472661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 472668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 472673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 472678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 472683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472702 */     GIR_RootConstrainSelectedInstOperands,
     /* 472703 */     // GIR_Coverage, 13259,
     /* 472703 */     GIR_EraseRootFromParent_Done,
     /* 472704 */   // Label 6646: @472704
     /* 472704 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(472839), // Rule ID 13262 //
     /* 472709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 472712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 472716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472748 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472752 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472756 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472761 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472779 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472786 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472793 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 472796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 472803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 472808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472837 */     GIR_RootConstrainSelectedInstOperands,
     /* 472838 */     // GIR_Coverage, 13262,
     /* 472838 */     GIR_EraseRootFromParent_Done,
     /* 472839 */   // Label 6647: @472839
     /* 472839 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(472974), // Rule ID 13263 //
     /* 472844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 472847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 472851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 472867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 472871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 472875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 472879 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 472883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 472887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 472891 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 472891 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 472896 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 472896 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 472901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 472905 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 472907 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472921 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 472928 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 472928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 472931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 472933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 472938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 472943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 472948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 472953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 472958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 472963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 472972 */     GIR_RootConstrainSelectedInstOperands,
     /* 472973 */     // GIR_Coverage, 13263,
     /* 472973 */     GIR_EraseRootFromParent_Done,
     /* 472974 */   // Label 6648: @472974
     /* 472974 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(473109), // Rule ID 12355 //
     /* 472979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 472982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 472986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 472990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 472994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 472998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473014 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473018 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473022 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473026 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473031 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473031 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473036 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473049 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473063 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 473066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 473073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 473078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 473083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 473088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473107 */     GIR_RootConstrainSelectedInstOperands,
     /* 473108 */     // GIR_Coverage, 12355,
     /* 473108 */     GIR_EraseRootFromParent_Done,
     /* 473109 */   // Label 6649: @473109
     /* 473109 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(473244), // Rule ID 12356 //
     /* 473114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 473117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 473121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473153 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473157 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473161 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473161 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473166 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473166 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473171 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473184 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473191 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473198 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 473201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 473208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 473213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 473218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 473223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473242 */     GIR_RootConstrainSelectedInstOperands,
     /* 473243 */     // GIR_Coverage, 12356,
     /* 473243 */     GIR_EraseRootFromParent_Done,
     /* 473244 */   // Label 6650: @473244
     /* 473244 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(473379), // Rule ID 12357 //
     /* 473249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 473252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 473256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473284 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473288 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473292 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473296 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473301 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473333 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 473336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 473343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 473348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 473353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 473358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473377 */     GIR_RootConstrainSelectedInstOperands,
     /* 473378 */     // GIR_Coverage, 12357,
     /* 473378 */     GIR_EraseRootFromParent_Done,
     /* 473379 */   // Label 6651: @473379
     /* 473379 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(473514), // Rule ID 12358 //
     /* 473384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 473387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 473391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473431 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473436 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473441 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473454 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473461 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473468 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 473471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 473478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 473483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 473488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 473493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473512 */     GIR_RootConstrainSelectedInstOperands,
     /* 473513 */     // GIR_Coverage, 12358,
     /* 473513 */     GIR_EraseRootFromParent_Done,
     /* 473514 */   // Label 6652: @473514
     /* 473514 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(473649), // Rule ID 12835 //
     /* 473519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 473522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 473526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473554 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473558 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473562 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473566 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473566 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473571 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473571 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473576 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473596 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473603 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 473606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 473613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 473618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 473623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 473628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473647 */     GIR_RootConstrainSelectedInstOperands,
     /* 473648 */     // GIR_Coverage, 12835,
     /* 473648 */     GIR_EraseRootFromParent_Done,
     /* 473649 */   // Label 6653: @473649
     /* 473649 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(473784), // Rule ID 12836 //
     /* 473654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 473657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 473661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473701 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473701 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473706 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473711 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473715 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473717 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473724 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473731 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473738 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 473741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 473748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 473753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 473758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 473763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473782 */     GIR_RootConstrainSelectedInstOperands,
     /* 473783 */     // GIR_Coverage, 12836,
     /* 473783 */     GIR_EraseRootFromParent_Done,
     /* 473784 */   // Label 6654: @473784
     /* 473784 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(473919), // Rule ID 12837 //
     /* 473789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 473792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 473796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473836 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473841 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473846 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473859 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473866 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473873 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 473873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 473876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 473878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 473883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 473888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 473893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 473898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 473903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 473908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 473917 */     GIR_RootConstrainSelectedInstOperands,
     /* 473918 */     // GIR_Coverage, 12837,
     /* 473918 */     GIR_EraseRootFromParent_Done,
     /* 473919 */   // Label 6655: @473919
     /* 473919 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(474054), // Rule ID 12838 //
     /* 473924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 473927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 473931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 473935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 473943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 473947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 473951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 473955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 473959 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 473963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 473967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 473971 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 473971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 473976 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 473976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 473981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 473985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 473987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 473994 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474008 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 474011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 474018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 474023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 474028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 474033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474052 */     GIR_RootConstrainSelectedInstOperands,
     /* 474053 */     // GIR_Coverage, 12838,
     /* 474053 */     GIR_EraseRootFromParent_Done,
     /* 474054 */   // Label 6656: @474054
     /* 474054 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(474189), // Rule ID 13315 //
     /* 474059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 474062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474094 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474106 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474111 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474122 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474129 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474143 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 474146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 474153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 474158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 474163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 474168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474187 */     GIR_RootConstrainSelectedInstOperands,
     /* 474188 */     // GIR_Coverage, 13315,
     /* 474188 */     GIR_EraseRootFromParent_Done,
     /* 474189 */   // Label 6657: @474189
     /* 474189 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(474324), // Rule ID 13316 //
     /* 474194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 474197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474229 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474241 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474246 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474246 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474251 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474255 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474257 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474264 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474278 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 474281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 474288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 474293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 474298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 474303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474322 */     GIR_RootConstrainSelectedInstOperands,
     /* 474323 */     // GIR_Coverage, 13316,
     /* 474323 */     GIR_EraseRootFromParent_Done,
     /* 474324 */   // Label 6658: @474324
     /* 474324 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(474459), // Rule ID 13317 //
     /* 474329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 474332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474364 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474376 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474376 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474381 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474386 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474392 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474399 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474413 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 474416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 474423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 474428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 474433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 474438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474457 */     GIR_RootConstrainSelectedInstOperands,
     /* 474458 */     // GIR_Coverage, 13317,
     /* 474458 */     GIR_EraseRootFromParent_Done,
     /* 474459 */   // Label 6659: @474459
     /* 474459 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(474594), // Rule ID 13318 //
     /* 474464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 474467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474499 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474511 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474511 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474516 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474516 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474521 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474525 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474534 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474541 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474548 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 474551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 474558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 474563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 474568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 474573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474592 */     GIR_RootConstrainSelectedInstOperands,
     /* 474593 */     // GIR_Coverage, 13318,
     /* 474593 */     GIR_EraseRootFromParent_Done,
     /* 474594 */   // Label 6660: @474594
     /* 474594 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(474729), // Rule ID 12295 //
     /* 474599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 474602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474634 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 474646 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474651 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474669 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474683 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 474686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 474693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 474698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 474703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 474708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474727 */     GIR_RootConstrainSelectedInstOperands,
     /* 474728 */     // GIR_Coverage, 12295,
     /* 474728 */     GIR_EraseRootFromParent_Done,
     /* 474729 */   // Label 6661: @474729
     /* 474729 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(474864), // Rule ID 12296 //
     /* 474734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 474737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 474781 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474786 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474791 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474804 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474818 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 474821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 474828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 474833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 474838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 474843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474862 */     GIR_RootConstrainSelectedInstOperands,
     /* 474863 */     // GIR_Coverage, 12296,
     /* 474863 */     GIR_EraseRootFromParent_Done,
     /* 474864 */   // Label 6662: @474864
     /* 474864 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(474999), // Rule ID 12297 //
     /* 474869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 474872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 474876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 474880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 474884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 474888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 474892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 474896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 474900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 474904 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 474908 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 474912 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 474916 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 474916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 474921 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 474921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 474926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 474930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 474932 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474939 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 474953 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 474953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 474956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 474958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 474963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 474968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 474973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 474978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 474983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 474988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 474997 */     GIR_RootConstrainSelectedInstOperands,
     /* 474998 */     // GIR_Coverage, 12297,
     /* 474998 */     GIR_EraseRootFromParent_Done,
     /* 474999 */   // Label 6663: @474999
     /* 474999 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(475134), // Rule ID 12298 //
     /* 475004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 475007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 475011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475039 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475051 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475051 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475056 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475056 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475061 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475065 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475074 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475081 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475088 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 475091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 475098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 475103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 475108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 475113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475132 */     GIR_RootConstrainSelectedInstOperands,
     /* 475133 */     // GIR_Coverage, 12298,
     /* 475133 */     GIR_EraseRootFromParent_Done,
     /* 475134 */   // Label 6664: @475134
     /* 475134 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(475269), // Rule ID 12775 //
     /* 475139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 475142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 475146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475174 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475178 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475182 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475186 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475186 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475191 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475191 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475196 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475200 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475202 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475209 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475216 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475223 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 475226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 475233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 475238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 475243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 475248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475267 */     GIR_RootConstrainSelectedInstOperands,
     /* 475268 */     // GIR_Coverage, 12775,
     /* 475268 */     GIR_EraseRootFromParent_Done,
     /* 475269 */   // Label 6665: @475269
     /* 475269 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(475404), // Rule ID 12776 //
     /* 475274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 475277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 475281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475321 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475326 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475331 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475335 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475344 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475358 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 475361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 475368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 475373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 475378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 475383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475402 */     GIR_RootConstrainSelectedInstOperands,
     /* 475403 */     // GIR_Coverage, 12776,
     /* 475403 */     GIR_EraseRootFromParent_Done,
     /* 475404 */   // Label 6666: @475404
     /* 475404 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(475539), // Rule ID 12777 //
     /* 475409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 475412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 475416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475456 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475461 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475479 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475493 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 475496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 475503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 475508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 475513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 475518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475537 */     GIR_RootConstrainSelectedInstOperands,
     /* 475538 */     // GIR_Coverage, 12777,
     /* 475538 */     GIR_EraseRootFromParent_Done,
     /* 475539 */   // Label 6667: @475539
     /* 475539 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(475674), // Rule ID 12778 //
     /* 475544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 475547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 475551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475591 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475596 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475596 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475605 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475607 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475628 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 475631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 475638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 475643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 475648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 475653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475672 */     GIR_RootConstrainSelectedInstOperands,
     /* 475673 */     // GIR_Coverage, 12778,
     /* 475673 */     GIR_EraseRootFromParent_Done,
     /* 475674 */   // Label 6668: @475674
     /* 475674 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(475809), // Rule ID 13255 //
     /* 475679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 475682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 475686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475714 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475722 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475726 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475731 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475731 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475736 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475740 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475749 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475756 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475763 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 475766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 475773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 475778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 475783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 475788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475807 */     GIR_RootConstrainSelectedInstOperands,
     /* 475808 */     // GIR_Coverage, 13255,
     /* 475808 */     GIR_EraseRootFromParent_Done,
     /* 475809 */   // Label 6669: @475809
     /* 475809 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(475944), // Rule ID 13256 //
     /* 475814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 475817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 475821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475849 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475861 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 475861 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 475866 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475866 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 475871 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 475875 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 475877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475891 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 475898 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 475898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 475901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 475903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 475908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 475913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 475918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 475923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 475928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 475933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 475942 */     GIR_RootConstrainSelectedInstOperands,
     /* 475943 */     // GIR_Coverage, 13256,
     /* 475943 */     GIR_EraseRootFromParent_Done,
     /* 475944 */   // Label 6670: @475944
     /* 475944 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(476079), // Rule ID 13257 //
     /* 475949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 475952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 475956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 475960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 475964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 475968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 475972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 475976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 475980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 475984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 475988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 475992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 475996 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 475996 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476001 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476006 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476010 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476012 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476019 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476033 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 476036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 476043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 476048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 476053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 476058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476077 */     GIR_RootConstrainSelectedInstOperands,
     /* 476078 */     // GIR_Coverage, 13257,
     /* 476078 */     GIR_EraseRootFromParent_Done,
     /* 476079 */   // Label 6671: @476079
     /* 476079 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(476214), // Rule ID 13258 //
     /* 476084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 476087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 476091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 476115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476123 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476127 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 476131 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476136 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476141 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476168 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 476171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 476178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 476183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 476188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 476193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476212 */     GIR_RootConstrainSelectedInstOperands,
     /* 476213 */     // GIR_Coverage, 13258,
     /* 476213 */     GIR_EraseRootFromParent_Done,
     /* 476214 */   // Label 6672: @476214
     /* 476214 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(476349), // Rule ID 12340 //
     /* 476219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 476222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 476226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476254 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476258 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476262 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476266 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476271 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476276 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476303 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 476306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 476313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 476318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 476323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 476328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476347 */     GIR_RootConstrainSelectedInstOperands,
     /* 476348 */     // GIR_Coverage, 12340,
     /* 476348 */     GIR_EraseRootFromParent_Done,
     /* 476349 */   // Label 6673: @476349
     /* 476349 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(476484), // Rule ID 12341 //
     /* 476354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 476357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 476361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476401 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476406 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476438 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 476441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 476448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 476453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 476458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 476463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476482 */     GIR_RootConstrainSelectedInstOperands,
     /* 476483 */     // GIR_Coverage, 12341,
     /* 476483 */     GIR_EraseRootFromParent_Done,
     /* 476484 */   // Label 6674: @476484
     /* 476484 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(476619), // Rule ID 12342 //
     /* 476489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 476492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 476496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476536 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476536 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476541 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476541 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476552 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476559 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476566 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476573 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 476576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 476583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 476588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 476593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 476598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476617 */     GIR_RootConstrainSelectedInstOperands,
     /* 476618 */     // GIR_Coverage, 12342,
     /* 476618 */     GIR_EraseRootFromParent_Done,
     /* 476619 */   // Label 6675: @476619
     /* 476619 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(476754), // Rule ID 12343 //
     /* 476624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 476627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 476631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476659 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476663 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476667 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476671 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476671 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476676 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476676 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476694 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476708 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 476711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 476718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 476723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 476728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 476733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476752 */     GIR_RootConstrainSelectedInstOperands,
     /* 476753 */     // GIR_Coverage, 12343,
     /* 476753 */     GIR_EraseRootFromParent_Done,
     /* 476754 */   // Label 6676: @476754
     /* 476754 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(476889), // Rule ID 12820 //
     /* 476759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 476762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 476766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476794 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476806 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476811 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476816 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476822 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476829 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476836 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476843 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 476846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 476853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 476858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 476863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 476868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 476873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 476878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 476887 */     GIR_RootConstrainSelectedInstOperands,
     /* 476888 */     // GIR_Coverage, 12820,
     /* 476888 */     GIR_EraseRootFromParent_Done,
     /* 476889 */   // Label 6677: @476889
     /* 476889 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(477024), // Rule ID 12821 //
     /* 476894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 476897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 476901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 476905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 476913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 476917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 476921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 476925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 476929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 476933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 476937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 476941 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 476941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 476946 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 476946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 476951 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 476955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 476957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476964 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 476978 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 476978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 476981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 476983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 476988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 476993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 476998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 477003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477022 */     GIR_RootConstrainSelectedInstOperands,
     /* 477023 */     // GIR_Coverage, 12821,
     /* 477023 */     GIR_EraseRootFromParent_Done,
     /* 477024 */   // Label 6678: @477024
     /* 477024 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(477159), // Rule ID 12822 //
     /* 477029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 477032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 477036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477064 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477076 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477081 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477081 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477099 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477113 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 477116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 477123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 477128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 477133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 477138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477157 */     GIR_RootConstrainSelectedInstOperands,
     /* 477158 */     // GIR_Coverage, 12822,
     /* 477158 */     GIR_EraseRootFromParent_Done,
     /* 477159 */   // Label 6679: @477159
     /* 477159 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(477294), // Rule ID 12823 //
     /* 477164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 477167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 477171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477211 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477216 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477221 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477227 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477234 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477241 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477248 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 477251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 477258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 477263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 477268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 477273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477292 */     GIR_RootConstrainSelectedInstOperands,
     /* 477293 */     // GIR_Coverage, 12823,
     /* 477293 */     GIR_EraseRootFromParent_Done,
     /* 477294 */   // Label 6680: @477294
     /* 477294 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(477429), // Rule ID 13300 //
     /* 477299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 477302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477334 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477346 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477351 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477356 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477360 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477362 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477369 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477383 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 477386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 477393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 477398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 477403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 477408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477427 */     GIR_RootConstrainSelectedInstOperands,
     /* 477428 */     // GIR_Coverage, 13300,
     /* 477428 */     GIR_EraseRootFromParent_Done,
     /* 477429 */   // Label 6681: @477429
     /* 477429 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(477564), // Rule ID 13301 //
     /* 477434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 477437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477469 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477473 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477477 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477481 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477481 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477486 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477491 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477504 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477518 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 477521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 477528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 477533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 477538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 477543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477562 */     GIR_RootConstrainSelectedInstOperands,
     /* 477563 */     // GIR_Coverage, 13301,
     /* 477563 */     GIR_EraseRootFromParent_Done,
     /* 477564 */   // Label 6682: @477564
     /* 477564 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(477699), // Rule ID 13302 //
     /* 477569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 477572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477616 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477621 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477653 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 477656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 477663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 477668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 477673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 477678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477697 */     GIR_RootConstrainSelectedInstOperands,
     /* 477698 */     // GIR_Coverage, 13302,
     /* 477698 */     GIR_EraseRootFromParent_Done,
     /* 477699 */   // Label 6683: @477699
     /* 477699 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(477834), // Rule ID 13303 //
     /* 477704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 477707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477739 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477751 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477756 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477761 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477774 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477788 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 477791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 477798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 477803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 477808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 477813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477832 */     GIR_RootConstrainSelectedInstOperands,
     /* 477833 */     // GIR_Coverage, 13303,
     /* 477833 */     GIR_EraseRootFromParent_Done,
     /* 477834 */   // Label 6684: @477834
     /* 477834 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(477969), // Rule ID 12280 //
     /* 477839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 477842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 477866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 477870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 477874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 477878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 477882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 477886 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 477886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 477891 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 477891 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 477896 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 477900 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 477902 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477909 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 477923 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 477923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 477926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 477928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 477933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 477938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 477943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 477948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 477953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 477958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 477967 */     GIR_RootConstrainSelectedInstOperands,
     /* 477968 */     // GIR_Coverage, 12280,
     /* 477968 */     GIR_EraseRootFromParent_Done,
     /* 477969 */   // Label 6685: @477969
     /* 477969 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(478104), // Rule ID 12281 //
     /* 477974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 477977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 477981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 477985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 477989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 477993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 477997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478021 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478021 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478026 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478035 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478044 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478058 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 478061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 478068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 478073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 478078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 478083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478102 */     GIR_RootConstrainSelectedInstOperands,
     /* 478103 */     // GIR_Coverage, 12281,
     /* 478103 */     GIR_EraseRootFromParent_Done,
     /* 478104 */   // Label 6686: @478104
     /* 478104 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(478239), // Rule ID 12282 //
     /* 478109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 478112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 478116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478144 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478156 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478156 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478161 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478161 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478166 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478172 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478179 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478186 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478193 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 478196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 478203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 478208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 478213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 478218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478237 */     GIR_RootConstrainSelectedInstOperands,
     /* 478238 */     // GIR_Coverage, 12282,
     /* 478238 */     GIR_EraseRootFromParent_Done,
     /* 478239 */   // Label 6687: @478239
     /* 478239 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(478374), // Rule ID 12283 //
     /* 478244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 478247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 478251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478291 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478296 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478301 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478307 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478314 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478328 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 478331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 478338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 478343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 478348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 478353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478372 */     GIR_RootConstrainSelectedInstOperands,
     /* 478373 */     // GIR_Coverage, 12283,
     /* 478373 */     GIR_EraseRootFromParent_Done,
     /* 478374 */   // Label 6688: @478374
     /* 478374 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(478509), // Rule ID 12760 //
     /* 478379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 478382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 478386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478426 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478431 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478436 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478440 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478442 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478449 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478456 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478463 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 478466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 478473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 478478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 478483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 478488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478507 */     GIR_RootConstrainSelectedInstOperands,
     /* 478508 */     // GIR_Coverage, 12760,
     /* 478508 */     GIR_EraseRootFromParent_Done,
     /* 478509 */   // Label 6689: @478509
     /* 478509 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(478644), // Rule ID 12761 //
     /* 478514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 478517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 478521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478553 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478557 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478561 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478566 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478566 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478571 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478598 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 478601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 478608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 478613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 478618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 478623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478642 */     GIR_RootConstrainSelectedInstOperands,
     /* 478643 */     // GIR_Coverage, 12761,
     /* 478643 */     GIR_EraseRootFromParent_Done,
     /* 478644 */   // Label 6690: @478644
     /* 478644 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(478779), // Rule ID 12762 //
     /* 478649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 478652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 478656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478688 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478692 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478696 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478696 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478701 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478701 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478706 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478710 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478712 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478726 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478733 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 478736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 478743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 478748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 478753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 478758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478777 */     GIR_RootConstrainSelectedInstOperands,
     /* 478778 */     // GIR_Coverage, 12762,
     /* 478778 */     GIR_EraseRootFromParent_Done,
     /* 478779 */   // Label 6691: @478779
     /* 478779 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(478914), // Rule ID 12763 //
     /* 478784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 478787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 478791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478831 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478836 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478841 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478845 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478847 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478854 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478861 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478868 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 478868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 478871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 478873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 478878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 478883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 478888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 478893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 478898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 478903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 478912 */     GIR_RootConstrainSelectedInstOperands,
     /* 478913 */     // GIR_Coverage, 12763,
     /* 478913 */     GIR_EraseRootFromParent_Done,
     /* 478914 */   // Label 6692: @478914
     /* 478914 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(479049), // Rule ID 13240 //
     /* 478919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 478922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 478926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 478930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 478934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 478938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 478942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 478946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 478950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 478954 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 478958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 478962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 478966 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 478966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 478971 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 478971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 478976 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 478980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 478982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478989 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 478996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479003 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 479006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 479013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 479018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 479023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 479028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 479033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 479038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479047 */     GIR_RootConstrainSelectedInstOperands,
     /* 479048 */     // GIR_Coverage, 13240,
     /* 479048 */     GIR_EraseRootFromParent_Done,
     /* 479049 */   // Label 6693: @479049
     /* 479049 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(479184), // Rule ID 13241 //
     /* 479054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 479057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 479081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 479085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 479101 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479106 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479115 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479124 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479131 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479138 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 479141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 479148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 479153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 479158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 479163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 479168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 479173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479182 */     GIR_RootConstrainSelectedInstOperands,
     /* 479183 */     // GIR_Coverage, 13241,
     /* 479183 */     GIR_EraseRootFromParent_Done,
     /* 479184 */   // Label 6694: @479184
     /* 479184 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(479319), // Rule ID 13242 //
     /* 479189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 479192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 479216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 479220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 479236 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479241 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479266 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479273 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 479276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 479283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 479288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 479293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 479298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 479303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 479308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479317 */     GIR_RootConstrainSelectedInstOperands,
     /* 479318 */     // GIR_Coverage, 13242,
     /* 479318 */     GIR_EraseRootFromParent_Done,
     /* 479319 */   // Label 6695: @479319
     /* 479319 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(479454), // Rule ID 13243 //
     /* 479324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 479327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 479351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 479355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479363 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479367 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 479371 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479371 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479376 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479376 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479381 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479408 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 479411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 479418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 479423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 479428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 479433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 479438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 479443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479452 */     GIR_RootConstrainSelectedInstOperands,
     /* 479453 */     // GIR_Coverage, 13243,
     /* 479453 */     GIR_EraseRootFromParent_Done,
     /* 479454 */   // Label 6696: @479454
     /* 479454 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(479589), // Rule ID 12351 //
     /* 479459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 479462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 479486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 479490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479498 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479502 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479506 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479506 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479511 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479511 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479516 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479536 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479543 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 479546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 479553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 479558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 479563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 479568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 479573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 479578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479587 */     GIR_RootConstrainSelectedInstOperands,
     /* 479588 */     // GIR_Coverage, 12351,
     /* 479588 */     GIR_EraseRootFromParent_Done,
     /* 479589 */   // Label 6697: @479589
     /* 479589 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(479724), // Rule ID 12352 //
     /* 479594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 479597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 479621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 479625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479629 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479641 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479646 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479655 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479664 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479678 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 479681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 479688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 479693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 479698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 479703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 479708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 479713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479722 */     GIR_RootConstrainSelectedInstOperands,
     /* 479723 */     // GIR_Coverage, 12352,
     /* 479723 */     GIR_EraseRootFromParent_Done,
     /* 479724 */   // Label 6698: @479724
     /* 479724 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(479859), // Rule ID 12353 //
     /* 479729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 479732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 479756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 479760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479768 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479772 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479776 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479781 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479786 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479799 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479813 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 479816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 479823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 479828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 479833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 479838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 479843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 479848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479857 */     GIR_RootConstrainSelectedInstOperands,
     /* 479858 */     // GIR_Coverage, 12353,
     /* 479858 */     GIR_EraseRootFromParent_Done,
     /* 479859 */   // Label 6699: @479859
     /* 479859 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(479994), // Rule ID 12354 //
     /* 479864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 479867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 479871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 479875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 479883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 479887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 479891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 479895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 479899 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 479903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 479907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 479911 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 479911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 479916 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 479916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 479921 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 479925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 479927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479934 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 479948 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 479948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 479951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 479953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 479958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 479963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 479968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 479973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 479978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 479983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 479992 */     GIR_RootConstrainSelectedInstOperands,
     /* 479993 */     // GIR_Coverage, 12354,
     /* 479993 */     GIR_EraseRootFromParent_Done,
     /* 479994 */   // Label 6700: @479994
     /* 479994 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(480129), // Rule ID 12831 //
     /* 479999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 480002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 480006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480046 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480046 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480051 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480051 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480069 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480076 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480083 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 480086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 480093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 480098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 480103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 480108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480127 */     GIR_RootConstrainSelectedInstOperands,
     /* 480128 */     // GIR_Coverage, 12831,
     /* 480128 */     GIR_EraseRootFromParent_Done,
     /* 480129 */   // Label 6701: @480129
     /* 480129 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(480264), // Rule ID 12832 //
     /* 480134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 480137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 480141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480181 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480181 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480186 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480186 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480191 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480204 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480211 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480218 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 480221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 480228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 480233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 480238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 480243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480262 */     GIR_RootConstrainSelectedInstOperands,
     /* 480263 */     // GIR_Coverage, 12832,
     /* 480263 */     GIR_EraseRootFromParent_Done,
     /* 480264 */   // Label 6702: @480264
     /* 480264 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(480399), // Rule ID 12833 //
     /* 480269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 480272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 480276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480304 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480308 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480312 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480316 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480316 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480321 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480326 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480339 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480346 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480353 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 480356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 480363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 480368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 480373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 480378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480397 */     GIR_RootConstrainSelectedInstOperands,
     /* 480398 */     // GIR_Coverage, 12833,
     /* 480398 */     GIR_EraseRootFromParent_Done,
     /* 480399 */   // Label 6703: @480399
     /* 480399 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(480534), // Rule ID 12834 //
     /* 480404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 480407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 480411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480451 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480451 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480456 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480467 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480474 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480488 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 480491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 480498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 480503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 480508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 480513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480532 */     GIR_RootConstrainSelectedInstOperands,
     /* 480533 */     // GIR_Coverage, 12834,
     /* 480533 */     GIR_EraseRootFromParent_Done,
     /* 480534 */   // Label 6704: @480534
     /* 480534 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(480669), // Rule ID 13311 //
     /* 480539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 480542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 480546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480586 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480586 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480591 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480602 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480609 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480623 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 480626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 480633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 480638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 480643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 480648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480667 */     GIR_RootConstrainSelectedInstOperands,
     /* 480668 */     // GIR_Coverage, 13311,
     /* 480668 */     GIR_EraseRootFromParent_Done,
     /* 480669 */   // Label 6705: @480669
     /* 480669 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(480804), // Rule ID 13312 //
     /* 480674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 480677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 480681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480721 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480726 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480744 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480758 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 480761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 480768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 480773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 480778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 480783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480802 */     GIR_RootConstrainSelectedInstOperands,
     /* 480803 */     // GIR_Coverage, 13312,
     /* 480803 */     GIR_EraseRootFromParent_Done,
     /* 480804 */   // Label 6706: @480804
     /* 480804 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(480939), // Rule ID 13313 //
     /* 480809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 480812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 480816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480844 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480856 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 480861 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480861 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 480870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 480872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480879 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 480893 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 480893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 480896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 480898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 480903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 480908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 480913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 480918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 480923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 480928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 480937 */     GIR_RootConstrainSelectedInstOperands,
     /* 480938 */     // GIR_Coverage, 13313,
     /* 480938 */     GIR_EraseRootFromParent_Done,
     /* 480939 */   // Label 6707: @480939
     /* 480939 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(481074), // Rule ID 13314 //
     /* 480944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 480947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 480951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 480955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 480963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 480967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 480971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 480975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 480979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 480983 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 480987 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 480991 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 480991 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 480996 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 480996 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481001 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481005 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481007 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481014 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481028 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 481031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 481038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 481043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 481048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 481053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481072 */     GIR_RootConstrainSelectedInstOperands,
     /* 481073 */     // GIR_Coverage, 13314,
     /* 481073 */     GIR_EraseRootFromParent_Done,
     /* 481074 */   // Label 6708: @481074
     /* 481074 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(481209), // Rule ID 12291 //
     /* 481079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 481082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 481086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481114 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481126 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481126 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481131 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481136 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481149 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481163 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 481166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 481173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 481178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 481183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 481188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481207 */     GIR_RootConstrainSelectedInstOperands,
     /* 481208 */     // GIR_Coverage, 12291,
     /* 481208 */     GIR_EraseRootFromParent_Done,
     /* 481209 */   // Label 6709: @481209
     /* 481209 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(481344), // Rule ID 12292 //
     /* 481214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 481217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 481221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481249 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481261 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481261 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481266 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481271 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481298 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 481301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 481308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 481313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 481318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 481323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481342 */     GIR_RootConstrainSelectedInstOperands,
     /* 481343 */     // GIR_Coverage, 12292,
     /* 481343 */     GIR_EraseRootFromParent_Done,
     /* 481344 */   // Label 6710: @481344
     /* 481344 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(481479), // Rule ID 12293 //
     /* 481349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 481352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 481356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481396 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481401 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481433 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 481436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 481443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 481448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 481453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 481458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481477 */     GIR_RootConstrainSelectedInstOperands,
     /* 481478 */     // GIR_Coverage, 12293,
     /* 481478 */     GIR_EraseRootFromParent_Done,
     /* 481479 */   // Label 6711: @481479
     /* 481479 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(481614), // Rule ID 12294 //
     /* 481484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 481487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 481491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481519 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481531 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481531 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481536 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481536 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481541 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481545 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481568 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 481571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 481578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 481583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 481588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 481593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481612 */     GIR_RootConstrainSelectedInstOperands,
     /* 481613 */     // GIR_Coverage, 12294,
     /* 481613 */     GIR_EraseRootFromParent_Done,
     /* 481614 */   // Label 6712: @481614
     /* 481614 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(481749), // Rule ID 12771 //
     /* 481619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 481622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 481626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481654 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481662 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481666 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481666 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481671 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481671 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481682 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481703 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 481706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 481713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 481718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 481723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 481728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481747 */     GIR_RootConstrainSelectedInstOperands,
     /* 481748 */     // GIR_Coverage, 12771,
     /* 481748 */     GIR_EraseRootFromParent_Done,
     /* 481749 */   // Label 6713: @481749
     /* 481749 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(481884), // Rule ID 12772 //
     /* 481754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 481757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 481761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481801 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481801 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481806 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481815 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481824 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481831 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481838 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 481841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 481848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 481853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 481858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 481863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 481868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 481873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 481882 */     GIR_RootConstrainSelectedInstOperands,
     /* 481883 */     // GIR_Coverage, 12772,
     /* 481883 */     GIR_EraseRootFromParent_Done,
     /* 481884 */   // Label 6714: @481884
     /* 481884 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(482019), // Rule ID 12773 //
     /* 481889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 481892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 481896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 481900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 481904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 481908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 481912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 481916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 481920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 481924 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 481928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 481932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 481936 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 481936 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 481941 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 481941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 481946 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 481950 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 481952 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481959 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 481973 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 481973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 481976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 481978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 481983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 481988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 481993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 481998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482017 */     GIR_RootConstrainSelectedInstOperands,
     /* 482018 */     // GIR_Coverage, 12773,
     /* 482018 */     GIR_EraseRootFromParent_Done,
     /* 482019 */   // Label 6715: @482019
     /* 482019 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(482154), // Rule ID 12774 //
     /* 482024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 482027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 482031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 482055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482059 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 482071 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482076 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482081 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482101 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482108 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 482111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 482118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 482123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 482128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 482133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482152 */     GIR_RootConstrainSelectedInstOperands,
     /* 482153 */     // GIR_Coverage, 12774,
     /* 482153 */     GIR_EraseRootFromParent_Done,
     /* 482154 */   // Label 6716: @482154
     /* 482154 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(482289), // Rule ID 13251 //
     /* 482159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 482162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 482190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482198 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482202 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 482206 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482211 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482216 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482220 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482222 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482236 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482243 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 482246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 482253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 482258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 482263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 482268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482287 */     GIR_RootConstrainSelectedInstOperands,
     /* 482288 */     // GIR_Coverage, 13251,
     /* 482288 */     GIR_EraseRootFromParent_Done,
     /* 482289 */   // Label 6717: @482289
     /* 482289 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(482424), // Rule ID 13252 //
     /* 482294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 482297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 482325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 482341 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482346 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482351 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482355 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482371 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482378 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 482381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 482388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 482393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 482398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 482403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482422 */     GIR_RootConstrainSelectedInstOperands,
     /* 482423 */     // GIR_Coverage, 13252,
     /* 482423 */     GIR_EraseRootFromParent_Done,
     /* 482424 */   // Label 6718: @482424
     /* 482424 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(482559), // Rule ID 13253 //
     /* 482429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 482432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 482460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482464 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 482476 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482476 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482481 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482481 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482490 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482492 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482499 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482506 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482513 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 482516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 482523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 482528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 482533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 482538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482557 */     GIR_RootConstrainSelectedInstOperands,
     /* 482558 */     // GIR_Coverage, 13253,
     /* 482558 */     GIR_EraseRootFromParent_Done,
     /* 482559 */   // Label 6719: @482559
     /* 482559 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(482694), // Rule ID 13254 //
     /* 482564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 482567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 482595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 482611 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482611 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482616 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482621 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482627 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482634 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482641 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482648 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 482651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 482658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 482663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 482668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 482673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482692 */     GIR_RootConstrainSelectedInstOperands,
     /* 482693 */     // GIR_Coverage, 13254,
     /* 482693 */     GIR_EraseRootFromParent_Done,
     /* 482694 */   // Label 6720: @482694
     /* 482694 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(482829), // Rule ID 12336 //
     /* 482699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 482702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 482730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482734 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482738 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482742 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482746 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482751 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482760 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482769 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482783 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 482786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 482793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 482798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 482803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 482808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482827 */     GIR_RootConstrainSelectedInstOperands,
     /* 482828 */     // GIR_Coverage, 12336,
     /* 482828 */     GIR_EraseRootFromParent_Done,
     /* 482829 */   // Label 6721: @482829
     /* 482829 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(482964), // Rule ID 12337 //
     /* 482834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 482837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 482865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 482869 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 482873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 482877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482881 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 482881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 482886 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 482886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 482891 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 482895 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 482897 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482904 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 482918 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 482918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 482921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 482923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 482928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 482933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 482938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 482943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 482948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 482953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 482962 */     GIR_RootConstrainSelectedInstOperands,
     /* 482963 */     // GIR_Coverage, 12337,
     /* 482963 */     GIR_EraseRootFromParent_Done,
     /* 482964 */   // Label 6722: @482964
     /* 482964 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(483099), // Rule ID 12338 //
     /* 482969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 482972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 482976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 482980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 482984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 482988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 482992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 482996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483004 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483008 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483012 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483016 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483016 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483021 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483021 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483026 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483032 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483039 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483046 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483053 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 483056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 483063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 483068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 483073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 483078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483097 */     GIR_RootConstrainSelectedInstOperands,
     /* 483098 */     // GIR_Coverage, 12338,
     /* 483098 */     GIR_EraseRootFromParent_Done,
     /* 483099 */   // Label 6723: @483099
     /* 483099 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(483234), // Rule ID 12339 //
     /* 483104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 483107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 483111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483139 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483151 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483156 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483156 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483161 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483165 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483174 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483181 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483188 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 483191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 483198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 483203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 483208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 483213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483232 */     GIR_RootConstrainSelectedInstOperands,
     /* 483233 */     // GIR_Coverage, 12339,
     /* 483233 */     GIR_EraseRootFromParent_Done,
     /* 483234 */   // Label 6724: @483234
     /* 483234 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(483369), // Rule ID 12816 //
     /* 483239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 483242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 483246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483274 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483278 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483282 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483286 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483291 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483300 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483309 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483323 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 483326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 483333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 483338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 483343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 483348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483367 */     GIR_RootConstrainSelectedInstOperands,
     /* 483368 */     // GIR_Coverage, 12816,
     /* 483368 */     GIR_EraseRootFromParent_Done,
     /* 483369 */   // Label 6725: @483369
     /* 483369 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(483504), // Rule ID 12817 //
     /* 483374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 483377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 483381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483409 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483413 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483417 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483421 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483426 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483431 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483435 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483444 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483451 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483458 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 483461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 483468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 483473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 483478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 483483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483502 */     GIR_RootConstrainSelectedInstOperands,
     /* 483503 */     // GIR_Coverage, 12817,
     /* 483503 */     GIR_EraseRootFromParent_Done,
     /* 483504 */   // Label 6726: @483504
     /* 483504 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(483639), // Rule ID 12818 //
     /* 483509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 483512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 483516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483528 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483548 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483552 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483556 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483561 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483566 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483572 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483579 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483586 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483593 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 483596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 483603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 483608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 483613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 483618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483637 */     GIR_RootConstrainSelectedInstOperands,
     /* 483638 */     // GIR_Coverage, 12818,
     /* 483638 */     GIR_EraseRootFromParent_Done,
     /* 483639 */   // Label 6727: @483639
     /* 483639 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(483774), // Rule ID 12819 //
     /* 483644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 483647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 483651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483679 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483691 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483696 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483696 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483701 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483728 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 483731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 483738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 483743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 483748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 483753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483772 */     GIR_RootConstrainSelectedInstOperands,
     /* 483773 */     // GIR_Coverage, 12819,
     /* 483773 */     GIR_EraseRootFromParent_Done,
     /* 483774 */   // Label 6728: @483774
     /* 483774 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(483909), // Rule ID 13296 //
     /* 483779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 483782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 483786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483814 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483818 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483822 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483826 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483826 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483831 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483842 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483849 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483856 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483863 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 483866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 483868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 483873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 483878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 483883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 483888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 483893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 483898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 483907 */     GIR_RootConstrainSelectedInstOperands,
     /* 483908 */     // GIR_Coverage, 13296,
     /* 483908 */     GIR_EraseRootFromParent_Done,
     /* 483909 */   // Label 6729: @483909
     /* 483909 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(484044), // Rule ID 13297 //
     /* 483914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 483917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 483921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 483925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 483933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 483937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 483941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 483945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 483949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 483953 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 483957 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 483961 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 483961 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 483966 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 483966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 483971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 483975 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 483977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483984 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483991 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 483998 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 483998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 484001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 484008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 484013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 484018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 484023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484042 */     GIR_RootConstrainSelectedInstOperands,
     /* 484043 */     // GIR_Coverage, 13297,
     /* 484043 */     GIR_EraseRootFromParent_Done,
     /* 484044 */   // Label 6730: @484044
     /* 484044 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(484179), // Rule ID 13298 //
     /* 484049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 484052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484096 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484101 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484119 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484126 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484133 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 484136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 484143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 484148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 484153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 484158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484177 */     GIR_RootConstrainSelectedInstOperands,
     /* 484178 */     // GIR_Coverage, 13298,
     /* 484178 */     GIR_EraseRootFromParent_Done,
     /* 484179 */   // Label 6731: @484179
     /* 484179 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(484314), // Rule ID 13299 //
     /* 484184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 484187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484231 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484236 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484247 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484268 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 484271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 484278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 484283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 484288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 484293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484312 */     GIR_RootConstrainSelectedInstOperands,
     /* 484313 */     // GIR_Coverage, 13299,
     /* 484313 */     GIR_EraseRootFromParent_Done,
     /* 484314 */   // Label 6732: @484314
     /* 484314 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(484449), // Rule ID 12276 //
     /* 484319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 484322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 484366 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484371 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484371 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484376 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484389 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484396 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484403 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 484406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 484413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 484418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 484423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 484428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484447 */     GIR_RootConstrainSelectedInstOperands,
     /* 484448 */     // GIR_Coverage, 12276,
     /* 484448 */     GIR_EraseRootFromParent_Done,
     /* 484449 */   // Label 6733: @484449
     /* 484449 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(484584), // Rule ID 12277 //
     /* 484454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 484457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484489 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 484501 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484501 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484506 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484506 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484515 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484524 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484531 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484538 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 484541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 484548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 484553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 484558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 484563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484582 */     GIR_RootConstrainSelectedInstOperands,
     /* 484583 */     // GIR_Coverage, 12277,
     /* 484583 */     GIR_EraseRootFromParent_Done,
     /* 484584 */   // Label 6734: @484584
     /* 484584 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(484719), // Rule ID 12278 //
     /* 484589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 484592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484624 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 484636 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484636 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484641 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484646 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484650 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484652 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484659 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484666 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484673 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 484676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 484683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 484688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 484693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 484698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484717 */     GIR_RootConstrainSelectedInstOperands,
     /* 484718 */     // GIR_Coverage, 12278,
     /* 484718 */     GIR_EraseRootFromParent_Done,
     /* 484719 */   // Label 6735: @484719
     /* 484719 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(484854), // Rule ID 12279 //
     /* 484724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 484727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 484731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484759 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 484771 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484776 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484781 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484794 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484801 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484808 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 484811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 484818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 484823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 484828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 484833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484852 */     GIR_RootConstrainSelectedInstOperands,
     /* 484853 */     // GIR_Coverage, 12279,
     /* 484853 */     GIR_EraseRootFromParent_Done,
     /* 484854 */   // Label 6736: @484854
     /* 484854 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(484989), // Rule ID 12756 //
     /* 484859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 484862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 484866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 484870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 484874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 484878 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 484882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 484886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 484890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 484894 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 484898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 484902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 484906 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 484906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 484911 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 484911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 484916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 484920 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 484922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484929 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484936 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 484943 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 484943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 484946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 484948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 484953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 484958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 484963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 484968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 484973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 484978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 484987 */     GIR_RootConstrainSelectedInstOperands,
     /* 484988 */     // GIR_Coverage, 12756,
     /* 484988 */     GIR_EraseRootFromParent_Done,
     /* 484989 */   // Label 6737: @484989
     /* 484989 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(485124), // Rule ID 12757 //
     /* 484994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 484997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 485001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485041 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485041 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485046 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485046 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485051 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485055 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485064 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485071 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485078 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 485081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 485088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 485093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 485098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 485103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485122 */     GIR_RootConstrainSelectedInstOperands,
     /* 485123 */     // GIR_Coverage, 12757,
     /* 485123 */     GIR_EraseRootFromParent_Done,
     /* 485124 */   // Label 6738: @485124
     /* 485124 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(485259), // Rule ID 12758 //
     /* 485129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 485132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 485136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485164 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485172 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485176 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485176 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485181 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485181 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485186 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485190 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485192 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485199 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485213 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 485216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 485223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 485228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 485233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 485238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485257 */     GIR_RootConstrainSelectedInstOperands,
     /* 485258 */     // GIR_Coverage, 12758,
     /* 485258 */     GIR_EraseRootFromParent_Done,
     /* 485259 */   // Label 6739: @485259
     /* 485259 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(485394), // Rule ID 12759 //
     /* 485264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 485267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 485271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485299 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485303 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485307 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485311 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485311 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485316 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485316 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485321 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485325 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485334 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485341 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485348 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 485351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 485358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 485363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 485368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 485373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485392 */     GIR_RootConstrainSelectedInstOperands,
     /* 485393 */     // GIR_Coverage, 12759,
     /* 485393 */     GIR_EraseRootFromParent_Done,
     /* 485394 */   // Label 6740: @485394
     /* 485394 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(485529), // Rule ID 13236 //
     /* 485399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 485402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 485406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485434 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485446 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485446 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485451 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485451 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485456 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485460 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485469 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485476 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485483 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 485486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 485493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 485498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 485503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 485508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485527 */     GIR_RootConstrainSelectedInstOperands,
     /* 485528 */     // GIR_Coverage, 13236,
     /* 485528 */     GIR_EraseRootFromParent_Done,
     /* 485529 */   // Label 6741: @485529
     /* 485529 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(485664), // Rule ID 13237 //
     /* 485534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 485537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 485541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485569 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485577 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485581 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485581 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485586 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485586 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485591 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485604 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485611 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485618 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 485621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 485628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 485633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 485638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 485643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485662 */     GIR_RootConstrainSelectedInstOperands,
     /* 485663 */     // GIR_Coverage, 13237,
     /* 485663 */     GIR_EraseRootFromParent_Done,
     /* 485664 */   // Label 6742: @485664
     /* 485664 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(485799), // Rule ID 13238 //
     /* 485669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 485672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 485676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485704 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485716 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485716 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485721 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485726 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485739 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485746 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485753 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 485756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 485763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 485768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 485773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 485778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485797 */     GIR_RootConstrainSelectedInstOperands,
     /* 485798 */     // GIR_Coverage, 13238,
     /* 485798 */     GIR_EraseRootFromParent_Done,
     /* 485799 */   // Label 6743: @485799
     /* 485799 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(485934), // Rule ID 13239 //
     /* 485804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 485807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 485811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 485831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 485835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 485847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485851 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 485856 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 485861 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 485865 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 485867 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485874 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485881 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 485888 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 485888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 485891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 485893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 485898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 485903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 485908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 485913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 485918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 485923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 485932 */     GIR_RootConstrainSelectedInstOperands,
     /* 485933 */     // GIR_Coverage, 13239,
     /* 485933 */     GIR_EraseRootFromParent_Done,
     /* 485934 */   // Label 6744: @485934
     /* 485934 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(486069), // Rule ID 12285 //
     /* 485939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 485942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 485946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 485950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 485954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 485958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 485962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 485966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 485970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 485974 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 485978 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 485982 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 485986 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 485986 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 485991 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 485991 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 485996 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486000 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486002 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486016 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486023 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 486026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 486033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 486038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 486043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 486048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486067 */     GIR_RootConstrainSelectedInstOperands,
     /* 486068 */     // GIR_Coverage, 12285,
     /* 486068 */     GIR_EraseRootFromParent_Done,
     /* 486069 */   // Label 6745: @486069
     /* 486069 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(486204), // Rule ID 12286 //
     /* 486074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 486077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 486081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486113 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486117 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486121 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486121 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486126 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486126 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486131 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486135 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486151 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486158 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 486161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 486168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 486173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 486178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 486183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486202 */     GIR_RootConstrainSelectedInstOperands,
     /* 486203 */     // GIR_Coverage, 12286,
     /* 486203 */     GIR_EraseRootFromParent_Done,
     /* 486204 */   // Label 6746: @486204
     /* 486204 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(486339), // Rule ID 12289 //
     /* 486209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 486212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 486216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486256 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486256 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486261 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486261 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486272 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486286 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486293 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 486296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 486303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 486308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 486313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 486318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486337 */     GIR_RootConstrainSelectedInstOperands,
     /* 486338 */     // GIR_Coverage, 12289,
     /* 486338 */     GIR_EraseRootFromParent_Done,
     /* 486339 */   // Label 6747: @486339
     /* 486339 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(486474), // Rule ID 12290 //
     /* 486344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 486347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 486351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486379 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486387 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486391 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486396 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486405 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486421 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486428 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 486431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 486438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 486443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 486448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 486453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486472 */     GIR_RootConstrainSelectedInstOperands,
     /* 486473 */     // GIR_Coverage, 12290,
     /* 486473 */     GIR_EraseRootFromParent_Done,
     /* 486474 */   // Label 6748: @486474
     /* 486474 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(486609), // Rule ID 12765 //
     /* 486479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 486482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 486486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486514 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486518 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486522 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486526 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486526 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486531 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486531 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486536 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486540 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486542 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486549 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486556 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486563 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 486566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 486573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 486578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 486583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 486588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486607 */     GIR_RootConstrainSelectedInstOperands,
     /* 486608 */     // GIR_Coverage, 12765,
     /* 486608 */     GIR_EraseRootFromParent_Done,
     /* 486609 */   // Label 6749: @486609
     /* 486609 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(486744), // Rule ID 12766 //
     /* 486614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 486617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 486621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486653 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486657 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486661 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486661 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486666 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486666 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486671 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486675 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486684 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486691 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486698 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 486701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 486708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 486713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 486718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 486723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486742 */     GIR_RootConstrainSelectedInstOperands,
     /* 486743 */     // GIR_Coverage, 12766,
     /* 486743 */     GIR_EraseRootFromParent_Done,
     /* 486744 */   // Label 6750: @486744
     /* 486744 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(486879), // Rule ID 12769 //
     /* 486749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 486752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 486756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486784 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486792 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486796 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486796 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486801 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486801 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486806 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486812 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486826 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486833 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 486836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 486843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 486848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 486853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 486858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 486868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 486877 */     GIR_RootConstrainSelectedInstOperands,
     /* 486878 */     // GIR_Coverage, 12769,
     /* 486878 */     GIR_EraseRootFromParent_Done,
     /* 486879 */   // Label 6751: @486879
     /* 486879 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(487014), // Rule ID 12770 //
     /* 486884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 486887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 486891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 486895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 486899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 486903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 486907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 486911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 486915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 486919 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 486923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 486927 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 486931 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 486931 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 486936 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 486936 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 486941 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 486945 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 486947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486961 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 486968 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 486968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 486971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 486973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 486978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 486983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 486988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 486993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 486998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487012 */     GIR_RootConstrainSelectedInstOperands,
     /* 487013 */     // GIR_Coverage, 12770,
     /* 487013 */     GIR_EraseRootFromParent_Done,
     /* 487014 */   // Label 6752: @487014
     /* 487014 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(487149), // Rule ID 13245 //
     /* 487019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 487022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 487066 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487071 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487076 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487082 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487096 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487103 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 487106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 487113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 487118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 487123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 487128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487147 */     GIR_RootConstrainSelectedInstOperands,
     /* 487148 */     // GIR_Coverage, 13245,
     /* 487148 */     GIR_EraseRootFromParent_Done,
     /* 487149 */   // Label 6753: @487149
     /* 487149 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(487284), // Rule ID 13246 //
     /* 487154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 487157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 487201 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487206 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487238 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 487241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 487248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 487253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 487258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 487263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487282 */     GIR_RootConstrainSelectedInstOperands,
     /* 487283 */     // GIR_Coverage, 13246,
     /* 487283 */     GIR_EraseRootFromParent_Done,
     /* 487284 */   // Label 6754: @487284
     /* 487284 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(487419), // Rule ID 13249 //
     /* 487289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 487292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 487336 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487341 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487346 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487366 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487373 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 487376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 487383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 487388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 487393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 487398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487417 */     GIR_RootConstrainSelectedInstOperands,
     /* 487418 */     // GIR_Coverage, 13249,
     /* 487418 */     GIR_EraseRootFromParent_Done,
     /* 487419 */   // Label 6755: @487419
     /* 487419 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(487554), // Rule ID 13250 //
     /* 487424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 487427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 487471 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487471 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487476 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487476 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487481 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487485 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487508 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 487511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 487518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 487523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 487528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 487533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487552 */     GIR_RootConstrainSelectedInstOperands,
     /* 487553 */     // GIR_Coverage, 13250,
     /* 487553 */     GIR_EraseRootFromParent_Done,
     /* 487554 */   // Label 6756: @487554
     /* 487554 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(487689), // Rule ID 12270 //
     /* 487559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 487562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487594 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487602 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 487606 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487606 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487611 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487611 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487616 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487636 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487643 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 487646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 487653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 487658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 487663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 487668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487687 */     GIR_RootConstrainSelectedInstOperands,
     /* 487688 */     // GIR_Coverage, 12270,
     /* 487688 */     GIR_EraseRootFromParent_Done,
     /* 487689 */   // Label 6757: @487689
     /* 487689 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(487824), // Rule ID 12271 //
     /* 487694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 487697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 487741 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487746 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487771 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487778 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 487781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 487788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 487793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 487798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 487803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487822 */     GIR_RootConstrainSelectedInstOperands,
     /* 487823 */     // GIR_Coverage, 12271,
     /* 487823 */     GIR_EraseRootFromParent_Done,
     /* 487824 */   // Label 6758: @487824
     /* 487824 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(487959), // Rule ID 12274 //
     /* 487829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 487832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487864 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 487868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 487872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 487876 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 487876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 487881 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 487881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 487886 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 487890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 487892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 487913 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 487913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 487916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 487918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 487923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 487928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 487933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 487938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 487943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 487948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 487957 */     GIR_RootConstrainSelectedInstOperands,
     /* 487958 */     // GIR_Coverage, 12274,
     /* 487958 */     GIR_EraseRootFromParent_Done,
     /* 487959 */   // Label 6759: @487959
     /* 487959 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(488094), // Rule ID 12275 //
     /* 487964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 487967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 487971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 487975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 487979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 487983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 487987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 487991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 487995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 487999 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488011 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488016 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488016 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488048 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 488051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 488058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 488063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 488068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 488073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488092 */     GIR_RootConstrainSelectedInstOperands,
     /* 488093 */     // GIR_Coverage, 12275,
     /* 488093 */     GIR_EraseRootFromParent_Done,
     /* 488094 */   // Label 6760: @488094
     /* 488094 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(488229), // Rule ID 12750 //
     /* 488099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 488102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 488106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488134 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488138 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488142 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488146 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488151 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488156 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488160 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488176 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488183 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 488186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 488193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 488198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 488203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 488208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488227 */     GIR_RootConstrainSelectedInstOperands,
     /* 488228 */     // GIR_Coverage, 12750,
     /* 488228 */     GIR_EraseRootFromParent_Done,
     /* 488229 */   // Label 6761: @488229
     /* 488229 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(488364), // Rule ID 12751 //
     /* 488234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 488237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 488241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488269 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488281 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488281 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488286 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488291 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488295 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488311 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488318 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 488321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 488328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 488333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 488338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 488343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488362 */     GIR_RootConstrainSelectedInstOperands,
     /* 488363 */     // GIR_Coverage, 12751,
     /* 488363 */     GIR_EraseRootFromParent_Done,
     /* 488364 */   // Label 6762: @488364
     /* 488364 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(488499), // Rule ID 12754 //
     /* 488369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 488372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 488376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488416 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488421 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488426 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488432 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488446 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488453 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 488456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 488463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 488468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 488473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 488478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488497 */     GIR_RootConstrainSelectedInstOperands,
     /* 488498 */     // GIR_Coverage, 12754,
     /* 488498 */     GIR_EraseRootFromParent_Done,
     /* 488499 */   // Label 6763: @488499
     /* 488499 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(488634), // Rule ID 12755 //
     /* 488504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 488507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 488511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488551 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488556 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488565 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488567 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488581 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488588 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 488591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 488598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 488603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 488608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 488613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488632 */     GIR_RootConstrainSelectedInstOperands,
     /* 488633 */     // GIR_Coverage, 12755,
     /* 488633 */     GIR_EraseRootFromParent_Done,
     /* 488634 */   // Label 6764: @488634
     /* 488634 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(488769), // Rule ID 13230 //
     /* 488639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 488642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 488646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488674 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488686 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488691 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488696 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488700 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488702 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488716 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488723 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 488726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 488733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 488738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 488743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 488748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488767 */     GIR_RootConstrainSelectedInstOperands,
     /* 488768 */     // GIR_Coverage, 13230,
     /* 488768 */     GIR_EraseRootFromParent_Done,
     /* 488769 */   // Label 6765: @488769
     /* 488769 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(488904), // Rule ID 13231 //
     /* 488774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 488777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 488781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488809 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488821 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488821 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488826 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488826 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488835 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488851 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488858 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 488861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 488868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 488873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 488878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 488883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 488888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 488893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 488902 */     GIR_RootConstrainSelectedInstOperands,
     /* 488903 */     // GIR_Coverage, 13231,
     /* 488903 */     GIR_EraseRootFromParent_Done,
     /* 488904 */   // Label 6766: @488904
     /* 488904 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(489039), // Rule ID 13234 //
     /* 488909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 488912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 488916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 488920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 488924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 488928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 488932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 488936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 488940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 488944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 488948 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 488952 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 488956 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 488956 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 488961 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 488961 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 488966 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 488970 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 488972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488986 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 488993 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 488993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 488996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 488998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 489003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 489008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 489013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 489018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489037 */     GIR_RootConstrainSelectedInstOperands,
     /* 489038 */     // GIR_Coverage, 13234,
     /* 489038 */     GIR_EraseRootFromParent_Done,
     /* 489039 */   // Label 6767: @489039
     /* 489039 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(489174), // Rule ID 13235 //
     /* 489044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 489047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489079 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 489087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 489091 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489096 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489107 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489121 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489128 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 489131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 489138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 489143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 489148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 489153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489172 */     GIR_RootConstrainSelectedInstOperands,
     /* 489173 */     // GIR_Coverage, 13235,
     /* 489173 */     GIR_EraseRootFromParent_Done,
     /* 489174 */   // Label 6768: @489174
     /* 489174 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(489309), // Rule ID 7836 //
     /* 489179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 489182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489214 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489218 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489222 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489226 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489226 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489231 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489236 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489240 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489256 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489263 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 489266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 489273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 489278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 489283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 489288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489307 */     GIR_RootConstrainSelectedInstOperands,
     /* 489308 */     // GIR_Coverage, 7836,
     /* 489308 */     GIR_EraseRootFromParent_Done,
     /* 489309 */   // Label 6769: @489309
     /* 489309 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(489444), // Rule ID 7868 //
     /* 489314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 489317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 489321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489361 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489366 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489371 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489391 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489398 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 489401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 489408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 489413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 489418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 489423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489442 */     GIR_RootConstrainSelectedInstOperands,
     /* 489443 */     // GIR_Coverage, 7868,
     /* 489443 */     GIR_EraseRootFromParent_Done,
     /* 489444 */   // Label 6770: @489444
     /* 489444 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(489579), // Rule ID 7900 //
     /* 489449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 489452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489488 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489492 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489496 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489501 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489501 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489506 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489510 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489512 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489526 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489533 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 489536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 489543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 489548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 489553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 489558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489577 */     GIR_RootConstrainSelectedInstOperands,
     /* 489578 */     // GIR_Coverage, 7900,
     /* 489578 */     GIR_EraseRootFromParent_Done,
     /* 489579 */   // Label 6771: @489579
     /* 489579 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(489714), // Rule ID 12284 //
     /* 489584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 489587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489623 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489627 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489631 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489631 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489636 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489636 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489641 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489661 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489668 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 489671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 489678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 489683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 489688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 489693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489712 */     GIR_RootConstrainSelectedInstOperands,
     /* 489713 */     // GIR_Coverage, 12284,
     /* 489713 */     GIR_EraseRootFromParent_Done,
     /* 489714 */   // Label 6772: @489714
     /* 489714 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(489849), // Rule ID 12287 //
     /* 489719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 489722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489754 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489766 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489766 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489771 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489780 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489796 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489803 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 489806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 489813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 489818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 489823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 489828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489847 */     GIR_RootConstrainSelectedInstOperands,
     /* 489848 */     // GIR_Coverage, 12287,
     /* 489848 */     GIR_EraseRootFromParent_Done,
     /* 489849 */   // Label 6773: @489849
     /* 489849 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(489984), // Rule ID 12288 //
     /* 489854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 489857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 489861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 489865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 489869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 489873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 489877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 489881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 489885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 489889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 489893 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 489897 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 489901 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 489901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 489906 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 489906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 489911 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 489915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 489917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 489938 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 489938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 489941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 489943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 489948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 489953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 489958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 489963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 489968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 489973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 489982 */     GIR_RootConstrainSelectedInstOperands,
     /* 489983 */     // GIR_Coverage, 12288,
     /* 489983 */     GIR_EraseRootFromParent_Done,
     /* 489984 */   // Label 6774: @489984
     /* 489984 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(490119), // Rule ID 12764 //
     /* 489989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 489992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 489996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490036 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490041 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490041 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490073 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 490076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 490083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 490088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 490093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 490098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490117 */     GIR_RootConstrainSelectedInstOperands,
     /* 490118 */     // GIR_Coverage, 12764,
     /* 490118 */     GIR_EraseRootFromParent_Done,
     /* 490119 */   // Label 6775: @490119
     /* 490119 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(490254), // Rule ID 12767 //
     /* 490124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 490127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 490131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490159 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490171 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490171 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490176 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490176 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490181 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490187 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490201 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490208 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 490211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 490218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 490223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 490228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 490233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490252 */     GIR_RootConstrainSelectedInstOperands,
     /* 490253 */     // GIR_Coverage, 12767,
     /* 490253 */     GIR_EraseRootFromParent_Done,
     /* 490254 */   // Label 6776: @490254
     /* 490254 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(490389), // Rule ID 12768 //
     /* 490259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 490262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 490266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490294 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490306 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490311 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490311 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490322 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490336 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490343 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 490346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 490353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 490358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 490363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 490368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490387 */     GIR_RootConstrainSelectedInstOperands,
     /* 490388 */     // GIR_Coverage, 12768,
     /* 490388 */     GIR_EraseRootFromParent_Done,
     /* 490389 */   // Label 6777: @490389
     /* 490389 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(490524), // Rule ID 13244 //
     /* 490394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 490397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 490401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490433 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490437 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490441 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490441 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490446 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490446 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490451 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490455 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490464 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490471 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490478 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 490481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 490488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 490493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 490498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 490503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490522 */     GIR_RootConstrainSelectedInstOperands,
     /* 490523 */     // GIR_Coverage, 13244,
     /* 490523 */     GIR_EraseRootFromParent_Done,
     /* 490524 */   // Label 6778: @490524
     /* 490524 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(490659), // Rule ID 13247 //
     /* 490529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 490532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 490536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490564 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490576 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490576 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490581 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490581 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490586 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490592 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490606 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490613 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 490616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 490623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 490628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 490633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 490638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490657 */     GIR_RootConstrainSelectedInstOperands,
     /* 490658 */     // GIR_Coverage, 13247,
     /* 490658 */     GIR_EraseRootFromParent_Done,
     /* 490659 */   // Label 6779: @490659
     /* 490659 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(490794), // Rule ID 13248 //
     /* 490664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 490667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 490671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490699 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 490711 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490716 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490716 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490721 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490741 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490748 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 490751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 490758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 490763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 490768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 490773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490792 */     GIR_RootConstrainSelectedInstOperands,
     /* 490793 */     // GIR_Coverage, 13248,
     /* 490793 */     GIR_EraseRootFromParent_Done,
     /* 490794 */   // Label 6780: @490794
     /* 490794 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(490929), // Rule ID 7835 //
     /* 490799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 490802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 490806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 490846 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490851 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490856 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 490883 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 490883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 490886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 490888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 490893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 490898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 490903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 490908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 490913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 490918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 490927 */     GIR_RootConstrainSelectedInstOperands,
     /* 490928 */     // GIR_Coverage, 7835,
     /* 490928 */     GIR_EraseRootFromParent_Done,
     /* 490929 */   // Label 6781: @490929
     /* 490929 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(491064), // Rule ID 7867 //
     /* 490934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 490937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 490941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 490945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 490949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 490953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 490957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 490961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 490965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 490969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 490973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 490977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 490981 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 490981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 490986 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 490986 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 490991 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 490995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 490997 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491011 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491018 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 491021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 491028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 491033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 491038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 491043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491062 */     GIR_RootConstrainSelectedInstOperands,
     /* 491063 */     // GIR_Coverage, 7867,
     /* 491063 */     GIR_EraseRootFromParent_Done,
     /* 491064 */   // Label 6782: @491064
     /* 491064 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(491199), // Rule ID 7899 //
     /* 491069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 491072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 491076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491104 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491108 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491112 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491116 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491116 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491121 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491121 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491126 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491130 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491132 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491146 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491153 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 491156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 491163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 491168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 491173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 491178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491197 */     GIR_RootConstrainSelectedInstOperands,
     /* 491198 */     // GIR_Coverage, 7899,
     /* 491198 */     GIR_EraseRootFromParent_Done,
     /* 491199 */   // Label 6783: @491199
     /* 491199 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(491334), // Rule ID 12269 //
     /* 491204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 491207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 491211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491251 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491256 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491256 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491261 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491281 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491288 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 491291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 491298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 491303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 491308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 491313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491332 */     GIR_RootConstrainSelectedInstOperands,
     /* 491333 */     // GIR_Coverage, 12269,
     /* 491333 */     GIR_EraseRootFromParent_Done,
     /* 491334 */   // Label 6784: @491334
     /* 491334 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(491469), // Rule ID 12272 //
     /* 491339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 491342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 491346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491374 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491386 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491391 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491400 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491402 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491423 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 491426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 491433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 491438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 491443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 491448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491467 */     GIR_RootConstrainSelectedInstOperands,
     /* 491468 */     // GIR_Coverage, 12272,
     /* 491468 */     GIR_EraseRootFromParent_Done,
     /* 491469 */   // Label 6785: @491469
     /* 491469 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(491604), // Rule ID 12273 //
     /* 491474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 491477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 491481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491509 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491521 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491521 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491526 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491526 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491531 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491537 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491551 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491558 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 491561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 491568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 491573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 491578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 491583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491602 */     GIR_RootConstrainSelectedInstOperands,
     /* 491603 */     // GIR_Coverage, 12273,
     /* 491603 */     GIR_EraseRootFromParent_Done,
     /* 491604 */   // Label 6786: @491604
     /* 491604 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(491739), // Rule ID 12749 //
     /* 491609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 491612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 491616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491656 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491661 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491661 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491666 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491672 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491679 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491686 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491693 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 491696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 491703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 491708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 491713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 491718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491737 */     GIR_RootConstrainSelectedInstOperands,
     /* 491738 */     // GIR_Coverage, 12749,
     /* 491738 */     GIR_EraseRootFromParent_Done,
     /* 491739 */   // Label 6787: @491739
     /* 491739 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(491874), // Rule ID 12752 //
     /* 491744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 491747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 491751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491791 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491796 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491796 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491801 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491805 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491821 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491828 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 491831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 491838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 491843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 491848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 491853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 491872 */     GIR_RootConstrainSelectedInstOperands,
     /* 491873 */     // GIR_Coverage, 12752,
     /* 491873 */     GIR_EraseRootFromParent_Done,
     /* 491874 */   // Label 6788: @491874
     /* 491874 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(492009), // Rule ID 12753 //
     /* 491879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 491882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 491886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 491890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 491894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 491898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 491902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 491906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 491910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 491914 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 491918 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 491922 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 491926 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 491926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 491931 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 491931 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 491936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 491940 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 491942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491956 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 491963 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 491963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 491966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 491968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 491973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 491978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 491983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 491988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 491993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 491998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492007 */     GIR_RootConstrainSelectedInstOperands,
     /* 492008 */     // GIR_Coverage, 12753,
     /* 492008 */     GIR_EraseRootFromParent_Done,
     /* 492009 */   // Label 6789: @492009
     /* 492009 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(492144), // Rule ID 13229 //
     /* 492014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 492017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 492045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 492057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 492061 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492066 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492075 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492091 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492098 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 492101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 492108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 492113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 492118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 492123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492142 */     GIR_RootConstrainSelectedInstOperands,
     /* 492143 */     // GIR_Coverage, 13229,
     /* 492143 */     GIR_EraseRootFromParent_Done,
     /* 492144 */   // Label 6790: @492144
     /* 492144 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(492279), // Rule ID 13232 //
     /* 492149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 492152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 492180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492184 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 492192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 492196 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492201 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492210 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492212 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492226 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492233 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 492236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 492243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 492248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 492253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 492258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492277 */     GIR_RootConstrainSelectedInstOperands,
     /* 492278 */     // GIR_Coverage, 13232,
     /* 492278 */     GIR_EraseRootFromParent_Done,
     /* 492279 */   // Label 6791: @492279
     /* 492279 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(492414), // Rule ID 13233 //
     /* 492284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 492287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 492315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 492327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 492331 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492336 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492341 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492345 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492361 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492368 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 492371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 492378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 492383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 492388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 492393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492412 */     GIR_RootConstrainSelectedInstOperands,
     /* 492413 */     // GIR_Coverage, 13233,
     /* 492413 */     GIR_EraseRootFromParent_Done,
     /* 492414 */   // Label 6792: @492414
     /* 492414 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(492549), // Rule ID 12255 //
     /* 492419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 492422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492454 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492458 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 492462 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 492466 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492466 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492471 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492471 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492476 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492480 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492482 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492496 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492503 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 492506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 492513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 492518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 492523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 492528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492547 */     GIR_RootConstrainSelectedInstOperands,
     /* 492548 */     // GIR_Coverage, 12255,
     /* 492548 */     GIR_EraseRootFromParent_Done,
     /* 492549 */   // Label 6793: @492549
     /* 492549 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(492684), // Rule ID 12256 //
     /* 492554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 492557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492593 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 492597 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 492601 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492601 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492606 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492606 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492611 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492615 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492617 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492631 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492638 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 492641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 492648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 492653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 492658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 492663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492682 */     GIR_RootConstrainSelectedInstOperands,
     /* 492683 */     // GIR_Coverage, 12256,
     /* 492683 */     GIR_EraseRootFromParent_Done,
     /* 492684 */   // Label 6794: @492684
     /* 492684 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(492819), // Rule ID 12259 //
     /* 492689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 492692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492724 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492728 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 492732 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 492736 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492736 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492741 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492746 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492752 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492766 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492773 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 492776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 492783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 492788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 492793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 492798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492817 */     GIR_RootConstrainSelectedInstOperands,
     /* 492818 */     // GIR_Coverage, 12259,
     /* 492818 */     GIR_EraseRootFromParent_Done,
     /* 492819 */   // Label 6795: @492819
     /* 492819 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(492954), // Rule ID 12260 //
     /* 492824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 492827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 492831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 492867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 492871 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 492871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 492876 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 492876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 492881 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 492885 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 492887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492901 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 492908 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 492908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 492911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 492913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 492918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 492923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 492928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 492933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 492938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 492943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 492952 */     GIR_RootConstrainSelectedInstOperands,
     /* 492953 */     // GIR_Coverage, 12260,
     /* 492953 */     GIR_EraseRootFromParent_Done,
     /* 492954 */   // Label 6796: @492954
     /* 492954 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(493089), // Rule ID 12735 //
     /* 492959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 492962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 492966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 492970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 492978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 492982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 492986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 492990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 492994 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 492998 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493002 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493006 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493011 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493020 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493043 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 493046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 493053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 493058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 493063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 493068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493087 */     GIR_RootConstrainSelectedInstOperands,
     /* 493088 */     // GIR_Coverage, 12735,
     /* 493088 */     GIR_EraseRootFromParent_Done,
     /* 493089 */   // Label 6797: @493089
     /* 493089 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(493224), // Rule ID 12736 //
     /* 493094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 493097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 493101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493141 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493146 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493171 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493178 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 493181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 493188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 493193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 493198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 493203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493222 */     GIR_RootConstrainSelectedInstOperands,
     /* 493223 */     // GIR_Coverage, 12736,
     /* 493223 */     GIR_EraseRootFromParent_Done,
     /* 493224 */   // Label 6798: @493224
     /* 493224 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(493359), // Rule ID 12739 //
     /* 493229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 493232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 493236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493276 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493281 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493281 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493286 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493292 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493313 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 493316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 493323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 493328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 493333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 493338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493357 */     GIR_RootConstrainSelectedInstOperands,
     /* 493358 */     // GIR_Coverage, 12739,
     /* 493358 */     GIR_EraseRootFromParent_Done,
     /* 493359 */   // Label 6799: @493359
     /* 493359 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(493494), // Rule ID 12740 //
     /* 493364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 493367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 493371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493411 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493411 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493416 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493421 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493441 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493448 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 493451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 493458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 493463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 493468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 493473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493492 */     GIR_RootConstrainSelectedInstOperands,
     /* 493493 */     // GIR_Coverage, 12740,
     /* 493493 */     GIR_EraseRootFromParent_Done,
     /* 493494 */   // Label 6800: @493494
     /* 493494 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(493629), // Rule ID 13215 //
     /* 493499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 493502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 493506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493534 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493538 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493542 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493546 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493551 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493551 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493560 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493576 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493583 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 493586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 493593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 493598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 493603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 493608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493627 */     GIR_RootConstrainSelectedInstOperands,
     /* 493628 */     // GIR_Coverage, 13215,
     /* 493628 */     GIR_EraseRootFromParent_Done,
     /* 493629 */   // Label 6801: @493629
     /* 493629 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(493764), // Rule ID 13216 //
     /* 493634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 493637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 493641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493673 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493677 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493681 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493686 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493691 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493718 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 493721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 493728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 493733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 493738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 493743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493762 */     GIR_RootConstrainSelectedInstOperands,
     /* 493763 */     // GIR_Coverage, 13216,
     /* 493763 */     GIR_EraseRootFromParent_Done,
     /* 493764 */   // Label 6802: @493764
     /* 493764 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(493899), // Rule ID 13219 //
     /* 493769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 493772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 493776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493816 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493816 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493821 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493821 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493826 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493832 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493846 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493853 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 493856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 493863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 493868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 493873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 493878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 493883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 493888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 493897 */     GIR_RootConstrainSelectedInstOperands,
     /* 493898 */     // GIR_Coverage, 13219,
     /* 493898 */     GIR_EraseRootFromParent_Done,
     /* 493899 */   // Label 6803: @493899
     /* 493899 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(494034), // Rule ID 13220 //
     /* 493904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 493907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 493911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 493915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 493923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 493927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 493931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 493935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 493939 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 493943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 493947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 493951 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 493951 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 493956 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 493956 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 493961 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 493965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 493967 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493981 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 493988 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 493988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 493991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 493993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 493998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 494003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 494008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 494013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494032 */     GIR_RootConstrainSelectedInstOperands,
     /* 494033 */     // GIR_Coverage, 13220,
     /* 494033 */     GIR_EraseRootFromParent_Done,
     /* 494034 */   // Label 6804: @494034
     /* 494034 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(494169), // Rule ID 12240 //
     /* 494039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 494042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 494046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494078 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494082 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494086 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494086 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494091 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494096 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494123 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 494126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 494133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 494138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 494143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 494148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494167 */     GIR_RootConstrainSelectedInstOperands,
     /* 494168 */     // GIR_Coverage, 12240,
     /* 494168 */     GIR_EraseRootFromParent_Done,
     /* 494169 */   // Label 6805: @494169
     /* 494169 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(494304), // Rule ID 12241 //
     /* 494174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 494177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 494181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494221 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494221 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494226 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494226 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494231 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494251 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494258 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 494261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 494268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 494273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 494278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 494283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494302 */     GIR_RootConstrainSelectedInstOperands,
     /* 494303 */     // GIR_Coverage, 12241,
     /* 494303 */     GIR_EraseRootFromParent_Done,
     /* 494304 */   // Label 6806: @494304
     /* 494304 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(494439), // Rule ID 12244 //
     /* 494309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 494312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 494316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494356 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494361 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494366 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494372 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494386 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494393 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 494396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 494403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 494408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 494413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 494418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494437 */     GIR_RootConstrainSelectedInstOperands,
     /* 494438 */     // GIR_Coverage, 12244,
     /* 494438 */     GIR_EraseRootFromParent_Done,
     /* 494439 */   // Label 6807: @494439
     /* 494439 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(494574), // Rule ID 12245 //
     /* 494444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 494447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 494451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494491 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494496 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494501 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494507 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494521 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494528 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 494531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 494538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 494543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 494548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 494553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494572 */     GIR_RootConstrainSelectedInstOperands,
     /* 494573 */     // GIR_Coverage, 12245,
     /* 494573 */     GIR_EraseRootFromParent_Done,
     /* 494574 */   // Label 6808: @494574
     /* 494574 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(494709), // Rule ID 12720 //
     /* 494579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 494582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 494586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494626 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494631 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494631 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494636 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494642 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494656 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494663 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 494666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 494673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 494678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 494683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 494688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494707 */     GIR_RootConstrainSelectedInstOperands,
     /* 494708 */     // GIR_Coverage, 12720,
     /* 494708 */     GIR_EraseRootFromParent_Done,
     /* 494709 */   // Label 6809: @494709
     /* 494709 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(494844), // Rule ID 12721 //
     /* 494714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 494717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 494721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494761 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494766 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494766 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494771 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494775 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494791 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494798 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 494801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 494808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 494813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 494818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 494823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494842 */     GIR_RootConstrainSelectedInstOperands,
     /* 494843 */     // GIR_Coverage, 12721,
     /* 494843 */     GIR_EraseRootFromParent_Done,
     /* 494844 */   // Label 6810: @494844
     /* 494844 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(494979), // Rule ID 12724 //
     /* 494849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 494852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 494856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 494868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 494872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 494876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 494884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 494888 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 494892 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 494896 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 494896 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 494901 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 494901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 494906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 494910 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 494912 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494926 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 494933 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 494933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 494936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 494938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 494943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 494948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 494953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 494958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 494963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 494968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 494977 */     GIR_RootConstrainSelectedInstOperands,
     /* 494978 */     // GIR_Coverage, 12724,
     /* 494978 */     GIR_EraseRootFromParent_Done,
     /* 494979 */   // Label 6811: @494979
     /* 494979 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(495114), // Rule ID 12725 //
     /* 494984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 494987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 494991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 494995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 494999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495019 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 495027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 495031 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495031 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495036 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495036 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495047 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495068 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 495071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 495078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 495083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 495088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 495093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495112 */     GIR_RootConstrainSelectedInstOperands,
     /* 495113 */     // GIR_Coverage, 12725,
     /* 495113 */     GIR_EraseRootFromParent_Done,
     /* 495114 */   // Label 6812: @495114
     /* 495114 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(495249), // Rule ID 13200 //
     /* 495119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 495122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495154 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 495162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 495166 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495166 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495171 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495171 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495176 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495182 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495196 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495203 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 495206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 495213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 495218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 495223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 495228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495247 */     GIR_RootConstrainSelectedInstOperands,
     /* 495248 */     // GIR_Coverage, 13200,
     /* 495248 */     GIR_EraseRootFromParent_Done,
     /* 495249 */   // Label 6813: @495249
     /* 495249 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(495384), // Rule ID 13201 //
     /* 495254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 495257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 495297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 495301 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495306 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495311 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495315 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495317 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495331 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495338 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 495341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 495348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 495353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 495358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 495363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495382 */     GIR_RootConstrainSelectedInstOperands,
     /* 495383 */     // GIR_Coverage, 13201,
     /* 495383 */     GIR_EraseRootFromParent_Done,
     /* 495384 */   // Label 6814: @495384
     /* 495384 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(495519), // Rule ID 13204 //
     /* 495389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 495392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495428 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 495432 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 495436 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495441 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495441 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495450 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495466 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495473 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 495476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 495483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 495488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 495493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 495498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495517 */     GIR_RootConstrainSelectedInstOperands,
     /* 495518 */     // GIR_Coverage, 13204,
     /* 495518 */     GIR_EraseRootFromParent_Done,
     /* 495519 */   // Label 6815: @495519
     /* 495519 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(495654), // Rule ID 13205 //
     /* 495524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 495527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495559 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 495567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 495571 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495571 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495576 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495576 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495585 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495601 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495608 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 495611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 495618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 495623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 495628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 495633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495652 */     GIR_RootConstrainSelectedInstOperands,
     /* 495653 */     // GIR_Coverage, 13205,
     /* 495653 */     GIR_EraseRootFromParent_Done,
     /* 495654 */   // Label 6816: @495654
     /* 495654 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(495789), // Rule ID 7834 //
     /* 495659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 495662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495694 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 495702 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 495706 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495711 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495711 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495716 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495720 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495736 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495743 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 495746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 495753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 495758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 495763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 495768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495787 */     GIR_RootConstrainSelectedInstOperands,
     /* 495788 */     // GIR_Coverage, 7834,
     /* 495788 */     GIR_EraseRootFromParent_Done,
     /* 495789 */   // Label 6817: @495789
     /* 495789 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(495924), // Rule ID 7866 //
     /* 495794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 495797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 495801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495829 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 495837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 495841 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495846 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495851 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495855 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495871 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495878 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 495878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 495881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 495883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 495888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 495893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 495898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 495903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 495908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 495913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 495922 */     GIR_RootConstrainSelectedInstOperands,
     /* 495923 */     // GIR_Coverage, 7866,
     /* 495923 */     GIR_EraseRootFromParent_Done,
     /* 495924 */   // Label 6818: @495924
     /* 495924 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(496059), // Rule ID 7898 //
     /* 495929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 495932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 495936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 495940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 495948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 495952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 495956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 495960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 495964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 495968 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 495972 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 495976 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 495976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 495981 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 495981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 495986 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 495990 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 495992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 495999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496013 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 496016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 496023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 496028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 496033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 496038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496057 */     GIR_RootConstrainSelectedInstOperands,
     /* 496058 */     // GIR_Coverage, 7898,
     /* 496058 */     GIR_EraseRootFromParent_Done,
     /* 496059 */   // Label 6819: @496059
     /* 496059 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(496194), // Rule ID 12254 //
     /* 496064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 496067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 496071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496099 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496111 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496116 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496116 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496121 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496125 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496127 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496141 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496148 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 496151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 496158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 496163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 496168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 496173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496192 */     GIR_RootConstrainSelectedInstOperands,
     /* 496193 */     // GIR_Coverage, 12254,
     /* 496193 */     GIR_EraseRootFromParent_Done,
     /* 496194 */   // Label 6820: @496194
     /* 496194 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(496329), // Rule ID 12257 //
     /* 496199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 496202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 496206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496234 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496238 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496242 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496246 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496246 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496251 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496256 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496260 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496276 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496283 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 496286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 496293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 496298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 496303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 496308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496327 */     GIR_RootConstrainSelectedInstOperands,
     /* 496328 */     // GIR_Coverage, 12257,
     /* 496328 */     GIR_EraseRootFromParent_Done,
     /* 496329 */   // Label 6821: @496329
     /* 496329 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(496464), // Rule ID 12258 //
     /* 496334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 496337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 496341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496381 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496386 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496395 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496397 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496411 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496418 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 496421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 496428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 496433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 496438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 496443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496462 */     GIR_RootConstrainSelectedInstOperands,
     /* 496463 */     // GIR_Coverage, 12258,
     /* 496463 */     GIR_EraseRootFromParent_Done,
     /* 496464 */   // Label 6822: @496464
     /* 496464 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(496599), // Rule ID 12734 //
     /* 496469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 496472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 496476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496504 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496508 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496512 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496516 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496516 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496521 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496521 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496530 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496546 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496553 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 496556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 496563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 496568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 496573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 496578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496597 */     GIR_RootConstrainSelectedInstOperands,
     /* 496598 */     // GIR_Coverage, 12734,
     /* 496598 */     GIR_EraseRootFromParent_Done,
     /* 496599 */   // Label 6823: @496599
     /* 496599 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(496734), // Rule ID 12737 //
     /* 496604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 496607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 496611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496639 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496651 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496656 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496661 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496688 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 496691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 496698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 496703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 496708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 496713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496732 */     GIR_RootConstrainSelectedInstOperands,
     /* 496733 */     // GIR_Coverage, 12737,
     /* 496733 */     GIR_EraseRootFromParent_Done,
     /* 496734 */   // Label 6824: @496734
     /* 496734 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(496869), // Rule ID 12738 //
     /* 496739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 496742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 496746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496786 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496791 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496796 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496816 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496823 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 496826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 496833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 496838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 496843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 496848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496867 */     GIR_RootConstrainSelectedInstOperands,
     /* 496868 */     // GIR_Coverage, 12738,
     /* 496868 */     GIR_EraseRootFromParent_Done,
     /* 496869 */   // Label 6825: @496869
     /* 496869 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(497004), // Rule ID 13214 //
     /* 496874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 496877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 496881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 496885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 496893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 496897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 496901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 496905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 496909 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 496913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 496917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 496921 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 496921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 496926 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 496926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 496931 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 496935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 496937 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496951 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 496958 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 496958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 496961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 496963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 496968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 496973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 496978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 496983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 496988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 496993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 496999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497002 */     GIR_RootConstrainSelectedInstOperands,
     /* 497003 */     // GIR_Coverage, 13214,
     /* 497003 */     GIR_EraseRootFromParent_Done,
     /* 497004 */   // Label 6826: @497004
     /* 497004 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(497139), // Rule ID 13217 //
     /* 497009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 497012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497044 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497048 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497052 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 497056 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497056 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497061 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497066 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497086 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497093 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 497096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 497103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 497108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 497113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 497118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497137 */     GIR_RootConstrainSelectedInstOperands,
     /* 497138 */     // GIR_Coverage, 13217,
     /* 497138 */     GIR_EraseRootFromParent_Done,
     /* 497139 */   // Label 6827: @497139
     /* 497139 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(497274), // Rule ID 13218 //
     /* 497144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 497147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497179 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497183 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497187 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 497191 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497191 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497196 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497196 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497228 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 497231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 497238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 497243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 497248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 497253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497272 */     GIR_RootConstrainSelectedInstOperands,
     /* 497273 */     // GIR_Coverage, 13218,
     /* 497273 */     GIR_EraseRootFromParent_Done,
     /* 497274 */   // Label 6828: @497274
     /* 497274 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(497409), // Rule ID 7833 //
     /* 497279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 497282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497314 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497318 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497322 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 497326 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497331 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497336 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497363 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 497366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 497373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 497378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 497383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 497388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497407 */     GIR_RootConstrainSelectedInstOperands,
     /* 497408 */     // GIR_Coverage, 7833,
     /* 497408 */     GIR_EraseRootFromParent_Done,
     /* 497409 */   // Label 6829: @497409
     /* 497409 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(497544), // Rule ID 7865 //
     /* 497414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 497417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 497421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 497461 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497466 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497466 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497471 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497491 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497498 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 497501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 497508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 497513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 497518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 497523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497542 */     GIR_RootConstrainSelectedInstOperands,
     /* 497543 */     // GIR_Coverage, 7865,
     /* 497543 */     GIR_EraseRootFromParent_Done,
     /* 497544 */   // Label 6830: @497544
     /* 497544 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(497679), // Rule ID 7897 //
     /* 497549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 497552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497584 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 497596 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497596 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497601 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497601 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497626 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497633 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 497636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 497643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 497648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 497653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 497658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497677 */     GIR_RootConstrainSelectedInstOperands,
     /* 497678 */     // GIR_Coverage, 7897,
     /* 497678 */     GIR_EraseRootFromParent_Done,
     /* 497679 */   // Label 6831: @497679
     /* 497679 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(497814), // Rule ID 12239 //
     /* 497684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 497687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497719 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 497731 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497731 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497736 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497736 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497741 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497747 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497754 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497768 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 497771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 497778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 497783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 497788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 497793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497812 */     GIR_RootConstrainSelectedInstOperands,
     /* 497813 */     // GIR_Coverage, 12239,
     /* 497813 */     GIR_EraseRootFromParent_Done,
     /* 497814 */   // Label 6832: @497814
     /* 497814 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(497949), // Rule ID 12242 //
     /* 497819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 497822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497854 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497858 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497862 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 497866 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 497866 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 497871 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 497871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 497876 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 497880 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 497882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497896 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 497903 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 497903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 497906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 497908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 497913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 497918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 497923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 497928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 497933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 497938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 497947 */     GIR_RootConstrainSelectedInstOperands,
     /* 497948 */     // GIR_Coverage, 12242,
     /* 497948 */     GIR_EraseRootFromParent_Done,
     /* 497949 */   // Label 6833: @497949
     /* 497949 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(498084), // Rule ID 12243 //
     /* 497954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 497957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 497961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 497965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 497973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 497977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 497981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 497985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 497989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 497993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 497997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498001 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498006 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498038 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 498041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 498058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 498063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498082 */     GIR_RootConstrainSelectedInstOperands,
     /* 498083 */     // GIR_Coverage, 12243,
     /* 498083 */     GIR_EraseRootFromParent_Done,
     /* 498084 */   // Label 6834: @498084
     /* 498084 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(498219), // Rule ID 12719 //
     /* 498089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 498092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 498096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498124 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498136 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498141 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498152 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498173 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 498176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 498183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 498188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 498193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 498198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498217 */     GIR_RootConstrainSelectedInstOperands,
     /* 498218 */     // GIR_Coverage, 12719,
     /* 498218 */     GIR_EraseRootFromParent_Done,
     /* 498219 */   // Label 6835: @498219
     /* 498219 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(498354), // Rule ID 12722 //
     /* 498224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 498227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 498231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498259 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498271 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498276 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498301 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498308 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 498311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 498328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 498333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498352 */     GIR_RootConstrainSelectedInstOperands,
     /* 498353 */     // GIR_Coverage, 12722,
     /* 498353 */     GIR_EraseRootFromParent_Done,
     /* 498354 */   // Label 6836: @498354
     /* 498354 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(498489), // Rule ID 12723 //
     /* 498359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 498362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 498366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498394 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498406 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498411 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498411 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498416 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498420 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498422 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498436 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498443 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 498446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 498463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 498468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498487 */     GIR_RootConstrainSelectedInstOperands,
     /* 498488 */     // GIR_Coverage, 12723,
     /* 498488 */     GIR_EraseRootFromParent_Done,
     /* 498489 */   // Label 6837: @498489
     /* 498489 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(498624), // Rule ID 13199 //
     /* 498494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 498497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 498501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498529 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498533 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498537 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498541 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498541 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498546 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498551 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498557 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498571 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498578 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 498581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 498588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 498593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 498598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 498603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498622 */     GIR_RootConstrainSelectedInstOperands,
     /* 498623 */     // GIR_Coverage, 13199,
     /* 498623 */     GIR_EraseRootFromParent_Done,
     /* 498624 */   // Label 6838: @498624
     /* 498624 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(498759), // Rule ID 13202 //
     /* 498629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 498632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 498636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498664 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498676 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498676 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498681 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498681 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498686 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498692 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498713 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 498716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 498733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 498738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498757 */     GIR_RootConstrainSelectedInstOperands,
     /* 498758 */     // GIR_Coverage, 13202,
     /* 498758 */     GIR_EraseRootFromParent_Done,
     /* 498759 */   // Label 6839: @498759
     /* 498759 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(498894), // Rule ID 13203 //
     /* 498764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 498767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 498771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 498791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498799 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 498807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 498811 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 498816 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498816 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 498821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498848 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 498851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 498868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 498873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 498878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 498883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 498892 */     GIR_RootConstrainSelectedInstOperands,
     /* 498893 */     // GIR_Coverage, 13203,
     /* 498893 */     GIR_EraseRootFromParent_Done,
     /* 498894 */   // Label 6840: @498894
     /* 498894 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(499029), // Rule ID 12325 //
     /* 498899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 498902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 498906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 498910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 498914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 498918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 498922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 498926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 498930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 498934 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 498938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 498942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 498946 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 498946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 498951 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 498951 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 498956 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 498960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 498962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498969 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 498983 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 498983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 498986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 498988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 498993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 498998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 499003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 499008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499027 */     GIR_RootConstrainSelectedInstOperands,
     /* 499028 */     // GIR_Coverage, 12325,
     /* 499028 */     GIR_EraseRootFromParent_Done,
     /* 499029 */   // Label 6841: @499029
     /* 499029 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(499164), // Rule ID 12326 //
     /* 499034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 499037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 499041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499069 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499073 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499077 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499081 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499081 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499086 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499086 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499091 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499097 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499104 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499118 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 499121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 499128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 499133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 499138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 499143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499162 */     GIR_RootConstrainSelectedInstOperands,
     /* 499163 */     // GIR_Coverage, 12326,
     /* 499163 */     GIR_EraseRootFromParent_Done,
     /* 499164 */   // Label 6842: @499164
     /* 499164 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(499299), // Rule ID 12327 //
     /* 499169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 499172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 499176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499204 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499208 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499212 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499216 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499221 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499221 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499226 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499232 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499239 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499246 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499253 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 499256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 499263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 499268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 499273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 499278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499297 */     GIR_RootConstrainSelectedInstOperands,
     /* 499298 */     // GIR_Coverage, 12327,
     /* 499298 */     GIR_EraseRootFromParent_Done,
     /* 499299 */   // Label 6843: @499299
     /* 499299 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(499434), // Rule ID 12328 //
     /* 499304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 499307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 499311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499339 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499343 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499347 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499351 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499356 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499356 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499361 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499365 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499367 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499374 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499381 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499388 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 499391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 499398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 499403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 499408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 499413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499432 */     GIR_RootConstrainSelectedInstOperands,
     /* 499433 */     // GIR_Coverage, 12328,
     /* 499433 */     GIR_EraseRootFromParent_Done,
     /* 499434 */   // Label 6844: @499434
     /* 499434 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(499569), // Rule ID 12805 //
     /* 499439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 499442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 499446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499486 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499491 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499509 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499516 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499523 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 499526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 499533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 499538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 499543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 499548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499567 */     GIR_RootConstrainSelectedInstOperands,
     /* 499568 */     // GIR_Coverage, 12805,
     /* 499568 */     GIR_EraseRootFromParent_Done,
     /* 499569 */   // Label 6845: @499569
     /* 499569 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(499704), // Rule ID 12806 //
     /* 499574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 499577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 499581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499609 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499621 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499626 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499658 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 499661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 499668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 499673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 499678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 499683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499702 */     GIR_RootConstrainSelectedInstOperands,
     /* 499703 */     // GIR_Coverage, 12806,
     /* 499703 */     GIR_EraseRootFromParent_Done,
     /* 499704 */   // Label 6846: @499704
     /* 499704 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(499839), // Rule ID 12807 //
     /* 499709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 499712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 499716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499748 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499752 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499756 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499761 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499779 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499786 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499793 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 499796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 499803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 499808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 499813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 499818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499837 */     GIR_RootConstrainSelectedInstOperands,
     /* 499838 */     // GIR_Coverage, 12807,
     /* 499838 */     GIR_EraseRootFromParent_Done,
     /* 499839 */   // Label 6847: @499839
     /* 499839 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(499974), // Rule ID 12808 //
     /* 499844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 499847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 499851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 499867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 499871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 499875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 499879 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 499883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 499887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 499891 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 499891 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 499896 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 499896 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 499901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 499905 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 499907 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499914 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499921 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 499928 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 499928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 499931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 499933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 499938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 499943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 499948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 499953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 499958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 499963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 499972 */     GIR_RootConstrainSelectedInstOperands,
     /* 499973 */     // GIR_Coverage, 12808,
     /* 499973 */     GIR_EraseRootFromParent_Done,
     /* 499974 */   // Label 6848: @499974
     /* 499974 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(500109), // Rule ID 13285 //
     /* 499979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 499982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 499986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 499990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 499994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 499998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500014 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500018 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500022 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 500026 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500031 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500031 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500036 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500049 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500056 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500063 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 500066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 500073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 500078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 500088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500107 */     GIR_RootConstrainSelectedInstOperands,
     /* 500108 */     // GIR_Coverage, 13285,
     /* 500108 */     GIR_EraseRootFromParent_Done,
     /* 500109 */   // Label 6849: @500109
     /* 500109 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(500244), // Rule ID 13286 //
     /* 500114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 500117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500153 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500157 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 500161 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500161 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500166 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500166 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500171 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500184 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500191 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500198 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 500201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 500208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 500213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 500218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 500223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500242 */     GIR_RootConstrainSelectedInstOperands,
     /* 500243 */     // GIR_Coverage, 13286,
     /* 500243 */     GIR_EraseRootFromParent_Done,
     /* 500244 */   // Label 6850: @500244
     /* 500244 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(500379), // Rule ID 13287 //
     /* 500249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 500252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500284 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500288 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500292 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 500296 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500301 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500333 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 500336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 500343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 500348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 500353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 500358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500377 */     GIR_RootConstrainSelectedInstOperands,
     /* 500378 */     // GIR_Coverage, 13287,
     /* 500378 */     GIR_EraseRootFromParent_Done,
     /* 500379 */   // Label 6851: @500379
     /* 500379 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(500514), // Rule ID 13288 //
     /* 500384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 500387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 500431 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500436 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500441 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500454 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500461 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500468 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 500471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 500478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 500483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 500488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 500493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500512 */     GIR_RootConstrainSelectedInstOperands,
     /* 500513 */     // GIR_Coverage, 13288,
     /* 500513 */     GIR_EraseRootFromParent_Done,
     /* 500514 */   // Label 6852: @500514
     /* 500514 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(500649), // Rule ID 12265 //
     /* 500519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 500522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500554 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500558 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500562 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500566 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500566 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500571 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500571 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500576 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500596 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500603 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 500606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 500613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 500618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 500623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 500628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500647 */     GIR_RootConstrainSelectedInstOperands,
     /* 500648 */     // GIR_Coverage, 12265,
     /* 500648 */     GIR_EraseRootFromParent_Done,
     /* 500649 */   // Label 6853: @500649
     /* 500649 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(500784), // Rule ID 12266 //
     /* 500654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 500657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500701 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500701 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500706 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500711 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500715 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500717 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500724 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500731 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500738 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 500741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 500748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 500753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 500758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 500763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500782 */     GIR_RootConstrainSelectedInstOperands,
     /* 500783 */     // GIR_Coverage, 12266,
     /* 500783 */     GIR_EraseRootFromParent_Done,
     /* 500784 */   // Label 6854: @500784
     /* 500784 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(500919), // Rule ID 12267 //
     /* 500789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 500792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500836 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500841 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500841 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500846 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500859 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500866 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500873 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 500873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 500876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 500878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 500883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 500888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 500893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 500898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 500903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 500908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 500917 */     GIR_RootConstrainSelectedInstOperands,
     /* 500918 */     // GIR_Coverage, 12267,
     /* 500918 */     GIR_EraseRootFromParent_Done,
     /* 500919 */   // Label 6855: @500919
     /* 500919 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(501054), // Rule ID 12268 //
     /* 500924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 500927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 500931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 500935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 500943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 500947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 500951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 500955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 500959 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 500963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 500967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 500971 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 500971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 500976 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 500976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 500981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 500985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 500987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 500994 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501008 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 501011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 501018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 501023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 501028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 501033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501052 */     GIR_RootConstrainSelectedInstOperands,
     /* 501053 */     // GIR_Coverage, 12268,
     /* 501053 */     GIR_EraseRootFromParent_Done,
     /* 501054 */   // Label 6856: @501054
     /* 501054 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(501189), // Rule ID 12745 //
     /* 501059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 501062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 501066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501094 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501106 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501111 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501122 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501129 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501143 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 501146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 501153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 501158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 501163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 501168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501187 */     GIR_RootConstrainSelectedInstOperands,
     /* 501188 */     // GIR_Coverage, 12745,
     /* 501188 */     GIR_EraseRootFromParent_Done,
     /* 501189 */   // Label 6857: @501189
     /* 501189 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(501324), // Rule ID 12746 //
     /* 501194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 501197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 501201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501229 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501241 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501246 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501246 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501251 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501255 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501257 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501264 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501278 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 501281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 501288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 501293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 501298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 501303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501322 */     GIR_RootConstrainSelectedInstOperands,
     /* 501323 */     // GIR_Coverage, 12746,
     /* 501323 */     GIR_EraseRootFromParent_Done,
     /* 501324 */   // Label 6858: @501324
     /* 501324 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(501459), // Rule ID 12747 //
     /* 501329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 501332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 501336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501364 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501376 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501376 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501381 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501386 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501392 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501399 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501413 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 501416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 501423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 501428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 501433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 501438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501457 */     GIR_RootConstrainSelectedInstOperands,
     /* 501458 */     // GIR_Coverage, 12747,
     /* 501458 */     GIR_EraseRootFromParent_Done,
     /* 501459 */   // Label 6859: @501459
     /* 501459 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(501594), // Rule ID 12748 //
     /* 501464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 501467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 501471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501499 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501511 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501511 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501516 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501516 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501521 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501525 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501534 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501541 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501548 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 501551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 501558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 501563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 501568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 501573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501592 */     GIR_RootConstrainSelectedInstOperands,
     /* 501593 */     // GIR_Coverage, 12748,
     /* 501593 */     GIR_EraseRootFromParent_Done,
     /* 501594 */   // Label 6860: @501594
     /* 501594 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(501729), // Rule ID 13225 //
     /* 501599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 501602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 501606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501634 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501646 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501651 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501669 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501683 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 501686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 501693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 501698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 501703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 501708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501727 */     GIR_RootConstrainSelectedInstOperands,
     /* 501728 */     // GIR_Coverage, 13225,
     /* 501728 */     GIR_EraseRootFromParent_Done,
     /* 501729 */   // Label 6861: @501729
     /* 501729 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(501864), // Rule ID 13226 //
     /* 501734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 501737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 501741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501781 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501786 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501791 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501804 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501818 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 501821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 501828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 501833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 501838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 501843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501862 */     GIR_RootConstrainSelectedInstOperands,
     /* 501863 */     // GIR_Coverage, 13226,
     /* 501863 */     GIR_EraseRootFromParent_Done,
     /* 501864 */   // Label 6862: @501864
     /* 501864 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(501999), // Rule ID 13227 //
     /* 501869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 501872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 501876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 501880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 501888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 501892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 501896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 501900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 501904 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 501908 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 501912 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 501916 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 501916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 501921 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 501921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 501926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 501930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 501932 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501939 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 501953 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 501953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 501956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 501958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 501963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 501968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 501973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 501978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 501983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 501988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 501997 */     GIR_RootConstrainSelectedInstOperands,
     /* 501998 */     // GIR_Coverage, 13227,
     /* 501998 */     GIR_EraseRootFromParent_Done,
     /* 501999 */   // Label 6863: @501999
     /* 501999 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(502134), // Rule ID 13228 //
     /* 502004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 502007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 502011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 502035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502039 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502051 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502051 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502056 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502056 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502061 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502065 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502074 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502081 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502088 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 502091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 502098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 502103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 502108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 502113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502132 */     GIR_RootConstrainSelectedInstOperands,
     /* 502133 */     // GIR_Coverage, 13228,
     /* 502133 */     GIR_EraseRootFromParent_Done,
     /* 502134 */   // Label 6864: @502134
     /* 502134 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(502269), // Rule ID 12310 //
     /* 502139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 502142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 502146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502174 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502178 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502182 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502186 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502186 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502191 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502191 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502196 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502200 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502202 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502209 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502216 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502223 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 502226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 502233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 502238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 502243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 502248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502267 */     GIR_RootConstrainSelectedInstOperands,
     /* 502268 */     // GIR_Coverage, 12310,
     /* 502268 */     GIR_EraseRootFromParent_Done,
     /* 502269 */   // Label 6865: @502269
     /* 502269 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(502404), // Rule ID 12311 //
     /* 502274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 502277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 502281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502321 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502326 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502331 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502335 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502344 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502358 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 502361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 502368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 502373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 502378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 502383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502402 */     GIR_RootConstrainSelectedInstOperands,
     /* 502403 */     // GIR_Coverage, 12311,
     /* 502403 */     GIR_EraseRootFromParent_Done,
     /* 502404 */   // Label 6866: @502404
     /* 502404 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(502539), // Rule ID 12312 //
     /* 502409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 502412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 502416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502456 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502461 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502479 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502493 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 502496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 502503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 502508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 502513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 502518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502537 */     GIR_RootConstrainSelectedInstOperands,
     /* 502538 */     // GIR_Coverage, 12312,
     /* 502538 */     GIR_EraseRootFromParent_Done,
     /* 502539 */   // Label 6867: @502539
     /* 502539 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(502674), // Rule ID 12313 //
     /* 502544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 502547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 502551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502591 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502596 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502596 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502605 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502607 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502628 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 502631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 502638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 502643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 502648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 502653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502672 */     GIR_RootConstrainSelectedInstOperands,
     /* 502673 */     // GIR_Coverage, 12313,
     /* 502673 */     GIR_EraseRootFromParent_Done,
     /* 502674 */   // Label 6868: @502674
     /* 502674 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(502809), // Rule ID 12790 //
     /* 502679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 502682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 502686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502714 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502722 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502726 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502731 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502731 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502736 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502740 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502749 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502756 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502763 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 502766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 502773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 502778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 502783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 502788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502807 */     GIR_RootConstrainSelectedInstOperands,
     /* 502808 */     // GIR_Coverage, 12790,
     /* 502808 */     GIR_EraseRootFromParent_Done,
     /* 502809 */   // Label 6869: @502809
     /* 502809 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(502944), // Rule ID 12791 //
     /* 502814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 502817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 502821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502849 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502861 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 502861 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 502866 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502866 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 502871 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 502875 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 502877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502891 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 502898 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 502898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 502901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 502903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 502908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 502913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 502918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 502923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 502928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 502933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 502942 */     GIR_RootConstrainSelectedInstOperands,
     /* 502943 */     // GIR_Coverage, 12791,
     /* 502943 */     GIR_EraseRootFromParent_Done,
     /* 502944 */   // Label 6870: @502944
     /* 502944 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(503079), // Rule ID 12792 //
     /* 502949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 502952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 502956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 502960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 502964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 502968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 502972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 502976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 502980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 502984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 502988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 502992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 502996 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 502996 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503001 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503001 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503006 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503010 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503012 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503019 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503033 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 503036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 503043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 503048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 503053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 503058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503077 */     GIR_RootConstrainSelectedInstOperands,
     /* 503078 */     // GIR_Coverage, 12792,
     /* 503078 */     GIR_EraseRootFromParent_Done,
     /* 503079 */   // Label 6871: @503079
     /* 503079 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(503214), // Rule ID 12793 //
     /* 503084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 503087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 503091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503123 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503127 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 503131 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503136 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503141 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503161 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503168 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 503171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 503178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 503183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 503188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 503193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503212 */     GIR_RootConstrainSelectedInstOperands,
     /* 503213 */     // GIR_Coverage, 12793,
     /* 503213 */     GIR_EraseRootFromParent_Done,
     /* 503214 */   // Label 6872: @503214
     /* 503214 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(503349), // Rule ID 13270 //
     /* 503219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 503222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503254 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503258 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503262 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 503266 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503271 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503276 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503303 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 503306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 503313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 503318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 503323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 503328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503347 */     GIR_RootConstrainSelectedInstOperands,
     /* 503348 */     // GIR_Coverage, 13270,
     /* 503348 */     GIR_EraseRootFromParent_Done,
     /* 503349 */   // Label 6873: @503349
     /* 503349 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(503484), // Rule ID 13271 //
     /* 503354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 503357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 503401 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503406 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503438 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 503441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 503448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 503453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 503458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 503463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503482 */     GIR_RootConstrainSelectedInstOperands,
     /* 503483 */     // GIR_Coverage, 13271,
     /* 503483 */     GIR_EraseRootFromParent_Done,
     /* 503484 */   // Label 6874: @503484
     /* 503484 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(503619), // Rule ID 13272 //
     /* 503489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 503492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 503536 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503536 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503541 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503541 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503552 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503559 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503566 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503573 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 503576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 503583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 503588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 503593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 503598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503617 */     GIR_RootConstrainSelectedInstOperands,
     /* 503618 */     // GIR_Coverage, 13272,
     /* 503618 */     GIR_EraseRootFromParent_Done,
     /* 503619 */   // Label 6875: @503619
     /* 503619 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(503754), // Rule ID 13273 //
     /* 503624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 503627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503659 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503663 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503667 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 503671 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503671 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503676 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503676 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503694 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503708 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 503711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 503718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 503723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 503728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 503733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503752 */     GIR_RootConstrainSelectedInstOperands,
     /* 503753 */     // GIR_Coverage, 13273,
     /* 503753 */     GIR_EraseRootFromParent_Done,
     /* 503754 */   // Label 6876: @503754
     /* 503754 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(503889), // Rule ID 12250 //
     /* 503759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 503762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503794 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503806 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503811 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503816 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503822 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503829 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503836 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503843 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 503846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 503853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 503858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 503863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 503868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 503873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 503878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 503887 */     GIR_RootConstrainSelectedInstOperands,
     /* 503888 */     // GIR_Coverage, 12250,
     /* 503888 */     GIR_EraseRootFromParent_Done,
     /* 503889 */   // Label 6877: @503889
     /* 503889 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(504024), // Rule ID 12251 //
     /* 503894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 503897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 503901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 503905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 503913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 503917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 503921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 503925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 503929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 503933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 503937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 503941 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 503941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 503946 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 503946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 503951 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 503955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 503957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503964 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 503978 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 503978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 503981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 503983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 503988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 503993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 503998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 504003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504022 */     GIR_RootConstrainSelectedInstOperands,
     /* 504023 */     // GIR_Coverage, 12251,
     /* 504023 */     GIR_EraseRootFromParent_Done,
     /* 504024 */   // Label 6878: @504024
     /* 504024 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(504159), // Rule ID 12252 //
     /* 504029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 504032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 504036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504064 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504076 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504081 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504081 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504099 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504113 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 504116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 504123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 504128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 504133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 504138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504157 */     GIR_RootConstrainSelectedInstOperands,
     /* 504158 */     // GIR_Coverage, 12252,
     /* 504158 */     GIR_EraseRootFromParent_Done,
     /* 504159 */   // Label 6879: @504159
     /* 504159 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(504294), // Rule ID 12253 //
     /* 504164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 504167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 504171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504211 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504216 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504221 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504227 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504234 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504241 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504248 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 504251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 504258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 504263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 504268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 504273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504292 */     GIR_RootConstrainSelectedInstOperands,
     /* 504293 */     // GIR_Coverage, 12253,
     /* 504293 */     GIR_EraseRootFromParent_Done,
     /* 504294 */   // Label 6880: @504294
     /* 504294 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(504429), // Rule ID 12730 //
     /* 504299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 504302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 504306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504334 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504346 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504351 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504351 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504356 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504360 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504362 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504369 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504383 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 504386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 504393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 504398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 504403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 504408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504427 */     GIR_RootConstrainSelectedInstOperands,
     /* 504428 */     // GIR_Coverage, 12730,
     /* 504428 */     GIR_EraseRootFromParent_Done,
     /* 504429 */   // Label 6881: @504429
     /* 504429 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(504564), // Rule ID 12731 //
     /* 504434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 504437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 504441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504469 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504473 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504477 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504481 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504481 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504486 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504486 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504491 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504504 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504518 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 504521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 504528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 504533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 504538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 504543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504562 */     GIR_RootConstrainSelectedInstOperands,
     /* 504563 */     // GIR_Coverage, 12731,
     /* 504563 */     GIR_EraseRootFromParent_Done,
     /* 504564 */   // Label 6882: @504564
     /* 504564 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(504699), // Rule ID 12732 //
     /* 504569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 504572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 504576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504616 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504621 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504653 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 504656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 504663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 504668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 504673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 504678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504697 */     GIR_RootConstrainSelectedInstOperands,
     /* 504698 */     // GIR_Coverage, 12732,
     /* 504698 */     GIR_EraseRootFromParent_Done,
     /* 504699 */   // Label 6883: @504699
     /* 504699 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(504834), // Rule ID 12733 //
     /* 504704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 504707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 504711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504739 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504751 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504756 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504761 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504774 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504788 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 504791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 504798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 504803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 504808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 504813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504832 */     GIR_RootConstrainSelectedInstOperands,
     /* 504833 */     // GIR_Coverage, 12733,
     /* 504833 */     GIR_EraseRootFromParent_Done,
     /* 504834 */   // Label 6884: @504834
     /* 504834 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(504969), // Rule ID 13210 //
     /* 504839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 504842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 504846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 504866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 504870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 504874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 504878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 504882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504886 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 504886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 504891 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 504891 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 504896 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 504900 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 504902 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504909 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 504923 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 504923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 504926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 504928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 504933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 504938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 504943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 504948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 504953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 504958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 504967 */     GIR_RootConstrainSelectedInstOperands,
     /* 504968 */     // GIR_Coverage, 13210,
     /* 504968 */     GIR_EraseRootFromParent_Done,
     /* 504969 */   // Label 6885: @504969
     /* 504969 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(505104), // Rule ID 13211 //
     /* 504974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 504977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 504981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 504985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 504989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 504993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 504997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 505001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 505005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505021 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505021 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505026 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505035 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505044 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505058 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 505061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 505068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 505073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 505078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 505083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 505088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 505093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505102 */     GIR_RootConstrainSelectedInstOperands,
     /* 505103 */     // GIR_Coverage, 13211,
     /* 505103 */     GIR_EraseRootFromParent_Done,
     /* 505104 */   // Label 6886: @505104
     /* 505104 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(505239), // Rule ID 13212 //
     /* 505109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 505112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 505136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 505140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505144 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505156 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505156 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505161 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505161 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505166 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505172 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505179 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505186 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505193 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 505196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 505203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 505208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 505213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 505218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 505223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 505228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505237 */     GIR_RootConstrainSelectedInstOperands,
     /* 505238 */     // GIR_Coverage, 13212,
     /* 505238 */     GIR_EraseRootFromParent_Done,
     /* 505239 */   // Label 6887: @505239
     /* 505239 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(505374), // Rule ID 13213 //
     /* 505244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 505247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 505271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 505275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505291 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505296 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505301 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505307 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505314 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505328 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 505331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 505338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 505343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 505348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 505353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 505358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 505363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505372 */     GIR_RootConstrainSelectedInstOperands,
     /* 505373 */     // GIR_Coverage, 13213,
     /* 505373 */     GIR_EraseRootFromParent_Done,
     /* 505374 */   // Label 6888: @505374
     /* 505374 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(505509), // Rule ID 12321 //
     /* 505379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 505382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 505406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 505410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 505426 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505431 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505436 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505440 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505442 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505449 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505456 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505463 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 505466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 505473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 505478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 505483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 505488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 505493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 505498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505507 */     GIR_RootConstrainSelectedInstOperands,
     /* 505508 */     // GIR_Coverage, 12321,
     /* 505508 */     GIR_EraseRootFromParent_Done,
     /* 505509 */   // Label 6889: @505509
     /* 505509 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(505644), // Rule ID 12322 //
     /* 505514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 505517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 505541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 505545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505553 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505557 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 505561 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505566 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505566 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505571 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505598 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 505601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 505608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 505613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 505618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 505623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 505628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 505633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505642 */     GIR_RootConstrainSelectedInstOperands,
     /* 505643 */     // GIR_Coverage, 12322,
     /* 505643 */     GIR_EraseRootFromParent_Done,
     /* 505644 */   // Label 6890: @505644
     /* 505644 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(505779), // Rule ID 12323 //
     /* 505649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 505652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 505676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 505680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505688 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505692 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 505696 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505696 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505701 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505701 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505706 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505710 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505712 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505726 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505733 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 505736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 505743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 505748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 505753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 505758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 505763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 505768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505777 */     GIR_RootConstrainSelectedInstOperands,
     /* 505778 */     // GIR_Coverage, 12323,
     /* 505778 */     GIR_EraseRootFromParent_Done,
     /* 505779 */   // Label 6891: @505779
     /* 505779 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(505914), // Rule ID 12324 //
     /* 505784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 505787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 505791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 505811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 505815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 505831 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505836 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505841 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505845 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505847 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505854 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505861 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505868 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 505868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 505871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 505873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 505878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 505883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 505888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 505893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 505898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 505903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 505912 */     GIR_RootConstrainSelectedInstOperands,
     /* 505913 */     // GIR_Coverage, 12324,
     /* 505913 */     GIR_EraseRootFromParent_Done,
     /* 505914 */   // Label 6892: @505914
     /* 505914 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(506049), // Rule ID 12801 //
     /* 505919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 505922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 505926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 505930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 505934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 505938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 505942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 505946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 505950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 505954 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 505958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 505962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 505966 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 505966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 505971 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 505971 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 505976 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 505980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 505982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505989 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 505996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506003 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 506006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 506013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 506018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 506023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 506028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506047 */     GIR_RootConstrainSelectedInstOperands,
     /* 506048 */     // GIR_Coverage, 12801,
     /* 506048 */     GIR_EraseRootFromParent_Done,
     /* 506049 */   // Label 6893: @506049
     /* 506049 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(506184), // Rule ID 12802 //
     /* 506054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 506057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 506061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506101 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506106 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506115 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506124 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506131 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506138 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 506141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 506148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 506153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 506158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 506163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506182 */     GIR_RootConstrainSelectedInstOperands,
     /* 506183 */     // GIR_Coverage, 12802,
     /* 506183 */     GIR_EraseRootFromParent_Done,
     /* 506184 */   // Label 6894: @506184
     /* 506184 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(506319), // Rule ID 12803 //
     /* 506189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 506192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 506196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506236 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506241 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506266 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506273 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 506276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 506283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 506288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 506293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 506298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506317 */     GIR_RootConstrainSelectedInstOperands,
     /* 506318 */     // GIR_Coverage, 12803,
     /* 506318 */     GIR_EraseRootFromParent_Done,
     /* 506319 */   // Label 6895: @506319
     /* 506319 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(506454), // Rule ID 12804 //
     /* 506324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 506327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 506331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506363 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506367 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506371 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506371 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506376 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506376 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506381 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506408 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 506411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 506418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 506423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 506428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 506433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506452 */     GIR_RootConstrainSelectedInstOperands,
     /* 506453 */     // GIR_Coverage, 12804,
     /* 506453 */     GIR_EraseRootFromParent_Done,
     /* 506454 */   // Label 6896: @506454
     /* 506454 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(506589), // Rule ID 13281 //
     /* 506459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 506462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 506466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506498 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506502 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506506 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506506 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506511 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506511 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506516 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506536 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506543 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 506546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 506553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 506558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 506563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 506568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506587 */     GIR_RootConstrainSelectedInstOperands,
     /* 506588 */     // GIR_Coverage, 13281,
     /* 506588 */     GIR_EraseRootFromParent_Done,
     /* 506589 */   // Label 6897: @506589
     /* 506589 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(506724), // Rule ID 13282 //
     /* 506594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 506597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 506601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506629 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506641 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506646 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506646 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506655 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506664 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506678 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 506681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 506688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 506693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 506698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 506703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506722 */     GIR_RootConstrainSelectedInstOperands,
     /* 506723 */     // GIR_Coverage, 13282,
     /* 506723 */     GIR_EraseRootFromParent_Done,
     /* 506724 */   // Label 6898: @506724
     /* 506724 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(506859), // Rule ID 13283 //
     /* 506729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 506732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 506736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506768 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506772 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506776 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506781 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506786 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506799 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506813 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 506816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 506823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 506828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 506833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 506838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506857 */     GIR_RootConstrainSelectedInstOperands,
     /* 506858 */     // GIR_Coverage, 13283,
     /* 506858 */     GIR_EraseRootFromParent_Done,
     /* 506859 */   // Label 6899: @506859
     /* 506859 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(506994), // Rule ID 13284 //
     /* 506864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 506867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 506871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 506875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 506879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 506883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 506887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 506891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 506895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 506899 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 506903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 506907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 506911 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 506911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 506916 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 506916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 506921 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 506925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 506927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506934 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 506948 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 506948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 506951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 506953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 506958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 506963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 506968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 506973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 506978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 506983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 506992 */     GIR_RootConstrainSelectedInstOperands,
     /* 506993 */     // GIR_Coverage, 13284,
     /* 506993 */     GIR_EraseRootFromParent_Done,
     /* 506994 */   // Label 6900: @506994
     /* 506994 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(507129), // Rule ID 12261 //
     /* 506999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 507002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 507006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507046 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507046 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507051 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507051 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507069 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507076 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507083 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 507086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 507093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 507098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 507103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 507108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507127 */     GIR_RootConstrainSelectedInstOperands,
     /* 507128 */     // GIR_Coverage, 12261,
     /* 507128 */     GIR_EraseRootFromParent_Done,
     /* 507129 */   // Label 6901: @507129
     /* 507129 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(507264), // Rule ID 12262 //
     /* 507134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 507137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 507141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507181 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507181 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507186 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507186 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507191 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507204 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507211 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507218 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 507221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 507228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 507233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 507238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 507243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507262 */     GIR_RootConstrainSelectedInstOperands,
     /* 507263 */     // GIR_Coverage, 12262,
     /* 507263 */     GIR_EraseRootFromParent_Done,
     /* 507264 */   // Label 6902: @507264
     /* 507264 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(507399), // Rule ID 12263 //
     /* 507269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 507272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 507276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507304 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507308 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507312 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507316 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507316 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507321 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507326 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507339 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507346 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507353 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 507356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 507363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 507368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 507373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 507378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507397 */     GIR_RootConstrainSelectedInstOperands,
     /* 507398 */     // GIR_Coverage, 12263,
     /* 507398 */     GIR_EraseRootFromParent_Done,
     /* 507399 */   // Label 6903: @507399
     /* 507399 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(507534), // Rule ID 12264 //
     /* 507404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 507407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 507411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507451 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507451 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507456 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507467 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507474 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507488 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 507491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 507498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 507503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 507508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 507513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507532 */     GIR_RootConstrainSelectedInstOperands,
     /* 507533 */     // GIR_Coverage, 12264,
     /* 507533 */     GIR_EraseRootFromParent_Done,
     /* 507534 */   // Label 6904: @507534
     /* 507534 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(507669), // Rule ID 12741 //
     /* 507539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 507542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 507546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507586 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507586 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507591 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507602 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507609 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507623 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 507626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 507633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 507638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 507643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 507648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507667 */     GIR_RootConstrainSelectedInstOperands,
     /* 507668 */     // GIR_Coverage, 12741,
     /* 507668 */     GIR_EraseRootFromParent_Done,
     /* 507669 */   // Label 6905: @507669
     /* 507669 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(507804), // Rule ID 12742 //
     /* 507674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 507677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 507681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507721 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507726 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507744 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507758 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 507761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 507768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 507773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 507778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 507783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507802 */     GIR_RootConstrainSelectedInstOperands,
     /* 507803 */     // GIR_Coverage, 12742,
     /* 507803 */     GIR_EraseRootFromParent_Done,
     /* 507804 */   // Label 6906: @507804
     /* 507804 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(507939), // Rule ID 12743 //
     /* 507809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 507812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 507816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507844 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507856 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 507861 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507861 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 507870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 507872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507879 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 507893 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 507893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 507896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 507898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 507903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 507908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 507913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 507918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 507923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 507928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 507937 */     GIR_RootConstrainSelectedInstOperands,
     /* 507938 */     // GIR_Coverage, 12743,
     /* 507938 */     GIR_EraseRootFromParent_Done,
     /* 507939 */   // Label 6907: @507939
     /* 507939 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(508074), // Rule ID 12744 //
     /* 507944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 507947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 507951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 507955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 507963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 507967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 507971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 507975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 507979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 507983 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 507987 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 507991 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 507991 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 507996 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 507996 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508001 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508005 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508007 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508014 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508028 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 508031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 508038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 508043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 508048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 508053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508072 */     GIR_RootConstrainSelectedInstOperands,
     /* 508073 */     // GIR_Coverage, 12744,
     /* 508073 */     GIR_EraseRootFromParent_Done,
     /* 508074 */   // Label 6908: @508074
     /* 508074 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(508209), // Rule ID 13221 //
     /* 508079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 508082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 508110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508114 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508126 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508126 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508131 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508136 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508149 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508163 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 508166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 508173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 508178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 508183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 508188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508207 */     GIR_RootConstrainSelectedInstOperands,
     /* 508208 */     // GIR_Coverage, 13221,
     /* 508208 */     GIR_EraseRootFromParent_Done,
     /* 508209 */   // Label 6909: @508209
     /* 508209 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(508344), // Rule ID 13222 //
     /* 508214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 508217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 508245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508249 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508261 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508261 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508266 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508271 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508298 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 508301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 508308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 508313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 508318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 508323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508342 */     GIR_RootConstrainSelectedInstOperands,
     /* 508343 */     // GIR_Coverage, 13222,
     /* 508343 */     GIR_EraseRootFromParent_Done,
     /* 508344 */   // Label 6910: @508344
     /* 508344 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(508479), // Rule ID 13223 //
     /* 508349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 508352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 508380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508396 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508401 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508433 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 508436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 508443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 508448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 508453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 508458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508477 */     GIR_RootConstrainSelectedInstOperands,
     /* 508478 */     // GIR_Coverage, 13223,
     /* 508478 */     GIR_EraseRootFromParent_Done,
     /* 508479 */   // Label 6911: @508479
     /* 508479 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(508614), // Rule ID 13224 //
     /* 508484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 508487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 508515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508519 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508531 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508531 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508536 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508536 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508541 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508545 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508568 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 508571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 508578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 508583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 508588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 508593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508612 */     GIR_RootConstrainSelectedInstOperands,
     /* 508613 */     // GIR_Coverage, 13224,
     /* 508613 */     GIR_EraseRootFromParent_Done,
     /* 508614 */   // Label 6912: @508614
     /* 508614 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(508749), // Rule ID 12306 //
     /* 508619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 508622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 508650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508654 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508662 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 508666 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508666 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508671 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508671 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508682 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508696 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508703 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 508706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 508713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 508718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 508723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 508728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508747 */     GIR_RootConstrainSelectedInstOperands,
     /* 508748 */     // GIR_Coverage, 12306,
     /* 508748 */     GIR_EraseRootFromParent_Done,
     /* 508749 */   // Label 6913: @508749
     /* 508749 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(508884), // Rule ID 12307 //
     /* 508754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 508757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 508785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 508801 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508801 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508806 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508815 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508824 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508831 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508838 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 508841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 508848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 508853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 508858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 508863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 508868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 508873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 508882 */     GIR_RootConstrainSelectedInstOperands,
     /* 508883 */     // GIR_Coverage, 12307,
     /* 508883 */     GIR_EraseRootFromParent_Done,
     /* 508884 */   // Label 6914: @508884
     /* 508884 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(509019), // Rule ID 12308 //
     /* 508889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 508892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 508896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 508900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 508904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 508908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 508912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 508916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 508920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 508924 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 508928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 508932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 508936 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 508936 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 508941 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 508941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 508946 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 508950 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 508952 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508959 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 508973 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 508973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 508976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 508978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 508983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 508988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 508993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 508998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509017 */     GIR_RootConstrainSelectedInstOperands,
     /* 509018 */     // GIR_Coverage, 12308,
     /* 509018 */     GIR_EraseRootFromParent_Done,
     /* 509019 */   // Label 6915: @509019
     /* 509019 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(509154), // Rule ID 12309 //
     /* 509024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 509027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 509031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509059 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509071 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509076 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509081 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509101 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509108 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 509111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 509118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 509123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 509128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 509133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509152 */     GIR_RootConstrainSelectedInstOperands,
     /* 509153 */     // GIR_Coverage, 12309,
     /* 509153 */     GIR_EraseRootFromParent_Done,
     /* 509154 */   // Label 6916: @509154
     /* 509154 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(509289), // Rule ID 12786 //
     /* 509159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 509162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 509166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509198 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509202 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509206 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509211 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509216 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509220 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509222 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509236 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509243 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 509246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 509253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 509258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 509263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 509268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509287 */     GIR_RootConstrainSelectedInstOperands,
     /* 509288 */     // GIR_Coverage, 12786,
     /* 509288 */     GIR_EraseRootFromParent_Done,
     /* 509289 */   // Label 6917: @509289
     /* 509289 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(509424), // Rule ID 12787 //
     /* 509294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 509297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 509301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509341 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509346 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509351 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509355 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509371 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509378 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 509381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 509388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 509393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 509398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 509403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509422 */     GIR_RootConstrainSelectedInstOperands,
     /* 509423 */     // GIR_Coverage, 12787,
     /* 509423 */     GIR_EraseRootFromParent_Done,
     /* 509424 */   // Label 6918: @509424
     /* 509424 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(509559), // Rule ID 12788 //
     /* 509429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 509432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 509436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509464 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509476 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509476 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509481 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509481 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509490 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509492 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509499 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509506 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509513 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 509516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 509523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 509528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 509533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 509538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509557 */     GIR_RootConstrainSelectedInstOperands,
     /* 509558 */     // GIR_Coverage, 12788,
     /* 509558 */     GIR_EraseRootFromParent_Done,
     /* 509559 */   // Label 6919: @509559
     /* 509559 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(509694), // Rule ID 12789 //
     /* 509564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 509567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 509571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509611 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509611 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509616 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509616 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509621 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509627 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509634 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509641 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509648 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 509651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 509658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 509663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 509668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 509673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509692 */     GIR_RootConstrainSelectedInstOperands,
     /* 509693 */     // GIR_Coverage, 12789,
     /* 509693 */     GIR_EraseRootFromParent_Done,
     /* 509694 */   // Label 6920: @509694
     /* 509694 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(509829), // Rule ID 13266 //
     /* 509699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 509702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 509706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509734 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509738 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509742 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509746 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509751 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509760 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509769 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509783 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 509786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 509793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 509798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 509803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 509808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509827 */     GIR_RootConstrainSelectedInstOperands,
     /* 509828 */     // GIR_Coverage, 13266,
     /* 509828 */     GIR_EraseRootFromParent_Done,
     /* 509829 */   // Label 6921: @509829
     /* 509829 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(509964), // Rule ID 13267 //
     /* 509834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 509837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 509841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 509865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 509869 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 509873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 509877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 509881 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 509881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 509886 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 509886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 509891 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 509895 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 509897 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509904 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 509918 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 509918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 509921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 509923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 509928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 509933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 509938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 509943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 509948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 509953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 509962 */     GIR_RootConstrainSelectedInstOperands,
     /* 509963 */     // GIR_Coverage, 13267,
     /* 509963 */     GIR_EraseRootFromParent_Done,
     /* 509964 */   // Label 6922: @509964
     /* 509964 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(510099), // Rule ID 13268 //
     /* 509969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 509972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 509976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 509980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 509984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 509988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 509992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 509996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510004 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510008 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510012 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 510016 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510016 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510021 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510021 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510026 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510032 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510039 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510046 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510053 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 510056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 510063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 510068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 510073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 510078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510097 */     GIR_RootConstrainSelectedInstOperands,
     /* 510098 */     // GIR_Coverage, 13268,
     /* 510098 */     GIR_EraseRootFromParent_Done,
     /* 510099 */   // Label 6923: @510099
     /* 510099 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(510234), // Rule ID 13269 //
     /* 510104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 510107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 510111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510139 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 510151 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510156 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510156 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510161 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510165 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510174 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510181 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510188 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 510191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 510198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 510203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 510208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 510213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510232 */     GIR_RootConstrainSelectedInstOperands,
     /* 510233 */     // GIR_Coverage, 13269,
     /* 510233 */     GIR_EraseRootFromParent_Done,
     /* 510234 */   // Label 6924: @510234
     /* 510234 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(510369), // Rule ID 12246 //
     /* 510239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 510242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 510246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510274 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510278 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510282 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510286 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510291 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510300 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510309 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510323 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 510326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 510333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 510338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 510343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 510348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510367 */     GIR_RootConstrainSelectedInstOperands,
     /* 510368 */     // GIR_Coverage, 12246,
     /* 510368 */     GIR_EraseRootFromParent_Done,
     /* 510369 */   // Label 6925: @510369
     /* 510369 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(510504), // Rule ID 12247 //
     /* 510374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 510377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 510381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510409 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510413 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510417 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510421 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510421 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510426 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510431 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510435 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510444 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510451 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510458 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 510461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 510468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 510473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 510478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 510483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510502 */     GIR_RootConstrainSelectedInstOperands,
     /* 510503 */     // GIR_Coverage, 12247,
     /* 510503 */     GIR_EraseRootFromParent_Done,
     /* 510504 */   // Label 6926: @510504
     /* 510504 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(510639), // Rule ID 12248 //
     /* 510509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 510512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 510516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510528 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510548 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510552 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510556 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510561 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510566 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510572 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510579 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510586 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510593 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 510596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 510603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 510608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 510613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 510618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510637 */     GIR_RootConstrainSelectedInstOperands,
     /* 510638 */     // GIR_Coverage, 12248,
     /* 510638 */     GIR_EraseRootFromParent_Done,
     /* 510639 */   // Label 6927: @510639
     /* 510639 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(510774), // Rule ID 12249 //
     /* 510644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 510647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 510651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510679 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510691 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510696 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510696 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510701 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510728 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 510731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 510738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 510743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 510748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 510753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510772 */     GIR_RootConstrainSelectedInstOperands,
     /* 510773 */     // GIR_Coverage, 12249,
     /* 510773 */     GIR_EraseRootFromParent_Done,
     /* 510774 */   // Label 6928: @510774
     /* 510774 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(510909), // Rule ID 12726 //
     /* 510779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 510782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 510786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510814 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510818 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510822 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510826 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510826 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510831 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510842 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510849 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510856 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510863 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 510866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 510868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 510873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 510878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 510883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 510888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 510893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 510898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 510907 */     GIR_RootConstrainSelectedInstOperands,
     /* 510908 */     // GIR_Coverage, 12726,
     /* 510908 */     GIR_EraseRootFromParent_Done,
     /* 510909 */   // Label 6929: @510909
     /* 510909 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(511044), // Rule ID 12727 //
     /* 510914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 510917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 510921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 510925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 510933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 510937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 510941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 510945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 510949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 510953 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 510957 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 510961 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 510961 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 510966 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 510966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 510971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 510975 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 510977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510984 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510991 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 510998 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 510998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 511001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 511008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 511013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 511018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 511023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511042 */     GIR_RootConstrainSelectedInstOperands,
     /* 511043 */     // GIR_Coverage, 12727,
     /* 511043 */     GIR_EraseRootFromParent_Done,
     /* 511044 */   // Label 6930: @511044
     /* 511044 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(511179), // Rule ID 12728 //
     /* 511049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 511052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 511056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511096 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511101 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511119 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511126 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511133 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 511136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 511143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 511148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 511153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 511158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511177 */     GIR_RootConstrainSelectedInstOperands,
     /* 511178 */     // GIR_Coverage, 12728,
     /* 511178 */     GIR_EraseRootFromParent_Done,
     /* 511179 */   // Label 6931: @511179
     /* 511179 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(511314), // Rule ID 12729 //
     /* 511184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 511187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 511191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511231 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511236 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511247 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511268 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 511271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 511278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 511283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 511288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 511293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511312 */     GIR_RootConstrainSelectedInstOperands,
     /* 511313 */     // GIR_Coverage, 12729,
     /* 511313 */     GIR_EraseRootFromParent_Done,
     /* 511314 */   // Label 6932: @511314
     /* 511314 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(511449), // Rule ID 13206 //
     /* 511319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 511322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 511326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511366 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511371 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511371 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511376 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511389 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511396 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511403 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 511406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 511413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 511418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 511423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 511428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511447 */     GIR_RootConstrainSelectedInstOperands,
     /* 511448 */     // GIR_Coverage, 13206,
     /* 511448 */     GIR_EraseRootFromParent_Done,
     /* 511449 */   // Label 6933: @511449
     /* 511449 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(511584), // Rule ID 13207 //
     /* 511454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 511457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 511461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511489 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511501 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511501 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511506 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511506 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511515 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511524 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511531 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511538 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 511541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 511548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 511553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 511558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 511563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511582 */     GIR_RootConstrainSelectedInstOperands,
     /* 511583 */     // GIR_Coverage, 13207,
     /* 511583 */     GIR_EraseRootFromParent_Done,
     /* 511584 */   // Label 6934: @511584
     /* 511584 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(511719), // Rule ID 13208 //
     /* 511589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 511592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 511596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511624 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511636 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511636 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511641 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511646 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511650 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511652 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511659 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511666 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511673 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 511676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 511683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 511688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 511693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 511698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511717 */     GIR_RootConstrainSelectedInstOperands,
     /* 511718 */     // GIR_Coverage, 13208,
     /* 511718 */     GIR_EraseRootFromParent_Done,
     /* 511719 */   // Label 6935: @511719
     /* 511719 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(511854), // Rule ID 13209 //
     /* 511724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 511727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 511731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 511735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 511747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 511755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511759 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 511767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 511771 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 511771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 511776 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 511776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 511781 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 511785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 511787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511794 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511801 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511808 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 511811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 511818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 511823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 511828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 511833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 511838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 511843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511852 */     GIR_RootConstrainSelectedInstOperands,
     /* 511853 */     // GIR_Coverage, 13209,
     /* 511853 */     GIR_EraseRootFromParent_Done,
     /* 511854 */   // Label 6936: @511854
     /* 511854 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(511969), // Rule ID 13472 //
     /* 511859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 511862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 511866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 511870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 511874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 511886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 511890 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 511894 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 511896 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 511900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 511902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511909 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 511923 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 511923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 511926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 511928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 511933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 511938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 511943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 511948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 511953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 511958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 511967 */     GIR_RootConstrainSelectedInstOperands,
     /* 511968 */     // GIR_Coverage, 13472,
     /* 511968 */     GIR_EraseRootFromParent_Done,
     /* 511969 */   // Label 6937: @511969
     /* 511969 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(512084), // Rule ID 13488 //
     /* 511974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 511977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 511981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 511985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 511989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 511993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 511997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 512001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512009 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512011 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512024 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512038 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 512041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 512048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 512053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 512058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 512063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 512068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 512073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512082 */     GIR_RootConstrainSelectedInstOperands,
     /* 512083 */     // GIR_Coverage, 13488,
     /* 512083 */     GIR_EraseRootFromParent_Done,
     /* 512084 */   // Label 6938: @512084
     /* 512084 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(512199), // Rule ID 13471 //
     /* 512089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 512092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 512096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 512100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 512116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512124 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512126 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512146 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512153 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 512156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 512163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 512168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 512173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 512178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 512183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 512188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512197 */     GIR_RootConstrainSelectedInstOperands,
     /* 512198 */     // GIR_Coverage, 13471,
     /* 512198 */     GIR_EraseRootFromParent_Done,
     /* 512199 */   // Label 6939: @512199
     /* 512199 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(512314), // Rule ID 13487 //
     /* 512204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 512207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 512211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 512215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 512231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512239 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512241 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512268 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 512271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 512278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 512283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 512288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 512293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 512298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 512303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512312 */     GIR_RootConstrainSelectedInstOperands,
     /* 512313 */     // GIR_Coverage, 13487,
     /* 512313 */     GIR_EraseRootFromParent_Done,
     /* 512314 */   // Label 6940: @512314
     /* 512314 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(512429), // Rule ID 7946 //
     /* 512319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 512322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 512326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 512330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 512346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512354 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512356 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512369 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512383 */     // (fminnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 512386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 512393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 512398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 512403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 512408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 512413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 512418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512427 */     GIR_RootConstrainSelectedInstOperands,
     /* 512428 */     // GIR_Coverage, 7946,
     /* 512428 */     GIR_EraseRootFromParent_Done,
     /* 512429 */   // Label 6941: @512429
     /* 512429 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(512544), // Rule ID 7962 //
     /* 512434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 512437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 512441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 512445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 512461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512465 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512469 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512471 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512484 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512491 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512498 */     // (fminnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 512501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 512508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 512513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 512518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 512523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 512528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 512533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512542 */     GIR_RootConstrainSelectedInstOperands,
     /* 512543 */     // GIR_Coverage, 7962,
     /* 512543 */     GIR_EraseRootFromParent_Done,
     /* 512544 */   // Label 6942: @512544
     /* 512544 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(512659), // Rule ID 7945 //
     /* 512549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 512552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 512556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 512560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 512576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512584 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512586 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512599 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512606 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512613 */     // (fminnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 512616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 512623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 512628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 512633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 512638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 512643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 512648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512657 */     GIR_RootConstrainSelectedInstOperands,
     /* 512658 */     // GIR_Coverage, 7945,
     /* 512658 */     GIR_EraseRootFromParent_Done,
     /* 512659 */   // Label 6943: @512659
     /* 512659 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(512774), // Rule ID 7961 //
     /* 512664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 512667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 512671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 512675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 512679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 512687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 512691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 512695 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 512699 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 512701 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 512705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 512707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512728 */     // (fminnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 512731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 512738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 512743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 512748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 512753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 512758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 512763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512772 */     GIR_RootConstrainSelectedInstOperands,
     /* 512773 */     // GIR_Coverage, 7961,
     /* 512773 */     GIR_EraseRootFromParent_Done,
     /* 512774 */   // Label 6944: @512774
     /* 512774 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(512873), // Rule ID 13464 //
     /* 512779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 512782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 512786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 512790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 512794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 512802 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 512804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 512806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512827 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 512830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 512837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 512842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 512847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 512852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 512857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 512862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512871 */     GIR_RootConstrainSelectedInstOperands,
     /* 512872 */     // GIR_Coverage, 13464,
     /* 512872 */     GIR_EraseRootFromParent_Done,
     /* 512873 */   // Label 6945: @512873
     /* 512873 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(512972), // Rule ID 13480 //
     /* 512878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 512881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 512885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 512889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 512893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 512901 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 512903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 512905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512912 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 512926 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 512926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 512929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 512931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 512936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 512941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 512946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 512951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 512956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 512961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 512970 */     GIR_RootConstrainSelectedInstOperands,
     /* 512971 */     // GIR_Coverage, 13480,
     /* 512971 */     GIR_EraseRootFromParent_Done,
     /* 512972 */   // Label 6946: @512972
     /* 512972 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(513071), // Rule ID 13463 //
     /* 512977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 512980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 512984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 512988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 512992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 512996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513000 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513025 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 513028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 513035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 513040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 513045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 513050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 513055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 513060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513069 */     GIR_RootConstrainSelectedInstOperands,
     /* 513070 */     // GIR_Coverage, 13463,
     /* 513070 */     GIR_EraseRootFromParent_Done,
     /* 513071 */   // Label 6947: @513071
     /* 513071 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(513170), // Rule ID 13479 //
     /* 513076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 513079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 513087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 513091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 513095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513099 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513124 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 513127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 513134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 513139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 513144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 513149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 513154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 513159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513168 */     GIR_RootConstrainSelectedInstOperands,
     /* 513169 */     // GIR_Coverage, 13479,
     /* 513169 */     GIR_EraseRootFromParent_Done,
     /* 513170 */   // Label 6948: @513170
     /* 513170 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(513269), // Rule ID 7938 //
     /* 513175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 513178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 513182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 513186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 513190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 513194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513198 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513223 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 513226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 513233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 513243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 513253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 513258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513267 */     GIR_RootConstrainSelectedInstOperands,
     /* 513268 */     // GIR_Coverage, 7938,
     /* 513268 */     GIR_EraseRootFromParent_Done,
     /* 513269 */   // Label 6949: @513269
     /* 513269 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(513368), // Rule ID 7954 //
     /* 513274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 513277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 513285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 513289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 513293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513297 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513308 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513322 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 513325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 513332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 513342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 513352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 513357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513366 */     GIR_RootConstrainSelectedInstOperands,
     /* 513367 */     // GIR_Coverage, 7954,
     /* 513367 */     GIR_EraseRootFromParent_Done,
     /* 513368 */   // Label 6950: @513368
     /* 513368 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(513467), // Rule ID 7937 //
     /* 513373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 513376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 513380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 513384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 513388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 513392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513396 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513421 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_t16_e64),
     /* 513424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 513431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 513441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 513451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 513456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513465 */     GIR_RootConstrainSelectedInstOperands,
     /* 513466 */     // GIR_Coverage, 7937,
     /* 513466 */     GIR_EraseRootFromParent_Done,
     /* 513467 */   // Label 6951: @513467
     /* 513467 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(513566), // Rule ID 7953 //
     /* 513472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 513475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 513483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 513487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 513491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 513495 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 513497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 513499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513520 */     // (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 513520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F16_fake16_e64),
     /* 513523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 513530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 513540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 513550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 513555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513564 */     GIR_RootConstrainSelectedInstOperands,
     /* 513565 */     // GIR_Coverage, 7953,
     /* 513565 */     GIR_EraseRootFromParent_Done,
     /* 513566 */   // Label 6952: @513566
     /* 513566 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(513601), // Rule ID 100 //
     /* 513571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 513574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 513578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 513582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 513586 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13777),
     /* 513590 */     // (fminnum_ieee:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13777>>  =>  (S_MIN_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 513590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_F16),
     /* 513595 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 513599 */     GIR_RootConstrainSelectedInstOperands,
     /* 513600 */     // GIR_Coverage, 100,
     /* 513600 */     GIR_Done,
     /* 513601 */   // Label 6953: @513601
     /* 513601 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(513664), // Rule ID 887 //
     /* 513606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 513609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 513620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513627 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 513627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_e64),
     /* 513630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 513637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 513647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 513657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 513662 */     GIR_RootConstrainSelectedInstOperands,
     /* 513663 */     // GIR_Coverage, 887,
     /* 513663 */     GIR_EraseRootFromParent_Done,
     /* 513664 */   // Label 6954: @513664
     /* 513664 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(513727), // Rule ID 891 //
     /* 513669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 513672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 513683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513690 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 513690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_fake16_e64),
     /* 513693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 513700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 513710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 513720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 513725 */     GIR_RootConstrainSelectedInstOperands,
     /* 513726 */     // GIR_Coverage, 891,
     /* 513726 */     GIR_EraseRootFromParent_Done,
     /* 513727 */   // Label 6955: @513727
     /* 513727 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(513790), // Rule ID 8640 //
     /* 513732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 513735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 513753 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 513753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_e64),
     /* 513756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 513763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 513768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 513773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 513778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 513783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 513788 */     GIR_RootConstrainSelectedInstOperands,
     /* 513789 */     // GIR_Coverage, 8640,
     /* 513789 */     GIR_EraseRootFromParent_Done,
     /* 513790 */   // Label 6956: @513790
     /* 513790 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(513853), // Rule ID 8642 //
     /* 513795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 513798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 513809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 513816 */     // (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 513816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_fake16_e64),
     /* 513819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 513826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 513831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 513836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 513841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 513846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 513851 */     GIR_RootConstrainSelectedInstOperands,
     /* 513852 */     // GIR_Coverage, 8642,
     /* 513852 */     GIR_EraseRootFromParent_Done,
     /* 513853 */   // Label 6957: @513853
     /* 513853 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(513915), // Rule ID 889 //
     /* 513858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 513861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 513865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 513872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 513879 */     // (fminnum_ieee:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 513879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_t16_e64),
     /* 513882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 513884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 513889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 513894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 513899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 513904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 513913 */     GIR_RootConstrainSelectedInstOperands,
     /* 513914 */     // GIR_Coverage, 889,
     /* 513914 */     GIR_EraseRootFromParent_Done,
     /* 513915 */   // Label 6958: @513915
     /* 513915 */   GIM_Reject,
     /* 513916 */ // Label 6552: @513916
     /* 513916 */ GIM_Reject,
     /* 513917 */ // Label 6548: @513917
     /* 513917 */ GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(531428),
     /* 513922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 513925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 513928 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(514057), // Rule ID 11835 //
     /* 513933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 513937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 513941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 513945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 513949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 513953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 513957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 513961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 513965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 513969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 513973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 513977 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 513977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 513982 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 513982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 513987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 513991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 513993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514007 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514014 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 514024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 514029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 514034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 514039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514055 */     GIR_RootConstrainSelectedInstOperands,
     /* 514056 */     // GIR_Coverage, 11835,
     /* 514056 */     GIR_EraseRootFromParent_Done,
     /* 514057 */   // Label 6960: @514057
     /* 514057 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(514186), // Rule ID 11836 //
     /* 514062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514094 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 514106 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514111 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514122 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514143 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 514153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 514158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 514163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 514168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514184 */     GIR_RootConstrainSelectedInstOperands,
     /* 514185 */     // GIR_Coverage, 11836,
     /* 514185 */     GIR_EraseRootFromParent_Done,
     /* 514186 */   // Label 6961: @514186
     /* 514186 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(514315), // Rule ID 11839 //
     /* 514191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 514235 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514240 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514272 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 514282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 514287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 514292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 514297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514313 */     GIR_RootConstrainSelectedInstOperands,
     /* 514314 */     // GIR_Coverage, 11839,
     /* 514314 */     GIR_EraseRootFromParent_Done,
     /* 514315 */   // Label 6962: @514315
     /* 514315 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(514444), // Rule ID 11840 //
     /* 514320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514352 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 514364 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514364 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514369 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514369 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514374 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514380 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514401 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 514411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 514416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 514421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 514426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514442 */     GIR_RootConstrainSelectedInstOperands,
     /* 514443 */     // GIR_Coverage, 11840,
     /* 514443 */     GIR_EraseRootFromParent_Done,
     /* 514444 */   // Label 6963: @514444
     /* 514444 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(514573), // Rule ID 11820 //
     /* 514449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514481 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 514493 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514493 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514498 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514498 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514516 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514530 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 514540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 514545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 514550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 514555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514571 */     GIR_RootConstrainSelectedInstOperands,
     /* 514572 */     // GIR_Coverage, 11820,
     /* 514572 */     GIR_EraseRootFromParent_Done,
     /* 514573 */   // Label 6964: @514573
     /* 514573 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(514702), // Rule ID 11821 //
     /* 514578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514614 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514618 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 514622 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514627 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514638 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514645 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514652 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514659 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 514669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 514674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 514679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 514684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514700 */     GIR_RootConstrainSelectedInstOperands,
     /* 514701 */     // GIR_Coverage, 11821,
     /* 514701 */     GIR_EraseRootFromParent_Done,
     /* 514702 */   // Label 6965: @514702
     /* 514702 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(514831), // Rule ID 11824 //
     /* 514707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514739 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 514751 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514756 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514761 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514788 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 514798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 514803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 514808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 514813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514829 */     GIR_RootConstrainSelectedInstOperands,
     /* 514830 */     // GIR_Coverage, 11824,
     /* 514830 */     GIR_EraseRootFromParent_Done,
     /* 514831 */   // Label 6966: @514831
     /* 514831 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(514960), // Rule ID 11825 //
     /* 514836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 514872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 514876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 514880 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 514880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 514885 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 514885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 514890 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 514894 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 514896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514903 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 514917 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 514917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 514920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 514922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 514927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 514932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 514937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 514942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 514947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 514952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 514958 */     GIR_RootConstrainSelectedInstOperands,
     /* 514959 */     // GIR_Coverage, 11825,
     /* 514959 */     GIR_EraseRootFromParent_Done,
     /* 514960 */   // Label 6967: @514960
     /* 514960 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(515089), // Rule ID 7806 //
     /* 514965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 514969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 514973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 514981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 514985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 514989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 514993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 514997 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 515009 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515009 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515014 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515014 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515019 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515023 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515025 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515032 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515039 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515046 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 515056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 515061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 515066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 515071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515087 */     GIR_RootConstrainSelectedInstOperands,
     /* 515088 */     // GIR_Coverage, 7806,
     /* 515088 */     GIR_EraseRootFromParent_Done,
     /* 515089 */   // Label 6968: @515089
     /* 515089 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(515218), // Rule ID 11834 //
     /* 515094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515126 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 515138 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515143 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515152 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515161 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515175 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 515185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 515190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 515195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 515200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515216 */     GIR_RootConstrainSelectedInstOperands,
     /* 515217 */     // GIR_Coverage, 11834,
     /* 515217 */     GIR_EraseRootFromParent_Done,
     /* 515218 */   // Label 6969: @515218
     /* 515218 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(515347), // Rule ID 11837 //
     /* 515223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515255 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 515267 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515267 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515272 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515277 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515290 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515297 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515304 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 515314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 515319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 515324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 515329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515345 */     GIR_RootConstrainSelectedInstOperands,
     /* 515346 */     // GIR_Coverage, 11837,
     /* 515346 */     GIR_EraseRootFromParent_Done,
     /* 515347 */   // Label 6970: @515347
     /* 515347 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(515476), // Rule ID 11838 //
     /* 515352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 515396 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515401 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515433 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 515443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 515448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 515453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 515458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515474 */     GIR_RootConstrainSelectedInstOperands,
     /* 515475 */     // GIR_Coverage, 11838,
     /* 515475 */     GIR_EraseRootFromParent_Done,
     /* 515476 */   // Label 6971: @515476
     /* 515476 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(515605), // Rule ID 7805 //
     /* 515481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515513 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 515525 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515530 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515539 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515548 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515555 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515562 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 515572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 515577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 515582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 515587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515603 */     GIR_RootConstrainSelectedInstOperands,
     /* 515604 */     // GIR_Coverage, 7805,
     /* 515604 */     GIR_EraseRootFromParent_Done,
     /* 515605 */   // Label 6972: @515605
     /* 515605 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(515734), // Rule ID 11819 //
     /* 515610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515642 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 515654 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515654 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515659 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515659 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515664 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515670 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515684 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515691 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 515701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 515706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 515711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 515716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515732 */     GIR_RootConstrainSelectedInstOperands,
     /* 515733 */     // GIR_Coverage, 11819,
     /* 515733 */     GIR_EraseRootFromParent_Done,
     /* 515734 */   // Label 6973: @515734
     /* 515734 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(515863), // Rule ID 11822 //
     /* 515739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515771 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515775 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515779 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 515783 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515788 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515793 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515797 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515806 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515813 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515820 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 515830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 515835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 515840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 515845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515861 */     GIR_RootConstrainSelectedInstOperands,
     /* 515862 */     // GIR_Coverage, 11822,
     /* 515862 */     GIR_EraseRootFromParent_Done,
     /* 515863 */   // Label 6974: @515863
     /* 515863 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(515992), // Rule ID 11823 //
     /* 515868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 515872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 515876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 515884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 515888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 515892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 515896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 515900 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 515904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 515908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 515912 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 515912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 515917 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 515917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 515922 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 515926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 515928 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515935 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515942 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 515949 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 515949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 515952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 515954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 515959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 515964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 515969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 515974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 515979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 515984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 515990 */     GIR_RootConstrainSelectedInstOperands,
     /* 515991 */     // GIR_Coverage, 11823,
     /* 515991 */     GIR_EraseRootFromParent_Done,
     /* 515992 */   // Label 6975: @515992
     /* 515992 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(516121), // Rule ID 11805 //
     /* 515997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 516041 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516041 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516046 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516046 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516051 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516055 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516071 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516078 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 516088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 516093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 516098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 516103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516119 */     GIR_RootConstrainSelectedInstOperands,
     /* 516120 */     // GIR_Coverage, 11805,
     /* 516120 */     GIR_EraseRootFromParent_Done,
     /* 516121 */   // Label 6976: @516121
     /* 516121 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(516250), // Rule ID 11806 //
     /* 516126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 516170 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516175 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516200 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516207 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 516217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 516222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 516227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 516232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516248 */     GIR_RootConstrainSelectedInstOperands,
     /* 516249 */     // GIR_Coverage, 11806,
     /* 516249 */     GIR_EraseRootFromParent_Done,
     /* 516250 */   // Label 6977: @516250
     /* 516250 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(516379), // Rule ID 11809 //
     /* 516255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516287 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 516299 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516299 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516304 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516304 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516309 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516322 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516329 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516336 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 516346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 516351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 516356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 516361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516377 */     GIR_RootConstrainSelectedInstOperands,
     /* 516378 */     // GIR_Coverage, 11809,
     /* 516378 */     GIR_EraseRootFromParent_Done,
     /* 516379 */   // Label 6978: @516379
     /* 516379 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(516508), // Rule ID 11810 //
     /* 516384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516420 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516424 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 516428 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516433 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516433 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516438 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516458 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516465 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 516475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 516480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 516485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 516490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516506 */     GIR_RootConstrainSelectedInstOperands,
     /* 516507 */     // GIR_Coverage, 11810,
     /* 516507 */     GIR_EraseRootFromParent_Done,
     /* 516508 */   // Label 6979: @516508
     /* 516508 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(516637), // Rule ID 11790 //
     /* 516513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 516557 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516562 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516580 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516587 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516594 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 516604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 516609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 516614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 516619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516635 */     GIR_RootConstrainSelectedInstOperands,
     /* 516636 */     // GIR_Coverage, 11790,
     /* 516636 */     GIR_EraseRootFromParent_Done,
     /* 516637 */   // Label 6980: @516637
     /* 516637 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(516766), // Rule ID 11791 //
     /* 516642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516674 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 516686 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516686 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516691 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516696 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516700 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516702 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516716 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516723 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 516733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 516738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 516743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 516748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516764 */     GIR_RootConstrainSelectedInstOperands,
     /* 516765 */     // GIR_Coverage, 11791,
     /* 516765 */     GIR_EraseRootFromParent_Done,
     /* 516766 */   // Label 6981: @516766
     /* 516766 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(516895), // Rule ID 11794 //
     /* 516771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516803 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 516815 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516820 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516825 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516845 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516852 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 516862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 516867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 516872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 516877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 516882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 516887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 516893 */     GIR_RootConstrainSelectedInstOperands,
     /* 516894 */     // GIR_Coverage, 11794,
     /* 516894 */     GIR_EraseRootFromParent_Done,
     /* 516895 */   // Label 6982: @516895
     /* 516895 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(517024), // Rule ID 11795 //
     /* 516900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 516904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 516908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 516912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 516916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 516920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 516924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 516928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 516932 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 516936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 516940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 516944 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 516944 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 516949 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 516949 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 516954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 516958 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 516960 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516967 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516974 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 516981 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 516981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 516984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 516986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 516991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 516996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 517001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 517006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517022 */     GIR_RootConstrainSelectedInstOperands,
     /* 517023 */     // GIR_Coverage, 11795,
     /* 517023 */     GIR_EraseRootFromParent_Done,
     /* 517024 */   // Label 6983: @517024
     /* 517024 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(517153), // Rule ID 7804 //
     /* 517029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 517073 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517073 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517078 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517087 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517096 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517110 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 517120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 517125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 517130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 517135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517151 */     GIR_RootConstrainSelectedInstOperands,
     /* 517152 */     // GIR_Coverage, 7804,
     /* 517152 */     GIR_EraseRootFromParent_Done,
     /* 517153 */   // Label 6984: @517153
     /* 517153 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(517282), // Rule ID 11804 //
     /* 517158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517190 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 517202 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517202 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517207 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517212 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517225 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517232 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517239 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 517249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 517254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 517259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 517264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517280 */     GIR_RootConstrainSelectedInstOperands,
     /* 517281 */     // GIR_Coverage, 11804,
     /* 517281 */     GIR_EraseRootFromParent_Done,
     /* 517282 */   // Label 6985: @517282
     /* 517282 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(517411), // Rule ID 11807 //
     /* 517287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 517331 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517331 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517336 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517341 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517345 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517361 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517368 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 517378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 517383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 517388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 517393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517409 */     GIR_RootConstrainSelectedInstOperands,
     /* 517410 */     // GIR_Coverage, 11807,
     /* 517410 */     GIR_EraseRootFromParent_Done,
     /* 517411 */   // Label 6986: @517411
     /* 517411 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(517540), // Rule ID 11808 //
     /* 517416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517448 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 517460 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517465 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517470 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517490 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517497 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 517507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 517512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 517517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 517522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517538 */     GIR_RootConstrainSelectedInstOperands,
     /* 517539 */     // GIR_Coverage, 11808,
     /* 517539 */     GIR_EraseRootFromParent_Done,
     /* 517540 */   // Label 6987: @517540
     /* 517540 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(517669), // Rule ID 7803 //
     /* 517545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 517589 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517589 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517594 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517594 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517599 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517619 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517626 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 517636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 517641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 517646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 517651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517667 */     GIR_RootConstrainSelectedInstOperands,
     /* 517668 */     // GIR_Coverage, 7803,
     /* 517668 */     GIR_EraseRootFromParent_Done,
     /* 517669 */   // Label 6988: @517669
     /* 517669 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(517798), // Rule ID 11789 //
     /* 517674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517706 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 517718 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517723 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517732 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517734 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517755 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 517765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 517770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 517775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 517780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517796 */     GIR_RootConstrainSelectedInstOperands,
     /* 517797 */     // GIR_Coverage, 11789,
     /* 517797 */     GIR_EraseRootFromParent_Done,
     /* 517798 */   // Label 6989: @517798
     /* 517798 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(517927), // Rule ID 11792 //
     /* 517803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517835 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 517847 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517852 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517857 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517870 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517877 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517884 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 517884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 517887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 517889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 517894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 517899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 517904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 517909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 517914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 517919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 517925 */     GIR_RootConstrainSelectedInstOperands,
     /* 517926 */     // GIR_Coverage, 11792,
     /* 517926 */     GIR_EraseRootFromParent_Done,
     /* 517927 */   // Label 6990: @517927
     /* 517927 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(518056), // Rule ID 11793 //
     /* 517932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 517936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 517940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 517944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 517948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 517952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 517956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 517960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 517964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 517968 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 517972 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 517976 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 517976 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 517981 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 517981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 517986 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 517990 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 517992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 517999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518013 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 518023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 518028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 518033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 518038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 518043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 518048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518054 */     GIR_RootConstrainSelectedInstOperands,
     /* 518055 */     // GIR_Coverage, 11793,
     /* 518055 */     GIR_EraseRootFromParent_Done,
     /* 518056 */   // Label 6991: @518056
     /* 518056 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(518185), // Rule ID 11845 //
     /* 518061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518105 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518110 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518115 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518128 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518142 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 518152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 518157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 518162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 518167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518183 */     GIR_RootConstrainSelectedInstOperands,
     /* 518184 */     // GIR_Coverage, 11845,
     /* 518184 */     GIR_EraseRootFromParent_Done,
     /* 518185 */   // Label 6992: @518185
     /* 518185 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(518314), // Rule ID 11846 //
     /* 518190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518222 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518226 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518230 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518234 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518234 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518239 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518239 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518244 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518248 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518257 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518264 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518271 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 518281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 518286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 518291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 518296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518312 */     GIR_RootConstrainSelectedInstOperands,
     /* 518313 */     // GIR_Coverage, 11846,
     /* 518313 */     GIR_EraseRootFromParent_Done,
     /* 518314 */   // Label 6993: @518314
     /* 518314 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(518443), // Rule ID 11847 //
     /* 518319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518351 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518363 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518363 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518368 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518386 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518400 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 518410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 518415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 518420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 518425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518441 */     GIR_RootConstrainSelectedInstOperands,
     /* 518442 */     // GIR_Coverage, 11847,
     /* 518442 */     GIR_EraseRootFromParent_Done,
     /* 518443 */   // Label 6994: @518443
     /* 518443 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(518572), // Rule ID 11848 //
     /* 518448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518492 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518497 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518502 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518522 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518529 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 518539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 518544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 518549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 518554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518570 */     GIR_RootConstrainSelectedInstOperands,
     /* 518571 */     // GIR_Coverage, 11848,
     /* 518571 */     GIR_EraseRootFromParent_Done,
     /* 518572 */   // Label 6995: @518572
     /* 518572 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(518701), // Rule ID 11785 //
     /* 518577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518609 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 518621 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518626 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518658 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 518668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 518673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 518678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 518683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518699 */     GIR_RootConstrainSelectedInstOperands,
     /* 518700 */     // GIR_Coverage, 11785,
     /* 518700 */     GIR_EraseRootFromParent_Done,
     /* 518701 */   // Label 6996: @518701
     /* 518701 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(518830), // Rule ID 11786 //
     /* 518706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518738 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 518750 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518755 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518780 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518787 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 518797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 518802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 518807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 518812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518828 */     GIR_RootConstrainSelectedInstOperands,
     /* 518829 */     // GIR_Coverage, 11786,
     /* 518829 */     GIR_EraseRootFromParent_Done,
     /* 518830 */   // Label 6997: @518830
     /* 518830 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(518959), // Rule ID 11787 //
     /* 518835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 518871 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 518875 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 518879 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 518879 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 518884 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 518884 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 518889 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 518893 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 518895 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518909 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 518916 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 518916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 518919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 518921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 518926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 518931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 518936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 518941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 518946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 518951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 518957 */     GIR_RootConstrainSelectedInstOperands,
     /* 518958 */     // GIR_Coverage, 11787,
     /* 518958 */     GIR_EraseRootFromParent_Done,
     /* 518959 */   // Label 6998: @518959
     /* 518959 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(519088), // Rule ID 11788 //
     /* 518964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 518968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 518972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 518976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 518980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 518984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 518988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 518992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 518996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 519008 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519008 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519013 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519018 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519045 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 519055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 519060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 519065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 519070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519086 */     GIR_RootConstrainSelectedInstOperands,
     /* 519087 */     // GIR_Coverage, 11788,
     /* 519087 */     GIR_EraseRootFromParent_Done,
     /* 519088 */   // Label 6999: @519088
     /* 519088 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(519217), // Rule ID 11830 //
     /* 519093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519137 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519142 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519167 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519174 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 519184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 519189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 519194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 519199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519215 */     GIR_RootConstrainSelectedInstOperands,
     /* 519216 */     // GIR_Coverage, 11830,
     /* 519216 */     GIR_EraseRootFromParent_Done,
     /* 519217 */   // Label 7000: @519217
     /* 519217 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(519346), // Rule ID 11831 //
     /* 519222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519254 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519258 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519262 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519266 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519266 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519271 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519276 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519303 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 519313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 519318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 519323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 519328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519344 */     GIR_RootConstrainSelectedInstOperands,
     /* 519345 */     // GIR_Coverage, 11831,
     /* 519345 */     GIR_EraseRootFromParent_Done,
     /* 519346 */   // Label 7001: @519346
     /* 519346 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(519475), // Rule ID 11832 //
     /* 519351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519395 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519400 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519425 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519432 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 519442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 519447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 519452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 519457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519473 */     GIR_RootConstrainSelectedInstOperands,
     /* 519474 */     // GIR_Coverage, 11832,
     /* 519474 */     GIR_EraseRootFromParent_Done,
     /* 519475 */   // Label 7002: @519475
     /* 519475 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(519604), // Rule ID 11833 //
     /* 519480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519516 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519520 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519524 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519524 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519529 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519529 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519538 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519540 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519547 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519561 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 519571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 519576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 519581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 519586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519602 */     GIR_RootConstrainSelectedInstOperands,
     /* 519603 */     // GIR_Coverage, 11833,
     /* 519603 */     GIR_EraseRootFromParent_Done,
     /* 519604 */   // Label 7003: @519604
     /* 519604 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(519733), // Rule ID 11770 //
     /* 519609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 519653 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519653 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519658 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519690 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 519700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 519705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 519710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 519715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519731 */     GIR_RootConstrainSelectedInstOperands,
     /* 519732 */     // GIR_Coverage, 11770,
     /* 519732 */     GIR_EraseRootFromParent_Done,
     /* 519733 */   // Label 7004: @519733
     /* 519733 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(519862), // Rule ID 11771 //
     /* 519738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519778 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 519782 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519787 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519792 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519796 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519812 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519819 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 519829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 519834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 519839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 519844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519860 */     GIR_RootConstrainSelectedInstOperands,
     /* 519861 */     // GIR_Coverage, 11771,
     /* 519861 */     GIR_EraseRootFromParent_Done,
     /* 519862 */   // Label 7005: @519862
     /* 519862 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(519991), // Rule ID 11772 //
     /* 519867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 519871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 519875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 519879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 519883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 519887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 519891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 519895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 519899 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 519903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 519907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 519911 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 519911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 519916 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 519916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 519921 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 519925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 519927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519934 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 519948 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 519948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 519951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 519953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 519958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 519963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 519968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 519973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 519978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 519983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 519989 */     GIR_RootConstrainSelectedInstOperands,
     /* 519990 */     // GIR_Coverage, 11772,
     /* 519990 */     GIR_EraseRootFromParent_Done,
     /* 519991 */   // Label 7006: @519991
     /* 519991 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(520120), // Rule ID 11773 //
     /* 519996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 520020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 520024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520028 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 520040 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520045 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520056 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520070 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520077 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 520087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 520092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 520097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 520102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 520107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 520112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520118 */     GIR_RootConstrainSelectedInstOperands,
     /* 520119 */     // GIR_Coverage, 11773,
     /* 520119 */     GIR_EraseRootFromParent_Done,
     /* 520120 */   // Label 7007: @520120
     /* 520120 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(520249), // Rule ID 11841 //
     /* 520125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520157 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520161 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520165 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520169 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520169 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520174 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520174 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520179 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520183 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520185 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520192 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520199 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520206 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 520216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 520221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 520226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 520231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520247 */     GIR_RootConstrainSelectedInstOperands,
     /* 520248 */     // GIR_Coverage, 11841,
     /* 520248 */     GIR_EraseRootFromParent_Done,
     /* 520249 */   // Label 7008: @520249
     /* 520249 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(520378), // Rule ID 11842 //
     /* 520254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520286 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520298 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520303 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520308 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520314 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520328 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520335 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 520345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 520350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 520355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 520360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520376 */     GIR_RootConstrainSelectedInstOperands,
     /* 520377 */     // GIR_Coverage, 11842,
     /* 520377 */     GIR_EraseRootFromParent_Done,
     /* 520378 */   // Label 7009: @520378
     /* 520378 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(520507), // Rule ID 11843 //
     /* 520383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520427 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520432 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520437 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520457 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520464 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 520474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 520479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 520484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 520489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520505 */     GIR_RootConstrainSelectedInstOperands,
     /* 520506 */     // GIR_Coverage, 11843,
     /* 520506 */     GIR_EraseRootFromParent_Done,
     /* 520507 */   // Label 7010: @520507
     /* 520507 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(520636), // Rule ID 11844 //
     /* 520512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520528 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520548 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520552 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520556 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520556 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520561 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520566 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520572 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520579 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520586 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520593 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 520603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 520608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 520613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 520618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520634 */     GIR_RootConstrainSelectedInstOperands,
     /* 520635 */     // GIR_Coverage, 11844,
     /* 520635 */     GIR_EraseRootFromParent_Done,
     /* 520636 */   // Label 7011: @520636
     /* 520636 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(520765), // Rule ID 11781 //
     /* 520641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 520685 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520690 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520715 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520722 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 520732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 520737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 520742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 520747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520763 */     GIR_RootConstrainSelectedInstOperands,
     /* 520764 */     // GIR_Coverage, 11781,
     /* 520764 */     GIR_EraseRootFromParent_Done,
     /* 520765 */   // Label 7012: @520765
     /* 520765 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(520894), // Rule ID 11782 //
     /* 520770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520802 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520806 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520810 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 520814 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520814 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520819 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520819 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520824 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520828 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520837 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520844 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520851 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 520861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 520866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 520871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 520876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 520881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 520886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 520892 */     GIR_RootConstrainSelectedInstOperands,
     /* 520893 */     // GIR_Coverage, 11782,
     /* 520893 */     GIR_EraseRootFromParent_Done,
     /* 520894 */   // Label 7013: @520894
     /* 520894 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(521023), // Rule ID 11783 //
     /* 520899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 520903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 520907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 520911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 520915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 520919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 520923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 520927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 520931 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 520935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 520939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 520943 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 520943 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 520948 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 520948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 520953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 520957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 520959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520973 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 520980 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 520980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 520983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 520985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 520990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 520995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 521000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 521005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521021 */     GIR_RootConstrainSelectedInstOperands,
     /* 521022 */     // GIR_Coverage, 11783,
     /* 521022 */     GIR_EraseRootFromParent_Done,
     /* 521023 */   // Label 7014: @521023
     /* 521023 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(521152), // Rule ID 11784 //
     /* 521028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 521056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521064 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521068 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 521072 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521077 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521077 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521082 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521088 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521095 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521102 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521109 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 521119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 521124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 521129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 521134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521150 */     GIR_RootConstrainSelectedInstOperands,
     /* 521151 */     // GIR_Coverage, 11784,
     /* 521151 */     GIR_EraseRootFromParent_Done,
     /* 521152 */   // Label 7015: @521152
     /* 521152 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(521281), // Rule ID 11826 //
     /* 521157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521201 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521201 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521206 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521224 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521238 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 521248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 521253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 521258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 521263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521279 */     GIR_RootConstrainSelectedInstOperands,
     /* 521280 */     // GIR_Coverage, 11826,
     /* 521280 */     GIR_EraseRootFromParent_Done,
     /* 521281 */   // Label 7016: @521281
     /* 521281 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(521410), // Rule ID 11827 //
     /* 521286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521318 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521330 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521335 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521344 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521346 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521360 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521367 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 521377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 521382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 521387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 521392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521408 */     GIR_RootConstrainSelectedInstOperands,
     /* 521409 */     // GIR_Coverage, 11827,
     /* 521409 */     GIR_EraseRootFromParent_Done,
     /* 521410 */   // Label 7017: @521410
     /* 521410 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(521539), // Rule ID 11828 //
     /* 521415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521459 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521464 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521464 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521469 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521489 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521496 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 521506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 521511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 521516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 521521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521537 */     GIR_RootConstrainSelectedInstOperands,
     /* 521538 */     // GIR_Coverage, 11828,
     /* 521538 */     GIR_EraseRootFromParent_Done,
     /* 521539 */   // Label 7018: @521539
     /* 521539 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(521668), // Rule ID 11829 //
     /* 521544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521588 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521588 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521593 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521598 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521611 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521618 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521625 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 521635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 521640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 521645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 521650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521666 */     GIR_RootConstrainSelectedInstOperands,
     /* 521667 */     // GIR_Coverage, 11829,
     /* 521667 */     GIR_EraseRootFromParent_Done,
     /* 521668 */   // Label 7019: @521668
     /* 521668 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(521797), // Rule ID 11766 //
     /* 521673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521709 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521713 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 521717 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521717 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521722 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521740 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521747 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521754 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 521764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 521769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 521774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 521779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521795 */     GIR_RootConstrainSelectedInstOperands,
     /* 521796 */     // GIR_Coverage, 11766,
     /* 521796 */     GIR_EraseRootFromParent_Done,
     /* 521797 */   // Label 7020: @521797
     /* 521797 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(521926), // Rule ID 11767 //
     /* 521802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 521846 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521846 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521851 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521856 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521869 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521883 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 521883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 521886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 521888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 521893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 521898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 521903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 521908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 521913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 521918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 521924 */     GIR_RootConstrainSelectedInstOperands,
     /* 521925 */     // GIR_Coverage, 11767,
     /* 521925 */     GIR_EraseRootFromParent_Done,
     /* 521926 */   // Label 7021: @521926
     /* 521926 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(522055), // Rule ID 11768 //
     /* 521931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 521935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 521939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 521943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 521947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 521951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 521955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 521959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 521963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 521967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 521971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 521975 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 521975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 521980 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 521980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 521985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 521989 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 521991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 521998 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522012 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 522022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 522027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 522032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 522037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522053 */     GIR_RootConstrainSelectedInstOperands,
     /* 522054 */     // GIR_Coverage, 11768,
     /* 522054 */     GIR_EraseRootFromParent_Done,
     /* 522055 */   // Label 7022: @522055
     /* 522055 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(522184), // Rule ID 11769 //
     /* 522060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 522084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 522088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522092 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 522100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522104 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522104 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 522109 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522109 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 522114 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522120 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522127 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522134 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522141 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 522151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 522156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 522161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 522166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522182 */     GIR_RootConstrainSelectedInstOperands,
     /* 522183 */     // GIR_Coverage, 11769,
     /* 522183 */     GIR_EraseRootFromParent_Done,
     /* 522184 */   // Label 7023: @522184
     /* 522184 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(522313), // Rule ID 11775 //
     /* 522189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 522233 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522233 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522238 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522238 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522256 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522263 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522270 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 522280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 522285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 522290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 522295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522311 */     GIR_RootConstrainSelectedInstOperands,
     /* 522312 */     // GIR_Coverage, 11775,
     /* 522312 */     GIR_EraseRootFromParent_Done,
     /* 522313 */   // Label 7024: @522313
     /* 522313 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(522442), // Rule ID 11776 //
     /* 522318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522354 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522358 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 522362 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522362 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522367 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522372 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522392 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522399 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 522409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 522414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 522419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 522424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522440 */     GIR_RootConstrainSelectedInstOperands,
     /* 522441 */     // GIR_Coverage, 11776,
     /* 522441 */     GIR_EraseRootFromParent_Done,
     /* 522442 */   // Label 7025: @522442
     /* 522442 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(522571), // Rule ID 11779 //
     /* 522447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 522491 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522496 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522501 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522507 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522521 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522528 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 522538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 522543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 522548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 522553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522569 */     GIR_RootConstrainSelectedInstOperands,
     /* 522570 */     // GIR_Coverage, 11779,
     /* 522570 */     GIR_EraseRootFromParent_Done,
     /* 522571 */   // Label 7026: @522571
     /* 522571 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(522700), // Rule ID 11780 //
     /* 522576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522612 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522616 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 522620 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522625 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522630 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522634 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522650 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522657 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 522667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 522672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 522677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 522682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522698 */     GIR_RootConstrainSelectedInstOperands,
     /* 522699 */     // GIR_Coverage, 11780,
     /* 522699 */     GIR_EraseRootFromParent_Done,
     /* 522700 */   // Label 7027: @522700
     /* 522700 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(522829), // Rule ID 11760 //
     /* 522705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 522749 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522749 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522754 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522754 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522759 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522765 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522779 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522786 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 522796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 522801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 522806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 522811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522827 */     GIR_RootConstrainSelectedInstOperands,
     /* 522828 */     // GIR_Coverage, 11760,
     /* 522828 */     GIR_EraseRootFromParent_Done,
     /* 522829 */   // Label 7028: @522829
     /* 522829 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(522958), // Rule ID 11761 //
     /* 522834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522870 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 522874 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 522878 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 522878 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 522883 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 522883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 522888 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 522892 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 522894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 522915 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 522915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 522918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 522920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 522925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 522930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 522935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 522940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 522945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 522950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 522956 */     GIR_RootConstrainSelectedInstOperands,
     /* 522957 */     // GIR_Coverage, 11761,
     /* 522957 */     GIR_EraseRootFromParent_Done,
     /* 522958 */   // Label 7029: @522958
     /* 522958 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(523087), // Rule ID 11764 //
     /* 522963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 522967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 522971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 522975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 522979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 522983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 522987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 522991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 522995 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 522999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 523003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 523007 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523012 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523037 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523044 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 523054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 523059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 523064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 523069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523085 */     GIR_RootConstrainSelectedInstOperands,
     /* 523086 */     // GIR_Coverage, 11764,
     /* 523086 */     GIR_EraseRootFromParent_Done,
     /* 523087 */   // Label 7030: @523087
     /* 523087 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(523216), // Rule ID 11765 //
     /* 523092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523124 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 523132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 523136 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523136 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523141 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523152 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523173 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 523183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 523188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 523193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 523198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523214 */     GIR_RootConstrainSelectedInstOperands,
     /* 523215 */     // GIR_Coverage, 11765,
     /* 523215 */     GIR_EraseRootFromParent_Done,
     /* 523216 */   // Label 7031: @523216
     /* 523216 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(523345), // Rule ID 7802 //
     /* 523221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523257 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523261 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 523265 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523270 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523279 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523295 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523302 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 523312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 523317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 523322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 523327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523343 */     GIR_RootConstrainSelectedInstOperands,
     /* 523344 */     // GIR_Coverage, 7802,
     /* 523344 */     GIR_EraseRootFromParent_Done,
     /* 523345 */   // Label 7032: @523345
     /* 523345 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(523474), // Rule ID 11774 //
     /* 523350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 523394 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523394 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523399 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523399 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523404 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523431 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 523441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 523446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 523451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 523456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523472 */     GIR_RootConstrainSelectedInstOperands,
     /* 523473 */     // GIR_Coverage, 11774,
     /* 523473 */     GIR_EraseRootFromParent_Done,
     /* 523474 */   // Label 7033: @523474
     /* 523474 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(523603), // Rule ID 11777 //
     /* 523479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523511 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523515 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523519 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 523523 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523523 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523528 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523537 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523553 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523560 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 523570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 523575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 523580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 523585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523601 */     GIR_RootConstrainSelectedInstOperands,
     /* 523602 */     // GIR_Coverage, 11777,
     /* 523602 */     GIR_EraseRootFromParent_Done,
     /* 523603 */   // Label 7034: @523603
     /* 523603 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(523732), // Rule ID 11778 //
     /* 523608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523640 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523644 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523648 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 523652 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523657 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523682 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523689 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 523699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 523704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 523709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 523714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523730 */     GIR_RootConstrainSelectedInstOperands,
     /* 523731 */     // GIR_Coverage, 11778,
     /* 523731 */     GIR_EraseRootFromParent_Done,
     /* 523732 */   // Label 7035: @523732
     /* 523732 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(523861), // Rule ID 7801 //
     /* 523737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 523781 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523786 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523791 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523818 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 523828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 523833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 523838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 523843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523859 */     GIR_RootConstrainSelectedInstOperands,
     /* 523860 */     // GIR_Coverage, 7801,
     /* 523860 */     GIR_EraseRootFromParent_Done,
     /* 523861 */   // Label 7036: @523861
     /* 523861 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(523990), // Rule ID 11759 //
     /* 523866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 523874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 523878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 523882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 523886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 523890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 523894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 523898 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 523902 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 523906 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 523910 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 523910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 523915 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 523915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 523920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 523924 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 523926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 523947 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 523947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 523950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 523952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 523957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 523962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 523967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 523972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 523977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 523982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 523988 */     GIR_RootConstrainSelectedInstOperands,
     /* 523989 */     // GIR_Coverage, 11759,
     /* 523989 */     GIR_EraseRootFromParent_Done,
     /* 523990 */   // Label 7037: @523990
     /* 523990 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(524119), // Rule ID 11762 //
     /* 523995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 523999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 524023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524027 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 524035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 524039 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524039 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524044 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524044 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524049 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524069 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524076 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 524086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 524091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 524096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 524101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524117 */     GIR_RootConstrainSelectedInstOperands,
     /* 524118 */     // GIR_Coverage, 11762,
     /* 524118 */     GIR_EraseRootFromParent_Done,
     /* 524119 */   // Label 7038: @524119
     /* 524119 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(524248), // Rule ID 11763 //
     /* 524124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 524152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524156 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524160 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 524164 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 524168 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524168 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524173 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524182 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524205 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 524215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 524220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 524225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 524230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524246 */     GIR_RootConstrainSelectedInstOperands,
     /* 524247 */     // GIR_Coverage, 11763,
     /* 524247 */     GIR_EraseRootFromParent_Done,
     /* 524248 */   // Label 7039: @524248
     /* 524248 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(524377), // Rule ID 11745 //
     /* 524253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 524297 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524297 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524302 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524307 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524320 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524327 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524334 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 524344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 524349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 524354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 524359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524375 */     GIR_RootConstrainSelectedInstOperands,
     /* 524376 */     // GIR_Coverage, 11745,
     /* 524376 */     GIR_EraseRootFromParent_Done,
     /* 524377 */   // Label 7040: @524377
     /* 524377 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(524506), // Rule ID 11746 //
     /* 524382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 524426 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524426 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524431 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524436 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524440 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524442 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524456 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524463 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 524473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 524478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 524483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 524488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524504 */     GIR_RootConstrainSelectedInstOperands,
     /* 524505 */     // GIR_Coverage, 11746,
     /* 524505 */     GIR_EraseRootFromParent_Done,
     /* 524506 */   // Label 7041: @524506
     /* 524506 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(524635), // Rule ID 11749 //
     /* 524511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 524555 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524560 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524565 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524592 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 524602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 524607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 524612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 524617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524633 */     GIR_RootConstrainSelectedInstOperands,
     /* 524634 */     // GIR_Coverage, 11749,
     /* 524634 */     GIR_EraseRootFromParent_Done,
     /* 524635 */   // Label 7042: @524635
     /* 524635 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(524764), // Rule ID 11750 //
     /* 524640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524672 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 524684 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524684 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524689 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524689 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524694 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524700 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524721 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 524731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 524736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 524741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 524746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524762 */     GIR_RootConstrainSelectedInstOperands,
     /* 524763 */     // GIR_Coverage, 11750,
     /* 524763 */     GIR_EraseRootFromParent_Done,
     /* 524764 */   // Label 7043: @524764
     /* 524764 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(524893), // Rule ID 11730 //
     /* 524769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524801 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 524813 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524813 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524818 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524829 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524836 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524843 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524850 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 524860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 524865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 524870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 524875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 524880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 524885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 524891 */     GIR_RootConstrainSelectedInstOperands,
     /* 524892 */     // GIR_Coverage, 11730,
     /* 524892 */     GIR_EraseRootFromParent_Done,
     /* 524893 */   // Label 7044: @524893
     /* 524893 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(525022), // Rule ID 11731 //
     /* 524898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 524902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 524906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 524914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 524918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 524922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 524926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 524930 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 524934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 524938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 524942 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 524942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 524947 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 524947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 524952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 524956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 524958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524972 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 524979 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 524979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 524982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 524984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 524989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 524994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 524999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 525004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525020 */     GIR_RootConstrainSelectedInstOperands,
     /* 525021 */     // GIR_Coverage, 11731,
     /* 525021 */     GIR_EraseRootFromParent_Done,
     /* 525022 */   // Label 7045: @525022
     /* 525022 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(525151), // Rule ID 11734 //
     /* 525027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525059 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 525067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 525071 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525071 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525076 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525081 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525101 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525108 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 525118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 525123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 525128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 525133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525149 */     GIR_RootConstrainSelectedInstOperands,
     /* 525150 */     // GIR_Coverage, 11734,
     /* 525150 */     GIR_EraseRootFromParent_Done,
     /* 525151 */   // Label 7046: @525151
     /* 525151 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(525280), // Rule ID 11735 //
     /* 525156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 525196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 525200 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525205 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525210 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525230 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525237 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 525247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 525252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 525257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 525262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525278 */     GIR_RootConstrainSelectedInstOperands,
     /* 525279 */     // GIR_Coverage, 11735,
     /* 525279 */     GIR_EraseRootFromParent_Done,
     /* 525280 */   // Label 7047: @525280
     /* 525280 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(525409), // Rule ID 7800 //
     /* 525285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525317 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 525329 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525329 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525334 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525334 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525339 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525359 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525366 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 525376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 525381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 525386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 525391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525407 */     GIR_RootConstrainSelectedInstOperands,
     /* 525408 */     // GIR_Coverage, 7800,
     /* 525408 */     GIR_EraseRootFromParent_Done,
     /* 525409 */   // Label 7048: @525409
     /* 525409 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(525538), // Rule ID 11744 //
     /* 525414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525450 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525454 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 525458 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525458 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525463 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525481 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525488 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525495 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 525505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 525510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 525515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 525520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525536 */     GIR_RootConstrainSelectedInstOperands,
     /* 525537 */     // GIR_Coverage, 11744,
     /* 525537 */     GIR_EraseRootFromParent_Done,
     /* 525538 */   // Label 7049: @525538
     /* 525538 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(525667), // Rule ID 11747 //
     /* 525543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 525587 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525592 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525610 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525624 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 525634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 525639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 525644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 525649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525665 */     GIR_RootConstrainSelectedInstOperands,
     /* 525666 */     // GIR_Coverage, 11747,
     /* 525666 */     GIR_EraseRootFromParent_Done,
     /* 525667 */   // Label 7050: @525667
     /* 525667 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(525796), // Rule ID 11748 //
     /* 525672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525704 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 525716 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525716 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525721 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525726 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525746 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525753 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 525763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 525768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 525773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 525778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525794 */     GIR_RootConstrainSelectedInstOperands,
     /* 525795 */     // GIR_Coverage, 11748,
     /* 525795 */     GIR_EraseRootFromParent_Done,
     /* 525796 */   // Label 7051: @525796
     /* 525796 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(525925), // Rule ID 7799 //
     /* 525801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525833 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 525845 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525850 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525861 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525882 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 525882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 525885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 525887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 525892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 525897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 525902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 525907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 525912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 525917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 525923 */     GIR_RootConstrainSelectedInstOperands,
     /* 525924 */     // GIR_Coverage, 7799,
     /* 525924 */     GIR_EraseRootFromParent_Done,
     /* 525925 */   // Label 7052: @525925
     /* 525925 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(526054), // Rule ID 11729 //
     /* 525930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 525934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 525938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 525946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 525950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 525954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 525958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 525962 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 525966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 525970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 525974 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 525974 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 525979 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 525979 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 525984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 525988 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 525990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 525997 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526011 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 526021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 526026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 526031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 526036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 526041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 526046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526052 */     GIR_RootConstrainSelectedInstOperands,
     /* 526053 */     // GIR_Coverage, 11729,
     /* 526053 */     GIR_EraseRootFromParent_Done,
     /* 526054 */   // Label 7053: @526054
     /* 526054 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(526183), // Rule ID 11732 //
     /* 526059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 526083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526091 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 526099 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 526103 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526103 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 526108 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526108 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 526113 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526133 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526140 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 526150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 526155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 526160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 526165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 526170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 526175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526181 */     GIR_RootConstrainSelectedInstOperands,
     /* 526182 */     // GIR_Coverage, 11732,
     /* 526182 */     GIR_EraseRootFromParent_Done,
     /* 526183 */   // Label 7054: @526183
     /* 526183 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(526312), // Rule ID 11733 //
     /* 526188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 526212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 526228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 526232 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526232 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 526237 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 526242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526262 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526269 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 526279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 526284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 526289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 526294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 526299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 526304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526310 */     GIR_RootConstrainSelectedInstOperands,
     /* 526311 */     // GIR_Coverage, 11733,
     /* 526311 */     GIR_EraseRootFromParent_Done,
     /* 526312 */   // Label 7055: @526312
     /* 526312 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(526441), // Rule ID 11815 //
     /* 526317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 526357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 526361 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 526366 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 526371 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526384 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526391 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526398 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 526408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 526413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 526418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 526423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 526428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 526433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526439 */     GIR_RootConstrainSelectedInstOperands,
     /* 526440 */     // GIR_Coverage, 11815,
     /* 526440 */     GIR_EraseRootFromParent_Done,
     /* 526441 */   // Label 7056: @526441
     /* 526441 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(526570), // Rule ID 11816 //
     /* 526446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 526486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 526490 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 526495 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 526500 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526513 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526520 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526527 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 526537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 526542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 526547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 526552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 526557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 526562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526568 */     GIR_RootConstrainSelectedInstOperands,
     /* 526569 */     // GIR_Coverage, 11816,
     /* 526569 */     GIR_EraseRootFromParent_Done,
     /* 526570 */   // Label 7057: @526570
     /* 526570 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(526699), // Rule ID 11817 //
     /* 526575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526607 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 526615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 526619 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526619 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 526624 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526624 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 526629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526633 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526642 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526649 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526656 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 526666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 526671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 526676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 526681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 526686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 526691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526697 */     GIR_RootConstrainSelectedInstOperands,
     /* 526698 */     // GIR_Coverage, 11817,
     /* 526698 */     GIR_EraseRootFromParent_Done,
     /* 526699 */   // Label 7058: @526699
     /* 526699 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(526828), // Rule ID 11818 //
     /* 526704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 526744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 526748 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526748 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 526753 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 526758 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526771 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526778 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526785 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 526795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 526800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 526805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 526810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 526815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 526820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526826 */     GIR_RootConstrainSelectedInstOperands,
     /* 526827 */     // GIR_Coverage, 11818,
     /* 526827 */     GIR_EraseRootFromParent_Done,
     /* 526828 */   // Label 7059: @526828
     /* 526828 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(526957), // Rule ID 11755 //
     /* 526833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 526873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526877 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 526877 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 526882 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 526882 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 526887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 526891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 526893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526900 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526907 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 526914 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 526914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 526917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 526919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 526924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 526929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 526934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 526939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 526944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 526949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 526955 */     GIR_RootConstrainSelectedInstOperands,
     /* 526956 */     // GIR_Coverage, 11755,
     /* 526956 */     GIR_EraseRootFromParent_Done,
     /* 526957 */   // Label 7060: @526957
     /* 526957 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(527086), // Rule ID 11756 //
     /* 526962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 526966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 526970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 526974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 526978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 526982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 526986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 526990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 526994 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 526998 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527002 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527006 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527006 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527011 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527020 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527029 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527043 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 527053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 527058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 527063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 527068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527084 */     GIR_RootConstrainSelectedInstOperands,
     /* 527085 */     // GIR_Coverage, 11756,
     /* 527085 */     GIR_EraseRootFromParent_Done,
     /* 527086 */   // Label 7061: @527086
     /* 527086 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(527215), // Rule ID 11757 //
     /* 527091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 527119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527123 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527135 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527140 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527158 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527172 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 527182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 527187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 527192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 527197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527213 */     GIR_RootConstrainSelectedInstOperands,
     /* 527214 */     // GIR_Coverage, 11757,
     /* 527214 */     GIR_EraseRootFromParent_Done,
     /* 527215 */   // Label 7062: @527215
     /* 527215 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(527344), // Rule ID 11758 //
     /* 527220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 527248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527264 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527264 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527269 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527269 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527274 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527278 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527280 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527287 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527294 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527301 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 527311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 527316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 527321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 527326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527342 */     GIR_RootConstrainSelectedInstOperands,
     /* 527343 */     // GIR_Coverage, 11758,
     /* 527343 */     GIR_EraseRootFromParent_Done,
     /* 527344 */   // Label 7063: @527344
     /* 527344 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(527473), // Rule ID 11800 //
     /* 527349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 527377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 527393 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527393 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527398 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527430 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 527440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 527445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 527450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 527455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527471 */     GIR_RootConstrainSelectedInstOperands,
     /* 527472 */     // GIR_Coverage, 11800,
     /* 527472 */     GIR_EraseRootFromParent_Done,
     /* 527473 */   // Label 7064: @527473
     /* 527473 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(527602), // Rule ID 11801 //
     /* 527478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 527506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 527522 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527527 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527532 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527536 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527559 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 527569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 527574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 527579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 527584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527600 */     GIR_RootConstrainSelectedInstOperands,
     /* 527601 */     // GIR_Coverage, 11801,
     /* 527601 */     GIR_EraseRootFromParent_Done,
     /* 527602 */   // Label 7065: @527602
     /* 527602 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(527731), // Rule ID 11802 //
     /* 527607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 527635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527639 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 527651 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527651 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527656 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527661 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527688 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 527698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 527703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 527708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 527713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527729 */     GIR_RootConstrainSelectedInstOperands,
     /* 527730 */     // GIR_Coverage, 11802,
     /* 527730 */     GIR_EraseRootFromParent_Done,
     /* 527731 */   // Label 7066: @527731
     /* 527731 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(527860), // Rule ID 11803 //
     /* 527736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 527764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 527780 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527785 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527803 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527817 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 527827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 527832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 527837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 527842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527858 */     GIR_RootConstrainSelectedInstOperands,
     /* 527859 */     // GIR_Coverage, 11803,
     /* 527859 */     GIR_EraseRootFromParent_Done,
     /* 527860 */   // Label 7067: @527860
     /* 527860 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(527989), // Rule ID 11740 //
     /* 527865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 527873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 527881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 527885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 527889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 527893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 527897 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 527901 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 527905 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 527909 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 527909 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 527914 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 527914 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 527919 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 527923 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 527925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527939 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 527946 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 527946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 527949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 527951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 527956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 527961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 527966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 527971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 527976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 527981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 527987 */     GIR_RootConstrainSelectedInstOperands,
     /* 527988 */     // GIR_Coverage, 11740,
     /* 527988 */     GIR_EraseRootFromParent_Done,
     /* 527989 */   // Label 7068: @527989
     /* 527989 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(528118), // Rule ID 11741 //
     /* 527994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 527998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 528018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 528022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528038 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528038 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528043 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528075 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 528085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 528090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 528095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 528100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 528105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 528110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528116 */     GIR_RootConstrainSelectedInstOperands,
     /* 528117 */     // GIR_Coverage, 11741,
     /* 528117 */     GIR_EraseRootFromParent_Done,
     /* 528118 */   // Label 7069: @528118
     /* 528118 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(528247), // Rule ID 11742 //
     /* 528123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 528147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 528151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528167 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528167 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528172 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528177 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528181 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528190 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528204 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 528214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 528219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 528224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 528229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 528234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 528239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528245 */     GIR_RootConstrainSelectedInstOperands,
     /* 528246 */     // GIR_Coverage, 11742,
     /* 528246 */     GIR_EraseRootFromParent_Done,
     /* 528247 */   // Label 7070: @528247
     /* 528247 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(528376), // Rule ID 11743 //
     /* 528252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 528276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 528280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528284 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528288 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528292 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528296 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528301 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528333 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 528343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 528348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 528353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 528358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 528363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 528368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528374 */     GIR_RootConstrainSelectedInstOperands,
     /* 528375 */     // GIR_Coverage, 11743,
     /* 528375 */     GIR_EraseRootFromParent_Done,
     /* 528376 */   // Label 7071: @528376
     /* 528376 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(528505), // Rule ID 11811 //
     /* 528381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 528405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 528409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 528425 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528430 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528435 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528462 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 528472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 528477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 528482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 528487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 528492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 528497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528503 */     GIR_RootConstrainSelectedInstOperands,
     /* 528504 */     // GIR_Coverage, 11811,
     /* 528504 */     GIR_EraseRootFromParent_Done,
     /* 528505 */   // Label 7072: @528505
     /* 528505 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(528634), // Rule ID 11812 //
     /* 528510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 528534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 528538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528542 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528546 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528550 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 528554 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528554 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528559 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528559 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528564 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528568 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528570 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528591 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 528601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 528606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 528611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 528616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 528621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 528626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528632 */     GIR_RootConstrainSelectedInstOperands,
     /* 528633 */     // GIR_Coverage, 11812,
     /* 528633 */     GIR_EraseRootFromParent_Done,
     /* 528634 */   // Label 7073: @528634
     /* 528634 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(528763), // Rule ID 11813 //
     /* 528639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 528663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 528667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528671 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 528683 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528688 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528720 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 528730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 528735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 528740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 528745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 528750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 528755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528761 */     GIR_RootConstrainSelectedInstOperands,
     /* 528762 */     // GIR_Coverage, 11813,
     /* 528762 */     GIR_EraseRootFromParent_Done,
     /* 528763 */   // Label 7074: @528763
     /* 528763 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(528892), // Rule ID 11814 //
     /* 528768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 528792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 528796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 528812 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528817 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528822 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528828 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528849 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 528859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 528864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 528869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 528874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 528879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 528884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 528890 */     GIR_RootConstrainSelectedInstOperands,
     /* 528891 */     // GIR_Coverage, 11814,
     /* 528891 */     GIR_EraseRootFromParent_Done,
     /* 528892 */   // Label 7075: @528892
     /* 528892 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(529021), // Rule ID 11751 //
     /* 528897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 528901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 528905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 528913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 528917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 528921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 528925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 528929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 528933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 528937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 528941 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 528941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 528946 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 528946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 528951 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 528955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 528957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528964 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 528978 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 528978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 528981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 528983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 528988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 528993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 528998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 529003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529019 */     GIR_RootConstrainSelectedInstOperands,
     /* 529020 */     // GIR_Coverage, 11751,
     /* 529020 */     GIR_EraseRootFromParent_Done,
     /* 529021 */   // Label 7076: @529021
     /* 529021 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(529150), // Rule ID 11752 //
     /* 529026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 529054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529058 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529070 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529075 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529080 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529107 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 529117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 529122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 529127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 529132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529148 */     GIR_RootConstrainSelectedInstOperands,
     /* 529149 */     // GIR_Coverage, 11752,
     /* 529149 */     GIR_EraseRootFromParent_Done,
     /* 529150 */   // Label 7077: @529150
     /* 529150 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(529279), // Rule ID 11753 //
     /* 529155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 529183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529187 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529195 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529199 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529199 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529204 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529204 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529209 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529213 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529236 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 529246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 529251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 529256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 529261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529277 */     GIR_RootConstrainSelectedInstOperands,
     /* 529278 */     // GIR_Coverage, 11753,
     /* 529278 */     GIR_EraseRootFromParent_Done,
     /* 529279 */   // Label 7078: @529279
     /* 529279 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(529408), // Rule ID 11754 //
     /* 529284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 529312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529316 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529328 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529328 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529333 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529365 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 529375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 529380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 529385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 529390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529406 */     GIR_RootConstrainSelectedInstOperands,
     /* 529407 */     // GIR_Coverage, 11754,
     /* 529407 */     GIR_EraseRootFromParent_Done,
     /* 529408 */   // Label 7079: @529408
     /* 529408 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(529537), // Rule ID 11796 //
     /* 529413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 529441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 529457 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529457 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529462 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529467 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529487 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529494 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 529504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 529509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 529514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 529519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529535 */     GIR_RootConstrainSelectedInstOperands,
     /* 529536 */     // GIR_Coverage, 11796,
     /* 529536 */     GIR_EraseRootFromParent_Done,
     /* 529537 */   // Label 7080: @529537
     /* 529537 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(529666), // Rule ID 11797 //
     /* 529542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 529570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 529586 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529586 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529591 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529602 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529609 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529623 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 529633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 529638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 529643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 529648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529664 */     GIR_RootConstrainSelectedInstOperands,
     /* 529665 */     // GIR_Coverage, 11797,
     /* 529665 */     GIR_EraseRootFromParent_Done,
     /* 529666 */   // Label 7081: @529666
     /* 529666 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(529795), // Rule ID 11798 //
     /* 529671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 529699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 529715 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529715 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529720 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529752 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 529762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 529767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 529772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 529777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529793 */     GIR_RootConstrainSelectedInstOperands,
     /* 529794 */     // GIR_Coverage, 11798,
     /* 529794 */     GIR_EraseRootFromParent_Done,
     /* 529795 */   // Label 7082: @529795
     /* 529795 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(529924), // Rule ID 11799 //
     /* 529800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 529828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529832 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 529844 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529844 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529849 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529849 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529854 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529860 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529867 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529874 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529881 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 529881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 529884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 529886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 529891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 529896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 529901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 529906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 529911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 529916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 529922 */     GIR_RootConstrainSelectedInstOperands,
     /* 529923 */     // GIR_Coverage, 11799,
     /* 529923 */     GIR_EraseRootFromParent_Done,
     /* 529924 */   // Label 7083: @529924
     /* 529924 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(530053), // Rule ID 11736 //
     /* 529929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 529933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 529937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 529945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 529949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 529953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 529957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 529961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 529965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 529969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 529973 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 529973 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 529978 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 529978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 529983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 529987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 529989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 529996 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530003 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530010 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 530013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 530020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 530025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 530030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 530035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530051 */     GIR_RootConstrainSelectedInstOperands,
     /* 530052 */     // GIR_Coverage, 11736,
     /* 530052 */     GIR_EraseRootFromParent_Done,
     /* 530053 */   // Label 7084: @530053
     /* 530053 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(530182), // Rule ID 11737 //
     /* 530058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 530066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 530078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 530086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530090 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530094 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 530098 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530102 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 530102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 530107 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 530107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 530112 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 530116 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 530118 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530132 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530139 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 530142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 530149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 530154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 530159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 530164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530180 */     GIR_RootConstrainSelectedInstOperands,
     /* 530181 */     // GIR_Coverage, 11737,
     /* 530181 */     GIR_EraseRootFromParent_Done,
     /* 530182 */   // Label 7085: @530182
     /* 530182 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(530311), // Rule ID 11738 //
     /* 530187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 530195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 530207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 530215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 530227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530231 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 530231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 530236 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 530236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 530241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 530245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 530247 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530268 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 530271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 530278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 530283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 530288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 530293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530309 */     GIR_RootConstrainSelectedInstOperands,
     /* 530310 */     // GIR_Coverage, 11738,
     /* 530310 */     GIR_EraseRootFromParent_Done,
     /* 530311 */   // Label 7086: @530311
     /* 530311 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(530440), // Rule ID 11739 //
     /* 530316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 530324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 530336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 530344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 530356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530360 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 530360 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 530365 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 530365 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 530370 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fminnum_like_nnan),
     /* 530374 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 530376 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530390 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530397 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fminnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 530400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 530407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 530412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 530417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 530422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530438 */     GIR_RootConstrainSelectedInstOperands,
     /* 530439 */     // GIR_Coverage, 11739,
     /* 530439 */     GIR_EraseRootFromParent_Done,
     /* 530440 */   // Label 7087: @530440
     /* 530440 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(530552), // Rule ID 13456 //
     /* 530445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 530456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 530460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 530472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530480 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 530482 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 530486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 530488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530495 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530502 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530509 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 530512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 530519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 530524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 530529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 530534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 530539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 530544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530550 */     GIR_RootConstrainSelectedInstOperands,
     /* 530551 */     // GIR_Coverage, 13456,
     /* 530551 */     GIR_EraseRootFromParent_Done,
     /* 530552 */   // Label 7088: @530552
     /* 530552 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(530664), // Rule ID 13455 //
     /* 530557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 530568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 530572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530588 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530592 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 530594 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 530598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 530600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530607 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530621 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 530624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 530631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 530636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 530641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 530646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 530651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 530656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530662 */     GIR_RootConstrainSelectedInstOperands,
     /* 530663 */     // GIR_Coverage, 13455,
     /* 530663 */     GIR_EraseRootFromParent_Done,
     /* 530664 */   // Label 7089: @530664
     /* 530664 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(530776), // Rule ID 7930 //
     /* 530669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 530680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 530684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 530696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530704 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 530706 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 530710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 530712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530726 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530733 */     // (fminnum_ieee:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 530736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 530743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 530748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 530753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 530758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530774 */     GIR_RootConstrainSelectedInstOperands,
     /* 530775 */     // GIR_Coverage, 7930,
     /* 530775 */     GIR_EraseRootFromParent_Done,
     /* 530776 */   // Label 7090: @530776
     /* 530776 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(530888), // Rule ID 7929 //
     /* 530781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 530792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 530796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 530804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 530808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 530812 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 530816 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 530818 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 530822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 530824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530831 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530838 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530845 */     // (fminnum_ieee:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 530848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 530855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 530860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 530865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 530870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 530875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 530880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530886 */     GIR_RootConstrainSelectedInstOperands,
     /* 530887 */     // GIR_Coverage, 7929,
     /* 530887 */     GIR_EraseRootFromParent_Done,
     /* 530888 */   // Label 7091: @530888
     /* 530888 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(530984), // Rule ID 13448 //
     /* 530893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 530904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 530908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 530912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 530916 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 530918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 530920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 530941 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 530941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 530944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 530946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 530951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 530956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 530961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 530966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 530971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 530976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 530982 */     GIR_RootConstrainSelectedInstOperands,
     /* 530983 */     // GIR_Coverage, 13448,
     /* 530983 */     GIR_EraseRootFromParent_Done,
     /* 530984 */   // Label 7092: @530984
     /* 530984 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(531080), // Rule ID 13447 //
     /* 530989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 530992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 530996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 531000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 531004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 531008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 531012 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 531014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 531016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531037 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>)  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 531037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 531040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 531047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 531052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 531057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 531062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 531067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 531072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531078 */     GIR_RootConstrainSelectedInstOperands,
     /* 531079 */     // GIR_Coverage, 13447,
     /* 531079 */     GIR_EraseRootFromParent_Done,
     /* 531080 */   // Label 7093: @531080
     /* 531080 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(531176), // Rule ID 7922 //
     /* 531085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 531088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 531096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 531100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 531104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 531108 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 531110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 531112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531133 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 531133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 531136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 531143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 531153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 531163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 531168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531174 */     GIR_RootConstrainSelectedInstOperands,
     /* 531175 */     // GIR_Coverage, 7922,
     /* 531175 */     GIR_EraseRootFromParent_Done,
     /* 531176 */   // Label 7094: @531176
     /* 531176 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(531272), // Rule ID 7921 //
     /* 531181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 531184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 531192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 531196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 531200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 531204 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 531206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 531208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531222 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531229 */     // (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaxnum_ieee_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MAXMIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 531229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_F32_e64),
     /* 531232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 531239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 531249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 531259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 531264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531270 */     GIR_RootConstrainSelectedInstOperands,
     /* 531271 */     // GIR_Coverage, 7921,
     /* 531271 */     GIR_EraseRootFromParent_Done,
     /* 531272 */   // Label 7095: @531272
     /* 531272 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(531307), // Rule ID 90 //
     /* 531277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 531280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 531284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 531288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 531292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13777),
     /* 531296 */     // (fminnum_ieee:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13777>>  =>  (S_MIN_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 531296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_F32),
     /* 531301 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 531305 */     GIR_RootConstrainSelectedInstOperands,
     /* 531306 */     // GIR_Coverage, 90,
     /* 531306 */     GIR_Done,
     /* 531307 */   // Label 7096: @531307
     /* 531307 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(531367), // Rule ID 802 //
     /* 531312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531330 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F32_e64),
     /* 531333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 531340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 531350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 531360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 531365 */     GIR_RootConstrainSelectedInstOperands,
     /* 531366 */     // GIR_Coverage, 802,
     /* 531366 */     GIR_EraseRootFromParent_Done,
     /* 531367 */   // Label 7097: @531367
     /* 531367 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(531427), // Rule ID 8623 //
     /* 531372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531390 */     // (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F32_e64),
     /* 531393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 531400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 531405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 531410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 531415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 531420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 531425 */     GIR_RootConstrainSelectedInstOperands,
     /* 531426 */     // GIR_Coverage, 8623,
     /* 531426 */     GIR_EraseRootFromParent_Done,
     /* 531427 */   // Label 7098: @531427
     /* 531427 */   GIM_Reject,
     /* 531428 */ // Label 6959: @531428
     /* 531428 */ GIM_Reject,
     /* 531429 */ // Label 6549: @531429
     /* 531429 */ GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(531681),
     /* 531434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 531437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 531440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 531444 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(531503), // Rule ID 917 //
     /* 531449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 531452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531466 */     // (fminnum_ieee:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_NUM_F64_e64),
     /* 531469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 531476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 531486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 531496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 531501 */     GIR_RootConstrainSelectedInstOperands,
     /* 531502 */     // GIR_Coverage, 917,
     /* 531502 */     GIR_EraseRootFromParent_Done,
     /* 531503 */   // Label 7100: @531503
     /* 531503 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(531562), // Rule ID 936 //
     /* 531508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 531511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531525 */     // (fminnum_ieee:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 531528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 531535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 531545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 531555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 531560 */     GIR_RootConstrainSelectedInstOperands,
     /* 531561 */     // GIR_Coverage, 936,
     /* 531561 */     GIR_EraseRootFromParent_Done,
     /* 531562 */   // Label 7101: @531562
     /* 531562 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(531621), // Rule ID 8649 //
     /* 531567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 531570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531584 */     // (fminnum_ieee:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_NUM_F64_e64),
     /* 531587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 531594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 531599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 531604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 531609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 531614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 531619 */     GIR_RootConstrainSelectedInstOperands,
     /* 531620 */     // GIR_Coverage, 8649,
     /* 531620 */     GIR_EraseRootFromParent_Done,
     /* 531621 */   // Label 7102: @531621
     /* 531621 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(531680), // Rule ID 8663 //
     /* 531626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 531629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 531643 */     // (fminnum_ieee:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MIN_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 531643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 531646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 531653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 531658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 531663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 531668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 531673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 531678 */     GIR_RootConstrainSelectedInstOperands,
     /* 531679 */     // GIR_Coverage, 8663,
     /* 531679 */     GIR_EraseRootFromParent_Done,
     /* 531680 */   // Label 7103: @531680
     /* 531680 */   GIM_Reject,
     /* 531681 */ // Label 7099: @531681
     /* 531681 */ GIM_Reject,
     /* 531682 */ // Label 6550: @531682
     /* 531682 */ GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(531753), // Rule ID 1098 //
     /* 531687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 531690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 531693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 531704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 531711 */   // (fminnum_ieee:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MIN_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 531711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MIN_F16),
     /* 531714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 531721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 531731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531751 */   GIR_RootConstrainSelectedInstOperands,
     /* 531752 */   // GIR_Coverage, 1098,
     /* 531752 */   GIR_EraseRootFromParent_Done,
     /* 531753 */ // Label 7104: @531753
     /* 531753 */ GIM_Reject,
     /* 531754 */ // Label 6551: @531754
     /* 531754 */ GIM_Reject,
     /* 531755 */ // Label 83: @531755
     /* 531755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7109*/ GIMT_Encode4(603533),
     /* 531766 */ /*GILLT_s16*//*Label 7105*/ GIMT_Encode4(531782),
     /* 531770 */ /*GILLT_s32*//*Label 7106*/ GIMT_Encode4(585696),
     /* 531774 */ /*GILLT_s64*//*Label 7107*/ GIMT_Encode4(603208),
     /* 531778 */ /*GILLT_v2s16*//*Label 7108*/ GIMT_Encode4(603461),
     /* 531782 */ // Label 7105: @531782
     /* 531782 */ GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(585695),
     /* 531787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 531790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 531793 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(531928), // Rule ID 12105 //
     /* 531798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 531801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 531809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 531813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 531817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 531821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 531825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 531829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 531833 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 531837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 531841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 531845 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 531845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 531850 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 531850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 531855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 531859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 531861 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 531882 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 531882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 531885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 531887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 531892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 531897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 531902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 531907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 531912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 531917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 531926 */     GIR_RootConstrainSelectedInstOperands,
     /* 531927 */     // GIR_Coverage, 12105,
     /* 531927 */     GIR_EraseRootFromParent_Done,
     /* 531928 */   // Label 7111: @531928
     /* 531928 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(532063), // Rule ID 12106 //
     /* 531933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 531936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 531940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 531944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 531948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 531952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 531956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 531960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 531964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 531968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 531972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 531976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 531980 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 531980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 531985 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 531985 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 531990 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 531994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 531996 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532010 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532017 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 532020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 532027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 532032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 532037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 532042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532061 */     GIR_RootConstrainSelectedInstOperands,
     /* 532062 */     // GIR_Coverage, 12106,
     /* 532062 */     GIR_EraseRootFromParent_Done,
     /* 532063 */   // Label 7112: @532063
     /* 532063 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(532198), // Rule ID 12109 //
     /* 532068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 532071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 532075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532103 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532115 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532115 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532120 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532120 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532125 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532145 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532152 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 532155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 532162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 532167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 532172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 532177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532196 */     GIR_RootConstrainSelectedInstOperands,
     /* 532197 */     // GIR_Coverage, 12109,
     /* 532197 */     GIR_EraseRootFromParent_Done,
     /* 532198 */   // Label 7113: @532198
     /* 532198 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(532333), // Rule ID 12110 //
     /* 532203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 532206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 532210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532238 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532242 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532246 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532250 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532250 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532255 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532260 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532264 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532280 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532287 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 532290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 532297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 532302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 532307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 532312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532331 */     GIR_RootConstrainSelectedInstOperands,
     /* 532332 */     // GIR_Coverage, 12110,
     /* 532332 */     GIR_EraseRootFromParent_Done,
     /* 532333 */   // Label 7114: @532333
     /* 532333 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(532468), // Rule ID 12585 //
     /* 532338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 532341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 532345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532373 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532385 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532385 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532390 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532422 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 532425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 532432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 532437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 532442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 532447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532466 */     GIR_RootConstrainSelectedInstOperands,
     /* 532467 */     // GIR_Coverage, 12585,
     /* 532467 */     GIR_EraseRootFromParent_Done,
     /* 532468 */   // Label 7115: @532468
     /* 532468 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(532603), // Rule ID 12586 //
     /* 532473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 532476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 532480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532508 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532520 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532525 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532550 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532557 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 532560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 532567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 532572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 532577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 532582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532601 */     GIR_RootConstrainSelectedInstOperands,
     /* 532602 */     // GIR_Coverage, 12586,
     /* 532602 */     GIR_EraseRootFromParent_Done,
     /* 532603 */   // Label 7116: @532603
     /* 532603 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(532738), // Rule ID 12589 //
     /* 532608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 532611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 532615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532655 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532660 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532669 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532685 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532692 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 532695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 532702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 532707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 532712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 532717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532736 */     GIR_RootConstrainSelectedInstOperands,
     /* 532737 */     // GIR_Coverage, 12589,
     /* 532737 */     GIR_EraseRootFromParent_Done,
     /* 532738 */   // Label 7117: @532738
     /* 532738 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(532873), // Rule ID 12590 //
     /* 532743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 532746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 532750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532790 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532790 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532795 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532795 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532800 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532804 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532806 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532820 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532827 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 532830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 532837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 532842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 532847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 532852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 532871 */     GIR_RootConstrainSelectedInstOperands,
     /* 532872 */     // GIR_Coverage, 12590,
     /* 532872 */     GIR_EraseRootFromParent_Done,
     /* 532873 */   // Label 7118: @532873
     /* 532873 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(533008), // Rule ID 13065 //
     /* 532878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 532881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 532885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 532889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 532897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 532901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 532905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 532909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 532913 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 532917 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 532921 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 532925 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 532925 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 532930 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 532930 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 532935 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 532939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 532941 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532955 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 532962 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 532962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 532965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 532967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 532972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 532977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 532982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 532987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 532992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 532997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533006 */     GIR_RootConstrainSelectedInstOperands,
     /* 533007 */     // GIR_Coverage, 13065,
     /* 533007 */     GIR_EraseRootFromParent_Done,
     /* 533008 */   // Label 7119: @533008
     /* 533008 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(533143), // Rule ID 13066 //
     /* 533013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 533016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533048 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 533060 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533060 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533065 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533065 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533074 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533090 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533097 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 533100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 533107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 533112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 533117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 533122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533141 */     GIR_RootConstrainSelectedInstOperands,
     /* 533142 */     // GIR_Coverage, 13066,
     /* 533142 */     GIR_EraseRootFromParent_Done,
     /* 533143 */   // Label 7120: @533143
     /* 533143 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(533278), // Rule ID 13069 //
     /* 533148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 533151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 533195 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533200 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533205 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533225 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533232 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 533235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 533242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 533247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 533252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 533257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533276 */     GIR_RootConstrainSelectedInstOperands,
     /* 533277 */     // GIR_Coverage, 13069,
     /* 533277 */     GIR_EraseRootFromParent_Done,
     /* 533278 */   // Label 7121: @533278
     /* 533278 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(533413), // Rule ID 13070 //
     /* 533283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 533286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533318 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 533330 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533335 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533344 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533346 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533360 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533367 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 533370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 533377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 533382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 533387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 533392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533411 */     GIR_RootConstrainSelectedInstOperands,
     /* 533412 */     // GIR_Coverage, 13070,
     /* 533412 */     GIR_EraseRootFromParent_Done,
     /* 533413 */   // Label 7122: @533413
     /* 533413 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(533548), // Rule ID 12090 //
     /* 533418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 533421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533457 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533461 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 533465 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533470 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533470 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533479 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533481 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533495 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533502 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 533505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 533512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 533517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 533522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 533527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533546 */     GIR_RootConstrainSelectedInstOperands,
     /* 533547 */     // GIR_Coverage, 12090,
     /* 533547 */     GIR_EraseRootFromParent_Done,
     /* 533548 */   // Label 7123: @533548
     /* 533548 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(533683), // Rule ID 12091 //
     /* 533553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 533556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533588 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 533600 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533605 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533605 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533610 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533614 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533630 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533637 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 533640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 533647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 533652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 533657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 533662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533681 */     GIR_RootConstrainSelectedInstOperands,
     /* 533682 */     // GIR_Coverage, 12091,
     /* 533682 */     GIR_EraseRootFromParent_Done,
     /* 533683 */   // Label 7124: @533683
     /* 533683 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(533818), // Rule ID 12094 //
     /* 533688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 533691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533723 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533727 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533731 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 533735 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533735 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533740 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533740 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533745 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533749 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533751 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533765 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533772 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 533775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 533782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 533787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 533792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 533797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533816 */     GIR_RootConstrainSelectedInstOperands,
     /* 533817 */     // GIR_Coverage, 12094,
     /* 533817 */     GIR_EraseRootFromParent_Done,
     /* 533818 */   // Label 7125: @533818
     /* 533818 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(533953), // Rule ID 12095 //
     /* 533823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 533826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 533830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533858 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 533866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 533870 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 533870 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 533875 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 533875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 533880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 533884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 533886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533900 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 533907 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 533907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 533910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 533912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 533917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 533922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 533927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 533932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 533937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 533942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 533951 */     GIR_RootConstrainSelectedInstOperands,
     /* 533952 */     // GIR_Coverage, 12095,
     /* 533952 */     GIR_EraseRootFromParent_Done,
     /* 533953 */   // Label 7126: @533953
     /* 533953 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(534088), // Rule ID 12570 //
     /* 533958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 533961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 533965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 533969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 533977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 533981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 533985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 533989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 533993 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 533997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534005 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534005 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534010 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534010 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534019 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534035 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534042 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 534045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 534052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 534057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 534062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 534067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534086 */     GIR_RootConstrainSelectedInstOperands,
     /* 534087 */     // GIR_Coverage, 12570,
     /* 534087 */     GIR_EraseRootFromParent_Done,
     /* 534088 */   // Label 7127: @534088
     /* 534088 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(534223), // Rule ID 12571 //
     /* 534093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 534096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 534100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534140 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534145 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534156 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534170 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534177 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 534180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 534187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 534192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 534197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 534202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534221 */     GIR_RootConstrainSelectedInstOperands,
     /* 534222 */     // GIR_Coverage, 12571,
     /* 534222 */     GIR_EraseRootFromParent_Done,
     /* 534223 */   // Label 7128: @534223
     /* 534223 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(534358), // Rule ID 12574 //
     /* 534228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 534231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 534235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534275 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534280 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534280 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534289 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534305 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534312 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 534315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 534322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 534327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 534332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 534337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534356 */     GIR_RootConstrainSelectedInstOperands,
     /* 534357 */     // GIR_Coverage, 12574,
     /* 534357 */     GIR_EraseRootFromParent_Done,
     /* 534358 */   // Label 7129: @534358
     /* 534358 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(534493), // Rule ID 12575 //
     /* 534363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 534366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 534370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534410 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534410 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534415 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534420 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534440 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534447 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 534450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 534457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 534462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 534467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 534472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534491 */     GIR_RootConstrainSelectedInstOperands,
     /* 534492 */     // GIR_Coverage, 12575,
     /* 534492 */     GIR_EraseRootFromParent_Done,
     /* 534493 */   // Label 7130: @534493
     /* 534493 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(534628), // Rule ID 13050 //
     /* 534498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 534501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 534505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534545 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534550 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534555 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534559 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534575 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534582 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 534585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 534592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 534597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 534602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 534607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534626 */     GIR_RootConstrainSelectedInstOperands,
     /* 534627 */     // GIR_Coverage, 13050,
     /* 534627 */     GIR_EraseRootFromParent_Done,
     /* 534628 */   // Label 7131: @534628
     /* 534628 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(534763), // Rule ID 13051 //
     /* 534633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 534636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 534640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534672 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534676 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534680 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534685 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534690 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534696 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534703 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534710 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534717 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 534720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 534727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 534732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 534737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 534742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534761 */     GIR_RootConstrainSelectedInstOperands,
     /* 534762 */     // GIR_Coverage, 13051,
     /* 534762 */     GIR_EraseRootFromParent_Done,
     /* 534763 */   // Label 7132: @534763
     /* 534763 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(534898), // Rule ID 13054 //
     /* 534768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 534771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 534775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534803 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534815 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534820 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534825 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534845 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534852 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 534855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 534862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 534867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 534872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 534877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 534882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 534887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 534896 */     GIR_RootConstrainSelectedInstOperands,
     /* 534897 */     // GIR_Coverage, 13054,
     /* 534897 */     GIR_EraseRootFromParent_Done,
     /* 534898 */   // Label 7133: @534898
     /* 534898 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(535033), // Rule ID 13055 //
     /* 534903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 534906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 534910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 534914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 534922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 534926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 534930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 534934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 534938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 534942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 534946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 534950 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 534950 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 534955 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 534955 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 534960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 534964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 534966 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534980 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 534987 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 534987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 534990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 534992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 534997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 535002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 535007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 535012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535031 */     GIR_RootConstrainSelectedInstOperands,
     /* 535032 */     // GIR_Coverage, 13055,
     /* 535032 */     GIR_EraseRootFromParent_Done,
     /* 535033 */   // Label 7134: @535033
     /* 535033 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(535168), // Rule ID 7824 //
     /* 535038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 535041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 535045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535085 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535085 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535090 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535090 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535108 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535115 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535122 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 535125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 535132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 535137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 535142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 535147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535166 */     GIR_RootConstrainSelectedInstOperands,
     /* 535167 */     // GIR_Coverage, 7824,
     /* 535167 */     GIR_EraseRootFromParent_Done,
     /* 535168 */   // Label 7135: @535168
     /* 535168 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(535303), // Rule ID 7856 //
     /* 535173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 535176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 535180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535212 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535216 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535220 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535225 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535225 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535230 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535234 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535250 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535257 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 535260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 535267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 535272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 535277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 535282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535301 */     GIR_RootConstrainSelectedInstOperands,
     /* 535302 */     // GIR_Coverage, 7856,
     /* 535302 */     GIR_EraseRootFromParent_Done,
     /* 535303 */   // Label 7136: @535303
     /* 535303 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(535438), // Rule ID 7888 //
     /* 535308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 535311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 535315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535355 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535355 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535360 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535360 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535392 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 535395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 535402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 535407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 535412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 535417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535436 */     GIR_RootConstrainSelectedInstOperands,
     /* 535437 */     // GIR_Coverage, 7888,
     /* 535437 */     GIR_EraseRootFromParent_Done,
     /* 535438 */   // Label 7137: @535438
     /* 535438 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(535573), // Rule ID 12104 //
     /* 535443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 535446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 535450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535490 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535495 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535500 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535520 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535527 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 535530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 535537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 535542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 535547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 535552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535571 */     GIR_RootConstrainSelectedInstOperands,
     /* 535572 */     // GIR_Coverage, 12104,
     /* 535572 */     GIR_EraseRootFromParent_Done,
     /* 535573 */   // Label 7138: @535573
     /* 535573 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(535708), // Rule ID 12107 //
     /* 535578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 535581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 535585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535625 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535630 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535630 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535648 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535655 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535662 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 535665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 535672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 535677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 535682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 535687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535706 */     GIR_RootConstrainSelectedInstOperands,
     /* 535707 */     // GIR_Coverage, 12107,
     /* 535707 */     GIR_EraseRootFromParent_Done,
     /* 535708 */   // Label 7139: @535708
     /* 535708 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(535843), // Rule ID 12108 //
     /* 535713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 535716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 535720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535760 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535765 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535765 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535776 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535790 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535797 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 535800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 535807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 535812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 535817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 535822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535841 */     GIR_RootConstrainSelectedInstOperands,
     /* 535842 */     // GIR_Coverage, 12108,
     /* 535842 */     GIR_EraseRootFromParent_Done,
     /* 535843 */   // Label 7140: @535843
     /* 535843 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(535978), // Rule ID 12584 //
     /* 535848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 535851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 535855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 535867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 535871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 535875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 535883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 535887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 535891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 535895 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 535895 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 535900 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 535900 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 535905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 535909 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 535911 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535925 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 535932 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 535932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 535935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 535937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 535942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 535947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 535952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 535957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 535962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 535967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 535976 */     GIR_RootConstrainSelectedInstOperands,
     /* 535977 */     // GIR_Coverage, 12584,
     /* 535977 */     GIR_EraseRootFromParent_Done,
     /* 535978 */   // Label 7141: @535978
     /* 535978 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(536113), // Rule ID 12587 //
     /* 535983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 535986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 535990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 535994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 535998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536026 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 536030 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536030 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536035 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536060 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536067 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 536070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 536077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 536082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 536087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 536092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536111 */     GIR_RootConstrainSelectedInstOperands,
     /* 536112 */     // GIR_Coverage, 12587,
     /* 536112 */     GIR_EraseRootFromParent_Done,
     /* 536113 */   // Label 7142: @536113
     /* 536113 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(536248), // Rule ID 12588 //
     /* 536118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 536121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 536125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 536165 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536170 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536195 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536202 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 536205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 536212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 536217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 536222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 536227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536246 */     GIR_RootConstrainSelectedInstOperands,
     /* 536247 */     // GIR_Coverage, 12588,
     /* 536247 */     GIR_EraseRootFromParent_Done,
     /* 536248 */   // Label 7143: @536248
     /* 536248 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(536383), // Rule ID 13064 //
     /* 536253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 536256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 536260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536288 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 536300 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536300 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536305 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536305 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536316 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536330 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536337 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 536340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 536347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 536352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 536357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 536362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536381 */     GIR_RootConstrainSelectedInstOperands,
     /* 536382 */     // GIR_Coverage, 13064,
     /* 536382 */     GIR_EraseRootFromParent_Done,
     /* 536383 */   // Label 7144: @536383
     /* 536383 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(536518), // Rule ID 13067 //
     /* 536388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 536391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 536395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536423 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 536435 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536435 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536440 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536440 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536445 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536449 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536465 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536472 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 536475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 536482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 536487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 536492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 536497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536516 */     GIR_RootConstrainSelectedInstOperands,
     /* 536517 */     // GIR_Coverage, 13067,
     /* 536517 */     GIR_EraseRootFromParent_Done,
     /* 536518 */   // Label 7145: @536518
     /* 536518 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(536653), // Rule ID 13068 //
     /* 536523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 536526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 536530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536542 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536558 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536562 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536566 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 536570 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536570 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536575 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536575 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536580 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536586 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536600 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536607 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 536610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 536617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 536622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 536627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 536632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536651 */     GIR_RootConstrainSelectedInstOperands,
     /* 536652 */     // GIR_Coverage, 13068,
     /* 536652 */     GIR_EraseRootFromParent_Done,
     /* 536653 */   // Label 7146: @536653
     /* 536653 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(536788), // Rule ID 7823 //
     /* 536658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 536661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 536665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 536705 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536710 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536710 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536715 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536719 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536735 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536742 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 536745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 536752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 536757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 536762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 536767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536786 */     GIR_RootConstrainSelectedInstOperands,
     /* 536787 */     // GIR_Coverage, 7823,
     /* 536787 */     GIR_EraseRootFromParent_Done,
     /* 536788 */   // Label 7147: @536788
     /* 536788 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(536923), // Rule ID 7855 //
     /* 536793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 536796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 536800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 536840 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536845 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536870 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536877 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 536877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 536880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 536882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 536887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 536892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 536897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 536902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 536907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 536912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 536921 */     GIR_RootConstrainSelectedInstOperands,
     /* 536922 */     // GIR_Coverage, 7855,
     /* 536922 */     GIR_EraseRootFromParent_Done,
     /* 536923 */   // Label 7148: @536923
     /* 536923 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(537058), // Rule ID 7887 //
     /* 536928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 536931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 536935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 536939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 536947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 536951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 536955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 536959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 536963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 536967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 536971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 536975 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 536975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 536980 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 536980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 536985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 536989 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 536991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 536998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537012 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 537015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 537022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 537027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 537032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 537037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537056 */     GIR_RootConstrainSelectedInstOperands,
     /* 537057 */     // GIR_Coverage, 7887,
     /* 537057 */     GIR_EraseRootFromParent_Done,
     /* 537058 */   // Label 7149: @537058
     /* 537058 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(537193), // Rule ID 12089 //
     /* 537063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 537066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 537070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537102 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537106 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537110 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537115 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537115 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537120 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537124 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537140 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537147 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 537150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 537157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 537162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 537167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 537172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537191 */     GIR_RootConstrainSelectedInstOperands,
     /* 537192 */     // GIR_Coverage, 12089,
     /* 537192 */     GIR_EraseRootFromParent_Done,
     /* 537193 */   // Label 7150: @537193
     /* 537193 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(537328), // Rule ID 12092 //
     /* 537198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 537201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 537205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537245 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537245 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537250 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537250 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537255 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537259 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537275 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537282 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 537285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 537292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 537297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 537302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 537307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537326 */     GIR_RootConstrainSelectedInstOperands,
     /* 537327 */     // GIR_Coverage, 12092,
     /* 537327 */     GIR_EraseRootFromParent_Done,
     /* 537328 */   // Label 7151: @537328
     /* 537328 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(537463), // Rule ID 12093 //
     /* 537333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 537336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 537340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537368 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537372 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537376 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537380 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537380 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537385 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537385 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537394 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537410 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537417 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 537420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 537427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 537432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 537437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 537442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537461 */     GIR_RootConstrainSelectedInstOperands,
     /* 537462 */     // GIR_Coverage, 12093,
     /* 537462 */     GIR_EraseRootFromParent_Done,
     /* 537463 */   // Label 7152: @537463
     /* 537463 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(537598), // Rule ID 12569 //
     /* 537468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 537471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 537475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537507 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537511 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537515 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537520 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537525 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537552 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 537555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 537562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 537567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 537572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 537577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537596 */     GIR_RootConstrainSelectedInstOperands,
     /* 537597 */     // GIR_Coverage, 12569,
     /* 537597 */     GIR_EraseRootFromParent_Done,
     /* 537598 */   // Label 7153: @537598
     /* 537598 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(537733), // Rule ID 12572 //
     /* 537603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 537606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 537610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537638 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537642 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537646 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537650 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537650 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537655 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537660 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537664 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537666 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537680 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537687 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 537690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 537697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 537702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 537707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 537712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537731 */     GIR_RootConstrainSelectedInstOperands,
     /* 537732 */     // GIR_Coverage, 12572,
     /* 537732 */     GIR_EraseRootFromParent_Done,
     /* 537733 */   // Label 7154: @537733
     /* 537733 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(537868), // Rule ID 12573 //
     /* 537738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 537741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 537745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537773 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537785 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537790 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537790 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537795 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537799 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537808 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537815 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537822 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 537825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 537832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 537837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 537842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 537847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537866 */     GIR_RootConstrainSelectedInstOperands,
     /* 537867 */     // GIR_Coverage, 12573,
     /* 537867 */     GIR_EraseRootFromParent_Done,
     /* 537868 */   // Label 7155: @537868
     /* 537868 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(538003), // Rule ID 13049 //
     /* 537873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 537876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 537880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 537884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 537892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 537896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 537900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 537904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 537908 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 537912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 537916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 537920 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 537920 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 537925 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 537925 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 537930 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 537934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 537936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537950 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 537957 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 537957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 537960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 537962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 537967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 537972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 537977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 537982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 537987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 537992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 537998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538001 */     GIR_RootConstrainSelectedInstOperands,
     /* 538002 */     // GIR_Coverage, 13049,
     /* 538002 */     GIR_EraseRootFromParent_Done,
     /* 538003 */   // Label 7156: @538003
     /* 538003 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(538138), // Rule ID 13052 //
     /* 538008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 538011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 538051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 538055 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538060 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538060 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538065 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538069 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538071 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538085 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538092 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 538095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 538102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 538107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 538112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 538117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538136 */     GIR_RootConstrainSelectedInstOperands,
     /* 538137 */     // GIR_Coverage, 13052,
     /* 538137 */     GIR_EraseRootFromParent_Done,
     /* 538138 */   // Label 7157: @538138
     /* 538138 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(538273), // Rule ID 13053 //
     /* 538143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 538146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538178 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538182 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 538186 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 538190 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538195 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538200 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538204 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538220 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538227 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 538230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 538237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 538242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 538247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 538252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538271 */     GIR_RootConstrainSelectedInstOperands,
     /* 538272 */     // GIR_Coverage, 13053,
     /* 538272 */     GIR_EraseRootFromParent_Done,
     /* 538273 */   // Label 7158: @538273
     /* 538273 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(538408), // Rule ID 12075 //
     /* 538278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 538281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538317 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538321 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 538325 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538330 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538335 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538355 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538362 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 538365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 538372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 538377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 538382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 538387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538406 */     GIR_RootConstrainSelectedInstOperands,
     /* 538407 */     // GIR_Coverage, 12075,
     /* 538407 */     GIR_EraseRootFromParent_Done,
     /* 538408 */   // Label 7159: @538408
     /* 538408 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(538543), // Rule ID 12076 //
     /* 538413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 538416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538448 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 538460 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538465 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538470 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538490 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538497 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 538500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 538507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 538512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 538517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 538522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538541 */     GIR_RootConstrainSelectedInstOperands,
     /* 538542 */     // GIR_Coverage, 12076,
     /* 538542 */     GIR_EraseRootFromParent_Done,
     /* 538543 */   // Label 7160: @538543
     /* 538543 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(538678), // Rule ID 12079 //
     /* 538548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 538551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538583 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 538595 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538595 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538600 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538605 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538618 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538625 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538632 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 538635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 538642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 538647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 538652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 538657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538676 */     GIR_RootConstrainSelectedInstOperands,
     /* 538677 */     // GIR_Coverage, 12079,
     /* 538677 */     GIR_EraseRootFromParent_Done,
     /* 538678 */   // Label 7161: @538678
     /* 538678 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(538813), // Rule ID 12080 //
     /* 538683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 538686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 538690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538718 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 538730 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538730 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538735 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538735 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538753 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538760 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538767 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 538770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 538777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 538782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 538787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 538792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538811 */     GIR_RootConstrainSelectedInstOperands,
     /* 538812 */     // GIR_Coverage, 12080,
     /* 538812 */     GIR_EraseRootFromParent_Done,
     /* 538813 */   // Label 7162: @538813
     /* 538813 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(538948), // Rule ID 12555 //
     /* 538818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 538821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 538825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538853 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538857 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538861 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 538865 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 538865 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 538870 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 538870 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 538875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 538879 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 538881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538895 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 538902 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 538902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 538905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 538907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 538912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 538917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 538922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 538927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 538932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 538937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 538946 */     GIR_RootConstrainSelectedInstOperands,
     /* 538947 */     // GIR_Coverage, 12555,
     /* 538947 */     GIR_EraseRootFromParent_Done,
     /* 538948 */   // Label 7163: @538948
     /* 538948 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(539083), // Rule ID 12556 //
     /* 538953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 538956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 538960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 538964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 538968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 538972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 538976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 538980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 538984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 538988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 538992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 538996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539000 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539000 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539005 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539005 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539010 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539016 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539030 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539037 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 539040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 539047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 539052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 539057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 539062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539081 */     GIR_RootConstrainSelectedInstOperands,
     /* 539082 */     // GIR_Coverage, 12556,
     /* 539082 */     GIR_EraseRootFromParent_Done,
     /* 539083 */   // Label 7164: @539083
     /* 539083 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(539218), // Rule ID 12559 //
     /* 539088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 539091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 539095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539123 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539135 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539140 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539172 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 539175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 539182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 539187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 539192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 539197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539216 */     GIR_RootConstrainSelectedInstOperands,
     /* 539217 */     // GIR_Coverage, 12559,
     /* 539217 */     GIR_EraseRootFromParent_Done,
     /* 539218 */   // Label 7165: @539218
     /* 539218 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(539353), // Rule ID 12560 //
     /* 539223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 539226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 539230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539258 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539270 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539275 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539280 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539300 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539307 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 539310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 539317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 539322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 539327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 539332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539351 */     GIR_RootConstrainSelectedInstOperands,
     /* 539352 */     // GIR_Coverage, 12560,
     /* 539352 */     GIR_EraseRootFromParent_Done,
     /* 539353 */   // Label 7166: @539353
     /* 539353 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(539488), // Rule ID 13035 //
     /* 539358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 539361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 539365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539393 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539405 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539405 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539410 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539410 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539415 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539419 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539428 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539435 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539442 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 539445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 539452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 539457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 539462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 539467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539486 */     GIR_RootConstrainSelectedInstOperands,
     /* 539487 */     // GIR_Coverage, 13035,
     /* 539487 */     GIR_EraseRootFromParent_Done,
     /* 539488 */   // Label 7167: @539488
     /* 539488 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(539623), // Rule ID 13036 //
     /* 539493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 539496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 539500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539532 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539536 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539540 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539540 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539545 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539550 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539554 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539570 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539577 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 539580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 539587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 539592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 539597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 539602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539621 */     GIR_RootConstrainSelectedInstOperands,
     /* 539622 */     // GIR_Coverage, 13036,
     /* 539622 */     GIR_EraseRootFromParent_Done,
     /* 539623 */   // Label 7168: @539623
     /* 539623 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(539758), // Rule ID 13039 //
     /* 539628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 539631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 539635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539663 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539675 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539680 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539705 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539712 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 539715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 539722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 539727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 539732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 539737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539756 */     GIR_RootConstrainSelectedInstOperands,
     /* 539757 */     // GIR_Coverage, 13039,
     /* 539757 */     GIR_EraseRootFromParent_Done,
     /* 539758 */   // Label 7169: @539758
     /* 539758 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(539893), // Rule ID 13040 //
     /* 539763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 539766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 539770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 539810 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539815 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539824 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539840 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539847 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 539850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 539857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 539862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 539867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 539872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 539877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 539882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 539891 */     GIR_RootConstrainSelectedInstOperands,
     /* 539892 */     // GIR_Coverage, 13040,
     /* 539892 */     GIR_EraseRootFromParent_Done,
     /* 539893 */   // Label 7170: @539893
     /* 539893 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(540028), // Rule ID 12060 //
     /* 539898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 539901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 539905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 539909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 539913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 539917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 539921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 539925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 539929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 539933 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 539937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 539941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 539945 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 539945 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 539950 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 539950 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 539955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 539959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 539961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539975 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 539982 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 539982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 539985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 539987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 539992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 539997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 540002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 540007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540026 */     GIR_RootConstrainSelectedInstOperands,
     /* 540027 */     // GIR_Coverage, 12060,
     /* 540027 */     GIR_EraseRootFromParent_Done,
     /* 540028 */   // Label 7171: @540028
     /* 540028 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(540163), // Rule ID 12061 //
     /* 540033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 540036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 540040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540072 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540076 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540080 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540085 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540085 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540090 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540094 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540096 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540103 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540110 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540117 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 540120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 540127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 540132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 540137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 540142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540161 */     GIR_RootConstrainSelectedInstOperands,
     /* 540162 */     // GIR_Coverage, 12061,
     /* 540162 */     GIR_EraseRootFromParent_Done,
     /* 540163 */   // Label 7172: @540163
     /* 540163 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(540298), // Rule ID 12064 //
     /* 540168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 540171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 540175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540215 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540215 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540220 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540225 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540229 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540231 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540245 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540252 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 540255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 540262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 540267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 540272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 540277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540296 */     GIR_RootConstrainSelectedInstOperands,
     /* 540297 */     // GIR_Coverage, 12064,
     /* 540297 */     GIR_EraseRootFromParent_Done,
     /* 540298 */   // Label 7173: @540298
     /* 540298 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(540433), // Rule ID 12065 //
     /* 540303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 540306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 540310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540338 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540350 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540350 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540355 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540355 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540360 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540364 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540380 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540387 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 540390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 540397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 540402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 540407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 540412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540431 */     GIR_RootConstrainSelectedInstOperands,
     /* 540432 */     // GIR_Coverage, 12065,
     /* 540432 */     GIR_EraseRootFromParent_Done,
     /* 540433 */   // Label 7174: @540433
     /* 540433 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(540568), // Rule ID 12540 //
     /* 540438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 540441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 540445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540477 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540481 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540485 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540490 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540522 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 540525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 540532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 540537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 540542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 540547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540566 */     GIR_RootConstrainSelectedInstOperands,
     /* 540567 */     // GIR_Coverage, 12540,
     /* 540567 */     GIR_EraseRootFromParent_Done,
     /* 540568 */   // Label 7175: @540568
     /* 540568 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(540703), // Rule ID 12541 //
     /* 540573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 540576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 540580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540612 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540616 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540620 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540625 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540630 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540634 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540650 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540657 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 540660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 540667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 540672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 540677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 540682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540701 */     GIR_RootConstrainSelectedInstOperands,
     /* 540702 */     // GIR_Coverage, 12541,
     /* 540702 */     GIR_EraseRootFromParent_Done,
     /* 540703 */   // Label 7176: @540703
     /* 540703 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(540838), // Rule ID 12544 //
     /* 540708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 540711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 540715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540747 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540751 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540755 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540760 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540765 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540771 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540785 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540792 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 540795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 540802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 540807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 540812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 540817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540836 */     GIR_RootConstrainSelectedInstOperands,
     /* 540837 */     // GIR_Coverage, 12544,
     /* 540837 */     GIR_EraseRootFromParent_Done,
     /* 540838 */   // Label 7177: @540838
     /* 540838 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(540973), // Rule ID 12545 //
     /* 540843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 540846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 540850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 540866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 540870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 540874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 540878 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 540882 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 540886 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 540890 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 540890 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 540895 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 540895 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 540900 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 540904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 540906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540920 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 540927 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 540927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 540930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 540932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 540937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 540942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 540947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 540952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 540957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 540962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 540971 */     GIR_RootConstrainSelectedInstOperands,
     /* 540972 */     // GIR_Coverage, 12545,
     /* 540972 */     GIR_EraseRootFromParent_Done,
     /* 540973 */   // Label 7178: @540973
     /* 540973 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(541108), // Rule ID 13020 //
     /* 540978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 540981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 540985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 540989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 540993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 540997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 541021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 541025 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541025 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541030 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541030 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541035 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541039 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541055 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541062 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 541065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 541072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 541077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 541082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 541087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541106 */     GIR_RootConstrainSelectedInstOperands,
     /* 541107 */     // GIR_Coverage, 13020,
     /* 541107 */     GIR_EraseRootFromParent_Done,
     /* 541108 */   // Label 7179: @541108
     /* 541108 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(541243), // Rule ID 13021 //
     /* 541113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 541116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541152 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 541156 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 541160 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541160 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541165 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541170 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541190 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541197 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 541200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 541207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 541212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 541217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 541222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541241 */     GIR_RootConstrainSelectedInstOperands,
     /* 541242 */     // GIR_Coverage, 13021,
     /* 541242 */     GIR_EraseRootFromParent_Done,
     /* 541243 */   // Label 7180: @541243
     /* 541243 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(541378), // Rule ID 13024 //
     /* 541248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 541251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541283 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541287 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 541291 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 541295 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541295 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541300 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541300 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541305 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541309 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541325 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541332 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 541335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 541342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 541347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 541352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 541357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541376 */     GIR_RootConstrainSelectedInstOperands,
     /* 541377 */     // GIR_Coverage, 13024,
     /* 541377 */     GIR_EraseRootFromParent_Done,
     /* 541378 */   // Label 7181: @541378
     /* 541378 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(541513), // Rule ID 13025 //
     /* 541383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 541386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 541426 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 541430 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541435 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541435 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541440 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541444 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541460 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541467 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 541470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 541477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 541482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 541487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 541492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541511 */     GIR_RootConstrainSelectedInstOperands,
     /* 541512 */     // GIR_Coverage, 13025,
     /* 541512 */     GIR_EraseRootFromParent_Done,
     /* 541513 */   // Label 7182: @541513
     /* 541513 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(541648), // Rule ID 7822 //
     /* 541518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 541521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541553 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 541561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 541565 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541570 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541570 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541575 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541602 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 541605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 541612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 541617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 541622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 541627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541646 */     GIR_RootConstrainSelectedInstOperands,
     /* 541647 */     // GIR_Coverage, 7822,
     /* 541647 */     GIR_EraseRootFromParent_Done,
     /* 541648 */   // Label 7183: @541648
     /* 541648 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(541783), // Rule ID 7854 //
     /* 541653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 541656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 541660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541692 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 541696 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 541700 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541700 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541705 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541710 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541716 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541730 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541737 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 541740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 541747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 541752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 541757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 541762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541781 */     GIR_RootConstrainSelectedInstOperands,
     /* 541782 */     // GIR_Coverage, 7854,
     /* 541782 */     GIR_EraseRootFromParent_Done,
     /* 541783 */   // Label 7184: @541783
     /* 541783 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(541918), // Rule ID 7886 //
     /* 541788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 541791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 541831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 541835 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541835 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541840 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541845 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541872 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 541872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 541875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 541877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 541882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 541887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 541892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 541897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 541902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 541907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 541916 */     GIR_RootConstrainSelectedInstOperands,
     /* 541917 */     // GIR_Coverage, 7886,
     /* 541917 */     GIR_EraseRootFromParent_Done,
     /* 541918 */   // Label 7185: @541918
     /* 541918 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(542053), // Rule ID 12074 //
     /* 541923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 541926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 541930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 541934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 541938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 541942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 541946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 541950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 541954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 541958 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 541962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 541966 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 541970 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 541970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 541975 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 541975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 541980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 541984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 541986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 541993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542000 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542007 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 542010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 542017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 542022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 542027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 542032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542051 */     GIR_RootConstrainSelectedInstOperands,
     /* 542052 */     // GIR_Coverage, 12074,
     /* 542052 */     GIR_EraseRootFromParent_Done,
     /* 542053 */   // Label 7186: @542053
     /* 542053 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(542188), // Rule ID 12077 //
     /* 542058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 542061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 542065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542105 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542110 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542115 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542142 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 542145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 542152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 542157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 542162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 542167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542186 */     GIR_RootConstrainSelectedInstOperands,
     /* 542187 */     // GIR_Coverage, 12077,
     /* 542187 */     GIR_EraseRootFromParent_Done,
     /* 542188 */   // Label 7187: @542188
     /* 542188 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(542323), // Rule ID 12078 //
     /* 542193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 542196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 542200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542228 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542240 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542245 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542245 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542250 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542256 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542277 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 542280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 542287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 542292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 542297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 542302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542321 */     GIR_RootConstrainSelectedInstOperands,
     /* 542322 */     // GIR_Coverage, 12078,
     /* 542322 */     GIR_EraseRootFromParent_Done,
     /* 542323 */   // Label 7188: @542323
     /* 542323 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(542458), // Rule ID 12554 //
     /* 542328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 542331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 542335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542363 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542375 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542375 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542380 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542380 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542385 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542389 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542405 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542412 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 542415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 542422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 542427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 542432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 542437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542456 */     GIR_RootConstrainSelectedInstOperands,
     /* 542457 */     // GIR_Coverage, 12554,
     /* 542457 */     GIR_EraseRootFromParent_Done,
     /* 542458 */   // Label 7189: @542458
     /* 542458 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(542593), // Rule ID 12557 //
     /* 542463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 542466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 542470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542498 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542502 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542506 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542510 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542510 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542515 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542520 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542547 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 542550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 542557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 542562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 542567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 542572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542591 */     GIR_RootConstrainSelectedInstOperands,
     /* 542592 */     // GIR_Coverage, 12557,
     /* 542592 */     GIR_EraseRootFromParent_Done,
     /* 542593 */   // Label 7190: @542593
     /* 542593 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(542728), // Rule ID 12558 //
     /* 542598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 542601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 542605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542633 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542645 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542645 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542650 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542650 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542675 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542682 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 542685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 542692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 542697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 542702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 542707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542726 */     GIR_RootConstrainSelectedInstOperands,
     /* 542727 */     // GIR_Coverage, 12558,
     /* 542727 */     GIR_EraseRootFromParent_Done,
     /* 542728 */   // Label 7191: @542728
     /* 542728 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(542863), // Rule ID 13034 //
     /* 542733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 542736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 542740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542780 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542785 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542817 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 542820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 542827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 542832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 542837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 542842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542861 */     GIR_RootConstrainSelectedInstOperands,
     /* 542862 */     // GIR_Coverage, 13034,
     /* 542862 */     GIR_EraseRootFromParent_Done,
     /* 542863 */   // Label 7192: @542863
     /* 542863 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(542998), // Rule ID 13037 //
     /* 542868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 542871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 542875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 542879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 542883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 542887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 542891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 542895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 542899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 542903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 542907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 542911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 542915 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 542915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 542920 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 542920 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 542925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 542929 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 542931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542945 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 542952 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 542952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 542955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 542957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 542962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 542967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 542972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 542977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 542982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 542987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 542996 */     GIR_RootConstrainSelectedInstOperands,
     /* 542997 */     // GIR_Coverage, 13037,
     /* 542997 */     GIR_EraseRootFromParent_Done,
     /* 542998 */   // Label 7193: @542998
     /* 542998 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(543133), // Rule ID 13038 //
     /* 543003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 543006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543046 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 543050 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543050 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543055 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543064 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543087 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 543090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 543097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 543102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 543107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 543112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543131 */     GIR_RootConstrainSelectedInstOperands,
     /* 543132 */     // GIR_Coverage, 13038,
     /* 543132 */     GIR_EraseRootFromParent_Done,
     /* 543133 */   // Label 7194: @543133
     /* 543133 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(543268), // Rule ID 7821 //
     /* 543138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 543141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543177 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543181 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543185 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543185 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543190 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543195 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543199 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543222 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 543225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 543232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 543237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 543242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 543247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543266 */     GIR_RootConstrainSelectedInstOperands,
     /* 543267 */     // GIR_Coverage, 7821,
     /* 543267 */     GIR_EraseRootFromParent_Done,
     /* 543268 */   // Label 7195: @543268
     /* 543268 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(543403), // Rule ID 7853 //
     /* 543273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 543276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 543280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543308 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543320 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543320 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543325 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543330 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543357 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 543360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 543367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 543372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 543377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 543382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543401 */     GIR_RootConstrainSelectedInstOperands,
     /* 543402 */     // GIR_Coverage, 7853,
     /* 543402 */     GIR_EraseRootFromParent_Done,
     /* 543403 */   // Label 7196: @543403
     /* 543403 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(543538), // Rule ID 7885 //
     /* 543408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 543411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543443 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543455 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543460 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543469 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543492 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 543495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 543502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 543507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 543512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 543517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543536 */     GIR_RootConstrainSelectedInstOperands,
     /* 543537 */     // GIR_Coverage, 7885,
     /* 543537 */     GIR_EraseRootFromParent_Done,
     /* 543538 */   // Label 7197: @543538
     /* 543538 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(543673), // Rule ID 12059 //
     /* 543543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 543546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543578 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543586 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543590 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543595 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543595 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543604 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543620 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543627 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 543630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 543637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 543642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 543647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 543652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543671 */     GIR_RootConstrainSelectedInstOperands,
     /* 543672 */     // GIR_Coverage, 12059,
     /* 543672 */     GIR_EraseRootFromParent_Done,
     /* 543673 */   // Label 7198: @543673
     /* 543673 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(543808), // Rule ID 12062 //
     /* 543678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 543681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543717 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543721 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543725 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543730 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543730 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543735 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543739 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543755 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543762 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 543765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 543772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 543777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 543782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 543787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543806 */     GIR_RootConstrainSelectedInstOperands,
     /* 543807 */     // GIR_Coverage, 12062,
     /* 543807 */     GIR_EraseRootFromParent_Done,
     /* 543808 */   // Label 7199: @543808
     /* 543808 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(543943), // Rule ID 12063 //
     /* 543813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 543816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 543820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543848 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543856 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543860 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 543865 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 543865 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 543870 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 543874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 543876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 543897 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 543897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 543900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 543902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 543907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 543912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 543917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 543922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 543927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 543932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 543941 */     GIR_RootConstrainSelectedInstOperands,
     /* 543942 */     // GIR_Coverage, 12063,
     /* 543942 */     GIR_EraseRootFromParent_Done,
     /* 543943 */   // Label 7200: @543943
     /* 543943 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(544078), // Rule ID 12539 //
     /* 543948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 543951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 543955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 543959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 543963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 543967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 543971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 543975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 543979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 543983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 543987 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 543991 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 543995 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 543995 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544000 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544000 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544009 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544032 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 544035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 544042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 544047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 544052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 544057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544076 */     GIR_RootConstrainSelectedInstOperands,
     /* 544077 */     // GIR_Coverage, 12539,
     /* 544077 */     GIR_EraseRootFromParent_Done,
     /* 544078 */   // Label 7201: @544078
     /* 544078 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(544213), // Rule ID 12542 //
     /* 544083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 544086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 544090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 544110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 544114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544118 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 544126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 544130 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544135 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544167 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 544170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 544187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 544192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544211 */     GIR_RootConstrainSelectedInstOperands,
     /* 544212 */     // GIR_Coverage, 12542,
     /* 544212 */     GIR_EraseRootFromParent_Done,
     /* 544213 */   // Label 7202: @544213
     /* 544213 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(544348), // Rule ID 12543 //
     /* 544218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 544221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 544225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 544245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 544249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544257 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 544261 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 544265 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544270 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544279 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544295 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544302 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 544305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 544322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 544327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544346 */     GIR_RootConstrainSelectedInstOperands,
     /* 544347 */     // GIR_Coverage, 12543,
     /* 544347 */     GIR_EraseRootFromParent_Done,
     /* 544348 */   // Label 7203: @544348
     /* 544348 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(544483), // Rule ID 13019 //
     /* 544353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 544356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 544360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 544380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 544384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544388 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544392 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 544396 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 544400 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544405 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544405 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544430 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544437 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 544440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 544447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 544452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 544457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 544462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544481 */     GIR_RootConstrainSelectedInstOperands,
     /* 544482 */     // GIR_Coverage, 13019,
     /* 544482 */     GIR_EraseRootFromParent_Done,
     /* 544483 */   // Label 7204: @544483
     /* 544483 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(544618), // Rule ID 13022 //
     /* 544488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 544491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 544495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 544515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 544519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544523 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 544531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 544535 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544540 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544540 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544549 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544558 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544572 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 544575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 544592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 544597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544616 */     GIR_RootConstrainSelectedInstOperands,
     /* 544617 */     // GIR_Coverage, 13022,
     /* 544617 */     GIR_EraseRootFromParent_Done,
     /* 544618 */   // Label 7205: @544618
     /* 544618 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(544753), // Rule ID 13023 //
     /* 544623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 544626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 544630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 544650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 544654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544658 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 544666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 544670 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544670 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 544675 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 544680 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544684 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544707 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 544710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 544727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 544732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 544737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 544742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544751 */     GIR_RootConstrainSelectedInstOperands,
     /* 544752 */     // GIR_Coverage, 13023,
     /* 544752 */     GIR_EraseRootFromParent_Done,
     /* 544753 */   // Label 7206: @544753
     /* 544753 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(544888), // Rule ID 12115 //
     /* 544758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 544761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 544765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 544785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 544789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 544801 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544805 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544805 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 544810 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 544815 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544842 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 544845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 544862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 544867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 544872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 544877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 544886 */     GIR_RootConstrainSelectedInstOperands,
     /* 544887 */     // GIR_Coverage, 12115,
     /* 544887 */     GIR_EraseRootFromParent_Done,
     /* 544888 */   // Label 7207: @544888
     /* 544888 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(545023), // Rule ID 12116 //
     /* 544893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 544896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 544900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 544904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 544912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 544916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 544920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 544924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 544928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 544932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 544936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 544940 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 544940 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 544945 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 544945 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 544950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 544954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 544956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544963 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544970 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 544977 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 544977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 544980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 544982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 544987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 544992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 544997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 545002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545021 */     GIR_RootConstrainSelectedInstOperands,
     /* 545022 */     // GIR_Coverage, 12116,
     /* 545022 */     GIR_EraseRootFromParent_Done,
     /* 545023 */   // Label 7208: @545023
     /* 545023 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(545158), // Rule ID 12117 //
     /* 545028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 545031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 545035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545075 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545080 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545105 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545112 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 545115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 545122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 545127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 545132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 545137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545156 */     GIR_RootConstrainSelectedInstOperands,
     /* 545157 */     // GIR_Coverage, 12117,
     /* 545157 */     GIR_EraseRootFromParent_Done,
     /* 545158 */   // Label 7209: @545158
     /* 545158 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(545293), // Rule ID 12118 //
     /* 545163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 545166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 545170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545210 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545215 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545215 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545226 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545233 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545240 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545247 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 545250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 545257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 545262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 545267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 545272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545291 */     GIR_RootConstrainSelectedInstOperands,
     /* 545292 */     // GIR_Coverage, 12118,
     /* 545292 */     GIR_EraseRootFromParent_Done,
     /* 545293 */   // Label 7210: @545293
     /* 545293 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(545428), // Rule ID 12595 //
     /* 545298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 545301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 545305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545333 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545337 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545341 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545345 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545345 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545350 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545350 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545355 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545368 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545375 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545382 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 545385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 545392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 545397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 545402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 545407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545426 */     GIR_RootConstrainSelectedInstOperands,
     /* 545427 */     // GIR_Coverage, 12595,
     /* 545427 */     GIR_EraseRootFromParent_Done,
     /* 545428 */   // Label 7211: @545428
     /* 545428 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(545563), // Rule ID 12596 //
     /* 545433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 545436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 545440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545480 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545480 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545485 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545517 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 545520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 545527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 545532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 545537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 545542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545561 */     GIR_RootConstrainSelectedInstOperands,
     /* 545562 */     // GIR_Coverage, 12596,
     /* 545562 */     GIR_EraseRootFromParent_Done,
     /* 545563 */   // Label 7212: @545563
     /* 545563 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(545698), // Rule ID 12597 //
     /* 545568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 545571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 545575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545615 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545620 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545625 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545638 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545645 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545652 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 545655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 545662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 545667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 545672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 545677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545696 */     GIR_RootConstrainSelectedInstOperands,
     /* 545697 */     // GIR_Coverage, 12597,
     /* 545697 */     GIR_EraseRootFromParent_Done,
     /* 545698 */   // Label 7213: @545698
     /* 545698 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(545833), // Rule ID 12598 //
     /* 545703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 545706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 545710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545738 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545750 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545755 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545780 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545787 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 545790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 545797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 545802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 545807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 545812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545831 */     GIR_RootConstrainSelectedInstOperands,
     /* 545832 */     // GIR_Coverage, 12598,
     /* 545832 */     GIR_EraseRootFromParent_Done,
     /* 545833 */   // Label 7214: @545833
     /* 545833 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(545968), // Rule ID 13075 //
     /* 545838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 545841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 545845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 545865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 545869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 545873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 545877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 545881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545885 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 545885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 545890 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 545890 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 545895 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 545899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 545901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545915 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 545922 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 545922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 545925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 545927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 545932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 545937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 545942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 545947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 545952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 545957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 545966 */     GIR_RootConstrainSelectedInstOperands,
     /* 545967 */     // GIR_Coverage, 13075,
     /* 545967 */     GIR_EraseRootFromParent_Done,
     /* 545968 */   // Label 7215: @545968
     /* 545968 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(546103), // Rule ID 13076 //
     /* 545973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 545976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 545980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 545984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 545988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 545992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 545996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546008 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546020 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546020 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546025 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546025 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546030 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546034 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546050 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546057 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 546060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 546067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 546072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 546077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 546082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546101 */     GIR_RootConstrainSelectedInstOperands,
     /* 546102 */     // GIR_Coverage, 13076,
     /* 546102 */     GIR_EraseRootFromParent_Done,
     /* 546103 */   // Label 7216: @546103
     /* 546103 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(546238), // Rule ID 13077 //
     /* 546108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 546111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546143 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546155 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546155 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546160 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546160 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546165 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546192 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 546195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 546202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 546207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 546212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 546217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546236 */     GIR_RootConstrainSelectedInstOperands,
     /* 546237 */     // GIR_Coverage, 13077,
     /* 546237 */     GIR_EraseRootFromParent_Done,
     /* 546238 */   // Label 7217: @546238
     /* 546238 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(546373), // Rule ID 13078 //
     /* 546243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 546246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546278 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546290 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546290 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546295 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546295 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546304 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546313 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546327 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 546330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 546337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 546342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 546347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 546352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546371 */     GIR_RootConstrainSelectedInstOperands,
     /* 546372 */     // GIR_Coverage, 13078,
     /* 546372 */     GIR_EraseRootFromParent_Done,
     /* 546373 */   // Label 7218: @546373
     /* 546373 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(546508), // Rule ID 12055 //
     /* 546378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 546381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 546425 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546430 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546435 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546462 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 546465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 546472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 546477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 546482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 546487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546506 */     GIR_RootConstrainSelectedInstOperands,
     /* 546507 */     // GIR_Coverage, 12055,
     /* 546507 */     GIR_EraseRootFromParent_Done,
     /* 546508 */   // Label 7219: @546508
     /* 546508 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(546643), // Rule ID 12056 //
     /* 546513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 546516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 546560 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546565 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546574 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546597 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 546600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 546607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 546612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 546617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 546622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546641 */     GIR_RootConstrainSelectedInstOperands,
     /* 546642 */     // GIR_Coverage, 12056,
     /* 546642 */     GIR_EraseRootFromParent_Done,
     /* 546643 */   // Label 7220: @546643
     /* 546643 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(546778), // Rule ID 12057 //
     /* 546648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 546651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546687 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546691 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 546695 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546700 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546700 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546709 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546711 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546718 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546732 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 546735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 546742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 546747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 546752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 546757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546776 */     GIR_RootConstrainSelectedInstOperands,
     /* 546777 */     // GIR_Coverage, 12057,
     /* 546777 */     GIR_EraseRootFromParent_Done,
     /* 546778 */   // Label 7221: @546778
     /* 546778 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(546913), // Rule ID 12058 //
     /* 546783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 546786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 546790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546822 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546826 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 546830 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546830 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546835 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546835 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546840 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546844 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546867 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 546867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 546870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 546872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 546877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 546882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 546887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 546892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 546897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 546902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 546911 */     GIR_RootConstrainSelectedInstOperands,
     /* 546912 */     // GIR_Coverage, 12058,
     /* 546912 */     GIR_EraseRootFromParent_Done,
     /* 546913 */   // Label 7222: @546913
     /* 546913 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(547048), // Rule ID 12535 //
     /* 546918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 546921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 546925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 546929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 546933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 546937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 546941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 546945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 546949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 546953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 546957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 546961 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 546965 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 546965 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 546970 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 546970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 546975 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 546979 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 546981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 546995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547002 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 547005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 547012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 547017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 547022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 547027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547046 */     GIR_RootConstrainSelectedInstOperands,
     /* 547047 */     // GIR_Coverage, 12535,
     /* 547047 */     GIR_EraseRootFromParent_Done,
     /* 547048 */   // Label 7223: @547048
     /* 547048 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(547183), // Rule ID 12536 //
     /* 547053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 547056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 547060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547100 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547105 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547137 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 547140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 547147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 547152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 547157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 547162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547181 */     GIR_RootConstrainSelectedInstOperands,
     /* 547182 */     // GIR_Coverage, 12536,
     /* 547182 */     GIR_EraseRootFromParent_Done,
     /* 547183 */   // Label 7224: @547183
     /* 547183 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(547318), // Rule ID 12537 //
     /* 547188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 547191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 547195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547235 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547240 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547272 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 547275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 547282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 547287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 547292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 547297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547316 */     GIR_RootConstrainSelectedInstOperands,
     /* 547317 */     // GIR_Coverage, 12537,
     /* 547317 */     GIR_EraseRootFromParent_Done,
     /* 547318 */   // Label 7225: @547318
     /* 547318 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(547453), // Rule ID 12538 //
     /* 547323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 547326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 547330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547370 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547370 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547375 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547375 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547384 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547400 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547407 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 547410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 547417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 547422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 547427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 547432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547451 */     GIR_RootConstrainSelectedInstOperands,
     /* 547452 */     // GIR_Coverage, 12538,
     /* 547452 */     GIR_EraseRootFromParent_Done,
     /* 547453 */   // Label 7226: @547453
     /* 547453 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(547588), // Rule ID 13015 //
     /* 547458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 547461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 547465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547493 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547505 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547505 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547510 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547510 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547515 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547535 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547542 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 547545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 547552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 547557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 547562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 547567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547586 */     GIR_RootConstrainSelectedInstOperands,
     /* 547587 */     // GIR_Coverage, 13015,
     /* 547587 */     GIR_EraseRootFromParent_Done,
     /* 547588 */   // Label 7227: @547588
     /* 547588 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(547723), // Rule ID 13016 //
     /* 547593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 547596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 547600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547628 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547632 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547636 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547640 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547645 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547645 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547650 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547656 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547663 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547677 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 547680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 547687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 547692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 547697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 547702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547721 */     GIR_RootConstrainSelectedInstOperands,
     /* 547722 */     // GIR_Coverage, 13016,
     /* 547722 */     GIR_EraseRootFromParent_Done,
     /* 547723 */   // Label 7228: @547723
     /* 547723 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(547858), // Rule ID 13017 //
     /* 547728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 547731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 547735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547763 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547775 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547780 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547789 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547812 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 547815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 547822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 547827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 547832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 547837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547856 */     GIR_RootConstrainSelectedInstOperands,
     /* 547857 */     // GIR_Coverage, 13017,
     /* 547857 */     GIR_EraseRootFromParent_Done,
     /* 547858 */   // Label 7229: @547858
     /* 547858 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(547993), // Rule ID 13018 //
     /* 547863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 547866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 547870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 547874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 547878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 547882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 547886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 547890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 547894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 547898 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 547902 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 547906 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 547910 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 547910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 547915 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 547915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 547920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 547924 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 547926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 547947 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 547947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 547950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 547952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 547957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 547962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 547967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 547972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 547977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 547982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 547991 */     GIR_RootConstrainSelectedInstOperands,
     /* 547992 */     // GIR_Coverage, 13018,
     /* 547992 */     GIR_EraseRootFromParent_Done,
     /* 547993 */   // Label 7230: @547993
     /* 547993 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(548128), // Rule ID 12100 //
     /* 547998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 548001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 548005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548045 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548050 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548050 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548082 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 548085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 548092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 548097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 548102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 548107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548126 */     GIR_RootConstrainSelectedInstOperands,
     /* 548127 */     // GIR_Coverage, 12100,
     /* 548127 */     GIR_EraseRootFromParent_Done,
     /* 548128 */   // Label 7231: @548128
     /* 548128 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(548263), // Rule ID 12101 //
     /* 548133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 548136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 548140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548168 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548180 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548180 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548185 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548185 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548210 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548217 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 548220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 548227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 548232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 548237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 548242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548261 */     GIR_RootConstrainSelectedInstOperands,
     /* 548262 */     // GIR_Coverage, 12101,
     /* 548262 */     GIR_EraseRootFromParent_Done,
     /* 548263 */   // Label 7232: @548263
     /* 548263 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(548398), // Rule ID 12102 //
     /* 548268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 548271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 548275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548315 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548315 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548320 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548320 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548329 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548338 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548352 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 548355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 548362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 548367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 548372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 548377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548396 */     GIR_RootConstrainSelectedInstOperands,
     /* 548397 */     // GIR_Coverage, 12102,
     /* 548397 */     GIR_EraseRootFromParent_Done,
     /* 548398 */   // Label 7233: @548398
     /* 548398 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(548533), // Rule ID 12103 //
     /* 548403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 548406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 548410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548450 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548455 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548460 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548487 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 548490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 548497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 548502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 548507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 548512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548531 */     GIR_RootConstrainSelectedInstOperands,
     /* 548532 */     // GIR_Coverage, 12103,
     /* 548532 */     GIR_EraseRootFromParent_Done,
     /* 548533 */   // Label 7234: @548533
     /* 548533 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(548668), // Rule ID 12580 //
     /* 548538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 548541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 548545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548585 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548590 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548595 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548608 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548622 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 548625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 548632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 548637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 548642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 548647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548666 */     GIR_RootConstrainSelectedInstOperands,
     /* 548667 */     // GIR_Coverage, 12580,
     /* 548667 */     GIR_EraseRootFromParent_Done,
     /* 548668 */   // Label 7235: @548668
     /* 548668 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(548803), // Rule ID 12581 //
     /* 548673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 548676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 548680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548708 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548720 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548725 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548730 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548757 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 548760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 548767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 548772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 548777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 548782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548801 */     GIR_RootConstrainSelectedInstOperands,
     /* 548802 */     // GIR_Coverage, 12581,
     /* 548802 */     GIR_EraseRootFromParent_Done,
     /* 548803 */   // Label 7236: @548803
     /* 548803 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(548938), // Rule ID 12582 //
     /* 548808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 548811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 548815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548855 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548855 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 548860 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 548869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 548871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 548892 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 548892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 548895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 548897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 548902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 548907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 548912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 548917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 548922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 548927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 548936 */     GIR_RootConstrainSelectedInstOperands,
     /* 548937 */     // GIR_Coverage, 12582,
     /* 548937 */     GIR_EraseRootFromParent_Done,
     /* 548938 */   // Label 7237: @548938
     /* 548938 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(549073), // Rule ID 12583 //
     /* 548943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 548946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 548950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 548954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 548962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 548966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 548970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 548974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 548978 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 548982 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 548986 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 548990 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 548990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 548995 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 548995 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549013 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549027 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 549030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 549037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 549042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 549047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 549052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549071 */     GIR_RootConstrainSelectedInstOperands,
     /* 549072 */     // GIR_Coverage, 12583,
     /* 549072 */     GIR_EraseRootFromParent_Done,
     /* 549073 */   // Label 7238: @549073
     /* 549073 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(549208), // Rule ID 13060 //
     /* 549078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 549081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549125 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549130 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549135 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549162 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 549165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 549172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 549177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 549182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 549187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549206 */     GIR_RootConstrainSelectedInstOperands,
     /* 549207 */     // GIR_Coverage, 13060,
     /* 549207 */     GIR_EraseRootFromParent_Done,
     /* 549208 */   // Label 7239: @549208
     /* 549208 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(549343), // Rule ID 13061 //
     /* 549213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 549216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549248 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549260 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549265 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549270 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549283 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549290 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549297 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 549300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 549307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 549312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 549317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 549322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549341 */     GIR_RootConstrainSelectedInstOperands,
     /* 549342 */     // GIR_Coverage, 13061,
     /* 549342 */     GIR_EraseRootFromParent_Done,
     /* 549343 */   // Label 7240: @549343
     /* 549343 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(549478), // Rule ID 13062 //
     /* 549348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 549351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549395 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549400 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549425 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549432 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 549435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 549442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 549447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 549452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 549457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549476 */     GIR_RootConstrainSelectedInstOperands,
     /* 549477 */     // GIR_Coverage, 13062,
     /* 549477 */     GIR_EraseRootFromParent_Done,
     /* 549478 */   // Label 7241: @549478
     /* 549478 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(549613), // Rule ID 13063 //
     /* 549483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 549486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549530 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549535 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549540 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549553 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549560 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549567 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 549570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 549577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 549582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 549587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 549592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549611 */     GIR_RootConstrainSelectedInstOperands,
     /* 549612 */     // GIR_Coverage, 13063,
     /* 549612 */     GIR_EraseRootFromParent_Done,
     /* 549613 */   // Label 7242: @549613
     /* 549613 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(549748), // Rule ID 12040 //
     /* 549618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 549621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549653 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 549665 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549665 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549670 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549670 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549675 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549679 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549702 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 549705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 549712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 549717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 549722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 549727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549746 */     GIR_RootConstrainSelectedInstOperands,
     /* 549747 */     // GIR_Coverage, 12040,
     /* 549747 */     GIR_EraseRootFromParent_Done,
     /* 549748 */   // Label 7243: @549748
     /* 549748 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(549883), // Rule ID 12041 //
     /* 549753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 549756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549788 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549792 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549796 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 549800 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549800 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549805 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549805 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549810 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549814 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549816 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549823 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549837 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 549840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 549847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 549852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 549857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 549862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 549867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 549872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 549881 */     GIR_RootConstrainSelectedInstOperands,
     /* 549882 */     // GIR_Coverage, 12041,
     /* 549882 */     GIR_EraseRootFromParent_Done,
     /* 549883 */   // Label 7244: @549883
     /* 549883 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(550018), // Rule ID 12042 //
     /* 549888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 549891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 549895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 549899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 549903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 549907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 549911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 549915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 549919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 549923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 549927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 549931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 549935 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 549935 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 549940 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 549940 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 549945 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 549949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 549951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549958 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 549972 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 549972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 549975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 549977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 549982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 549987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 549992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 549997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550016 */     GIR_RootConstrainSelectedInstOperands,
     /* 550017 */     // GIR_Coverage, 12042,
     /* 550017 */     GIR_EraseRootFromParent_Done,
     /* 550018 */   // Label 7245: @550018
     /* 550018 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(550153), // Rule ID 12043 //
     /* 550023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 550026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 550030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550058 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550070 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550075 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550080 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550107 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 550110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 550117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 550122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 550127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 550132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550151 */     GIR_RootConstrainSelectedInstOperands,
     /* 550152 */     // GIR_Coverage, 12043,
     /* 550152 */     GIR_EraseRootFromParent_Done,
     /* 550153 */   // Label 7246: @550153
     /* 550153 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(550288), // Rule ID 12520 //
     /* 550158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 550161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 550165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550205 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550210 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550215 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550219 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550242 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 550245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 550252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 550257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 550262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 550267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550286 */     GIR_RootConstrainSelectedInstOperands,
     /* 550287 */     // GIR_Coverage, 12520,
     /* 550287 */     GIR_EraseRootFromParent_Done,
     /* 550288 */   // Label 7247: @550288
     /* 550288 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(550423), // Rule ID 12521 //
     /* 550293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 550296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 550300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550328 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550340 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550345 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550345 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550356 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550363 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550370 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550377 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 550380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 550387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 550392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 550397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 550402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550421 */     GIR_RootConstrainSelectedInstOperands,
     /* 550422 */     // GIR_Coverage, 12521,
     /* 550422 */     GIR_EraseRootFromParent_Done,
     /* 550423 */   // Label 7248: @550423
     /* 550423 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(550558), // Rule ID 12522 //
     /* 550428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 550431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 550435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550463 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550467 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550471 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550475 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550475 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550480 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550480 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550485 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550491 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550512 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 550515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 550522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 550527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 550532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 550537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550556 */     GIR_RootConstrainSelectedInstOperands,
     /* 550557 */     // GIR_Coverage, 12522,
     /* 550557 */     GIR_EraseRootFromParent_Done,
     /* 550558 */   // Label 7249: @550558
     /* 550558 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(550693), // Rule ID 12523 //
     /* 550563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 550566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 550570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550606 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550610 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550610 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550615 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550620 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550624 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550633 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550647 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 550650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 550657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 550662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 550667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 550672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550691 */     GIR_RootConstrainSelectedInstOperands,
     /* 550692 */     // GIR_Coverage, 12523,
     /* 550692 */     GIR_EraseRootFromParent_Done,
     /* 550693 */   // Label 7250: @550693
     /* 550693 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(550828), // Rule ID 13000 //
     /* 550698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 550701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 550705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550745 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550750 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550782 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 550785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 550792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 550797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 550802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 550807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550826 */     GIR_RootConstrainSelectedInstOperands,
     /* 550827 */     // GIR_Coverage, 13000,
     /* 550827 */     GIR_EraseRootFromParent_Done,
     /* 550828 */   // Label 7251: @550828
     /* 550828 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(550963), // Rule ID 13001 //
     /* 550833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 550836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 550840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 550868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 550872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 550876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 550880 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 550880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 550885 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 550885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 550890 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 550894 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 550896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 550917 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 550917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 550920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 550922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 550927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 550932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 550937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 550942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 550947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 550952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 550961 */     GIR_RootConstrainSelectedInstOperands,
     /* 550962 */     // GIR_Coverage, 13001,
     /* 550962 */     GIR_EraseRootFromParent_Done,
     /* 550963 */   // Label 7252: @550963
     /* 550963 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(551098), // Rule ID 13002 //
     /* 550968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 550971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 550975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 550979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 550983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 550987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 550991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 550995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 550999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551003 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551007 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551011 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 551015 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551020 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551020 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551025 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551029 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551031 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551045 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551052 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 551055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 551062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 551067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 551072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 551077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 551082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 551087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551096 */     GIR_RootConstrainSelectedInstOperands,
     /* 551097 */     // GIR_Coverage, 13002,
     /* 551097 */     GIR_EraseRootFromParent_Done,
     /* 551098 */   // Label 7253: @551098
     /* 551098 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(551233), // Rule ID 13003 //
     /* 551103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 551106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 551110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 551130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 551134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 551150 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551155 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551155 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551164 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551173 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551187 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 551190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 551197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 551202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 551207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 551212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 551217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 551222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551231 */     GIR_RootConstrainSelectedInstOperands,
     /* 551232 */     // GIR_Coverage, 13003,
     /* 551232 */     GIR_EraseRootFromParent_Done,
     /* 551233 */   // Label 7254: @551233
     /* 551233 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(551368), // Rule ID 12111 //
     /* 551238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 551241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 551245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551273 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551285 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551285 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551290 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551290 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551295 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551301 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551308 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551315 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551322 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 551325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 551332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 551337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 551342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 551347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 551352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 551357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551366 */     GIR_RootConstrainSelectedInstOperands,
     /* 551367 */     // GIR_Coverage, 12111,
     /* 551367 */     GIR_EraseRootFromParent_Done,
     /* 551368 */   // Label 7255: @551368
     /* 551368 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(551503), // Rule ID 12112 //
     /* 551373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 551376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 551380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551420 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551425 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551430 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551443 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551457 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 551460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 551467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 551472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 551477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 551482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 551487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 551492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551501 */     GIR_RootConstrainSelectedInstOperands,
     /* 551502 */     // GIR_Coverage, 12112,
     /* 551502 */     GIR_EraseRootFromParent_Done,
     /* 551503 */   // Label 7256: @551503
     /* 551503 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(551638), // Rule ID 12113 //
     /* 551508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 551511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 551515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551555 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551560 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551565 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551592 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 551595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 551602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 551607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 551612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 551617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 551622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 551627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551636 */     GIR_RootConstrainSelectedInstOperands,
     /* 551637 */     // GIR_Coverage, 12113,
     /* 551637 */     GIR_EraseRootFromParent_Done,
     /* 551638 */   // Label 7257: @551638
     /* 551638 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(551773), // Rule ID 12114 //
     /* 551643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 551646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 551650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551678 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551690 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551695 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551727 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 551730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 551737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 551742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 551747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 551752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 551757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 551762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551771 */     GIR_RootConstrainSelectedInstOperands,
     /* 551772 */     // GIR_Coverage, 12114,
     /* 551772 */     GIR_EraseRootFromParent_Done,
     /* 551773 */   // Label 7258: @551773
     /* 551773 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(551908), // Rule ID 12591 //
     /* 551778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 551781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 551785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551813 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551825 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551825 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551830 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551830 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551835 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551839 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551848 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551855 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551862 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 551865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 551867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 551872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 551877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 551882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 551887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 551892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 551897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 551906 */     GIR_RootConstrainSelectedInstOperands,
     /* 551907 */     // GIR_Coverage, 12591,
     /* 551907 */     GIR_EraseRootFromParent_Done,
     /* 551908 */   // Label 7259: @551908
     /* 551908 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(552043), // Rule ID 12592 //
     /* 551913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 551916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 551920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 551924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 551932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 551936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 551940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 551944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 551948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 551952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 551956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 551960 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 551960 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 551965 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 551965 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 551970 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 551974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 551976 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551983 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 551997 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 551997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 552000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 552007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 552012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 552017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 552022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552041 */     GIR_RootConstrainSelectedInstOperands,
     /* 552042 */     // GIR_Coverage, 12592,
     /* 552042 */     GIR_EraseRootFromParent_Done,
     /* 552043 */   // Label 7260: @552043
     /* 552043 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(552178), // Rule ID 12593 //
     /* 552048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 552051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 552055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552083 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552095 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552095 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552100 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552109 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552132 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 552135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 552142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 552147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 552152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 552157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552176 */     GIR_RootConstrainSelectedInstOperands,
     /* 552177 */     // GIR_Coverage, 12593,
     /* 552177 */     GIR_EraseRootFromParent_Done,
     /* 552178 */   // Label 7261: @552178
     /* 552178 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(552313), // Rule ID 12594 //
     /* 552183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 552186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 552190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552218 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552230 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552230 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552235 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552240 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552246 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552260 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552267 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 552270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 552277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 552282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 552287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 552292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552311 */     GIR_RootConstrainSelectedInstOperands,
     /* 552312 */     // GIR_Coverage, 12594,
     /* 552312 */     GIR_EraseRootFromParent_Done,
     /* 552313 */   // Label 7262: @552313
     /* 552313 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(552448), // Rule ID 13071 //
     /* 552318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 552321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 552325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552365 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552365 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552370 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552370 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552375 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552402 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 552405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 552412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 552417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 552422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 552427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552446 */     GIR_RootConstrainSelectedInstOperands,
     /* 552447 */     // GIR_Coverage, 13071,
     /* 552447 */     GIR_EraseRootFromParent_Done,
     /* 552448 */   // Label 7263: @552448
     /* 552448 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(552583), // Rule ID 13072 //
     /* 552453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 552456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 552460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552500 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552500 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552505 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552505 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552510 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552516 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552530 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552537 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 552540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 552547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 552552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 552557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 552562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552581 */     GIR_RootConstrainSelectedInstOperands,
     /* 552582 */     // GIR_Coverage, 13072,
     /* 552582 */     GIR_EraseRootFromParent_Done,
     /* 552583 */   // Label 7264: @552583
     /* 552583 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(552718), // Rule ID 13073 //
     /* 552588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 552591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 552595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552635 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552635 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552640 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552649 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552651 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552658 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552672 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 552675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 552682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 552687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 552692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 552697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552716 */     GIR_RootConstrainSelectedInstOperands,
     /* 552717 */     // GIR_Coverage, 13073,
     /* 552717 */     GIR_EraseRootFromParent_Done,
     /* 552718 */   // Label 7265: @552718
     /* 552718 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(552853), // Rule ID 13074 //
     /* 552723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 552726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 552730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552770 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552770 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552775 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552780 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552807 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 552810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 552817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 552822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 552827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 552832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552851 */     GIR_RootConstrainSelectedInstOperands,
     /* 552852 */     // GIR_Coverage, 13074,
     /* 552852 */     GIR_EraseRootFromParent_Done,
     /* 552853 */   // Label 7266: @552853
     /* 552853 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(552988), // Rule ID 12051 //
     /* 552858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 552861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 552865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 552869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 552873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 552877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 552881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 552885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 552889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 552893 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 552897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 552901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 552905 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 552905 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 552910 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 552910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 552915 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 552919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 552921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 552942 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 552942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 552945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 552947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 552952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 552957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 552962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 552967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 552972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 552977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 552986 */     GIR_RootConstrainSelectedInstOperands,
     /* 552987 */     // GIR_Coverage, 12051,
     /* 552987 */     GIR_EraseRootFromParent_Done,
     /* 552988 */   // Label 7267: @552988
     /* 552988 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(553123), // Rule ID 12052 //
     /* 552993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 552996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 553000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553028 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553040 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553045 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553056 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553070 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553077 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 553080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 553087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 553092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 553097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 553102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553121 */     GIR_RootConstrainSelectedInstOperands,
     /* 553122 */     // GIR_Coverage, 12052,
     /* 553122 */     GIR_EraseRootFromParent_Done,
     /* 553123 */   // Label 7268: @553123
     /* 553123 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(553258), // Rule ID 12053 //
     /* 553128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 553131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 553135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553175 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553180 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553180 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553189 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553205 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553212 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 553215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 553222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 553227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 553232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 553237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553256 */     GIR_RootConstrainSelectedInstOperands,
     /* 553257 */     // GIR_Coverage, 12053,
     /* 553257 */     GIR_EraseRootFromParent_Done,
     /* 553258 */   // Label 7269: @553258
     /* 553258 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(553393), // Rule ID 12054 //
     /* 553263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 553266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 553270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553298 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553310 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553310 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553315 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553315 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553320 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553326 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553340 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553347 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 553350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 553357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 553362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 553367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 553372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553391 */     GIR_RootConstrainSelectedInstOperands,
     /* 553392 */     // GIR_Coverage, 12054,
     /* 553392 */     GIR_EraseRootFromParent_Done,
     /* 553393 */   // Label 7270: @553393
     /* 553393 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(553528), // Rule ID 12531 //
     /* 553398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 553401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 553405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553433 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553437 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553441 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553445 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553445 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553450 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553455 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553459 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553468 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553482 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 553485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 553492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 553497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 553502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 553507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553526 */     GIR_RootConstrainSelectedInstOperands,
     /* 553527 */     // GIR_Coverage, 12531,
     /* 553527 */     GIR_EraseRootFromParent_Done,
     /* 553528 */   // Label 7271: @553528
     /* 553528 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(553663), // Rule ID 12532 //
     /* 553533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 553536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 553540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553568 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553580 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553580 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553585 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553594 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553617 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 553620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 553627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 553632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 553637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 553642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553661 */     GIR_RootConstrainSelectedInstOperands,
     /* 553662 */     // GIR_Coverage, 12532,
     /* 553662 */     GIR_EraseRootFromParent_Done,
     /* 553663 */   // Label 7272: @553663
     /* 553663 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(553798), // Rule ID 12533 //
     /* 553668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 553671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 553675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553715 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553715 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553720 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553752 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 553755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 553762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 553767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 553772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 553777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553796 */     GIR_RootConstrainSelectedInstOperands,
     /* 553797 */     // GIR_Coverage, 12533,
     /* 553797 */     GIR_EraseRootFromParent_Done,
     /* 553798 */   // Label 7273: @553798
     /* 553798 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(553933), // Rule ID 12534 //
     /* 553803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 553806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 553810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553838 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553842 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553846 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553850 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553855 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553855 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 553866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553873 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 553887 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 553887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 553890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 553892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 553897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 553902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 553907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 553912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 553917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 553922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 553931 */     GIR_RootConstrainSelectedInstOperands,
     /* 553932 */     // GIR_Coverage, 12534,
     /* 553932 */     GIR_EraseRootFromParent_Done,
     /* 553933 */   // Label 7274: @553933
     /* 553933 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(554068), // Rule ID 13011 //
     /* 553938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 553941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 553945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 553949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 553953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 553957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 553961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 553965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 553969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 553973 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 553977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 553981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 553985 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 553985 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 553990 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 553990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 553995 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 553999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554001 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554008 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554022 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 554025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 554032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 554037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 554042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 554047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554066 */     GIR_RootConstrainSelectedInstOperands,
     /* 554067 */     // GIR_Coverage, 13011,
     /* 554067 */     GIR_EraseRootFromParent_Done,
     /* 554068 */   // Label 7275: @554068
     /* 554068 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(554203), // Rule ID 13012 //
     /* 554073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 554076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 554104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 554120 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554120 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554125 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554136 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554143 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554150 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554157 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 554160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 554167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 554172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 554177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 554182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554201 */     GIR_RootConstrainSelectedInstOperands,
     /* 554202 */     // GIR_Coverage, 13012,
     /* 554202 */     GIR_EraseRootFromParent_Done,
     /* 554203 */   // Label 7276: @554203
     /* 554203 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(554338), // Rule ID 13013 //
     /* 554208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 554211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 554239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 554255 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554260 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554265 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554269 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554278 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554292 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 554295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 554302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 554307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 554312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 554317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554336 */     GIR_RootConstrainSelectedInstOperands,
     /* 554337 */     // GIR_Coverage, 13013,
     /* 554337 */     GIR_EraseRootFromParent_Done,
     /* 554338 */   // Label 7277: @554338
     /* 554338 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(554473), // Rule ID 13014 //
     /* 554343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 554346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 554374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 554390 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554395 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554400 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554420 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554427 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 554430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 554437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 554442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 554447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 554452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554471 */     GIR_RootConstrainSelectedInstOperands,
     /* 554472 */     // GIR_Coverage, 13014,
     /* 554472 */     GIR_EraseRootFromParent_Done,
     /* 554473 */   // Label 7278: @554473
     /* 554473 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(554608), // Rule ID 12096 //
     /* 554478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 554481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 554509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554513 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554525 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554530 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554539 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554548 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554555 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554562 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 554565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 554572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 554577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 554582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 554587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554606 */     GIR_RootConstrainSelectedInstOperands,
     /* 554607 */     // GIR_Coverage, 12096,
     /* 554607 */     GIR_EraseRootFromParent_Done,
     /* 554608 */   // Label 7279: @554608
     /* 554608 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(554743), // Rule ID 12097 //
     /* 554613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 554616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 554644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554648 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554660 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554665 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554665 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554670 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554676 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554690 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554697 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 554700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 554707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 554712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 554717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 554722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554741 */     GIR_RootConstrainSelectedInstOperands,
     /* 554742 */     // GIR_Coverage, 12097,
     /* 554742 */     GIR_EraseRootFromParent_Done,
     /* 554743 */   // Label 7280: @554743
     /* 554743 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(554878), // Rule ID 12098 //
     /* 554748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 554751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 554779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554783 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554795 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554795 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554800 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554800 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554805 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554809 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554811 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554832 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 554835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 554842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 554847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 554852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 554857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 554867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 554876 */     GIR_RootConstrainSelectedInstOperands,
     /* 554877 */     // GIR_Coverage, 12098,
     /* 554877 */     GIR_EraseRootFromParent_Done,
     /* 554878 */   // Label 7281: @554878
     /* 554878 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(555013), // Rule ID 12099 //
     /* 554883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 554886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 554890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 554894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 554902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 554906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 554910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 554914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 554918 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 554922 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 554926 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 554930 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 554930 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 554935 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 554935 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 554940 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 554944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 554946 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554953 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554960 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 554967 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 554967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 554970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 554972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 554977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 554982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 554987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 554992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 554997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555011 */     GIR_RootConstrainSelectedInstOperands,
     /* 555012 */     // GIR_Coverage, 12099,
     /* 555012 */     GIR_EraseRootFromParent_Done,
     /* 555013 */   // Label 7282: @555013
     /* 555013 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(555148), // Rule ID 12576 //
     /* 555018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 555021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 555025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555065 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555065 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555070 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555079 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555088 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555095 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555102 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 555105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 555112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 555117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 555122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 555127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555146 */     GIR_RootConstrainSelectedInstOperands,
     /* 555147 */     // GIR_Coverage, 12576,
     /* 555147 */     GIR_EraseRootFromParent_Done,
     /* 555148 */   // Label 7283: @555148
     /* 555148 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(555283), // Rule ID 12577 //
     /* 555153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 555156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 555160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555200 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555205 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555210 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555230 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555237 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 555240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 555247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 555252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 555257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 555262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555281 */     GIR_RootConstrainSelectedInstOperands,
     /* 555282 */     // GIR_Coverage, 12577,
     /* 555282 */     GIR_EraseRootFromParent_Done,
     /* 555283 */   // Label 7284: @555283
     /* 555283 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(555418), // Rule ID 12578 //
     /* 555288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 555291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 555295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555335 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555340 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555345 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555365 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555372 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 555375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 555382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 555387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 555392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 555397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555416 */     GIR_RootConstrainSelectedInstOperands,
     /* 555417 */     // GIR_Coverage, 12578,
     /* 555417 */     GIR_EraseRootFromParent_Done,
     /* 555418 */   // Label 7285: @555418
     /* 555418 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(555553), // Rule ID 12579 //
     /* 555423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 555426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 555430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555462 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555466 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555470 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555470 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555475 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555475 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555480 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555500 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555507 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 555510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 555517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 555522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 555527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 555532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555551 */     GIR_RootConstrainSelectedInstOperands,
     /* 555552 */     // GIR_Coverage, 12579,
     /* 555552 */     GIR_EraseRootFromParent_Done,
     /* 555553 */   // Label 7286: @555553
     /* 555553 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(555688), // Rule ID 13056 //
     /* 555558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 555561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 555565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555605 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555605 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555610 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555610 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555619 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555621 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555628 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555635 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555642 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 555645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 555652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 555657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 555662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 555667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555686 */     GIR_RootConstrainSelectedInstOperands,
     /* 555687 */     // GIR_Coverage, 13056,
     /* 555687 */     GIR_EraseRootFromParent_Done,
     /* 555688 */   // Label 7287: @555688
     /* 555688 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(555823), // Rule ID 13057 //
     /* 555693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 555696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 555700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555732 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555736 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555740 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555740 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555745 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555763 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555770 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555777 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 555780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 555787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 555792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 555797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 555802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555821 */     GIR_RootConstrainSelectedInstOperands,
     /* 555822 */     // GIR_Coverage, 13057,
     /* 555822 */     GIR_EraseRootFromParent_Done,
     /* 555823 */   // Label 7288: @555823
     /* 555823 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(555958), // Rule ID 13058 //
     /* 555828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 555831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 555835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 555867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 555871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555875 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 555875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 555880 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 555880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 555885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 555889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 555891 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555898 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555905 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 555912 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 555912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 555915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 555917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 555922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 555927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 555932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 555937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 555942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 555947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 555956 */     GIR_RootConstrainSelectedInstOperands,
     /* 555957 */     // GIR_Coverage, 13058,
     /* 555957 */     GIR_EraseRootFromParent_Done,
     /* 555958 */   // Label 7289: @555958
     /* 555958 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(556093), // Rule ID 13059 //
     /* 555963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 555966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 555970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 555974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 555978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 555982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 555986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 555990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 555994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 555998 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556010 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556010 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556015 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556026 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556047 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 556050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 556057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 556062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 556067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 556072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556091 */     GIR_RootConstrainSelectedInstOperands,
     /* 556092 */     // GIR_Coverage, 13059,
     /* 556092 */     GIR_EraseRootFromParent_Done,
     /* 556093 */   // Label 7290: @556093
     /* 556093 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(556228), // Rule ID 12036 //
     /* 556098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 556101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 556105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556145 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556150 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556155 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556161 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556175 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556182 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 556185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 556192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 556197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 556202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 556207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556226 */     GIR_RootConstrainSelectedInstOperands,
     /* 556227 */     // GIR_Coverage, 12036,
     /* 556227 */     GIR_EraseRootFromParent_Done,
     /* 556228 */   // Label 7291: @556228
     /* 556228 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(556363), // Rule ID 12037 //
     /* 556233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 556236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 556240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556252 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556280 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556280 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556285 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556285 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556296 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556310 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556317 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 556320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 556327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 556332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 556337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 556342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556361 */     GIR_RootConstrainSelectedInstOperands,
     /* 556362 */     // GIR_Coverage, 12037,
     /* 556362 */     GIR_EraseRootFromParent_Done,
     /* 556363 */   // Label 7292: @556363
     /* 556363 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(556498), // Rule ID 12038 //
     /* 556368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 556371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 556375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556415 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556420 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556425 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556429 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556452 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 556455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 556462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 556467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 556472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 556477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556496 */     GIR_RootConstrainSelectedInstOperands,
     /* 556497 */     // GIR_Coverage, 12038,
     /* 556497 */     GIR_EraseRootFromParent_Done,
     /* 556498 */   // Label 7293: @556498
     /* 556498 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(556633), // Rule ID 12039 //
     /* 556503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 556506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 556510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556550 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556555 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556566 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556573 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556580 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556587 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 556590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 556597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 556602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 556607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 556612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556631 */     GIR_RootConstrainSelectedInstOperands,
     /* 556632 */     // GIR_Coverage, 12039,
     /* 556632 */     GIR_EraseRootFromParent_Done,
     /* 556633 */   // Label 7294: @556633
     /* 556633 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(556768), // Rule ID 12516 //
     /* 556638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 556641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 556645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556685 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556690 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556715 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556722 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 556725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 556732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 556737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 556742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 556747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556766 */     GIR_RootConstrainSelectedInstOperands,
     /* 556767 */     // GIR_Coverage, 12516,
     /* 556767 */     GIR_EraseRootFromParent_Done,
     /* 556768 */   // Label 7295: @556768
     /* 556768 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(556903), // Rule ID 12517 //
     /* 556773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 556776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 556780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556808 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556820 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556825 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556825 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556830 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556834 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556836 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556843 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556850 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556857 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 556860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 556867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 556872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 556877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 556882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 556887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 556892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 556901 */     GIR_RootConstrainSelectedInstOperands,
     /* 556902 */     // GIR_Coverage, 12517,
     /* 556902 */     GIR_EraseRootFromParent_Done,
     /* 556903 */   // Label 7296: @556903
     /* 556903 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(557038), // Rule ID 12518 //
     /* 556908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 556911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 556915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 556919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 556923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 556927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 556931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 556935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 556939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 556943 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 556947 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 556951 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 556955 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 556955 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 556960 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 556960 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 556965 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 556969 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 556971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556978 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556985 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 556992 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 556992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 556995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 556997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 557002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 557007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 557012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 557017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557036 */     GIR_RootConstrainSelectedInstOperands,
     /* 557037 */     // GIR_Coverage, 12518,
     /* 557037 */     GIR_EraseRootFromParent_Done,
     /* 557038 */   // Label 7297: @557038
     /* 557038 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(557173), // Rule ID 12519 //
     /* 557043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 557046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 557050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 557070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 557074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557078 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557082 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 557086 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557090 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557090 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 557095 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557095 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 557100 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557104 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557113 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557120 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557127 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 557130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 557137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 557142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 557147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 557152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557171 */     GIR_RootConstrainSelectedInstOperands,
     /* 557172 */     // GIR_Coverage, 12519,
     /* 557172 */     GIR_EraseRootFromParent_Done,
     /* 557173 */   // Label 7298: @557173
     /* 557173 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(557308), // Rule ID 12996 //
     /* 557178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 557181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 557205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 557209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557213 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 557221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557225 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557225 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 557230 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557230 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 557235 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557239 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557241 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557248 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557255 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557262 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 557265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 557272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 557277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 557282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 557287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557306 */     GIR_RootConstrainSelectedInstOperands,
     /* 557307 */     // GIR_Coverage, 12996,
     /* 557307 */     GIR_EraseRootFromParent_Done,
     /* 557308 */   // Label 7299: @557308
     /* 557308 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(557443), // Rule ID 12997 //
     /* 557313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 557316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 557340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 557344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 557356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557360 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557360 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 557365 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557365 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 557370 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557374 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557376 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557390 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557397 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 557400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 557407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 557412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 557417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 557422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557441 */     GIR_RootConstrainSelectedInstOperands,
     /* 557442 */     // GIR_Coverage, 12997,
     /* 557442 */     GIR_EraseRootFromParent_Done,
     /* 557443 */   // Label 7300: @557443
     /* 557443 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(557578), // Rule ID 12998 //
     /* 557448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 557451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 557475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 557479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557483 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 557491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557495 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 557500 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557500 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 557505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557509 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557518 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557525 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557532 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 557535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 557542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 557547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 557552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 557557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557576 */     GIR_RootConstrainSelectedInstOperands,
     /* 557577 */     // GIR_Coverage, 12998,
     /* 557577 */     GIR_EraseRootFromParent_Done,
     /* 557578 */   // Label 7301: @557578
     /* 557578 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(557713), // Rule ID 12999 //
     /* 557583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 557586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 557610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 557614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557622 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 557626 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557630 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557630 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 557635 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557635 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 557640 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557644 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557653 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557660 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557667 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 557670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 557677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 557682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 557687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 557692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557711 */     GIR_RootConstrainSelectedInstOperands,
     /* 557712 */     // GIR_Coverage, 12999,
     /* 557712 */     GIR_EraseRootFromParent_Done,
     /* 557713 */   // Label 7302: @557713
     /* 557713 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(557848), // Rule ID 12045 //
     /* 557718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 557721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 557745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557757 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 557761 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 557765 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557765 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 557770 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557770 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 557775 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557781 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557795 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557802 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 557805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 557812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 557817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 557822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 557827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557846 */     GIR_RootConstrainSelectedInstOperands,
     /* 557847 */     // GIR_Coverage, 12045,
     /* 557847 */     GIR_EraseRootFromParent_Done,
     /* 557848 */   // Label 7303: @557848
     /* 557848 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(557983), // Rule ID 12046 //
     /* 557853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 557856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 557868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 557872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 557876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 557880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 557884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 557888 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 557892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 557896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 557900 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 557900 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 557905 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 557905 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 557910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 557914 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 557916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557930 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 557937 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 557937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 557940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 557942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 557947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 557952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 557957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 557962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 557967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 557972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 557981 */     GIR_RootConstrainSelectedInstOperands,
     /* 557982 */     // GIR_Coverage, 12046,
     /* 557982 */     GIR_EraseRootFromParent_Done,
     /* 557983 */   // Label 7304: @557983
     /* 557983 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(558118), // Rule ID 12049 //
     /* 557988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 557991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 557995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 557999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558035 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558040 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558045 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558065 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558072 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 558075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 558082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 558087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 558092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 558097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558116 */     GIR_RootConstrainSelectedInstOperands,
     /* 558117 */     // GIR_Coverage, 12049,
     /* 558117 */     GIR_EraseRootFromParent_Done,
     /* 558118 */   // Label 7305: @558118
     /* 558118 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(558253), // Rule ID 12050 //
     /* 558123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 558126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 558130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558170 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558175 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558200 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558207 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 558210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 558217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 558222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 558227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 558232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558251 */     GIR_RootConstrainSelectedInstOperands,
     /* 558252 */     // GIR_Coverage, 12050,
     /* 558252 */     GIR_EraseRootFromParent_Done,
     /* 558253 */   // Label 7306: @558253
     /* 558253 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(558388), // Rule ID 12525 //
     /* 558258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 558261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 558265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558293 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558305 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558305 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558310 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558310 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558321 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558335 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558342 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 558345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 558352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 558357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 558362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 558367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558386 */     GIR_RootConstrainSelectedInstOperands,
     /* 558387 */     // GIR_Coverage, 12525,
     /* 558387 */     GIR_EraseRootFromParent_Done,
     /* 558388 */   // Label 7307: @558388
     /* 558388 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(558523), // Rule ID 12526 //
     /* 558393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 558396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 558400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558440 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558440 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558445 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558445 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558450 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558456 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558470 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558477 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 558480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 558487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 558492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 558497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 558502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558521 */     GIR_RootConstrainSelectedInstOperands,
     /* 558522 */     // GIR_Coverage, 12526,
     /* 558522 */     GIR_EraseRootFromParent_Done,
     /* 558523 */   // Label 7308: @558523
     /* 558523 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(558658), // Rule ID 12529 //
     /* 558528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 558531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 558535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558563 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558567 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558571 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558575 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558575 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558580 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558580 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558589 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558591 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558605 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558612 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 558615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 558622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 558627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 558632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 558637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558656 */     GIR_RootConstrainSelectedInstOperands,
     /* 558657 */     // GIR_Coverage, 12529,
     /* 558657 */     GIR_EraseRootFromParent_Done,
     /* 558658 */   // Label 7309: @558658
     /* 558658 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(558793), // Rule ID 12530 //
     /* 558663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 558666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 558670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558698 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558702 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558706 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558710 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558710 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558715 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558715 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558720 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558726 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558740 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558747 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 558750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 558757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 558762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 558767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 558772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558791 */     GIR_RootConstrainSelectedInstOperands,
     /* 558792 */     // GIR_Coverage, 12530,
     /* 558792 */     GIR_EraseRootFromParent_Done,
     /* 558793 */   // Label 7310: @558793
     /* 558793 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(558928), // Rule ID 13005 //
     /* 558798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 558801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 558805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558833 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558845 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558850 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558861 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 558882 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 558882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 558885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 558887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 558892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 558897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 558902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 558907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 558912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 558917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 558926 */     GIR_RootConstrainSelectedInstOperands,
     /* 558927 */     // GIR_Coverage, 13005,
     /* 558927 */     GIR_EraseRootFromParent_Done,
     /* 558928 */   // Label 7311: @558928
     /* 558928 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(559063), // Rule ID 13006 //
     /* 558933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 558936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 558940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 558944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 558948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 558952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 558956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 558960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 558964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 558968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 558972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 558976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 558980 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 558980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 558985 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 558985 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 558990 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 558994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 558996 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559010 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559017 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 559020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 559027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 559032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 559037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 559042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559061 */     GIR_RootConstrainSelectedInstOperands,
     /* 559062 */     // GIR_Coverage, 13006,
     /* 559062 */     GIR_EraseRootFromParent_Done,
     /* 559063 */   // Label 7312: @559063
     /* 559063 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(559198), // Rule ID 13009 //
     /* 559068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 559071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559103 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 559115 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559115 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559120 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559120 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559125 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559145 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559152 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 559155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 559162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 559167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 559172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 559177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559196 */     GIR_RootConstrainSelectedInstOperands,
     /* 559197 */     // GIR_Coverage, 13009,
     /* 559197 */     GIR_EraseRootFromParent_Done,
     /* 559198 */   // Label 7313: @559198
     /* 559198 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(559333), // Rule ID 13010 //
     /* 559203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 559206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559238 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559242 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559246 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 559250 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559250 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559255 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559260 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559264 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559280 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559287 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 559290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 559297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 559302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 559307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 559312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559331 */     GIR_RootConstrainSelectedInstOperands,
     /* 559332 */     // GIR_Coverage, 13010,
     /* 559332 */     GIR_EraseRootFromParent_Done,
     /* 559333 */   // Label 7314: @559333
     /* 559333 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(559468), // Rule ID 12030 //
     /* 559338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 559341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559373 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 559385 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559385 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559390 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559422 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 559425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 559432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 559437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 559442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 559447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559466 */     GIR_RootConstrainSelectedInstOperands,
     /* 559467 */     // GIR_Coverage, 12030,
     /* 559467 */     GIR_EraseRootFromParent_Done,
     /* 559468 */   // Label 7315: @559468
     /* 559468 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(559603), // Rule ID 12031 //
     /* 559473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 559476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559508 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 559520 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559525 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559550 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559557 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 559560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 559567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 559572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 559577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 559582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559601 */     GIR_RootConstrainSelectedInstOperands,
     /* 559602 */     // GIR_Coverage, 12031,
     /* 559602 */     GIR_EraseRootFromParent_Done,
     /* 559603 */   // Label 7316: @559603
     /* 559603 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(559738), // Rule ID 12034 //
     /* 559608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 559611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 559655 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559660 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559669 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559685 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559692 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 559695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 559702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 559707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 559712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 559717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559736 */     GIR_RootConstrainSelectedInstOperands,
     /* 559737 */     // GIR_Coverage, 12034,
     /* 559737 */     GIR_EraseRootFromParent_Done,
     /* 559738 */   // Label 7317: @559738
     /* 559738 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(559873), // Rule ID 12035 //
     /* 559743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 559746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 559750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 559790 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559790 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559795 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559795 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559800 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559804 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559806 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559820 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559827 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 559830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 559837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 559842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 559847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 559852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 559871 */     GIR_RootConstrainSelectedInstOperands,
     /* 559872 */     // GIR_Coverage, 12035,
     /* 559872 */     GIR_EraseRootFromParent_Done,
     /* 559873 */   // Label 7318: @559873
     /* 559873 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(560008), // Rule ID 12510 //
     /* 559878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 559881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 559885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 559889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 559893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 559897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 559901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 559905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 559909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 559913 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 559917 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 559921 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 559925 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 559925 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 559930 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 559930 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 559935 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 559939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 559941 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559955 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 559962 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 559962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 559965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 559967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 559972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 559977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 559982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 559987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 559992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 559997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560006 */     GIR_RootConstrainSelectedInstOperands,
     /* 560007 */     // GIR_Coverage, 12510,
     /* 560007 */     GIR_EraseRootFromParent_Done,
     /* 560008 */   // Label 7319: @560008
     /* 560008 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(560143), // Rule ID 12511 //
     /* 560013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 560016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 560020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560048 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560060 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560060 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560065 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560065 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560074 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560090 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560097 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 560100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 560107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 560112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 560117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 560122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560141 */     GIR_RootConstrainSelectedInstOperands,
     /* 560142 */     // GIR_Coverage, 12511,
     /* 560142 */     GIR_EraseRootFromParent_Done,
     /* 560143 */   // Label 7320: @560143
     /* 560143 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(560278), // Rule ID 12514 //
     /* 560148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 560151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 560155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560195 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560200 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560205 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560225 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560232 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 560235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 560242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 560247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 560252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 560257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560276 */     GIR_RootConstrainSelectedInstOperands,
     /* 560277 */     // GIR_Coverage, 12514,
     /* 560277 */     GIR_EraseRootFromParent_Done,
     /* 560278 */   // Label 7321: @560278
     /* 560278 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(560413), // Rule ID 12515 //
     /* 560283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 560286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 560290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560318 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560330 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560335 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560344 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560346 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560360 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560367 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 560370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 560377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 560382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 560387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 560392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560411 */     GIR_RootConstrainSelectedInstOperands,
     /* 560412 */     // GIR_Coverage, 12515,
     /* 560412 */     GIR_EraseRootFromParent_Done,
     /* 560413 */   // Label 7322: @560413
     /* 560413 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(560548), // Rule ID 12990 //
     /* 560418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 560421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 560425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560457 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560461 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560465 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560470 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560470 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560479 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560481 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560495 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560502 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 560505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 560512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 560517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 560522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 560527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560546 */     GIR_RootConstrainSelectedInstOperands,
     /* 560547 */     // GIR_Coverage, 12990,
     /* 560547 */     GIR_EraseRootFromParent_Done,
     /* 560548 */   // Label 7323: @560548
     /* 560548 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(560683), // Rule ID 12991 //
     /* 560553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 560556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 560560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560588 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560600 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560605 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560605 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560610 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560614 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560630 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560637 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 560640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 560647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 560652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 560657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 560662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560681 */     GIR_RootConstrainSelectedInstOperands,
     /* 560682 */     // GIR_Coverage, 12991,
     /* 560682 */     GIR_EraseRootFromParent_Done,
     /* 560683 */   // Label 7324: @560683
     /* 560683 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(560818), // Rule ID 12994 //
     /* 560688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 560691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 560695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560723 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560727 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560731 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560735 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560735 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560740 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560740 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560745 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560749 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560751 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560765 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560772 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 560775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 560782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 560787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 560792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 560797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560816 */     GIR_RootConstrainSelectedInstOperands,
     /* 560817 */     // GIR_Coverage, 12994,
     /* 560817 */     GIR_EraseRootFromParent_Done,
     /* 560818 */   // Label 7325: @560818
     /* 560818 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(560953), // Rule ID 12995 //
     /* 560823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 560826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 560830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560858 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 560866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 560870 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 560870 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 560875 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 560875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 560880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 560884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 560886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560900 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 560907 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 560907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 560910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 560912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 560917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 560922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 560927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 560932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 560937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 560942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 560951 */     GIR_RootConstrainSelectedInstOperands,
     /* 560952 */     // GIR_Coverage, 12995,
     /* 560952 */     GIR_EraseRootFromParent_Done,
     /* 560953 */   // Label 7326: @560953
     /* 560953 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(561088), // Rule ID 7820 //
     /* 560958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 560961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 560965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 560969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 560973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 560977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 560981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 560985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 560989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 560993 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 560997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561005 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561005 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561010 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561010 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561019 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561035 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561042 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 561045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 561052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 561057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 561062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 561067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561086 */     GIR_RootConstrainSelectedInstOperands,
     /* 561087 */     // GIR_Coverage, 7820,
     /* 561087 */     GIR_EraseRootFromParent_Done,
     /* 561088 */   // Label 7327: @561088
     /* 561088 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(561223), // Rule ID 7852 //
     /* 561093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 561096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 561100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561140 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561145 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561156 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561170 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561177 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 561180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 561187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 561192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 561197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 561202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561221 */     GIR_RootConstrainSelectedInstOperands,
     /* 561222 */     // GIR_Coverage, 7852,
     /* 561222 */     GIR_EraseRootFromParent_Done,
     /* 561223 */   // Label 7328: @561223
     /* 561223 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(561358), // Rule ID 7884 //
     /* 561228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 561231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 561235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561275 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561280 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561280 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561289 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561305 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561312 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 561315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 561322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 561327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 561332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 561337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561356 */     GIR_RootConstrainSelectedInstOperands,
     /* 561357 */     // GIR_Coverage, 7884,
     /* 561357 */     GIR_EraseRootFromParent_Done,
     /* 561358 */   // Label 7329: @561358
     /* 561358 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(561493), // Rule ID 12044 //
     /* 561363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 561366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 561370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561410 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561410 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561415 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561420 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561440 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561447 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 561450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 561457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 561462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 561467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 561472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561491 */     GIR_RootConstrainSelectedInstOperands,
     /* 561492 */     // GIR_Coverage, 12044,
     /* 561492 */     GIR_EraseRootFromParent_Done,
     /* 561493 */   // Label 7330: @561493
     /* 561493 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(561628), // Rule ID 12047 //
     /* 561498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 561501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 561505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561545 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561550 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561555 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561559 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561575 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561582 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 561585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 561592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 561597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 561602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 561607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561626 */     GIR_RootConstrainSelectedInstOperands,
     /* 561627 */     // GIR_Coverage, 12047,
     /* 561627 */     GIR_EraseRootFromParent_Done,
     /* 561628 */   // Label 7331: @561628
     /* 561628 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(561763), // Rule ID 12048 //
     /* 561633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 561636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 561640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561672 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561676 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561680 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561685 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561690 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561696 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561703 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561710 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561717 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 561720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 561727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 561732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 561737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 561742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561761 */     GIR_RootConstrainSelectedInstOperands,
     /* 561762 */     // GIR_Coverage, 12048,
     /* 561762 */     GIR_EraseRootFromParent_Done,
     /* 561763 */   // Label 7332: @561763
     /* 561763 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(561898), // Rule ID 12524 //
     /* 561768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 561771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 561775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561803 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561815 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561820 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561825 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561845 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561852 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 561855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 561862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 561867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 561872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 561877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 561882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 561887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 561896 */     GIR_RootConstrainSelectedInstOperands,
     /* 561897 */     // GIR_Coverage, 12524,
     /* 561897 */     GIR_EraseRootFromParent_Done,
     /* 561898 */   // Label 7333: @561898
     /* 561898 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(562033), // Rule ID 12527 //
     /* 561903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 561906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 561910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 561914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 561918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 561922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 561926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 561930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 561934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 561938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 561942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 561946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 561950 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 561950 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 561955 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 561955 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 561960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 561964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 561966 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561980 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 561987 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 561987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 561990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 561992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 561997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 562002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 562007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 562012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562031 */     GIR_RootConstrainSelectedInstOperands,
     /* 562032 */     // GIR_Coverage, 12527,
     /* 562032 */     GIR_EraseRootFromParent_Done,
     /* 562033 */   // Label 7334: @562033
     /* 562033 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(562168), // Rule ID 12528 //
     /* 562038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 562041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 562045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 562085 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562085 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562090 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562090 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562108 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562115 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562122 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 562125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 562132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 562137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 562142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 562147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562166 */     GIR_RootConstrainSelectedInstOperands,
     /* 562167 */     // GIR_Coverage, 12528,
     /* 562167 */     GIR_EraseRootFromParent_Done,
     /* 562168 */   // Label 7335: @562168
     /* 562168 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(562303), // Rule ID 13004 //
     /* 562173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 562176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562212 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562216 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 562220 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562225 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562225 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562230 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562234 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562250 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562257 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 562260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 562267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 562272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 562277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 562282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562301 */     GIR_RootConstrainSelectedInstOperands,
     /* 562302 */     // GIR_Coverage, 13004,
     /* 562302 */     GIR_EraseRootFromParent_Done,
     /* 562303 */   // Label 7336: @562303
     /* 562303 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(562438), // Rule ID 13007 //
     /* 562308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 562311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 562355 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562355 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562360 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562360 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562392 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 562395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 562402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 562407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 562412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 562417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562436 */     GIR_RootConstrainSelectedInstOperands,
     /* 562437 */     // GIR_Coverage, 13007,
     /* 562437 */     GIR_EraseRootFromParent_Done,
     /* 562438 */   // Label 7337: @562438
     /* 562438 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(562573), // Rule ID 13008 //
     /* 562443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 562446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 562490 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562495 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562500 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562520 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562527 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 562530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 562537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 562542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 562547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 562552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562571 */     GIR_RootConstrainSelectedInstOperands,
     /* 562572 */     // GIR_Coverage, 13008,
     /* 562572 */     GIR_EraseRootFromParent_Done,
     /* 562573 */   // Label 7338: @562573
     /* 562573 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(562708), // Rule ID 7819 //
     /* 562578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 562581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 562625 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562630 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562630 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562648 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562655 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562662 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 562665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 562672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 562677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 562682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 562687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562706 */     GIR_RootConstrainSelectedInstOperands,
     /* 562707 */     // GIR_Coverage, 7819,
     /* 562707 */     GIR_EraseRootFromParent_Done,
     /* 562708 */   // Label 7339: @562708
     /* 562708 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(562843), // Rule ID 7851 //
     /* 562713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 562716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 562720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 562760 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562765 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562765 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562776 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562790 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562797 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 562800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 562807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 562812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 562817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 562822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562841 */     GIR_RootConstrainSelectedInstOperands,
     /* 562842 */     // GIR_Coverage, 7851,
     /* 562842 */     GIR_EraseRootFromParent_Done,
     /* 562843 */   // Label 7340: @562843
     /* 562843 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(562978), // Rule ID 7883 //
     /* 562848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 562851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 562867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 562871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 562875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 562879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 562883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 562887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 562891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 562895 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 562895 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 562900 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 562900 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 562905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 562909 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 562911 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562925 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 562932 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 562932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 562935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 562937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 562942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 562947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 562952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 562957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 562962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 562967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 562976 */     GIR_RootConstrainSelectedInstOperands,
     /* 562977 */     // GIR_Coverage, 7883,
     /* 562977 */     GIR_EraseRootFromParent_Done,
     /* 562978 */   // Label 7341: @562978
     /* 562978 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(563113), // Rule ID 12029 //
     /* 562983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 562986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 562990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 562994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 562998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563026 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563030 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563030 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563035 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563060 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563067 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 563070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 563077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 563082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 563087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 563092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563111 */     GIR_RootConstrainSelectedInstOperands,
     /* 563112 */     // GIR_Coverage, 12029,
     /* 563112 */     GIR_EraseRootFromParent_Done,
     /* 563113 */   // Label 7342: @563113
     /* 563113 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(563248), // Rule ID 12032 //
     /* 563118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 563121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 563125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563165 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563170 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563195 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563202 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 563205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 563212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 563217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 563222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 563227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563246 */     GIR_RootConstrainSelectedInstOperands,
     /* 563247 */     // GIR_Coverage, 12032,
     /* 563247 */     GIR_EraseRootFromParent_Done,
     /* 563248 */   // Label 7343: @563248
     /* 563248 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(563383), // Rule ID 12033 //
     /* 563253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 563256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 563260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563288 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563300 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563300 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563305 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563305 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563316 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563330 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563337 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 563340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 563347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 563352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 563357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 563362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563381 */     GIR_RootConstrainSelectedInstOperands,
     /* 563382 */     // GIR_Coverage, 12033,
     /* 563382 */     GIR_EraseRootFromParent_Done,
     /* 563383 */   // Label 7344: @563383
     /* 563383 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(563518), // Rule ID 12509 //
     /* 563388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 563391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 563395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563423 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563435 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563435 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563440 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563440 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563445 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563449 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563465 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563472 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 563475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 563482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 563487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 563492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 563497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563516 */     GIR_RootConstrainSelectedInstOperands,
     /* 563517 */     // GIR_Coverage, 12509,
     /* 563517 */     GIR_EraseRootFromParent_Done,
     /* 563518 */   // Label 7345: @563518
     /* 563518 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(563653), // Rule ID 12512 //
     /* 563523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 563526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 563530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563542 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563558 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563562 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563566 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563570 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563570 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563575 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563575 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563580 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563586 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563600 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563607 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 563610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 563617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 563622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 563627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 563632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563651 */     GIR_RootConstrainSelectedInstOperands,
     /* 563652 */     // GIR_Coverage, 12512,
     /* 563652 */     GIR_EraseRootFromParent_Done,
     /* 563653 */   // Label 7346: @563653
     /* 563653 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(563788), // Rule ID 12513 //
     /* 563658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 563661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 563665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563705 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563710 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563710 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563715 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563719 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563735 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563742 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 563745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 563752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 563757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 563762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 563767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563786 */     GIR_RootConstrainSelectedInstOperands,
     /* 563787 */     // GIR_Coverage, 12513,
     /* 563787 */     GIR_EraseRootFromParent_Done,
     /* 563788 */   // Label 7347: @563788
     /* 563788 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(563923), // Rule ID 12989 //
     /* 563793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 563796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 563800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563840 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563845 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563845 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563870 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563877 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 563877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 563880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 563882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 563887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 563892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 563897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 563902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 563907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 563912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 563921 */     GIR_RootConstrainSelectedInstOperands,
     /* 563922 */     // GIR_Coverage, 12989,
     /* 563922 */     GIR_EraseRootFromParent_Done,
     /* 563923 */   // Label 7348: @563923
     /* 563923 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(564058), // Rule ID 12992 //
     /* 563928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 563931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 563935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 563939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 563943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 563947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 563951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 563955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 563959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 563963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 563967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 563971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 563975 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 563975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 563980 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 563980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 563985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 563989 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 563991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 563998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564012 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 564015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 564022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 564027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 564032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 564037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564056 */     GIR_RootConstrainSelectedInstOperands,
     /* 564057 */     // GIR_Coverage, 12992,
     /* 564057 */     GIR_EraseRootFromParent_Done,
     /* 564058 */   // Label 7349: @564058
     /* 564058 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(564193), // Rule ID 12993 //
     /* 564063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 564066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 564070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 564094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564102 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 564106 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 564110 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564115 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564115 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564120 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564124 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564140 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564147 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 564150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 564157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 564162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 564167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 564172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564191 */     GIR_RootConstrainSelectedInstOperands,
     /* 564192 */     // GIR_Coverage, 12993,
     /* 564192 */     GIR_EraseRootFromParent_Done,
     /* 564193 */   // Label 7350: @564193
     /* 564193 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(564328), // Rule ID 12015 //
     /* 564198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 564201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 564205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564245 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564245 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564250 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564250 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564255 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564259 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564275 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564282 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 564285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 564292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 564297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 564302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 564307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564326 */     GIR_RootConstrainSelectedInstOperands,
     /* 564327 */     // GIR_Coverage, 12015,
     /* 564327 */     GIR_EraseRootFromParent_Done,
     /* 564328 */   // Label 7351: @564328
     /* 564328 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(564463), // Rule ID 12016 //
     /* 564333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 564336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 564340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564368 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564372 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564376 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564380 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564380 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564385 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564385 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564394 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564410 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564417 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 564420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 564427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 564432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 564437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 564442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564461 */     GIR_RootConstrainSelectedInstOperands,
     /* 564462 */     // GIR_Coverage, 12016,
     /* 564462 */     GIR_EraseRootFromParent_Done,
     /* 564463 */   // Label 7352: @564463
     /* 564463 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(564598), // Rule ID 12019 //
     /* 564468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 564471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 564475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564507 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564511 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564515 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564520 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564520 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564525 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564552 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 564555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 564562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 564567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 564572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 564577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564596 */     GIR_RootConstrainSelectedInstOperands,
     /* 564597 */     // GIR_Coverage, 12019,
     /* 564597 */     GIR_EraseRootFromParent_Done,
     /* 564598 */   // Label 7353: @564598
     /* 564598 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(564733), // Rule ID 12020 //
     /* 564603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 564606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 564610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564638 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564642 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564646 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564650 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564650 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564655 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564660 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564664 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564666 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564680 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564687 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 564690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 564697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 564702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 564707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 564712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564731 */     GIR_RootConstrainSelectedInstOperands,
     /* 564732 */     // GIR_Coverage, 12020,
     /* 564732 */     GIR_EraseRootFromParent_Done,
     /* 564733 */   // Label 7354: @564733
     /* 564733 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(564868), // Rule ID 12495 //
     /* 564738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 564741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 564745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564773 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564785 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564790 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564790 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564795 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564799 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564808 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564815 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564822 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 564825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 564832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 564837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 564842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 564847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564866 */     GIR_RootConstrainSelectedInstOperands,
     /* 564867 */     // GIR_Coverage, 12495,
     /* 564867 */     GIR_EraseRootFromParent_Done,
     /* 564868 */   // Label 7355: @564868
     /* 564868 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(565003), // Rule ID 12496 //
     /* 564873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 564876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 564880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 564884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 564892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 564896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 564900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 564904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 564908 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 564912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 564916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 564920 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 564920 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 564925 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 564925 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 564930 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 564934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 564936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564950 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 564957 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 564957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 564960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 564962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 564967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 564972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 564977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 564982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 564987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 564992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 564998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565001 */     GIR_RootConstrainSelectedInstOperands,
     /* 565002 */     // GIR_Coverage, 12496,
     /* 565002 */     GIR_EraseRootFromParent_Done,
     /* 565003 */   // Label 7356: @565003
     /* 565003 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(565138), // Rule ID 12499 //
     /* 565008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 565011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 565015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565055 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565060 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565060 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565065 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565069 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565071 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565085 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565092 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 565095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 565102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 565107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 565112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 565117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565136 */     GIR_RootConstrainSelectedInstOperands,
     /* 565137 */     // GIR_Coverage, 12499,
     /* 565137 */     GIR_EraseRootFromParent_Done,
     /* 565138 */   // Label 7357: @565138
     /* 565138 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(565273), // Rule ID 12500 //
     /* 565143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 565146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 565150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565178 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565182 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565186 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565190 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565195 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565200 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565204 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565220 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565227 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 565230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 565237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 565242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 565247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 565252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565271 */     GIR_RootConstrainSelectedInstOperands,
     /* 565272 */     // GIR_Coverage, 12500,
     /* 565272 */     GIR_EraseRootFromParent_Done,
     /* 565273 */   // Label 7358: @565273
     /* 565273 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(565408), // Rule ID 12975 //
     /* 565278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 565281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565317 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565321 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565325 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565330 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565335 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565355 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565362 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 565365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 565372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 565377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 565382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 565387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565406 */     GIR_RootConstrainSelectedInstOperands,
     /* 565407 */     // GIR_Coverage, 12975,
     /* 565407 */     GIR_EraseRootFromParent_Done,
     /* 565408 */   // Label 7359: @565408
     /* 565408 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(565543), // Rule ID 12976 //
     /* 565413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 565416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565448 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565460 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565465 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565470 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565490 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565497 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 565500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 565507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 565512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 565517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 565522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565541 */     GIR_RootConstrainSelectedInstOperands,
     /* 565542 */     // GIR_Coverage, 12976,
     /* 565542 */     GIR_EraseRootFromParent_Done,
     /* 565543 */   // Label 7360: @565543
     /* 565543 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(565678), // Rule ID 12979 //
     /* 565548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 565551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565583 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565595 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565595 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565600 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565605 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565618 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565625 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565632 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 565635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 565642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 565647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 565652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 565657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565676 */     GIR_RootConstrainSelectedInstOperands,
     /* 565677 */     // GIR_Coverage, 12979,
     /* 565677 */     GIR_EraseRootFromParent_Done,
     /* 565678 */   // Label 7361: @565678
     /* 565678 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(565813), // Rule ID 12980 //
     /* 565683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 565686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565718 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 565730 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565730 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565735 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565735 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565753 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565760 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565767 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 565770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 565777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 565782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 565787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 565792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565811 */     GIR_RootConstrainSelectedInstOperands,
     /* 565812 */     // GIR_Coverage, 12980,
     /* 565812 */     GIR_EraseRootFromParent_Done,
     /* 565813 */   // Label 7362: @565813
     /* 565813 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(565948), // Rule ID 12000 //
     /* 565818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 565821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565853 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565857 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565861 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 565865 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 565865 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 565870 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 565870 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 565875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 565879 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 565881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565895 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 565902 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 565902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 565905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 565907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 565912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 565917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 565922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 565927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 565932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 565937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 565946 */     GIR_RootConstrainSelectedInstOperands,
     /* 565947 */     // GIR_Coverage, 12000,
     /* 565947 */     GIR_EraseRootFromParent_Done,
     /* 565948 */   // Label 7363: @565948
     /* 565948 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(566083), // Rule ID 12001 //
     /* 565953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 565956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 565960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 565964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 565972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 565976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 565980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 565984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 565988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 565992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 565996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566000 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566000 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566005 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566005 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566010 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566016 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566030 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566037 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 566040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 566047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 566052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 566057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 566062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566081 */     GIR_RootConstrainSelectedInstOperands,
     /* 566082 */     // GIR_Coverage, 12001,
     /* 566082 */     GIR_EraseRootFromParent_Done,
     /* 566083 */   // Label 7364: @566083
     /* 566083 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(566218), // Rule ID 12004 //
     /* 566088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 566091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 566095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566123 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566135 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566140 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566172 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 566175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 566182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 566187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 566192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 566197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566216 */     GIR_RootConstrainSelectedInstOperands,
     /* 566217 */     // GIR_Coverage, 12004,
     /* 566217 */     GIR_EraseRootFromParent_Done,
     /* 566218 */   // Label 7365: @566218
     /* 566218 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(566353), // Rule ID 12005 //
     /* 566223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 566226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 566230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566258 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566270 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566275 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566280 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566300 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566307 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 566310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 566317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 566322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 566327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 566332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566351 */     GIR_RootConstrainSelectedInstOperands,
     /* 566352 */     // GIR_Coverage, 12005,
     /* 566352 */     GIR_EraseRootFromParent_Done,
     /* 566353 */   // Label 7366: @566353
     /* 566353 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(566488), // Rule ID 12480 //
     /* 566358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 566361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 566365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566393 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566405 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566405 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566410 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566410 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566415 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566419 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566428 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566435 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566442 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 566445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 566452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 566457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 566462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 566467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566486 */     GIR_RootConstrainSelectedInstOperands,
     /* 566487 */     // GIR_Coverage, 12480,
     /* 566487 */     GIR_EraseRootFromParent_Done,
     /* 566488 */   // Label 7367: @566488
     /* 566488 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(566623), // Rule ID 12481 //
     /* 566493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 566496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 566500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566532 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566536 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566540 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566540 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566545 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566550 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566554 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566570 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566577 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 566580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 566587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 566592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 566597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 566602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566621 */     GIR_RootConstrainSelectedInstOperands,
     /* 566622 */     // GIR_Coverage, 12481,
     /* 566622 */     GIR_EraseRootFromParent_Done,
     /* 566623 */   // Label 7368: @566623
     /* 566623 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(566758), // Rule ID 12484 //
     /* 566628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 566631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 566635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566663 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566675 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566680 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566705 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566712 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 566715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 566722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 566727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 566732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 566737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566756 */     GIR_RootConstrainSelectedInstOperands,
     /* 566757 */     // GIR_Coverage, 12484,
     /* 566757 */     GIR_EraseRootFromParent_Done,
     /* 566758 */   // Label 7369: @566758
     /* 566758 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(566893), // Rule ID 12485 //
     /* 566763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 566766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 566770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566810 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566815 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566815 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566824 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566840 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566847 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 566850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 566857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 566862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 566867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 566872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 566877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 566882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 566891 */     GIR_RootConstrainSelectedInstOperands,
     /* 566892 */     // GIR_Coverage, 12485,
     /* 566892 */     GIR_EraseRootFromParent_Done,
     /* 566893 */   // Label 7370: @566893
     /* 566893 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(567028), // Rule ID 12960 //
     /* 566898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 566901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 566905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 566909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 566917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 566921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 566925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 566929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 566933 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 566937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 566941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 566945 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 566945 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 566950 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 566950 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 566955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 566959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 566961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566975 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 566982 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 566982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 566985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 566987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 566992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 566997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567026 */     GIR_RootConstrainSelectedInstOperands,
     /* 567027 */     // GIR_Coverage, 12960,
     /* 567027 */     GIR_EraseRootFromParent_Done,
     /* 567028 */   // Label 7371: @567028
     /* 567028 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(567163), // Rule ID 12961 //
     /* 567033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 567036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567072 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 567076 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 567080 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567085 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567085 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567090 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567094 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567096 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567103 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567110 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567117 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 567120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 567127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 567132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567161 */     GIR_RootConstrainSelectedInstOperands,
     /* 567162 */     // GIR_Coverage, 12961,
     /* 567162 */     GIR_EraseRootFromParent_Done,
     /* 567163 */   // Label 7372: @567163
     /* 567163 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(567298), // Rule ID 12964 //
     /* 567168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 567171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 567211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 567215 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567215 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567220 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567225 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567229 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567231 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567245 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567252 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 567255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 567262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 567267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 567272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 567277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567296 */     GIR_RootConstrainSelectedInstOperands,
     /* 567297 */     // GIR_Coverage, 12964,
     /* 567297 */     GIR_EraseRootFromParent_Done,
     /* 567298 */   // Label 7373: @567298
     /* 567298 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(567433), // Rule ID 12965 //
     /* 567303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 567306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567338 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 567346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 567350 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567350 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567355 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567355 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567360 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567364 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567380 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567387 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 567390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 567397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 567402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 567407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 567412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567431 */     GIR_RootConstrainSelectedInstOperands,
     /* 567432 */     // GIR_Coverage, 12965,
     /* 567432 */     GIR_EraseRootFromParent_Done,
     /* 567433 */   // Label 7374: @567433
     /* 567433 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(567568), // Rule ID 7818 //
     /* 567438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 567441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567477 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 567481 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 567485 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567490 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567490 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567522 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 567525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 567532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 567537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567566 */     GIR_RootConstrainSelectedInstOperands,
     /* 567567 */     // GIR_Coverage, 7818,
     /* 567567 */     GIR_EraseRootFromParent_Done,
     /* 567568 */   // Label 7375: @567568
     /* 567568 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(567703), // Rule ID 7850 //
     /* 567573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 567576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 567580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567612 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 567616 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 567620 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567625 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567630 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567634 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567650 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567657 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 567660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 567667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 567672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567701 */     GIR_RootConstrainSelectedInstOperands,
     /* 567702 */     // GIR_Coverage, 7850,
     /* 567702 */     GIR_EraseRootFromParent_Done,
     /* 567703 */   // Label 7376: @567703
     /* 567703 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(567838), // Rule ID 7882 //
     /* 567708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 567711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567747 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 567751 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 567755 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567760 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567765 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567771 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567785 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567792 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 567795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 567802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 567807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567836 */     GIR_RootConstrainSelectedInstOperands,
     /* 567837 */     // GIR_Coverage, 7882,
     /* 567837 */     GIR_EraseRootFromParent_Done,
     /* 567838 */   // Label 7377: @567838
     /* 567838 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(567973), // Rule ID 12014 //
     /* 567843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 567846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 567866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 567870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 567878 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 567882 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 567886 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 567890 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 567890 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 567895 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 567895 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 567900 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 567904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 567906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567920 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 567927 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 567927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 567930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 567932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 567937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 567942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 567947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 567952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 567957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 567962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 567971 */     GIR_RootConstrainSelectedInstOperands,
     /* 567972 */     // GIR_Coverage, 12014,
     /* 567972 */     GIR_EraseRootFromParent_Done,
     /* 567973 */   // Label 7378: @567973
     /* 567973 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(568108), // Rule ID 12017 //
     /* 567978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 567981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 567985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 567989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 567993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 567997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568025 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568025 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568030 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568030 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568035 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568039 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568055 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568062 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 568065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 568072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 568077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 568082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 568087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568106 */     GIR_RootConstrainSelectedInstOperands,
     /* 568107 */     // GIR_Coverage, 12017,
     /* 568107 */     GIR_EraseRootFromParent_Done,
     /* 568108 */   // Label 7379: @568108
     /* 568108 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(568243), // Rule ID 12018 //
     /* 568113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 568116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 568120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568152 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568156 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568160 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568160 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568165 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568170 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568190 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568197 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 568200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 568207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 568212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 568217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 568222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568241 */     GIR_RootConstrainSelectedInstOperands,
     /* 568242 */     // GIR_Coverage, 12018,
     /* 568242 */     GIR_EraseRootFromParent_Done,
     /* 568243 */   // Label 7380: @568243
     /* 568243 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(568378), // Rule ID 12494 //
     /* 568248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 568251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 568255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568283 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568287 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568291 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568295 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568295 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568300 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568300 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568305 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568309 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568325 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568332 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 568335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 568342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 568347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 568352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 568357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568376 */     GIR_RootConstrainSelectedInstOperands,
     /* 568377 */     // GIR_Coverage, 12494,
     /* 568377 */     GIR_EraseRootFromParent_Done,
     /* 568378 */   // Label 7381: @568378
     /* 568378 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(568513), // Rule ID 12497 //
     /* 568383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 568386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 568390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568426 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568430 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568435 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568435 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568440 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568444 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568460 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568467 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 568470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 568477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 568482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 568487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 568492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568511 */     GIR_RootConstrainSelectedInstOperands,
     /* 568512 */     // GIR_Coverage, 12497,
     /* 568512 */     GIR_EraseRootFromParent_Done,
     /* 568513 */   // Label 7382: @568513
     /* 568513 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(568648), // Rule ID 12498 //
     /* 568518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 568521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 568525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568553 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568565 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568570 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568570 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568575 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568602 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 568605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 568612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 568617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 568622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 568627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568646 */     GIR_RootConstrainSelectedInstOperands,
     /* 568647 */     // GIR_Coverage, 12498,
     /* 568647 */     GIR_EraseRootFromParent_Done,
     /* 568648 */   // Label 7383: @568648
     /* 568648 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(568783), // Rule ID 12974 //
     /* 568653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 568656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 568660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568692 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568696 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568700 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568700 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568705 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568710 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568716 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568730 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568737 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 568740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 568747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 568752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 568757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 568762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568781 */     GIR_RootConstrainSelectedInstOperands,
     /* 568782 */     // GIR_Coverage, 12974,
     /* 568782 */     GIR_EraseRootFromParent_Done,
     /* 568783 */   // Label 7384: @568783
     /* 568783 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(568918), // Rule ID 12977 //
     /* 568788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 568791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 568795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568835 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568835 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568840 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568840 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568845 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568872 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 568872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 568875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 568877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 568882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 568887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 568892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 568897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 568902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 568907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 568916 */     GIR_RootConstrainSelectedInstOperands,
     /* 568917 */     // GIR_Coverage, 12977,
     /* 568917 */     GIR_EraseRootFromParent_Done,
     /* 568918 */   // Label 7385: @568918
     /* 568918 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(569053), // Rule ID 12978 //
     /* 568923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 568926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 568930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 568934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 568942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 568946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 568950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 568954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 568958 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 568962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 568966 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 568970 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 568970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 568975 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 568975 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 568980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 568984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 568986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 568993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569000 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569007 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 569010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 569017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 569022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 569027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 569032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569051 */     GIR_RootConstrainSelectedInstOperands,
     /* 569052 */     // GIR_Coverage, 12978,
     /* 569052 */     GIR_EraseRootFromParent_Done,
     /* 569053 */   // Label 7386: @569053
     /* 569053 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(569188), // Rule ID 7817 //
     /* 569058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 569061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 569065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569105 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569110 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569115 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569142 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 569145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 569152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 569157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 569162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 569167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569186 */     GIR_RootConstrainSelectedInstOperands,
     /* 569187 */     // GIR_Coverage, 7817,
     /* 569187 */     GIR_EraseRootFromParent_Done,
     /* 569188 */   // Label 7387: @569188
     /* 569188 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(569323), // Rule ID 7849 //
     /* 569193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 569196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 569200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569228 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569240 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569245 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569245 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569250 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569256 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569277 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 569280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 569287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 569292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 569297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 569302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569321 */     GIR_RootConstrainSelectedInstOperands,
     /* 569322 */     // GIR_Coverage, 7849,
     /* 569322 */     GIR_EraseRootFromParent_Done,
     /* 569323 */   // Label 7388: @569323
     /* 569323 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(569458), // Rule ID 7881 //
     /* 569328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 569331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 569335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569363 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569375 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569375 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569380 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569380 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569385 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569389 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569405 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569412 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 569415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 569422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 569427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 569432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 569437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569456 */     GIR_RootConstrainSelectedInstOperands,
     /* 569457 */     // GIR_Coverage, 7881,
     /* 569457 */     GIR_EraseRootFromParent_Done,
     /* 569458 */   // Label 7389: @569458
     /* 569458 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(569593), // Rule ID 11999 //
     /* 569463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 569466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 569470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569498 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569502 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569506 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569510 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569510 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569515 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569520 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569547 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 569550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 569557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 569562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 569567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 569572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569591 */     GIR_RootConstrainSelectedInstOperands,
     /* 569592 */     // GIR_Coverage, 11999,
     /* 569592 */     GIR_EraseRootFromParent_Done,
     /* 569593 */   // Label 7390: @569593
     /* 569593 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(569728), // Rule ID 12002 //
     /* 569598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 569601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 569605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569633 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569645 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569645 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569650 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569650 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569675 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569682 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 569685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 569692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 569697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 569702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 569707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569726 */     GIR_RootConstrainSelectedInstOperands,
     /* 569727 */     // GIR_Coverage, 12002,
     /* 569727 */     GIR_EraseRootFromParent_Done,
     /* 569728 */   // Label 7391: @569728
     /* 569728 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(569863), // Rule ID 12003 //
     /* 569733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 569736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 569740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569780 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569785 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569790 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569796 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569817 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 569820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 569827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 569832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 569837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 569842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569861 */     GIR_RootConstrainSelectedInstOperands,
     /* 569862 */     // GIR_Coverage, 12003,
     /* 569862 */     GIR_EraseRootFromParent_Done,
     /* 569863 */   // Label 7392: @569863
     /* 569863 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(569998), // Rule ID 12479 //
     /* 569868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 569871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 569875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 569879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 569887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 569891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 569895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 569899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 569903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 569907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 569911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 569915 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 569915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 569920 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 569920 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 569925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 569929 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 569931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569945 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 569952 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 569952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 569955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 569957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 569962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 569967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 569972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 569977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 569982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 569987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 569996 */     GIR_RootConstrainSelectedInstOperands,
     /* 569997 */     // GIR_Coverage, 12479,
     /* 569997 */     GIR_EraseRootFromParent_Done,
     /* 569998 */   // Label 7393: @569998
     /* 569998 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(570133), // Rule ID 12482 //
     /* 570003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 570006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 570010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 570030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 570046 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 570050 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570050 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 570055 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 570060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570064 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570087 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 570090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 570107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 570112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 570117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 570122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570131 */     GIR_RootConstrainSelectedInstOperands,
     /* 570132 */     // GIR_Coverage, 12482,
     /* 570132 */     GIR_EraseRootFromParent_Done,
     /* 570133 */   // Label 7394: @570133
     /* 570133 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(570268), // Rule ID 12483 //
     /* 570138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 570141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 570145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 570165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570177 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 570181 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 570185 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570185 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 570190 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 570195 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570199 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570222 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 570225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 570242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 570247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 570252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 570257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570266 */     GIR_RootConstrainSelectedInstOperands,
     /* 570267 */     // GIR_Coverage, 12483,
     /* 570267 */     GIR_EraseRootFromParent_Done,
     /* 570268 */   // Label 7395: @570268
     /* 570268 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(570403), // Rule ID 12959 //
     /* 570273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 570276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 570300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570308 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 570316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 570320 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570320 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 570325 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570325 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 570330 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570357 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 570360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 570367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 570372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 570377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 570382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 570387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 570392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570401 */     GIR_RootConstrainSelectedInstOperands,
     /* 570402 */     // GIR_Coverage, 12959,
     /* 570402 */     GIR_EraseRootFromParent_Done,
     /* 570403 */   // Label 7396: @570403
     /* 570403 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(570538), // Rule ID 12962 //
     /* 570408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 570411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 570435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570443 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 570451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 570455 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 570460 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570460 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 570465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570469 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570492 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 570495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 570512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 570517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 570522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 570527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570536 */     GIR_RootConstrainSelectedInstOperands,
     /* 570537 */     // GIR_Coverage, 12962,
     /* 570537 */     GIR_EraseRootFromParent_Done,
     /* 570538 */   // Label 7397: @570538
     /* 570538 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(570673), // Rule ID 12963 //
     /* 570543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 570546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 570570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570578 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 570586 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 570590 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 570595 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570595 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 570600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570604 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570620 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570627 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 570630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 570647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 570652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 570657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 570662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570671 */     GIR_RootConstrainSelectedInstOperands,
     /* 570672 */     // GIR_Coverage, 12963,
     /* 570672 */     GIR_EraseRootFromParent_Done,
     /* 570673 */   // Label 7398: @570673
     /* 570673 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(570808), // Rule ID 12085 //
     /* 570678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 570681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 570705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 570709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570717 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 570721 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 570725 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 570730 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570730 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 570735 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570739 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570755 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570762 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 570765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 570782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 570787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 570792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 570797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570806 */     GIR_RootConstrainSelectedInstOperands,
     /* 570807 */     // GIR_Coverage, 12085,
     /* 570807 */     GIR_EraseRootFromParent_Done,
     /* 570808 */   // Label 7399: @570808
     /* 570808 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(570943), // Rule ID 12086 //
     /* 570813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 570816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 570840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 570844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570848 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 570856 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 570860 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 570860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 570865 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570865 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 570870 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 570874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 570876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 570897 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 570897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 570900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 570902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 570907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 570912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 570917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 570922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 570927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 570932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 570941 */     GIR_RootConstrainSelectedInstOperands,
     /* 570942 */     // GIR_Coverage, 12086,
     /* 570942 */     GIR_EraseRootFromParent_Done,
     /* 570943 */   // Label 7400: @570943
     /* 570943 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(571078), // Rule ID 12087 //
     /* 570948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 570951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 570955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 570959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 570963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 570967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 570971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 570975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 570979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 570983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 570987 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 570991 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 570995 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 570995 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571000 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571000 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571009 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571018 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571032 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 571035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 571042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 571047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 571052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 571057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571076 */     GIR_RootConstrainSelectedInstOperands,
     /* 571077 */     // GIR_Coverage, 12087,
     /* 571077 */     GIR_EraseRootFromParent_Done,
     /* 571078 */   // Label 7401: @571078
     /* 571078 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(571213), // Rule ID 12088 //
     /* 571083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 571086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 571090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571118 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571130 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571135 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571153 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571167 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 571170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 571177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 571182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 571187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 571192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571211 */     GIR_RootConstrainSelectedInstOperands,
     /* 571212 */     // GIR_Coverage, 12088,
     /* 571212 */     GIR_EraseRootFromParent_Done,
     /* 571213 */   // Label 7402: @571213
     /* 571213 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(571348), // Rule ID 12565 //
     /* 571218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 571221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 571225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571257 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571261 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571265 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571270 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571279 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571288 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571295 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571302 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 571305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 571312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 571317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 571322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 571327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571346 */     GIR_RootConstrainSelectedInstOperands,
     /* 571347 */     // GIR_Coverage, 12565,
     /* 571347 */     GIR_EraseRootFromParent_Done,
     /* 571348 */   // Label 7403: @571348
     /* 571348 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(571483), // Rule ID 12566 //
     /* 571353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 571356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 571360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571388 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571392 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571396 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571400 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571405 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571405 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571430 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571437 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 571440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 571447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 571452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 571457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 571462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571481 */     GIR_RootConstrainSelectedInstOperands,
     /* 571482 */     // GIR_Coverage, 12566,
     /* 571482 */     GIR_EraseRootFromParent_Done,
     /* 571483 */   // Label 7404: @571483
     /* 571483 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(571618), // Rule ID 12567 //
     /* 571488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 571491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 571495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571523 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571535 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571540 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571540 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571549 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571558 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571572 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 571575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 571582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 571587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 571592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 571597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571616 */     GIR_RootConstrainSelectedInstOperands,
     /* 571617 */     // GIR_Coverage, 12567,
     /* 571617 */     GIR_EraseRootFromParent_Done,
     /* 571618 */   // Label 7405: @571618
     /* 571618 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(571753), // Rule ID 12568 //
     /* 571623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 571626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 571630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571658 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571670 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571670 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571675 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571680 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571684 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571707 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 571710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 571717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 571722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 571727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 571732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571751 */     GIR_RootConstrainSelectedInstOperands,
     /* 571752 */     // GIR_Coverage, 12568,
     /* 571752 */     GIR_EraseRootFromParent_Done,
     /* 571753 */   // Label 7406: @571753
     /* 571753 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(571888), // Rule ID 13045 //
     /* 571758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 571761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 571765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571801 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571805 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571805 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571810 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571810 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571815 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571842 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 571845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 571852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 571857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 571862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 571867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 571872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 571877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 571886 */     GIR_RootConstrainSelectedInstOperands,
     /* 571887 */     // GIR_Coverage, 13045,
     /* 571887 */     GIR_EraseRootFromParent_Done,
     /* 571888 */   // Label 7407: @571888
     /* 571888 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(572023), // Rule ID 13046 //
     /* 571893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 571896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 571900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 571904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 571908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 571912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 571916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 571920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 571924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 571928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 571932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 571936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 571940 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 571940 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 571945 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 571945 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 571950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 571954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 571956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571963 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571970 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 571977 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 571977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 571980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 571982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 571987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 571992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 571997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 572002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572021 */     GIR_RootConstrainSelectedInstOperands,
     /* 572022 */     // GIR_Coverage, 13046,
     /* 572022 */     GIR_EraseRootFromParent_Done,
     /* 572023 */   // Label 7408: @572023
     /* 572023 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(572158), // Rule ID 13047 //
     /* 572028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 572031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 572075 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572080 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572105 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572112 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 572115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 572122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 572127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 572132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 572137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572156 */     GIR_RootConstrainSelectedInstOperands,
     /* 572157 */     // GIR_Coverage, 13047,
     /* 572157 */     GIR_EraseRootFromParent_Done,
     /* 572158 */   // Label 7409: @572158
     /* 572158 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(572293), // Rule ID 13048 //
     /* 572163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 572166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 572210 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572215 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572215 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572226 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572233 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572240 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572247 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 572250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 572257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 572262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 572267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 572272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572291 */     GIR_RootConstrainSelectedInstOperands,
     /* 572292 */     // GIR_Coverage, 13048,
     /* 572292 */     GIR_EraseRootFromParent_Done,
     /* 572293 */   // Label 7410: @572293
     /* 572293 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(572428), // Rule ID 12025 //
     /* 572298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 572301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572333 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572337 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572341 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572345 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572345 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572350 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572350 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572355 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572368 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572375 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572382 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 572385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 572392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 572397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 572402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 572407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572426 */     GIR_RootConstrainSelectedInstOperands,
     /* 572427 */     // GIR_Coverage, 12025,
     /* 572427 */     GIR_EraseRootFromParent_Done,
     /* 572428 */   // Label 7411: @572428
     /* 572428 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(572563), // Rule ID 12026 //
     /* 572433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 572436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572480 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572480 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572485 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572485 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572517 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 572520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 572527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 572532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 572537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 572542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572561 */     GIR_RootConstrainSelectedInstOperands,
     /* 572562 */     // GIR_Coverage, 12026,
     /* 572562 */     GIR_EraseRootFromParent_Done,
     /* 572563 */   // Label 7412: @572563
     /* 572563 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(572698), // Rule ID 12027 //
     /* 572568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 572571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572615 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572620 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572625 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572638 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572645 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572652 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 572655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 572662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 572667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 572672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 572677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572696 */     GIR_RootConstrainSelectedInstOperands,
     /* 572697 */     // GIR_Coverage, 12027,
     /* 572697 */     GIR_EraseRootFromParent_Done,
     /* 572698 */   // Label 7413: @572698
     /* 572698 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(572833), // Rule ID 12028 //
     /* 572703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 572706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 572710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572738 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572750 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572755 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572780 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572787 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 572790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 572797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 572802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 572807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 572812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572831 */     GIR_RootConstrainSelectedInstOperands,
     /* 572832 */     // GIR_Coverage, 12028,
     /* 572832 */     GIR_EraseRootFromParent_Done,
     /* 572833 */   // Label 7414: @572833
     /* 572833 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(572968), // Rule ID 12505 //
     /* 572838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 572841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 572845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 572865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 572869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 572873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 572877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 572881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572885 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 572885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 572890 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 572890 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 572895 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 572899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 572901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572915 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 572922 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 572922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 572925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 572927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 572932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 572937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 572942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 572947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 572952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 572957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 572966 */     GIR_RootConstrainSelectedInstOperands,
     /* 572967 */     // GIR_Coverage, 12505,
     /* 572967 */     GIR_EraseRootFromParent_Done,
     /* 572968 */   // Label 7415: @572968
     /* 572968 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(573103), // Rule ID 12506 //
     /* 572973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 572976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 572980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 572984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 572988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 572992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 572996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573008 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573020 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573020 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573025 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573025 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573030 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573034 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573050 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573057 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 573060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 573067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 573072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 573077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 573082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573101 */     GIR_RootConstrainSelectedInstOperands,
     /* 573102 */     // GIR_Coverage, 12506,
     /* 573102 */     GIR_EraseRootFromParent_Done,
     /* 573103 */   // Label 7416: @573103
     /* 573103 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(573238), // Rule ID 12507 //
     /* 573108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 573111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 573115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573143 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573155 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573155 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573160 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573160 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573165 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573192 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 573195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 573202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 573207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 573212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 573217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573236 */     GIR_RootConstrainSelectedInstOperands,
     /* 573237 */     // GIR_Coverage, 12507,
     /* 573237 */     GIR_EraseRootFromParent_Done,
     /* 573238 */   // Label 7417: @573238
     /* 573238 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(573373), // Rule ID 12508 //
     /* 573243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 573246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 573250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573278 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573290 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573290 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573295 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573295 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573304 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573313 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573327 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 573330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 573337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 573342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 573347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 573352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573371 */     GIR_RootConstrainSelectedInstOperands,
     /* 573372 */     // GIR_Coverage, 12508,
     /* 573372 */     GIR_EraseRootFromParent_Done,
     /* 573373 */   // Label 7418: @573373
     /* 573373 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(573508), // Rule ID 12985 //
     /* 573378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 573381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 573385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573425 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573430 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573435 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573448 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573462 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 573465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 573472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 573477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 573482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 573487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573506 */     GIR_RootConstrainSelectedInstOperands,
     /* 573507 */     // GIR_Coverage, 12985,
     /* 573507 */     GIR_EraseRootFromParent_Done,
     /* 573508 */   // Label 7419: @573508
     /* 573508 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(573643), // Rule ID 12986 //
     /* 573513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 573516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 573520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573560 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573565 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573574 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573597 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 573600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 573607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 573612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 573617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 573622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573641 */     GIR_RootConstrainSelectedInstOperands,
     /* 573642 */     // GIR_Coverage, 12986,
     /* 573642 */     GIR_EraseRootFromParent_Done,
     /* 573643 */   // Label 7420: @573643
     /* 573643 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(573778), // Rule ID 12987 //
     /* 573648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 573651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 573655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573687 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573691 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573695 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573700 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573700 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573709 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573711 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573718 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573732 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 573735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 573742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 573747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 573752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 573757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573776 */     GIR_RootConstrainSelectedInstOperands,
     /* 573777 */     // GIR_Coverage, 12987,
     /* 573777 */     GIR_EraseRootFromParent_Done,
     /* 573778 */   // Label 7421: @573778
     /* 573778 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(573913), // Rule ID 12988 //
     /* 573783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 573786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 573790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 573814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573822 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573826 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573830 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573830 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573835 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573835 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573840 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573844 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573867 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 573867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 573870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 573872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 573877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 573882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 573887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 573892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 573897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 573902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 573911 */     GIR_RootConstrainSelectedInstOperands,
     /* 573912 */     // GIR_Coverage, 12988,
     /* 573912 */     GIR_EraseRootFromParent_Done,
     /* 573913 */   // Label 7422: @573913
     /* 573913 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(574048), // Rule ID 12070 //
     /* 573918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 573921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 573925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 573929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 573933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 573937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 573941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 573945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 573949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 573953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 573957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 573961 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 573965 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 573965 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 573970 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 573970 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 573975 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 573979 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 573981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 573995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574002 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 574005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 574012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 574017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 574022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 574027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574046 */     GIR_RootConstrainSelectedInstOperands,
     /* 574047 */     // GIR_Coverage, 12070,
     /* 574047 */     GIR_EraseRootFromParent_Done,
     /* 574048 */   // Label 7423: @574048
     /* 574048 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(574183), // Rule ID 12071 //
     /* 574053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 574056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 574060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574100 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574105 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574137 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 574140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 574147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 574152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 574157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 574162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574181 */     GIR_RootConstrainSelectedInstOperands,
     /* 574182 */     // GIR_Coverage, 12071,
     /* 574182 */     GIR_EraseRootFromParent_Done,
     /* 574183 */   // Label 7424: @574183
     /* 574183 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(574318), // Rule ID 12072 //
     /* 574188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 574191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 574195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574235 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574240 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574272 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 574275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 574282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 574287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 574292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 574297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574316 */     GIR_RootConstrainSelectedInstOperands,
     /* 574317 */     // GIR_Coverage, 12072,
     /* 574317 */     GIR_EraseRootFromParent_Done,
     /* 574318 */   // Label 7425: @574318
     /* 574318 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(574453), // Rule ID 12073 //
     /* 574323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 574326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 574330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574370 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574370 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574375 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574375 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574384 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574400 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574407 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 574410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 574417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 574422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 574427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 574432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574451 */     GIR_RootConstrainSelectedInstOperands,
     /* 574452 */     // GIR_Coverage, 12073,
     /* 574452 */     GIR_EraseRootFromParent_Done,
     /* 574453 */   // Label 7426: @574453
     /* 574453 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(574588), // Rule ID 12550 //
     /* 574458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 574461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 574465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574493 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574505 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574505 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574510 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574510 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574515 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574535 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574542 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 574545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 574552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 574557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 574562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 574567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574586 */     GIR_RootConstrainSelectedInstOperands,
     /* 574587 */     // GIR_Coverage, 12550,
     /* 574587 */     GIR_EraseRootFromParent_Done,
     /* 574588 */   // Label 7427: @574588
     /* 574588 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(574723), // Rule ID 12551 //
     /* 574593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 574596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 574600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574628 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574632 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574636 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574640 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574645 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574645 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574650 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574656 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574663 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574677 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 574680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 574687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 574692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 574697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 574702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574721 */     GIR_RootConstrainSelectedInstOperands,
     /* 574722 */     // GIR_Coverage, 12551,
     /* 574722 */     GIR_EraseRootFromParent_Done,
     /* 574723 */   // Label 7428: @574723
     /* 574723 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(574858), // Rule ID 12552 //
     /* 574728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 574731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 574735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574763 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574775 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574780 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574780 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574789 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574812 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 574815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 574822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 574827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 574832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 574837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574856 */     GIR_RootConstrainSelectedInstOperands,
     /* 574857 */     // GIR_Coverage, 12552,
     /* 574857 */     GIR_EraseRootFromParent_Done,
     /* 574858 */   // Label 7429: @574858
     /* 574858 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(574993), // Rule ID 12553 //
     /* 574863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 574866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 574870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 574874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 574878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 574882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 574886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 574890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 574894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 574898 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 574902 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 574906 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 574910 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 574910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 574915 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 574915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 574920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 574924 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 574926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 574947 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 574947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 574950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 574952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 574957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 574962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 574967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 574972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 574977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 574982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 574991 */     GIR_RootConstrainSelectedInstOperands,
     /* 574992 */     // GIR_Coverage, 12553,
     /* 574992 */     GIR_EraseRootFromParent_Done,
     /* 574993 */   // Label 7430: @574993
     /* 574993 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(575128), // Rule ID 13030 //
     /* 574998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 575001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 575045 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575050 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575050 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575082 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 575085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 575092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 575097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 575102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 575107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575126 */     GIR_RootConstrainSelectedInstOperands,
     /* 575127 */     // GIR_Coverage, 13030,
     /* 575127 */     GIR_EraseRootFromParent_Done,
     /* 575128 */   // Label 7431: @575128
     /* 575128 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(575263), // Rule ID 13031 //
     /* 575133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 575136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575168 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 575180 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575180 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575185 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575185 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575210 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575217 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 575220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 575227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 575232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 575237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 575242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575261 */     GIR_RootConstrainSelectedInstOperands,
     /* 575262 */     // GIR_Coverage, 13031,
     /* 575262 */     GIR_EraseRootFromParent_Done,
     /* 575263 */   // Label 7432: @575263
     /* 575263 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(575398), // Rule ID 13032 //
     /* 575268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 575271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 575315 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575315 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575320 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575320 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575329 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575338 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575352 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 575355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 575362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 575367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 575372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 575377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575396 */     GIR_RootConstrainSelectedInstOperands,
     /* 575397 */     // GIR_Coverage, 13032,
     /* 575397 */     GIR_EraseRootFromParent_Done,
     /* 575398 */   // Label 7433: @575398
     /* 575398 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(575533), // Rule ID 13033 //
     /* 575403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 575406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 575450 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575455 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575455 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575460 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575487 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 575490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 575497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 575502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 575507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 575512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575531 */     GIR_RootConstrainSelectedInstOperands,
     /* 575532 */     // GIR_Coverage, 13033,
     /* 575532 */     GIR_EraseRootFromParent_Done,
     /* 575533 */   // Label 7434: @575533
     /* 575533 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(575668), // Rule ID 12010 //
     /* 575538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 575541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575585 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575590 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575595 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575608 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575622 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 575625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 575632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 575637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 575642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 575647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575666 */     GIR_RootConstrainSelectedInstOperands,
     /* 575667 */     // GIR_Coverage, 12010,
     /* 575667 */     GIR_EraseRootFromParent_Done,
     /* 575668 */   // Label 7435: @575668
     /* 575668 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(575803), // Rule ID 12011 //
     /* 575673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 575676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575708 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575720 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575725 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575730 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575757 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 575760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 575767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 575772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 575777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 575782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575801 */     GIR_RootConstrainSelectedInstOperands,
     /* 575802 */     // GIR_Coverage, 12011,
     /* 575802 */     GIR_EraseRootFromParent_Done,
     /* 575803 */   // Label 7436: @575803
     /* 575803 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(575938), // Rule ID 12012 //
     /* 575808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 575811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575855 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575855 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 575860 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 575869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 575871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 575892 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 575892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 575895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 575897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 575902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 575907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 575912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 575917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 575922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 575927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 575936 */     GIR_RootConstrainSelectedInstOperands,
     /* 575937 */     // GIR_Coverage, 12012,
     /* 575937 */     GIR_EraseRootFromParent_Done,
     /* 575938 */   // Label 7437: @575938
     /* 575938 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(576073), // Rule ID 12013 //
     /* 575943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 575946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 575950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 575954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 575962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 575966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 575970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 575974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 575978 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 575982 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 575986 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 575990 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 575990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 575995 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 575995 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576013 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576027 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 576030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 576037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 576042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 576047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 576052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576071 */     GIR_RootConstrainSelectedInstOperands,
     /* 576072 */     // GIR_Coverage, 12013,
     /* 576072 */     GIR_EraseRootFromParent_Done,
     /* 576073 */   // Label 7438: @576073
     /* 576073 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(576208), // Rule ID 12490 //
     /* 576078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 576081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 576085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576125 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576130 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576135 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576162 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 576165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 576172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 576177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 576182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 576187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576206 */     GIR_RootConstrainSelectedInstOperands,
     /* 576207 */     // GIR_Coverage, 12490,
     /* 576207 */     GIR_EraseRootFromParent_Done,
     /* 576208 */   // Label 7439: @576208
     /* 576208 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(576343), // Rule ID 12491 //
     /* 576213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 576216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 576220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576248 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576260 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576265 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576265 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576270 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576283 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576290 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576297 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 576300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 576307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 576312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 576317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 576322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576341 */     GIR_RootConstrainSelectedInstOperands,
     /* 576342 */     // GIR_Coverage, 12491,
     /* 576342 */     GIR_EraseRootFromParent_Done,
     /* 576343 */   // Label 7440: @576343
     /* 576343 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(576478), // Rule ID 12492 //
     /* 576348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 576351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 576355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576395 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576400 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576418 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576425 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576432 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 576435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 576442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 576447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 576452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 576457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576476 */     GIR_RootConstrainSelectedInstOperands,
     /* 576477 */     // GIR_Coverage, 12492,
     /* 576477 */     GIR_EraseRootFromParent_Done,
     /* 576478 */   // Label 7441: @576478
     /* 576478 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(576613), // Rule ID 12493 //
     /* 576483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 576486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 576490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576530 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576535 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576540 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576553 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576560 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576567 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 576570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 576577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 576582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 576587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 576592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576611 */     GIR_RootConstrainSelectedInstOperands,
     /* 576612 */     // GIR_Coverage, 12493,
     /* 576612 */     GIR_EraseRootFromParent_Done,
     /* 576613 */   // Label 7442: @576613
     /* 576613 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(576748), // Rule ID 12970 //
     /* 576618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 576621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 576625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576653 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576665 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576665 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576670 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576670 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576675 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576679 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576702 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 576705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 576712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 576717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 576722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 576727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576746 */     GIR_RootConstrainSelectedInstOperands,
     /* 576747 */     // GIR_Coverage, 12970,
     /* 576747 */     GIR_EraseRootFromParent_Done,
     /* 576748 */   // Label 7443: @576748
     /* 576748 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(576883), // Rule ID 12971 //
     /* 576753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 576756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 576760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576788 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576792 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576796 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576800 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576800 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576805 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576805 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576810 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576814 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576816 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576823 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576837 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 576840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 576847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 576852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 576857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 576862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 576867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 576872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 576881 */     GIR_RootConstrainSelectedInstOperands,
     /* 576882 */     // GIR_Coverage, 12971,
     /* 576882 */     GIR_EraseRootFromParent_Done,
     /* 576883 */   // Label 7444: @576883
     /* 576883 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(577018), // Rule ID 12972 //
     /* 576888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 576891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 576895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 576899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 576907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 576911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 576915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 576919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 576923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 576927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 576931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 576935 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 576935 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 576940 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 576940 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 576945 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 576949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 576951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576958 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 576972 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 576972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 576975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 576977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 576982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 576987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 576992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 576997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 577002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 577007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577016 */     GIR_RootConstrainSelectedInstOperands,
     /* 577017 */     // GIR_Coverage, 12972,
     /* 577017 */     GIR_EraseRootFromParent_Done,
     /* 577018 */   // Label 7445: @577018
     /* 577018 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(577153), // Rule ID 12973 //
     /* 577023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 577026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 577030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 577050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 577054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577058 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577070 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577075 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577080 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577093 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577107 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 577110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 577117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 577122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 577127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 577132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 577137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 577142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577151 */     GIR_RootConstrainSelectedInstOperands,
     /* 577152 */     // GIR_Coverage, 12973,
     /* 577152 */     GIR_EraseRootFromParent_Done,
     /* 577153 */   // Label 7446: @577153
     /* 577153 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(577288), // Rule ID 12081 //
     /* 577158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 577161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 577165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577205 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577210 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577215 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577219 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577242 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 577245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 577252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 577257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 577262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 577267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577286 */     GIR_RootConstrainSelectedInstOperands,
     /* 577287 */     // GIR_Coverage, 12081,
     /* 577287 */     GIR_EraseRootFromParent_Done,
     /* 577288 */   // Label 7447: @577288
     /* 577288 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(577423), // Rule ID 12082 //
     /* 577293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 577296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 577300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577328 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577340 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577345 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577345 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577356 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577363 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577370 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577377 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 577380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 577387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 577392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 577397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 577402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577421 */     GIR_RootConstrainSelectedInstOperands,
     /* 577422 */     // GIR_Coverage, 12082,
     /* 577422 */     GIR_EraseRootFromParent_Done,
     /* 577423 */   // Label 7448: @577423
     /* 577423 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(577558), // Rule ID 12083 //
     /* 577428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 577431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 577435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577463 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577467 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577471 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577475 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577475 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577480 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577480 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577485 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577491 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577512 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 577515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 577522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 577527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 577532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 577537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577556 */     GIR_RootConstrainSelectedInstOperands,
     /* 577557 */     // GIR_Coverage, 12083,
     /* 577557 */     GIR_EraseRootFromParent_Done,
     /* 577558 */   // Label 7449: @577558
     /* 577558 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(577693), // Rule ID 12084 //
     /* 577563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 577566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 577570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577606 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577610 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577610 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577615 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577620 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577624 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577633 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577647 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 577650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 577657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 577662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 577667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 577672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577691 */     GIR_RootConstrainSelectedInstOperands,
     /* 577692 */     // GIR_Coverage, 12084,
     /* 577692 */     GIR_EraseRootFromParent_Done,
     /* 577693 */   // Label 7450: @577693
     /* 577693 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(577828), // Rule ID 12561 //
     /* 577698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 577701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 577705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577745 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577750 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577755 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577782 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 577785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 577792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 577797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 577802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 577807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577826 */     GIR_RootConstrainSelectedInstOperands,
     /* 577827 */     // GIR_Coverage, 12561,
     /* 577827 */     GIR_EraseRootFromParent_Done,
     /* 577828 */   // Label 7451: @577828
     /* 577828 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(577963), // Rule ID 12562 //
     /* 577833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 577836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 577840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 577868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 577872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 577876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 577880 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 577880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 577885 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 577885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 577890 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 577894 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 577896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 577917 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 577917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 577920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 577922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 577927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 577932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 577937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 577942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 577947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 577952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 577961 */     GIR_RootConstrainSelectedInstOperands,
     /* 577962 */     // GIR_Coverage, 12562,
     /* 577962 */     GIR_EraseRootFromParent_Done,
     /* 577963 */   // Label 7452: @577963
     /* 577963 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(578098), // Rule ID 12563 //
     /* 577968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 577971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 577975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 577979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 577983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 577987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 577991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 577995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 577999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578003 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578007 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578011 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578015 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578020 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578020 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578025 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578029 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578031 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578045 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578052 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 578055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 578062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 578067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 578072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 578077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578096 */     GIR_RootConstrainSelectedInstOperands,
     /* 578097 */     // GIR_Coverage, 12563,
     /* 578097 */     GIR_EraseRootFromParent_Done,
     /* 578098 */   // Label 7453: @578098
     /* 578098 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(578233), // Rule ID 12564 //
     /* 578103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 578106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 578110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578150 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578155 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578155 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578164 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578173 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578187 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 578190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 578197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 578202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 578207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 578212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578231 */     GIR_RootConstrainSelectedInstOperands,
     /* 578232 */     // GIR_Coverage, 12564,
     /* 578232 */     GIR_EraseRootFromParent_Done,
     /* 578233 */   // Label 7454: @578233
     /* 578233 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(578368), // Rule ID 13041 //
     /* 578238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 578241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578273 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578285 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578285 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578290 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578290 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578295 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578301 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578308 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578315 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578322 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 578325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 578332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 578337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 578342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 578347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578366 */     GIR_RootConstrainSelectedInstOperands,
     /* 578367 */     // GIR_Coverage, 13041,
     /* 578367 */     GIR_EraseRootFromParent_Done,
     /* 578368 */   // Label 7455: @578368
     /* 578368 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(578503), // Rule ID 13042 //
     /* 578373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 578376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578420 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578425 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578425 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578430 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578443 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578457 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 578460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 578467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 578472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 578477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 578482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578501 */     GIR_RootConstrainSelectedInstOperands,
     /* 578502 */     // GIR_Coverage, 13042,
     /* 578502 */     GIR_EraseRootFromParent_Done,
     /* 578503 */   // Label 7456: @578503
     /* 578503 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(578638), // Rule ID 13043 //
     /* 578508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 578511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578555 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578560 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578565 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578592 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 578595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 578602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 578607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 578612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 578617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578636 */     GIR_RootConstrainSelectedInstOperands,
     /* 578637 */     // GIR_Coverage, 13043,
     /* 578637 */     GIR_EraseRootFromParent_Done,
     /* 578638 */   // Label 7457: @578638
     /* 578638 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(578773), // Rule ID 13044 //
     /* 578643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 578646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578678 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 578690 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578695 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578727 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 578730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 578737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 578742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 578747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 578752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578771 */     GIR_RootConstrainSelectedInstOperands,
     /* 578772 */     // GIR_Coverage, 13044,
     /* 578772 */     GIR_EraseRootFromParent_Done,
     /* 578773 */   // Label 7458: @578773
     /* 578773 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(578908), // Rule ID 12021 //
     /* 578778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 578781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578813 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578825 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578825 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578830 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578830 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578835 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578839 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578848 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578855 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578862 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 578865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 578867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 578872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 578877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 578882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 578887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 578892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 578897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 578906 */     GIR_RootConstrainSelectedInstOperands,
     /* 578907 */     // GIR_Coverage, 12021,
     /* 578907 */     GIR_EraseRootFromParent_Done,
     /* 578908 */   // Label 7459: @578908
     /* 578908 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(579043), // Rule ID 12022 //
     /* 578913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 578916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 578920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 578924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 578932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 578936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 578940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 578944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 578948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 578952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 578956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 578960 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 578960 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 578965 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 578965 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 578970 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 578974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 578976 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578983 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 578997 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 578997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 579000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 579007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 579012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 579017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 579022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579041 */     GIR_RootConstrainSelectedInstOperands,
     /* 579042 */     // GIR_Coverage, 12022,
     /* 579042 */     GIR_EraseRootFromParent_Done,
     /* 579043 */   // Label 7460: @579043
     /* 579043 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(579178), // Rule ID 12023 //
     /* 579048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 579051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 579055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579083 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579095 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579095 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579100 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579109 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579132 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 579135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 579142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 579147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 579152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 579157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579176 */     GIR_RootConstrainSelectedInstOperands,
     /* 579177 */     // GIR_Coverage, 12023,
     /* 579177 */     GIR_EraseRootFromParent_Done,
     /* 579178 */   // Label 7461: @579178
     /* 579178 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(579313), // Rule ID 12024 //
     /* 579183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 579186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 579190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579218 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579230 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579230 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579235 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579240 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579246 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579260 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579267 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 579270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 579277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 579282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 579287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 579292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579311 */     GIR_RootConstrainSelectedInstOperands,
     /* 579312 */     // GIR_Coverage, 12024,
     /* 579312 */     GIR_EraseRootFromParent_Done,
     /* 579313 */   // Label 7462: @579313
     /* 579313 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(579448), // Rule ID 12501 //
     /* 579318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 579321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 579325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579365 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579365 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579370 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579370 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579375 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579402 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 579405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 579412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 579417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 579422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 579427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579446 */     GIR_RootConstrainSelectedInstOperands,
     /* 579447 */     // GIR_Coverage, 12501,
     /* 579447 */     GIR_EraseRootFromParent_Done,
     /* 579448 */   // Label 7463: @579448
     /* 579448 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(579583), // Rule ID 12502 //
     /* 579453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 579456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 579460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579500 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579500 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579505 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579505 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579510 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579516 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579530 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579537 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 579540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 579547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 579552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 579557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 579562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579581 */     GIR_RootConstrainSelectedInstOperands,
     /* 579582 */     // GIR_Coverage, 12502,
     /* 579582 */     GIR_EraseRootFromParent_Done,
     /* 579583 */   // Label 7464: @579583
     /* 579583 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(579718), // Rule ID 12503 //
     /* 579588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 579591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 579595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579635 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579635 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579640 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579649 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579651 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579658 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579672 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 579675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 579682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 579687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 579692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 579697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579716 */     GIR_RootConstrainSelectedInstOperands,
     /* 579717 */     // GIR_Coverage, 12503,
     /* 579717 */     GIR_EraseRootFromParent_Done,
     /* 579718 */   // Label 7465: @579718
     /* 579718 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(579853), // Rule ID 12504 //
     /* 579723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 579726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 579730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579770 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579770 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579775 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579775 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579780 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579807 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 579810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 579817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 579822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 579827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 579832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579851 */     GIR_RootConstrainSelectedInstOperands,
     /* 579852 */     // GIR_Coverage, 12504,
     /* 579852 */     GIR_EraseRootFromParent_Done,
     /* 579853 */   // Label 7466: @579853
     /* 579853 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(579988), // Rule ID 12981 //
     /* 579858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 579861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 579865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 579869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 579877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 579881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 579885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 579889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 579893 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 579897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 579901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 579905 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 579905 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 579910 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 579910 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 579915 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 579919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 579921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579935 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 579942 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 579942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 579945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 579947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 579952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 579957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 579962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 579967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 579972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 579977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 579986 */     GIR_RootConstrainSelectedInstOperands,
     /* 579987 */     // GIR_Coverage, 12981,
     /* 579987 */     GIR_EraseRootFromParent_Done,
     /* 579988 */   // Label 7467: @579988
     /* 579988 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(580123), // Rule ID 12982 //
     /* 579993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 579996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 580024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580028 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580040 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580045 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580056 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580070 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580077 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 580080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 580087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 580092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 580097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 580102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580121 */     GIR_RootConstrainSelectedInstOperands,
     /* 580122 */     // GIR_Coverage, 12982,
     /* 580122 */     GIR_EraseRootFromParent_Done,
     /* 580123 */   // Label 7468: @580123
     /* 580123 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(580258), // Rule ID 12983 //
     /* 580128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 580131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 580159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580175 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580180 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580180 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580189 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580205 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580212 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 580215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 580222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 580227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 580232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 580237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580256 */     GIR_RootConstrainSelectedInstOperands,
     /* 580257 */     // GIR_Coverage, 12983,
     /* 580257 */     GIR_EraseRootFromParent_Done,
     /* 580258 */   // Label 7469: @580258
     /* 580258 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(580393), // Rule ID 12984 //
     /* 580263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 580266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 580294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580298 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580310 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580310 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580315 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580315 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580320 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580326 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580340 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580347 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 580350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 580357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 580362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 580367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 580372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580391 */     GIR_RootConstrainSelectedInstOperands,
     /* 580392 */     // GIR_Coverage, 12984,
     /* 580392 */     GIR_EraseRootFromParent_Done,
     /* 580393 */   // Label 7470: @580393
     /* 580393 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(580528), // Rule ID 12066 //
     /* 580398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 580401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 580429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580433 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580437 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580441 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 580445 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580445 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580450 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580455 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580459 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580468 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580482 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 580485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 580492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 580497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 580502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 580507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580526 */     GIR_RootConstrainSelectedInstOperands,
     /* 580527 */     // GIR_Coverage, 12066,
     /* 580527 */     GIR_EraseRootFromParent_Done,
     /* 580528 */   // Label 7471: @580528
     /* 580528 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(580663), // Rule ID 12067 //
     /* 580533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 580536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 580564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580568 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 580580 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580580 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580585 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580594 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580617 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 580620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 580627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 580632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 580637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 580642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580661 */     GIR_RootConstrainSelectedInstOperands,
     /* 580662 */     // GIR_Coverage, 12067,
     /* 580662 */     GIR_EraseRootFromParent_Done,
     /* 580663 */   // Label 7472: @580663
     /* 580663 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(580798), // Rule ID 12068 //
     /* 580668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 580671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 580699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 580715 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580715 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580720 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580752 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 580755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 580762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 580767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 580772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 580777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580796 */     GIR_RootConstrainSelectedInstOperands,
     /* 580797 */     // GIR_Coverage, 12068,
     /* 580797 */     GIR_EraseRootFromParent_Done,
     /* 580798 */   // Label 7473: @580798
     /* 580798 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(580933), // Rule ID 12069 //
     /* 580803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 580806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 580810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 580834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580838 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580842 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580846 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 580850 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580855 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580855 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 580866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580873 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 580887 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 580887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 580890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 580892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 580897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 580902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 580907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 580912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 580917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 580922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 580931 */     GIR_RootConstrainSelectedInstOperands,
     /* 580932 */     // GIR_Coverage, 12069,
     /* 580932 */     GIR_EraseRootFromParent_Done,
     /* 580933 */   // Label 7474: @580933
     /* 580933 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(581068), // Rule ID 12546 //
     /* 580938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 580941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 580945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 580949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 580953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 580957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 580961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 580965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 580969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 580973 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 580977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 580981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 580985 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 580985 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 580990 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 580990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 580995 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 580999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581001 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581008 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581022 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 581025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 581032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 581037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 581042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 581047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581066 */     GIR_RootConstrainSelectedInstOperands,
     /* 581067 */     // GIR_Coverage, 12546,
     /* 581067 */     GIR_EraseRootFromParent_Done,
     /* 581068 */   // Label 7475: @581068
     /* 581068 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(581203), // Rule ID 12547 //
     /* 581073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 581076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 581080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581120 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581120 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581125 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581136 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581143 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581150 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581157 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 581160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 581167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 581172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 581177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 581182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581201 */     GIR_RootConstrainSelectedInstOperands,
     /* 581202 */     // GIR_Coverage, 12547,
     /* 581202 */     GIR_EraseRootFromParent_Done,
     /* 581203 */   // Label 7476: @581203
     /* 581203 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(581338), // Rule ID 12548 //
     /* 581208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 581211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 581215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581255 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581260 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581265 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581269 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581278 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581292 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 581295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 581302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 581307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 581312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 581317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581336 */     GIR_RootConstrainSelectedInstOperands,
     /* 581337 */     // GIR_Coverage, 12548,
     /* 581337 */     GIR_EraseRootFromParent_Done,
     /* 581338 */   // Label 7477: @581338
     /* 581338 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(581473), // Rule ID 12549 //
     /* 581343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 581346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 581350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581390 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581390 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581395 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581395 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581400 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581420 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581427 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 581430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 581437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 581442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 581447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 581452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581471 */     GIR_RootConstrainSelectedInstOperands,
     /* 581472 */     // GIR_Coverage, 12549,
     /* 581472 */     GIR_EraseRootFromParent_Done,
     /* 581473 */   // Label 7478: @581473
     /* 581473 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(581608), // Rule ID 13026 //
     /* 581478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 581481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 581485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581513 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581525 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581530 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581539 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581548 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581555 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581562 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 581565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 581572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 581577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 581582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 581587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581606 */     GIR_RootConstrainSelectedInstOperands,
     /* 581607 */     // GIR_Coverage, 13026,
     /* 581607 */     GIR_EraseRootFromParent_Done,
     /* 581608 */   // Label 7479: @581608
     /* 581608 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(581743), // Rule ID 13027 //
     /* 581613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 581616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 581620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581648 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581660 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581665 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581665 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581670 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581676 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581690 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581697 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 581700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 581707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 581712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 581717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 581722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581741 */     GIR_RootConstrainSelectedInstOperands,
     /* 581742 */     // GIR_Coverage, 13027,
     /* 581742 */     GIR_EraseRootFromParent_Done,
     /* 581743 */   // Label 7480: @581743
     /* 581743 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(581878), // Rule ID 13028 //
     /* 581748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 581751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 581755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581783 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581795 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581795 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581800 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581800 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581805 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581809 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581811 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581832 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 581835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 581842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 581847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 581852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 581857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 581867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 581876 */     GIR_RootConstrainSelectedInstOperands,
     /* 581877 */     // GIR_Coverage, 13028,
     /* 581877 */     GIR_EraseRootFromParent_Done,
     /* 581878 */   // Label 7481: @581878
     /* 581878 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(582013), // Rule ID 13029 //
     /* 581883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 581886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 581890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 581894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 581898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 581902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 581906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 581910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 581914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 581918 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 581922 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 581926 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 581930 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 581930 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 581935 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 581935 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 581940 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 581944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 581946 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581953 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581960 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 581967 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 581967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 581970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 581972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 581977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 581982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 581987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 581992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 581997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582011 */     GIR_RootConstrainSelectedInstOperands,
     /* 582012 */     // GIR_Coverage, 13029,
     /* 582012 */     GIR_EraseRootFromParent_Done,
     /* 582013 */   // Label 7482: @582013
     /* 582013 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(582148), // Rule ID 12006 //
     /* 582018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 582021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 582025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582065 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582065 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582070 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582070 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582079 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582088 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582095 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582102 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 582105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 582112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 582117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 582122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 582127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582146 */     GIR_RootConstrainSelectedInstOperands,
     /* 582147 */     // GIR_Coverage, 12006,
     /* 582147 */     GIR_EraseRootFromParent_Done,
     /* 582148 */   // Label 7483: @582148
     /* 582148 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(582283), // Rule ID 12007 //
     /* 582153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 582156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 582160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582200 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582205 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582210 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582230 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582237 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 582240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 582247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 582252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 582257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 582262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582281 */     GIR_RootConstrainSelectedInstOperands,
     /* 582282 */     // GIR_Coverage, 12007,
     /* 582282 */     GIR_EraseRootFromParent_Done,
     /* 582283 */   // Label 7484: @582283
     /* 582283 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(582418), // Rule ID 12008 //
     /* 582288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 582291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 582295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582335 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582340 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582345 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582365 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582372 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 582375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 582382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 582387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 582392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 582397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582416 */     GIR_RootConstrainSelectedInstOperands,
     /* 582417 */     // GIR_Coverage, 12008,
     /* 582417 */     GIR_EraseRootFromParent_Done,
     /* 582418 */   // Label 7485: @582418
     /* 582418 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(582553), // Rule ID 12009 //
     /* 582423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_NotHasTrue16BitInsts),
     /* 582426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 582430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582462 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582466 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582470 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582470 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582475 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582475 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582480 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582500 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582507 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 582510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 582517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 582522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 582527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 582532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582551 */     GIR_RootConstrainSelectedInstOperands,
     /* 582552 */     // GIR_Coverage, 12009,
     /* 582552 */     GIR_EraseRootFromParent_Done,
     /* 582553 */   // Label 7486: @582553
     /* 582553 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(582688), // Rule ID 12486 //
     /* 582558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 582561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 582565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582605 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582605 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582610 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582610 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582619 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582621 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582628 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582635 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582642 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 582645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 582652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 582657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 582662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 582667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582686 */     GIR_RootConstrainSelectedInstOperands,
     /* 582687 */     // GIR_Coverage, 12486,
     /* 582687 */     GIR_EraseRootFromParent_Done,
     /* 582688 */   // Label 7487: @582688
     /* 582688 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(582823), // Rule ID 12487 //
     /* 582693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 582696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 582700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582732 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582736 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582740 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582740 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582745 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582763 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582770 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582777 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 582780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 582787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 582792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 582797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 582802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582821 */     GIR_RootConstrainSelectedInstOperands,
     /* 582822 */     // GIR_Coverage, 12487,
     /* 582822 */     GIR_EraseRootFromParent_Done,
     /* 582823 */   // Label 7488: @582823
     /* 582823 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(582958), // Rule ID 12488 //
     /* 582828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 582831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 582835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 582867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 582871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582875 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 582875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 582880 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 582880 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 582885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 582889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 582891 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582898 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582905 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 582912 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 582912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 582915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 582917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 582922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 582927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 582932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 582937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 582942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 582947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 582956 */     GIR_RootConstrainSelectedInstOperands,
     /* 582957 */     // GIR_Coverage, 12488,
     /* 582957 */     GIR_EraseRootFromParent_Done,
     /* 582958 */   // Label 7489: @582958
     /* 582958 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(583093), // Rule ID 12489 //
     /* 582963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseRealTrue16Insts),
     /* 582966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 582970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 582974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 582978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 582982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 582986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 582990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 582994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 582998 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 583006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583010 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 583010 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 583015 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 583015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 583020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 583024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 583026 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583047 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 583050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 583067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 583072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 583077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 583082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583091 */     GIR_RootConstrainSelectedInstOperands,
     /* 583092 */     // GIR_Coverage, 12489,
     /* 583092 */     GIR_EraseRootFromParent_Done,
     /* 583093 */   // Label 7490: @583093
     /* 583093 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(583228), // Rule ID 12966 //
     /* 583098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 583101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 583109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 583121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 583129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 583141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583145 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 583145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 583150 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 583150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 583155 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 583159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 583161 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583175 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583182 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 583185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 583192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 583197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 583202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 583207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 583212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 583217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583226 */     GIR_RootConstrainSelectedInstOperands,
     /* 583227 */     // GIR_Coverage, 12966,
     /* 583227 */     GIR_EraseRootFromParent_Done,
     /* 583228 */   // Label 7491: @583228
     /* 583228 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(583363), // Rule ID 12967 //
     /* 583233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 583236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 583244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583252 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 583256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 583264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 583276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583280 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 583280 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 583285 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 583285 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 583290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 583294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 583296 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583310 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583317 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 583320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 583327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 583332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 583337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 583342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 583347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 583352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583361 */     GIR_RootConstrainSelectedInstOperands,
     /* 583362 */     // GIR_Coverage, 12967,
     /* 583362 */     GIR_EraseRootFromParent_Done,
     /* 583363 */   // Label 7492: @583363
     /* 583363 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(583498), // Rule ID 12968 //
     /* 583368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 583371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 583379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 583391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 583399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 583411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583415 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 583415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 583420 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 583420 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 583425 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 583429 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 583431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583452 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 583455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 583472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 583477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 583482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 583487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583496 */     GIR_RootConstrainSelectedInstOperands,
     /* 583497 */     // GIR_Coverage, 12968,
     /* 583497 */     GIR_EraseRootFromParent_Done,
     /* 583498 */   // Label 7493: @583498
     /* 583498 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(583633), // Rule ID 12969 //
     /* 583503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMed3_16_UseFakeTrue16Insts),
     /* 583506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 583514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 583526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 583534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 583546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583550 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 583550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 583555 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 583555 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 583560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 583564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 583566 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583573 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583580 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583587 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 583590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 583607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 583612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 583617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 583622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583631 */     GIR_RootConstrainSelectedInstOperands,
     /* 583632 */     // GIR_Coverage, 12969,
     /* 583632 */     GIR_EraseRootFromParent_Done,
     /* 583633 */   // Label 7494: @583633
     /* 583633 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(583748), // Rule ID 13468 //
     /* 583638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 583641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 583645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 583649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 583653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 583665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583673 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 583675 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 583679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 583681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583702 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 583705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 583722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 583727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 583732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 583737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583746 */     GIR_RootConstrainSelectedInstOperands,
     /* 583747 */     // GIR_Coverage, 13468,
     /* 583747 */     GIR_EraseRootFromParent_Done,
     /* 583748 */   // Label 7495: @583748
     /* 583748 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(583863), // Rule ID 13484 //
     /* 583753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 583756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 583764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 583768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 583780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583784 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583788 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 583790 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 583794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 583796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583803 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583817 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 583820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 583837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 583842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 583847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 583852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583861 */     GIR_RootConstrainSelectedInstOperands,
     /* 583862 */     // GIR_Coverage, 13484,
     /* 583862 */     GIR_EraseRootFromParent_Done,
     /* 583863 */   // Label 7496: @583863
     /* 583863 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(583978), // Rule ID 13467 //
     /* 583868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 583871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 583875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 583879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 583883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 583887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 583891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 583895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 583899 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 583903 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 583905 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 583909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 583911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583918 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583925 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 583932 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 583932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 583935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 583937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 583942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 583947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 583952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 583957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 583962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 583967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 583976 */     GIR_RootConstrainSelectedInstOperands,
     /* 583977 */     // GIR_Coverage, 13467,
     /* 583977 */     GIR_EraseRootFromParent_Done,
     /* 583978 */   // Label 7497: @583978
     /* 583978 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(584093), // Rule ID 13483 //
     /* 583983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 583986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 583990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 583994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 583998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 584006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 584010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 584014 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 584018 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 584020 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 584024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 584026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584047 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 584050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 584057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 584062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 584067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 584072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 584077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 584082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584091 */     GIR_RootConstrainSelectedInstOperands,
     /* 584092 */     // GIR_Coverage, 13483,
     /* 584092 */     GIR_EraseRootFromParent_Done,
     /* 584093 */   // Label 7498: @584093
     /* 584093 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(584208), // Rule ID 7942 //
     /* 584098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 584101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 584105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 584109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 584113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 584121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 584125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 584129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 584133 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 584135 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 584139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 584141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584155 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584162 */     // (fmaxnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 584165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 584172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 584177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 584182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 584187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 584192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 584197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584206 */     GIR_RootConstrainSelectedInstOperands,
     /* 584207 */     // GIR_Coverage, 7942,
     /* 584207 */     GIR_EraseRootFromParent_Done,
     /* 584208 */   // Label 7499: @584208
     /* 584208 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(584323), // Rule ID 7958 //
     /* 584213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 584216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 584220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 584224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 584228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 584236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 584240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 584244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 584248 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 584250 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 584254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 584256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584263 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584277 */     // (fmaxnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 584280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 584287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 584292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 584297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 584302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 584307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 584312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584321 */     GIR_RootConstrainSelectedInstOperands,
     /* 584322 */     // GIR_Coverage, 7958,
     /* 584322 */     GIR_EraseRootFromParent_Done,
     /* 584323 */   // Label 7500: @584323
     /* 584323 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(584438), // Rule ID 7941 //
     /* 584328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 584331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 584335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 584339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 584343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 584351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 584355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 584359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 584363 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 584365 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 584369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 584371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584378 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584392 */     // (fmaxnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 584395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 584402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 584407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 584412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 584417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 584422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 584427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584436 */     GIR_RootConstrainSelectedInstOperands,
     /* 584437 */     // GIR_Coverage, 7941,
     /* 584437 */     GIR_EraseRootFromParent_Done,
     /* 584438 */   // Label 7501: @584438
     /* 584438 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(584553), // Rule ID 7957 //
     /* 584443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 584446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 584450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 584454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 584458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 584466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 584470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 584474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 584478 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 584480 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 584484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 584486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584500 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584507 */     // (fmaxnum_ieee:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 584510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 584517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 584522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 584527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 584532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 584537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 584542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584551 */     GIR_RootConstrainSelectedInstOperands,
     /* 584552 */     // GIR_Coverage, 7957,
     /* 584552 */     GIR_EraseRootFromParent_Done,
     /* 584553 */   // Label 7502: @584553
     /* 584553 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(584652), // Rule ID 13460 //
     /* 584558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 584561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 584565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 584569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 584573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 584581 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 584583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 584585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584592 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584606 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 584609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 584616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 584621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 584626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 584631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 584636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 584641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584650 */     GIR_RootConstrainSelectedInstOperands,
     /* 584651 */     // GIR_Coverage, 13460,
     /* 584651 */     GIR_EraseRootFromParent_Done,
     /* 584652 */   // Label 7503: @584652
     /* 584652 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(584751), // Rule ID 13476 //
     /* 584657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 584660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 584664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 584668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 584672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584676 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 584680 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 584682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 584684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584691 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584705 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 584708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 584715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 584720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 584725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 584730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 584735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 584740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584749 */     GIR_RootConstrainSelectedInstOperands,
     /* 584750 */     // GIR_Coverage, 13476,
     /* 584750 */     GIR_EraseRootFromParent_Done,
     /* 584751 */   // Label 7504: @584751
     /* 584751 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(584850), // Rule ID 13459 //
     /* 584756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 584759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 584763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 584767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 584771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 584779 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 584781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 584783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584804 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 584807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 584814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 584819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 584824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 584829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 584834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 584839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584848 */     GIR_RootConstrainSelectedInstOperands,
     /* 584849 */     // GIR_Coverage, 13459,
     /* 584849 */     GIR_EraseRootFromParent_Done,
     /* 584850 */   // Label 7505: @584850
     /* 584850 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(584949), // Rule ID 13475 //
     /* 584855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 584858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 584862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 584866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 584870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 584878 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 584880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 584882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584903 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 584903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 584906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 584908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 584913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 584918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 584923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 584928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 584933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 584938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 584947 */     GIR_RootConstrainSelectedInstOperands,
     /* 584948 */     // GIR_Coverage, 13475,
     /* 584948 */     GIR_EraseRootFromParent_Done,
     /* 584949 */   // Label 7506: @584949
     /* 584949 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(585048), // Rule ID 7934 //
     /* 584954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 584957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 584961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 584965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 584969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 584973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 584977 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 584979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 584981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 584995 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585002 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 585005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585046 */     GIR_RootConstrainSelectedInstOperands,
     /* 585047 */     // GIR_Coverage, 7934,
     /* 585047 */     GIR_EraseRootFromParent_Done,
     /* 585048 */   // Label 7507: @585048
     /* 585048 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(585147), // Rule ID 7950 //
     /* 585053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 585056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 585072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 585076 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 585078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 585080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585101 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 585104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585145 */     GIR_RootConstrainSelectedInstOperands,
     /* 585146 */     // GIR_Coverage, 7950,
     /* 585146 */     GIR_EraseRootFromParent_Done,
     /* 585147 */   // Label 7508: @585147
     /* 585147 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(585246), // Rule ID 7933 //
     /* 585152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 585155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 585159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 585167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 585171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 585175 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 585177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 585179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585200 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_t16_e64),
     /* 585203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585244 */     GIR_RootConstrainSelectedInstOperands,
     /* 585245 */     // GIR_Coverage, 7933,
     /* 585245 */     GIR_EraseRootFromParent_Done,
     /* 585246 */   // Label 7509: @585246
     /* 585246 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(585345), // Rule ID 7949 //
     /* 585251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 585254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 585266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 585270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 585274 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 585276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 585278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585292 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585299 */     // (fmaxnum_ieee:{ *:[f16] } (fminnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F16_fake16_e64),
     /* 585302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585343 */     GIR_RootConstrainSelectedInstOperands,
     /* 585344 */     // GIR_Coverage, 7949,
     /* 585344 */     GIR_EraseRootFromParent_Done,
     /* 585345 */   // Label 7510: @585345
     /* 585345 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(585380), // Rule ID 102 //
     /* 585350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 585353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 585357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 585361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 585365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13778),
     /* 585369 */     // (fmaxnum_ieee:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13778>>  =>  (S_MAX_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 585369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_F16),
     /* 585374 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 585378 */     GIR_RootConstrainSelectedInstOperands,
     /* 585379 */     // GIR_Coverage, 102,
     /* 585379 */     GIR_Done,
     /* 585380 */   // Label 7511: @585380
     /* 585380 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(585443), // Rule ID 881 //
     /* 585385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 585388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 585399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585406 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 585406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 585409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 585416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 585426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 585436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 585441 */     GIR_RootConstrainSelectedInstOperands,
     /* 585442 */     // GIR_Coverage, 881,
     /* 585442 */     GIR_EraseRootFromParent_Done,
     /* 585443 */   // Label 7512: @585443
     /* 585443 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(585506), // Rule ID 885 //
     /* 585448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 585451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 585462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585469 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 585469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 585472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 585479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 585489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 585499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 585504 */     GIR_RootConstrainSelectedInstOperands,
     /* 585505 */     // GIR_Coverage, 885,
     /* 585505 */     GIR_EraseRootFromParent_Done,
     /* 585506 */   // Label 7513: @585506
     /* 585506 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(585569), // Rule ID 8636 //
     /* 585511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 585514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 585532 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 585532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 585535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 585542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 585547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 585552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 585557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 585562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 585567 */     GIR_RootConstrainSelectedInstOperands,
     /* 585568 */     // GIR_Coverage, 8636,
     /* 585568 */     GIR_EraseRootFromParent_Done,
     /* 585569 */   // Label 7514: @585569
     /* 585569 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(585632), // Rule ID 8638 //
     /* 585574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 585577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 585595 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 585595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 585598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 585605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 585610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 585615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 585620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 585625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 585630 */     GIR_RootConstrainSelectedInstOperands,
     /* 585631 */     // GIR_Coverage, 8638,
     /* 585631 */     GIR_EraseRootFromParent_Done,
     /* 585632 */   // Label 7515: @585632
     /* 585632 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(585694), // Rule ID 883 //
     /* 585637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 585640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 585644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 585651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 585658 */     // (fmaxnum_ieee:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 585658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 585661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 585668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 585678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585692 */     GIR_RootConstrainSelectedInstOperands,
     /* 585693 */     // GIR_Coverage, 883,
     /* 585693 */     GIR_EraseRootFromParent_Done,
     /* 585694 */   // Label 7516: @585694
     /* 585694 */   GIM_Reject,
     /* 585695 */ // Label 7110: @585695
     /* 585695 */ GIM_Reject,
     /* 585696 */ // Label 7106: @585696
     /* 585696 */ GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(603207),
     /* 585701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 585704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 585707 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(585836), // Rule ID 11595 //
     /* 585712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 585728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 585732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 585736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 585744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 585748 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 585752 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 585756 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 585756 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 585761 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 585761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 585766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 585770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 585772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585779 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585786 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585793 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 585796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585834 */     GIR_RootConstrainSelectedInstOperands,
     /* 585835 */     // GIR_Coverage, 11595,
     /* 585835 */     GIR_EraseRootFromParent_Done,
     /* 585836 */   // Label 7518: @585836
     /* 585836 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(585965), // Rule ID 11596 //
     /* 585841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 585857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 585861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 585865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 585873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 585877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 585881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 585885 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 585885 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 585890 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 585890 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 585895 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 585899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 585901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585908 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585915 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 585922 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 585922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 585925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 585927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 585932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 585937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 585942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 585947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 585952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 585957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 585963 */     GIR_RootConstrainSelectedInstOperands,
     /* 585964 */     // GIR_Coverage, 11596,
     /* 585964 */     GIR_EraseRootFromParent_Done,
     /* 585965 */   // Label 7519: @585965
     /* 585965 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(586094), // Rule ID 11599 //
     /* 585970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 585974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 585978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 585986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 585990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 585994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 585998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586002 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586006 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586010 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 586014 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586014 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586019 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586019 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586024 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586028 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586044 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586051 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 586061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 586066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 586071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 586076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586092 */     GIR_RootConstrainSelectedInstOperands,
     /* 586093 */     // GIR_Coverage, 11599,
     /* 586093 */     GIR_EraseRootFromParent_Done,
     /* 586094 */   // Label 7520: @586094
     /* 586094 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(586223), // Rule ID 11600 //
     /* 586099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586131 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 586143 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586143 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586148 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586148 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586153 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586173 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586180 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 586190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 586195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 586200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 586205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586221 */     GIR_RootConstrainSelectedInstOperands,
     /* 586222 */     // GIR_Coverage, 11600,
     /* 586222 */     GIR_EraseRootFromParent_Done,
     /* 586223 */   // Label 7521: @586223
     /* 586223 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(586352), // Rule ID 11580 //
     /* 586228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586260 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586264 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586268 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 586272 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586272 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586277 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586277 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586286 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586295 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586302 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586309 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 586319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 586324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 586329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 586334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586350 */     GIR_RootConstrainSelectedInstOperands,
     /* 586351 */     // GIR_Coverage, 11580,
     /* 586351 */     GIR_EraseRootFromParent_Done,
     /* 586352 */   // Label 7522: @586352
     /* 586352 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(586481), // Rule ID 11581 //
     /* 586357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 586401 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586406 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586424 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586438 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 586448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 586453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 586458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 586463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586479 */     GIR_RootConstrainSelectedInstOperands,
     /* 586480 */     // GIR_Coverage, 11581,
     /* 586480 */     GIR_EraseRootFromParent_Done,
     /* 586481 */   // Label 7523: @586481
     /* 586481 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(586610), // Rule ID 11584 //
     /* 586486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 586530 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586535 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586540 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586560 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586567 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 586577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 586582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 586587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 586592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586608 */     GIR_RootConstrainSelectedInstOperands,
     /* 586609 */     // GIR_Coverage, 11584,
     /* 586609 */     GIR_EraseRootFromParent_Done,
     /* 586610 */   // Label 7524: @586610
     /* 586610 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(586739), // Rule ID 11585 //
     /* 586615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586651 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 586655 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 586659 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586659 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586664 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586664 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586669 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586673 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586682 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586696 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 586706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 586711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 586716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 586721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586737 */     GIR_RootConstrainSelectedInstOperands,
     /* 586738 */     // GIR_Coverage, 11585,
     /* 586738 */     GIR_EraseRootFromParent_Done,
     /* 586739 */   // Label 7525: @586739
     /* 586739 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(586868), // Rule ID 7790 //
     /* 586744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 586784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 586788 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586793 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586798 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586811 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586825 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 586835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 586840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 586845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 586850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586866 */     GIR_RootConstrainSelectedInstOperands,
     /* 586867 */     // GIR_Coverage, 7790,
     /* 586867 */     GIR_EraseRootFromParent_Done,
     /* 586868 */   // Label 7526: @586868
     /* 586868 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(586997), // Rule ID 11594 //
     /* 586873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 586877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 586881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 586889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 586893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 586897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 586901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 586905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 586909 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 586913 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 586917 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 586917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 586922 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 586922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 586927 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 586931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 586933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586940 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586947 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 586954 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 586954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 586957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 586959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 586964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 586969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 586974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 586979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 586984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 586989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 586995 */     GIR_RootConstrainSelectedInstOperands,
     /* 586996 */     // GIR_Coverage, 11594,
     /* 586996 */     GIR_EraseRootFromParent_Done,
     /* 586997 */   // Label 7527: @586997
     /* 586997 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(587126), // Rule ID 11597 //
     /* 587002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 587046 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587046 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587051 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587051 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587076 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587083 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 587093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 587098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 587103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 587108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587124 */     GIR_RootConstrainSelectedInstOperands,
     /* 587125 */     // GIR_Coverage, 11597,
     /* 587125 */     GIR_EraseRootFromParent_Done,
     /* 587126 */   // Label 7528: @587126
     /* 587126 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(587255), // Rule ID 11598 //
     /* 587131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 587175 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587180 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587180 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587189 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587198 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587205 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587212 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 587222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 587227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 587232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 587237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587253 */     GIR_RootConstrainSelectedInstOperands,
     /* 587254 */     // GIR_Coverage, 11598,
     /* 587254 */     GIR_EraseRootFromParent_Done,
     /* 587255 */   // Label 7529: @587255
     /* 587255 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(587384), // Rule ID 7789 //
     /* 587260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587292 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587296 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587300 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 587304 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587304 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587309 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587309 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587314 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587318 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587320 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587334 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587341 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 587351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 587356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 587361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 587366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587382 */     GIR_RootConstrainSelectedInstOperands,
     /* 587383 */     // GIR_Coverage, 7789,
     /* 587383 */     GIR_EraseRootFromParent_Done,
     /* 587384 */   // Label 7530: @587384
     /* 587384 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(587513), // Rule ID 11579 //
     /* 587389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587421 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 587433 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587433 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587438 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587438 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587443 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587456 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587463 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587470 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 587480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 587485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 587490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 587495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587511 */     GIR_RootConstrainSelectedInstOperands,
     /* 587512 */     // GIR_Coverage, 11579,
     /* 587512 */     GIR_EraseRootFromParent_Done,
     /* 587513 */   // Label 7531: @587513
     /* 587513 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(587642), // Rule ID 11582 //
     /* 587518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 587562 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587567 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587567 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587576 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587592 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587599 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 587609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 587614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 587619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 587624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587640 */     GIR_RootConstrainSelectedInstOperands,
     /* 587641 */     // GIR_Coverage, 11582,
     /* 587641 */     GIR_EraseRootFromParent_Done,
     /* 587642 */   // Label 7532: @587642
     /* 587642 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(587771), // Rule ID 11583 //
     /* 587647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587679 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 587687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 587691 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587691 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587696 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587696 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587701 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587728 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 587738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 587743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 587748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 587753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587769 */     GIR_RootConstrainSelectedInstOperands,
     /* 587770 */     // GIR_Coverage, 11583,
     /* 587770 */     GIR_EraseRootFromParent_Done,
     /* 587771 */   // Label 7533: @587771
     /* 587771 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(587900), // Rule ID 11565 //
     /* 587776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 587804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587808 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 587816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 587820 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587825 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587825 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587830 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587834 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587836 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587850 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587857 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 587867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 587872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 587877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 587882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 587887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 587892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 587898 */     GIR_RootConstrainSelectedInstOperands,
     /* 587899 */     // GIR_Coverage, 11565,
     /* 587899 */     GIR_EraseRootFromParent_Done,
     /* 587900 */   // Label 7534: @587900
     /* 587900 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(588029), // Rule ID 11566 //
     /* 587905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 587909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 587913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 587917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 587921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 587925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 587929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 587933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 587937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 587941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 587945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 587949 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 587949 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 587954 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 587954 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 587959 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 587963 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 587965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587979 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 587986 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 587986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 587989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 587991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 587996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 588001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 588006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 588011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588027 */     GIR_RootConstrainSelectedInstOperands,
     /* 588028 */     // GIR_Coverage, 11566,
     /* 588028 */     GIR_EraseRootFromParent_Done,
     /* 588029 */   // Label 7535: @588029
     /* 588029 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(588158), // Rule ID 11569 //
     /* 588034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 588078 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588078 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588083 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588083 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588108 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588115 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 588125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 588130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 588135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 588140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588156 */     GIR_RootConstrainSelectedInstOperands,
     /* 588157 */     // GIR_Coverage, 11569,
     /* 588157 */     GIR_EraseRootFromParent_Done,
     /* 588158 */   // Label 7536: @588158
     /* 588158 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(588287), // Rule ID 11570 //
     /* 588163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588195 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588199 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588203 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 588207 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588212 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588212 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588217 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588221 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588230 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588237 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588244 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 588254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 588259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 588264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 588269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588285 */     GIR_RootConstrainSelectedInstOperands,
     /* 588286 */     // GIR_Coverage, 11570,
     /* 588286 */     GIR_EraseRootFromParent_Done,
     /* 588287 */   // Label 7537: @588287
     /* 588287 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(588416), // Rule ID 11550 //
     /* 588292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 588336 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588341 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588346 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588366 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588373 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 588383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 588388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 588393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 588398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588414 */     GIR_RootConstrainSelectedInstOperands,
     /* 588415 */     // GIR_Coverage, 11550,
     /* 588415 */     GIR_EraseRootFromParent_Done,
     /* 588416 */   // Label 7538: @588416
     /* 588416 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(588545), // Rule ID 11551 //
     /* 588421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588457 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588461 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 588465 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588465 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588470 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588470 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588479 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588481 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588495 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588502 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 588512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 588517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 588522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 588527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588543 */     GIR_RootConstrainSelectedInstOperands,
     /* 588544 */     // GIR_Coverage, 11551,
     /* 588544 */     GIR_EraseRootFromParent_Done,
     /* 588545 */   // Label 7539: @588545
     /* 588545 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(588674), // Rule ID 11554 //
     /* 588550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588566 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588582 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 588594 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588594 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588599 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588599 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588604 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588610 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588617 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588624 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588631 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 588641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 588646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 588651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 588656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588672 */     GIR_RootConstrainSelectedInstOperands,
     /* 588673 */     // GIR_Coverage, 11554,
     /* 588673 */     GIR_EraseRootFromParent_Done,
     /* 588674 */   // Label 7540: @588674
     /* 588674 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(588803), // Rule ID 11555 //
     /* 588679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588711 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 588719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 588723 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588728 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588728 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588737 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588760 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 588770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 588775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 588780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 588785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588801 */     GIR_RootConstrainSelectedInstOperands,
     /* 588802 */     // GIR_Coverage, 11555,
     /* 588802 */     GIR_EraseRootFromParent_Done,
     /* 588803 */   // Label 7541: @588803
     /* 588803 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(588932), // Rule ID 7788 //
     /* 588808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 588848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 588852 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588857 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588862 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588866 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 588889 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 588889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 588892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 588894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 588899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 588904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 588909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 588914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 588919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 588924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 588930 */     GIR_RootConstrainSelectedInstOperands,
     /* 588931 */     // GIR_Coverage, 7788,
     /* 588931 */     GIR_EraseRootFromParent_Done,
     /* 588932 */   // Label 7542: @588932
     /* 588932 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(589061), // Rule ID 11564 //
     /* 588937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 588941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 588945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 588949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 588953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 588957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 588961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 588965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 588969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 588973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 588977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 588981 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 588981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 588986 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 588986 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 588991 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 588995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 588997 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589011 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589018 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 589028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 589033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 589038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 589043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589059 */     GIR_RootConstrainSelectedInstOperands,
     /* 589060 */     // GIR_Coverage, 11564,
     /* 589060 */     GIR_EraseRootFromParent_Done,
     /* 589061 */   // Label 7543: @589061
     /* 589061 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(589190), // Rule ID 11567 //
     /* 589066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589102 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589106 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 589110 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589115 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589115 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589120 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589124 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589140 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589147 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 589157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 589162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 589167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 589172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589188 */     GIR_RootConstrainSelectedInstOperands,
     /* 589189 */     // GIR_Coverage, 11567,
     /* 589189 */     GIR_EraseRootFromParent_Done,
     /* 589190 */   // Label 7544: @589190
     /* 589190 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(589319), // Rule ID 11568 //
     /* 589195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589227 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 589239 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589239 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589244 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589244 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589249 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589269 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589276 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 589286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 589291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 589296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 589301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589317 */     GIR_RootConstrainSelectedInstOperands,
     /* 589318 */     // GIR_Coverage, 11568,
     /* 589318 */     GIR_EraseRootFromParent_Done,
     /* 589319 */   // Label 7545: @589319
     /* 589319 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(589448), // Rule ID 7787 //
     /* 589324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 589368 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589368 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589373 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589373 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589382 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589405 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 589415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 589420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 589425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 589430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589446 */     GIR_RootConstrainSelectedInstOperands,
     /* 589447 */     // GIR_Coverage, 7787,
     /* 589447 */     GIR_EraseRootFromParent_Done,
     /* 589448 */   // Label 7546: @589448
     /* 589448 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(589577), // Rule ID 11549 //
     /* 589453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 589497 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589502 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589507 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589527 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589534 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 589544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 589549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 589554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 589559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589575 */     GIR_RootConstrainSelectedInstOperands,
     /* 589576 */     // GIR_Coverage, 11549,
     /* 589576 */     GIR_EraseRootFromParent_Done,
     /* 589577 */   // Label 7547: @589577
     /* 589577 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(589706), // Rule ID 11552 //
     /* 589582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 589626 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589631 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589631 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589636 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589642 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589656 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589663 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 589673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 589678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 589683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 589688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589704 */     GIR_RootConstrainSelectedInstOperands,
     /* 589705 */     // GIR_Coverage, 11552,
     /* 589705 */     GIR_EraseRootFromParent_Done,
     /* 589706 */   // Label 7548: @589706
     /* 589706 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(589835), // Rule ID 11553 //
     /* 589711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 589735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 589739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589747 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 589751 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 589755 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 589760 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 589765 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589771 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589785 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589792 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 589802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 589807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 589812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 589817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 589822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 589827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589833 */     GIR_RootConstrainSelectedInstOperands,
     /* 589834 */     // GIR_Coverage, 11553,
     /* 589834 */     GIR_EraseRootFromParent_Done,
     /* 589835 */   // Label 7549: @589835
     /* 589835 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(589964), // Rule ID 11605 //
     /* 589840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 589864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 589868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 589872 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 589876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 589880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589884 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 589884 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 589889 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 589889 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 589894 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 589898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 589900 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589907 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589914 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 589921 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 589921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 589924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 589926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 589931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 589936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 589941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 589946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 589951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 589956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 589962 */     GIR_RootConstrainSelectedInstOperands,
     /* 589963 */     // GIR_Coverage, 11605,
     /* 589963 */     GIR_EraseRootFromParent_Done,
     /* 589964 */   // Label 7550: @589964
     /* 589964 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(590093), // Rule ID 11606 //
     /* 589969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 589973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 589977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 589981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 589985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 589989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 589993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 589997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590001 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590013 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590013 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590018 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590018 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590023 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590027 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590050 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 590060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 590065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 590070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 590075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590091 */     GIR_RootConstrainSelectedInstOperands,
     /* 590092 */     // GIR_Coverage, 11606,
     /* 590092 */     GIR_EraseRootFromParent_Done,
     /* 590093 */   // Label 7551: @590093
     /* 590093 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(590222), // Rule ID 11607 //
     /* 590098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590130 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590142 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590147 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590147 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590152 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590179 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 590189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 590194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 590199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 590204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590220 */     GIR_RootConstrainSelectedInstOperands,
     /* 590221 */     // GIR_Coverage, 11607,
     /* 590221 */     GIR_EraseRootFromParent_Done,
     /* 590222 */   // Label 7552: @590222
     /* 590222 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(590351), // Rule ID 11608 //
     /* 590227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590259 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590271 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590276 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590294 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590301 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590308 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 590318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 590323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 590328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 590333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590349 */     GIR_RootConstrainSelectedInstOperands,
     /* 590350 */     // GIR_Coverage, 11608,
     /* 590350 */     GIR_EraseRootFromParent_Done,
     /* 590351 */   // Label 7553: @590351
     /* 590351 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(590480), // Rule ID 11545 //
     /* 590356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590388 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590392 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590396 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 590400 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590400 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590405 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590405 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590430 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590437 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 590447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 590452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 590457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 590462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590478 */     GIR_RootConstrainSelectedInstOperands,
     /* 590479 */     // GIR_Coverage, 11545,
     /* 590479 */     GIR_EraseRootFromParent_Done,
     /* 590480 */   // Label 7554: @590480
     /* 590480 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(590609), // Rule ID 11546 //
     /* 590485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590517 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 590529 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590529 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590534 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590534 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590539 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590543 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590559 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590566 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 590576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 590581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 590586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 590591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590607 */     GIR_RootConstrainSelectedInstOperands,
     /* 590608 */     // GIR_Coverage, 11546,
     /* 590608 */     GIR_EraseRootFromParent_Done,
     /* 590609 */   // Label 7555: @590609
     /* 590609 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(590738), // Rule ID 11547 //
     /* 590614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590646 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590650 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590654 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 590658 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590658 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590663 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590668 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590672 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590695 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 590705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 590710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 590715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 590720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590736 */     GIR_RootConstrainSelectedInstOperands,
     /* 590737 */     // GIR_Coverage, 11547,
     /* 590737 */     GIR_EraseRootFromParent_Done,
     /* 590738 */   // Label 7556: @590738
     /* 590738 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(590867), // Rule ID 11548 //
     /* 590743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 590771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 590787 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590787 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590792 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590792 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590797 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590817 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590824 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 590834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 590839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 590844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 590849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590865 */     GIR_RootConstrainSelectedInstOperands,
     /* 590866 */     // GIR_Coverage, 11548,
     /* 590866 */     GIR_EraseRootFromParent_Done,
     /* 590867 */   // Label 7557: @590867
     /* 590867 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(590996), // Rule ID 11590 //
     /* 590872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 590876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 590880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 590888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 590892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 590896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 590900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 590904 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 590908 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 590912 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 590916 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 590916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 590921 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 590921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 590926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 590930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 590932 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590939 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 590953 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 590953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 590956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 590958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 590963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 590968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 590973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 590978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 590983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 590988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 590994 */     GIR_RootConstrainSelectedInstOperands,
     /* 590995 */     // GIR_Coverage, 11590,
     /* 590995 */     GIR_EraseRootFromParent_Done,
     /* 590996 */   // Label 7558: @590996
     /* 590996 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(591125), // Rule ID 11591 //
     /* 591001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591045 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591045 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591050 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591050 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591068 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591082 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 591092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 591097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 591102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 591107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591123 */     GIR_RootConstrainSelectedInstOperands,
     /* 591124 */     // GIR_Coverage, 11591,
     /* 591124 */     GIR_EraseRootFromParent_Done,
     /* 591125 */   // Label 7559: @591125
     /* 591125 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(591254), // Rule ID 11592 //
     /* 591130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591162 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591174 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591174 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591179 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591179 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591184 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591190 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591204 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591211 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 591221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 591226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 591231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 591236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591252 */     GIR_RootConstrainSelectedInstOperands,
     /* 591253 */     // GIR_Coverage, 11592,
     /* 591253 */     GIR_EraseRootFromParent_Done,
     /* 591254 */   // Label 7560: @591254
     /* 591254 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(591383), // Rule ID 11593 //
     /* 591259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591303 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591308 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591317 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591319 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591340 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 591350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 591355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 591360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 591365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591381 */     GIR_RootConstrainSelectedInstOperands,
     /* 591382 */     // GIR_Coverage, 11593,
     /* 591382 */     GIR_EraseRootFromParent_Done,
     /* 591383 */   // Label 7561: @591383
     /* 591383 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(591512), // Rule ID 11530 //
     /* 591388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591420 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 591432 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591437 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591437 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591442 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591469 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 591479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 591484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 591489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 591494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591510 */     GIR_RootConstrainSelectedInstOperands,
     /* 591511 */     // GIR_Coverage, 11530,
     /* 591511 */     GIR_EraseRootFromParent_Done,
     /* 591512 */   // Label 7562: @591512
     /* 591512 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(591641), // Rule ID 11531 //
     /* 591517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591553 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591557 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 591561 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591561 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591566 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591566 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591571 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591598 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 591608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 591613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 591618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 591623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591639 */     GIR_RootConstrainSelectedInstOperands,
     /* 591640 */     // GIR_Coverage, 11531,
     /* 591640 */     GIR_EraseRootFromParent_Done,
     /* 591641 */   // Label 7563: @591641
     /* 591641 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(591770), // Rule ID 11532 //
     /* 591646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591678 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 591690 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591695 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591727 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 591737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 591742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 591747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 591752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591768 */     GIR_RootConstrainSelectedInstOperands,
     /* 591769 */     // GIR_Coverage, 11532,
     /* 591769 */     GIR_EraseRootFromParent_Done,
     /* 591770 */   // Label 7564: @591770
     /* 591770 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(591899), // Rule ID 11533 //
     /* 591775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 591799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 591803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591807 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 591819 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591819 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591824 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591824 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591829 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591835 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591849 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591856 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 591866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 591871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 591876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 591881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 591886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 591891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 591897 */     GIR_RootConstrainSelectedInstOperands,
     /* 591898 */     // GIR_Coverage, 11533,
     /* 591898 */     GIR_EraseRootFromParent_Done,
     /* 591899 */   // Label 7565: @591899
     /* 591899 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(592028), // Rule ID 11601 //
     /* 591904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 591908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 591912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 591920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 591924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 591928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 591932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 591936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 591940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 591944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 591948 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 591948 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 591953 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 591953 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 591958 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 591962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 591964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591978 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 591985 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 591985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 591988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 591990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 591995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 592000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 592005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 592010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592026 */     GIR_RootConstrainSelectedInstOperands,
     /* 592027 */     // GIR_Coverage, 11601,
     /* 592027 */     GIR_EraseRootFromParent_Done,
     /* 592028 */   // Label 7566: @592028
     /* 592028 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(592157), // Rule ID 11602 //
     /* 592033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592065 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592077 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592077 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592082 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592082 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592087 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592093 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592100 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592107 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592114 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 592124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 592129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 592134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 592139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592155 */     GIR_RootConstrainSelectedInstOperands,
     /* 592156 */     // GIR_Coverage, 11602,
     /* 592156 */     GIR_EraseRootFromParent_Done,
     /* 592157 */   // Label 7567: @592157
     /* 592157 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(592286), // Rule ID 11603 //
     /* 592162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592198 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592202 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592206 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592206 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592211 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592216 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592220 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592222 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592236 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592243 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 592253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 592258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 592263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 592268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592284 */     GIR_RootConstrainSelectedInstOperands,
     /* 592285 */     // GIR_Coverage, 11603,
     /* 592285 */     GIR_EraseRootFromParent_Done,
     /* 592286 */   // Label 7568: @592286
     /* 592286 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(592415), // Rule ID 11604 //
     /* 592291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592335 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592335 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592340 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592345 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592365 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592372 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 592382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 592387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 592392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 592397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592413 */     GIR_RootConstrainSelectedInstOperands,
     /* 592414 */     // GIR_Coverage, 11604,
     /* 592414 */     GIR_EraseRootFromParent_Done,
     /* 592415 */   // Label 7569: @592415
     /* 592415 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(592544), // Rule ID 11541 //
     /* 592420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592452 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592456 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592460 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 592464 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592464 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592469 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592469 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592478 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592480 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592487 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592494 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592501 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 592511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 592516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 592521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 592526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592542 */     GIR_RootConstrainSelectedInstOperands,
     /* 592543 */     // GIR_Coverage, 11541,
     /* 592543 */     GIR_EraseRootFromParent_Done,
     /* 592544 */   // Label 7570: @592544
     /* 592544 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(592673), // Rule ID 11542 //
     /* 592549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 592593 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592593 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592598 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592598 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592603 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592609 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592616 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592623 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592630 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 592640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 592645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 592650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 592655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592671 */     GIR_RootConstrainSelectedInstOperands,
     /* 592672 */     // GIR_Coverage, 11542,
     /* 592672 */     GIR_EraseRootFromParent_Done,
     /* 592673 */   // Label 7571: @592673
     /* 592673 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(592802), // Rule ID 11543 //
     /* 592678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 592722 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592722 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592727 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592752 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592759 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 592769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 592774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 592779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 592784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592800 */     GIR_RootConstrainSelectedInstOperands,
     /* 592801 */     // GIR_Coverage, 11543,
     /* 592801 */     GIR_EraseRootFromParent_Done,
     /* 592802 */   // Label 7572: @592802
     /* 592802 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(592931), // Rule ID 11544 //
     /* 592807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 592835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 592851 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592856 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592861 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592865 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592867 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592874 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592881 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 592888 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 592888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 592891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 592893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 592898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 592903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 592908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 592913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 592918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 592923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 592929 */     GIR_RootConstrainSelectedInstOperands,
     /* 592930 */     // GIR_Coverage, 11544,
     /* 592930 */     GIR_EraseRootFromParent_Done,
     /* 592931 */   // Label 7573: @592931
     /* 592931 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(593060), // Rule ID 11586 //
     /* 592936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 592940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 592944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 592952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 592956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 592960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 592964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 592968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 592972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 592976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 592980 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 592980 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 592985 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 592985 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 592990 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 592994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 592996 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593003 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593010 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593017 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 593027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 593032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 593037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 593042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593058 */     GIR_RootConstrainSelectedInstOperands,
     /* 593059 */     // GIR_Coverage, 11586,
     /* 593059 */     GIR_EraseRootFromParent_Done,
     /* 593060 */   // Label 7574: @593060
     /* 593060 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(593189), // Rule ID 11587 //
     /* 593065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593101 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593105 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593109 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593109 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593114 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593114 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593119 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593123 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593125 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593132 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593146 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 593156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 593161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 593166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 593171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593187 */     GIR_RootConstrainSelectedInstOperands,
     /* 593188 */     // GIR_Coverage, 11587,
     /* 593188 */     GIR_EraseRootFromParent_Done,
     /* 593189 */   // Label 7575: @593189
     /* 593189 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(593318), // Rule ID 11588 //
     /* 593194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593226 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593238 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593238 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593243 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593254 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593268 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593275 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 593285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 593290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 593295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 593300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593316 */     GIR_RootConstrainSelectedInstOperands,
     /* 593317 */     // GIR_Coverage, 11588,
     /* 593317 */     GIR_EraseRootFromParent_Done,
     /* 593318 */   // Label 7576: @593318
     /* 593318 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(593447), // Rule ID 11589 //
     /* 593323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593367 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593372 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593390 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593397 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593404 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 593414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 593419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 593424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 593429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593445 */     GIR_RootConstrainSelectedInstOperands,
     /* 593446 */     // GIR_Coverage, 11589,
     /* 593446 */     GIR_EraseRootFromParent_Done,
     /* 593447 */   // Label 7577: @593447
     /* 593447 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(593576), // Rule ID 11526 //
     /* 593452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593488 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593492 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 593496 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593496 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593501 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593501 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593506 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593510 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593512 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593519 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593526 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593533 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 593543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 593548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 593553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 593558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593574 */     GIR_RootConstrainSelectedInstOperands,
     /* 593575 */     // GIR_Coverage, 11526,
     /* 593575 */     GIR_EraseRootFromParent_Done,
     /* 593576 */   // Label 7578: @593576
     /* 593576 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(593705), // Rule ID 11527 //
     /* 593581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 593625 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593625 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593630 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593630 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593648 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593655 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593662 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 593672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 593677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 593682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 593687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593703 */     GIR_RootConstrainSelectedInstOperands,
     /* 593704 */     // GIR_Coverage, 11527,
     /* 593704 */     GIR_EraseRootFromParent_Done,
     /* 593705 */   // Label 7579: @593705
     /* 593705 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(593834), // Rule ID 11528 //
     /* 593710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593742 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593746 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593750 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 593754 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593754 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593759 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593759 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593764 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593768 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593777 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593784 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593791 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 593801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 593806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 593811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 593816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593832 */     GIR_RootConstrainSelectedInstOperands,
     /* 593833 */     // GIR_Coverage, 11528,
     /* 593833 */     GIR_EraseRootFromParent_Done,
     /* 593834 */   // Label 7580: @593834
     /* 593834 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(593963), // Rule ID 11529 //
     /* 593839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 593863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 593867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 593871 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 593875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 593879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 593883 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 593883 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 593888 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 593888 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 593893 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 593897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 593899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593913 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 593920 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 593920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 593923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 593925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 593930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 593935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 593940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 593945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 593950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 593955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 593961 */     GIR_RootConstrainSelectedInstOperands,
     /* 593962 */     // GIR_Coverage, 11529,
     /* 593962 */     GIR_EraseRootFromParent_Done,
     /* 593963 */   // Label 7581: @593963
     /* 593963 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(594092), // Rule ID 11535 //
     /* 593968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 593972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 593976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 593980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 593984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 593988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 593992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 593996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594000 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594004 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594008 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 594012 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594017 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594017 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594022 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594035 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594042 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594049 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 594059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 594064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 594069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 594074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594090 */     GIR_RootConstrainSelectedInstOperands,
     /* 594091 */     // GIR_Coverage, 11535,
     /* 594091 */     GIR_EraseRootFromParent_Done,
     /* 594092 */   // Label 7582: @594092
     /* 594092 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(594221), // Rule ID 11536 //
     /* 594097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 594141 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594146 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594171 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594178 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 594188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 594193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 594198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 594203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594219 */     GIR_RootConstrainSelectedInstOperands,
     /* 594220 */     // GIR_Coverage, 11536,
     /* 594220 */     GIR_EraseRootFromParent_Done,
     /* 594221 */   // Label 7583: @594221
     /* 594221 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(594350), // Rule ID 11539 //
     /* 594226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594258 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 594270 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594270 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594275 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594280 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594300 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594307 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 594317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 594322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 594327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 594332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594348 */     GIR_RootConstrainSelectedInstOperands,
     /* 594349 */     // GIR_Coverage, 11539,
     /* 594349 */     GIR_EraseRootFromParent_Done,
     /* 594350 */   // Label 7584: @594350
     /* 594350 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(594479), // Rule ID 11540 //
     /* 594355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594387 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 594399 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594399 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594404 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594404 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594409 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594413 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594415 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594422 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594429 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594436 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 594446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 594451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 594456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 594461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594477 */     GIR_RootConstrainSelectedInstOperands,
     /* 594478 */     // GIR_Coverage, 11540,
     /* 594478 */     GIR_EraseRootFromParent_Done,
     /* 594479 */   // Label 7585: @594479
     /* 594479 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(594608), // Rule ID 11520 //
     /* 594484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594516 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 594528 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594533 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594533 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594558 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594565 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 594575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 594580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 594585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 594590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594606 */     GIR_RootConstrainSelectedInstOperands,
     /* 594607 */     // GIR_Coverage, 11520,
     /* 594607 */     GIR_EraseRootFromParent_Done,
     /* 594608 */   // Label 7586: @594608
     /* 594608 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(594737), // Rule ID 11521 //
     /* 594613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 594657 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594662 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594667 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594680 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594687 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594694 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 594704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 594709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 594714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 594719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594735 */     GIR_RootConstrainSelectedInstOperands,
     /* 594736 */     // GIR_Coverage, 11521,
     /* 594736 */     GIR_EraseRootFromParent_Done,
     /* 594737 */   // Label 7587: @594737
     /* 594737 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(594866), // Rule ID 11524 //
     /* 594742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 594786 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594791 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594796 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594816 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594823 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 594833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 594838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 594843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 594848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594864 */     GIR_RootConstrainSelectedInstOperands,
     /* 594865 */     // GIR_Coverage, 11524,
     /* 594865 */     GIR_EraseRootFromParent_Done,
     /* 594866 */   // Label 7588: @594866
     /* 594866 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(594995), // Rule ID 11525 //
     /* 594871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 594875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 594879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 594883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 594887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 594891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 594895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 594899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 594903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 594907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 594911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 594915 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 594915 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 594920 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 594920 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 594925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 594929 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 594931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594945 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 594952 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 594952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 594955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 594957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 594962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 594967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 594972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 594977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 594982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 594987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 594993 */     GIR_RootConstrainSelectedInstOperands,
     /* 594994 */     // GIR_Coverage, 11525,
     /* 594994 */     GIR_EraseRootFromParent_Done,
     /* 594995 */   // Label 7589: @594995
     /* 594995 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(595124), // Rule ID 7786 //
     /* 595000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595032 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595036 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595040 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 595044 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595044 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595049 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595049 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595054 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595060 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595074 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595081 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 595091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 595096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 595101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 595106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595122 */     GIR_RootConstrainSelectedInstOperands,
     /* 595123 */     // GIR_Coverage, 7786,
     /* 595123 */     GIR_EraseRootFromParent_Done,
     /* 595124 */   // Label 7590: @595124
     /* 595124 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(595253), // Rule ID 11534 //
     /* 595129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595161 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 595173 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595178 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595210 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 595220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 595225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 595230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 595235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595251 */     GIR_RootConstrainSelectedInstOperands,
     /* 595252 */     // GIR_Coverage, 11534,
     /* 595252 */     GIR_EraseRootFromParent_Done,
     /* 595253 */   // Label 7591: @595253
     /* 595253 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(595382), // Rule ID 11537 //
     /* 595258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595290 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595298 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 595302 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595302 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595307 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595307 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595312 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595316 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595332 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595339 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 595349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 595354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 595359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 595364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595380 */     GIR_RootConstrainSelectedInstOperands,
     /* 595381 */     // GIR_Coverage, 11537,
     /* 595381 */     GIR_EraseRootFromParent_Done,
     /* 595382 */   // Label 7592: @595382
     /* 595382 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(595511), // Rule ID 11538 //
     /* 595387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 595431 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595436 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595441 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595454 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595461 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595468 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 595478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 595483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 595488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 595493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595509 */     GIR_RootConstrainSelectedInstOperands,
     /* 595510 */     // GIR_Coverage, 11538,
     /* 595510 */     GIR_EraseRootFromParent_Done,
     /* 595511 */   // Label 7593: @595511
     /* 595511 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(595640), // Rule ID 7785 //
     /* 595516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 595560 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595560 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595565 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595574 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595590 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595597 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 595607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 595612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 595617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 595622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595638 */     GIR_RootConstrainSelectedInstOperands,
     /* 595639 */     // GIR_Coverage, 7785,
     /* 595639 */     GIR_EraseRootFromParent_Done,
     /* 595640 */   // Label 7594: @595640
     /* 595640 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(595769), // Rule ID 11519 //
     /* 595645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 595689 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595689 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595694 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595694 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595699 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595705 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595712 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595726 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 595736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 595741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 595746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 595751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595767 */     GIR_RootConstrainSelectedInstOperands,
     /* 595768 */     // GIR_Coverage, 11519,
     /* 595768 */     GIR_EraseRootFromParent_Done,
     /* 595769 */   // Label 7595: @595769
     /* 595769 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(595898), // Rule ID 11522 //
     /* 595774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 595818 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595818 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595823 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595828 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595848 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595855 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 595865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 595870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 595875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 595880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 595885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 595890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 595896 */     GIR_RootConstrainSelectedInstOperands,
     /* 595897 */     // GIR_Coverage, 11522,
     /* 595897 */     GIR_EraseRootFromParent_Done,
     /* 595898 */   // Label 7596: @595898
     /* 595898 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(596027), // Rule ID 11523 //
     /* 595903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 595907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 595911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 595915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 595919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 595923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 595927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 595931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 595935 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 595939 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 595943 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 595947 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 595947 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 595952 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 595952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 595957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 595961 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 595963 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595970 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 595984 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 595984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 595987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 595989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 595994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 595999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 596004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 596009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596025 */     GIR_RootConstrainSelectedInstOperands,
     /* 596026 */     // GIR_Coverage, 11523,
     /* 596026 */     GIR_EraseRootFromParent_Done,
     /* 596027 */   // Label 7597: @596027
     /* 596027 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(596156), // Rule ID 11505 //
     /* 596032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596064 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 596076 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596076 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596081 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596081 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596113 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 596123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 596128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 596133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 596138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596154 */     GIR_RootConstrainSelectedInstOperands,
     /* 596155 */     // GIR_Coverage, 11505,
     /* 596155 */     GIR_EraseRootFromParent_Done,
     /* 596156 */   // Label 7598: @596156
     /* 596156 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(596285), // Rule ID 11506 //
     /* 596161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 596205 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596210 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596215 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596219 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596242 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 596252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 596257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 596262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 596267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596283 */     GIR_RootConstrainSelectedInstOperands,
     /* 596284 */     // GIR_Coverage, 11506,
     /* 596284 */     GIR_EraseRootFromParent_Done,
     /* 596285 */   // Label 7599: @596285
     /* 596285 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(596414), // Rule ID 11509 //
     /* 596290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596322 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 596334 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596334 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596339 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596339 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596344 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596350 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596371 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 596381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 596386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 596391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 596396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596412 */     GIR_RootConstrainSelectedInstOperands,
     /* 596413 */     // GIR_Coverage, 11509,
     /* 596413 */     GIR_EraseRootFromParent_Done,
     /* 596414 */   // Label 7600: @596414
     /* 596414 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(596543), // Rule ID 11510 //
     /* 596419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 596463 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596463 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596468 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596468 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596473 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596500 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 596510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 596515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 596520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 596525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596541 */     GIR_RootConstrainSelectedInstOperands,
     /* 596542 */     // GIR_Coverage, 11510,
     /* 596542 */     GIR_EraseRootFromParent_Done,
     /* 596543 */   // Label 7601: @596543
     /* 596543 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(596672), // Rule ID 11490 //
     /* 596548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596588 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 596592 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596597 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596606 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596615 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596622 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596629 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 596639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 596644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 596649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 596654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596670 */     GIR_RootConstrainSelectedInstOperands,
     /* 596671 */     // GIR_Coverage, 11490,
     /* 596671 */     GIR_EraseRootFromParent_Done,
     /* 596672 */   // Label 7602: @596672
     /* 596672 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(596801), // Rule ID 11491 //
     /* 596677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 596721 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596726 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596744 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596758 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 596768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 596773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 596778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 596783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596799 */     GIR_RootConstrainSelectedInstOperands,
     /* 596800 */     // GIR_Coverage, 11491,
     /* 596800 */     GIR_EraseRootFromParent_Done,
     /* 596801 */   // Label 7603: @596801
     /* 596801 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(596930), // Rule ID 11494 //
     /* 596806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596838 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596842 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596846 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 596850 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596850 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596855 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596855 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 596887 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 596887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 596890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 596892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 596897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 596902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 596907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 596912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 596917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 596922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 596928 */     GIR_RootConstrainSelectedInstOperands,
     /* 596929 */     // GIR_Coverage, 11494,
     /* 596929 */     GIR_EraseRootFromParent_Done,
     /* 596930 */   // Label 7604: @596930
     /* 596930 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(597059), // Rule ID 11495 //
     /* 596935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 596939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 596943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 596951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 596955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 596959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 596963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 596967 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 596971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 596975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 596979 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 596979 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 596984 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 596984 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 596989 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 596993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 596995 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597002 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597009 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597016 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 597026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 597031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 597036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 597041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597057 */     GIR_RootConstrainSelectedInstOperands,
     /* 597058 */     // GIR_Coverage, 11495,
     /* 597058 */     GIR_EraseRootFromParent_Done,
     /* 597059 */   // Label 7605: @597059
     /* 597059 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(597188), // Rule ID 7784 //
     /* 597064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597096 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 597108 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597108 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597113 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597118 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597124 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597138 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597145 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 597155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 597160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 597165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 597170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597186 */     GIR_RootConstrainSelectedInstOperands,
     /* 597187 */     // GIR_Coverage, 7784,
     /* 597187 */     GIR_EraseRootFromParent_Done,
     /* 597188 */   // Label 7606: @597188
     /* 597188 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(597317), // Rule ID 11504 //
     /* 597193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597225 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597233 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 597237 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597237 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597242 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597242 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597247 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597260 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597267 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597274 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 597284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 597289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 597294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 597299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597315 */     GIR_RootConstrainSelectedInstOperands,
     /* 597316 */     // GIR_Coverage, 11504,
     /* 597316 */     GIR_EraseRootFromParent_Done,
     /* 597317 */   // Label 7607: @597317
     /* 597317 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(597446), // Rule ID 11507 //
     /* 597322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 597366 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597371 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597371 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597376 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597396 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597403 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 597413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 597418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 597423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 597428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597444 */     GIR_RootConstrainSelectedInstOperands,
     /* 597445 */     // GIR_Coverage, 11507,
     /* 597445 */     GIR_EraseRootFromParent_Done,
     /* 597446 */   // Label 7608: @597446
     /* 597446 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(597575), // Rule ID 11508 //
     /* 597451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597483 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 597495 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597500 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597500 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597509 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597525 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597532 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 597542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 597547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 597552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 597557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597573 */     GIR_RootConstrainSelectedInstOperands,
     /* 597574 */     // GIR_Coverage, 11508,
     /* 597574 */     GIR_EraseRootFromParent_Done,
     /* 597575 */   // Label 7609: @597575
     /* 597575 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(597704), // Rule ID 7783 //
     /* 597580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 597624 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597624 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597629 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597629 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597654 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597661 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 597671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 597676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 597681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 597686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597702 */     GIR_RootConstrainSelectedInstOperands,
     /* 597703 */     // GIR_Coverage, 7783,
     /* 597703 */     GIR_EraseRootFromParent_Done,
     /* 597704 */   // Label 7610: @597704
     /* 597704 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(597833), // Rule ID 11489 //
     /* 597709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 597753 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597758 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597763 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597776 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597783 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597790 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 597800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 597805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 597810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 597815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597831 */     GIR_RootConstrainSelectedInstOperands,
     /* 597832 */     // GIR_Coverage, 11489,
     /* 597832 */     GIR_EraseRootFromParent_Done,
     /* 597833 */   // Label 7611: @597833
     /* 597833 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(597962), // Rule ID 11492 //
     /* 597838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 597874 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 597878 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 597882 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 597882 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 597887 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 597887 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 597892 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 597896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 597898 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597912 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 597919 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 597919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 597922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 597924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 597929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 597934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 597939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 597944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 597949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 597954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 597960 */     GIR_RootConstrainSelectedInstOperands,
     /* 597961 */     // GIR_Coverage, 11492,
     /* 597961 */     GIR_EraseRootFromParent_Done,
     /* 597962 */   // Label 7612: @597962
     /* 597962 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(598091), // Rule ID 11493 //
     /* 597967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 597971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 597975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 597983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 597987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 597991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 597995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 597999 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 598007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 598011 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598011 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 598016 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598016 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 598021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598048 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 598058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 598063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 598068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 598073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 598078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 598083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598089 */     GIR_RootConstrainSelectedInstOperands,
     /* 598090 */     // GIR_Coverage, 11493,
     /* 598090 */     GIR_EraseRootFromParent_Done,
     /* 598091 */   // Label 7613: @598091
     /* 598091 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(598220), // Rule ID 11575 //
     /* 598096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 598140 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598140 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598145 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598156 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598170 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598177 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 598187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 598192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 598197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 598202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598218 */     GIR_RootConstrainSelectedInstOperands,
     /* 598219 */     // GIR_Coverage, 11575,
     /* 598219 */     GIR_EraseRootFromParent_Done,
     /* 598220 */   // Label 7614: @598220
     /* 598220 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(598349), // Rule ID 11576 //
     /* 598225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 598269 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598269 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598274 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598274 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598279 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598292 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598299 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598306 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 598316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 598321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 598326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 598331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598347 */     GIR_RootConstrainSelectedInstOperands,
     /* 598348 */     // GIR_Coverage, 11576,
     /* 598348 */     GIR_EraseRootFromParent_Done,
     /* 598349 */   // Label 7615: @598349
     /* 598349 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(598478), // Rule ID 11577 //
     /* 598354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598394 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 598398 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598398 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598403 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598403 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598412 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598421 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598428 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598435 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 598445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 598450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 598455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 598460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598476 */     GIR_RootConstrainSelectedInstOperands,
     /* 598477 */     // GIR_Coverage, 11577,
     /* 598477 */     GIR_EraseRootFromParent_Done,
     /* 598478 */   // Label 7616: @598478
     /* 598478 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(598607), // Rule ID 11578 //
     /* 598483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 598527 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598532 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598532 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598537 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598550 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598557 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598564 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 598574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 598579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 598584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 598589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598605 */     GIR_RootConstrainSelectedInstOperands,
     /* 598606 */     // GIR_Coverage, 11578,
     /* 598606 */     GIR_EraseRootFromParent_Done,
     /* 598607 */   // Label 7617: @598607
     /* 598607 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(598736), // Rule ID 11515 //
     /* 598612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598656 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598656 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598661 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598661 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598666 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598672 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598679 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598686 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598693 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 598703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 598708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 598713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 598718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598734 */     GIR_RootConstrainSelectedInstOperands,
     /* 598735 */     // GIR_Coverage, 11515,
     /* 598735 */     GIR_EraseRootFromParent_Done,
     /* 598736 */   // Label 7618: @598736
     /* 598736 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(598865), // Rule ID 11516 //
     /* 598741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598773 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598785 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598785 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598790 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598790 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598795 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598799 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598808 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598815 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598822 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 598832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 598837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 598842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 598847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598863 */     GIR_RootConstrainSelectedInstOperands,
     /* 598864 */     // GIR_Coverage, 11516,
     /* 598864 */     GIR_EraseRootFromParent_Done,
     /* 598865 */   // Label 7619: @598865
     /* 598865 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(598994), // Rule ID 11517 //
     /* 598870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 598874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 598878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 598886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 598890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 598894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 598898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 598902 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 598906 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 598910 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 598914 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 598914 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 598919 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 598919 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 598924 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 598928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 598930 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598937 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 598951 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 598951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 598954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 598956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 598961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 598966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 598971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 598976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 598981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 598986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 598992 */     GIR_RootConstrainSelectedInstOperands,
     /* 598993 */     // GIR_Coverage, 11517,
     /* 598993 */     GIR_EraseRootFromParent_Done,
     /* 598994 */   // Label 7620: @598994
     /* 598994 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(599123), // Rule ID 11518 //
     /* 598999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 599027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599031 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599035 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599039 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599043 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599043 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599048 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599048 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599073 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599080 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 599090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 599095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 599100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 599105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599121 */     GIR_RootConstrainSelectedInstOperands,
     /* 599122 */     // GIR_Coverage, 11518,
     /* 599122 */     GIR_EraseRootFromParent_Done,
     /* 599123 */   // Label 7621: @599123
     /* 599123 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(599252), // Rule ID 11560 //
     /* 599128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 599172 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599172 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599177 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599182 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599195 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599202 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599209 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 599219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 599224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 599229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 599234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599250 */     GIR_RootConstrainSelectedInstOperands,
     /* 599251 */     // GIR_Coverage, 11560,
     /* 599251 */     GIR_EraseRootFromParent_Done,
     /* 599252 */   // Label 7622: @599252
     /* 599252 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(599381), // Rule ID 11561 //
     /* 599257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 599301 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599306 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599311 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599315 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599317 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599324 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599331 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599338 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 599348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 599353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 599358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 599363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599379 */     GIR_RootConstrainSelectedInstOperands,
     /* 599380 */     // GIR_Coverage, 11561,
     /* 599380 */     GIR_EraseRootFromParent_Done,
     /* 599381 */   // Label 7623: @599381
     /* 599381 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(599510), // Rule ID 11562 //
     /* 599386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599426 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 599430 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599430 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599435 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599435 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599440 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599444 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599453 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599460 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599467 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 599477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 599482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 599487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 599492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599508 */     GIR_RootConstrainSelectedInstOperands,
     /* 599509 */     // GIR_Coverage, 11562,
     /* 599509 */     GIR_EraseRootFromParent_Done,
     /* 599510 */   // Label 7624: @599510
     /* 599510 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(599639), // Rule ID 11563 //
     /* 599515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599547 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 599559 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599559 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599564 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599564 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599569 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599582 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599596 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 599606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 599611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 599616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 599621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599637 */     GIR_RootConstrainSelectedInstOperands,
     /* 599638 */     // GIR_Coverage, 11563,
     /* 599638 */     GIR_EraseRootFromParent_Done,
     /* 599639 */   // Label 7625: @599639
     /* 599639 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(599768), // Rule ID 11500 //
     /* 599644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599676 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599680 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599684 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599688 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599693 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599698 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599702 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599718 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599725 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 599735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 599740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 599745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 599750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599766 */     GIR_RootConstrainSelectedInstOperands,
     /* 599767 */     // GIR_Coverage, 11500,
     /* 599767 */     GIR_EraseRootFromParent_Done,
     /* 599768 */   // Label 7626: @599768
     /* 599768 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(599897), // Rule ID 11501 //
     /* 599773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599805 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599817 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599822 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599840 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599847 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599854 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 599864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 599869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 599874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 599879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 599884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 599889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 599895 */     GIR_RootConstrainSelectedInstOperands,
     /* 599896 */     // GIR_Coverage, 11501,
     /* 599896 */     GIR_EraseRootFromParent_Done,
     /* 599897 */   // Label 7627: @599897
     /* 599897 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(600026), // Rule ID 11502 //
     /* 599902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 599906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 599910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 599918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 599922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 599926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 599930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 599934 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 599938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 599942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 599946 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 599946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 599951 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 599951 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 599956 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 599960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 599962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599969 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 599983 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 599983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 599986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 599988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 599993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 599998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 600013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 600018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600024 */     GIR_RootConstrainSelectedInstOperands,
     /* 600025 */     // GIR_Coverage, 11502,
     /* 600025 */     GIR_EraseRootFromParent_Done,
     /* 600026 */   // Label 7628: @600026
     /* 600026 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(600155), // Rule ID 11503 //
     /* 600031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 600055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 600059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600075 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600080 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600105 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600112 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods))), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src0_mods
     /* 600122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src0
     /* 600127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 600142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 600147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600153 */     GIR_RootConstrainSelectedInstOperands,
     /* 600154 */     // GIR_Coverage, 11503,
     /* 600154 */     GIR_EraseRootFromParent_Done,
     /* 600155 */   // Label 7629: @600155
     /* 600155 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(600284), // Rule ID 11571 //
     /* 600160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600192 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 600204 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600204 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600209 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600209 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600214 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600234 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600241 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 600251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 600256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600282 */     GIR_RootConstrainSelectedInstOperands,
     /* 600283 */     // GIR_Coverage, 11571,
     /* 600283 */     GIR_EraseRootFromParent_Done,
     /* 600284 */   // Label 7630: @600284
     /* 600284 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(600413), // Rule ID 11572 //
     /* 600289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600325 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600329 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 600333 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600338 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600363 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600370 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 600380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 600385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600411 */     GIR_RootConstrainSelectedInstOperands,
     /* 600412 */     // GIR_Coverage, 11572,
     /* 600412 */     GIR_EraseRootFromParent_Done,
     /* 600413 */   // Label 7631: @600413
     /* 600413 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(600542), // Rule ID 11573 //
     /* 600418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 600462 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600462 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600467 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600492 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600499 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 600509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 600514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 600519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 600524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600540 */     GIR_RootConstrainSelectedInstOperands,
     /* 600541 */     // GIR_Coverage, 11573,
     /* 600541 */     GIR_EraseRootFromParent_Done,
     /* 600542 */   // Label 7632: @600542
     /* 600542 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(600671), // Rule ID 11574 //
     /* 600547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 600591 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600591 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600596 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600596 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600605 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600607 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600628 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 600638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 600643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 600648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 600653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600669 */     GIR_RootConstrainSelectedInstOperands,
     /* 600670 */     // GIR_Coverage, 11574,
     /* 600670 */     GIR_EraseRootFromParent_Done,
     /* 600671 */   // Label 7633: @600671
     /* 600671 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(600800), // Rule ID 11511 //
     /* 600676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600708 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600720 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600720 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600725 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600730 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600743 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600757 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 600767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 600772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600798 */     GIR_RootConstrainSelectedInstOperands,
     /* 600799 */     // GIR_Coverage, 11511,
     /* 600799 */     GIR_EraseRootFromParent_Done,
     /* 600800 */   // Label 7634: @600800
     /* 600800 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(600929), // Rule ID 11512 //
     /* 600805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600837 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600849 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600849 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600854 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600854 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600859 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600872 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600879 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 600886 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 600886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 600889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 600891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 600896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 600901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 600906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 600911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 600916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 600921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 600927 */     GIR_RootConstrainSelectedInstOperands,
     /* 600928 */     // GIR_Coverage, 11512,
     /* 600928 */     GIR_EraseRootFromParent_Done,
     /* 600929 */   // Label 7635: @600929
     /* 600929 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(601058), // Rule ID 11513 //
     /* 600934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 600938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 600942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 600950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 600954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 600958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 600962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 600966 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 600970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 600974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 600978 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 600978 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 600983 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 600983 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 600988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 600992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 600994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601001 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601008 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601015 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 601025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 601030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 601035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 601040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601056 */     GIR_RootConstrainSelectedInstOperands,
     /* 601057 */     // GIR_Coverage, 11513,
     /* 601057 */     GIR_EraseRootFromParent_Done,
     /* 601058 */   // Label 7636: @601058
     /* 601058 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(601187), // Rule ID 11514 //
     /* 601063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM),
     /* 601091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601107 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601112 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601121 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601123 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601137 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601144 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 601154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 601159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 601164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 601169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601185 */     GIR_RootConstrainSelectedInstOperands,
     /* 601186 */     // GIR_Coverage, 11514,
     /* 601186 */     GIR_EraseRootFromParent_Done,
     /* 601187 */   // Label 7637: @601187
     /* 601187 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(601316), // Rule ID 11556 //
     /* 601192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 601236 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601241 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601241 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601266 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601273 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 601283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 601288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 601293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 601298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601314 */     GIR_RootConstrainSelectedInstOperands,
     /* 601315 */     // GIR_Coverage, 11556,
     /* 601315 */     GIR_EraseRootFromParent_Done,
     /* 601316 */   // Label 7638: @601316
     /* 601316 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(601445), // Rule ID 11557 //
     /* 601321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 601365 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601365 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601370 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601370 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601375 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601388 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601402 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 601412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 601417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 601422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 601427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601443 */     GIR_RootConstrainSelectedInstOperands,
     /* 601444 */     // GIR_Coverage, 11557,
     /* 601444 */     GIR_EraseRootFromParent_Done,
     /* 601445 */   // Label 7639: @601445
     /* 601445 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(601574), // Rule ID 11558 //
     /* 601450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601482 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601486 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601490 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 601494 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601494 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601499 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601499 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601504 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601508 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601510 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601517 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601524 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601531 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 601541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 601546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 601551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 601556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601572 */     GIR_RootConstrainSelectedInstOperands,
     /* 601573 */     // GIR_Coverage, 11558,
     /* 601573 */     GIR_EraseRootFromParent_Done,
     /* 601574 */   // Label 7640: @601574
     /* 601574 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(601703), // Rule ID 11559 //
     /* 601579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 601623 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601623 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601628 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601653 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601660 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 601670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 601675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 601680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 601685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601701 */     GIR_RootConstrainSelectedInstOperands,
     /* 601702 */     // GIR_Coverage, 11559,
     /* 601702 */     GIR_EraseRootFromParent_Done,
     /* 601703 */   // Label 7641: @601703
     /* 601703 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(601832), // Rule ID 11496 //
     /* 601708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601752 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601752 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601757 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601757 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601762 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601766 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601782 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601789 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 601799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 601804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 601809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 601814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601830 */     GIR_RootConstrainSelectedInstOperands,
     /* 601831 */     // GIR_Coverage, 11496,
     /* 601831 */     GIR_EraseRootFromParent_Done,
     /* 601832 */   // Label 7642: @601832
     /* 601832 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(601961), // Rule ID 11497 //
     /* 601837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601869 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 601873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 601877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601881 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 601881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 601886 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 601886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 601891 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 601895 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 601897 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601904 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 601918 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 601918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 601921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 601923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 601928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 601933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 601938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 601943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 601948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 601953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 601959 */     GIR_RootConstrainSelectedInstOperands,
     /* 601960 */     // GIR_Coverage, 11497,
     /* 601960 */     GIR_EraseRootFromParent_Done,
     /* 601961 */   // Label 7643: @601961
     /* 601961 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(602090), // Rule ID 11498 //
     /* 601966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 601970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 601974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 601978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 601982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 601986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 601990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 601994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 601998 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 602006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602010 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 602010 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 602015 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 602015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 602020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 602024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 602026 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602033 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602047 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 602050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 602067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 602072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 602077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 602082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602088 */     GIR_RootConstrainSelectedInstOperands,
     /* 602089 */     // GIR_Coverage, 11498,
     /* 602089 */     GIR_EraseRootFromParent_Done,
     /* 602090 */   // Label 7644: @602090
     /* 602090 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(602219), // Rule ID 11499 //
     /* 602095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 602103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 602115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 602119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXNUM_IEEE),
     /* 602123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 602127 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602131 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 602135 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602139 */     // MIs[3] VOP3Mods:src1:src1_mods
     /* 602139 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 602144 */     // MIs[3] VOP3Mods:src0:src0_mods
     /* 602144 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 602149 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_fmaxnum_like_nnan),
     /* 602153 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 602155 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602169 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602176 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods)), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods)))<<P:Predicate_fmaxnum_like_nnan>>  =>  (V_MED3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 602179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_mods
     /* 602196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 602201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 602206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 602211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602217 */     GIR_RootConstrainSelectedInstOperands,
     /* 602218 */     // GIR_Coverage, 11499,
     /* 602218 */     GIR_EraseRootFromParent_Done,
     /* 602219 */   // Label 7645: @602219
     /* 602219 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(602331), // Rule ID 13452 //
     /* 602224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 602235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 602239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 602247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 602251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 602255 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602259 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 602261 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 602265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 602267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602281 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602288 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 602308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 602313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 602318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 602323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602329 */     GIR_RootConstrainSelectedInstOperands,
     /* 602330 */     // GIR_Coverage, 13452,
     /* 602330 */     GIR_EraseRootFromParent_Done,
     /* 602331 */   // Label 7646: @602331
     /* 602331 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(602443), // Rule ID 13451 //
     /* 602336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 602347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 602351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 602359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 602367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602371 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 602373 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 602377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 602379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602386 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602400 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 602420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 602425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 602430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 602435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602441 */     GIR_RootConstrainSelectedInstOperands,
     /* 602442 */     // GIR_Coverage, 13451,
     /* 602442 */     GIR_EraseRootFromParent_Done,
     /* 602443 */   // Label 7647: @602443
     /* 602443 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(602555), // Rule ID 7926 //
     /* 602448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 602459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 602463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 602471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 602475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 602479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602483 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 602485 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 602489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 602491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602512 */     // (fmaxnum_ieee:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 602522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 602527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 602532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 602537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 602542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 602547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602553 */     GIR_RootConstrainSelectedInstOperands,
     /* 602554 */     // GIR_Coverage, 7926,
     /* 602554 */     GIR_EraseRootFromParent_Done,
     /* 602555 */   // Label 7648: @602555
     /* 602555 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(602667), // Rule ID 7925 //
     /* 602560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 602571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 602575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 602583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 602591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 602595 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 602597 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 602601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 602603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602624 */     // (fmaxnum_ieee:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 602634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 602639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 602644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 602649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 602654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 602659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602665 */     GIR_RootConstrainSelectedInstOperands,
     /* 602666 */     // GIR_Coverage, 7925,
     /* 602666 */     GIR_EraseRootFromParent_Done,
     /* 602667 */   // Label 7649: @602667
     /* 602667 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(602763), // Rule ID 13444 //
     /* 602672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 602683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 602687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 602695 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 602697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 602699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602720 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 602740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 602745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 602750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 602755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602761 */     GIR_RootConstrainSelectedInstOperands,
     /* 602762 */     // GIR_Coverage, 13444,
     /* 602762 */     GIR_EraseRootFromParent_Done,
     /* 602763 */   // Label 7650: @602763
     /* 602763 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(602859), // Rule ID 13443 //
     /* 602768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 602779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 602791 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 602793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 602795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602809 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602816 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>)  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 602826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 602831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 602836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 602841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 602846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 602851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602857 */     GIR_RootConstrainSelectedInstOperands,
     /* 602858 */     // GIR_Coverage, 13443,
     /* 602858 */     GIR_EraseRootFromParent_Done,
     /* 602859 */   // Label 7651: @602859
     /* 602859 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(602955), // Rule ID 7918 //
     /* 602864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 602875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM),
     /* 602879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 602887 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 602889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 602891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602898 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602912 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 602912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 602915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 602917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 602922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 602927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 602932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 602937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 602942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 602947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 602953 */     GIR_RootConstrainSelectedInstOperands,
     /* 602954 */     // GIR_Coverage, 7918,
     /* 602954 */     GIR_EraseRootFromParent_Done,
     /* 602955 */   // Label 7652: @602955
     /* 602955 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(603051), // Rule ID 7917 //
     /* 602960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 602963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 602967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 602971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINNUM_IEEE),
     /* 602975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 602979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 602983 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 602985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 602987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 602994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603001 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603008 */     // (fmaxnum_ieee:{ *:[f32] } (fminnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminnum_ieee_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))  =>  (V_MINMAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 603008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_F32_e64),
     /* 603011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 603018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 603028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 603038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 603043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603049 */     GIR_RootConstrainSelectedInstOperands,
     /* 603050 */     // GIR_Coverage, 7917,
     /* 603050 */     GIR_EraseRootFromParent_Done,
     /* 603051 */   // Label 7653: @603051
     /* 603051 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(603086), // Rule ID 92 //
     /* 603056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 603059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 603063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 603067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 603071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13778),
     /* 603075 */     // (fmaxnum_ieee:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13778>>  =>  (S_MAX_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 603075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_F32),
     /* 603080 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 603084 */     GIR_RootConstrainSelectedInstOperands,
     /* 603085 */     // GIR_Coverage, 92,
     /* 603085 */     GIR_Done,
     /* 603086 */   // Label 7654: @603086
     /* 603086 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(603146), // Rule ID 804 //
     /* 603091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 603095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603109 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 603112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 603119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 603129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 603139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 603144 */     GIR_RootConstrainSelectedInstOperands,
     /* 603145 */     // GIR_Coverage, 804,
     /* 603145 */     GIR_EraseRootFromParent_Done,
     /* 603146 */   // Label 7655: @603146
     /* 603146 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(603206), // Rule ID 8625 //
     /* 603151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 603155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603169 */     // (fmaxnum_ieee:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 603172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 603179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 603184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 603189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 603194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 603199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 603204 */     GIR_RootConstrainSelectedInstOperands,
     /* 603205 */     // GIR_Coverage, 8625,
     /* 603205 */     GIR_EraseRootFromParent_Done,
     /* 603206 */   // Label 7656: @603206
     /* 603206 */   GIM_Reject,
     /* 603207 */ // Label 7517: @603207
     /* 603207 */ GIM_Reject,
     /* 603208 */ // Label 7107: @603208
     /* 603208 */ GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(603460),
     /* 603213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 603216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 603219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 603223 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(603282), // Rule ID 919 //
     /* 603228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 603231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603245 */     // (fmaxnum_ieee:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 603248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 603255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 603265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 603275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 603280 */     GIR_RootConstrainSelectedInstOperands,
     /* 603281 */     // GIR_Coverage, 919,
     /* 603281 */     GIR_EraseRootFromParent_Done,
     /* 603282 */   // Label 7658: @603282
     /* 603282 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(603341), // Rule ID 938 //
     /* 603287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 603290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603304 */     // (fmaxnum_ieee:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 603307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 603314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 603324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 603334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 603339 */     GIR_RootConstrainSelectedInstOperands,
     /* 603340 */     // GIR_Coverage, 938,
     /* 603340 */     GIR_EraseRootFromParent_Done,
     /* 603341 */   // Label 7659: @603341
     /* 603341 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(603400), // Rule ID 8651 //
     /* 603346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 603349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603363 */     // (fmaxnum_ieee:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 603366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 603373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 603378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 603383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 603388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 603393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 603398 */     GIR_RootConstrainSelectedInstOperands,
     /* 603399 */     // GIR_Coverage, 8651,
     /* 603399 */     GIR_EraseRootFromParent_Done,
     /* 603400 */   // Label 7660: @603400
     /* 603400 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(603459), // Rule ID 8665 //
     /* 603405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 603408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 603422 */     // (fmaxnum_ieee:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAX_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 603422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 603425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 603432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 603437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 603442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 603447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 603452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 603457 */     GIR_RootConstrainSelectedInstOperands,
     /* 603458 */     // GIR_Coverage, 8665,
     /* 603458 */     GIR_EraseRootFromParent_Done,
     /* 603459 */   // Label 7661: @603459
     /* 603459 */   GIM_Reject,
     /* 603460 */ // Label 7657: @603460
     /* 603460 */ GIM_Reject,
     /* 603461 */ // Label 7108: @603461
     /* 603461 */ GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(603532), // Rule ID 1096 //
     /* 603466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 603469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 603472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 603476 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 603483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 603490 */   // (fmaxnum_ieee:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MAX_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 603490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 603493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 603500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603505 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 603510 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603530 */   GIR_RootConstrainSelectedInstOperands,
     /* 603531 */   // GIR_Coverage, 1096,
     /* 603531 */   GIR_EraseRootFromParent_Done,
     /* 603532 */ // Label 7662: @603532
     /* 603532 */ GIM_Reject,
     /* 603533 */ // Label 7109: @603533
     /* 603533 */ GIM_Reject,
     /* 603534 */ // Label 84: @603534
     /* 603534 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7667*/ GIMT_Encode4(605648),
     /* 603545 */ /*GILLT_s16*//*Label 7663*/ GIMT_Encode4(603561),
     /* 603549 */ /*GILLT_s32*//*Label 7664*/ GIMT_Encode4(604683),
     /* 603553 */ /*GILLT_s64*//*Label 7665*/ GIMT_Encode4(605358),
     /* 603557 */ /*GILLT_v2s16*//*Label 7666*/ GIMT_Encode4(605493),
     /* 603561 */ // Label 7663: @603561
     /* 603561 */ GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(604682),
     /* 603566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 603569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 603572 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(603691), // Rule ID 13648 //
     /* 603577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 603580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 603584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 603588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 603592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 603596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 603600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 603604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 603608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 603612 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 603614 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 603618 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 603622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 603624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603631 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603638 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603645 */     // (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 603645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_t16_e64),
     /* 603648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 603655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 603660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 603665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 603670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 603675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 603680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603689 */     GIR_RootConstrainSelectedInstOperands,
     /* 603690 */     // GIR_Coverage, 13648,
     /* 603690 */     GIR_EraseRootFromParent_Done,
     /* 603691 */   // Label 7669: @603691
     /* 603691 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(603810), // Rule ID 13652 //
     /* 603696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 603699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 603703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 603707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 603711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 603715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 603719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 603723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 603727 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 603731 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 603733 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 603737 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 603741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 603743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603750 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603757 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603764 */     // (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 603764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_fake16_e64),
     /* 603767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 603774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 603779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 603784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 603789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 603794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 603799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603808 */     GIR_RootConstrainSelectedInstOperands,
     /* 603809 */     // GIR_Coverage, 13652,
     /* 603809 */     GIR_EraseRootFromParent_Done,
     /* 603810 */   // Label 7670: @603810
     /* 603810 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(603929), // Rule ID 7982 //
     /* 603815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 603818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 603822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 603826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 603830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 603834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 603838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 603842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 603846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 603850 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 603852 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 603856 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 603860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 603862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603869 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603883 */     // (fminimum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 603883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_t16_e64),
     /* 603886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 603888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 603893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 603898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 603903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 603908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 603913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 603918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 603927 */     GIR_RootConstrainSelectedInstOperands,
     /* 603928 */     // GIR_Coverage, 7982,
     /* 603928 */     GIR_EraseRootFromParent_Done,
     /* 603929 */   // Label 7671: @603929
     /* 603929 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(604048), // Rule ID 7986 //
     /* 603934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 603937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 603941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 603945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 603949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 603953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 603957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 603961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 603965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 603969 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 603971 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 603975 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 603979 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 603981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 603995 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604002 */     // (fminimum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_fake16_e64),
     /* 604005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 604012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 604022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 604032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 604037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604046 */     GIR_RootConstrainSelectedInstOperands,
     /* 604047 */     // GIR_Coverage, 7986,
     /* 604047 */     GIR_EraseRootFromParent_Done,
     /* 604048 */   // Label 7672: @604048
     /* 604048 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(604151), // Rule ID 13646 //
     /* 604053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 604056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 604060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 604064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 604072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 604076 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 604078 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 604084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604105 */     // (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_t16_e64),
     /* 604108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 604115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 604120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 604125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 604130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 604135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 604140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604149 */     GIR_RootConstrainSelectedInstOperands,
     /* 604150 */     // GIR_Coverage, 13646,
     /* 604150 */     GIR_EraseRootFromParent_Done,
     /* 604151 */   // Label 7673: @604151
     /* 604151 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(604254), // Rule ID 13650 //
     /* 604156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 604159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 604167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 604175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 604179 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 604181 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 604187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604208 */     // (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_fake16_e64),
     /* 604211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 604218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 604223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 604228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 604233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 604238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 604243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604252 */     GIR_RootConstrainSelectedInstOperands,
     /* 604253 */     // GIR_Coverage, 13650,
     /* 604253 */     GIR_EraseRootFromParent_Done,
     /* 604254 */   // Label 7674: @604254
     /* 604254 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(604357), // Rule ID 7980 //
     /* 604259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 604262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 604266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 604270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 604278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 604282 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 604284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 604290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604311 */     // (fminimum:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_t16_e64),
     /* 604314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 604321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 604331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 604341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 604346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604355 */     GIR_RootConstrainSelectedInstOperands,
     /* 604356 */     // GIR_Coverage, 7980,
     /* 604356 */     GIR_EraseRootFromParent_Done,
     /* 604357 */   // Label 7675: @604357
     /* 604357 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(604460), // Rule ID 7984 //
     /* 604362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 604365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 604373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 604381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 604385 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 604387 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 604393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604414 */     // (fminimum:{ *:[f16] } (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F16_fake16_e64),
     /* 604417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 604424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 604434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 604444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 604449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604458 */     GIR_RootConstrainSelectedInstOperands,
     /* 604459 */     // GIR_Coverage, 7984,
     /* 604459 */     GIR_EraseRootFromParent_Done,
     /* 604460 */   // Label 7676: @604460
     /* 604460 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(604495), // Rule ID 116 //
     /* 604465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 604468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 604472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 604476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 604480 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13783),
     /* 604484 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13784),
     /* 604488 */     // (fminimum:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13783>><<P:Predicate_anonymous_13784>>  =>  (S_MINIMUM_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 604488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MINIMUM_F16),
     /* 604493 */     GIR_RootConstrainSelectedInstOperands,
     /* 604494 */     // GIR_Coverage, 116,
     /* 604494 */     GIR_Done,
     /* 604495 */   // Label 7677: @604495
     /* 604495 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(604557), // Rule ID 945 //
     /* 604500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX12Plus),
     /* 604503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604521 */     // (fminimum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MINIMUM_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 604521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F16_e64),
     /* 604524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 604531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 604541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604555 */     GIR_RootConstrainSelectedInstOperands,
     /* 604556 */     // GIR_Coverage, 945,
     /* 604556 */     GIR_EraseRootFromParent_Done,
     /* 604557 */   // Label 7678: @604557
     /* 604557 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(604619), // Rule ID 946 //
     /* 604562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 604565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 604569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604583 */     // (fminimum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MINIMUM_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 604583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F16_t16_e64),
     /* 604586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 604593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 604603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604617 */     GIR_RootConstrainSelectedInstOperands,
     /* 604618 */     // GIR_Coverage, 946,
     /* 604618 */     GIR_EraseRootFromParent_Done,
     /* 604619 */   // Label 7679: @604619
     /* 604619 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(604681), // Rule ID 947 //
     /* 604624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 604627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 604645 */     // (fminimum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MINIMUM_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 604645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F16_fake16_e64),
     /* 604648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 604655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 604665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604679 */     GIR_RootConstrainSelectedInstOperands,
     /* 604680 */     // GIR_Coverage, 947,
     /* 604680 */     GIR_EraseRootFromParent_Done,
     /* 604681 */   // Label 7680: @604681
     /* 604681 */   GIM_Reject,
     /* 604682 */ // Label 7668: @604682
     /* 604682 */ GIM_Reject,
     /* 604683 */ // Label 7664: @604683
     /* 604683 */ GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(605357),
     /* 604688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 604691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 604694 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(604810), // Rule ID 13644 //
     /* 604699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 604702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 604710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 604714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 604718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 604722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 604730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 604734 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 604736 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 604740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 604746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604760 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604767 */     // (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F32_e64),
     /* 604770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 604777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 604782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 604787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 604792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 604797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 604802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604808 */     GIR_RootConstrainSelectedInstOperands,
     /* 604809 */     // GIR_Coverage, 13644,
     /* 604809 */     GIR_EraseRootFromParent_Done,
     /* 604810 */   // Label 7682: @604810
     /* 604810 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(604926), // Rule ID 7978 //
     /* 604815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 604818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 604826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 604830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 604834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 604838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 604846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 604850 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 604852 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 604856 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 604862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604869 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604883 */     // (fminimum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F32_e64),
     /* 604886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 604893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 604898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 604903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 604908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 604913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 604918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 604924 */     GIR_RootConstrainSelectedInstOperands,
     /* 604925 */     // GIR_Coverage, 7978,
     /* 604925 */     GIR_EraseRootFromParent_Done,
     /* 604926 */   // Label 7683: @604926
     /* 604926 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(605026), // Rule ID 13642 //
     /* 604931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 604934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 604938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 604942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 604946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 604950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 604954 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 604956 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 604960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 604962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604976 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 604983 */     // (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>)<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 604983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F32_e64),
     /* 604986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 604988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 604993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 604998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 605003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 605008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 605013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 605018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605024 */     GIR_RootConstrainSelectedInstOperands,
     /* 605025 */     // GIR_Coverage, 13642,
     /* 605025 */     GIR_EraseRootFromParent_Done,
     /* 605026 */   // Label 7684: @605026
     /* 605026 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(605126), // Rule ID 7976 //
     /* 605031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 605042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMAXIMUM),
     /* 605046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 605050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 605054 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 605056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35369),
     /* 605060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 605062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605083 */     // (fminimum:{ *:[f32] } (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fmaximum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35369>>  =>  (V_MAXIMUMMINIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 605083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUMMINIMUM_F32_e64),
     /* 605086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 605093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 605103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 605113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 605118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605124 */     GIR_RootConstrainSelectedInstOperands,
     /* 605125 */     // GIR_Coverage, 7976,
     /* 605125 */     GIR_EraseRootFromParent_Done,
     /* 605126 */   // Label 7685: @605126
     /* 605126 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(605161), // Rule ID 114 //
     /* 605131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 605138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 605142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 605146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13783),
     /* 605150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13784),
     /* 605154 */     // (fminimum:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13783>><<P:Predicate_anonymous_13784>>  =>  (S_MINIMUM_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 605154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MINIMUM_F32),
     /* 605159 */     GIR_RootConstrainSelectedInstOperands,
     /* 605160 */     // GIR_Coverage, 114,
     /* 605160 */     GIR_Done,
     /* 605161 */   // Label 7686: @605161
     /* 605161 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(605224), // Rule ID 943 //
     /* 605166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 605180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605187 */     // (fminimum:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MINIMUM_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 605187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F32_e64),
     /* 605190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 605197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 605207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 605217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 605222 */     GIR_RootConstrainSelectedInstOperands,
     /* 605223 */     // GIR_Coverage, 943,
     /* 605223 */     GIR_EraseRootFromParent_Done,
     /* 605224 */   // Label 7687: @605224
     /* 605224 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(605287), // Rule ID 8670 //
     /* 605229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 605250 */     // (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MINIMUM_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 605250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F32_e64),
     /* 605253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 605260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 605265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 605270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 605275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 605280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 605285 */     GIR_RootConstrainSelectedInstOperands,
     /* 605286 */     // GIR_Coverage, 8670,
     /* 605286 */     GIR_EraseRootFromParent_Done,
     /* 605287 */   // Label 7688: @605287
     /* 605287 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(605356), // Rule ID 2731 //
     /* 605292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinimum3Maximum3F32),
     /* 605295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605313 */     // (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MINIMUM3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1)
     /* 605313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM3_F32_e64),
     /* 605316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 605323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 605333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 605343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605354 */     GIR_RootConstrainSelectedInstOperands,
     /* 605355 */     // GIR_Coverage, 2731,
     /* 605355 */     GIR_EraseRootFromParent_Done,
     /* 605356 */   // Label 7689: @605356
     /* 605356 */   GIM_Reject,
     /* 605357 */ // Label 7681: @605357
     /* 605357 */ GIM_Reject,
     /* 605358 */ // Label 7665: @605358
     /* 605358 */ GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(605492),
     /* 605363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 605366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 605369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 605373 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(605432), // Rule ID 951 //
     /* 605378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 605388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605395 */     // (fminimum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MINIMUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 605395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F64_e64),
     /* 605398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 605405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 605415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 605425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 605430 */     GIR_RootConstrainSelectedInstOperands,
     /* 605431 */     // GIR_Coverage, 951,
     /* 605431 */     GIR_EraseRootFromParent_Done,
     /* 605432 */   // Label 7691: @605432
     /* 605432 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(605491), // Rule ID 8672 //
     /* 605437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 605454 */     // (fminimum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MINIMUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 605454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUM_F64_e64),
     /* 605457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 605464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 605469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 605474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 605479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 605484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 605489 */     GIR_RootConstrainSelectedInstOperands,
     /* 605490 */     // GIR_Coverage, 8672,
     /* 605490 */     GIR_EraseRootFromParent_Done,
     /* 605491 */   // Label 7692: @605491
     /* 605491 */   GIM_Reject,
     /* 605492 */ // Label 7690: @605492
     /* 605492 */ GIM_Reject,
     /* 605493 */ // Label 7666: @605493
     /* 605493 */ GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(605647),
     /* 605498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 605501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 605504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605508 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(605582), // Rule ID 2749 //
     /* 605513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinimum3Maximum3PKF16),
     /* 605516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 605523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 605530 */     // (fminimum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_PK_MINIMUM3_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[v2f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1)
     /* 605530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MINIMUM3_F16),
     /* 605533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 605540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 605550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 605560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605580 */     GIR_RootConstrainSelectedInstOperands,
     /* 605581 */     // GIR_Coverage, 2749,
     /* 605581 */     GIR_EraseRootFromParent_Done,
     /* 605582 */   // Label 7694: @605582
     /* 605582 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(605646), // Rule ID 1107 //
     /* 605587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 605590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 605597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 605604 */     // (fminimum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MINIMUM_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 605604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MINIMUM_F16),
     /* 605607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 605614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 605619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 605624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 605629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605644 */     GIR_RootConstrainSelectedInstOperands,
     /* 605645 */     // GIR_Coverage, 1107,
     /* 605645 */     GIR_EraseRootFromParent_Done,
     /* 605646 */   // Label 7695: @605646
     /* 605646 */   GIM_Reject,
     /* 605647 */ // Label 7693: @605647
     /* 605647 */ GIM_Reject,
     /* 605648 */ // Label 7667: @605648
     /* 605648 */ GIM_Reject,
     /* 605649 */ // Label 85: @605649
     /* 605649 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7700*/ GIMT_Encode4(607763),
     /* 605660 */ /*GILLT_s16*//*Label 7696*/ GIMT_Encode4(605676),
     /* 605664 */ /*GILLT_s32*//*Label 7697*/ GIMT_Encode4(606798),
     /* 605668 */ /*GILLT_s64*//*Label 7698*/ GIMT_Encode4(607473),
     /* 605672 */ /*GILLT_v2s16*//*Label 7699*/ GIMT_Encode4(607608),
     /* 605676 */ // Label 7696: @605676
     /* 605676 */ GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(606797),
     /* 605681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 605684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 605687 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(605806), // Rule ID 13647 //
     /* 605692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 605695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 605699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 605703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 605707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 605711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 605715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 605719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 605723 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 605727 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 605729 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 605733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 605737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 605739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605746 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605760 */     // (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 605760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_t16_e64),
     /* 605763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 605770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 605775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 605780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 605785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 605790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 605795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605804 */     GIR_RootConstrainSelectedInstOperands,
     /* 605805 */     // GIR_Coverage, 13647,
     /* 605805 */     GIR_EraseRootFromParent_Done,
     /* 605806 */   // Label 7702: @605806
     /* 605806 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(605925), // Rule ID 13651 //
     /* 605811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 605814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 605818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 605822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 605826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 605830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 605834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 605838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 605842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 605846 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 605848 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 605852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 605856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 605858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605865 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605872 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605879 */     // (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 605879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_fake16_e64),
     /* 605882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 605884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 605889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 605894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 605899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 605904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 605909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 605914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 605923 */     GIR_RootConstrainSelectedInstOperands,
     /* 605924 */     // GIR_Coverage, 13651,
     /* 605924 */     GIR_EraseRootFromParent_Done,
     /* 605925 */   // Label 7703: @605925
     /* 605925 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(606044), // Rule ID 7981 //
     /* 605930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 605933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 605937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 605941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 605945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 605949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 605953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 605957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 605961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 605965 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 605967 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 605971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 605975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 605977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605984 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605991 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 605998 */     // (fmaximum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 605998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_t16_e64),
     /* 606001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 606008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 606018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 606028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 606033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606042 */     GIR_RootConstrainSelectedInstOperands,
     /* 606043 */     // GIR_Coverage, 7981,
     /* 606043 */     GIR_EraseRootFromParent_Done,
     /* 606044 */   // Label 7704: @606044
     /* 606044 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(606163), // Rule ID 7985 //
     /* 606049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 606052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 606060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 606064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 606068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 606072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 606080 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 606084 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 606086 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 606090 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 606096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606110 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606117 */     // (fmaximum:{ *:[f16] } (fcanonicalize:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_fake16_e64),
     /* 606120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 606127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 606137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 606147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 606152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606161 */     GIR_RootConstrainSelectedInstOperands,
     /* 606162 */     // GIR_Coverage, 7985,
     /* 606162 */     GIR_EraseRootFromParent_Done,
     /* 606163 */   // Label 7705: @606163
     /* 606163 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(606266), // Rule ID 13645 //
     /* 606168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 606171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 606175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 606179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 606187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 606191 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 606193 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 606199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606220 */     // (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_t16_e64),
     /* 606223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 606230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 606235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 606240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 606245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 606250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 606255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606264 */     GIR_RootConstrainSelectedInstOperands,
     /* 606265 */     // GIR_Coverage, 13645,
     /* 606265 */     GIR_EraseRootFromParent_Done,
     /* 606266 */   // Label 7706: @606266
     /* 606266 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(606369), // Rule ID 13649 //
     /* 606271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 606274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 606282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 606290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 606294 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 606296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 606302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606316 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606323 */     // (fmaximum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_fake16_e64),
     /* 606326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 606333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 606338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 606343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 606348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 606353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 606358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606367 */     GIR_RootConstrainSelectedInstOperands,
     /* 606368 */     // GIR_Coverage, 13649,
     /* 606368 */     GIR_EraseRootFromParent_Done,
     /* 606369 */   // Label 7707: @606369
     /* 606369 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(606472), // Rule ID 7979 //
     /* 606374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 606377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 606381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 606385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 606393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 606397 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 606399 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 606405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606426 */     // (fmaximum:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_t16_e64),
     /* 606429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 606436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 606446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 606456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 606461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606470 */     GIR_RootConstrainSelectedInstOperands,
     /* 606471 */     // GIR_Coverage, 7979,
     /* 606471 */     GIR_EraseRootFromParent_Done,
     /* 606472 */   // Label 7708: @606472
     /* 606472 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(606575), // Rule ID 7983 //
     /* 606477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 606480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 606488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 606496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 606500 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 606502 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 606508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606529 */     // (fmaximum:{ *:[f16] } (fminimum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>, (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f16] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F16_fake16_e64),
     /* 606532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 606539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 606549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 606559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 606564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606573 */     GIR_RootConstrainSelectedInstOperands,
     /* 606574 */     // GIR_Coverage, 7983,
     /* 606574 */     GIR_EraseRootFromParent_Done,
     /* 606575 */   // Label 7709: @606575
     /* 606575 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(606610), // Rule ID 117 //
     /* 606580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 606583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 606587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 606591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 606595 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13785),
     /* 606599 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13786),
     /* 606603 */     // (fmaximum:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13785>><<P:Predicate_anonymous_13786>>  =>  (S_MAXIMUM_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 606603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAXIMUM_F16),
     /* 606608 */     GIR_RootConstrainSelectedInstOperands,
     /* 606609 */     // GIR_Coverage, 117,
     /* 606609 */     GIR_Done,
     /* 606610 */   // Label 7710: @606610
     /* 606610 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(606672), // Rule ID 948 //
     /* 606615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX12Plus),
     /* 606618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606636 */     // (fmaximum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAXIMUM_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 606636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F16_e64),
     /* 606639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 606646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 606656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606670 */     GIR_RootConstrainSelectedInstOperands,
     /* 606671 */     // GIR_Coverage, 948,
     /* 606671 */     GIR_EraseRootFromParent_Done,
     /* 606672 */   // Label 7711: @606672
     /* 606672 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(606734), // Rule ID 949 //
     /* 606677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX12Plus),
     /* 606680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 606684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606698 */     // (fmaximum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAXIMUM_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 606698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F16_t16_e64),
     /* 606701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 606708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 606718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606732 */     GIR_RootConstrainSelectedInstOperands,
     /* 606733 */     // GIR_Coverage, 949,
     /* 606733 */     GIR_EraseRootFromParent_Done,
     /* 606734 */   // Label 7712: @606734
     /* 606734 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(606796), // Rule ID 950 //
     /* 606739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX12Plus),
     /* 606742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 606760 */     // (fmaximum:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAXIMUM_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 606760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F16_fake16_e64),
     /* 606763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 606770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 606775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 606780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 606785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606794 */     GIR_RootConstrainSelectedInstOperands,
     /* 606795 */     // GIR_Coverage, 950,
     /* 606795 */     GIR_EraseRootFromParent_Done,
     /* 606796 */   // Label 7713: @606796
     /* 606796 */   GIM_Reject,
     /* 606797 */ // Label 7701: @606797
     /* 606797 */ GIM_Reject,
     /* 606798 */ // Label 7697: @606798
     /* 606798 */ GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(607472),
     /* 606803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 606806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 606809 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(606925), // Rule ID 13643 //
     /* 606814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 606817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 606825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 606829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 606833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 606837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 606845 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 606849 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 606851 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 606855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 606861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606868 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606882 */     // (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fcanonicalize:{ *:[f32] } (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F32_e64),
     /* 606885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 606887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 606892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 606897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 606902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 606907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 606912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 606917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 606923 */     GIR_RootConstrainSelectedInstOperands,
     /* 606924 */     // GIR_Coverage, 13643,
     /* 606924 */     GIR_EraseRootFromParent_Done,
     /* 606925 */   // Label 7715: @606925
     /* 606925 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(607041), // Rule ID 7977 //
     /* 606930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 606933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 606937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 606941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 606945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 606949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 606953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 606957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 606961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 606965 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 606967 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35329),
     /* 606971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 606975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 606977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606984 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606991 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 606998 */     // (fmaximum:{ *:[f32] } (fcanonicalize:{ *:[f32] } (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35329>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 606998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F32_e64),
     /* 607001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 607028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 607033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607039 */     GIR_RootConstrainSelectedInstOperands,
     /* 607040 */     // GIR_Coverage, 7977,
     /* 607040 */     GIR_EraseRootFromParent_Done,
     /* 607041 */   // Label 7716: @607041
     /* 607041 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(607141), // Rule ID 13641 //
     /* 607046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 607057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 607061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 607065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 607069 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 607071 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 607075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 607077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607098 */     // (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods), (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>)<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 607098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F32_e64),
     /* 607101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_mods
     /* 607108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 607113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src1_mods
     /* 607118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src1
     /* 607123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src2_mods
     /* 607128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src2
     /* 607133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607139 */     GIR_RootConstrainSelectedInstOperands,
     /* 607140 */     // GIR_Coverage, 13641,
     /* 607140 */     GIR_EraseRootFromParent_Done,
     /* 607141 */   // Label 7717: @607141
     /* 607141 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(607241), // Rule ID 7975 //
     /* 607146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 607157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMINIMUM),
     /* 607161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 607165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 607169 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 607171 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35367),
     /* 607175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 607177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607198 */     // (fmaximum:{ *:[f32] } (fminimum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))<<P:Predicate_fminimum_oneuse>>, (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_mods))<<P:Predicate_anonymous_35367>>  =>  (V_MINIMUMMAXIMUM_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src2_mods, ?:{ *:[f32] }:$src2, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 607198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINIMUMMAXIMUM_F32_e64),
     /* 607201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_mods
     /* 607228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 607233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607239 */     GIR_RootConstrainSelectedInstOperands,
     /* 607240 */     // GIR_Coverage, 7975,
     /* 607240 */     GIR_EraseRootFromParent_Done,
     /* 607241 */   // Label 7718: @607241
     /* 607241 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(607276), // Rule ID 115 //
     /* 607246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 607253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 607257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 607261 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13785),
     /* 607265 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13786),
     /* 607269 */     // (fmaximum:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13785>><<P:Predicate_anonymous_13786>>  =>  (S_MAXIMUM_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 607269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAXIMUM_F32),
     /* 607274 */     GIR_RootConstrainSelectedInstOperands,
     /* 607275 */     // GIR_Coverage, 115,
     /* 607275 */     GIR_Done,
     /* 607276 */   // Label 7719: @607276
     /* 607276 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(607339), // Rule ID 944 //
     /* 607281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 607295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607302 */     // (fmaximum:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAXIMUM_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 607302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F32_e64),
     /* 607305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 607312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 607322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 607332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 607337 */     GIR_RootConstrainSelectedInstOperands,
     /* 607338 */     // GIR_Coverage, 944,
     /* 607338 */     GIR_EraseRootFromParent_Done,
     /* 607339 */   // Label 7720: @607339
     /* 607339 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(607402), // Rule ID 8671 //
     /* 607344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 607365 */     // (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAXIMUM_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 607365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F32_e64),
     /* 607368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 607375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 607380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 607385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 607390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 607395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 607400 */     GIR_RootConstrainSelectedInstOperands,
     /* 607401 */     // GIR_Coverage, 8671,
     /* 607401 */     GIR_EraseRootFromParent_Done,
     /* 607402 */   // Label 7721: @607402
     /* 607402 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(607471), // Rule ID 2732 //
     /* 607407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinimum3Maximum3F32),
     /* 607410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607428 */     // (fmaximum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAXIMUM3_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1)
     /* 607428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM3_F32_e64),
     /* 607431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607469 */     GIR_RootConstrainSelectedInstOperands,
     /* 607470 */     // GIR_Coverage, 2732,
     /* 607470 */     GIR_EraseRootFromParent_Done,
     /* 607471 */   // Label 7722: @607471
     /* 607471 */   GIM_Reject,
     /* 607472 */ // Label 7714: @607472
     /* 607472 */ GIM_Reject,
     /* 607473 */ // Label 7698: @607473
     /* 607473 */ GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(607607),
     /* 607478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 607481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 607484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 607488 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(607547), // Rule ID 952 //
     /* 607493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 607503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607510 */     // (fmaximum:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAXIMUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 607510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F64_e64),
     /* 607513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 607520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 607530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 607540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 607545 */     GIR_RootConstrainSelectedInstOperands,
     /* 607546 */     // GIR_Coverage, 952,
     /* 607546 */     GIR_EraseRootFromParent_Done,
     /* 607547 */   // Label 7724: @607547
     /* 607547 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(607606), // Rule ID 8673 //
     /* 607552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 607569 */     // (fmaximum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MAXIMUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 607569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXIMUM_F64_e64),
     /* 607572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 607579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 607584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 607589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 607594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 607599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 607604 */     GIR_RootConstrainSelectedInstOperands,
     /* 607605 */     // GIR_Coverage, 8673,
     /* 607605 */     GIR_EraseRootFromParent_Done,
     /* 607606 */   // Label 7725: @607606
     /* 607606 */   GIM_Reject,
     /* 607607 */ // Label 7723: @607607
     /* 607607 */ GIM_Reject,
     /* 607608 */ // Label 7699: @607608
     /* 607608 */ GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(607762),
     /* 607613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 607616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 607619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607623 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(607697), // Rule ID 2750 //
     /* 607628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMinimum3Maximum3PKF16),
     /* 607631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 607638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 607645 */     // (fmaximum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_PK_MAXIMUM3_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[v2f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1)
     /* 607645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAXIMUM3_F16),
     /* 607648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607695 */     GIR_RootConstrainSelectedInstOperands,
     /* 607696 */     // GIR_Coverage, 2750,
     /* 607696 */     GIR_EraseRootFromParent_Done,
     /* 607697 */   // Label 7727: @607697
     /* 607697 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(607761), // Rule ID 1106 //
     /* 607702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 607705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 607712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 607719 */     // (fmaximum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MAXIMUM_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 607719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAXIMUM_F16),
     /* 607722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 607729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 607739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607759 */     GIR_RootConstrainSelectedInstOperands,
     /* 607760 */     // GIR_Coverage, 1106,
     /* 607760 */     GIR_EraseRootFromParent_Done,
     /* 607761 */   // Label 7728: @607761
     /* 607761 */   GIM_Reject,
     /* 607762 */ // Label 7726: @607762
     /* 607762 */ GIM_Reject,
     /* 607763 */ // Label 7700: @607763
     /* 607763 */ GIM_Reject,
     /* 607764 */ // Label 86: @607764
     /* 607764 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7733*/ GIMT_Encode4(608191),
     /* 607775 */ /*GILLT_s16*//*Label 7729*/ GIMT_Encode4(607791),
     /* 607779 */ /*GILLT_s32*//*Label 7730*/ GIMT_Encode4(607984),
     /* 607783 */ /*GILLT_s64*//*Label 7731*/ GIMT_Encode4(608050),
     /* 607787 */ /*GILLT_v2s16*//*Label 7732*/ GIMT_Encode4(608116),
     /* 607791 */ // Label 7729: @607791
     /* 607791 */ GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(607983),
     /* 607796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 607799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 607802 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(607861), // Rule ID 7092 //
     /* 607807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_NotHasTrue16BitInsts),
     /* 607810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607828 */     // (fminimumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MIN_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 607828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_e64),
     /* 607831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607859 */     GIR_RootConstrainSelectedInstOperands,
     /* 607860 */     // GIR_Coverage, 7092,
     /* 607860 */     GIR_EraseRootFromParent_Done,
     /* 607861 */   // Label 7735: @607861
     /* 607861 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(607923), // Rule ID 7094 //
     /* 607866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_UseRealTrue16Insts),
     /* 607869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 607873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607887 */     // (fminimumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MIN_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 607887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_t16_e64),
     /* 607890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607921 */     GIR_RootConstrainSelectedInstOperands,
     /* 607922 */     // GIR_Coverage, 7094,
     /* 607922 */     GIR_EraseRootFromParent_Done,
     /* 607923 */   // Label 7736: @607923
     /* 607923 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(607982), // Rule ID 7096 //
     /* 607928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_UseFakeTrue16Insts),
     /* 607931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 607935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 607949 */     // (fminimumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MIN_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 607949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F16_fake16_e64),
     /* 607952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 607954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 607959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 607964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 607969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 607974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 607980 */     GIR_RootConstrainSelectedInstOperands,
     /* 607981 */     // GIR_Coverage, 7096,
     /* 607981 */     GIR_EraseRootFromParent_Done,
     /* 607982 */   // Label 7737: @607982
     /* 607982 */   GIM_Reject,
     /* 607983 */ // Label 7734: @607983
     /* 607983 */ GIM_Reject,
     /* 607984 */ // Label 7730: @607984
     /* 607984 */ GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(608049), // Rule ID 7088 //
     /* 607989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IEEEModeDisabled),
     /* 607992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 607995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 607998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608002 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608009 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608016 */   // (fminimumnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MIN_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F32_e64),
     /* 608019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608047 */   GIR_RootConstrainSelectedInstOperands,
     /* 608048 */   // GIR_Coverage, 7088,
     /* 608048 */   GIR_EraseRootFromParent_Done,
     /* 608049 */ // Label 7738: @608049
     /* 608049 */ GIM_Reject,
     /* 608050 */ // Label 7731: @608050
     /* 608050 */ GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(608115), // Rule ID 7090 //
     /* 608055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IEEEModeDisabled),
     /* 608058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 608061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 608064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 608068 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608082 */   // (fminimumnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MIN_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f64] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f64] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 608085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608113 */   GIR_RootConstrainSelectedInstOperands,
     /* 608114 */   // GIR_Coverage, 7090,
     /* 608114 */   GIR_EraseRootFromParent_Done,
     /* 608115 */ // Label 7739: @608115
     /* 608115 */ GIM_Reject,
     /* 608116 */ // Label 7732: @608116
     /* 608116 */ GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(608190), // Rule ID 7098 //
     /* 608121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_IEEEModeDisabled),
     /* 608124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 608127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 608130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 608141 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 608148 */   // (fminimumnum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_PK_MIN_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[v2f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1, 0:{ *:[i1] })
     /* 608148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MIN_F16),
     /* 608151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608153 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608188 */   GIR_RootConstrainSelectedInstOperands,
     /* 608189 */   // GIR_Coverage, 7098,
     /* 608189 */   GIR_EraseRootFromParent_Done,
     /* 608190 */ // Label 7740: @608190
     /* 608190 */ GIM_Reject,
     /* 608191 */ // Label 7733: @608191
     /* 608191 */ GIM_Reject,
     /* 608192 */ // Label 87: @608192
     /* 608192 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7745*/ GIMT_Encode4(608619),
     /* 608203 */ /*GILLT_s16*//*Label 7741*/ GIMT_Encode4(608219),
     /* 608207 */ /*GILLT_s32*//*Label 7742*/ GIMT_Encode4(608412),
     /* 608211 */ /*GILLT_s64*//*Label 7743*/ GIMT_Encode4(608478),
     /* 608215 */ /*GILLT_v2s16*//*Label 7744*/ GIMT_Encode4(608544),
     /* 608219 */ // Label 7741: @608219
     /* 608219 */ GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(608411),
     /* 608224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 608227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 608230 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(608289), // Rule ID 7093 //
     /* 608235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_NotHasTrue16BitInsts),
     /* 608238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608256 */     // (fmaximumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAX_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 608259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608287 */     GIR_RootConstrainSelectedInstOperands,
     /* 608288 */     // GIR_Coverage, 7093,
     /* 608288 */     GIR_EraseRootFromParent_Done,
     /* 608289 */   // Label 7747: @608289
     /* 608289 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(608351), // Rule ID 7095 //
     /* 608294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_UseRealTrue16Insts),
     /* 608297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 608301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608315 */     // (fmaximumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 608318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608349 */     GIR_RootConstrainSelectedInstOperands,
     /* 608350 */     // GIR_Coverage, 7095,
     /* 608350 */     GIR_EraseRootFromParent_Done,
     /* 608351 */   // Label 7748: @608351
     /* 608351 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(608410), // Rule ID 7097 //
     /* 608356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_IEEEModeDisabled_UseFakeTrue16Insts),
     /* 608359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608377 */     // (fmaximumnum:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f16] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 608380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608408 */     GIR_RootConstrainSelectedInstOperands,
     /* 608409 */     // GIR_Coverage, 7097,
     /* 608409 */     GIR_EraseRootFromParent_Done,
     /* 608410 */   // Label 7749: @608410
     /* 608410 */   GIM_Reject,
     /* 608411 */ // Label 7746: @608411
     /* 608411 */ GIM_Reject,
     /* 608412 */ // Label 7742: @608412
     /* 608412 */ GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(608477), // Rule ID 7089 //
     /* 608417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IEEEModeDisabled),
     /* 608420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 608423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 608426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608430 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608437 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608444 */   // (fmaximumnum:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAX_F32_e64:{ *:[f32] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f32] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f32] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 608447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608449 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608454 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608475 */   GIR_RootConstrainSelectedInstOperands,
     /* 608476 */   // GIR_Coverage, 7089,
     /* 608476 */   GIR_EraseRootFromParent_Done,
     /* 608477 */ // Label 7750: @608477
     /* 608477 */ GIM_Reject,
     /* 608478 */ // Label 7743: @608478
     /* 608478 */ GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(608543), // Rule ID 7091 //
     /* 608483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IEEEModeDisabled),
     /* 608486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 608489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 608492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 608496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 608510 */   // (fmaximumnum:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_MAX_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[f64] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[f64] }:$src1, 0:{ *:[i1] }, 0:{ *:[i32] })
     /* 608510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 608513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608541 */   GIR_RootConstrainSelectedInstOperands,
     /* 608542 */   // GIR_Coverage, 7091,
     /* 608542 */   GIR_EraseRootFromParent_Done,
     /* 608543 */ // Label 7751: @608543
     /* 608543 */ GIM_Reject,
     /* 608544 */ // Label 7744: @608544
     /* 608544 */ GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(608618), // Rule ID 7099 //
     /* 608549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts_IEEEModeDisabled),
     /* 608552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 608555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 608558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608562 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 608569 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 608576 */   // (fmaximumnum:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_mods), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_mods))  =>  (V_PK_MAX_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_mods, ?:{ *:[v2f16] }:$src0, ?:{ *:[i32] }:$src1_mods, ?:{ *:[v2f16] }:$src1, 0:{ *:[i1] })
     /* 608576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 608579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 608586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 608591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_mods
     /* 608596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 608601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608616 */   GIR_RootConstrainSelectedInstOperands,
     /* 608617 */   // GIR_Coverage, 7099,
     /* 608617 */   GIR_EraseRootFromParent_Done,
     /* 608618 */ // Label 7752: @608618
     /* 608618 */ GIM_Reject,
     /* 608619 */ // Label 7745: @608619
     /* 608619 */ GIM_Reject,
     /* 608620 */ // Label 88: @608620
     /* 608620 */ GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(608743),
     /* 608625 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 608628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 608632 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(608687), // Rule ID 1882 //
     /* 608637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 608640 */     // (get_fpmode:{ *:[i32] })  =>  (S_AND_B32:{ *:[i32] }:{ *:[i1] } 8909823:{ *:[i32] }, (S_GETREG_B32:{ *:[i1] } 47105:{ *:[i32] }))
     /* 608640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 608643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_GETREG_B32),
     /* 608647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 608652 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(47105),
     /* 608662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 608664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 608667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 608669 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(8909823),
     /* 608679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 608682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 608685 */     GIR_RootConstrainSelectedInstOperands,
     /* 608686 */     // GIR_Coverage, 1882,
     /* 608686 */     GIR_EraseRootFromParent_Done,
     /* 608687 */   // Label 7754: @608687
     /* 608687 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(608742), // Rule ID 1883 //
     /* 608692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 608695 */     // (get_fpmode:{ *:[i32] })  =>  (S_AND_B32:{ *:[i32] }:{ *:[i1] } 521215:{ *:[i32] }, (S_GETREG_B32:{ *:[i1] } 36865:{ *:[i32] }))
     /* 608695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s1,
     /* 608698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_GETREG_B32),
     /* 608702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 608707 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(36865),
     /* 608717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 608719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_AND_B32),
     /* 608722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 608724 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(521215),
     /* 608734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 608737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 608740 */     GIR_RootConstrainSelectedInstOperands,
     /* 608741 */     // GIR_Coverage, 1883,
     /* 608741 */     GIR_EraseRootFromParent_Done,
     /* 608742 */   // Label 7755: @608742
     /* 608742 */   GIM_Reject,
     /* 608743 */ // Label 7753: @608743
     /* 608743 */ GIM_Reject,
     /* 608744 */ // Label 89: @608744
     /* 608744 */ GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(608820), // Rule ID 2615 //
     /* 608749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 608752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 608755 */   // MIs[0] DstI[vdst]
     /* 608755 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/32,
     /* 608759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608763 */   // MIs[0] Operand 1
     /* 608763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 608767 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 608771 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_PTR_ADD),
     /* 608775 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 608779 */   GIM_CheckHasOneUse, /*MI*/1,
     /* 608781 */   // MIs[1] src0
     /* 608781 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/32,
     /* 608785 */   GIM_RecordNamedOperand, /*MI*/1, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /* 608789 */   GIM_RecordNamedOperand, /*MI*/1, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /* 608793 */   GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/2, // Name : pred:4:z
     /* 608797 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_20927),
     /* 608801 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 608803 */   // (ptradd:{ *:[i32] } (ptradd:{ *:[i32] } i32:{ *:[i32] }:$src0:$pred:4:x, i32:{ *:[i32] }:$src1:$pred:4:y)<<P:Predicate_anonymous_20928>>, i32:{ *:[i32] }:$src2:$pred:4:z)<<P:4:Predicate_anonymous_20927>>  =>  (V_ADD3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 608803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD3_U32_e64),
     /* 608806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608808 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 608812 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 608816 */   GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 608818 */   GIR_RootConstrainSelectedInstOperands,
     /* 608819 */   // GIR_Coverage, 2615,
     /* 608819 */   GIR_EraseRootFromParent_Done,
     /* 608820 */ // Label 7756: @608820
     /* 608820 */ GIM_Reject,
     /* 608821 */ // Label 90: @608821
     /* 608821 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7760*/ GIMT_Encode4(615184),
     /* 608832 */ /*GILLT_s16*//*Label 7757*/ GIMT_Encode4(608848),
     /* 608836 */ /*GILLT_s32*//*Label 7758*/ GIMT_Encode4(613667), GIMT_Encode4(0),
     /* 608844 */ /*GILLT_v2s16*//*Label 7759*/ GIMT_Encode4(615112),
     /* 608848 */ // Label 7757: @608848
     /* 608848 */ GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(613666),
     /* 608853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 608856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 608859 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(608957), // Rule ID 11991 //
     /* 608864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 608867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 608875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 608879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 608883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 608887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 608891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 608895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 608899 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 608903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 608907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 608911 */     // MIs[3] src0
     /* 608911 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 608916 */     // MIs[3] src1
     /* 608916 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 608921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 608923 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 608923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 608926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 608928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 608935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 608942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 608949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 608955 */     GIR_RootConstrainSelectedInstOperands,
     /* 608956 */     // GIR_Coverage, 11991,
     /* 608956 */     GIR_EraseRootFromParent_Done,
     /* 608957 */   // Label 7762: @608957
     /* 608957 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(609055), // Rule ID 11992 //
     /* 608962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 608965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 608969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 608973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 608977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 608981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 608985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 608989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 608993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 608997 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609009 */     // MIs[3] src1
     /* 609009 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609014 */     // MIs[3] src0
     /* 609014 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609019 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609021 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 609024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 609033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 609040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609053 */     GIR_RootConstrainSelectedInstOperands,
     /* 609054 */     // GIR_Coverage, 11992,
     /* 609054 */     GIR_EraseRootFromParent_Done,
     /* 609055 */   // Label 7763: @609055
     /* 609055 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(609153), // Rule ID 11993 //
     /* 609060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 609063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609107 */     // MIs[3] src0
     /* 609107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609112 */     // MIs[3] src1
     /* 609112 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609119 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 609122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 609131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 609138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609151 */     GIR_RootConstrainSelectedInstOperands,
     /* 609152 */     // GIR_Coverage, 11993,
     /* 609152 */     GIR_EraseRootFromParent_Done,
     /* 609153 */   // Label 7764: @609153
     /* 609153 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(609251), // Rule ID 11994 //
     /* 609158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 609161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609205 */     // MIs[3] src1
     /* 609205 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609210 */     // MIs[3] src0
     /* 609210 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609217 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 609220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 609229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 609236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609249 */     GIR_RootConstrainSelectedInstOperands,
     /* 609250 */     // GIR_Coverage, 11994,
     /* 609250 */     GIR_EraseRootFromParent_Done,
     /* 609251 */   // Label 7765: @609251
     /* 609251 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(609349), // Rule ID 13543 //
     /* 609256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 609259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 609263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609303 */     // MIs[3] src0
     /* 609303 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609308 */     // MIs[3] src1
     /* 609308 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609315 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 609318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 609327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 609334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609347 */     GIR_RootConstrainSelectedInstOperands,
     /* 609348 */     // GIR_Coverage, 13543,
     /* 609348 */     GIR_EraseRootFromParent_Done,
     /* 609349 */   // Label 7766: @609349
     /* 609349 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(609447), // Rule ID 13544 //
     /* 609354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 609357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 609361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609401 */     // MIs[3] src1
     /* 609401 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609406 */     // MIs[3] src0
     /* 609406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609411 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609413 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 609416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 609425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 609432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609445 */     GIR_RootConstrainSelectedInstOperands,
     /* 609446 */     // GIR_Coverage, 13544,
     /* 609446 */     GIR_EraseRootFromParent_Done,
     /* 609447 */   // Label 7767: @609447
     /* 609447 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(609545), // Rule ID 13545 //
     /* 609452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 609455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 609459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609487 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609499 */     // MIs[3] src0
     /* 609499 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609504 */     // MIs[3] src1
     /* 609504 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609509 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609511 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 609514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 609523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 609530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609543 */     GIR_RootConstrainSelectedInstOperands,
     /* 609544 */     // GIR_Coverage, 13545,
     /* 609544 */     GIR_EraseRootFromParent_Done,
     /* 609545 */   // Label 7768: @609545
     /* 609545 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(609643), // Rule ID 13546 //
     /* 609550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 609553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 609557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609597 */     // MIs[3] src1
     /* 609597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609602 */     // MIs[3] src0
     /* 609602 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609609 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 609612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 609621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 609628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609641 */     GIR_RootConstrainSelectedInstOperands,
     /* 609642 */     // GIR_Coverage, 13546,
     /* 609642 */     GIR_EraseRootFromParent_Done,
     /* 609643 */   // Label 7769: @609643
     /* 609643 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(609741), // Rule ID 13603 //
     /* 609648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 609651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609687 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609691 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609695 */     // MIs[3] src0
     /* 609695 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609700 */     // MIs[3] src1
     /* 609700 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609707 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 609710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 609719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 609726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609739 */     GIR_RootConstrainSelectedInstOperands,
     /* 609740 */     // GIR_Coverage, 13603,
     /* 609740 */     GIR_EraseRootFromParent_Done,
     /* 609741 */   // Label 7770: @609741
     /* 609741 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(609839), // Rule ID 13604 //
     /* 609746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 609749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609785 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609789 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609793 */     // MIs[3] src1
     /* 609793 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609798 */     // MIs[3] src0
     /* 609798 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609805 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 609808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 609817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 609824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609837 */     GIR_RootConstrainSelectedInstOperands,
     /* 609838 */     // GIR_Coverage, 13604,
     /* 609838 */     GIR_EraseRootFromParent_Done,
     /* 609839 */   // Label 7771: @609839
     /* 609839 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(609937), // Rule ID 13605 //
     /* 609844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 609847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609879 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609891 */     // MIs[3] src0
     /* 609891 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609896 */     // MIs[3] src1
     /* 609896 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609901 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 609903 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 609903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 609906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 609908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 609915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 609922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 609929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 609935 */     GIR_RootConstrainSelectedInstOperands,
     /* 609936 */     // GIR_Coverage, 13605,
     /* 609936 */     GIR_EraseRootFromParent_Done,
     /* 609937 */   // Label 7772: @609937
     /* 609937 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(610035), // Rule ID 13606 //
     /* 609942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 609945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 609949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 609953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 609961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 609965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 609969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 609973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 609977 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 609981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 609985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 609989 */     // MIs[3] src1
     /* 609989 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 609994 */     // MIs[3] src0
     /* 609994 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 609999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610001 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 610004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 610013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 610020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 610027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610033 */     GIR_RootConstrainSelectedInstOperands,
     /* 610034 */     // GIR_Coverage, 13606,
     /* 610034 */     GIR_EraseRootFromParent_Done,
     /* 610035 */   // Label 7773: @610035
     /* 610035 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(610133), // Rule ID 11995 //
     /* 610040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 610043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610087 */     // MIs[3] src0
     /* 610087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610092 */     // MIs[3] src1
     /* 610092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610099 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 610102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 610118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610131 */     GIR_RootConstrainSelectedInstOperands,
     /* 610132 */     // GIR_Coverage, 11995,
     /* 610132 */     GIR_EraseRootFromParent_Done,
     /* 610133 */   // Label 7774: @610133
     /* 610133 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(610231), // Rule ID 11996 //
     /* 610138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 610141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610177 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610181 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610185 */     // MIs[3] src1
     /* 610185 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610190 */     // MIs[3] src0
     /* 610190 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610197 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 610200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 610216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610229 */     GIR_RootConstrainSelectedInstOperands,
     /* 610230 */     // GIR_Coverage, 11996,
     /* 610230 */     GIR_EraseRootFromParent_Done,
     /* 610231 */   // Label 7775: @610231
     /* 610231 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(610329), // Rule ID 11997 //
     /* 610236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 610239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610283 */     // MIs[3] src0
     /* 610283 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610288 */     // MIs[3] src1
     /* 610288 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610293 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610295 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 610298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 610307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 610314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610327 */     GIR_RootConstrainSelectedInstOperands,
     /* 610328 */     // GIR_Coverage, 11997,
     /* 610328 */     GIR_EraseRootFromParent_Done,
     /* 610329 */   // Label 7776: @610329
     /* 610329 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(610427), // Rule ID 11998 //
     /* 610334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 610337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610381 */     // MIs[3] src1
     /* 610381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610386 */     // MIs[3] src0
     /* 610386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610391 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610393 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 610396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 610405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 610412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610425 */     GIR_RootConstrainSelectedInstOperands,
     /* 610426 */     // GIR_Coverage, 11998,
     /* 610426 */     GIR_EraseRootFromParent_Done,
     /* 610427 */   // Label 7777: @610427
     /* 610427 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(610525), // Rule ID 13547 //
     /* 610432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 610435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 610439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610467 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610479 */     // MIs[3] src0
     /* 610479 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610484 */     // MIs[3] src1
     /* 610484 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610491 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 610494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 610510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610523 */     GIR_RootConstrainSelectedInstOperands,
     /* 610524 */     // GIR_Coverage, 13547,
     /* 610524 */     GIR_EraseRootFromParent_Done,
     /* 610525 */   // Label 7778: @610525
     /* 610525 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(610623), // Rule ID 13548 //
     /* 610530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 610533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 610537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610577 */     // MIs[3] src1
     /* 610577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610582 */     // MIs[3] src0
     /* 610582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610589 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 610592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 610608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610621 */     GIR_RootConstrainSelectedInstOperands,
     /* 610622 */     // GIR_Coverage, 13548,
     /* 610622 */     GIR_EraseRootFromParent_Done,
     /* 610623 */   // Label 7779: @610623
     /* 610623 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(610721), // Rule ID 13549 //
     /* 610628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 610631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 610635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610663 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610675 */     // MIs[3] src0
     /* 610675 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610680 */     // MIs[3] src1
     /* 610680 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610687 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 610690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 610699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 610706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610719 */     GIR_RootConstrainSelectedInstOperands,
     /* 610720 */     // GIR_Coverage, 13549,
     /* 610720 */     GIR_EraseRootFromParent_Done,
     /* 610721 */   // Label 7780: @610721
     /* 610721 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(610819), // Rule ID 13550 //
     /* 610726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 610729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 610733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610761 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610773 */     // MIs[3] src1
     /* 610773 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610778 */     // MIs[3] src0
     /* 610778 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610785 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 610788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 610797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 610804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610817 */     GIR_RootConstrainSelectedInstOperands,
     /* 610818 */     // GIR_Coverage, 13550,
     /* 610818 */     GIR_EraseRootFromParent_Done,
     /* 610819 */   // Label 7781: @610819
     /* 610819 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(610917), // Rule ID 13607 //
     /* 610824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 610827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610871 */     // MIs[3] src0
     /* 610871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610876 */     // MIs[3] src1
     /* 610876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610883 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 610886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 610902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 610909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610915 */     GIR_RootConstrainSelectedInstOperands,
     /* 610916 */     // GIR_Coverage, 13607,
     /* 610916 */     GIR_EraseRootFromParent_Done,
     /* 610917 */   // Label 7782: @610917
     /* 610917 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(611015), // Rule ID 13608 //
     /* 610922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 610925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 610929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 610933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 610941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 610945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 610949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 610953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 610957 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 610961 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 610965 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 610969 */     // MIs[3] src1
     /* 610969 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 610974 */     // MIs[3] src0
     /* 610974 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 610979 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 610981 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 610981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 610984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 610986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 610993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 610996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 611000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 611007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611013 */     GIR_RootConstrainSelectedInstOperands,
     /* 611014 */     // GIR_Coverage, 13608,
     /* 611014 */     GIR_EraseRootFromParent_Done,
     /* 611015 */   // Label 7783: @611015
     /* 611015 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(611113), // Rule ID 13609 //
     /* 611020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 611023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 611047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611055 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 611063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611067 */     // MIs[3] src0
     /* 611067 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 611072 */     // MIs[3] src1
     /* 611072 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 611077 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611079 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 611082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 611091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 611098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 611105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611111 */     GIR_RootConstrainSelectedInstOperands,
     /* 611112 */     // GIR_Coverage, 13609,
     /* 611112 */     GIR_EraseRootFromParent_Done,
     /* 611113 */   // Label 7784: @611113
     /* 611113 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(611211), // Rule ID 13610 //
     /* 611118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 611121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 611145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 611161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611165 */     // MIs[3] src1
     /* 611165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 611170 */     // MIs[3] src0
     /* 611170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 611175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611177 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 611180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 611189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 611196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 611203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611209 */     GIR_RootConstrainSelectedInstOperands,
     /* 611210 */     // GIR_Coverage, 13610,
     /* 611210 */     GIR_EraseRootFromParent_Done,
     /* 611211 */   // Label 7785: @611211
     /* 611211 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(611309), // Rule ID 7816 //
     /* 611216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 611219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611251 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611263 */     // MIs[3] src0
     /* 611263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611268 */     // MIs[3] src1
     /* 611268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611275 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 611278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 611287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 611294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611307 */     GIR_RootConstrainSelectedInstOperands,
     /* 611308 */     // GIR_Coverage, 7816,
     /* 611308 */     GIR_EraseRootFromParent_Done,
     /* 611309 */   // Label 7786: @611309
     /* 611309 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(611407), // Rule ID 7968 //
     /* 611314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 611317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 611321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611361 */     // MIs[3] src0
     /* 611361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611366 */     // MIs[3] src1
     /* 611366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611373 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 611376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 611385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 611392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611405 */     GIR_RootConstrainSelectedInstOperands,
     /* 611406 */     // GIR_Coverage, 7968,
     /* 611406 */     GIR_EraseRootFromParent_Done,
     /* 611407 */   // Label 7787: @611407
     /* 611407 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(611505), // Rule ID 7972 //
     /* 611412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 611415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611459 */     // MIs[3] src0
     /* 611459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611464 */     // MIs[3] src1
     /* 611464 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611469 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611471 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 611474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 611483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 611490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611503 */     GIR_RootConstrainSelectedInstOperands,
     /* 611504 */     // GIR_Coverage, 7972,
     /* 611504 */     GIR_EraseRootFromParent_Done,
     /* 611505 */   // Label 7788: @611505
     /* 611505 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(611603), // Rule ID 11984 //
     /* 611510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 611513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611557 */     // MIs[3] src1
     /* 611557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611562 */     // MIs[3] src0
     /* 611562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611569 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 611572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 611581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 611588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611601 */     GIR_RootConstrainSelectedInstOperands,
     /* 611602 */     // GIR_Coverage, 11984,
     /* 611602 */     GIR_EraseRootFromParent_Done,
     /* 611603 */   // Label 7789: @611603
     /* 611603 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(611701), // Rule ID 11987 //
     /* 611608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 611611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611655 */     // MIs[3] src0
     /* 611655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611660 */     // MIs[3] src1
     /* 611660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611667 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 611670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 611679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 611686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611699 */     GIR_RootConstrainSelectedInstOperands,
     /* 611700 */     // GIR_Coverage, 11987,
     /* 611700 */     GIR_EraseRootFromParent_Done,
     /* 611701 */   // Label 7790: @611701
     /* 611701 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(611799), // Rule ID 11988 //
     /* 611706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 611709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 611713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611753 */     // MIs[3] src1
     /* 611753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611758 */     // MIs[3] src0
     /* 611758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611765 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 611768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 611777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 611784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611797 */     GIR_RootConstrainSelectedInstOperands,
     /* 611798 */     // GIR_Coverage, 11988,
     /* 611798 */     GIR_EraseRootFromParent_Done,
     /* 611799 */   // Label 7791: @611799
     /* 611799 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(611897), // Rule ID 13536 //
     /* 611804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 611807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 611811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611851 */     // MIs[3] src1
     /* 611851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611856 */     // MIs[3] src0
     /* 611856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611863 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 611866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 611875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 611882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611895 */     GIR_RootConstrainSelectedInstOperands,
     /* 611896 */     // GIR_Coverage, 13536,
     /* 611896 */     GIR_EraseRootFromParent_Done,
     /* 611897 */   // Label 7792: @611897
     /* 611897 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(611995), // Rule ID 13539 //
     /* 611902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 611905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 611909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 611913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 611921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 611925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 611929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 611933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 611937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 611941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 611945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 611949 */     // MIs[3] src0
     /* 611949 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 611954 */     // MIs[3] src1
     /* 611954 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 611959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 611961 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 611961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 611964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 611966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 611973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 611980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 611987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 611993 */     GIR_RootConstrainSelectedInstOperands,
     /* 611994 */     // GIR_Coverage, 13539,
     /* 611994 */     GIR_EraseRootFromParent_Done,
     /* 611995 */   // Label 7793: @611995
     /* 611995 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(612093), // Rule ID 13540 //
     /* 612000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 612003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 612007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612035 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 612043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612047 */     // MIs[3] src1
     /* 612047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612052 */     // MIs[3] src0
     /* 612052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612059 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 612062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 612071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 612078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 612085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612091 */     GIR_RootConstrainSelectedInstOperands,
     /* 612092 */     // GIR_Coverage, 13540,
     /* 612092 */     GIR_EraseRootFromParent_Done,
     /* 612093 */   // Label 7794: @612093
     /* 612093 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(612191), // Rule ID 13596 //
     /* 612098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 612101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 612141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612145 */     // MIs[3] src1
     /* 612145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612150 */     // MIs[3] src0
     /* 612150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612157 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 612160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 612169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 612176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 612183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612189 */     GIR_RootConstrainSelectedInstOperands,
     /* 612190 */     // GIR_Coverage, 13596,
     /* 612190 */     GIR_EraseRootFromParent_Done,
     /* 612191 */   // Label 7795: @612191
     /* 612191 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(612289), // Rule ID 13599 //
     /* 612196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 612199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 612239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612243 */     // MIs[3] src0
     /* 612243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612248 */     // MIs[3] src1
     /* 612248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612255 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 612258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 612267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 612274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 612281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612287 */     GIR_RootConstrainSelectedInstOperands,
     /* 612288 */     // GIR_Coverage, 13599,
     /* 612288 */     GIR_EraseRootFromParent_Done,
     /* 612289 */   // Label 7796: @612289
     /* 612289 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(612387), // Rule ID 13600 //
     /* 612294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 612297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 612337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612341 */     // MIs[3] src1
     /* 612341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612346 */     // MIs[3] src0
     /* 612346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612353 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 612356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 612365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 612372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 612379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612385 */     GIR_RootConstrainSelectedInstOperands,
     /* 612386 */     // GIR_Coverage, 13600,
     /* 612386 */     GIR_EraseRootFromParent_Done,
     /* 612387 */   // Label 7797: @612387
     /* 612387 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(612485), // Rule ID 11985 //
     /* 612392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 612395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612427 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612439 */     // MIs[3] src0
     /* 612439 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612444 */     // MIs[3] src1
     /* 612444 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612449 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612451 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 612454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 612463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 612470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612483 */     GIR_RootConstrainSelectedInstOperands,
     /* 612484 */     // GIR_Coverage, 11985,
     /* 612484 */     GIR_EraseRootFromParent_Done,
     /* 612485 */   // Label 7798: @612485
     /* 612485 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(612583), // Rule ID 11986 //
     /* 612490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 612493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612537 */     // MIs[3] src1
     /* 612537 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612542 */     // MIs[3] src0
     /* 612542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612547 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612549 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 612552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 612561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 612568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612581 */     GIR_RootConstrainSelectedInstOperands,
     /* 612582 */     // GIR_Coverage, 11986,
     /* 612582 */     GIR_EraseRootFromParent_Done,
     /* 612583 */   // Label 7799: @612583
     /* 612583 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(612681), // Rule ID 11989 //
     /* 612588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 612591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612635 */     // MIs[3] src0
     /* 612635 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612640 */     // MIs[3] src1
     /* 612640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612647 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 612650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 612659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 612666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612679 */     GIR_RootConstrainSelectedInstOperands,
     /* 612680 */     // GIR_Coverage, 11989,
     /* 612680 */     GIR_EraseRootFromParent_Done,
     /* 612681 */   // Label 7800: @612681
     /* 612681 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(612779), // Rule ID 11990 //
     /* 612686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 612689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 612693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612733 */     // MIs[3] src1
     /* 612733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612738 */     // MIs[3] src0
     /* 612738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612743 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612745 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 612748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 612757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 612764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612777 */     GIR_RootConstrainSelectedInstOperands,
     /* 612778 */     // GIR_Coverage, 11990,
     /* 612778 */     GIR_EraseRootFromParent_Done,
     /* 612779 */   // Label 7801: @612779
     /* 612779 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(612877), // Rule ID 13537 //
     /* 612784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 612787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 612791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612831 */     // MIs[3] src0
     /* 612831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612836 */     // MIs[3] src1
     /* 612836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612841 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612843 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 612846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 612855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 612862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612875 */     GIR_RootConstrainSelectedInstOperands,
     /* 612876 */     // GIR_Coverage, 13537,
     /* 612876 */     GIR_EraseRootFromParent_Done,
     /* 612877 */   // Label 7802: @612877
     /* 612877 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(612975), // Rule ID 13538 //
     /* 612882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 612885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 612889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 612905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 612909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 612917 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 612921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 612925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 612929 */     // MIs[3] src1
     /* 612929 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 612934 */     // MIs[3] src0
     /* 612934 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 612939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 612941 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 612941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 612944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 612946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 612953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 612960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 612967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 612973 */     GIR_RootConstrainSelectedInstOperands,
     /* 612974 */     // GIR_Coverage, 13538,
     /* 612974 */     GIR_EraseRootFromParent_Done,
     /* 612975 */   // Label 7803: @612975
     /* 612975 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(613073), // Rule ID 13541 //
     /* 612980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 612983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 612987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 612991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 612995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 612999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613027 */     // MIs[3] src0
     /* 613027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613032 */     // MIs[3] src1
     /* 613032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613037 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613039 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 613042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 613051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 613058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613071 */     GIR_RootConstrainSelectedInstOperands,
     /* 613072 */     // GIR_Coverage, 13541,
     /* 613072 */     GIR_EraseRootFromParent_Done,
     /* 613073 */   // Label 7804: @613073
     /* 613073 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(613171), // Rule ID 13542 //
     /* 613078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 613081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 613085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 613097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613125 */     // MIs[3] src1
     /* 613125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613130 */     // MIs[3] src0
     /* 613130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613135 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613137 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 613140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 613149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 613156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613169 */     GIR_RootConstrainSelectedInstOperands,
     /* 613170 */     // GIR_Coverage, 13542,
     /* 613170 */     GIR_EraseRootFromParent_Done,
     /* 613171 */   // Label 7805: @613171
     /* 613171 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(613269), // Rule ID 13597 //
     /* 613176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 613179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 613195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613223 */     // MIs[3] src0
     /* 613223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613228 */     // MIs[3] src1
     /* 613228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613233 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613235 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 613238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 613247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 613254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613267 */     GIR_RootConstrainSelectedInstOperands,
     /* 613268 */     // GIR_Coverage, 13597,
     /* 613268 */     GIR_EraseRootFromParent_Done,
     /* 613269 */   // Label 7806: @613269
     /* 613269 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(613367), // Rule ID 13598 //
     /* 613274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 613277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 613293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613321 */     // MIs[3] src1
     /* 613321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613326 */     // MIs[3] src0
     /* 613326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613333 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 613336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 613345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 613352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613365 */     GIR_RootConstrainSelectedInstOperands,
     /* 613366 */     // GIR_Coverage, 13598,
     /* 613366 */     GIR_EraseRootFromParent_Done,
     /* 613367 */   // Label 7807: @613367
     /* 613367 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(613465), // Rule ID 13601 //
     /* 613372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 613375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 613391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613411 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613415 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613419 */     // MIs[3] src0
     /* 613419 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613424 */     // MIs[3] src1
     /* 613424 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613429 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613431 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 613434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 613443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 613450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613463 */     GIR_RootConstrainSelectedInstOperands,
     /* 613464 */     // GIR_Coverage, 13601,
     /* 613464 */     GIR_EraseRootFromParent_Done,
     /* 613465 */   // Label 7808: @613465
     /* 613465 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(613563), // Rule ID 13602 //
     /* 613470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 613473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 613489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 613493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 613497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 613505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 613509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 613513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613517 */     // MIs[3] src1
     /* 613517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 613522 */     // MIs[3] src0
     /* 613522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 613527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613529 */     // (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smax:{ *:[i16] } i16:{ *:[i16] }:$src2, (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 613529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 613532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 613541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 613548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 613555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613561 */     GIR_RootConstrainSelectedInstOperands,
     /* 613562 */     // GIR_Coverage, 13602,
     /* 613562 */     GIR_EraseRootFromParent_Done,
     /* 613563 */   // Label 7809: @613563
     /* 613563 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(613619), // Rule ID 903 //
     /* 613568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 613571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 613575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 613582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 613589 */     // (smin:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_I16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 613589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I16_t16_e64),
     /* 613592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 613599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 613604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 613609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 613614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 613617 */     GIR_RootConstrainSelectedInstOperands,
     /* 613618 */     // GIR_Coverage, 903,
     /* 613618 */     GIR_EraseRootFromParent_Done,
     /* 613619 */   // Label 7810: @613619
     /* 613619 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(613642), // Rule ID 902 //
     /* 613624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 613627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613631 */     // (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MIN_I16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 613631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I16_e64),
     /* 613636 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 613640 */     GIR_RootConstrainSelectedInstOperands,
     /* 613641 */     // GIR_Coverage, 902,
     /* 613641 */     GIR_Done,
     /* 613642 */   // Label 7811: @613642
     /* 613642 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(613665), // Rule ID 904 //
     /* 613647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 613650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613654 */     // (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MIN_I16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 613654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I16_fake16_e64),
     /* 613659 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 613663 */     GIR_RootConstrainSelectedInstOperands,
     /* 613664 */     // GIR_Coverage, 904,
     /* 613664 */     GIR_Done,
     /* 613665 */   // Label 7812: @613665
     /* 613665 */   GIM_Reject,
     /* 613666 */ // Label 7761: @613666
     /* 613666 */ GIM_Reject,
     /* 613667 */ // Label 7758: @613667
     /* 613667 */ GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(615111),
     /* 613672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 613675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 613678 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(613758), // Rule ID 11436 //
     /* 613683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 613699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 613703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 613707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 613715 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 613719 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 613723 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613727 */     // MIs[3] src0
     /* 613727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 613732 */     // MIs[3] src1
     /* 613732 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 613737 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613739 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 613739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 613742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 613748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 613752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 613756 */     GIR_RootConstrainSelectedInstOperands,
     /* 613757 */     // GIR_Coverage, 11436,
     /* 613757 */     GIR_EraseRootFromParent_Done,
     /* 613758 */   // Label 7814: @613758
     /* 613758 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(613838), // Rule ID 11437 //
     /* 613763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 613779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 613783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 613787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 613795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 613799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 613803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613807 */     // MIs[3] src1
     /* 613807 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 613812 */     // MIs[3] src0
     /* 613812 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 613817 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613819 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 613819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 613822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 613828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 613832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 613836 */     GIR_RootConstrainSelectedInstOperands,
     /* 613837 */     // GIR_Coverage, 11437,
     /* 613837 */     GIR_EraseRootFromParent_Done,
     /* 613838 */   // Label 7815: @613838
     /* 613838 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(613918), // Rule ID 11438 //
     /* 613843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 613859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 613863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 613867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 613875 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 613879 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 613883 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613887 */     // MIs[3] src0
     /* 613887 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 613892 */     // MIs[3] src1
     /* 613892 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 613897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613899 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 613899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 613902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 613908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 613912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 613916 */     GIR_RootConstrainSelectedInstOperands,
     /* 613917 */     // GIR_Coverage, 11438,
     /* 613917 */     GIR_EraseRootFromParent_Done,
     /* 613918 */   // Label 7816: @613918
     /* 613918 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(613998), // Rule ID 11439 //
     /* 613923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 613927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 613931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 613939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 613943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 613947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 613951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 613955 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 613959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 613963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 613967 */     // MIs[3] src1
     /* 613967 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 613972 */     // MIs[3] src0
     /* 613972 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 613977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 613979 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 613979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 613982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 613984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 613988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 613992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 613996 */     GIR_RootConstrainSelectedInstOperands,
     /* 613997 */     // GIR_Coverage, 11439,
     /* 613997 */     GIR_EraseRootFromParent_Done,
     /* 613998 */   // Label 7817: @613998
     /* 613998 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(614078), // Rule ID 11440 //
     /* 614003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 614027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614035 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 614043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614047 */     // MIs[3] src0
     /* 614047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 614052 */     // MIs[3] src1
     /* 614052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 614057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614059 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 614068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 614072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 614076 */     GIR_RootConstrainSelectedInstOperands,
     /* 614077 */     // GIR_Coverage, 11440,
     /* 614077 */     GIR_EraseRootFromParent_Done,
     /* 614078 */   // Label 7818: @614078
     /* 614078 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(614158), // Rule ID 11441 //
     /* 614083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 614107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614115 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 614123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614127 */     // MIs[3] src1
     /* 614127 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 614132 */     // MIs[3] src0
     /* 614132 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 614137 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614139 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 614148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 614152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 614156 */     GIR_RootConstrainSelectedInstOperands,
     /* 614157 */     // GIR_Coverage, 11441,
     /* 614157 */     GIR_EraseRootFromParent_Done,
     /* 614158 */   // Label 7819: @614158
     /* 614158 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(614238), // Rule ID 11442 //
     /* 614163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 614187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614195 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614199 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 614203 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614207 */     // MIs[3] src0
     /* 614207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 614212 */     // MIs[3] src1
     /* 614212 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 614217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614219 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 614228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 614232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 614236 */     GIR_RootConstrainSelectedInstOperands,
     /* 614237 */     // GIR_Coverage, 11442,
     /* 614237 */     GIR_EraseRootFromParent_Done,
     /* 614238 */   // Label 7820: @614238
     /* 614238 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(614318), // Rule ID 11443 //
     /* 614243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 614267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 614283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614287 */     // MIs[3] src1
     /* 614287 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 614292 */     // MIs[3] src0
     /* 614292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 614297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614299 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 614308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 614312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 614316 */     GIR_RootConstrainSelectedInstOperands,
     /* 614317 */     // GIR_Coverage, 11443,
     /* 614317 */     GIR_EraseRootFromParent_Done,
     /* 614318 */   // Label 7821: @614318
     /* 614318 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(614398), // Rule ID 7779 //
     /* 614323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 614363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614367 */     // MIs[3] src0
     /* 614367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614372 */     // MIs[3] src1
     /* 614372 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614379 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 614388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 614392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 614396 */     GIR_RootConstrainSelectedInstOperands,
     /* 614397 */     // GIR_Coverage, 7779,
     /* 614397 */     GIR_EraseRootFromParent_Done,
     /* 614398 */   // Label 7822: @614398
     /* 614398 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(614478), // Rule ID 11429 //
     /* 614403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614435 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 614443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614447 */     // MIs[3] src1
     /* 614447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614452 */     // MIs[3] src0
     /* 614452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614459 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 614468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 614472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 614476 */     GIR_RootConstrainSelectedInstOperands,
     /* 614477 */     // GIR_Coverage, 11429,
     /* 614477 */     GIR_EraseRootFromParent_Done,
     /* 614478 */   // Label 7823: @614478
     /* 614478 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(614558), // Rule ID 11432 //
     /* 614483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 614523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614527 */     // MIs[3] src0
     /* 614527 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614532 */     // MIs[3] src1
     /* 614532 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614537 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614539 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 614548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 614552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 614556 */     GIR_RootConstrainSelectedInstOperands,
     /* 614557 */     // GIR_Coverage, 11432,
     /* 614557 */     GIR_EraseRootFromParent_Done,
     /* 614558 */   // Label 7824: @614558
     /* 614558 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(614638), // Rule ID 11433 //
     /* 614563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614595 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 614603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614607 */     // MIs[3] src1
     /* 614607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614612 */     // MIs[3] src0
     /* 614612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614619 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 614628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 614632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 614636 */     GIR_RootConstrainSelectedInstOperands,
     /* 614637 */     // GIR_Coverage, 11433,
     /* 614637 */     GIR_EraseRootFromParent_Done,
     /* 614638 */   // Label 7825: @614638
     /* 614638 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(614718), // Rule ID 11430 //
     /* 614643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614675 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614679 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 614683 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614687 */     // MIs[3] src0
     /* 614687 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614692 */     // MIs[3] src1
     /* 614692 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614699 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 614708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 614712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 614716 */     GIR_RootConstrainSelectedInstOperands,
     /* 614717 */     // GIR_Coverage, 11430,
     /* 614717 */     GIR_EraseRootFromParent_Done,
     /* 614718 */   // Label 7826: @614718
     /* 614718 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(614798), // Rule ID 11431 //
     /* 614723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 614763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614767 */     // MIs[3] src1
     /* 614767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614772 */     // MIs[3] src0
     /* 614772 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614779 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 614788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 614792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 614796 */     GIR_RootConstrainSelectedInstOperands,
     /* 614797 */     // GIR_Coverage, 11431,
     /* 614797 */     GIR_EraseRootFromParent_Done,
     /* 614798 */   // Label 7827: @614798
     /* 614798 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(614878), // Rule ID 11434 //
     /* 614803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614835 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 614843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614847 */     // MIs[3] src0
     /* 614847 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614852 */     // MIs[3] src1
     /* 614852 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614857 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614859 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 614868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 614872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 614876 */     GIR_RootConstrainSelectedInstOperands,
     /* 614877 */     // GIR_Coverage, 11434,
     /* 614877 */     GIR_EraseRootFromParent_Done,
     /* 614878 */   // Label 7828: @614878
     /* 614878 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(614958), // Rule ID 11435 //
     /* 614883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 614907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 614915 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 614919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 614923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 614927 */     // MIs[3] src1
     /* 614927 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 614932 */     // MIs[3] src0
     /* 614932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 614937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 614939 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 614942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 614948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 614952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 614956 */     GIR_RootConstrainSelectedInstOperands,
     /* 614957 */     // GIR_Coverage, 11435,
     /* 614957 */     GIR_EraseRootFromParent_Done,
     /* 614958 */   // Label 7829: @614958
     /* 614958 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(615011), // Rule ID 7913 //
     /* 614963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 614966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 614970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 614974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 614978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 614982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 614986 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 614988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35331),
     /* 614992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 614994 */     // (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_smax_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_anonymous_35331>>  =>  (V_MAXMIN_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 614994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_I32_e64),
     /* 614997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 614999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 615003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 615007 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 615009 */     GIR_RootConstrainSelectedInstOperands,
     /* 615010 */     // GIR_Coverage, 7913,
     /* 615010 */     GIR_EraseRootFromParent_Done,
     /* 615011 */   // Label 7830: @615011
     /* 615011 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(615064), // Rule ID 13439 //
     /* 615016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 615019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 615027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 615035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 615039 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 615041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35331),
     /* 615045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 615047 */     // (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_smax_oneuse>>)<<P:Predicate_anonymous_35331>>  =>  (V_MAXMIN_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 615047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_I32_e64),
     /* 615050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 615056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 615060 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 615062 */     GIR_RootConstrainSelectedInstOperands,
     /* 615063 */     // GIR_Coverage, 13439,
     /* 615063 */     GIR_EraseRootFromParent_Done,
     /* 615064 */   // Label 7831: @615064
     /* 615064 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(615090), // Rule ID 47 //
     /* 615069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 615073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13759),
     /* 615077 */     // (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13759>>  =>  (S_MIN_I32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 615077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_I32),
     /* 615082 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 615088 */     GIR_RootConstrainSelectedInstOperands,
     /* 615089 */     // GIR_Coverage, 47,
     /* 615089 */     GIR_Done,
     /* 615090 */   // Label 7832: @615090
     /* 615090 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(615110), // Rule ID 806 //
     /* 615095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615099 */     // (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MIN_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 615099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_I32_e64),
     /* 615104 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 615108 */     GIR_RootConstrainSelectedInstOperands,
     /* 615109 */     // GIR_Coverage, 806,
     /* 615109 */     GIR_Done,
     /* 615110 */   // Label 7833: @615110
     /* 615110 */   GIM_Reject,
     /* 615111 */ // Label 7813: @615111
     /* 615111 */ GIM_Reject,
     /* 615112 */ // Label 7759: @615112
     /* 615112 */ GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(615183), // Rule ID 1102 //
     /* 615117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 615120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 615123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615127 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 615134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 615141 */   // (smin:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MIN_I16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 615141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MIN_I16),
     /* 615144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 615151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 615156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 615161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 615166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615181 */   GIR_RootConstrainSelectedInstOperands,
     /* 615182 */   // GIR_Coverage, 1102,
     /* 615182 */   GIR_EraseRootFromParent_Done,
     /* 615183 */ // Label 7834: @615183
     /* 615183 */ GIM_Reject,
     /* 615184 */ // Label 7760: @615184
     /* 615184 */ GIM_Reject,
     /* 615185 */ // Label 91: @615185
     /* 615185 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7838*/ GIMT_Encode4(621710),
     /* 615196 */ /*GILLT_s16*//*Label 7835*/ GIMT_Encode4(615212),
     /* 615200 */ /*GILLT_s32*//*Label 7836*/ GIMT_Encode4(620031), GIMT_Encode4(0),
     /* 615208 */ /*GILLT_v2s16*//*Label 7837*/ GIMT_Encode4(621638),
     /* 615212 */ // Label 7835: @615212
     /* 615212 */ GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(620030),
     /* 615217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 615220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 615223 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(615321), // Rule ID 11976 //
     /* 615228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 615231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615275 */     // MIs[3] src0
     /* 615275 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615280 */     // MIs[3] src1
     /* 615280 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615287 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 615290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 615299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 615306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615319 */     GIR_RootConstrainSelectedInstOperands,
     /* 615320 */     // GIR_Coverage, 11976,
     /* 615320 */     GIR_EraseRootFromParent_Done,
     /* 615321 */   // Label 7840: @615321
     /* 615321 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(615419), // Rule ID 11977 //
     /* 615326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 615329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615373 */     // MIs[3] src1
     /* 615373 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615378 */     // MIs[3] src0
     /* 615378 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615383 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615385 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 615388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 615397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 615404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615417 */     GIR_RootConstrainSelectedInstOperands,
     /* 615418 */     // GIR_Coverage, 11977,
     /* 615418 */     GIR_EraseRootFromParent_Done,
     /* 615419 */   // Label 7841: @615419
     /* 615419 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(615517), // Rule ID 11978 //
     /* 615424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 615427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615471 */     // MIs[3] src0
     /* 615471 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615476 */     // MIs[3] src1
     /* 615476 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615481 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615483 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 615486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 615495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 615502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615515 */     GIR_RootConstrainSelectedInstOperands,
     /* 615516 */     // GIR_Coverage, 11978,
     /* 615516 */     GIR_EraseRootFromParent_Done,
     /* 615517 */   // Label 7842: @615517
     /* 615517 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(615615), // Rule ID 11979 //
     /* 615522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 615525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 615529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615569 */     // MIs[3] src1
     /* 615569 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615574 */     // MIs[3] src0
     /* 615574 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615581 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 615584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 615593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 615600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615613 */     GIR_RootConstrainSelectedInstOperands,
     /* 615614 */     // GIR_Coverage, 11979,
     /* 615614 */     GIR_EraseRootFromParent_Done,
     /* 615615 */   // Label 7843: @615615
     /* 615615 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(615713), // Rule ID 13528 //
     /* 615620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 615623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 615627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615667 */     // MIs[3] src0
     /* 615667 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615672 */     // MIs[3] src1
     /* 615672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615679 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 615682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 615691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 615698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615711 */     GIR_RootConstrainSelectedInstOperands,
     /* 615712 */     // GIR_Coverage, 13528,
     /* 615712 */     GIR_EraseRootFromParent_Done,
     /* 615713 */   // Label 7844: @615713
     /* 615713 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(615811), // Rule ID 13529 //
     /* 615718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 615721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 615725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615757 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615761 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615765 */     // MIs[3] src1
     /* 615765 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615770 */     // MIs[3] src0
     /* 615770 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615775 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615777 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 615780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 615789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 615796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615809 */     GIR_RootConstrainSelectedInstOperands,
     /* 615810 */     // GIR_Coverage, 13529,
     /* 615810 */     GIR_EraseRootFromParent_Done,
     /* 615811 */   // Label 7845: @615811
     /* 615811 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(615909), // Rule ID 13530 //
     /* 615816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 615819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 615823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615863 */     // MIs[3] src0
     /* 615863 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615868 */     // MIs[3] src1
     /* 615868 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615873 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615875 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 615878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 615887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 615894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615907 */     GIR_RootConstrainSelectedInstOperands,
     /* 615908 */     // GIR_Coverage, 13530,
     /* 615908 */     GIR_EraseRootFromParent_Done,
     /* 615909 */   // Label 7846: @615909
     /* 615909 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(616007), // Rule ID 13531 //
     /* 615914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 615917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 615921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 615925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 615933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 615937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 615941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 615945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 615949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 615953 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 615957 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 615961 */     // MIs[3] src1
     /* 615961 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 615966 */     // MIs[3] src0
     /* 615966 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 615971 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 615973 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 615973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 615976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 615978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 615985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 615992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 615995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 615999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616005 */     GIR_RootConstrainSelectedInstOperands,
     /* 616006 */     // GIR_Coverage, 13531,
     /* 616006 */     GIR_EraseRootFromParent_Done,
     /* 616007 */   // Label 7847: @616007
     /* 616007 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(616105), // Rule ID 13588 //
     /* 616012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 616015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 616039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616047 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616051 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616055 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616059 */     // MIs[3] src0
     /* 616059 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616064 */     // MIs[3] src1
     /* 616064 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616069 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616071 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 616074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 616097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616103 */     GIR_RootConstrainSelectedInstOperands,
     /* 616104 */     // GIR_Coverage, 13588,
     /* 616104 */     GIR_EraseRootFromParent_Done,
     /* 616105 */   // Label 7848: @616105
     /* 616105 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(616203), // Rule ID 13589 //
     /* 616110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 616113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 616137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616149 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616153 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616157 */     // MIs[3] src1
     /* 616157 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616162 */     // MIs[3] src0
     /* 616162 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616169 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 616172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 616195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616201 */     GIR_RootConstrainSelectedInstOperands,
     /* 616202 */     // GIR_Coverage, 13589,
     /* 616202 */     GIR_EraseRootFromParent_Done,
     /* 616203 */   // Label 7849: @616203
     /* 616203 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(616301), // Rule ID 13590 //
     /* 616208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 616211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 616235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616255 */     // MIs[3] src0
     /* 616255 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616260 */     // MIs[3] src1
     /* 616260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616267 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 616270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 616279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 616286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 616293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616299 */     GIR_RootConstrainSelectedInstOperands,
     /* 616300 */     // GIR_Coverage, 13590,
     /* 616300 */     GIR_EraseRootFromParent_Done,
     /* 616301 */   // Label 7850: @616301
     /* 616301 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(616399), // Rule ID 13591 //
     /* 616306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 616309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 616333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616353 */     // MIs[3] src1
     /* 616353 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616358 */     // MIs[3] src0
     /* 616358 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616363 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616365 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 616368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 616377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 616384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 616391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616397 */     GIR_RootConstrainSelectedInstOperands,
     /* 616398 */     // GIR_Coverage, 13591,
     /* 616398 */     GIR_EraseRootFromParent_Done,
     /* 616399 */   // Label 7851: @616399
     /* 616399 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(616497), // Rule ID 11980 //
     /* 616404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 616407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616451 */     // MIs[3] src0
     /* 616451 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616456 */     // MIs[3] src1
     /* 616456 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616461 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616463 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 616466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616495 */     GIR_RootConstrainSelectedInstOperands,
     /* 616496 */     // GIR_Coverage, 11980,
     /* 616496 */     GIR_EraseRootFromParent_Done,
     /* 616497 */   // Label 7852: @616497
     /* 616497 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(616595), // Rule ID 11981 //
     /* 616502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 616505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616521 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616537 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616549 */     // MIs[3] src1
     /* 616549 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616554 */     // MIs[3] src0
     /* 616554 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616559 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616561 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 616564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616593 */     GIR_RootConstrainSelectedInstOperands,
     /* 616594 */     // GIR_Coverage, 11981,
     /* 616594 */     GIR_EraseRootFromParent_Done,
     /* 616595 */   // Label 7853: @616595
     /* 616595 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(616693), // Rule ID 11982 //
     /* 616600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 616603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616647 */     // MIs[3] src0
     /* 616647 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616652 */     // MIs[3] src1
     /* 616652 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616659 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 616662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 616671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 616678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616691 */     GIR_RootConstrainSelectedInstOperands,
     /* 616692 */     // GIR_Coverage, 11982,
     /* 616692 */     GIR_EraseRootFromParent_Done,
     /* 616693 */   // Label 7854: @616693
     /* 616693 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(616791), // Rule ID 11983 //
     /* 616698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 616701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 616705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616745 */     // MIs[3] src1
     /* 616745 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616750 */     // MIs[3] src0
     /* 616750 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616757 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 616760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 616769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 616776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616789 */     GIR_RootConstrainSelectedInstOperands,
     /* 616790 */     // GIR_Coverage, 11983,
     /* 616790 */     GIR_EraseRootFromParent_Done,
     /* 616791 */   // Label 7855: @616791
     /* 616791 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(616889), // Rule ID 13532 //
     /* 616796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 616799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 616803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616843 */     // MIs[3] src0
     /* 616843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616848 */     // MIs[3] src1
     /* 616848 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616853 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616855 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 616858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616887 */     GIR_RootConstrainSelectedInstOperands,
     /* 616888 */     // GIR_Coverage, 13532,
     /* 616888 */     GIR_EraseRootFromParent_Done,
     /* 616889 */   // Label 7856: @616889
     /* 616889 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(616987), // Rule ID 13533 //
     /* 616894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 616897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 616901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 616905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 616913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 616917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 616921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 616925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 616929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 616933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 616937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 616941 */     // MIs[3] src1
     /* 616941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 616946 */     // MIs[3] src0
     /* 616946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 616951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 616953 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 616953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 616956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 616958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 616965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 616972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 616979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 616985 */     GIR_RootConstrainSelectedInstOperands,
     /* 616986 */     // GIR_Coverage, 13533,
     /* 616986 */     GIR_EraseRootFromParent_Done,
     /* 616987 */   // Label 7857: @616987
     /* 616987 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(617085), // Rule ID 13534 //
     /* 616992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 616995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 616999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617027 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617039 */     // MIs[3] src0
     /* 617039 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617044 */     // MIs[3] src1
     /* 617044 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617051 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 617054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 617063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 617070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617083 */     GIR_RootConstrainSelectedInstOperands,
     /* 617084 */     // GIR_Coverage, 13534,
     /* 617084 */     GIR_EraseRootFromParent_Done,
     /* 617085 */   // Label 7858: @617085
     /* 617085 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(617183), // Rule ID 13535 //
     /* 617090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 617093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 617097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617137 */     // MIs[3] src1
     /* 617137 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617142 */     // MIs[3] src0
     /* 617142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617149 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 617152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 617161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 617168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617181 */     GIR_RootConstrainSelectedInstOperands,
     /* 617182 */     // GIR_Coverage, 13535,
     /* 617182 */     GIR_EraseRootFromParent_Done,
     /* 617183 */   // Label 7859: @617183
     /* 617183 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(617281), // Rule ID 13592 //
     /* 617188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 617191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617235 */     // MIs[3] src0
     /* 617235 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617240 */     // MIs[3] src1
     /* 617240 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617247 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 617250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 617259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 617266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617279 */     GIR_RootConstrainSelectedInstOperands,
     /* 617280 */     // GIR_Coverage, 13592,
     /* 617280 */     GIR_EraseRootFromParent_Done,
     /* 617281 */   // Label 7860: @617281
     /* 617281 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(617379), // Rule ID 13593 //
     /* 617286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 617289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617325 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617329 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617333 */     // MIs[3] src1
     /* 617333 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617338 */     // MIs[3] src0
     /* 617338 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617345 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 617348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 617357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 617364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617377 */     GIR_RootConstrainSelectedInstOperands,
     /* 617378 */     // GIR_Coverage, 13593,
     /* 617378 */     GIR_EraseRootFromParent_Done,
     /* 617379 */   // Label 7861: @617379
     /* 617379 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(617477), // Rule ID 13594 //
     /* 617384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 617387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617431 */     // MIs[3] src0
     /* 617431 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617436 */     // MIs[3] src1
     /* 617436 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617443 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 617446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 617455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 617462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617475 */     GIR_RootConstrainSelectedInstOperands,
     /* 617476 */     // GIR_Coverage, 13594,
     /* 617476 */     GIR_EraseRootFromParent_Done,
     /* 617477 */   // Label 7862: @617477
     /* 617477 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(617575), // Rule ID 13595 //
     /* 617482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 617485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 617509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617517 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 617525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617529 */     // MIs[3] src1
     /* 617529 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 617534 */     // MIs[3] src0
     /* 617534 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 617539 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617541 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 617544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 617553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 617560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 617567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617573 */     GIR_RootConstrainSelectedInstOperands,
     /* 617574 */     // GIR_Coverage, 13595,
     /* 617574 */     GIR_EraseRootFromParent_Done,
     /* 617575 */   // Label 7863: @617575
     /* 617575 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(617673), // Rule ID 7815 //
     /* 617580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 617583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 617607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 617623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617627 */     // MIs[3] src0
     /* 617627 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 617632 */     // MIs[3] src1
     /* 617632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 617637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617639 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 617642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 617651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 617658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 617665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617671 */     GIR_RootConstrainSelectedInstOperands,
     /* 617672 */     // GIR_Coverage, 7815,
     /* 617672 */     GIR_EraseRootFromParent_Done,
     /* 617673 */   // Label 7864: @617673
     /* 617673 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(617771), // Rule ID 7967 //
     /* 617678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 617681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 617685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 617705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617717 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 617721 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617725 */     // MIs[3] src0
     /* 617725 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 617730 */     // MIs[3] src1
     /* 617730 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 617735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617737 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 617740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 617749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 617756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 617763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617769 */     GIR_RootConstrainSelectedInstOperands,
     /* 617770 */     // GIR_Coverage, 7967,
     /* 617770 */     GIR_EraseRootFromParent_Done,
     /* 617771 */   // Label 7865: @617771
     /* 617771 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(617869), // Rule ID 7971 //
     /* 617776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 617779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 617803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617815 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 617819 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617823 */     // MIs[3] src0
     /* 617823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 617828 */     // MIs[3] src1
     /* 617828 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 617833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617835 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 617838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 617847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 617854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 617861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617867 */     GIR_RootConstrainSelectedInstOperands,
     /* 617868 */     // GIR_Coverage, 7971,
     /* 617868 */     GIR_EraseRootFromParent_Done,
     /* 617869 */   // Label 7866: @617869
     /* 617869 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(617967), // Rule ID 11969 //
     /* 617874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 617877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 617901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 617909 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 617913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 617917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 617921 */     // MIs[3] src1
     /* 617921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 617926 */     // MIs[3] src0
     /* 617926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 617931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 617933 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 617933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 617936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 617938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 617945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 617952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 617959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 617965 */     GIR_RootConstrainSelectedInstOperands,
     /* 617966 */     // GIR_Coverage, 11969,
     /* 617966 */     GIR_EraseRootFromParent_Done,
     /* 617967 */   // Label 7867: @617967
     /* 617967 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(618065), // Rule ID 11972 //
     /* 617972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 617975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 617979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 617983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 617987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 617991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 617995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 617999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618007 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618019 */     // MIs[3] src0
     /* 618019 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618024 */     // MIs[3] src1
     /* 618024 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618029 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618031 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 618034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618063 */     GIR_RootConstrainSelectedInstOperands,
     /* 618064 */     // GIR_Coverage, 11972,
     /* 618064 */     GIR_EraseRootFromParent_Done,
     /* 618065 */   // Label 7868: @618065
     /* 618065 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(618163), // Rule ID 11973 //
     /* 618070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 618073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618105 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618117 */     // MIs[3] src1
     /* 618117 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618122 */     // MIs[3] src0
     /* 618122 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618129 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 618132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618161 */     GIR_RootConstrainSelectedInstOperands,
     /* 618162 */     // GIR_Coverage, 11973,
     /* 618162 */     GIR_EraseRootFromParent_Done,
     /* 618163 */   // Label 7869: @618163
     /* 618163 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(618261), // Rule ID 13521 //
     /* 618168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 618171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 618175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618215 */     // MIs[3] src1
     /* 618215 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618220 */     // MIs[3] src0
     /* 618220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618227 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 618230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 618239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 618246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618259 */     GIR_RootConstrainSelectedInstOperands,
     /* 618260 */     // GIR_Coverage, 13521,
     /* 618260 */     GIR_EraseRootFromParent_Done,
     /* 618261 */   // Label 7870: @618261
     /* 618261 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(618359), // Rule ID 13524 //
     /* 618266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 618269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 618273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618301 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618313 */     // MIs[3] src0
     /* 618313 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618318 */     // MIs[3] src1
     /* 618318 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618325 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 618328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618357 */     GIR_RootConstrainSelectedInstOperands,
     /* 618358 */     // GIR_Coverage, 13524,
     /* 618358 */     GIR_EraseRootFromParent_Done,
     /* 618359 */   // Label 7871: @618359
     /* 618359 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(618457), // Rule ID 13525 //
     /* 618364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 618367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 618371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618411 */     // MIs[3] src1
     /* 618411 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618416 */     // MIs[3] src0
     /* 618416 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618421 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618423 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 618426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618455 */     GIR_RootConstrainSelectedInstOperands,
     /* 618456 */     // GIR_Coverage, 13525,
     /* 618456 */     GIR_EraseRootFromParent_Done,
     /* 618457 */   // Label 7872: @618457
     /* 618457 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(618555), // Rule ID 13581 //
     /* 618462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 618465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618497 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618501 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618505 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618509 */     // MIs[3] src1
     /* 618509 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618514 */     // MIs[3] src0
     /* 618514 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618521 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 618524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 618533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 618540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618553 */     GIR_RootConstrainSelectedInstOperands,
     /* 618554 */     // GIR_Coverage, 13581,
     /* 618554 */     GIR_EraseRootFromParent_Done,
     /* 618555 */   // Label 7873: @618555
     /* 618555 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(618653), // Rule ID 13584 //
     /* 618560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 618563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618595 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618607 */     // MIs[3] src0
     /* 618607 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618612 */     // MIs[3] src1
     /* 618612 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618619 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 618622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618651 */     GIR_RootConstrainSelectedInstOperands,
     /* 618652 */     // GIR_Coverage, 13584,
     /* 618652 */     GIR_EraseRootFromParent_Done,
     /* 618653 */   // Label 7874: @618653
     /* 618653 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(618751), // Rule ID 13585 //
     /* 618658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 618661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 618701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618705 */     // MIs[3] src1
     /* 618705 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618710 */     // MIs[3] src0
     /* 618710 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618715 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618717 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 618720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 618729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 618736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 618743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618749 */     GIR_RootConstrainSelectedInstOperands,
     /* 618750 */     // GIR_Coverage, 13585,
     /* 618750 */     GIR_EraseRootFromParent_Done,
     /* 618751 */   // Label 7875: @618751
     /* 618751 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(618849), // Rule ID 11970 //
     /* 618756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 618759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618791 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 618799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618803 */     // MIs[3] src0
     /* 618803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618808 */     // MIs[3] src1
     /* 618808 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618813 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618815 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 618818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 618827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 618834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 618841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618847 */     GIR_RootConstrainSelectedInstOperands,
     /* 618848 */     // GIR_Coverage, 11970,
     /* 618848 */     GIR_EraseRootFromParent_Done,
     /* 618849 */   // Label 7876: @618849
     /* 618849 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(618947), // Rule ID 11971 //
     /* 618854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 618857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618893 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 618897 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618901 */     // MIs[3] src1
     /* 618901 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 618906 */     // MIs[3] src0
     /* 618906 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 618911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 618913 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 618913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 618916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 618918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 618925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 618932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 618939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 618945 */     GIR_RootConstrainSelectedInstOperands,
     /* 618946 */     // GIR_Coverage, 11971,
     /* 618946 */     GIR_EraseRootFromParent_Done,
     /* 618947 */   // Label 7877: @618947
     /* 618947 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(619045), // Rule ID 11974 //
     /* 618952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 618955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 618959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 618963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 618971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 618975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 618979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 618983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 618987 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 618991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 618995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 618999 */     // MIs[3] src0
     /* 618999 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619004 */     // MIs[3] src1
     /* 619004 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619009 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619011 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 619014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619043 */     GIR_RootConstrainSelectedInstOperands,
     /* 619044 */     // GIR_Coverage, 11974,
     /* 619044 */     GIR_EraseRootFromParent_Done,
     /* 619045 */   // Label 7878: @619045
     /* 619045 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(619143), // Rule ID 11975 //
     /* 619050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 619053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619097 */     // MIs[3] src1
     /* 619097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619102 */     // MIs[3] src0
     /* 619102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619109 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 619112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619141 */     GIR_RootConstrainSelectedInstOperands,
     /* 619142 */     // GIR_Coverage, 11975,
     /* 619142 */     GIR_EraseRootFromParent_Done,
     /* 619143 */   // Label 7879: @619143
     /* 619143 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(619241), // Rule ID 13522 //
     /* 619148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 619151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 619155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619195 */     // MIs[3] src0
     /* 619195 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619200 */     // MIs[3] src1
     /* 619200 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619207 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 619210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 619219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 619226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619239 */     GIR_RootConstrainSelectedInstOperands,
     /* 619240 */     // GIR_Coverage, 13522,
     /* 619240 */     GIR_EraseRootFromParent_Done,
     /* 619241 */   // Label 7880: @619241
     /* 619241 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(619339), // Rule ID 13523 //
     /* 619246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 619249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 619253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619293 */     // MIs[3] src1
     /* 619293 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619298 */     // MIs[3] src0
     /* 619298 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619305 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 619308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 619317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 619324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619337 */     GIR_RootConstrainSelectedInstOperands,
     /* 619338 */     // GIR_Coverage, 13523,
     /* 619338 */     GIR_EraseRootFromParent_Done,
     /* 619339 */   // Label 7881: @619339
     /* 619339 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(619437), // Rule ID 13526 //
     /* 619344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 619347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 619351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619379 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619387 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619391 */     // MIs[3] src0
     /* 619391 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619396 */     // MIs[3] src1
     /* 619396 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619403 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 619406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619435 */     GIR_RootConstrainSelectedInstOperands,
     /* 619436 */     // GIR_Coverage, 13526,
     /* 619436 */     GIR_EraseRootFromParent_Done,
     /* 619437 */   // Label 7882: @619437
     /* 619437 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(619535), // Rule ID 13527 //
     /* 619442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 619445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 619449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619489 */     // MIs[3] src1
     /* 619489 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619494 */     // MIs[3] src0
     /* 619494 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619501 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 619504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619533 */     GIR_RootConstrainSelectedInstOperands,
     /* 619534 */     // GIR_Coverage, 13527,
     /* 619534 */     GIR_EraseRootFromParent_Done,
     /* 619535 */   // Label 7883: @619535
     /* 619535 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(619633), // Rule ID 13582 //
     /* 619540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 619543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619587 */     // MIs[3] src0
     /* 619587 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619592 */     // MIs[3] src1
     /* 619592 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619599 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 619602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 619611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 619618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619631 */     GIR_RootConstrainSelectedInstOperands,
     /* 619632 */     // GIR_Coverage, 13582,
     /* 619632 */     GIR_EraseRootFromParent_Done,
     /* 619633 */   // Label 7884: @619633
     /* 619633 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(619731), // Rule ID 13583 //
     /* 619638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 619641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619685 */     // MIs[3] src1
     /* 619685 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619690 */     // MIs[3] src0
     /* 619690 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619697 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 619700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 619709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 619716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619729 */     GIR_RootConstrainSelectedInstOperands,
     /* 619730 */     // GIR_Coverage, 13583,
     /* 619730 */     GIR_EraseRootFromParent_Done,
     /* 619731 */   // Label 7885: @619731
     /* 619731 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(619829), // Rule ID 13586 //
     /* 619736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 619739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619771 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619775 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619779 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619783 */     // MIs[3] src0
     /* 619783 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619788 */     // MIs[3] src1
     /* 619788 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619795 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 619798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619827 */     GIR_RootConstrainSelectedInstOperands,
     /* 619828 */     // GIR_Coverage, 13586,
     /* 619828 */     GIR_EraseRootFromParent_Done,
     /* 619829 */   // Label 7886: @619829
     /* 619829 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(619927), // Rule ID 13587 //
     /* 619834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 619837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 619845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 619853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 619857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 619861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 619865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 619869 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 619873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 619877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 619881 */     // MIs[3] src1
     /* 619881 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 619886 */     // MIs[3] src0
     /* 619886 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 619891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 619893 */     // (smax:{ *:[i16] } (smin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (smin:{ *:[i16] } i16:{ *:[i16] }:$src2, (smax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 619893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 619896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 619905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 619912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 619919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619925 */     GIR_RootConstrainSelectedInstOperands,
     /* 619926 */     // GIR_Coverage, 13587,
     /* 619926 */     GIR_EraseRootFromParent_Done,
     /* 619927 */   // Label 7887: @619927
     /* 619927 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(619983), // Rule ID 897 //
     /* 619932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 619935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 619939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 619946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 619953 */     // (smax:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_I16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 619953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I16_t16_e64),
     /* 619956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 619958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 619963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 619968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 619973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 619978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 619981 */     GIR_RootConstrainSelectedInstOperands,
     /* 619982 */     // GIR_Coverage, 897,
     /* 619982 */     GIR_EraseRootFromParent_Done,
     /* 619983 */   // Label 7888: @619983
     /* 619983 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(620006), // Rule ID 896 //
     /* 619988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 619991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 619995 */     // (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MAX_I16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 619995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I16_e64),
     /* 620000 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 620004 */     GIR_RootConstrainSelectedInstOperands,
     /* 620005 */     // GIR_Coverage, 896,
     /* 620005 */     GIR_Done,
     /* 620006 */   // Label 7889: @620006
     /* 620006 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(620029), // Rule ID 898 //
     /* 620011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 620014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620018 */     // (smax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MAX_I16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 620018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I16_fake16_e64),
     /* 620023 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 620027 */     GIR_RootConstrainSelectedInstOperands,
     /* 620028 */     // GIR_Coverage, 898,
     /* 620028 */     GIR_Done,
     /* 620029 */   // Label 7890: @620029
     /* 620029 */   GIM_Reject,
     /* 620030 */ // Label 7839: @620030
     /* 620030 */ GIM_Reject,
     /* 620031 */ // Label 7836: @620031
     /* 620031 */ GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(621637),
     /* 620036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 620039 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(620122), // Rule ID 11451 //
     /* 620044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 620071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620079 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620091 */     // MIs[3] src0
     /* 620091 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620096 */     // MIs[3] src1
     /* 620096 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620101 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620103 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 620112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 620116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 620120 */     GIR_RootConstrainSelectedInstOperands,
     /* 620121 */     // GIR_Coverage, 11451,
     /* 620121 */     GIR_EraseRootFromParent_Done,
     /* 620122 */   // Label 7892: @620122
     /* 620122 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(620205), // Rule ID 11452 //
     /* 620127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 620154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620162 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620174 */     // MIs[3] src1
     /* 620174 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620179 */     // MIs[3] src0
     /* 620179 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620186 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 620195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 620199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 620203 */     GIR_RootConstrainSelectedInstOperands,
     /* 620204 */     // GIR_Coverage, 11452,
     /* 620204 */     GIR_EraseRootFromParent_Done,
     /* 620205 */   // Label 7893: @620205
     /* 620205 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(620288), // Rule ID 11453 //
     /* 620210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 620237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620257 */     // MIs[3] src0
     /* 620257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620262 */     // MIs[3] src1
     /* 620262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620267 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620269 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 620278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 620282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 620286 */     GIR_RootConstrainSelectedInstOperands,
     /* 620287 */     // GIR_Coverage, 11453,
     /* 620287 */     GIR_EraseRootFromParent_Done,
     /* 620288 */   // Label 7894: @620288
     /* 620288 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(620371), // Rule ID 11454 //
     /* 620293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 620320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620328 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620340 */     // MIs[3] src1
     /* 620340 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620345 */     // MIs[3] src0
     /* 620345 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620352 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 620361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 620365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 620369 */     GIR_RootConstrainSelectedInstOperands,
     /* 620370 */     // GIR_Coverage, 11454,
     /* 620370 */     GIR_EraseRootFromParent_Done,
     /* 620371 */   // Label 7895: @620371
     /* 620371 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(620454), // Rule ID 11455 //
     /* 620376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 620403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620423 */     // MIs[3] src0
     /* 620423 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620428 */     // MIs[3] src1
     /* 620428 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620433 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620435 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 620444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 620448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 620452 */     GIR_RootConstrainSelectedInstOperands,
     /* 620453 */     // GIR_Coverage, 11455,
     /* 620453 */     GIR_EraseRootFromParent_Done,
     /* 620454 */   // Label 7896: @620454
     /* 620454 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(620537), // Rule ID 11456 //
     /* 620459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 620486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620498 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620502 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620506 */     // MIs[3] src1
     /* 620506 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620511 */     // MIs[3] src0
     /* 620511 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620518 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 620527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 620531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 620535 */     GIR_RootConstrainSelectedInstOperands,
     /* 620536 */     // GIR_Coverage, 11456,
     /* 620536 */     GIR_EraseRootFromParent_Done,
     /* 620537 */   // Label 7897: @620537
     /* 620537 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(620620), // Rule ID 11457 //
     /* 620542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 620569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620589 */     // MIs[3] src0
     /* 620589 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620594 */     // MIs[3] src1
     /* 620594 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620601 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 620610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 620614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 620618 */     GIR_RootConstrainSelectedInstOperands,
     /* 620619 */     // GIR_Coverage, 11457,
     /* 620619 */     GIR_EraseRootFromParent_Done,
     /* 620620 */   // Label 7898: @620620
     /* 620620 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(620703), // Rule ID 11458 //
     /* 620625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 620652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 620668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620672 */     // MIs[3] src1
     /* 620672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 620677 */     // MIs[3] src0
     /* 620677 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 620682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620684 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 620693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 620697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 620701 */     GIR_RootConstrainSelectedInstOperands,
     /* 620702 */     // GIR_Coverage, 11458,
     /* 620702 */     GIR_EraseRootFromParent_Done,
     /* 620703 */   // Label 7899: @620703
     /* 620703 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(620786), // Rule ID 7780 //
     /* 620708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 620735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620747 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 620751 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620755 */     // MIs[3] src0
     /* 620755 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 620760 */     // MIs[3] src1
     /* 620760 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 620765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620767 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 620776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 620780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 620784 */     GIR_RootConstrainSelectedInstOperands,
     /* 620785 */     // GIR_Coverage, 7780,
     /* 620785 */     GIR_EraseRootFromParent_Done,
     /* 620786 */   // Label 7900: @620786
     /* 620786 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(620869), // Rule ID 11444 //
     /* 620791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 620818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620830 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 620834 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620838 */     // MIs[3] src1
     /* 620838 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 620843 */     // MIs[3] src0
     /* 620843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 620848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620850 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 620859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 620863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 620867 */     GIR_RootConstrainSelectedInstOperands,
     /* 620868 */     // GIR_Coverage, 11444,
     /* 620868 */     GIR_EraseRootFromParent_Done,
     /* 620869 */   // Label 7901: @620869
     /* 620869 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(620952), // Rule ID 11447 //
     /* 620874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 620901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620909 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 620917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 620921 */     // MIs[3] src0
     /* 620921 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 620926 */     // MIs[3] src1
     /* 620926 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 620931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 620933 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 620933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 620936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 620938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 620942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 620946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 620950 */     GIR_RootConstrainSelectedInstOperands,
     /* 620951 */     // GIR_Coverage, 11447,
     /* 620951 */     GIR_EraseRootFromParent_Done,
     /* 620952 */   // Label 7902: @620952
     /* 620952 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(621035), // Rule ID 11448 //
     /* 620957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 620960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 620964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 620968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 620976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 620980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 620984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 620988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 620992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 620996 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 621000 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 621004 */     // MIs[3] src1
     /* 621004 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 621009 */     // MIs[3] src0
     /* 621009 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621016 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smin:{ *:[i32] } (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 621019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 621025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 621029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 621033 */     GIR_RootConstrainSelectedInstOperands,
     /* 621034 */     // GIR_Coverage, 11448,
     /* 621034 */     GIR_EraseRootFromParent_Done,
     /* 621035 */   // Label 7903: @621035
     /* 621035 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(621118), // Rule ID 11445 //
     /* 621040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 621067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 621075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 621079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 621083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 621087 */     // MIs[3] src0
     /* 621087 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 621092 */     // MIs[3] src1
     /* 621092 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621099 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 621102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 621108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 621112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 621116 */     GIR_RootConstrainSelectedInstOperands,
     /* 621117 */     // GIR_Coverage, 11445,
     /* 621117 */     GIR_EraseRootFromParent_Done,
     /* 621118 */   // Label 7904: @621118
     /* 621118 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(621201), // Rule ID 11446 //
     /* 621123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 621150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 621158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 621162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 621166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 621170 */     // MIs[3] src1
     /* 621170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621175 */     // MIs[3] src0
     /* 621175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 621180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621182 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 621185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 621191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 621195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 621199 */     GIR_RootConstrainSelectedInstOperands,
     /* 621200 */     // GIR_Coverage, 11446,
     /* 621200 */     GIR_EraseRootFromParent_Done,
     /* 621201 */   // Label 7905: @621201
     /* 621201 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(621284), // Rule ID 11449 //
     /* 621206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 621233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 621241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 621245 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 621249 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 621253 */     // MIs[3] src0
     /* 621253 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621258 */     // MIs[3] src1
     /* 621258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 621263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621265 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 621268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 621274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 621278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 621282 */     GIR_RootConstrainSelectedInstOperands,
     /* 621283 */     // GIR_Coverage, 11449,
     /* 621283 */     GIR_EraseRootFromParent_Done,
     /* 621284 */   // Label 7906: @621284
     /* 621284 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(621367), // Rule ID 11450 //
     /* 621289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 621316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 621324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 621328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 621332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SMAX),
     /* 621336 */     // MIs[3] src1
     /* 621336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 621341 */     // MIs[3] src0
     /* 621341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621346 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621348 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (smin:{ *:[i32] } i32:{ *:[i32] }:$src2, (smax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 621351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 621357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 621361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 621365 */     GIR_RootConstrainSelectedInstOperands,
     /* 621366 */     // GIR_Coverage, 11450,
     /* 621366 */     GIR_EraseRootFromParent_Done,
     /* 621367 */   // Label 7907: @621367
     /* 621367 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(621421), // Rule ID 8678 //
     /* 621372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 621376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 621384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621392 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 621396 */     // MIs[0] x
     /* 621396 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 621401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13761),
     /* 621405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 621407 */     // (smax:{ *:[i32] } (sub:{ *:[i32] } 0:{ *:[i32] }, i32:{ *:[i32] }:$x), i32:{ *:[i32] }:$x)<<P:Predicate_anonymous_13761>>  =>  (S_ABS_I32:{ *:[i32] }:{ *:[i1] } SReg_32:{ *:[i32] }:$x)
     /* 621407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ABS_I32),
     /* 621410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 621412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // x
     /* 621416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 621419 */     GIR_RootConstrainSelectedInstOperands,
     /* 621420 */     // GIR_Coverage, 8678,
     /* 621420 */     GIR_EraseRootFromParent_Done,
     /* 621421 */   // Label 7908: @621421
     /* 621421 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(621472), // Rule ID 1877 //
     /* 621426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 621433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 621437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 621441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621445 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 621449 */     // MIs[1] x
     /* 621449 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 621454 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13761),
     /* 621458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 621460 */     // (smax:{ *:[i32] } i32:{ *:[i32] }:$x, (sub:{ *:[i32] } 0:{ *:[i32] }, i32:{ *:[i32] }:$x))<<P:Predicate_anonymous_13761>>  =>  (S_ABS_I32:{ *:[i32] }:{ *:[i1] } SReg_32:{ *:[i32] }:$x)
     /* 621460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_ABS_I32),
     /* 621463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 621465 */     GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 621467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AMDGPU::SCC*/0,
     /* 621470 */     GIR_RootConstrainSelectedInstOperands,
     /* 621471 */     // GIR_Coverage, 1877,
     /* 621471 */     GIR_EraseRootFromParent_Done,
     /* 621472 */   // Label 7909: @621472
     /* 621472 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(621528), // Rule ID 7914 //
     /* 621477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 621480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621503 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 621505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35333),
     /* 621509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 621511 */     // (smax:{ *:[i32] } (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_smin_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_anonymous_35333>>  =>  (V_MINMAX_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_I32_e64),
     /* 621514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 621520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 621524 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 621526 */     GIR_RootConstrainSelectedInstOperands,
     /* 621527 */     // GIR_Coverage, 7914,
     /* 621527 */     GIR_EraseRootFromParent_Done,
     /* 621528 */   // Label 7910: @621528
     /* 621528 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(621584), // Rule ID 13440 //
     /* 621533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 621536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 621547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SMIN),
     /* 621551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 621555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 621559 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 621561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35333),
     /* 621565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 621567 */     // (smax:{ *:[i32] } i32:{ *:[i32] }:$src2, (smin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_smin_oneuse>>)<<P:Predicate_anonymous_35333>>  =>  (V_MINMAX_I32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 621567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_I32_e64),
     /* 621570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 621576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 621580 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 621582 */     GIR_RootConstrainSelectedInstOperands,
     /* 621583 */     // GIR_Coverage, 13440,
     /* 621583 */     GIR_EraseRootFromParent_Done,
     /* 621584 */   // Label 7911: @621584
     /* 621584 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(621613), // Rule ID 49 //
     /* 621589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 621596 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13761),
     /* 621600 */     // (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13761>>  =>  (S_MAX_I32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 621600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_I32),
     /* 621605 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 621611 */     GIR_RootConstrainSelectedInstOperands,
     /* 621612 */     // GIR_Coverage, 49,
     /* 621612 */     GIR_Done,
     /* 621613 */   // Label 7912: @621613
     /* 621613 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(621636), // Rule ID 807 //
     /* 621618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 621621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621625 */     // (smax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MAX_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 621625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I32_e64),
     /* 621630 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 621634 */     GIR_RootConstrainSelectedInstOperands,
     /* 621635 */     // GIR_Coverage, 807,
     /* 621635 */     GIR_Done,
     /* 621636 */   // Label 7913: @621636
     /* 621636 */   GIM_Reject,
     /* 621637 */ // Label 7891: @621637
     /* 621637 */ GIM_Reject,
     /* 621638 */ // Label 7837: @621638
     /* 621638 */ GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(621709), // Rule ID 1104 //
     /* 621643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 621646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 621649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 621660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 621667 */   // (smax:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MAX_I16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 621667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_I16),
     /* 621670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 621677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 621682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 621687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 621692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621707 */   GIR_RootConstrainSelectedInstOperands,
     /* 621708 */   // GIR_Coverage, 1104,
     /* 621708 */   GIR_EraseRootFromParent_Done,
     /* 621709 */ // Label 7914: @621709
     /* 621709 */ GIM_Reject,
     /* 621710 */ // Label 7838: @621710
     /* 621710 */ GIM_Reject,
     /* 621711 */ // Label 92: @621711
     /* 621711 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7918*/ GIMT_Encode4(628074),
     /* 621722 */ /*GILLT_s16*//*Label 7915*/ GIMT_Encode4(621738),
     /* 621726 */ /*GILLT_s32*//*Label 7916*/ GIMT_Encode4(626557), GIMT_Encode4(0),
     /* 621734 */ /*GILLT_v2s16*//*Label 7917*/ GIMT_Encode4(628002),
     /* 621738 */ // Label 7915: @621738
     /* 621738 */ GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(626556),
     /* 621743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 621746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 621749 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(621847), // Rule ID 13513 //
     /* 621754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 621757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 621773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 621777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 621781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 621785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 621789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 621793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 621797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621801 */     // MIs[3] src0
     /* 621801 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 621806 */     // MIs[3] src1
     /* 621806 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 621811 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621813 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 621813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 621816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 621825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 621832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 621839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621845 */     GIR_RootConstrainSelectedInstOperands,
     /* 621846 */     // GIR_Coverage, 13513,
     /* 621846 */     GIR_EraseRootFromParent_Done,
     /* 621847 */   // Label 7920: @621847
     /* 621847 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(621945), // Rule ID 13514 //
     /* 621852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 621855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 621871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 621875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 621879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 621883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 621887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 621891 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 621895 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621899 */     // MIs[3] src1
     /* 621899 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 621904 */     // MIs[3] src0
     /* 621904 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 621909 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 621911 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 621911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 621914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 621916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 621923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 621930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 621937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 621943 */     GIR_RootConstrainSelectedInstOperands,
     /* 621944 */     // GIR_Coverage, 13514,
     /* 621944 */     GIR_EraseRootFromParent_Done,
     /* 621945 */   // Label 7921: @621945
     /* 621945 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(622043), // Rule ID 13515 //
     /* 621950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 621953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 621957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 621961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 621969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 621973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 621977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 621981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 621985 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 621989 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 621993 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 621997 */     // MIs[3] src0
     /* 621997 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622002 */     // MIs[3] src1
     /* 622002 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622007 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622009 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 622012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622041 */     GIR_RootConstrainSelectedInstOperands,
     /* 622042 */     // GIR_Coverage, 13515,
     /* 622042 */     GIR_EraseRootFromParent_Done,
     /* 622043 */   // Label 7922: @622043
     /* 622043 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(622141), // Rule ID 13516 //
     /* 622048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 622051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622083 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622095 */     // MIs[3] src1
     /* 622095 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622100 */     // MIs[3] src0
     /* 622100 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622107 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 622110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622139 */     GIR_RootConstrainSelectedInstOperands,
     /* 622140 */     // GIR_Coverage, 13516,
     /* 622140 */     GIR_EraseRootFromParent_Done,
     /* 622141 */   // Label 7923: @622141
     /* 622141 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(622239), // Rule ID 13573 //
     /* 622146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 622149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 622153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622181 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622193 */     // MIs[3] src0
     /* 622193 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622198 */     // MIs[3] src1
     /* 622198 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622203 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622205 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 622208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 622217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 622224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622237 */     GIR_RootConstrainSelectedInstOperands,
     /* 622238 */     // GIR_Coverage, 13573,
     /* 622238 */     GIR_EraseRootFromParent_Done,
     /* 622239 */   // Label 7924: @622239
     /* 622239 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(622337), // Rule ID 13574 //
     /* 622244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 622247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 622251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622291 */     // MIs[3] src1
     /* 622291 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622296 */     // MIs[3] src0
     /* 622296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622301 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622303 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 622306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 622315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 622322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622335 */     GIR_RootConstrainSelectedInstOperands,
     /* 622336 */     // GIR_Coverage, 13574,
     /* 622336 */     GIR_EraseRootFromParent_Done,
     /* 622337 */   // Label 7925: @622337
     /* 622337 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(622435), // Rule ID 13575 //
     /* 622342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 622345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 622349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622377 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622389 */     // MIs[3] src0
     /* 622389 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622394 */     // MIs[3] src1
     /* 622394 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622401 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 622404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622433 */     GIR_RootConstrainSelectedInstOperands,
     /* 622434 */     // GIR_Coverage, 13575,
     /* 622434 */     GIR_EraseRootFromParent_Done,
     /* 622435 */   // Label 7926: @622435
     /* 622435 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(622533), // Rule ID 13576 //
     /* 622440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 622443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 622447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622487 */     // MIs[3] src1
     /* 622487 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622492 */     // MIs[3] src0
     /* 622492 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622499 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 622502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622531 */     GIR_RootConstrainSelectedInstOperands,
     /* 622532 */     // GIR_Coverage, 13576,
     /* 622532 */     GIR_EraseRootFromParent_Done,
     /* 622533 */   // Label 7927: @622533
     /* 622533 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(622631), // Rule ID 13633 //
     /* 622538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 622541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622585 */     // MIs[3] src0
     /* 622585 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622590 */     // MIs[3] src1
     /* 622590 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622597 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 622600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 622609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 622616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622629 */     GIR_RootConstrainSelectedInstOperands,
     /* 622630 */     // GIR_Coverage, 13633,
     /* 622630 */     GIR_EraseRootFromParent_Done,
     /* 622631 */   // Label 7928: @622631
     /* 622631 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(622729), // Rule ID 13634 //
     /* 622636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 622639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622671 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622683 */     // MIs[3] src1
     /* 622683 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622688 */     // MIs[3] src0
     /* 622688 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622693 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622695 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 622698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 622707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 622714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622727 */     GIR_RootConstrainSelectedInstOperands,
     /* 622728 */     // GIR_Coverage, 13634,
     /* 622728 */     GIR_EraseRootFromParent_Done,
     /* 622729 */   // Label 7929: @622729
     /* 622729 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(622827), // Rule ID 13635 //
     /* 622734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 622737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622781 */     // MIs[3] src0
     /* 622781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622786 */     // MIs[3] src1
     /* 622786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622793 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 622796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622825 */     GIR_RootConstrainSelectedInstOperands,
     /* 622826 */     // GIR_Coverage, 13635,
     /* 622826 */     GIR_EraseRootFromParent_Done,
     /* 622827 */   // Label 7930: @622827
     /* 622827 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(622925), // Rule ID 13636 //
     /* 622832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 622835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 622859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622871 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622875 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622879 */     // MIs[3] src1
     /* 622879 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622884 */     // MIs[3] src0
     /* 622884 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622891 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 622894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 622903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 622910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 622917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622923 */     GIR_RootConstrainSelectedInstOperands,
     /* 622924 */     // GIR_Coverage, 13636,
     /* 622924 */     GIR_EraseRootFromParent_Done,
     /* 622925 */   // Label 7931: @622925
     /* 622925 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(623023), // Rule ID 13517 //
     /* 622930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 622933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 622937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 622941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 622949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 622953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 622957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 622961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 622965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 622969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 622973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 622977 */     // MIs[3] src0
     /* 622977 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 622982 */     // MIs[3] src1
     /* 622982 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 622987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 622989 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 622989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 622992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 622994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 622997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623021 */     GIR_RootConstrainSelectedInstOperands,
     /* 623022 */     // GIR_Coverage, 13517,
     /* 623022 */     GIR_EraseRootFromParent_Done,
     /* 623023 */   // Label 7932: @623023
     /* 623023 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(623121), // Rule ID 13518 //
     /* 623028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 623031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623075 */     // MIs[3] src1
     /* 623075 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623080 */     // MIs[3] src0
     /* 623080 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623087 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 623090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623119 */     GIR_RootConstrainSelectedInstOperands,
     /* 623120 */     // GIR_Coverage, 13518,
     /* 623120 */     GIR_EraseRootFromParent_Done,
     /* 623121 */   // Label 7933: @623121
     /* 623121 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(623219), // Rule ID 13519 //
     /* 623126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 623129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623161 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623173 */     // MIs[3] src0
     /* 623173 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623178 */     // MIs[3] src1
     /* 623178 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623183 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623185 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 623188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 623197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 623204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623217 */     GIR_RootConstrainSelectedInstOperands,
     /* 623218 */     // GIR_Coverage, 13519,
     /* 623218 */     GIR_EraseRootFromParent_Done,
     /* 623219 */   // Label 7934: @623219
     /* 623219 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(623317), // Rule ID 13520 //
     /* 623224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 623227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623259 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623271 */     // MIs[3] src1
     /* 623271 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623276 */     // MIs[3] src0
     /* 623276 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623283 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 623286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 623295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 623302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623315 */     GIR_RootConstrainSelectedInstOperands,
     /* 623316 */     // GIR_Coverage, 13520,
     /* 623316 */     GIR_EraseRootFromParent_Done,
     /* 623317 */   // Label 7935: @623317
     /* 623317 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(623415), // Rule ID 13577 //
     /* 623322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 623325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 623329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623357 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623369 */     // MIs[3] src0
     /* 623369 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623374 */     // MIs[3] src1
     /* 623374 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623381 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 623384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623413 */     GIR_RootConstrainSelectedInstOperands,
     /* 623414 */     // GIR_Coverage, 13577,
     /* 623414 */     GIR_EraseRootFromParent_Done,
     /* 623415 */   // Label 7936: @623415
     /* 623415 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(623513), // Rule ID 13578 //
     /* 623420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 623423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 623427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623459 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623463 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623467 */     // MIs[3] src1
     /* 623467 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623472 */     // MIs[3] src0
     /* 623472 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623479 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 623482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623511 */     GIR_RootConstrainSelectedInstOperands,
     /* 623512 */     // GIR_Coverage, 13578,
     /* 623512 */     GIR_EraseRootFromParent_Done,
     /* 623513 */   // Label 7937: @623513
     /* 623513 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(623611), // Rule ID 13579 //
     /* 623518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 623521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 623525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623553 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623565 */     // MIs[3] src0
     /* 623565 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623570 */     // MIs[3] src1
     /* 623570 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623577 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 623580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 623589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 623596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623609 */     GIR_RootConstrainSelectedInstOperands,
     /* 623610 */     // GIR_Coverage, 13579,
     /* 623610 */     GIR_EraseRootFromParent_Done,
     /* 623611 */   // Label 7938: @623611
     /* 623611 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(623709), // Rule ID 13580 //
     /* 623616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 623619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 623623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623651 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623663 */     // MIs[3] src1
     /* 623663 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623668 */     // MIs[3] src0
     /* 623668 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623673 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623675 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 623678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 623687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 623694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623707 */     GIR_RootConstrainSelectedInstOperands,
     /* 623708 */     // GIR_Coverage, 13580,
     /* 623708 */     GIR_EraseRootFromParent_Done,
     /* 623709 */   // Label 7939: @623709
     /* 623709 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(623807), // Rule ID 13637 //
     /* 623714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 623717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623761 */     // MIs[3] src0
     /* 623761 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623766 */     // MIs[3] src1
     /* 623766 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623773 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 623776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623805 */     GIR_RootConstrainSelectedInstOperands,
     /* 623806 */     // GIR_Coverage, 13637,
     /* 623806 */     GIR_EraseRootFromParent_Done,
     /* 623807 */   // Label 7940: @623807
     /* 623807 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(623905), // Rule ID 13638 //
     /* 623812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 623815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623847 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623859 */     // MIs[3] src1
     /* 623859 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623864 */     // MIs[3] src0
     /* 623864 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623871 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 623874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 623883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 623890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623903 */     GIR_RootConstrainSelectedInstOperands,
     /* 623904 */     // GIR_Coverage, 13638,
     /* 623904 */     GIR_EraseRootFromParent_Done,
     /* 623905 */   // Label 7941: @623905
     /* 623905 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(624003), // Rule ID 13639 //
     /* 623910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 623913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 623917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 623921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 623929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 623933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 623937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 623941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 623945 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 623949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 623953 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 623957 */     // MIs[3] src0
     /* 623957 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 623962 */     // MIs[3] src1
     /* 623962 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 623967 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 623969 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 623969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 623972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 623974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 623981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 623988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 623995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 623998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624001 */     GIR_RootConstrainSelectedInstOperands,
     /* 624002 */     // GIR_Coverage, 13639,
     /* 624002 */     GIR_EraseRootFromParent_Done,
     /* 624003 */   // Label 7942: @624003
     /* 624003 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(624101), // Rule ID 13640 //
     /* 624008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 624011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 624035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 624051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624055 */     // MIs[3] src1
     /* 624055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 624060 */     // MIs[3] src0
     /* 624060 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 624065 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624067 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 624070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 624079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 624086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 624093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624099 */     GIR_RootConstrainSelectedInstOperands,
     /* 624100 */     // GIR_Coverage, 13640,
     /* 624100 */     GIR_EraseRootFromParent_Done,
     /* 624101 */   // Label 7943: @624101
     /* 624101 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(624199), // Rule ID 7966 //
     /* 624106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 624109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624145 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624149 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624153 */     // MIs[3] src0
     /* 624153 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624158 */     // MIs[3] src1
     /* 624158 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624163 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624165 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 624168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 624177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 624184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624197 */     GIR_RootConstrainSelectedInstOperands,
     /* 624198 */     // GIR_Coverage, 7966,
     /* 624198 */     GIR_EraseRootFromParent_Done,
     /* 624199 */   // Label 7944: @624199
     /* 624199 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(624297), // Rule ID 7970 //
     /* 624204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 624207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 624211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624251 */     // MIs[3] src0
     /* 624251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624256 */     // MIs[3] src1
     /* 624256 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624261 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624263 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 624266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 624275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 624282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624295 */     GIR_RootConstrainSelectedInstOperands,
     /* 624296 */     // GIR_Coverage, 7970,
     /* 624296 */     GIR_EraseRootFromParent_Done,
     /* 624297 */   // Label 7945: @624297
     /* 624297 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(624395), // Rule ID 7974 //
     /* 624302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 624305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624337 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624341 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624345 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624349 */     // MIs[3] src0
     /* 624349 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624354 */     // MIs[3] src1
     /* 624354 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624361 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 624364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 624373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 624380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624393 */     GIR_RootConstrainSelectedInstOperands,
     /* 624394 */     // GIR_Coverage, 7974,
     /* 624394 */     GIR_EraseRootFromParent_Done,
     /* 624395 */   // Label 7946: @624395
     /* 624395 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(624493), // Rule ID 13506 //
     /* 624400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 624403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624435 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624447 */     // MIs[3] src1
     /* 624447 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624452 */     // MIs[3] src0
     /* 624452 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624459 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 624462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 624471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 624478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624491 */     GIR_RootConstrainSelectedInstOperands,
     /* 624492 */     // GIR_Coverage, 13506,
     /* 624492 */     GIR_EraseRootFromParent_Done,
     /* 624493 */   // Label 7947: @624493
     /* 624493 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(624591), // Rule ID 13509 //
     /* 624498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 624501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624545 */     // MIs[3] src0
     /* 624545 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624550 */     // MIs[3] src1
     /* 624550 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624557 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 624560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 624569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 624576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624589 */     GIR_RootConstrainSelectedInstOperands,
     /* 624590 */     // GIR_Coverage, 13509,
     /* 624590 */     GIR_EraseRootFromParent_Done,
     /* 624591 */   // Label 7948: @624591
     /* 624591 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(624689), // Rule ID 13510 //
     /* 624596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 624599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624643 */     // MIs[3] src1
     /* 624643 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624648 */     // MIs[3] src0
     /* 624648 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624653 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624655 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 624658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 624667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 624674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624687 */     GIR_RootConstrainSelectedInstOperands,
     /* 624688 */     // GIR_Coverage, 13510,
     /* 624688 */     GIR_EraseRootFromParent_Done,
     /* 624689 */   // Label 7949: @624689
     /* 624689 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(624787), // Rule ID 13566 //
     /* 624694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 624697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 624701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624741 */     // MIs[3] src1
     /* 624741 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624746 */     // MIs[3] src0
     /* 624746 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624751 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624753 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 624756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 624765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 624772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624785 */     GIR_RootConstrainSelectedInstOperands,
     /* 624786 */     // GIR_Coverage, 13566,
     /* 624786 */     GIR_EraseRootFromParent_Done,
     /* 624787 */   // Label 7950: @624787
     /* 624787 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(624885), // Rule ID 13569 //
     /* 624792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 624795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 624799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624827 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624839 */     // MIs[3] src0
     /* 624839 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624844 */     // MIs[3] src1
     /* 624844 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624851 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 624854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 624863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 624870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624883 */     GIR_RootConstrainSelectedInstOperands,
     /* 624884 */     // GIR_Coverage, 13569,
     /* 624884 */     GIR_EraseRootFromParent_Done,
     /* 624885 */   // Label 7951: @624885
     /* 624885 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(624983), // Rule ID 13570 //
     /* 624890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 624893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 624897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 624909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 624913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 624917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 624921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 624925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 624929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 624933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 624937 */     // MIs[3] src1
     /* 624937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 624942 */     // MIs[3] src0
     /* 624942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 624947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 624949 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 624949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 624952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 624954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 624961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 624968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 624975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 624981 */     GIR_RootConstrainSelectedInstOperands,
     /* 624982 */     // GIR_Coverage, 13570,
     /* 624982 */     GIR_EraseRootFromParent_Done,
     /* 624983 */   // Label 7952: @624983
     /* 624983 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(625081), // Rule ID 13626 //
     /* 624988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 624991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 624995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 624999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 625031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625035 */     // MIs[3] src1
     /* 625035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625040 */     // MIs[3] src0
     /* 625040 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625047 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 625050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 625059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 625066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 625073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625079 */     GIR_RootConstrainSelectedInstOperands,
     /* 625080 */     // GIR_Coverage, 13626,
     /* 625080 */     GIR_EraseRootFromParent_Done,
     /* 625081 */   // Label 7953: @625081
     /* 625081 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(625179), // Rule ID 13629 //
     /* 625086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 625089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 625129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625133 */     // MIs[3] src0
     /* 625133 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625138 */     // MIs[3] src1
     /* 625138 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625143 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625145 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 625148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 625157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 625164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 625171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625177 */     GIR_RootConstrainSelectedInstOperands,
     /* 625178 */     // GIR_Coverage, 13629,
     /* 625178 */     GIR_EraseRootFromParent_Done,
     /* 625179 */   // Label 7954: @625179
     /* 625179 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(625277), // Rule ID 13630 //
     /* 625184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 625187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 625227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625231 */     // MIs[3] src1
     /* 625231 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625236 */     // MIs[3] src0
     /* 625236 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625241 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625243 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 625246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 625255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 625262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 625269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625275 */     GIR_RootConstrainSelectedInstOperands,
     /* 625276 */     // GIR_Coverage, 13630,
     /* 625276 */     GIR_EraseRootFromParent_Done,
     /* 625277 */   // Label 7955: @625277
     /* 625277 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(625375), // Rule ID 13507 //
     /* 625282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 625285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625317 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625329 */     // MIs[3] src0
     /* 625329 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625334 */     // MIs[3] src1
     /* 625334 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625341 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 625344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 625353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 625360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625373 */     GIR_RootConstrainSelectedInstOperands,
     /* 625374 */     // GIR_Coverage, 13507,
     /* 625374 */     GIR_EraseRootFromParent_Done,
     /* 625375 */   // Label 7956: @625375
     /* 625375 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(625473), // Rule ID 13508 //
     /* 625380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 625383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625427 */     // MIs[3] src1
     /* 625427 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625432 */     // MIs[3] src0
     /* 625432 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625439 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 625442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 625451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 625458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625471 */     GIR_RootConstrainSelectedInstOperands,
     /* 625472 */     // GIR_Coverage, 13508,
     /* 625472 */     GIR_EraseRootFromParent_Done,
     /* 625473 */   // Label 7957: @625473
     /* 625473 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(625571), // Rule ID 13511 //
     /* 625478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 625481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625513 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625525 */     // MIs[3] src0
     /* 625525 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625530 */     // MIs[3] src1
     /* 625530 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625537 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 625540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 625549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 625556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625569 */     GIR_RootConstrainSelectedInstOperands,
     /* 625570 */     // GIR_Coverage, 13511,
     /* 625570 */     GIR_EraseRootFromParent_Done,
     /* 625571 */   // Label 7958: @625571
     /* 625571 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(625669), // Rule ID 13512 //
     /* 625576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 625579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 625583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625623 */     // MIs[3] src1
     /* 625623 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625628 */     // MIs[3] src0
     /* 625628 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625633 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625635 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 625638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 625647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 625654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625667 */     GIR_RootConstrainSelectedInstOperands,
     /* 625668 */     // GIR_Coverage, 13512,
     /* 625668 */     GIR_EraseRootFromParent_Done,
     /* 625669 */   // Label 7959: @625669
     /* 625669 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(625767), // Rule ID 13567 //
     /* 625674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 625677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 625681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625721 */     // MIs[3] src0
     /* 625721 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625726 */     // MIs[3] src1
     /* 625726 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625733 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 625736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 625745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 625752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625765 */     GIR_RootConstrainSelectedInstOperands,
     /* 625766 */     // GIR_Coverage, 13567,
     /* 625766 */     GIR_EraseRootFromParent_Done,
     /* 625767 */   // Label 7960: @625767
     /* 625767 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(625865), // Rule ID 13568 //
     /* 625772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 625775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 625779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625807 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625819 */     // MIs[3] src1
     /* 625819 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625824 */     // MIs[3] src0
     /* 625824 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625831 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 625834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 625843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 625850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625863 */     GIR_RootConstrainSelectedInstOperands,
     /* 625864 */     // GIR_Coverage, 13568,
     /* 625864 */     GIR_EraseRootFromParent_Done,
     /* 625865 */   // Label 7961: @625865
     /* 625865 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(625963), // Rule ID 13571 //
     /* 625870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 625873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 625877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 625905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 625909 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 625913 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 625917 */     // MIs[3] src0
     /* 625917 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 625922 */     // MIs[3] src1
     /* 625922 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 625927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 625929 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 625929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 625932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 625934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 625941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 625948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 625955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 625961 */     GIR_RootConstrainSelectedInstOperands,
     /* 625962 */     // GIR_Coverage, 13571,
     /* 625962 */     GIR_EraseRootFromParent_Done,
     /* 625963 */   // Label 7962: @625963
     /* 625963 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(626061), // Rule ID 13572 //
     /* 625968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 625971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 625975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 625979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 625987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 625991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 625995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 625999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 626003 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 626007 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 626011 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626015 */     // MIs[3] src1
     /* 626015 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 626020 */     // MIs[3] src0
     /* 626020 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 626025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626027 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 626027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 626030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 626039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 626046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 626053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626059 */     GIR_RootConstrainSelectedInstOperands,
     /* 626060 */     // GIR_Coverage, 13572,
     /* 626060 */     GIR_EraseRootFromParent_Done,
     /* 626061 */   // Label 7963: @626061
     /* 626061 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(626159), // Rule ID 13627 //
     /* 626066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 626069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 626085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 626089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 626093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 626101 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 626105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 626109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626113 */     // MIs[3] src0
     /* 626113 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 626118 */     // MIs[3] src1
     /* 626118 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 626123 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626125 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 626125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 626128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 626137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 626144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 626151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626157 */     GIR_RootConstrainSelectedInstOperands,
     /* 626158 */     // GIR_Coverage, 13627,
     /* 626158 */     GIR_EraseRootFromParent_Done,
     /* 626159 */   // Label 7964: @626159
     /* 626159 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(626257), // Rule ID 13628 //
     /* 626164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 626167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 626183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 626187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 626191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 626199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 626203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 626207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626211 */     // MIs[3] src1
     /* 626211 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 626216 */     // MIs[3] src0
     /* 626216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 626221 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626223 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 626223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 626226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 626235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 626242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 626249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626255 */     GIR_RootConstrainSelectedInstOperands,
     /* 626256 */     // GIR_Coverage, 13628,
     /* 626256 */     GIR_EraseRootFromParent_Done,
     /* 626257 */   // Label 7965: @626257
     /* 626257 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(626355), // Rule ID 13631 //
     /* 626262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 626265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 626281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 626285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 626289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 626297 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 626301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 626305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626309 */     // MIs[3] src0
     /* 626309 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 626314 */     // MIs[3] src1
     /* 626314 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 626319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626321 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 626321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 626324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 626333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 626340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 626347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626353 */     GIR_RootConstrainSelectedInstOperands,
     /* 626354 */     // GIR_Coverage, 13631,
     /* 626354 */     GIR_EraseRootFromParent_Done,
     /* 626355 */   // Label 7966: @626355
     /* 626355 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(626453), // Rule ID 13632 //
     /* 626360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 626363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 626379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 626383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 626387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 626395 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 626399 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 626403 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626407 */     // MIs[3] src1
     /* 626407 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 626412 */     // MIs[3] src0
     /* 626412 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 626417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626419 */     // (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umax:{ *:[i16] } i16:{ *:[i16] }:$src2, (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 626419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 626422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 626431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 626438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 626445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626451 */     GIR_RootConstrainSelectedInstOperands,
     /* 626452 */     // GIR_Coverage, 13632,
     /* 626452 */     GIR_EraseRootFromParent_Done,
     /* 626453 */   // Label 7967: @626453
     /* 626453 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(626509), // Rule ID 900 //
     /* 626458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 626461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 626465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 626472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 626479 */     // (umin:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 626479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U16_t16_e64),
     /* 626482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 626489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 626494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 626499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 626504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 626507 */     GIR_RootConstrainSelectedInstOperands,
     /* 626508 */     // GIR_Coverage, 900,
     /* 626508 */     GIR_EraseRootFromParent_Done,
     /* 626509 */   // Label 7968: @626509
     /* 626509 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(626532), // Rule ID 899 //
     /* 626514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 626517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626521 */     // (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MIN_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 626521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U16_e64),
     /* 626526 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 626530 */     GIR_RootConstrainSelectedInstOperands,
     /* 626531 */     // GIR_Coverage, 899,
     /* 626531 */     GIR_Done,
     /* 626532 */   // Label 7969: @626532
     /* 626532 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(626555), // Rule ID 901 //
     /* 626537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 626540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626544 */     // (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MIN_U16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 626544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U16_fake16_e64),
     /* 626549 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 626553 */     GIR_RootConstrainSelectedInstOperands,
     /* 626554 */     // GIR_Coverage, 901,
     /* 626554 */     GIR_Done,
     /* 626555 */   // Label 7970: @626555
     /* 626555 */   GIM_Reject,
     /* 626556 */ // Label 7919: @626556
     /* 626556 */ GIM_Reject,
     /* 626557 */ // Label 7916: @626557
     /* 626557 */ GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(628001),
     /* 626562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 626565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 626568 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(626648), // Rule ID 11466 //
     /* 626573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 626597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 626605 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 626609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 626613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626617 */     // MIs[3] src0
     /* 626617 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 626622 */     // MIs[3] src1
     /* 626622 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 626627 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626629 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 626629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 626632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 626638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 626642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 626646 */     GIR_RootConstrainSelectedInstOperands,
     /* 626647 */     // GIR_Coverage, 11466,
     /* 626647 */     GIR_EraseRootFromParent_Done,
     /* 626648 */   // Label 7972: @626648
     /* 626648 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(626728), // Rule ID 11467 //
     /* 626653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 626677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 626685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 626689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 626693 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626697 */     // MIs[3] src1
     /* 626697 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 626702 */     // MIs[3] src0
     /* 626702 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 626707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626709 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 626709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 626712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 626718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 626722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 626726 */     GIR_RootConstrainSelectedInstOperands,
     /* 626727 */     // GIR_Coverage, 11467,
     /* 626727 */     GIR_EraseRootFromParent_Done,
     /* 626728 */   // Label 7973: @626728
     /* 626728 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(626808), // Rule ID 11468 //
     /* 626733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 626757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 626765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 626769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 626773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626777 */     // MIs[3] src0
     /* 626777 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 626782 */     // MIs[3] src1
     /* 626782 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 626787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626789 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 626789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 626792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 626798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 626802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 626806 */     GIR_RootConstrainSelectedInstOperands,
     /* 626807 */     // GIR_Coverage, 11468,
     /* 626807 */     GIR_EraseRootFromParent_Done,
     /* 626808 */   // Label 7974: @626808
     /* 626808 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(626888), // Rule ID 11469 //
     /* 626813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 626837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 626845 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 626849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 626853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626857 */     // MIs[3] src1
     /* 626857 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 626862 */     // MIs[3] src0
     /* 626862 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 626867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626869 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 626869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 626872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 626878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 626882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 626886 */     GIR_RootConstrainSelectedInstOperands,
     /* 626887 */     // GIR_Coverage, 11469,
     /* 626887 */     GIR_EraseRootFromParent_Done,
     /* 626888 */   // Label 7975: @626888
     /* 626888 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(626968), // Rule ID 11470 //
     /* 626893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 626917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 626921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 626925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 626929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 626933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626937 */     // MIs[3] src0
     /* 626937 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 626942 */     // MIs[3] src1
     /* 626942 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 626947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 626949 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 626949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 626952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 626954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 626958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 626962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 626966 */     GIR_RootConstrainSelectedInstOperands,
     /* 626967 */     // GIR_Coverage, 11470,
     /* 626967 */     GIR_EraseRootFromParent_Done,
     /* 626968 */   // Label 7976: @626968
     /* 626968 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(627048), // Rule ID 11471 //
     /* 626973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 626977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 626981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 626985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 626989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 626993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 626997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 627013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627017 */     // MIs[3] src1
     /* 627017 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 627022 */     // MIs[3] src0
     /* 627022 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 627027 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627029 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 627038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 627042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 627046 */     GIR_RootConstrainSelectedInstOperands,
     /* 627047 */     // GIR_Coverage, 11471,
     /* 627047 */     GIR_EraseRootFromParent_Done,
     /* 627048 */   // Label 7977: @627048
     /* 627048 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(627128), // Rule ID 11472 //
     /* 627053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 627077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 627093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627097 */     // MIs[3] src0
     /* 627097 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 627102 */     // MIs[3] src1
     /* 627102 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 627107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627109 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 627118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 627122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 627126 */     GIR_RootConstrainSelectedInstOperands,
     /* 627127 */     // GIR_Coverage, 11472,
     /* 627127 */     GIR_EraseRootFromParent_Done,
     /* 627128 */   // Label 7978: @627128
     /* 627128 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(627208), // Rule ID 11473 //
     /* 627133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 627157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 627173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627177 */     // MIs[3] src1
     /* 627177 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 627182 */     // MIs[3] src0
     /* 627182 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 627187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627189 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 627198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 627202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 627206 */     GIR_RootConstrainSelectedInstOperands,
     /* 627207 */     // GIR_Coverage, 11473,
     /* 627207 */     GIR_EraseRootFromParent_Done,
     /* 627208 */   // Label 7979: @627208
     /* 627208 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(627288), // Rule ID 7781 //
     /* 627213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 627253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627257 */     // MIs[3] src0
     /* 627257 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627262 */     // MIs[3] src1
     /* 627262 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627267 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627269 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 627286 */     GIR_RootConstrainSelectedInstOperands,
     /* 627287 */     // GIR_Coverage, 7781,
     /* 627287 */     GIR_EraseRootFromParent_Done,
     /* 627288 */   // Label 7980: @627288
     /* 627288 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(627368), // Rule ID 11459 //
     /* 627293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 627333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627337 */     // MIs[3] src1
     /* 627337 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627342 */     // MIs[3] src0
     /* 627342 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627349 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 627366 */     GIR_RootConstrainSelectedInstOperands,
     /* 627367 */     // GIR_Coverage, 11459,
     /* 627367 */     GIR_EraseRootFromParent_Done,
     /* 627368 */   // Label 7981: @627368
     /* 627368 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(627448), // Rule ID 11462 //
     /* 627373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 627413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627417 */     // MIs[3] src0
     /* 627417 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627422 */     // MIs[3] src1
     /* 627422 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627429 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 627438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 627442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 627446 */     GIR_RootConstrainSelectedInstOperands,
     /* 627447 */     // GIR_Coverage, 11462,
     /* 627447 */     GIR_EraseRootFromParent_Done,
     /* 627448 */   // Label 7982: @627448
     /* 627448 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(627528), // Rule ID 11463 //
     /* 627453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 627493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627497 */     // MIs[3] src1
     /* 627497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627502 */     // MIs[3] src0
     /* 627502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627509 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 627518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 627522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 627526 */     GIR_RootConstrainSelectedInstOperands,
     /* 627527 */     // GIR_Coverage, 11463,
     /* 627527 */     GIR_EraseRootFromParent_Done,
     /* 627528 */   // Label 7983: @627528
     /* 627528 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(627608), // Rule ID 11460 //
     /* 627533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 627573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627577 */     // MIs[3] src0
     /* 627577 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627582 */     // MIs[3] src1
     /* 627582 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627589 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 627606 */     GIR_RootConstrainSelectedInstOperands,
     /* 627607 */     // GIR_Coverage, 11460,
     /* 627607 */     GIR_EraseRootFromParent_Done,
     /* 627608 */   // Label 7984: @627608
     /* 627608 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(627688), // Rule ID 11461 //
     /* 627613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 627653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627657 */     // MIs[3] src1
     /* 627657 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627662 */     // MIs[3] src0
     /* 627662 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627669 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 627686 */     GIR_RootConstrainSelectedInstOperands,
     /* 627687 */     // GIR_Coverage, 11461,
     /* 627687 */     GIR_EraseRootFromParent_Done,
     /* 627688 */   // Label 7985: @627688
     /* 627688 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(627768), // Rule ID 11464 //
     /* 627693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627725 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 627733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627737 */     // MIs[3] src0
     /* 627737 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627742 */     // MIs[3] src1
     /* 627742 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627749 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 627758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 627762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 627766 */     GIR_RootConstrainSelectedInstOperands,
     /* 627767 */     // GIR_Coverage, 11464,
     /* 627767 */     GIR_EraseRootFromParent_Done,
     /* 627768 */   // Label 7986: @627768
     /* 627768 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(627848), // Rule ID 11465 //
     /* 627773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 627797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 627805 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 627809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 627813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 627817 */     // MIs[3] src1
     /* 627817 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 627822 */     // MIs[3] src0
     /* 627822 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 627827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 627829 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 627832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 627838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 627842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 627846 */     GIR_RootConstrainSelectedInstOperands,
     /* 627847 */     // GIR_Coverage, 11465,
     /* 627847 */     GIR_EraseRootFromParent_Done,
     /* 627848 */   // Label 7987: @627848
     /* 627848 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(627901), // Rule ID 7915 //
     /* 627853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 627856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 627864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627876 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 627878 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35335),
     /* 627882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 627884 */     // (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_umax_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_anonymous_35335>>  =>  (V_MAXMIN_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_U32_e64),
     /* 627887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627897 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 627899 */     GIR_RootConstrainSelectedInstOperands,
     /* 627900 */     // GIR_Coverage, 7915,
     /* 627900 */     GIR_EraseRootFromParent_Done,
     /* 627901 */   // Label 7988: @627901
     /* 627901 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(627954), // Rule ID 13441 //
     /* 627906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 627909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 627917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 627921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 627925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 627929 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 627931 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35335),
     /* 627935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 627937 */     // (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_umax_oneuse>>)<<P:Predicate_anonymous_35335>>  =>  (V_MAXMIN_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 627937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAXMIN_U32_e64),
     /* 627940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 627942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 627946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 627950 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 627952 */     GIR_RootConstrainSelectedInstOperands,
     /* 627953 */     // GIR_Coverage, 13441,
     /* 627953 */     GIR_EraseRootFromParent_Done,
     /* 627954 */   // Label 7989: @627954
     /* 627954 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(627980), // Rule ID 48 //
     /* 627959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 627963 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13760),
     /* 627967 */     // (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13760>>  =>  (S_MIN_U32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 627967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MIN_U32),
     /* 627972 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 627978 */     GIR_RootConstrainSelectedInstOperands,
     /* 627979 */     // GIR_Coverage, 48,
     /* 627979 */     GIR_Done,
     /* 627980 */   // Label 7990: @627980
     /* 627980 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(628000), // Rule ID 808 //
     /* 627985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 627989 */     // (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MIN_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 627989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_U32_e64),
     /* 627994 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 627998 */     GIR_RootConstrainSelectedInstOperands,
     /* 627999 */     // GIR_Coverage, 808,
     /* 627999 */     GIR_Done,
     /* 628000 */   // Label 7991: @628000
     /* 628000 */   GIM_Reject,
     /* 628001 */ // Label 7971: @628001
     /* 628001 */ GIM_Reject,
     /* 628002 */ // Label 7917: @628002
     /* 628002 */ GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(628073), // Rule ID 1103 //
     /* 628007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 628010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 628013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628017 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 628024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 628031 */   // (umin:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MIN_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 628031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MIN_U16),
     /* 628034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 628041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 628046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 628051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 628056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628071 */   GIR_RootConstrainSelectedInstOperands,
     /* 628072 */   // GIR_Coverage, 1103,
     /* 628072 */   GIR_EraseRootFromParent_Done,
     /* 628073 */ // Label 7992: @628073
     /* 628073 */ GIM_Reject,
     /* 628074 */ // Label 7918: @628074
     /* 628074 */ GIM_Reject,
     /* 628075 */ // Label 93: @628075
     /* 628075 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 7996*/ GIMT_Encode4(634438),
     /* 628086 */ /*GILLT_s16*//*Label 7993*/ GIMT_Encode4(628102),
     /* 628090 */ /*GILLT_s32*//*Label 7994*/ GIMT_Encode4(632921), GIMT_Encode4(0),
     /* 628098 */ /*GILLT_v2s16*//*Label 7995*/ GIMT_Encode4(634366),
     /* 628102 */ // Label 7993: @628102
     /* 628102 */ GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(632920),
     /* 628107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 628110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 628113 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(628211), // Rule ID 13498 //
     /* 628118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 628121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628165 */     // MIs[3] src0
     /* 628165 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628170 */     // MIs[3] src1
     /* 628170 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628177 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 628180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 628189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 628196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628209 */     GIR_RootConstrainSelectedInstOperands,
     /* 628210 */     // GIR_Coverage, 13498,
     /* 628210 */     GIR_EraseRootFromParent_Done,
     /* 628211 */   // Label 7998: @628211
     /* 628211 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(628309), // Rule ID 13499 //
     /* 628216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 628219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628251 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628263 */     // MIs[3] src1
     /* 628263 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628268 */     // MIs[3] src0
     /* 628268 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628275 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 628278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 628287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 628294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628307 */     GIR_RootConstrainSelectedInstOperands,
     /* 628308 */     // GIR_Coverage, 13499,
     /* 628308 */     GIR_EraseRootFromParent_Done,
     /* 628309 */   // Label 7999: @628309
     /* 628309 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(628407), // Rule ID 13500 //
     /* 628314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 628317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628361 */     // MIs[3] src0
     /* 628361 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628366 */     // MIs[3] src1
     /* 628366 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628373 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 628376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 628385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 628392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628405 */     GIR_RootConstrainSelectedInstOperands,
     /* 628406 */     // GIR_Coverage, 13500,
     /* 628406 */     GIR_EraseRootFromParent_Done,
     /* 628407 */   // Label 8000: @628407
     /* 628407 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(628505), // Rule ID 13501 //
     /* 628412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 628415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628459 */     // MIs[3] src1
     /* 628459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628464 */     // MIs[3] src0
     /* 628464 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628469 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628471 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 628474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 628483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 628490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628503 */     GIR_RootConstrainSelectedInstOperands,
     /* 628504 */     // GIR_Coverage, 13501,
     /* 628504 */     GIR_EraseRootFromParent_Done,
     /* 628505 */   // Label 8001: @628505
     /* 628505 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(628603), // Rule ID 13558 //
     /* 628510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 628513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 628517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628557 */     // MIs[3] src0
     /* 628557 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628562 */     // MIs[3] src1
     /* 628562 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628569 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 628572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 628581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 628588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628601 */     GIR_RootConstrainSelectedInstOperands,
     /* 628602 */     // GIR_Coverage, 13558,
     /* 628602 */     GIR_EraseRootFromParent_Done,
     /* 628603 */   // Label 8002: @628603
     /* 628603 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(628701), // Rule ID 13559 //
     /* 628608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 628611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 628615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628655 */     // MIs[3] src1
     /* 628655 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628660 */     // MIs[3] src0
     /* 628660 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628667 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 628670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 628679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 628686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628699 */     GIR_RootConstrainSelectedInstOperands,
     /* 628700 */     // GIR_Coverage, 13559,
     /* 628700 */     GIR_EraseRootFromParent_Done,
     /* 628701 */   // Label 8003: @628701
     /* 628701 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(628799), // Rule ID 13560 //
     /* 628706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 628709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 628713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628753 */     // MIs[3] src0
     /* 628753 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628758 */     // MIs[3] src1
     /* 628758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628765 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 628768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 628777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 628784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628797 */     GIR_RootConstrainSelectedInstOperands,
     /* 628798 */     // GIR_Coverage, 13560,
     /* 628798 */     GIR_EraseRootFromParent_Done,
     /* 628799 */   // Label 8004: @628799
     /* 628799 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(628897), // Rule ID 13561 //
     /* 628804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 628807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 628811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628851 */     // MIs[3] src1
     /* 628851 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628856 */     // MIs[3] src0
     /* 628856 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628863 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 628866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 628875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 628882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628895 */     GIR_RootConstrainSelectedInstOperands,
     /* 628896 */     // GIR_Coverage, 13561,
     /* 628896 */     GIR_EraseRootFromParent_Done,
     /* 628897 */   // Label 8005: @628897
     /* 628897 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(628995), // Rule ID 13618 //
     /* 628902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 628905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 628909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 628913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 628921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 628925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 628929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 628933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 628937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 628941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 628945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 628949 */     // MIs[3] src0
     /* 628949 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 628954 */     // MIs[3] src1
     /* 628954 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 628959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 628961 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 628961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 628964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 628966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 628973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 628980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 628987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 628993 */     GIR_RootConstrainSelectedInstOperands,
     /* 628994 */     // GIR_Coverage, 13618,
     /* 628994 */     GIR_EraseRootFromParent_Done,
     /* 628995 */   // Label 8006: @628995
     /* 628995 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(629093), // Rule ID 13619 //
     /* 629000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 629003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 629027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629035 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629047 */     // MIs[3] src1
     /* 629047 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629052 */     // MIs[3] src0
     /* 629052 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629059 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 629062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 629071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 629078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 629085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629091 */     GIR_RootConstrainSelectedInstOperands,
     /* 629092 */     // GIR_Coverage, 13619,
     /* 629092 */     GIR_EraseRootFromParent_Done,
     /* 629093 */   // Label 8007: @629093
     /* 629093 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(629191), // Rule ID 13620 //
     /* 629098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 629101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 629125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629145 */     // MIs[3] src0
     /* 629145 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629150 */     // MIs[3] src1
     /* 629150 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629157 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 629160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 629169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 629176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 629183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629189 */     GIR_RootConstrainSelectedInstOperands,
     /* 629190 */     // GIR_Coverage, 13620,
     /* 629190 */     GIR_EraseRootFromParent_Done,
     /* 629191 */   // Label 8008: @629191
     /* 629191 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(629289), // Rule ID 13621 //
     /* 629196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 629199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 629223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629243 */     // MIs[3] src1
     /* 629243 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629248 */     // MIs[3] src0
     /* 629248 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629255 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 629258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 629267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 629274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 629281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629287 */     GIR_RootConstrainSelectedInstOperands,
     /* 629288 */     // GIR_Coverage, 13621,
     /* 629288 */     GIR_EraseRootFromParent_Done,
     /* 629289 */   // Label 8009: @629289
     /* 629289 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(629387), // Rule ID 13502 //
     /* 629294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 629297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629341 */     // MIs[3] src0
     /* 629341 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629346 */     // MIs[3] src1
     /* 629346 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629353 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 629356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 629365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 629372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629385 */     GIR_RootConstrainSelectedInstOperands,
     /* 629386 */     // GIR_Coverage, 13502,
     /* 629386 */     GIR_EraseRootFromParent_Done,
     /* 629387 */   // Label 8010: @629387
     /* 629387 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(629485), // Rule ID 13503 //
     /* 629392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 629395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629427 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629439 */     // MIs[3] src1
     /* 629439 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629444 */     // MIs[3] src0
     /* 629444 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629449 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629451 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 629454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 629463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 629470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629483 */     GIR_RootConstrainSelectedInstOperands,
     /* 629484 */     // GIR_Coverage, 13503,
     /* 629484 */     GIR_EraseRootFromParent_Done,
     /* 629485 */   // Label 8011: @629485
     /* 629485 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(629583), // Rule ID 13504 //
     /* 629490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 629493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629537 */     // MIs[3] src0
     /* 629537 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629542 */     // MIs[3] src1
     /* 629542 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629547 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629549 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 629552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 629561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 629568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629581 */     GIR_RootConstrainSelectedInstOperands,
     /* 629582 */     // GIR_Coverage, 13504,
     /* 629582 */     GIR_EraseRootFromParent_Done,
     /* 629583 */   // Label 8012: @629583
     /* 629583 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(629681), // Rule ID 13505 //
     /* 629588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 629591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 629595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629635 */     // MIs[3] src1
     /* 629635 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629640 */     // MIs[3] src0
     /* 629640 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629647 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 629650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 629659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 629666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629679 */     GIR_RootConstrainSelectedInstOperands,
     /* 629680 */     // GIR_Coverage, 13505,
     /* 629680 */     GIR_EraseRootFromParent_Done,
     /* 629681 */   // Label 8013: @629681
     /* 629681 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(629779), // Rule ID 13562 //
     /* 629686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 629689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 629693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629733 */     // MIs[3] src0
     /* 629733 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629738 */     // MIs[3] src1
     /* 629738 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629743 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629745 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 629748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 629757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 629764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629777 */     GIR_RootConstrainSelectedInstOperands,
     /* 629778 */     // GIR_Coverage, 13562,
     /* 629778 */     GIR_EraseRootFromParent_Done,
     /* 629779 */   // Label 8014: @629779
     /* 629779 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(629877), // Rule ID 13563 //
     /* 629784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 629787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 629791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629831 */     // MIs[3] src1
     /* 629831 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629836 */     // MIs[3] src0
     /* 629836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629841 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629843 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 629846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 629855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 629862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629875 */     GIR_RootConstrainSelectedInstOperands,
     /* 629876 */     // GIR_Coverage, 13563,
     /* 629876 */     GIR_EraseRootFromParent_Done,
     /* 629877 */   // Label 8015: @629877
     /* 629877 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(629975), // Rule ID 13564 //
     /* 629882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 629885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 629889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 629905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 629909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 629913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 629917 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 629921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 629925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629929 */     // MIs[3] src0
     /* 629929 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 629934 */     // MIs[3] src1
     /* 629934 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 629939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 629941 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 629941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 629944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 629946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 629953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 629960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 629967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 629973 */     GIR_RootConstrainSelectedInstOperands,
     /* 629974 */     // GIR_Coverage, 13564,
     /* 629974 */     GIR_EraseRootFromParent_Done,
     /* 629975 */   // Label 8016: @629975
     /* 629975 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(630073), // Rule ID 13565 //
     /* 629980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 629983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 629987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 629991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 629995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 629999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 630007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 630023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630027 */     // MIs[3] src1
     /* 630027 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 630032 */     // MIs[3] src0
     /* 630032 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 630037 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630039 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 630042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 630051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 630058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 630065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630071 */     GIR_RootConstrainSelectedInstOperands,
     /* 630072 */     // GIR_Coverage, 13565,
     /* 630072 */     GIR_EraseRootFromParent_Done,
     /* 630073 */   // Label 8017: @630073
     /* 630073 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(630171), // Rule ID 13622 //
     /* 630078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 630081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 630105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 630121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630125 */     // MIs[3] src0
     /* 630125 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 630130 */     // MIs[3] src1
     /* 630130 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 630135 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630137 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 630140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 630149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 630156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 630163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630169 */     GIR_RootConstrainSelectedInstOperands,
     /* 630170 */     // GIR_Coverage, 13622,
     /* 630170 */     GIR_EraseRootFromParent_Done,
     /* 630171 */   // Label 8018: @630171
     /* 630171 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(630269), // Rule ID 13623 //
     /* 630176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 630179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 630203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 630219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630223 */     // MIs[3] src1
     /* 630223 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 630228 */     // MIs[3] src0
     /* 630228 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 630233 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630235 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 630238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 630247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 630254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 630261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630267 */     GIR_RootConstrainSelectedInstOperands,
     /* 630268 */     // GIR_Coverage, 13623,
     /* 630268 */     GIR_EraseRootFromParent_Done,
     /* 630269 */   // Label 8019: @630269
     /* 630269 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(630367), // Rule ID 13624 //
     /* 630274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 630277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 630301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 630317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630321 */     // MIs[3] src0
     /* 630321 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 630326 */     // MIs[3] src1
     /* 630326 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 630331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630333 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 630336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 630345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 630352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 630359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630365 */     GIR_RootConstrainSelectedInstOperands,
     /* 630366 */     // GIR_Coverage, 13624,
     /* 630366 */     GIR_EraseRootFromParent_Done,
     /* 630367 */   // Label 8020: @630367
     /* 630367 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(630465), // Rule ID 13625 //
     /* 630372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 630375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 630399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630411 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 630415 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630419 */     // MIs[3] src1
     /* 630419 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 630424 */     // MIs[3] src0
     /* 630424 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 630429 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630431 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)), (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 630434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 630443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 630450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 630457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630463 */     GIR_RootConstrainSelectedInstOperands,
     /* 630464 */     // GIR_Coverage, 13625,
     /* 630464 */     GIR_EraseRootFromParent_Done,
     /* 630465 */   // Label 8021: @630465
     /* 630465 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(630563), // Rule ID 7965 //
     /* 630470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 630473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 630513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630517 */     // MIs[3] src0
     /* 630517 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 630522 */     // MIs[3] src1
     /* 630522 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 630527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630529 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 630532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 630541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 630548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 630555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630561 */     GIR_RootConstrainSelectedInstOperands,
     /* 630562 */     // GIR_Coverage, 7965,
     /* 630562 */     GIR_EraseRootFromParent_Done,
     /* 630563 */   // Label 8022: @630563
     /* 630563 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(630661), // Rule ID 7969 //
     /* 630568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 630571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 630575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 630611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630615 */     // MIs[3] src0
     /* 630615 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 630620 */     // MIs[3] src1
     /* 630620 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 630625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630627 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 630630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 630639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 630646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 630653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630659 */     GIR_RootConstrainSelectedInstOperands,
     /* 630660 */     // GIR_Coverage, 7969,
     /* 630660 */     GIR_EraseRootFromParent_Done,
     /* 630661 */   // Label 8023: @630661
     /* 630661 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(630759), // Rule ID 7973 //
     /* 630666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 630669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630701 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 630709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630713 */     // MIs[3] src0
     /* 630713 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 630718 */     // MIs[3] src1
     /* 630718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 630723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630725 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 630728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 630737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 630744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 630751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630757 */     GIR_RootConstrainSelectedInstOperands,
     /* 630758 */     // GIR_Coverage, 7973,
     /* 630758 */     GIR_EraseRootFromParent_Done,
     /* 630759 */   // Label 8024: @630759
     /* 630759 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(630857), // Rule ID 13491 //
     /* 630764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 630767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630799 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 630807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630811 */     // MIs[3] src1
     /* 630811 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 630816 */     // MIs[3] src0
     /* 630816 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 630821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630823 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 630826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 630835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 630842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 630849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630855 */     GIR_RootConstrainSelectedInstOperands,
     /* 630856 */     // GIR_Coverage, 13491,
     /* 630856 */     GIR_EraseRootFromParent_Done,
     /* 630857 */   // Label 8025: @630857
     /* 630857 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(630955), // Rule ID 13494 //
     /* 630862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 630865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630897 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630901 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 630905 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 630909 */     // MIs[3] src0
     /* 630909 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 630914 */     // MIs[3] src1
     /* 630914 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 630919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 630921 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 630921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 630924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 630926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 630933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 630940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 630947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 630953 */     GIR_RootConstrainSelectedInstOperands,
     /* 630954 */     // GIR_Coverage, 13494,
     /* 630954 */     GIR_EraseRootFromParent_Done,
     /* 630955 */   // Label 8026: @630955
     /* 630955 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(631053), // Rule ID 13495 //
     /* 630960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 630963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 630967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 630971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 630979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 630983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 630987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 630991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 630995 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 630999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631007 */     // MIs[3] src1
     /* 631007 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631012 */     // MIs[3] src0
     /* 631012 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631019 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 631022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631051 */     GIR_RootConstrainSelectedInstOperands,
     /* 631052 */     // GIR_Coverage, 13495,
     /* 631052 */     GIR_EraseRootFromParent_Done,
     /* 631053 */   // Label 8027: @631053
     /* 631053 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(631151), // Rule ID 13551 //
     /* 631058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 631061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 631065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631105 */     // MIs[3] src1
     /* 631105 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631110 */     // MIs[3] src0
     /* 631110 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631115 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631117 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 631120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 631129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 631136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631149 */     GIR_RootConstrainSelectedInstOperands,
     /* 631150 */     // GIR_Coverage, 13551,
     /* 631150 */     GIR_EraseRootFromParent_Done,
     /* 631151 */   // Label 8028: @631151
     /* 631151 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(631249), // Rule ID 13554 //
     /* 631156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 631159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 631163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631191 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631203 */     // MIs[3] src0
     /* 631203 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631208 */     // MIs[3] src1
     /* 631208 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631213 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631215 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 631218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631247 */     GIR_RootConstrainSelectedInstOperands,
     /* 631248 */     // GIR_Coverage, 13554,
     /* 631248 */     GIR_EraseRootFromParent_Done,
     /* 631249 */   // Label 8029: @631249
     /* 631249 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(631347), // Rule ID 13555 //
     /* 631254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 631257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 631261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631301 */     // MIs[3] src1
     /* 631301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631306 */     // MIs[3] src0
     /* 631306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631313 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 631316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631345 */     GIR_RootConstrainSelectedInstOperands,
     /* 631346 */     // GIR_Coverage, 13555,
     /* 631346 */     GIR_EraseRootFromParent_Done,
     /* 631347 */   // Label 8030: @631347
     /* 631347 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(631445), // Rule ID 13611 //
     /* 631352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 631355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631387 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631399 */     // MIs[3] src1
     /* 631399 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631404 */     // MIs[3] src0
     /* 631404 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631411 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 631414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 631423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 631430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631443 */     GIR_RootConstrainSelectedInstOperands,
     /* 631444 */     // GIR_Coverage, 13611,
     /* 631444 */     GIR_EraseRootFromParent_Done,
     /* 631445 */   // Label 8031: @631445
     /* 631445 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(631543), // Rule ID 13614 //
     /* 631450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 631453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631497 */     // MIs[3] src0
     /* 631497 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631502 */     // MIs[3] src1
     /* 631502 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631509 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 631512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631541 */     GIR_RootConstrainSelectedInstOperands,
     /* 631542 */     // GIR_Coverage, 13614,
     /* 631542 */     GIR_EraseRootFromParent_Done,
     /* 631543 */   // Label 8032: @631543
     /* 631543 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(631641), // Rule ID 13615 //
     /* 631548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 631551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631583 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 631591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631595 */     // MIs[3] src1
     /* 631595 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631600 */     // MIs[3] src0
     /* 631600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631605 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631607 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), i16:{ *:[i16] }:$src2))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 631610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 631633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631639 */     GIR_RootConstrainSelectedInstOperands,
     /* 631640 */     // GIR_Coverage, 13615,
     /* 631640 */     GIR_EraseRootFromParent_Done,
     /* 631641 */   // Label 8033: @631641
     /* 631641 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(631739), // Rule ID 13492 //
     /* 631646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 631649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631681 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 631689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631693 */     // MIs[3] src0
     /* 631693 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631698 */     // MIs[3] src1
     /* 631698 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631705 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 631708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 631717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 631724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 631731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631737 */     GIR_RootConstrainSelectedInstOperands,
     /* 631738 */     // GIR_Coverage, 13492,
     /* 631738 */     GIR_EraseRootFromParent_Done,
     /* 631739 */   // Label 8034: @631739
     /* 631739 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(631837), // Rule ID 13493 //
     /* 631744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 631747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 631787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631791 */     // MIs[3] src1
     /* 631791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631796 */     // MIs[3] src0
     /* 631796 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631803 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 631806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 631815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 631822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 631829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631835 */     GIR_RootConstrainSelectedInstOperands,
     /* 631836 */     // GIR_Coverage, 13493,
     /* 631836 */     GIR_EraseRootFromParent_Done,
     /* 631837 */   // Label 8035: @631837
     /* 631837 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(631935), // Rule ID 13496 //
     /* 631842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 631845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631877 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631881 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 631885 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631889 */     // MIs[3] src0
     /* 631889 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631894 */     // MIs[3] src1
     /* 631894 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631901 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 631904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 631906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 631913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 631920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 631927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 631933 */     GIR_RootConstrainSelectedInstOperands,
     /* 631934 */     // GIR_Coverage, 13496,
     /* 631934 */     GIR_EraseRootFromParent_Done,
     /* 631935 */   // Label 8036: @631935
     /* 631935 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(632033), // Rule ID 13497 //
     /* 631940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 631943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 631947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 631951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 631959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 631963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 631967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 631971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 631975 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 631979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 631983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 631987 */     // MIs[3] src1
     /* 631987 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 631992 */     // MIs[3] src0
     /* 631992 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 631997 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 631999 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 631999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 632002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 632011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 632018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632031 */     GIR_RootConstrainSelectedInstOperands,
     /* 632032 */     // GIR_Coverage, 13497,
     /* 632032 */     GIR_EraseRootFromParent_Done,
     /* 632033 */   // Label 8037: @632033
     /* 632033 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(632131), // Rule ID 13552 //
     /* 632038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 632041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 632045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632085 */     // MIs[3] src0
     /* 632085 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632090 */     // MIs[3] src1
     /* 632090 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632097 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 632100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 632109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 632116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632129 */     GIR_RootConstrainSelectedInstOperands,
     /* 632130 */     // GIR_Coverage, 13552,
     /* 632130 */     GIR_EraseRootFromParent_Done,
     /* 632131 */   // Label 8038: @632131
     /* 632131 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(632229), // Rule ID 13553 //
     /* 632136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 632139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 632143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632183 */     // MIs[3] src1
     /* 632183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632188 */     // MIs[3] src0
     /* 632188 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632193 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632195 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 632198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 632207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 632214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632227 */     GIR_RootConstrainSelectedInstOperands,
     /* 632228 */     // GIR_Coverage, 13553,
     /* 632228 */     GIR_EraseRootFromParent_Done,
     /* 632229 */   // Label 8039: @632229
     /* 632229 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(632327), // Rule ID 13556 //
     /* 632234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 632237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 632241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632269 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632281 */     // MIs[3] src0
     /* 632281 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632286 */     // MIs[3] src1
     /* 632286 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632293 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 632296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 632305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 632312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632325 */     GIR_RootConstrainSelectedInstOperands,
     /* 632326 */     // GIR_Coverage, 13556,
     /* 632326 */     GIR_EraseRootFromParent_Done,
     /* 632327 */   // Label 8040: @632327
     /* 632327 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(632425), // Rule ID 13557 //
     /* 632332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 632335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 632339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632379 */     // MIs[3] src1
     /* 632379 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632384 */     // MIs[3] src0
     /* 632384 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632389 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632391 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrcT_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 632394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 632403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 632410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632423 */     GIR_RootConstrainSelectedInstOperands,
     /* 632424 */     // GIR_Coverage, 13557,
     /* 632424 */     GIR_EraseRootFromParent_Done,
     /* 632425 */   // Label 8041: @632425
     /* 632425 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(632523), // Rule ID 13612 //
     /* 632430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 632433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632465 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632469 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632473 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632477 */     // MIs[3] src0
     /* 632477 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632482 */     // MIs[3] src1
     /* 632482 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632487 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632489 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 632492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 632501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 632508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632521 */     GIR_RootConstrainSelectedInstOperands,
     /* 632522 */     // GIR_Coverage, 13612,
     /* 632522 */     GIR_EraseRootFromParent_Done,
     /* 632523 */   // Label 8042: @632523
     /* 632523 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(632621), // Rule ID 13613 //
     /* 632528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 632531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632563 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632567 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632571 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632575 */     // MIs[3] src1
     /* 632575 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632580 */     // MIs[3] src0
     /* 632580 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632585 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632587 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 632590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 632599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 632606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632619 */     GIR_RootConstrainSelectedInstOperands,
     /* 632620 */     // GIR_Coverage, 13613,
     /* 632620 */     GIR_EraseRootFromParent_Done,
     /* 632621 */   // Label 8043: @632621
     /* 632621 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(632719), // Rule ID 13616 //
     /* 632626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 632629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632673 */     // MIs[3] src0
     /* 632673 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632678 */     // MIs[3] src1
     /* 632678 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632683 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632685 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 632688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 632697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 632704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632717 */     GIR_RootConstrainSelectedInstOperands,
     /* 632718 */     // GIR_Coverage, 13616,
     /* 632718 */     GIR_EraseRootFromParent_Done,
     /* 632719 */   // Label 8044: @632719
     /* 632719 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(632817), // Rule ID 13617 //
     /* 632724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 632727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 632743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 632747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 632751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 632759 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s16,
     /* 632763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 632767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632771 */     // MIs[3] src1
     /* 632771 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 632776 */     // MIs[3] src0
     /* 632776 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 632781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632783 */     // (umax:{ *:[i16] } (umin:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0), (umin:{ *:[i16] } i16:{ *:[i16] }:$src2, (umax:{ *:[i16] } i16:{ *:[i16] }:$src1, i16:{ *:[i16] }:$src0)))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src0, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src1, 0:{ *:[i32] }, VSrc_b16:{ *:[i16] }:$src2, 0:{ *:[i1] })
     /* 632783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 632786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 632795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 632802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 632809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632815 */     GIR_RootConstrainSelectedInstOperands,
     /* 632816 */     // GIR_Coverage, 13617,
     /* 632816 */     GIR_EraseRootFromParent_Done,
     /* 632817 */   // Label 8045: @632817
     /* 632817 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(632873), // Rule ID 894 //
     /* 632822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 632825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 632829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 632836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 632843 */     // (umax:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1)
     /* 632843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U16_t16_e64),
     /* 632846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 632853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 632858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 632863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 632868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 632871 */     GIR_RootConstrainSelectedInstOperands,
     /* 632872 */     // GIR_Coverage, 894,
     /* 632872 */     GIR_EraseRootFromParent_Done,
     /* 632873 */   // Label 8046: @632873
     /* 632873 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(632896), // Rule ID 893 //
     /* 632878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 632881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632885 */     // (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MAX_U16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 632885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U16_e64),
     /* 632890 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 632894 */     GIR_RootConstrainSelectedInstOperands,
     /* 632895 */     // GIR_Coverage, 893,
     /* 632895 */     GIR_Done,
     /* 632896 */   // Label 8047: @632896
     /* 632896 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(632919), // Rule ID 895 //
     /* 632901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 632904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632908 */     // (umax:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)  =>  (V_MAX_U16_fake16_e64:{ *:[i16] } i16:{ *:[i16] }:$src0, i16:{ *:[i16] }:$src1)
     /* 632908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U16_fake16_e64),
     /* 632913 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 632917 */     GIR_RootConstrainSelectedInstOperands,
     /* 632918 */     // GIR_Coverage, 895,
     /* 632918 */     GIR_Done,
     /* 632919 */   // Label 8048: @632919
     /* 632919 */   GIM_Reject,
     /* 632920 */ // Label 7997: @632920
     /* 632920 */ GIM_Reject,
     /* 632921 */ // Label 7994: @632921
     /* 632921 */ GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(634365),
     /* 632926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 632929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 632932 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(633012), // Rule ID 11481 //
     /* 632937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 632941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 632945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 632953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 632957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 632961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 632965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 632969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 632973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 632977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 632981 */     // MIs[3] src0
     /* 632981 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 632986 */     // MIs[3] src1
     /* 632986 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 632991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 632993 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 632993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 632996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 632998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 633002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 633006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 633010 */     GIR_RootConstrainSelectedInstOperands,
     /* 633011 */     // GIR_Coverage, 11481,
     /* 633011 */     GIR_EraseRootFromParent_Done,
     /* 633012 */   // Label 8050: @633012
     /* 633012 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(633092), // Rule ID 11482 //
     /* 633017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 633041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633061 */     // MIs[3] src1
     /* 633061 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633066 */     // MIs[3] src0
     /* 633066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633071 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633073 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 633082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 633086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 633090 */     GIR_RootConstrainSelectedInstOperands,
     /* 633091 */     // GIR_Coverage, 11482,
     /* 633091 */     GIR_EraseRootFromParent_Done,
     /* 633092 */   // Label 8051: @633092
     /* 633092 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(633172), // Rule ID 11483 //
     /* 633097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 633121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633141 */     // MIs[3] src0
     /* 633141 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633146 */     // MIs[3] src1
     /* 633146 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633153 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 633162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 633166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 633170 */     GIR_RootConstrainSelectedInstOperands,
     /* 633171 */     // GIR_Coverage, 11483,
     /* 633171 */     GIR_EraseRootFromParent_Done,
     /* 633172 */   // Label 8052: @633172
     /* 633172 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(633252), // Rule ID 11484 //
     /* 633177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 633201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633221 */     // MIs[3] src1
     /* 633221 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633226 */     // MIs[3] src0
     /* 633226 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633231 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633233 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 633242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 633246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /* 633250 */     GIR_RootConstrainSelectedInstOperands,
     /* 633251 */     // GIR_Coverage, 11484,
     /* 633251 */     GIR_EraseRootFromParent_Done,
     /* 633252 */   // Label 8053: @633252
     /* 633252 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(633332), // Rule ID 11485 //
     /* 633257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 633281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633301 */     // MIs[3] src0
     /* 633301 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633306 */     // MIs[3] src1
     /* 633306 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633313 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 633322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 633326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 633330 */     GIR_RootConstrainSelectedInstOperands,
     /* 633331 */     // GIR_Coverage, 11485,
     /* 633331 */     GIR_EraseRootFromParent_Done,
     /* 633332 */   // Label 8054: @633332
     /* 633332 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(633412), // Rule ID 11486 //
     /* 633337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 633361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633381 */     // MIs[3] src1
     /* 633381 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633386 */     // MIs[3] src0
     /* 633386 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633391 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633393 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 633402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src1
     /* 633406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 633410 */     GIR_RootConstrainSelectedInstOperands,
     /* 633411 */     // GIR_Coverage, 11486,
     /* 633411 */     GIR_EraseRootFromParent_Done,
     /* 633412 */   // Label 8055: @633412
     /* 633412 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(633492), // Rule ID 11487 //
     /* 633417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 633441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633461 */     // MIs[3] src0
     /* 633461 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633466 */     // MIs[3] src1
     /* 633466 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633473 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 633482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 633486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 633490 */     GIR_RootConstrainSelectedInstOperands,
     /* 633491 */     // GIR_Coverage, 11487,
     /* 633491 */     GIR_EraseRootFromParent_Done,
     /* 633492 */   // Label 8056: @633492
     /* 633492 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(633572), // Rule ID 11488 //
     /* 633497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 633521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633529 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633533 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 633537 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633541 */     // MIs[3] src1
     /* 633541 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /* 633546 */     // MIs[3] src0
     /* 633546 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/2,
     /* 633551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633553 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)), (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src0
     /* 633562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /* 633566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /* 633570 */     GIR_RootConstrainSelectedInstOperands,
     /* 633571 */     // GIR_Coverage, 11488,
     /* 633571 */     GIR_EraseRootFromParent_Done,
     /* 633572 */   // Label 8057: @633572
     /* 633572 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(633652), // Rule ID 7782 //
     /* 633577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 633601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633609 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 633617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633621 */     // MIs[3] src0
     /* 633621 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 633626 */     // MIs[3] src1
     /* 633626 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 633631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633633 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 633642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 633646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 633650 */     GIR_RootConstrainSelectedInstOperands,
     /* 633651 */     // GIR_Coverage, 7782,
     /* 633651 */     GIR_EraseRootFromParent_Done,
     /* 633652 */   // Label 8058: @633652
     /* 633652 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(633732), // Rule ID 11474 //
     /* 633657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 633681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 633697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633701 */     // MIs[3] src1
     /* 633701 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 633706 */     // MIs[3] src0
     /* 633706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 633711 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633713 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 633722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 633726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 633730 */     GIR_RootConstrainSelectedInstOperands,
     /* 633731 */     // GIR_Coverage, 11474,
     /* 633731 */     GIR_EraseRootFromParent_Done,
     /* 633732 */   // Label 8059: @633732
     /* 633732 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(633812), // Rule ID 11477 //
     /* 633737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 633761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 633777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633781 */     // MIs[3] src0
     /* 633781 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 633786 */     // MIs[3] src1
     /* 633786 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 633791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633793 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 633802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 633806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 633810 */     GIR_RootConstrainSelectedInstOperands,
     /* 633811 */     // GIR_Coverage, 11477,
     /* 633811 */     GIR_EraseRootFromParent_Done,
     /* 633812 */   // Label 8060: @633812
     /* 633812 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(633892), // Rule ID 11478 //
     /* 633817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 633841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633849 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 633857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633861 */     // MIs[3] src1
     /* 633861 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 633866 */     // MIs[3] src0
     /* 633866 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 633871 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633873 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src2))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 633882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 633886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // src2
     /* 633890 */     GIR_RootConstrainSelectedInstOperands,
     /* 633891 */     // GIR_Coverage, 11478,
     /* 633891 */     GIR_EraseRootFromParent_Done,
     /* 633892 */   // Label 8061: @633892
     /* 633892 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(633972), // Rule ID 11475 //
     /* 633897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 633921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 633929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 633933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 633937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 633941 */     // MIs[3] src0
     /* 633941 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 633946 */     // MIs[3] src1
     /* 633946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 633951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 633953 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 633953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 633956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 633958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 633962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 633966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 633970 */     GIR_RootConstrainSelectedInstOperands,
     /* 633971 */     // GIR_Coverage, 11475,
     /* 633971 */     GIR_EraseRootFromParent_Done,
     /* 633972 */   // Label 8062: @633972
     /* 633972 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(634052), // Rule ID 11476 //
     /* 633977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 633981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 633985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 633989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 633993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 633997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 634001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 634009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 634013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 634017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 634021 */     // MIs[3] src1
     /* 634021 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 634026 */     // MIs[3] src0
     /* 634026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 634031 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 634033 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1), (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 634033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 634036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 634042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 634046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 634050 */     GIR_RootConstrainSelectedInstOperands,
     /* 634051 */     // GIR_Coverage, 11476,
     /* 634051 */     GIR_EraseRootFromParent_Done,
     /* 634052 */   // Label 8063: @634052
     /* 634052 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(634132), // Rule ID 11479 //
     /* 634057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 634065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 634073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 634077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 634081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 634089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 634093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 634097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 634101 */     // MIs[3] src0
     /* 634101 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 634106 */     // MIs[3] src1
     /* 634106 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 634111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 634113 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 634113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 634116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 634122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 634126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 634130 */     GIR_RootConstrainSelectedInstOperands,
     /* 634131 */     // GIR_Coverage, 11479,
     /* 634131 */     GIR_EraseRootFromParent_Done,
     /* 634132 */   // Label 8064: @634132
     /* 634132 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(634212), // Rule ID 11480 //
     /* 634137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 634145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 634153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 634157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 634161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 634169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 634173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 634177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_UMAX),
     /* 634181 */     // MIs[3] src1
     /* 634181 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 634186 */     // MIs[3] src0
     /* 634186 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 634191 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 634193 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0), (umin:{ *:[i32] } i32:{ *:[i32] }:$src2, (umax:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src0)))  =>  (V_MED3_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 634193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 634196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src0
     /* 634202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 634206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src2
     /* 634210 */     GIR_RootConstrainSelectedInstOperands,
     /* 634211 */     // GIR_Coverage, 11480,
     /* 634211 */     GIR_EraseRootFromParent_Done,
     /* 634212 */   // Label 8065: @634212
     /* 634212 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(634265), // Rule ID 7916 //
     /* 634217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 634220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 634228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 634236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 634240 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 634242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35337),
     /* 634246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 634248 */     // (umax:{ *:[i32] } (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_umin_oneuse>>, i32:{ *:[i32] }:$src2)<<P:Predicate_anonymous_35337>>  =>  (V_MINMAX_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 634248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_U32_e64),
     /* 634251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 634257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 634261 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 634263 */     GIR_RootConstrainSelectedInstOperands,
     /* 634264 */     // GIR_Coverage, 7916,
     /* 634264 */     GIR_EraseRootFromParent_Done,
     /* 634265 */   // Label 8066: @634265
     /* 634265 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(634318), // Rule ID 13442 //
     /* 634270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX11Plus),
     /* 634273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 634281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_UMIN),
     /* 634285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 634289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 634293 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 634295 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35337),
     /* 634299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 634301 */     // (umax:{ *:[i32] } i32:{ *:[i32] }:$src2, (umin:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_umin_oneuse>>)<<P:Predicate_anonymous_35337>>  =>  (V_MINMAX_U32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$src0, VSrc_b32:{ *:[i32] }:$src1, VSrc_b32:{ *:[i32] }:$src2)
     /* 634301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MINMAX_U32_e64),
     /* 634304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 634310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 634314 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 634316 */     GIR_RootConstrainSelectedInstOperands,
     /* 634317 */     // GIR_Coverage, 13442,
     /* 634317 */     GIR_EraseRootFromParent_Done,
     /* 634318 */   // Label 8067: @634318
     /* 634318 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(634344), // Rule ID 50 //
     /* 634323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13762),
     /* 634331 */     // (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)<<P:Predicate_anonymous_13762>>  =>  (S_MAX_U32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 634331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MAX_U32),
     /* 634336 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 634342 */     GIR_RootConstrainSelectedInstOperands,
     /* 634343 */     // GIR_Coverage, 50,
     /* 634343 */     GIR_Done,
     /* 634344 */   // Label 8068: @634344
     /* 634344 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(634364), // Rule ID 809 //
     /* 634349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634353 */     // (umax:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_MAX_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 634353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_U32_e64),
     /* 634358 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 634362 */     GIR_RootConstrainSelectedInstOperands,
     /* 634363 */     // GIR_Coverage, 809,
     /* 634363 */     GIR_Done,
     /* 634364 */   // Label 8069: @634364
     /* 634364 */   GIM_Reject,
     /* 634365 */ // Label 8049: @634365
     /* 634365 */ GIM_Reject,
     /* 634366 */ // Label 7995: @634366
     /* 634366 */ GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(634437), // Rule ID 1105 //
     /* 634371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 634374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 634377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 634388 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 634395 */   // (umax:{ *:[v2i16] } (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MAX_U16:{ *:[v2i16] } i32:{ *:[i32] }:$src0_modifiers, v2i16:{ *:[v2i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2i16:{ *:[v2i16] }:$src1)
     /* 634395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_U16),
     /* 634398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 634405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 634410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 634415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 634420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634435 */   GIR_RootConstrainSelectedInstOperands,
     /* 634436 */   // GIR_Coverage, 1105,
     /* 634436 */   GIR_EraseRootFromParent_Done,
     /* 634437 */ // Label 8070: @634437
     /* 634437 */ GIM_Reject,
     /* 634438 */ // Label 7996: @634438
     /* 634438 */ GIM_Reject,
     /* 634439 */ // Label 94: @634439
     /* 634439 */ GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(634575),
     /* 634444 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 634447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 634450 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(634499), // Rule ID 7640 //
     /* 634455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAddNoCarryInsts),
     /* 634458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35125),
     /* 634466 */     // (abs:{ *:[i32] } i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_35125>>  =>  (V_MAX_I32_e64:{ *:[i32] } (V_SUB_U32_e32:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src), ?:{ *:[i32] }:$src)
     /* 634466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 634469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_U32_e32),
     /* 634473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 634478 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 634481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 634485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 634487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I32_e64),
     /* 634490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 634495 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 634497 */     GIR_RootConstrainSelectedInstOperands,
     /* 634498 */     // GIR_Coverage, 7640,
     /* 634498 */     GIR_EraseRootFromParent_Done,
     /* 634499 */   // Label 8072: @634499
     /* 634499 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(634525), // Rule ID 23 //
     /* 634504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634508 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13744),
     /* 634512 */     // (abs:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13744>>  =>  (S_ABS_I32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0)
     /* 634512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ABS_I32),
     /* 634517 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 634523 */     GIR_RootConstrainSelectedInstOperands,
     /* 634524 */     // GIR_Coverage, 23,
     /* 634524 */     GIR_Done,
     /* 634525 */   // Label 8073: @634525
     /* 634525 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(634574), // Rule ID 7639 //
     /* 634530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_35125),
     /* 634538 */     // (abs:{ *:[i32] } i32:{ *:[i32] }:$src)<<P:Predicate_anonymous_35125>>  =>  (V_MAX_I32_e64:{ *:[i32] } (V_SUB_CO_U32_e32:{ *:[i16] } 0:{ *:[i32] }, ?:{ *:[i32] }:$src), ?:{ *:[i32] }:$src)
     /* 634538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 634541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_CO_U32_e32),
     /* 634545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 634550 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 634553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 634557 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AMDGPU::VCC*/0,
     /* 634560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 634562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_I32_e64),
     /* 634565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 634570 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 634572 */     GIR_RootConstrainSelectedInstOperands,
     /* 634573 */     // GIR_Coverage, 7639,
     /* 634573 */     GIR_EraseRootFromParent_Done,
     /* 634574 */   // Label 8074: @634574
     /* 634574 */   GIM_Reject,
     /* 634575 */ // Label 8071: @634575
     /* 634575 */ GIM_Reject,
     /* 634576 */ // Label 95: @634576
     /* 634576 */ GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(634609),
     /* 634581 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 634584 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(634596), // Rule ID 179 //
     /* 634589 */     // (br (bb:{ *:[Other] }):$simm16)  =>  (S_BRANCH (bb:{ *:[Other] }):$simm16)
     /* 634589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BRANCH),
     /* 634594 */     GIR_RootConstrainSelectedInstOperands,
     /* 634595 */     // GIR_Coverage, 179,
     /* 634595 */     GIR_Done,
     /* 634596 */   // Label 8076: @634596
     /* 634596 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(634608), // Rule ID 180 //
     /* 634601 */     // (br (bb:{ *:[Other] }):$simm16)  =>  (S_BRANCH_pad_s_nop (bb:{ *:[Other] }):$simm16)
     /* 634601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BRANCH_pad_s_nop),
     /* 634606 */     GIR_RootConstrainSelectedInstOperands,
     /* 634607 */     // GIR_Coverage, 180,
     /* 634607 */     GIR_Done,
     /* 634608 */   // Label 8077: @634608
     /* 634608 */   GIM_Reject,
     /* 634609 */ // Label 8075: @634609
     /* 634609 */ GIM_Reject,
     /* 634610 */ // Label 96: @634610
     /* 634610 */ GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(634708),
     /* 634615 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 634618 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8081*/ GIMT_Encode4(634707),
     /* 634629 */   /*GILLT_s32*//*Label 8079*/ GIMT_Encode4(634637),
     /* 634633 */   /*GILLT_s64*//*Label 8080*/ GIMT_Encode4(634686),
     /* 634637 */   // Label 8079: @634637
     /* 634637 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(634657), // Rule ID 10 //
     /* 634642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634646 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13739),
     /* 634650 */     // (cttz_zero_undef:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13739>>  =>  (S_FF1_I32_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 634650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FF1_I32_B32),
     /* 634655 */     GIR_RootConstrainSelectedInstOperands,
     /* 634656 */     // GIR_Coverage, 10,
     /* 634656 */     GIR_Done,
     /* 634657 */   // Label 8082: @634657
     /* 634657 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(634685), // Rule ID 685 //
     /* 634662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 634673 */     // (cttz_zero_undef:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_FFBL_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 634673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FFBL_B32_e64),
     /* 634676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 634683 */     GIR_RootConstrainSelectedInstOperands,
     /* 634684 */     // GIR_Coverage, 685,
     /* 634684 */     GIR_EraseRootFromParent_Done,
     /* 634685 */   // Label 8083: @634685
     /* 634685 */   GIM_Reject,
     /* 634686 */   // Label 8080: @634686
     /* 634686 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(634706), // Rule ID 8 //
     /* 634691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13739),
     /* 634699 */     // (cttz_zero_undef:{ *:[i32] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13739>>  =>  (S_FF1_I32_B64:{ *:[i32] } i64:{ *:[i64] }:$src0)
     /* 634699 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FF1_I32_B64),
     /* 634704 */     GIR_RootConstrainSelectedInstOperands,
     /* 634705 */     // GIR_Coverage, 8,
     /* 634705 */     GIR_Done,
     /* 634706 */   // Label 8084: @634706
     /* 634706 */   GIM_Reject,
     /* 634707 */   // Label 8081: @634707
     /* 634707 */   GIM_Reject,
     /* 634708 */ // Label 8078: @634708
     /* 634708 */ GIM_Reject,
     /* 634709 */ // Label 97: @634709
     /* 634709 */ GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(634810),
     /* 634714 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 634717 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8088*/ GIMT_Encode4(634778),
     /* 634728 */   /*GILLT_s32*//*Label 8086*/ GIMT_Encode4(634736),
     /* 634732 */   /*GILLT_s64*//*Label 8087*/ GIMT_Encode4(634757),
     /* 634736 */   // Label 8086: @634736
     /* 634736 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(634756), // Rule ID 12 //
     /* 634741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634745 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13740),
     /* 634749 */     // (ctlz_zero_undef:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13740>>  =>  (S_FLBIT_I32_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 634749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLBIT_I32_B32),
     /* 634754 */     GIR_RootConstrainSelectedInstOperands,
     /* 634755 */     // GIR_Coverage, 12,
     /* 634755 */     GIR_Done,
     /* 634756 */   // Label 8089: @634756
     /* 634756 */   GIM_Reject,
     /* 634757 */   // Label 8087: @634757
     /* 634757 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(634777), // Rule ID 14 //
     /* 634762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13740),
     /* 634770 */     // (ctlz_zero_undef:{ *:[i32] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13740>>  =>  (S_FLBIT_I32_B64:{ *:[i32] } i64:{ *:[i64] }:$src0)
     /* 634770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLBIT_I32_B64),
     /* 634775 */     GIR_RootConstrainSelectedInstOperands,
     /* 634776 */     // GIR_Coverage, 14,
     /* 634776 */     GIR_Done,
     /* 634777 */   // Label 8090: @634777
     /* 634777 */   GIM_Reject,
     /* 634778 */   // Label 8088: @634778
     /* 634778 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(634809), // Rule ID 683 //
     /* 634783 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 634786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 634797 */     // (ctlz_zero_undef:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_FFBH_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 634797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FFBH_U32_e64),
     /* 634800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 634807 */     GIR_RootConstrainSelectedInstOperands,
     /* 634808 */     // GIR_Coverage, 683,
     /* 634808 */     GIR_EraseRootFromParent_Done,
     /* 634809 */   // Label 8091: @634809
     /* 634809 */   GIM_Reject,
     /* 634810 */ // Label 8085: @634810
     /* 634810 */ GIM_Reject,
     /* 634811 */ // Label 98: @634811
     /* 634811 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8094*/ GIMT_Encode4(635025),
     /* 634822 */ /*GILLT_s32*//*Label 8092*/ GIMT_Encode4(634830),
     /* 634826 */ /*GILLT_s64*//*Label 8093*/ GIMT_Encode4(634917),
     /* 634830 */ // Label 8092: @634830
     /* 634830 */ GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(634859), // Rule ID 6 //
     /* 634835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 634838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634842 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13738),
     /* 634846 */   // (ctpop:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13738>>  =>  (S_BCNT1_I32_B32:{ *:[i32] }:{ *:[i1] } i32:{ *:[i32] }:$src0)
     /* 634846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BCNT1_I32_B32),
     /* 634851 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 634857 */   GIR_RootConstrainSelectedInstOperands,
     /* 634858 */   // GIR_Coverage, 6,
     /* 634858 */   GIR_Done,
     /* 634859 */ // Label 8095: @634859
     /* 634859 */ GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(634888), // Rule ID 7 //
     /* 634864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 634867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634871 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13738),
     /* 634875 */   // (ctpop:{ *:[i32] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13738>>  =>  (S_BCNT1_I32_B64:{ *:[i32] }:{ *:[i1] } i64:{ *:[i64] }:$src0)
     /* 634875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BCNT1_I32_B64),
     /* 634880 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AMDGPU::SCC), GIMT_Encode2(RegState::Dead),
     /* 634886 */   GIR_RootConstrainSelectedInstOperands,
     /* 634887 */   // GIR_Coverage, 7,
     /* 634887 */   GIR_Done,
     /* 634888 */ // Label 8096: @634888
     /* 634888 */ GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(634916), // Rule ID 7085 //
     /* 634893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 634896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 634900 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_34383),
     /* 634904 */   // (ctpop:{ *:[i32] } i32:{ *:[i32] }:$popcnt)<<P:Predicate_anonymous_34383>>  =>  (V_BCNT_U32_B32_e64:{ *:[i32] } VSrc_b32:{ *:[i32] }:$popcnt, 0:{ *:[i32] })
     /* 634904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BCNT_U32_B32_e64),
     /* 634907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 634909 */   GIR_RootToRootCopy, /*OpIdx*/1, // popcnt
     /* 634911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 634914 */   GIR_RootConstrainSelectedInstOperands,
     /* 634915 */   // GIR_Coverage, 7085,
     /* 634915 */   GIR_EraseRootFromParent_Done,
     /* 634916 */ // Label 8097: @634916
     /* 634916 */ GIM_Reject,
     /* 634917 */ // Label 8093: @634917
     /* 634917 */ GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(635024), // Rule ID 1876 //
     /* 634922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 634925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 634929 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13738),
     /* 634933 */   // (ctpop:{ *:[i64] } i64:{ *:[i64] }:$src)<<P:Predicate_anonymous_13738>>  =>  (REG_SEQUENCE:{ *:[i64] } SReg_64:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[i32] } (S_BCNT1_I32_B64:{ *:[i1] }:{ *:[i1] } ?:{ *:[i64] }:$src), SReg_32:{ *:[i32] }), sub0:{ *:[i32] }, (S_MOV_B32:{ *:[i1] } 0:{ *:[i32] }), sub1:{ *:[i32] })
     /* 634933 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s1,
     /* 634936 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 634940 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 634945 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 634948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 634950 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s1,
     /* 634953 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_BCNT1_I32_B64),
     /* 634957 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 634962 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 634966 */   GIR_SetImplicitDefDead, /*InsnID*/2, /*OpIdx for AMDGPU::SCC*/0,
     /* 634969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 634971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 634974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 634978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 634983 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 634986 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 634991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 634994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 634996 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 634999 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 635002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 635005 */   GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 635008 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 635013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::SReg_32_XEXEC_HI_and_SReg_32_XM0RegClassID),
     /* 635018 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::SReg_32_XM0RegClassID),
     /* 635023 */   // GIR_Coverage, 1876,
     /* 635023 */   GIR_EraseRootFromParent_Done,
     /* 635024 */ // Label 8098: @635024
     /* 635024 */ GIM_Reject,
     /* 635025 */ // Label 8094: @635025
     /* 635025 */ GIM_Reject,
     /* 635026 */ // Label 99: @635026
     /* 635026 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 8103*/ GIMT_Encode4(636774),
     /* 635037 */ /*GILLT_s16*//*Label 8099*/ GIMT_Encode4(635053),
     /* 635041 */ /*GILLT_s32*//*Label 8100*/ GIMT_Encode4(635265),
     /* 635045 */ /*GILLT_s64*//*Label 8101*/ GIMT_Encode4(635552),
     /* 635049 */ /*GILLT_v2s16*//*Label 8102*/ GIMT_Encode4(636719),
     /* 635053 */ // Label 8099: @635053
     /* 635053 */ GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(635264),
     /* 635058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 635061 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(635112), // Rule ID 7661 //
     /* 635066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX8Plus),
     /* 635069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635073 */     // (bswap:{ *:[i16] } i16:{ *:[i16] }:$a)  =>  (V_PERM_B32_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] }))
     /* 635073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635085 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(202113025),
     /* 635095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 635102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 635105 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 635107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635110 */     GIR_RootConstrainSelectedInstOperands,
     /* 635111 */     // GIR_Coverage, 7661,
     /* 635111 */     GIR_EraseRootFromParent_Done,
     /* 635112 */   // Label 8105: @635112
     /* 635112 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(635163), // Rule ID 7663 //
     /* 635117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX8Plus),
     /* 635120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635124 */     // (bswap:{ *:[i16] } i16:{ *:[i16] }:$a)  =>  (V_PERM_B32_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i16] }:$a, (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] }))
     /* 635124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635136 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(202113025),
     /* 635146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 635153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 635156 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 635158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635161 */     GIR_RootConstrainSelectedInstOperands,
     /* 635162 */     // GIR_Coverage, 7663,
     /* 635162 */     GIR_EraseRootFromParent_Done,
     /* 635163 */   // Label 8106: @635163
     /* 635163 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(635263), // Rule ID 7665 //
     /* 635168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX8Plus),
     /* 635171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 635175 */     // (bswap:{ *:[i16] } i16:{ *:[i16] }:$a)  =>  (EXTRACT_SUBREG:{ *:[i16] } (V_PERM_B32_e64:{ *:[i16] } 0:{ *:[i32] }, (COPY:{ *:[i16] } VGPR_16:{ *:[i16] }:$a), (S_MOV_B32:{ *:[i16] } 202113025:{ *:[i32] })), lo16:{ *:[i32] })
     /* 635175 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 635178 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635182 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635187 */     GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(202113025),
     /* 635197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 635199 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 635202 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635206 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635211 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 635217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635229 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 635232 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 635235 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 635238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 635245 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::lo16),
     /* 635252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 635257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635262 */     // GIR_Coverage, 7665,
     /* 635262 */     GIR_EraseRootFromParent_Done,
     /* 635263 */   // Label 8107: @635263
     /* 635263 */   GIM_Reject,
     /* 635264 */ // Label 8104: @635264
     /* 635264 */ GIM_Reject,
     /* 635265 */ // Label 8100: @635265
     /* 635265 */ GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(635551),
     /* 635270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 635273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635277 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(635324), // Rule ID 7659 //
     /* 635282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 635285 */     // (bswap:{ *:[i32] } i32:{ *:[i32] }:$a)  =>  (V_PERM_B32_e64:{ *:[i32] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$a, (S_MOV_B32:{ *:[i16] } 66051:{ *:[i32] }))
     /* 635285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635297 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(66051),
     /* 635307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 635314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 635317 */     GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 635319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635322 */     GIR_RootConstrainSelectedInstOperands,
     /* 635323 */     // GIR_Coverage, 7659,
     /* 635323 */     GIR_EraseRootFromParent_Done,
     /* 635324 */   // Label 8109: @635324
     /* 635324 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(635422), // Rule ID 7655 //
     /* 635329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 635332 */     // (bswap:{ *:[i32] } i32:{ *:[i32] }:$a)  =>  (V_BFI_B32_e64:{ *:[i32] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i32] }:$a, VSrc_b32:{ *:[i32] }:$a, 24:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } VSrc_b32:{ *:[i32] }:$a, VSrc_b32:{ *:[i32] }:$a, 8:{ *:[i32] }))
     /* 635332 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 635335 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 635339 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635344 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635348 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635352 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/8,
     /* 635355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 635357 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 635360 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 635364 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635369 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635373 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635377 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/24,
     /* 635380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 635382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635394 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(16711935),
     /* 635404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 635409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 635411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 635417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 635420 */     GIR_RootConstrainSelectedInstOperands,
     /* 635421 */     // GIR_Coverage, 7655,
     /* 635421 */     GIR_EraseRootFromParent_Done,
     /* 635422 */   // Label 8110: @635422
     /* 635422 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(635550), // Rule ID 7656 //
     /* 635427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 635430 */     // (bswap:{ *:[i32] } i32:{ *:[i32] }:$a)  =>  (V_BFI_B32_e64:{ *:[i32] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$a, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$a, 0:{ *:[i32] }, 24:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$a, 0:{ *:[i32] }, VSrc_b32:{ *:[i32] }:$a, 0:{ *:[i32] }, 8:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] }))
     /* 635430 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 635433 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 635437 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635442 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 635445 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635449 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 635452 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635456 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 635459 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/8,
     /* 635462 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 635465 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 635468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 635470 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 635473 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 635477 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635482 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 635485 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635489 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 635492 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // a
     /* 635496 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 635499 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/24,
     /* 635502 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 635505 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 635508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 635510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635522 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(16711935),
     /* 635532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 635537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 635539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 635545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 635548 */     GIR_RootConstrainSelectedInstOperands,
     /* 635549 */     // GIR_Coverage, 7656,
     /* 635549 */     GIR_EraseRootFromParent_Done,
     /* 635550 */   // Label 8111: @635550
     /* 635550 */   GIM_Reject,
     /* 635551 */ // Label 8108: @635551
     /* 635551 */ GIM_Reject,
     /* 635552 */ // Label 8101: @635552
     /* 635552 */ GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(636718),
     /* 635557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 635560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635564 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(635755), // Rule ID 7660 //
     /* 635569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 635572 */     // (bswap:{ *:[i64] } i64:{ *:[i64] }:$a)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_PERM_B32_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i16] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 66051:{ *:[i32] })), sub0:{ *:[i32] }, (V_PERM_B32_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i16] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), (S_MOV_B32:{ *:[i16] } 66051:{ *:[i32] })), sub1:{ *:[i32] })
     /* 635572 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s16,
     /* 635575 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635579 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635584 */     GIR_AddImm, /*InsnID*/6, /*Imm*/GIMT_Encode8(66051),
     /* 635594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 635596 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 635599 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635603 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635608 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 635614 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635619 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635624 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 635627 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635631 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635636 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 635639 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 635642 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/5,
     /* 635645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 635647 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 635650 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635654 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635659 */     GIR_AddImm, /*InsnID*/3, /*Imm*/GIMT_Encode8(66051),
     /* 635669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 635671 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 635674 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635678 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635683 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 635689 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635694 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 635702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 635706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635711 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 635714 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 635717 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 635720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 635722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 635725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 635727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 635730 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 635733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 635736 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 635739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635754 */     // GIR_Coverage, 7660,
     /* 635754 */     GIR_EraseRootFromParent_Done,
     /* 635755 */   // Label 8113: @635755
     /* 635755 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(636206), // Rule ID 7657 //
     /* 635760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 635763 */     // (bswap:{ *:[i64] } i64:{ *:[i64] }:$a)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 24:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 8:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 24:{ *:[i32] }), (V_ALIGNBIT_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 8:{ *:[i32] })), sub1:{ *:[i32] })
     /* 635763 */     GIR_MakeTempReg, /*TempRegID*/15, /*TypeID*/GILLT_s32,
     /* 635766 */     GIR_BuildMI, /*InsnID*/16, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635770 */     GIR_AddTempRegister, /*InsnID*/16, /*TempRegID*/15, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635775 */     GIR_CopySubReg, /*NewInsnID*/16, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 635781 */     GIR_ConstrainOperandRC, /*InsnID*/16, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635786 */     GIR_ConstrainOperandRC, /*InsnID*/16, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635791 */     GIR_MakeTempReg, /*TempRegID*/14, /*TypeID*/GILLT_s32,
     /* 635794 */     GIR_BuildMI, /*InsnID*/15, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635798 */     GIR_AddTempRegister, /*InsnID*/15, /*TempRegID*/14, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635803 */     GIR_CopySubReg, /*NewInsnID*/15, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 635809 */     GIR_ConstrainOperandRC, /*InsnID*/15, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635814 */     GIR_ConstrainOperandRC, /*InsnID*/15, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635819 */     GIR_MakeTempReg, /*TempRegID*/13, /*TypeID*/GILLT_s16,
     /* 635822 */     GIR_BuildMI, /*InsnID*/14, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 635826 */     GIR_AddTempRegister, /*InsnID*/14, /*TempRegID*/13, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635831 */     GIR_AddSimpleTempRegister, /*InsnID*/14, /*TempRegID*/14,
     /* 635834 */     GIR_AddSimpleTempRegister, /*InsnID*/14, /*TempRegID*/15,
     /* 635837 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/8,
     /* 635840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/14,
     /* 635842 */     GIR_MakeTempReg, /*TempRegID*/12, /*TypeID*/GILLT_s32,
     /* 635845 */     GIR_BuildMI, /*InsnID*/13, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635849 */     GIR_AddTempRegister, /*InsnID*/13, /*TempRegID*/12, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635854 */     GIR_CopySubReg, /*NewInsnID*/13, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 635860 */     GIR_ConstrainOperandRC, /*InsnID*/13, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635865 */     GIR_ConstrainOperandRC, /*InsnID*/13, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635870 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /* 635873 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635877 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635882 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 635888 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635893 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635898 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s16,
     /* 635901 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 635905 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635910 */     GIR_AddSimpleTempRegister, /*InsnID*/11, /*TempRegID*/11,
     /* 635913 */     GIR_AddSimpleTempRegister, /*InsnID*/11, /*TempRegID*/12,
     /* 635916 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/24,
     /* 635919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 635921 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s16,
     /* 635924 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 635928 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635933 */     GIR_AddImm, /*InsnID*/10, /*Imm*/GIMT_Encode8(16711935),
     /* 635943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 635945 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s16,
     /* 635948 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 635952 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635957 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 635960 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 635963 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/13,
     /* 635966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 635968 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /* 635971 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 635975 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 635980 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 635986 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 635991 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 635996 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /* 635999 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636003 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636008 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636014 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636019 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636024 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s16,
     /* 636027 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 636031 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636036 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 636039 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/7,
     /* 636042 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/8,
     /* 636045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 636047 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 636050 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636054 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636059 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636065 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636070 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636075 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 636078 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636082 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636087 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636093 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636098 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636103 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 636106 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_e64),
     /* 636110 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636115 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 636118 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 636121 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/24,
     /* 636124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 636126 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 636129 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 636133 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636138 */     GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(16711935),
     /* 636148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 636150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 636153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 636157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636162 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 636165 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 636168 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /* 636171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 636173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 636176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 636178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 636181 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 636184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 636187 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 636190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636195 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636205 */     // GIR_Coverage, 7657,
     /* 636205 */     GIR_EraseRootFromParent_Done,
     /* 636206 */   // Label 8114: @636206
     /* 636206 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(636717), // Rule ID 7658 //
     /* 636211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 636214 */     // (bswap:{ *:[i64] } i64:{ *:[i64] }:$a)  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 0:{ *:[i32] }, 24:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] }), 0:{ *:[i32] }, 8:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFI_B32_e64:{ *:[i16] } (S_MOV_B32:{ *:[i16] } 16711935:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 0:{ *:[i32] }, 24:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] }), (V_ALIGNBIT_B32_fake16_e64:{ *:[i16] } 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 0:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] }), 0:{ *:[i32] }, 8:{ *:[i32] }, 0:{ *:[i1] }, 0:{ *:[i32] })), sub1:{ *:[i32] })
     /* 636214 */     GIR_MakeTempReg, /*TempRegID*/15, /*TypeID*/GILLT_s32,
     /* 636217 */     GIR_BuildMI, /*InsnID*/16, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636221 */     GIR_AddTempRegister, /*InsnID*/16, /*TempRegID*/15, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636226 */     GIR_CopySubReg, /*NewInsnID*/16, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 636232 */     GIR_ConstrainOperandRC, /*InsnID*/16, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636237 */     GIR_ConstrainOperandRC, /*InsnID*/16, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636242 */     GIR_MakeTempReg, /*TempRegID*/14, /*TypeID*/GILLT_s32,
     /* 636245 */     GIR_BuildMI, /*InsnID*/15, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636249 */     GIR_AddTempRegister, /*InsnID*/15, /*TempRegID*/14, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636254 */     GIR_CopySubReg, /*NewInsnID*/15, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 636260 */     GIR_ConstrainOperandRC, /*InsnID*/15, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636265 */     GIR_ConstrainOperandRC, /*InsnID*/15, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636270 */     GIR_MakeTempReg, /*TempRegID*/13, /*TypeID*/GILLT_s16,
     /* 636273 */     GIR_BuildMI, /*InsnID*/14, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 636277 */     GIR_AddTempRegister, /*InsnID*/14, /*TempRegID*/13, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636282 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/0,
     /* 636285 */     GIR_AddSimpleTempRegister, /*InsnID*/14, /*TempRegID*/14,
     /* 636288 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/0,
     /* 636291 */     GIR_AddSimpleTempRegister, /*InsnID*/14, /*TempRegID*/15,
     /* 636294 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/0,
     /* 636297 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/8,
     /* 636300 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/0,
     /* 636303 */     GIR_AddImm8, /*InsnID*/14, /*Imm*/0,
     /* 636306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/14,
     /* 636308 */     GIR_MakeTempReg, /*TempRegID*/12, /*TypeID*/GILLT_s32,
     /* 636311 */     GIR_BuildMI, /*InsnID*/13, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636315 */     GIR_AddTempRegister, /*InsnID*/13, /*TempRegID*/12, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636320 */     GIR_CopySubReg, /*NewInsnID*/13, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 636326 */     GIR_ConstrainOperandRC, /*InsnID*/13, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636331 */     GIR_ConstrainOperandRC, /*InsnID*/13, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636336 */     GIR_MakeTempReg, /*TempRegID*/11, /*TypeID*/GILLT_s32,
     /* 636339 */     GIR_BuildMI, /*InsnID*/12, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636343 */     GIR_AddTempRegister, /*InsnID*/12, /*TempRegID*/11, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636348 */     GIR_CopySubReg, /*NewInsnID*/12, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 636354 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636359 */     GIR_ConstrainOperandRC, /*InsnID*/12, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636364 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_s16,
     /* 636367 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 636371 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636376 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/0,
     /* 636379 */     GIR_AddSimpleTempRegister, /*InsnID*/11, /*TempRegID*/11,
     /* 636382 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/0,
     /* 636385 */     GIR_AddSimpleTempRegister, /*InsnID*/11, /*TempRegID*/12,
     /* 636388 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/0,
     /* 636391 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/24,
     /* 636394 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/0,
     /* 636397 */     GIR_AddImm8, /*InsnID*/11, /*Imm*/0,
     /* 636400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 636402 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_s16,
     /* 636405 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 636409 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636414 */     GIR_AddImm, /*InsnID*/10, /*Imm*/GIMT_Encode8(16711935),
     /* 636424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 636426 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_s16,
     /* 636429 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 636433 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636438 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 636441 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 636444 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/13,
     /* 636447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 636449 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_s32,
     /* 636452 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636456 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636461 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636467 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636472 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636477 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s32,
     /* 636480 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636484 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636489 */     GIR_CopySubReg, /*NewInsnID*/7, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636495 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636500 */     GIR_ConstrainOperandRC, /*InsnID*/7, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636505 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s16,
     /* 636508 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 636512 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636517 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/0,
     /* 636520 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /* 636523 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/0,
     /* 636526 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/7,
     /* 636529 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/0,
     /* 636532 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/8,
     /* 636535 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/0,
     /* 636538 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/0,
     /* 636541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 636543 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 636546 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636550 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636555 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636561 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636566 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636571 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 636574 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636578 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636583 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636589 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636594 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636599 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 636602 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_ALIGNBIT_B32_fake16_e64),
     /* 636606 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636611 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 636614 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 636617 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 636620 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 636623 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 636626 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/24,
     /* 636629 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 636632 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 636635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 636637 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 636640 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 636644 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636649 */     GIR_AddImm, /*InsnID*/2, /*Imm*/GIMT_Encode8(16711935),
     /* 636659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 636661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 636664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFI_B32_e64),
     /* 636668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636673 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 636676 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 636679 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /* 636682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 636684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 636687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 636689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 636692 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 636695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 636698 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 636701 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636711 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636716 */     // GIR_Coverage, 7658,
     /* 636716 */     GIR_EraseRootFromParent_Done,
     /* 636717 */   // Label 8115: @636717
     /* 636717 */   GIM_Reject,
     /* 636718 */ // Label 8112: @636718
     /* 636718 */ GIM_Reject,
     /* 636719 */ // Label 8102: @636719
     /* 636719 */ GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(636773), // Rule ID 7667 //
     /* 636724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX8Plus),
     /* 636727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 636730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636734 */   // (bswap:{ *:[v2i16] } v2i16:{ *:[v2i16] }:$a)  =>  (V_PERM_B32_e64:{ *:[v2i16] } 0:{ *:[i32] }, VSrc_b32:{ *:[v2i16] }:$a, (S_MOV_B32:{ *:[i16] } 33751041:{ *:[i32] }))
     /* 636734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 636737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 636741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636746 */   GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(33751041),
     /* 636756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 636758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PERM_B32_e64),
     /* 636761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 636763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 636766 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 636768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 636771 */   GIR_RootConstrainSelectedInstOperands,
     /* 636772 */   // GIR_Coverage, 7667,
     /* 636772 */   GIR_EraseRootFromParent_Done,
     /* 636773 */ // Label 8116: @636773
     /* 636773 */ GIM_Reject,
     /* 636774 */ // Label 8103: @636774
     /* 636774 */ GIM_Reject,
     /* 636775 */ // Label 100: @636775
     /* 636775 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8119*/ GIMT_Encode4(637022),
     /* 636786 */ /*GILLT_s32*//*Label 8117*/ GIMT_Encode4(636794),
     /* 636790 */ /*GILLT_s64*//*Label 8118*/ GIMT_Encode4(636856),
     /* 636794 */ // Label 8117: @636794
     /* 636794 */ GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(636855),
     /* 636799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 636802 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(636822), // Rule ID 4 //
     /* 636807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 636811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13737),
     /* 636815 */     // (bitreverse:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13737>>  =>  (S_BREV_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 636815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BREV_B32),
     /* 636820 */     GIR_RootConstrainSelectedInstOperands,
     /* 636821 */     // GIR_Coverage, 4,
     /* 636821 */     GIR_Done,
     /* 636822 */   // Label 8121: @636822
     /* 636822 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(636854), // Rule ID 682 //
     /* 636827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_18367),
     /* 636835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 636842 */     // (bitreverse:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))<<P:Predicate_anonymous_18367>>  =>  (V_BFREV_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 636842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFREV_B32_e64),
     /* 636845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 636847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 636852 */     GIR_RootConstrainSelectedInstOperands,
     /* 636853 */     // GIR_Coverage, 682,
     /* 636853 */     GIR_EraseRootFromParent_Done,
     /* 636854 */   // Label 8122: @636854
     /* 636854 */   GIM_Reject,
     /* 636855 */ // Label 8120: @636855
     /* 636855 */ GIM_Reject,
     /* 636856 */ // Label 8118: @636856
     /* 636856 */ GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(637021),
     /* 636861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 636864 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(636884), // Rule ID 5 //
     /* 636869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64RegClassID),
     /* 636873 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13737),
     /* 636877 */     // (bitreverse:{ *:[i64] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13737>>  =>  (S_BREV_B64:{ *:[i64] } i64:{ *:[i64] }:$src0)
     /* 636877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_BREV_B64),
     /* 636882 */     GIR_RootConstrainSelectedInstOperands,
     /* 636883 */     // GIR_Coverage, 5,
     /* 636883 */     GIR_Done,
     /* 636884 */   // Label 8124: @636884
     /* 636884 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(637020), // Rule ID 7668 //
     /* 636889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636893 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_18367),
     /* 636897 */     // (bitreverse:{ *:[i64] } i64:{ *:[i64] }:$a)<<P:Predicate_anonymous_18367>>  =>  (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, (V_BFREV_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub1:{ *:[i32] })), sub0:{ *:[i32] }, (V_BFREV_B32_e64:{ *:[i16] } (EXTRACT_SUBREG:{ *:[i32] } VReg_64:{ *:[i64] }:$a, sub0:{ *:[i32] })), sub1:{ *:[i32] })
     /* 636897 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 636900 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636904 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636909 */     GIR_CopySubReg, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // a
     /* 636915 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636920 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636925 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 636928 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFREV_B32_e64),
     /* 636932 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636937 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 636940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 636942 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 636945 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 636949 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636954 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // a
     /* 636960 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 636965 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 636970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 636973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_BFREV_B32_e64),
     /* 636977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 636982 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 636985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 636987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 636990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 636992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 636995 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/3,
     /* 636998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 637001 */     GIR_AddImm8, /*InsnID*/0, /*SubRegIndex*/11,
     /* 637004 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 637009 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637014 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637019 */     // GIR_Coverage, 7668,
     /* 637019 */     GIR_EraseRootFromParent_Done,
     /* 637020 */   // Label 8125: @637020
     /* 637020 */   GIM_Reject,
     /* 637021 */ // Label 8123: @637021
     /* 637021 */ GIM_Reject,
     /* 637022 */ // Label 8119: @637022
     /* 637022 */ GIM_Reject,
     /* 637023 */ // Label 101: @637023
     /* 637023 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 8129*/ GIMT_Encode4(637350),
     /* 637034 */ /*GILLT_s16*//*Label 8126*/ GIMT_Encode4(637046),
     /* 637038 */ /*GILLT_s32*//*Label 8127*/ GIMT_Encode4(637220),
     /* 637042 */ /*GILLT_s64*//*Label 8128*/ GIMT_Encode4(637300),
     /* 637046 */ // Label 8126: @637046
     /* 637046 */ GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(637219),
     /* 637051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 637054 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(637081), // Rule ID 37 //
     /* 637059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 637062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 637066 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13750),
     /* 637070 */     // (fceil:{ *:[f16] } f16:{ *:[f16] }:$src0)<<P:Predicate_anonymous_13750>>  =>  (S_CEIL_F16:{ *:[f16] } f16:{ *:[f16] }:$src0)
     /* 637070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CEIL_F16),
     /* 637075 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 637079 */     GIR_RootConstrainSelectedInstOperands,
     /* 637080 */     // GIR_Coverage, 37,
     /* 637080 */     GIR_Done,
     /* 637081 */   // Label 8131: @637081
     /* 637081 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(637127), // Rule ID 770 //
     /* 637086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 637089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637100 */     // (fceil:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CEIL_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CEIL_F16_e64),
     /* 637103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637125 */     GIR_RootConstrainSelectedInstOperands,
     /* 637126 */     // GIR_Coverage, 770,
     /* 637126 */     GIR_EraseRootFromParent_Done,
     /* 637127 */   // Label 8132: @637127
     /* 637127 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(637173), // Rule ID 772 //
     /* 637132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 637135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637146 */     // (fceil:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CEIL_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CEIL_F16_fake16_e64),
     /* 637149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637171 */     GIR_RootConstrainSelectedInstOperands,
     /* 637172 */     // GIR_Coverage, 772,
     /* 637172 */     GIR_EraseRootFromParent_Done,
     /* 637173 */   // Label 8133: @637173
     /* 637173 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(637218), // Rule ID 771 //
     /* 637178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 637181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 637185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 637192 */     // (fceil:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_CEIL_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 637192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CEIL_F16_t16_e64),
     /* 637195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637216 */     GIR_RootConstrainSelectedInstOperands,
     /* 637217 */     // GIR_Coverage, 771,
     /* 637217 */     GIR_EraseRootFromParent_Done,
     /* 637218 */   // Label 8134: @637218
     /* 637218 */   GIM_Reject,
     /* 637219 */ // Label 8130: @637219
     /* 637219 */ GIM_Reject,
     /* 637220 */ // Label 8127: @637220
     /* 637220 */ GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(637299),
     /* 637225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 637228 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(637255), // Rule ID 32 //
     /* 637233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 637236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 637240 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13750),
     /* 637244 */     // (fceil:{ *:[f32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13750>>  =>  (S_CEIL_F32:{ *:[f32] } f32:{ *:[f32] }:$src0)
     /* 637244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_CEIL_F32),
     /* 637249 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 637253 */     GIR_RootConstrainSelectedInstOperands,
     /* 637254 */     // GIR_Coverage, 32,
     /* 637254 */     GIR_Done,
     /* 637255 */   // Label 8136: @637255
     /* 637255 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(637298), // Rule ID 660 //
     /* 637260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637271 */     // (fceil:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CEIL_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CEIL_F32_e64),
     /* 637274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637296 */     GIR_RootConstrainSelectedInstOperands,
     /* 637297 */     // GIR_Coverage, 660,
     /* 637297 */     GIR_EraseRootFromParent_Done,
     /* 637298 */   // Label 8137: @637298
     /* 637298 */   GIM_Reject,
     /* 637299 */ // Label 8135: @637299
     /* 637299 */ GIM_Reject,
     /* 637300 */ // Label 8128: @637300
     /* 637300 */ GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(637349), // Rule ID 704 //
     /* 637305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Plus),
     /* 637308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 637311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 637315 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637322 */   // (fceil:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CEIL_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CEIL_F64_e64),
     /* 637325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637347 */   GIR_RootConstrainSelectedInstOperands,
     /* 637348 */   // GIR_Coverage, 704,
     /* 637348 */   GIR_EraseRootFromParent_Done,
     /* 637349 */ // Label 8138: @637349
     /* 637349 */ GIM_Reject,
     /* 637350 */ // Label 8129: @637350
     /* 637350 */ GIM_Reject,
     /* 637351 */ // Label 102: @637351
     /* 637351 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 8141*/ GIMT_Encode4(637642),
     /* 637362 */ /*GILLT_s16*//*Label 8139*/ GIMT_Encode4(637370),
     /* 637366 */ /*GILLT_s32*//*Label 8140*/ GIMT_Encode4(637588),
     /* 637370 */ // Label 8139: @637370
     /* 637370 */ GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(637587),
     /* 637375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 637378 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(637449), // Rule ID 2718 //
     /* 637383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 637386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 637390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21680),
     /* 637394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637401 */     // (fsqrt:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21680>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (V_S_SQRT_F16_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), SReg_32_XEXEC:{ *:[i32] })
     /* 637401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 637404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_SQRT_F16_e64),
     /* 637408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 637413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 637435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 637438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 637440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 637443 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 637448 */     // GIR_Coverage, 2718,
     /* 637448 */     GIR_EraseRootFromParent_Done,
     /* 637449 */   // Label 8143: @637449
     /* 637449 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(637495), // Rule ID 725 //
     /* 637454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 637457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637468 */     // (fsqrt:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_e64),
     /* 637471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637493 */     GIR_RootConstrainSelectedInstOperands,
     /* 637494 */     // GIR_Coverage, 725,
     /* 637494 */     GIR_EraseRootFromParent_Done,
     /* 637495 */   // Label 8144: @637495
     /* 637495 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(637541), // Rule ID 729 //
     /* 637500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 637503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637514 */     // (fsqrt:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_SQRT_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_fake16_e64),
     /* 637517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637539 */     GIR_RootConstrainSelectedInstOperands,
     /* 637540 */     // GIR_Coverage, 729,
     /* 637540 */     GIR_EraseRootFromParent_Done,
     /* 637541 */   // Label 8145: @637541
     /* 637541 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(637586), // Rule ID 727 //
     /* 637546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 637549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 637553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 637560 */     // (fsqrt:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_SQRT_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 637560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SQRT_F16_t16_e64),
     /* 637563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637584 */     GIR_RootConstrainSelectedInstOperands,
     /* 637585 */     // GIR_Coverage, 727,
     /* 637585 */     GIR_EraseRootFromParent_Done,
     /* 637586 */   // Label 8146: @637586
     /* 637586 */   GIM_Reject,
     /* 637587 */ // Label 8142: @637587
     /* 637587 */ GIM_Reject,
     /* 637588 */ // Label 8140: @637588
     /* 637588 */ GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(637641), // Rule ID 1085 //
     /* 637593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPseudoScalarTrans),
     /* 637596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 637599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XEXECRegClassID),
     /* 637603 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_21680),
     /* 637607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637614 */   // (fsqrt:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))<<P:Predicate_anonymous_21680>>  =>  (V_S_SQRT_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_S_SQRT_F32_e64),
     /* 637617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637639 */   GIR_RootConstrainSelectedInstOperands,
     /* 637640 */   // GIR_Coverage, 1085,
     /* 637640 */   GIR_EraseRootFromParent_Done,
     /* 637641 */ // Label 8147: @637641
     /* 637641 */ GIM_Reject,
     /* 637642 */ // Label 8141: @637642
     /* 637642 */ GIM_Reject,
     /* 637643 */ // Label 103: @637643
     /* 637643 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 8151*/ GIMT_Encode4(638156),
     /* 637654 */ /*GILLT_s16*//*Label 8148*/ GIMT_Encode4(637666),
     /* 637658 */ /*GILLT_s32*//*Label 8149*/ GIMT_Encode4(637840),
     /* 637662 */ /*GILLT_s64*//*Label 8150*/ GIMT_Encode4(637920),
     /* 637666 */ // Label 8148: @637666
     /* 637666 */ GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(637839),
     /* 637671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 637674 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(637701), // Rule ID 38 //
     /* 637679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 637682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 637686 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13751),
     /* 637690 */     // (ffloor:{ *:[f16] } f16:{ *:[f16] }:$src0)<<P:Predicate_anonymous_13751>>  =>  (S_FLOOR_F16:{ *:[f16] } f16:{ *:[f16] }:$src0)
     /* 637690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLOOR_F16),
     /* 637695 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 637699 */     GIR_RootConstrainSelectedInstOperands,
     /* 637700 */     // GIR_Coverage, 38,
     /* 637700 */     GIR_Done,
     /* 637701 */   // Label 8153: @637701
     /* 637701 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(637747), // Rule ID 767 //
     /* 637706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 637709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637720 */     // (ffloor:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FLOOR_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FLOOR_F16_e64),
     /* 637723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637745 */     GIR_RootConstrainSelectedInstOperands,
     /* 637746 */     // GIR_Coverage, 767,
     /* 637746 */     GIR_EraseRootFromParent_Done,
     /* 637747 */   // Label 8154: @637747
     /* 637747 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(637793), // Rule ID 769 //
     /* 637752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 637755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637766 */     // (ffloor:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FLOOR_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FLOOR_F16_fake16_e64),
     /* 637769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637791 */     GIR_RootConstrainSelectedInstOperands,
     /* 637792 */     // GIR_Coverage, 769,
     /* 637792 */     GIR_EraseRootFromParent_Done,
     /* 637793 */   // Label 8155: @637793
     /* 637793 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(637838), // Rule ID 768 //
     /* 637798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 637801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 637805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 637812 */     // (ffloor:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_FLOOR_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0)
     /* 637812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FLOOR_F16_t16_e64),
     /* 637815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 637836 */     GIR_RootConstrainSelectedInstOperands,
     /* 637837 */     // GIR_Coverage, 768,
     /* 637837 */     GIR_EraseRootFromParent_Done,
     /* 637838 */   // Label 8156: @637838
     /* 637838 */   GIM_Reject,
     /* 637839 */ // Label 8152: @637839
     /* 637839 */ GIM_Reject,
     /* 637840 */ // Label 8149: @637840
     /* 637840 */ GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(637919),
     /* 637845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 637848 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(637875), // Rule ID 33 //
     /* 637853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 637856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 637860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13751),
     /* 637864 */     // (ffloor:{ *:[f32] } f32:{ *:[f32] }:$src0)<<P:Predicate_anonymous_13751>>  =>  (S_FLOOR_F32:{ *:[f32] } f32:{ *:[f32] }:$src0)
     /* 637864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLOOR_F32),
     /* 637869 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 637873 */     GIR_RootConstrainSelectedInstOperands,
     /* 637874 */     // GIR_Coverage, 33,
     /* 637874 */     GIR_Done,
     /* 637875 */   // Label 8158: @637875
     /* 637875 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(637918), // Rule ID 662 //
     /* 637880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 637884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 637891 */     // (ffloor:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FLOOR_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 637891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FLOOR_F32_e64),
     /* 637894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 637896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 637901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 637906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 637911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 637916 */     GIR_RootConstrainSelectedInstOperands,
     /* 637917 */     // GIR_Coverage, 662,
     /* 637917 */     GIR_EraseRootFromParent_Done,
     /* 637918 */   // Label 8159: @637918
     /* 637918 */   GIM_Reject,
     /* 637919 */ // Label 8157: @637919
     /* 637919 */ GIM_Reject,
     /* 637920 */ // Label 8150: @637920
     /* 637920 */ GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(638155),
     /* 637925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 637928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 637932 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(638112), // Rule ID 7764 //
     /* 637937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6),
     /* 637940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 637947 */     // (ffloor:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$x, i32:{ *:[i32] }:$mods))  =>  (V_ADD_F64_e64:{ *:[f64] } ?:{ *:[i32] }:$mods, ?:{ *:[f64] }:$x, 1:{ *:[i32] }, (V_CNDMASK_B64_PSEUDO:{ *:[i64] } (V_MIN_F64_e64:{ *:[i64] } 0:{ *:[i32] }, (V_FRACT_F64_e64:{ *:[i64] } ?:{ *:[i32] }:$mods, ?:{ *:[f64] }:$x), 0:{ *:[i32] }, (V_MOV_B64_PSEUDO:{ *:[i64] } 4607182418800017407:{ *:[i64] })), ?:{ *:[f64] }:$x, (V_CMP_CLASS_F64_e64:{ *:[i1] } 0:{ *:[i32] }, ?:{ *:[f64] }:$x, 3:{ *:[i32] })))
     /* 637947 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s1,
     /* 637950 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AMDGPU::V_CMP_CLASS_F64_e64),
     /* 637954 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 637959 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/0,
     /* 637962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // x
     /* 637967 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/3,
     /* 637970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 637972 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 637975 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AMDGPU::V_MOV_B64_PSEUDO),
     /* 637979 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 637984 */     GIR_AddImm, /*InsnID*/4, /*Imm*/GIMT_Encode8(4607182418800017407),
     /* 637994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 637996 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 637999 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AMDGPU::V_FRACT_F64_e64),
     /* 638003 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 638008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // mods
     /* 638013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // x
     /* 638018 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 638021 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 638024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 638026 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 638029 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_F64_e64),
     /* 638033 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 638038 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 638041 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 638044 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 638047 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 638050 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 638053 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 638056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 638058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 638061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_CNDMASK_B64_PSEUDO),
     /* 638065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 638070 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 638073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // x
     /* 638078 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 638081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 638083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_e64),
     /* 638086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // mods
     /* 638093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // x
     /* 638098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 638101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 638104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 638107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 638110 */     GIR_RootConstrainSelectedInstOperands,
     /* 638111 */     // GIR_Coverage, 7764,
     /* 638111 */     GIR_EraseRootFromParent_Done,
     /* 638112 */   // Label 8161: @638112
     /* 638112 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(638154), // Rule ID 706 //
     /* 638117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Plus),
     /* 638120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638127 */     // (ffloor:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_FLOOR_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FLOOR_F64_e64),
     /* 638130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638152 */     GIR_RootConstrainSelectedInstOperands,
     /* 638153 */     // GIR_Coverage, 706,
     /* 638153 */     GIR_EraseRootFromParent_Done,
     /* 638154 */   // Label 8162: @638154
     /* 638154 */   GIM_Reject,
     /* 638155 */ // Label 8160: @638155
     /* 638155 */ GIM_Reject,
     /* 638156 */ // Label 8151: @638156
     /* 638156 */ GIM_Reject,
     /* 638157 */ // Label 104: @638157
     /* 638157 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 8168*/ GIMT_Encode4(639118),
     /* 638168 */ /*GILLT_s16*//*Label 8163*/ GIMT_Encode4(638188),
     /* 638172 */ /*GILLT_s32*//*Label 8164*/ GIMT_Encode4(638550),
     /* 638176 */ /*GILLT_s64*//*Label 8165*/ GIMT_Encode4(638718),
     /* 638180 */ /*GILLT_v2s16*//*Label 8166*/ GIMT_Encode4(638971),
     /* 638184 */ /*GILLT_v2s32*//*Label 8167*/ GIMT_Encode4(639043),
     /* 638188 */ // Label 8163: @638188
     /* 638188 */ GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(638549),
     /* 638193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 638196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 638199 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(638234), // Rule ID 96 //
     /* 638204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 638207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638219 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13776),
     /* 638223 */     // (strict_fadd:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13776>>  =>  (S_ADD_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 638223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_F16),
     /* 638228 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 638232 */     GIR_RootConstrainSelectedInstOperands,
     /* 638233 */     // GIR_Coverage, 96,
     /* 638233 */     GIR_Done,
     /* 638234 */   // Label 8170: @638234
     /* 638234 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(638297), // Rule ID 860 //
     /* 638239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 638242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638260 */     // (strict_fadd:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_e64),
     /* 638263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638295 */     GIR_RootConstrainSelectedInstOperands,
     /* 638296 */     // GIR_Coverage, 860,
     /* 638296 */     GIR_EraseRootFromParent_Done,
     /* 638297 */   // Label 8171: @638297
     /* 638297 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(638360), // Rule ID 864 //
     /* 638302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 638305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638323 */     // (strict_fadd:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_fake16_e64),
     /* 638326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638358 */     GIR_RootConstrainSelectedInstOperands,
     /* 638359 */     // GIR_Coverage, 864,
     /* 638359 */     GIR_EraseRootFromParent_Done,
     /* 638360 */   // Label 8172: @638360
     /* 638360 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(638423), // Rule ID 8628 //
     /* 638365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 638368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638386 */     // (strict_fadd:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_e64),
     /* 638389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 638396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 638401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 638406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 638411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 638416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 638421 */     GIR_RootConstrainSelectedInstOperands,
     /* 638422 */     // GIR_Coverage, 8628,
     /* 638422 */     GIR_EraseRootFromParent_Done,
     /* 638423 */   // Label 8173: @638423
     /* 638423 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(638486), // Rule ID 8630 //
     /* 638428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 638431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638449 */     // (strict_fadd:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_fake16_e64),
     /* 638452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 638459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 638464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 638469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 638474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 638479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 638484 */     GIR_RootConstrainSelectedInstOperands,
     /* 638485 */     // GIR_Coverage, 8630,
     /* 638485 */     GIR_EraseRootFromParent_Done,
     /* 638486 */   // Label 8174: @638486
     /* 638486 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(638548), // Rule ID 862 //
     /* 638491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 638494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 638498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 638505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 638512 */     // (strict_fadd:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 638512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F16_t16_e64),
     /* 638515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 638540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 638543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 638546 */     GIR_RootConstrainSelectedInstOperands,
     /* 638547 */     // GIR_Coverage, 862,
     /* 638547 */     GIR_EraseRootFromParent_Done,
     /* 638548 */   // Label 8175: @638548
     /* 638548 */   GIM_Reject,
     /* 638549 */ // Label 8169: @638549
     /* 638549 */ GIM_Reject,
     /* 638550 */ // Label 8164: @638550
     /* 638550 */ GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(638717),
     /* 638555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 638558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 638561 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(638596), // Rule ID 88 //
     /* 638566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 638569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 638581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13776),
     /* 638585 */     // (strict_fadd:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13776>>  =>  (S_ADD_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 638585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_ADD_F32),
     /* 638590 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 638594 */     GIR_RootConstrainSelectedInstOperands,
     /* 638595 */     // GIR_Coverage, 88,
     /* 638595 */     GIR_Done,
     /* 638596 */   // Label 8177: @638596
     /* 638596 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(638656), // Rule ID 786 //
     /* 638601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638619 */     // (strict_fadd:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F32_e64),
     /* 638622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638654 */     GIR_RootConstrainSelectedInstOperands,
     /* 638655 */     // GIR_Coverage, 786,
     /* 638655 */     GIR_EraseRootFromParent_Done,
     /* 638656 */   // Label 8178: @638656
     /* 638656 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(638716), // Rule ID 8617 //
     /* 638661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638679 */     // (strict_fadd:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F32_e64),
     /* 638682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 638689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 638694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 638699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 638704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 638709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 638714 */     GIR_RootConstrainSelectedInstOperands,
     /* 638715 */     // GIR_Coverage, 8617,
     /* 638715 */     GIR_EraseRootFromParent_Done,
     /* 638716 */   // Label 8179: @638716
     /* 638716 */   GIM_Reject,
     /* 638717 */ // Label 8176: @638717
     /* 638717 */ GIM_Reject,
     /* 638718 */ // Label 8165: @638718
     /* 638718 */ GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(638970),
     /* 638723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 638726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 638729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 638733 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(638792), // Rule ID 914 //
     /* 638738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 638741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638755 */     // (strict_fadd:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_pseudo_e64),
     /* 638758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638790 */     GIR_RootConstrainSelectedInstOperands,
     /* 638791 */     // GIR_Coverage, 914,
     /* 638791 */     GIR_EraseRootFromParent_Done,
     /* 638792 */   // Label 8181: @638792
     /* 638792 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(638851), // Rule ID 932 //
     /* 638797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 638800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638814 */     // (strict_fadd:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_ADD_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_e64),
     /* 638817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 638824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 638829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 638834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 638839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 638844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 638849 */     GIR_RootConstrainSelectedInstOperands,
     /* 638850 */     // GIR_Coverage, 932,
     /* 638850 */     GIR_EraseRootFromParent_Done,
     /* 638851 */   // Label 8182: @638851
     /* 638851 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(638910), // Rule ID 8646 //
     /* 638856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 638859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638873 */     // (strict_fadd:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F64_pseudo_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_pseudo_e64),
     /* 638876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 638883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 638888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 638893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 638898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 638903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 638908 */     GIR_RootConstrainSelectedInstOperands,
     /* 638909 */     // GIR_Coverage, 8646,
     /* 638909 */     GIR_EraseRootFromParent_Done,
     /* 638910 */   // Label 8183: @638910
     /* 638910 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(638969), // Rule ID 8659 //
     /* 638915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 638918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 638925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 638932 */     // (strict_fadd:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_ADD_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 638932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_ADD_F64_e64),
     /* 638935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 638937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 638942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 638947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 638952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 638957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 638962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 638967 */     GIR_RootConstrainSelectedInstOperands,
     /* 638968 */     // GIR_Coverage, 8659,
     /* 638968 */     GIR_EraseRootFromParent_Done,
     /* 638969 */   // Label 8184: @638969
     /* 638969 */   GIM_Reject,
     /* 638970 */ // Label 8180: @638970
     /* 638970 */ GIM_Reject,
     /* 638971 */ // Label 8166: @638971
     /* 638971 */ GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(639042), // Rule ID 1092 //
     /* 638976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 638979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 638982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 638986 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 638993 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 639000 */   // (strict_fadd:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 639000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_F16),
     /* 639003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639040 */   GIR_RootConstrainSelectedInstOperands,
     /* 639041 */   // GIR_Coverage, 1092,
     /* 639041 */   GIR_EraseRootFromParent_Done,
     /* 639042 */ // Label 8185: @639042
     /* 639042 */ GIM_Reject,
     /* 639043 */ // Label 8167: @639043
     /* 639043 */ GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(639117), // Rule ID 1313 //
     /* 639048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 639051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 639054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 639057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 639061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 639068 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 639075 */   // (strict_fadd:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_ADD_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1)
     /* 639075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_ADD_F32),
     /* 639078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639080 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639085 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639115 */   GIR_RootConstrainSelectedInstOperands,
     /* 639116 */   // GIR_Coverage, 1313,
     /* 639116 */   GIR_EraseRootFromParent_Done,
     /* 639117 */ // Label 8186: @639117
     /* 639117 */ GIM_Reject,
     /* 639118 */ // Label 8168: @639118
     /* 639118 */ GIM_Reject,
     /* 639119 */ // Label 105: @639119
     /* 639119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 8189*/ GIMT_Encode4(639482),
     /* 639130 */ /*GILLT_s16*//*Label 8187*/ GIMT_Encode4(639138),
     /* 639134 */ /*GILLT_s32*//*Label 8188*/ GIMT_Encode4(639374),
     /* 639138 */ // Label 8187: @639138
     /* 639138 */ GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(639373),
     /* 639143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 639146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 639149 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(639184), // Rule ID 104 //
     /* 639154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 639157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639169 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13780),
     /* 639173 */     // (strict_fsub:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13780>>  =>  (S_SUB_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 639173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_F16),
     /* 639178 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 639182 */     GIR_RootConstrainSelectedInstOperands,
     /* 639183 */     // GIR_Coverage, 104,
     /* 639183 */     GIR_Done,
     /* 639184 */   // Label 8191: @639184
     /* 639184 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(639247), // Rule ID 866 //
     /* 639189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 639192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639210 */     // (strict_fsub:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_e64),
     /* 639213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639245 */     GIR_RootConstrainSelectedInstOperands,
     /* 639246 */     // GIR_Coverage, 866,
     /* 639246 */     GIR_EraseRootFromParent_Done,
     /* 639247 */   // Label 8192: @639247
     /* 639247 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(639310), // Rule ID 870 //
     /* 639252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 639255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639273 */     // (strict_fsub:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_fake16_e64),
     /* 639276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639308 */     GIR_RootConstrainSelectedInstOperands,
     /* 639309 */     // GIR_Coverage, 870,
     /* 639309 */     GIR_EraseRootFromParent_Done,
     /* 639310 */   // Label 8193: @639310
     /* 639310 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(639372), // Rule ID 868 //
     /* 639315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 639318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 639322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 639329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 639336 */     // (strict_fsub:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 639336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F16_t16_e64),
     /* 639339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639370 */     GIR_RootConstrainSelectedInstOperands,
     /* 639371 */     // GIR_Coverage, 868,
     /* 639371 */     GIR_EraseRootFromParent_Done,
     /* 639372 */   // Label 8194: @639372
     /* 639372 */   GIM_Reject,
     /* 639373 */ // Label 8190: @639373
     /* 639373 */ GIM_Reject,
     /* 639374 */ // Label 8188: @639374
     /* 639374 */ GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(639481),
     /* 639379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 639382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 639385 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(639420), // Rule ID 106 //
     /* 639390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 639393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13780),
     /* 639409 */     // (strict_fsub:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13780>>  =>  (S_SUB_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 639409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_SUB_F32),
     /* 639414 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 639418 */     GIR_RootConstrainSelectedInstOperands,
     /* 639419 */     // GIR_Coverage, 106,
     /* 639419 */     GIR_Done,
     /* 639420 */   // Label 8196: @639420
     /* 639420 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(639480), // Rule ID 788 //
     /* 639425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639443 */     // (strict_fsub:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_SUB_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_SUB_F32_e64),
     /* 639446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639478 */     GIR_RootConstrainSelectedInstOperands,
     /* 639479 */     // GIR_Coverage, 788,
     /* 639479 */     GIR_EraseRootFromParent_Done,
     /* 639480 */   // Label 8197: @639480
     /* 639480 */   GIM_Reject,
     /* 639481 */ // Label 8195: @639481
     /* 639481 */ GIM_Reject,
     /* 639482 */ // Label 8189: @639482
     /* 639482 */ GIM_Reject,
     /* 639483 */ // Label 106: @639483
     /* 639483 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 8203*/ GIMT_Encode4(640750),
     /* 639494 */ /*GILLT_s16*//*Label 8198*/ GIMT_Encode4(639514),
     /* 639498 */ /*GILLT_s32*//*Label 8199*/ GIMT_Encode4(639876),
     /* 639502 */ /*GILLT_s64*//*Label 8200*/ GIMT_Encode4(640044),
     /* 639506 */ /*GILLT_v2s16*//*Label 8201*/ GIMT_Encode4(640603),
     /* 639510 */ /*GILLT_v2s32*//*Label 8202*/ GIMT_Encode4(640675),
     /* 639514 */ // Label 8198: @639514
     /* 639514 */ GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(639875),
     /* 639519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 639522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 639525 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(639560), // Rule ID 98 //
     /* 639530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 639533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13779),
     /* 639549 */     // (strict_fmul:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)<<P:Predicate_anonymous_13779>>  =>  (S_MUL_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1)
     /* 639549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_F16),
     /* 639554 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 639558 */     GIR_RootConstrainSelectedInstOperands,
     /* 639559 */     // GIR_Coverage, 98,
     /* 639559 */     GIR_Done,
     /* 639560 */   // Label 8205: @639560
     /* 639560 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(639623), // Rule ID 872 //
     /* 639565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 639568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639586 */     // (strict_fmul:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 639589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639621 */     GIR_RootConstrainSelectedInstOperands,
     /* 639622 */     // GIR_Coverage, 872,
     /* 639622 */     GIR_EraseRootFromParent_Done,
     /* 639623 */   // Label 8206: @639623
     /* 639623 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(639686), // Rule ID 876 //
     /* 639628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 639631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639649 */     // (strict_fmul:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 639652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639684 */     GIR_RootConstrainSelectedInstOperands,
     /* 639685 */     // GIR_Coverage, 876,
     /* 639685 */     GIR_EraseRootFromParent_Done,
     /* 639686 */   // Label 8207: @639686
     /* 639686 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(639749), // Rule ID 8632 //
     /* 639691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasTrue16BitInsts),
     /* 639694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639712 */     // (strict_fmul:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_e64),
     /* 639715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 639722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 639727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 639732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 639737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 639742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 639747 */     GIR_RootConstrainSelectedInstOperands,
     /* 639748 */     // GIR_Coverage, 8632,
     /* 639748 */     GIR_EraseRootFromParent_Done,
     /* 639749 */   // Label 8208: @639749
     /* 639749 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(639812), // Rule ID 8634 //
     /* 639754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 639757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639775 */     // (strict_fmul:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_fake16_e64),
     /* 639778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 639785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 639790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 639795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 639800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 639805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 639810 */     GIR_RootConstrainSelectedInstOperands,
     /* 639811 */     // GIR_Coverage, 8634,
     /* 639811 */     GIR_EraseRootFromParent_Done,
     /* 639812 */   // Label 8209: @639812
     /* 639812 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(639874), // Rule ID 874 //
     /* 639817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 639820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 639824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 639831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 639838 */     // (strict_fmul:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1)
     /* 639838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F16_t16_e64),
     /* 639841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 639872 */     GIR_RootConstrainSelectedInstOperands,
     /* 639873 */     // GIR_Coverage, 874,
     /* 639873 */     GIR_EraseRootFromParent_Done,
     /* 639874 */   // Label 8210: @639874
     /* 639874 */   GIM_Reject,
     /* 639875 */ // Label 8204: @639875
     /* 639875 */ GIM_Reject,
     /* 639876 */ // Label 8199: @639876
     /* 639876 */ GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(640043),
     /* 639881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 639884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 639887 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(639922), // Rule ID 94 //
     /* 639892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 639895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 639907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13779),
     /* 639911 */     // (strict_fmul:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)<<P:Predicate_anonymous_13779>>  =>  (S_MUL_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1)
     /* 639911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_MUL_F32),
     /* 639916 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 639920 */     GIR_RootConstrainSelectedInstOperands,
     /* 639921 */     // GIR_Coverage, 94,
     /* 639921 */     GIR_Done,
     /* 639922 */   // Label 8212: @639922
     /* 639922 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(639982), // Rule ID 792 //
     /* 639927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 639938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639945 */     // (strict_fmul:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 639945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 639948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 639950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 639955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 639960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 639965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 639970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 639975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 639980 */     GIR_RootConstrainSelectedInstOperands,
     /* 639981 */     // GIR_Coverage, 792,
     /* 639981 */     GIR_EraseRootFromParent_Done,
     /* 639982 */   // Label 8213: @639982
     /* 639982 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(640042), // Rule ID 8621 //
     /* 639987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 639991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 639998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 640005 */     // (strict_fmul:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 640005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F32_e64),
     /* 640008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 640015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 640020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 640025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 640030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 640035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 640040 */     GIR_RootConstrainSelectedInstOperands,
     /* 640041 */     // GIR_Coverage, 8621,
     /* 640041 */     GIR_EraseRootFromParent_Done,
     /* 640042 */   // Label 8214: @640042
     /* 640042 */   GIM_Reject,
     /* 640043 */ // Label 8211: @640043
     /* 640043 */ GIM_Reject,
     /* 640044 */ // Label 8200: @640044
     /* 640044 */ GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(640602),
     /* 640049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 640052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 640055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 640059 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(640133), // Rule ID 7987 //
     /* 640064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 640068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640072 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64),
     /* 640076 */     // MIs[1] Operand 1
     /* 640076 */     // No operand predicates
     /* 640076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 640078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640085 */     // (strict_fmul:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods), (fpimm:{ *:[f64] })<<P:Predicate_fpimm_pos_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_mods, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640097 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 640114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640131 */     GIR_RootConstrainSelectedInstOperands,
     /* 640132 */     // GIR_Coverage, 7987,
     /* 640132 */     GIR_EraseRootFromParent_Done,
     /* 640133 */   // Label 8216: @640133
     /* 640133 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(640207), // Rule ID 13653 //
     /* 640138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 640142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640146 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_pos_pow2_prefer_ldexp_f64),
     /* 640150 */     // MIs[1] Operand 1
     /* 640150 */     // No operand predicates
     /* 640150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 640152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640159 */     // (strict_fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_pos_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_mods))  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_mods, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640171 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_mods
     /* 640188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640205 */     GIR_RootConstrainSelectedInstOperands,
     /* 640206 */     // GIR_Coverage, 13653,
     /* 640206 */     GIR_EraseRootFromParent_Done,
     /* 640207 */   // Label 8217: @640207
     /* 640207 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(640283), // Rule ID 7991 //
     /* 640212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 640216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 640220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 640224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 640228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640232 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 640236 */     // MIs[2] Operand 1
     /* 640236 */     // No operand predicates
     /* 640236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 640238 */     // (strict_fmul:{ *:[f64] } (fabs:{ *:[f64] } f64:{ *:[f64] }:$src0), (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 3:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640250 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 640265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src0
     /* 640269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640281 */     GIR_RootConstrainSelectedInstOperands,
     /* 640282 */     // GIR_Coverage, 7991,
     /* 640282 */     GIR_EraseRootFromParent_Done,
     /* 640283 */   // Label 8218: @640283
     /* 640283 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(640359), // Rule ID 13657 //
     /* 640288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 640292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640296 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 640300 */     // MIs[1] Operand 1
     /* 640300 */     // No operand predicates
     /* 640300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 640304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 640308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 640312 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 640314 */     // (strict_fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, (fabs:{ *:[f64] } f64:{ *:[f64] }:$src0))  =>  (V_LDEXP_F64_e64:{ *:[f64] } 3:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640326 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 640341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src0
     /* 640345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640357 */     GIR_RootConstrainSelectedInstOperands,
     /* 640358 */     // GIR_Coverage, 13657,
     /* 640358 */     GIR_EraseRootFromParent_Done,
     /* 640359 */   // Label 8219: @640359
     /* 640359 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(640421), // Rule ID 13655 //
     /* 640364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 640368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640372 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 640376 */     // MIs[1] Operand 1
     /* 640376 */     // No operand predicates
     /* 640376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 640378 */     // (strict_fmul:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1, f64:{ *:[f64] }:$src0)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 1:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640390 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 640405 */     GIR_RootToRootCopy, /*OpIdx*/2, // src0
     /* 640407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640419 */     GIR_RootConstrainSelectedInstOperands,
     /* 640420 */     // GIR_Coverage, 13655,
     /* 640420 */     GIR_EraseRootFromParent_Done,
     /* 640421 */   // Label 8220: @640421
     /* 640421 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(640483), // Rule ID 7989 //
     /* 640426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 640430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 640434 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_neg_pow2_prefer_ldexp_f64),
     /* 640438 */     // MIs[1] Operand 1
     /* 640438 */     // No operand predicates
     /* 640438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 640440 */     // (strict_fmul:{ *:[f64] } f64:{ *:[f64] }:$src0, (fpimm:{ *:[f64] })<<P:Predicate_fpimm_neg_pow2_prefer_ldexp_f64>><<X:FPPow2ToExponentXForm>>:$src1)  =>  (V_LDEXP_F64_e64:{ *:[f64] } 1:{ *:[i32] }, VSrc_b64:{ *:[f64] }:$src0, 0:{ *:[i32] }, (S_MOV_B32:{ *:[i16] } (FPPow2ToExponentXForm:{ *:[i32] } ?:{ *:[f64] }:$src1)))
     /* 640440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 640443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::S_MOV_B32),
     /* 640447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 640452 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPPow2ToExponent), // src1
     /* 640457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 640459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 640462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 640467 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 640469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 640475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640481 */     GIR_RootConstrainSelectedInstOperands,
     /* 640482 */     // GIR_Coverage, 7989,
     /* 640482 */     GIR_EraseRootFromParent_Done,
     /* 640483 */   // Label 8221: @640483
     /* 640483 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(640542), // Rule ID 934 //
     /* 640488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 640491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 640498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640505 */     // (strict_fmul:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MUL_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 640505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_e64),
     /* 640508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 640515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 640525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 640530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 640535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 640540 */     GIR_RootConstrainSelectedInstOperands,
     /* 640541 */     // GIR_Coverage, 934,
     /* 640541 */     GIR_EraseRootFromParent_Done,
     /* 640542 */   // Label 8222: @640542
     /* 640542 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(640601), // Rule ID 8661 //
     /* 640547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 640550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 640564 */     // (strict_fmul:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_MUL_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 640564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MUL_F64_e64),
     /* 640567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 640574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 640579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 640584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 640589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 640594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 640599 */     GIR_RootConstrainSelectedInstOperands,
     /* 640600 */     // GIR_Coverage, 8661,
     /* 640600 */     GIR_EraseRootFromParent_Done,
     /* 640601 */   // Label 8223: @640601
     /* 640601 */   GIM_Reject,
     /* 640602 */ // Label 8215: @640602
     /* 640602 */ GIM_Reject,
     /* 640603 */ // Label 8201: @640603
     /* 640603 */ GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(640674), // Rule ID 1094 //
     /* 640608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 640611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 640614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 640618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 640625 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 640632 */   // (strict_fmul:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MUL_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1)
     /* 640632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F16),
     /* 640635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640637 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 640642 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640647 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 640652 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 640657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640672 */   GIR_RootConstrainSelectedInstOperands,
     /* 640673 */   // GIR_Coverage, 1094,
     /* 640673 */   GIR_EraseRootFromParent_Done,
     /* 640674 */ // Label 8224: @640674
     /* 640674 */ GIM_Reject,
     /* 640675 */ // Label 8202: @640675
     /* 640675 */ GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(640749), // Rule ID 1311 //
     /* 640680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 640683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 640686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 640689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 640693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 640700 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 640707 */   // (strict_fmul:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_PK_MUL_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1)
     /* 640707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MUL_F32),
     /* 640710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 640717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 640727 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 640732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 640747 */   GIR_RootConstrainSelectedInstOperands,
     /* 640748 */   // GIR_Coverage, 1311,
     /* 640748 */   GIR_EraseRootFromParent_Done,
     /* 640749 */ // Label 8225: @640749
     /* 640749 */ GIM_Reject,
     /* 640750 */ // Label 8203: @640750
     /* 640750 */ GIM_Reject,
     /* 640751 */ // Label 107: @640751
     /* 640751 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(13), /*)*//*default:*//*Label 8231*/ GIMT_Encode4(641796),
     /* 640762 */ /*GILLT_s16*//*Label 8226*/ GIMT_Encode4(640782),
     /* 640766 */ /*GILLT_s32*//*Label 8227*/ GIMT_Encode4(641234),
     /* 640770 */ /*GILLT_s64*//*Label 8228*/ GIMT_Encode4(641443),
     /* 640774 */ /*GILLT_v2s16*//*Label 8229*/ GIMT_Encode4(641609),
     /* 640778 */ /*GILLT_v2s32*//*Label 8230*/ GIMT_Encode4(641701),
     /* 640782 */ // Label 8226: @640782
     /* 640782 */ GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(641233),
     /* 640787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 640790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 640793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 640796 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(640835), // Rule ID 112 //
     /* 640801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 640804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 640808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 640812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 640816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 640820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13782),
     /* 640824 */     // (strict_fma:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1, SReg_32:{ *:[f16] }:$src2)<<P:Predicate_anonymous_13782>>  =>  (S_FMAC_F16:{ *:[f16] } SSrc_f16:{ *:[f16] }:$src0, SSrc_f16:{ *:[f16] }:$src1, SReg_32:{ *:[f16] }:$src2)
     /* 640824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FMAC_F16),
     /* 640829 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 640833 */     GIR_RootConstrainSelectedInstOperands,
     /* 640834 */     // GIR_Coverage, 112,
     /* 640834 */     GIR_Done,
     /* 640835 */   // Label 8233: @640835
     /* 640835 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(640915), // Rule ID 1001 //
     /* 640840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8Only),
     /* 640843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 640847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 640854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640868 */     // (strict_fma:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 640868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_e64),
     /* 640871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 640878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 640883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 640888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 640893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 640898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 640903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 640908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 640913 */     GIR_RootConstrainSelectedInstOperands,
     /* 640914 */     // GIR_Coverage, 1001,
     /* 640914 */     GIR_EraseRootFromParent_Done,
     /* 640915 */   // Label 8234: @640915
     /* 640915 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(640995), // Rule ID 8674 //
     /* 640920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_isGFX8Only),
     /* 640923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 640927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 640941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 640948 */     // (strict_fma:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 640948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_e64),
     /* 640951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 640953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 640958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 640963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 640968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 640973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 640978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 640983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 640988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 640993 */     GIR_RootConstrainSelectedInstOperands,
     /* 640994 */     // GIR_Coverage, 8674,
     /* 640994 */     GIR_EraseRootFromParent_Done,
     /* 640995 */   // Label 8235: @640995
     /* 640995 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(641074), // Rule ID 1009 //
     /* 641000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 641003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641028 */     // (strict_fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 641028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_e64),
     /* 641031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641072 */     GIR_RootConstrainSelectedInstOperands,
     /* 641073 */     // GIR_Coverage, 1009,
     /* 641073 */     GIR_EraseRootFromParent_Done,
     /* 641074 */   // Label 8236: @641074
     /* 641074 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(641153), // Rule ID 1011 //
     /* 641079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 641082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 641086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641107 */     // (strict_fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 641107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_t16_e64),
     /* 641110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641151 */     GIR_RootConstrainSelectedInstOperands,
     /* 641152 */     // GIR_Coverage, 1011,
     /* 641152 */     GIR_EraseRootFromParent_Done,
     /* 641153 */   // Label 8237: @641153
     /* 641153 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(641232), // Rule ID 1013 //
     /* 641158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 641161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 641186 */     // (strict_fma:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F16_gfx9_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 641186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F16_gfx9_fake16_e64),
     /* 641189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641230 */     GIR_RootConstrainSelectedInstOperands,
     /* 641231 */     // GIR_Coverage, 1013,
     /* 641231 */     GIR_EraseRootFromParent_Done,
     /* 641232 */   // Label 8238: @641232
     /* 641232 */   GIM_Reject,
     /* 641233 */ // Label 8232: @641233
     /* 641233 */ GIM_Reject,
     /* 641234 */ // Label 8227: @641234
     /* 641234 */ GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(641442),
     /* 641239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 641242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 641245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 641248 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(641287), // Rule ID 110 //
     /* 641253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSALUFloatInsts),
     /* 641256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 641260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 641264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 641268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 641272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13782),
     /* 641276 */     // (strict_fma:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1, SReg_32:{ *:[f32] }:$src2)<<P:Predicate_anonymous_13782>>  =>  (S_FMAC_F32:{ *:[f32] } SSrc_f32:{ *:[f32] }:$src0, SSrc_f32:{ *:[f32] }:$src1, SReg_32:{ *:[f32] }:$src2)
     /* 641276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FMAC_F32),
     /* 641281 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::MODE),
     /* 641285 */     GIR_RootConstrainSelectedInstOperands,
     /* 641286 */     // GIR_Coverage, 110,
     /* 641286 */     GIR_Done,
     /* 641287 */   // Label 8240: @641287
     /* 641287 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(641364), // Rule ID 927 //
     /* 641292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641317 */     // (strict_fma:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 641317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F32_e64),
     /* 641320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 641357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 641362 */     GIR_RootConstrainSelectedInstOperands,
     /* 641363 */     // GIR_Coverage, 927,
     /* 641363 */     GIR_EraseRootFromParent_Done,
     /* 641364 */   // Label 8241: @641364
     /* 641364 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(641441), // Rule ID 8655 //
     /* 641369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641394 */     // (strict_fma:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 641394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F32_e64),
     /* 641397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 641404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 641409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 641414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 641419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 641434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 641439 */     GIR_RootConstrainSelectedInstOperands,
     /* 641440 */     // GIR_Coverage, 8655,
     /* 641440 */     GIR_EraseRootFromParent_Done,
     /* 641441 */   // Label 8242: @641441
     /* 641441 */   GIM_Reject,
     /* 641442 */ // Label 8239: @641442
     /* 641442 */ GIM_Reject,
     /* 641443 */ // Label 8228: @641443
     /* 641443 */ GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(641608),
     /* 641448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 641451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 641454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 641457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 641461 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(641534), // Rule ID 930 //
     /* 641466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641487 */     // (strict_fma:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f64:{ *:[f64] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 641487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F64_e64),
     /* 641490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 641527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 641532 */     GIR_RootConstrainSelectedInstOperands,
     /* 641533 */     // GIR_Coverage, 930,
     /* 641533 */     GIR_EraseRootFromParent_Done,
     /* 641534 */   // Label 8244: @641534
     /* 641534 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(641607), // Rule ID 8657 //
     /* 641539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 641560 */     // (strict_fma:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_FMA_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f64:{ *:[f64] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f64:{ *:[f64] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 641560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_F64_e64),
     /* 641563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src0_modifiers
     /* 641570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src0
     /* 641575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src1_modifiers
     /* 641580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src1
     /* 641585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/2, // clamp
     /* 641600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/3, // omod
     /* 641605 */     GIR_RootConstrainSelectedInstOperands,
     /* 641606 */     // GIR_Coverage, 8657,
     /* 641606 */     GIR_EraseRootFromParent_Done,
     /* 641607 */   // Label 8245: @641607
     /* 641607 */   GIM_Reject,
     /* 641608 */ // Label 8243: @641608
     /* 641608 */ GIM_Reject,
     /* 641609 */ // Label 8229: @641609
     /* 641609 */ GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(641700), // Rule ID 1090 //
     /* 641614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 641617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s16,
     /* 641620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s16,
     /* 641623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641627 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641634 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641641 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641648 */   // (strict_fma:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_PK_FMA_F16:{ *:[v2f16] } i32:{ *:[i32] }:$src0_modifiers, v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f16:{ *:[v2f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2f16:{ *:[v2f16] }:$src2)
     /* 641648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_FMA_F16),
     /* 641651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641698 */   GIR_RootConstrainSelectedInstOperands,
     /* 641699 */   // GIR_Coverage, 1090,
     /* 641699 */   GIR_EraseRootFromParent_Done,
     /* 641700 */ // Label 8246: @641700
     /* 641700 */ GIM_Reject,
     /* 641701 */ // Label 8230: @641701
     /* 641701 */ GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(641795), // Rule ID 1309 //
     /* 641706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedFP32Ops),
     /* 641709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 641712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 641715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 641718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 641722 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641729 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 641743 */   // (strict_fma:{ *:[v2f32] } (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3PMods:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_PK_FMA_F32:{ *:[v2f32] } i32:{ *:[i32] }:$src0_modifiers, v2f32:{ *:[v2f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, v2f32:{ *:[v2f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, v2f32:{ *:[v2f32] }:$src2)
     /* 641743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_FMA_F32),
     /* 641746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 641773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 641778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641793 */   GIR_RootConstrainSelectedInstOperands,
     /* 641794 */   // GIR_Coverage, 1309,
     /* 641794 */   GIR_EraseRootFromParent_Done,
     /* 641795 */ // Label 8247: @641795
     /* 641795 */ GIM_Reject,
     /* 641796 */ // Label 8231: @641796
     /* 641796 */ GIM_Reject,
     /* 641797 */ // Label 108: @641797
     /* 641797 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(11), /*)*//*default:*//*Label 8251*/ GIMT_Encode4(642159),
     /* 641808 */ /*GILLT_s16*//*Label 8248*/ GIMT_Encode4(641820),
     /* 641812 */ /*GILLT_s32*//*Label 8249*/ GIMT_Encode4(642025),
     /* 641816 */ /*GILLT_s64*//*Label 8250*/ GIMT_Encode4(642092),
     /* 641820 */ // Label 8248: @641820
     /* 641820 */ GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(642024),
     /* 641825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 641828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 641831 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(641894), // Rule ID 2514 //
     /* 641836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 641839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641857 */     // (strict_fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod)
     /* 641857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_e64),
     /* 641860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 641887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 641892 */     GIR_RootConstrainSelectedInstOperands,
     /* 641893 */     // GIR_Coverage, 2514,
     /* 641893 */     GIR_EraseRootFromParent_Done,
     /* 641894 */   // Label 8253: @641894
     /* 641894 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(641960), // Rule ID 2516 //
     /* 641899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 641902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 641906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641920 */     // (strict_fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_t16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod, 0:{ *:[i32] })
     /* 641920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_t16_e64),
     /* 641923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 641935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 641940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 641945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 641950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 641955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 641958 */     GIR_RootConstrainSelectedInstOperands,
     /* 641959 */     // GIR_Coverage, 2516,
     /* 641959 */     GIR_EraseRootFromParent_Done,
     /* 641960 */   // Label 8254: @641960
     /* 641960 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(642023), // Rule ID 2518 //
     /* 641965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 641968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 641972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 641986 */     // (strict_fldexp:{ *:[f16] } (VOP3Mods0:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods0:{ *:[i16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F16_fake16_e64:{ *:[f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[f16] }:$src0, ?:{ *:[i32] }:$src1_modifiers, ?:{ *:[f16] }:$src1, ?:{ *:[i1] }:$clamp, ?:{ *:[i32] }:$omod)
     /* 641986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F16_fake16_e64),
     /* 641989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 641991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 641996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 642001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 642006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 642011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 642016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 642021 */     GIR_RootConstrainSelectedInstOperands,
     /* 642022 */     // GIR_Coverage, 2518,
     /* 642022 */     GIR_EraseRootFromParent_Done,
     /* 642023 */   // Label 8255: @642023
     /* 642023 */   GIM_Reject,
     /* 642024 */ // Label 8252: @642024
     /* 642024 */ GIM_Reject,
     /* 642025 */ // Label 8249: @642025
     /* 642025 */ GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(642091), // Rule ID 822 //
     /* 642030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 642033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 642036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 642047 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 642054 */   // (strict_fldexp:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 642054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F32_e64),
     /* 642057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 642059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 642064 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 642069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 642074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 642079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 642084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 642089 */   GIR_RootConstrainSelectedInstOperands,
     /* 642090 */   // GIR_Coverage, 822,
     /* 642090 */   GIR_EraseRootFromParent_Done,
     /* 642091 */ // Label 8256: @642091
     /* 642091 */ GIM_Reject,
     /* 642092 */ // Label 8250: @642092
     /* 642092 */ GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(642158), // Rule ID 982 //
     /* 642097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 642100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 642103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642107 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 642114 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 642121 */   // (strict_fldexp:{ *:[f64] } (VOP3Mods0:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[i32] } i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_LDEXP_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i32:{ *:[i32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 642121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_LDEXP_F64_e64),
     /* 642124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 642126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 642131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 642136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 642141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 642146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 642151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 642156 */   GIR_RootConstrainSelectedInstOperands,
     /* 642157 */   // GIR_Coverage, 982,
     /* 642157 */   GIR_EraseRootFromParent_Done,
     /* 642158 */ // Label 8257: @642158
     /* 642158 */ GIM_Reject,
     /* 642159 */ // Label 8251: @642159
     /* 642159 */ GIM_Reject,
     /* 642160 */ // Label 109: @642160
     /* 642160 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8260*/ GIMT_Encode4(644463),
     /* 642171 */ /*GILLT_s32*//*Label 8258*/ GIMT_Encode4(642179),
     /* 642175 */ /*GILLT_s64*//*Label 8259*/ GIMT_Encode4(643321),
     /* 642179 */ // Label 8258: @642179
     /* 642179 */ GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(643320),
     /* 642184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 642187 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(642249), // Rule ID 5863 //
     /* 642192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 642195 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642202 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 642204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 642215 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_CMPSWAP_ADDR64 VReg_64:{ *:[v2i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 642215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_ADDR64),
     /* 642218 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 642220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 642225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 642235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 642240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 642243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642247 */     GIR_RootConstrainSelectedInstOperands,
     /* 642248 */     // GIR_Coverage, 5863,
     /* 642248 */     GIR_EraseRootFromParent_Done,
     /* 642249 */   // Label 8262: @642249
     /* 642249 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(642308), // Rule ID 5867 //
     /* 642254 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642261 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 642263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 642274 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_ADDR64 VReg_64:{ *:[v2i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 642274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_ADDR64),
     /* 642277 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 642279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 642284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 642294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 642299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 642302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642306 */     GIR_RootConstrainSelectedInstOperands,
     /* 642307 */     // GIR_Coverage, 5867,
     /* 642307 */     GIR_EraseRootFromParent_Done,
     /* 642308 */   // Label 8263: @642308
     /* 642308 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(642426), // Rule ID 5639 //
     /* 642313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 642316 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 642338 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_ADDR64_RTN:{ *:[i64] } VReg_64:{ *:[v2i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 642338 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 642341 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_ADDR64_RTN),
     /* 642345 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642350 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 642354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 642359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 642369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 642374 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 642377 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 642383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 642386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642395 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 642398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 642408 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 642415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642425 */     // GIR_Coverage, 5639,
     /* 642425 */     GIR_EraseRootFromParent_Done,
     /* 642426 */   // Label 8264: @642426
     /* 642426 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(642541), // Rule ID 5865 //
     /* 642431 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 642453 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_ADDR64_RTN:{ *:[i64] } VReg_64:{ *:[v2i32] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 642453 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 642456 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_ADDR64_RTN),
     /* 642460 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642465 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 642469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 642474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 642484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 642489 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 642492 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 642498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 642501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642510 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 642513 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 642523 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 642530 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642535 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642540 */     // GIR_Coverage, 5865,
     /* 642540 */     GIR_EraseRootFromParent_Done,
     /* 642541 */   // Label 8265: @642541
     /* 642541 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(642598), // Rule ID 5862 //
     /* 642546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 642549 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642556 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 642558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 642569 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_CMPSWAP_OFFSET VReg_64:{ *:[v2i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 642569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFSET),
     /* 642572 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 642574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 642584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 642592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642596 */     GIR_RootConstrainSelectedInstOperands,
     /* 642597 */     // GIR_Coverage, 5862,
     /* 642597 */     GIR_EraseRootFromParent_Done,
     /* 642598 */   // Label 8266: @642598
     /* 642598 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(642652), // Rule ID 5866 //
     /* 642603 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642610 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 642612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 642623 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET VReg_64:{ *:[v2i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 642623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET),
     /* 642626 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 642628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 642638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 642646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642650 */     GIR_RootConstrainSelectedInstOperands,
     /* 642651 */     // GIR_Coverage, 5866,
     /* 642651 */     GIR_EraseRootFromParent_Done,
     /* 642652 */   // Label 8267: @642652
     /* 642652 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(642765), // Rule ID 5638 //
     /* 642657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 642660 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 642682 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_OFFSET_RTN:{ *:[i64] } VReg_64:{ *:[v2i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 642682 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 642685 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFSET_RTN),
     /* 642689 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642694 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 642698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 642708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642713 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 642716 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 642722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 642725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642734 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 642737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 642747 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 642754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642764 */     // GIR_Coverage, 5638,
     /* 642764 */     GIR_EraseRootFromParent_Done,
     /* 642765 */   // Label 8268: @642765
     /* 642765 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(642875), // Rule ID 5864 //
     /* 642770 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 642792 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (EXTRACT_SUBREG:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET_RTN:{ *:[i64] } VReg_64:{ *:[v2i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_64:{ *:[i32] }), sub0:{ *:[i32] })
     /* 642792 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 642795 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET_RTN),
     /* 642799 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642804 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 642808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 642813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 642818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642823 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 642826 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 642832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 642835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 642844 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 642847 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 642855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 642857 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 642864 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 642869 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 642874 */     // GIR_Coverage, 5864,
     /* 642874 */     GIR_EraseRootFromParent_Done,
     /* 642875 */   // Label 8269: @642875
     /* 642875 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(642932), // Rule ID 4110 //
     /* 642880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 642883 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642890 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 642892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 642903 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_CMPSWAP_SADDR ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 642903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_SADDR),
     /* 642906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 642911 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 642913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 642918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 642926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642930 */     GIR_RootConstrainSelectedInstOperands,
     /* 642931 */     // GIR_Coverage, 4110,
     /* 642931 */     GIR_EraseRootFromParent_Done,
     /* 642932 */   // Label 8270: @642932
     /* 642932 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(642993), // Rule ID 4112 //
     /* 642937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 642940 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 642947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 642951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 642955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 642962 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (GLOBAL_ATOMIC_CMPSWAP_SADDR_RTN:{ *:[i32] } ?:{ *:[i32] }:$voffset, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 642962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_SADDR_RTN),
     /* 642965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 642967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 642972 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 642974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 642979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 642984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 642987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 642991 */     GIR_RootConstrainSelectedInstOperands,
     /* 642992 */     // GIR_Coverage, 4112,
     /* 642992 */     GIR_EraseRootFromParent_Done,
     /* 642993 */   // Label 8271: @642993
     /* 642993 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(643045), // Rule ID 4109 //
     /* 642998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 643001 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643008 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 643021 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (GLOBAL_ATOMIC_CMPSWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP),
     /* 643024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643029 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643043 */     GIR_RootConstrainSelectedInstOperands,
     /* 643044 */     // GIR_Coverage, 4109,
     /* 643044 */     GIR_EraseRootFromParent_Done,
     /* 643045 */   // Label 8272: @643045
     /* 643045 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(643101), // Rule ID 4111 //
     /* 643050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 643053 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 643064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 643075 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (GLOBAL_ATOMIC_CMPSWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_RTN),
     /* 643078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 643080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643085 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 643095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643099 */     GIR_RootConstrainSelectedInstOperands,
     /* 643100 */     // GIR_Coverage, 4111,
     /* 643100 */     GIR_EraseRootFromParent_Done,
     /* 643101 */   // Label 8273: @643101
     /* 643101 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(643154), // Rule ID 3718 //
     /* 643106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 643109 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643117 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 643130 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_flat_noret_i32>>  =>  (FLAT_ATOMIC_CMPSWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP),
     /* 643133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643138 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643152 */     GIR_RootConstrainSelectedInstOperands,
     /* 643153 */     // GIR_Coverage, 3718,
     /* 643153 */     GIR_EraseRootFromParent_Done,
     /* 643154 */   // Label 8274: @643154
     /* 643154 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(643206), // Rule ID 3778 //
     /* 643159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 643162 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643169 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 643182 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i32>>  =>  (FLAT_ATOMIC_CMPSWAP VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP),
     /* 643185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643190 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643204 */     GIR_RootConstrainSelectedInstOperands,
     /* 643205 */     // GIR_Coverage, 3778,
     /* 643205 */     GIR_EraseRootFromParent_Done,
     /* 643206 */   // Label 8275: @643206
     /* 643206 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(643263), // Rule ID 3717 //
     /* 643211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 643214 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 643226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 643237 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_flat_i32>>  =>  (FLAT_ATOMIC_CMPSWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_RTN),
     /* 643240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 643242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643247 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 643257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643261 */     GIR_RootConstrainSelectedInstOperands,
     /* 643262 */     // GIR_Coverage, 3717,
     /* 643262 */     GIR_EraseRootFromParent_Done,
     /* 643263 */   // Label 8276: @643263
     /* 643263 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(643319), // Rule ID 3777 //
     /* 643268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 643271 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 643282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 643293 */     // (AMDGPUatomic_cmp_swap:{ *:[i32] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i32:{ *:[v2i32] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i32>>  =>  (FLAT_ATOMIC_CMPSWAP_RTN:{ *:[i32] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9774:{ *:[v2i32] }:$data, ?:{ *:[i32] }:$offset)
     /* 643293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_RTN),
     /* 643296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 643298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 643303 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 643305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 643310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 643313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643317 */     GIR_RootConstrainSelectedInstOperands,
     /* 643318 */     // GIR_Coverage, 3777,
     /* 643318 */     GIR_EraseRootFromParent_Done,
     /* 643319 */   // Label 8277: @643319
     /* 643319 */   GIM_Reject,
     /* 643320 */ // Label 8261: @643320
     /* 643320 */ GIM_Reject,
     /* 643321 */ // Label 8259: @643321
     /* 643321 */ GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(644462),
     /* 643326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 643329 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(643391), // Rule ID 5871 //
     /* 643334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 643337 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643344 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 643357 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_ADDR64 VReg_128:{ *:[v2i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 643357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_ADDR64),
     /* 643360 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 643362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 643367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 643377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 643382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643389 */     GIR_RootConstrainSelectedInstOperands,
     /* 643390 */     // GIR_Coverage, 5871,
     /* 643390 */     GIR_EraseRootFromParent_Done,
     /* 643391 */   // Label 8279: @643391
     /* 643391 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(643450), // Rule ID 5875 //
     /* 643396 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643403 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 643416 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_ADDR64 VReg_128:{ *:[v2i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 643416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_ADDR64),
     /* 643419 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 643421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 643426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 643436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 643441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643448 */     GIR_RootConstrainSelectedInstOperands,
     /* 643449 */     // GIR_Coverage, 5875,
     /* 643449 */     GIR_EraseRootFromParent_Done,
     /* 643450 */   // Label 8280: @643450
     /* 643450 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(643568), // Rule ID 5869 //
     /* 643455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 643458 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 643480 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (EXTRACT_SUBREG:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_ADDR64_RTN:{ *:[v8i16] } VReg_128:{ *:[v2i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_128:{ *:[i32] }), sub0_sub1:{ *:[i32] })
     /* 643480 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 643483 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_ADDR64_RTN),
     /* 643487 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643492 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 643496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 643501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 643511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 643516 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 643519 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 643525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 643528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643537 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 643540 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 643550 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 643557 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643562 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643567 */     // GIR_Coverage, 5869,
     /* 643567 */     GIR_EraseRootFromParent_Done,
     /* 643568 */   // Label 8281: @643568
     /* 643568 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(643683), // Rule ID 5873 //
     /* 643573 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_addr64),
     /* 643595 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFAddr64:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (EXTRACT_SUBREG:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_ADDR64_RTN:{ *:[v8i16] } VReg_128:{ *:[v2i64] }:$vdata_in, VReg_64:{ *:[i64] }:$vaddr, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_128:{ *:[i32] }), sub0_sub1:{ *:[i32] })
     /* 643595 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 643598 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_ADDR64_RTN),
     /* 643602 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643607 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 643611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // vaddr
     /* 643616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // soffset
     /* 643626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // offset
     /* 643631 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 643634 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 643640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 643643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643652 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 643655 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 643665 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 643672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643682 */     // GIR_Coverage, 5873,
     /* 643682 */     GIR_EraseRootFromParent_Done,
     /* 643683 */   // Label 8282: @643683
     /* 643683 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(643740), // Rule ID 5870 //
     /* 643688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 643691 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643698 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 643711 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_OFFSET VReg_128:{ *:[v2i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 643711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFSET),
     /* 643714 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 643716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 643726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 643731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643738 */     GIR_RootConstrainSelectedInstOperands,
     /* 643739 */     // GIR_Coverage, 5870,
     /* 643739 */     GIR_EraseRootFromParent_Done,
     /* 643740 */   // Label 8283: @643740
     /* 643740 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(643794), // Rule ID 5874 //
     /* 643745 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643752 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 643754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 643765 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET VReg_128:{ *:[v2i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset)
     /* 643765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET),
     /* 643768 */     GIR_RootToRootCopy, /*OpIdx*/2, // vdata_in
     /* 643770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 643780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 643785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 643788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643792 */     GIR_RootConstrainSelectedInstOperands,
     /* 643793 */     // GIR_Coverage, 5874,
     /* 643793 */     GIR_EraseRootFromParent_Done,
     /* 643794 */   // Label 8284: @643794
     /* 643794 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(643907), // Rule ID 5868 //
     /* 643799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 643802 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 643824 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (EXTRACT_SUBREG:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_OFFSET_RTN:{ *:[v8i16] } VReg_128:{ *:[v2i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_128:{ *:[i32] }), sub0_sub1:{ *:[i32] })
     /* 643824 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 643827 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFSET_RTN),
     /* 643831 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643836 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 643840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 643850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 643855 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 643858 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 643864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 643867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643876 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 643879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 643889 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 643896 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643901 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643906 */     // GIR_Coverage, 5868,
     /* 643906 */     GIR_EraseRootFromParent_Done,
     /* 643907 */   // Label 8285: @643907
     /* 643907 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(644017), // Rule ID 5872 //
     /* 643912 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 643919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 643923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 643927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_mubuf_offset),
     /* 643934 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (MUBUFOffset:{ *:[iPTR] } v4i32:{ *:[v4i32] }:$srsrc, i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$vdata_in)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (EXTRACT_SUBREG:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET_RTN:{ *:[v8i16] } VReg_128:{ *:[v2i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$srsrc, SCSrc_b32:{ *:[i32] }:$soffset, Offset:{ *:[i32] }:$offset), VReg_128:{ *:[i32] }), sub0_sub1:{ *:[i32] })
     /* 643934 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 643937 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET_RTN),
     /* 643941 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // vdata_in
     /* 643950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // srsrc
     /* 643955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // soffset
     /* 643960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 643965 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 643968 */     GIR_MergeMemOperands, /*InsnID*/2, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 643972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 643974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 643977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 643986 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 643989 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 643994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 643997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 643999 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 644006 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 644011 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 644016 */     // GIR_Coverage, 5872,
     /* 644016 */     GIR_EraseRootFromParent_Done,
     /* 644017 */   // Label 8286: @644017
     /* 644017 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(644074), // Rule ID 4166 //
     /* 644022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 644025 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644032 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 644045 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_CMPSWAP_X2_SADDR ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 644045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_X2_SADDR),
     /* 644048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 644053 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 644060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 644065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 644068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644072 */     GIR_RootConstrainSelectedInstOperands,
     /* 644073 */     // GIR_Coverage, 4166,
     /* 644073 */     GIR_EraseRootFromParent_Done,
     /* 644074 */   // Label 8287: @644074
     /* 644074 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(644135), // Rule ID 4168 //
     /* 644079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 644082 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 644093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_saddr),
     /* 644104 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (GlobalSAddr:{ *:[iPTR] } SReg_64:{ *:[i64] }:$saddr, VGPR_32:{ *:[i32] }:$voffset, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (GLOBAL_ATOMIC_CMPSWAP_X2_SADDR_RTN:{ *:[i64] } ?:{ *:[i32] }:$voffset, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i64] }:$saddr, ?:{ *:[i32] }:$offset)
     /* 644104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_X2_SADDR_RTN),
     /* 644107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 644109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // voffset
     /* 644114 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // saddr
     /* 644121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 644126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 644129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644133 */     GIR_RootConstrainSelectedInstOperands,
     /* 644134 */     // GIR_Coverage, 4168,
     /* 644134 */     GIR_EraseRootFromParent_Done,
     /* 644135 */   // Label 8288: @644135
     /* 644135 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(644187), // Rule ID 4165 //
     /* 644140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 644143 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644150 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 644163 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (GLOBAL_ATOMIC_CMPSWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_X2),
     /* 644166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644171 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 644181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644185 */     GIR_RootConstrainSelectedInstOperands,
     /* 644186 */     // GIR_Coverage, 4165,
     /* 644186 */     GIR_EraseRootFromParent_Done,
     /* 644187 */   // Label 8289: @644187
     /* 644187 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(644243), // Rule ID 4167 //
     /* 644192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatGlobalInsts),
     /* 644195 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 644206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_global_offset),
     /* 644217 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (GlobalOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (GLOBAL_ATOMIC_CMPSWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::GLOBAL_ATOMIC_CMPSWAP_X2_RTN),
     /* 644220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 644222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644227 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 644237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644241 */     GIR_RootConstrainSelectedInstOperands,
     /* 644242 */     // GIR_Coverage, 4167,
     /* 644242 */     GIR_EraseRootFromParent_Done,
     /* 644243 */   // Label 8290: @644243
     /* 644243 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(644296), // Rule ID 3744 //
     /* 644248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 644251 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644259 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 644272 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_flat_noret_i64>>  =>  (FLAT_ATOMIC_CMPSWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_X2),
     /* 644275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644280 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 644290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644294 */     GIR_RootConstrainSelectedInstOperands,
     /* 644295 */     // GIR_Coverage, 3744,
     /* 644295 */     GIR_EraseRootFromParent_Done,
     /* 644296 */   // Label 8291: @644296
     /* 644296 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(644348), // Rule ID 3804 //
     /* 644301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 644304 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644311 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 644324 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_noret_i64>>  =>  (FLAT_ATOMIC_CMPSWAP_X2 VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_X2),
     /* 644327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644332 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 644342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644346 */     GIR_RootConstrainSelectedInstOperands,
     /* 644347 */     // GIR_Coverage, 3804,
     /* 644347 */     GIR_EraseRootFromParent_Done,
     /* 644348 */   // Label 8292: @644348
     /* 644348 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(644405), // Rule ID 3743 //
     /* 644353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 644356 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/4, /*AddrSpace*/0, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 644368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 644379 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_flat_i64>>  =>  (FLAT_ATOMIC_CMPSWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_X2_RTN),
     /* 644382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 644384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644389 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 644399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644403 */     GIR_RootConstrainSelectedInstOperands,
     /* 644404 */     // GIR_Coverage, 3743,
     /* 644404 */     GIR_EraseRootFromParent_Done,
     /* 644405 */   // Label 8293: @644405
     /* 644405 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(644461), // Rule ID 3803 //
     /* 644410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatAddressSpace),
     /* 644413 */     GIM_CheckMemoryAddressSpace, /*MI*/0, /*MMO*/0, /*NumAddrSpace*/3, /*AddrSpace*/1, /*AddrSpace*/4, /*AddrSpace*/6,
     /* 644420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 644424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 644428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_flat_offset),
     /* 644435 */     // (AMDGPUatomic_cmp_swap:{ *:[i64] } (FlatOffset:{ *:[iPTR] } i64:{ *:[i64] }:$vaddr, i32:{ *:[i32] }:$offset), v2i64:{ *:[v2i64] }:$data)<<P:Predicate_AMDGPUatomic_cmp_swap_global_i64>>  =>  (FLAT_ATOMIC_CMPSWAP_X2_RTN:{ *:[i64] } VReg_64:{ *:[i64] }:$vaddr, anonymous_9772:{ *:[v2i64] }:$data, ?:{ *:[i32] }:$offset)
     /* 644435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::FLAT_ATOMIC_CMPSWAP_X2_RTN),
     /* 644438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 644440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vaddr
     /* 644445 */     GIR_RootToRootCopy, /*OpIdx*/2, // data
     /* 644447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 644452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 644455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644459 */     GIR_RootConstrainSelectedInstOperands,
     /* 644460 */     // GIR_Coverage, 3803,
     /* 644460 */     GIR_EraseRootFromParent_Done,
     /* 644461 */   // Label 8294: @644461
     /* 644461 */   GIM_Reject,
     /* 644462 */ // Label 8278: @644462
     /* 644462 */ GIM_Reject,
     /* 644463 */ // Label 8260: @644463
     /* 644463 */ GIM_Reject,
     /* 644464 */ // Label 110: @644464
     /* 644464 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8297*/ GIMT_Encode4(646847),
     /* 644475 */ /*GILLT_s32*//*Label 8295*/ GIMT_Encode4(644483),
     /* 644479 */ /*GILLT_s64*//*Label 8296*/ GIMT_Encode4(645665),
     /* 644483 */ // Label 8295: @644483
     /* 644483 */ GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(645664),
     /* 644488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 644491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 644494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 644497 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 644500 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 644503 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(644571), // Rule ID 5912 //
     /* 644508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 644511 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 644521 */     // MIs[0] offset
     /* 644521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644524 */     // MIs[0] auxiliary
     /* 644524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644527 */     // MIs[0] Operand 8
     /* 644527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644545 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFSET),
     /* 644548 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644557 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644559 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 644565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644569 */     GIR_RootConstrainSelectedInstOperands,
     /* 644570 */     // GIR_Coverage, 5912,
     /* 644570 */     GIR_EraseRootFromParent_Done,
     /* 644571 */   // Label 8299: @644571
     /* 644571 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(644636), // Rule ID 5920 //
     /* 644576 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 644586 */     // MIs[0] offset
     /* 644586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644589 */     // MIs[0] auxiliary
     /* 644589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644592 */     // MIs[0] Operand 8
     /* 644592 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644610 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFSET),
     /* 644613 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644622 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644624 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 644630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644634 */     GIR_RootConstrainSelectedInstOperands,
     /* 644635 */     // GIR_Coverage, 5920,
     /* 644635 */     GIR_EraseRootFromParent_Done,
     /* 644636 */   // Label 8300: @644636
     /* 644636 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(644708), // Rule ID 5908 //
     /* 644641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 644644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 644648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 644656 */     // MIs[0] offset
     /* 644656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644659 */     // MIs[0] auxiliary
     /* 644659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644662 */     // MIs[0] Operand 8
     /* 644662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644680 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFSET_RTN),
     /* 644683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 644685 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644694 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644696 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 644702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644706 */     GIR_RootConstrainSelectedInstOperands,
     /* 644707 */     // GIR_Coverage, 5908,
     /* 644707 */     GIR_EraseRootFromParent_Done,
     /* 644708 */   // Label 8301: @644708
     /* 644708 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(644777), // Rule ID 5916 //
     /* 644713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 644717 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644721 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 644725 */     // MIs[0] offset
     /* 644725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644728 */     // MIs[0] auxiliary
     /* 644728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644731 */     // MIs[0] Operand 8
     /* 644731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644749 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFSET_RTN),
     /* 644752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 644754 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644763 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644765 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 644771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644775 */     GIR_RootConstrainSelectedInstOperands,
     /* 644776 */     // GIR_Coverage, 5916,
     /* 644776 */     GIR_EraseRootFromParent_Done,
     /* 644777 */   // Label 8302: @644777
     /* 644777 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(644843), // Rule ID 5914 //
     /* 644782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 644785 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644791 */     // MIs[0] offset
     /* 644791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644794 */     // MIs[0] auxiliary
     /* 644794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644797 */     // MIs[0] Operand 8
     /* 644797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644815 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFEN),
     /* 644818 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644820 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 644822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644829 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 644837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644841 */     GIR_RootConstrainSelectedInstOperands,
     /* 644842 */     // GIR_Coverage, 5914,
     /* 644842 */     GIR_EraseRootFromParent_Done,
     /* 644843 */   // Label 8303: @644843
     /* 644843 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(644906), // Rule ID 5922 //
     /* 644848 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 644850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644854 */     // MIs[0] offset
     /* 644854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644857 */     // MIs[0] auxiliary
     /* 644857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644860 */     // MIs[0] Operand 8
     /* 644860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644878 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFEN),
     /* 644881 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644883 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 644885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644892 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644894 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 644900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644904 */     GIR_RootConstrainSelectedInstOperands,
     /* 644905 */     // GIR_Coverage, 5922,
     /* 644905 */     GIR_EraseRootFromParent_Done,
     /* 644906 */   // Label 8304: @644906
     /* 644906 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(644976), // Rule ID 5910 //
     /* 644911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 644914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 644918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644922 */     // MIs[0] offset
     /* 644922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644925 */     // MIs[0] auxiliary
     /* 644925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644928 */     // MIs[0] Operand 8
     /* 644928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 644939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 644946 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 644946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_OFFEN_RTN),
     /* 644949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 644951 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 644953 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 644955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 644957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 644962 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 644964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 644970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 644974 */     GIR_RootConstrainSelectedInstOperands,
     /* 644975 */     // GIR_Coverage, 5910,
     /* 644975 */     GIR_EraseRootFromParent_Done,
     /* 644976 */   // Label 8305: @644976
     /* 644976 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(645043), // Rule ID 5918 //
     /* 644981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 644985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 644989 */     // MIs[0] offset
     /* 644989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 644992 */     // MIs[0] auxiliary
     /* 644992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 644995 */     // MIs[0] Operand 8
     /* 644995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645013 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_OFFEN_RTN),
     /* 645016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645018 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645020 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 645022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645029 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645031 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645041 */     GIR_RootConstrainSelectedInstOperands,
     /* 645042 */     // GIR_Coverage, 5918,
     /* 645042 */     GIR_EraseRootFromParent_Done,
     /* 645043 */   // Label 8306: @645043
     /* 645043 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(645101), // Rule ID 5913 //
     /* 645048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645051 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645053 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645057 */     // MIs[0] offset
     /* 645057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645060 */     // MIs[0] auxiliary
     /* 645060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645063 */     // MIs[0] Operand 8
     /* 645063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645073 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_IDXEN),
     /* 645076 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645078 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 645080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645087 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645089 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645099 */     GIR_RootConstrainSelectedInstOperands,
     /* 645100 */     // GIR_Coverage, 5913,
     /* 645100 */     GIR_EraseRootFromParent_Done,
     /* 645101 */   // Label 8307: @645101
     /* 645101 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(645156), // Rule ID 5921 //
     /* 645106 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645112 */     // MIs[0] offset
     /* 645112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645115 */     // MIs[0] auxiliary
     /* 645115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645118 */     // MIs[0] Operand 8
     /* 645118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645128 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_IDXEN),
     /* 645131 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645133 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 645135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645142 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645144 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645154 */     GIR_RootConstrainSelectedInstOperands,
     /* 645155 */     // GIR_Coverage, 5921,
     /* 645155 */     GIR_EraseRootFromParent_Done,
     /* 645156 */   // Label 8308: @645156
     /* 645156 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(645218), // Rule ID 5909 //
     /* 645161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 645168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645172 */     // MIs[0] offset
     /* 645172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645175 */     // MIs[0] auxiliary
     /* 645175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645178 */     // MIs[0] Operand 8
     /* 645178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645188 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_IDXEN_RTN),
     /* 645191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645193 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645195 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 645197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645204 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645206 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645216 */     GIR_RootConstrainSelectedInstOperands,
     /* 645217 */     // GIR_Coverage, 5909,
     /* 645217 */     GIR_EraseRootFromParent_Done,
     /* 645218 */   // Label 8309: @645218
     /* 645218 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(645277), // Rule ID 5917 //
     /* 645223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 645227 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645231 */     // MIs[0] offset
     /* 645231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645234 */     // MIs[0] auxiliary
     /* 645234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645237 */     // MIs[0] Operand 8
     /* 645237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645247 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_IDXEN_RTN),
     /* 645250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645252 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645254 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 645256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645263 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645265 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645275 */     GIR_RootConstrainSelectedInstOperands,
     /* 645276 */     // GIR_Coverage, 5917,
     /* 645276 */     GIR_EraseRootFromParent_Done,
     /* 645277 */   // Label 8310: @645277
     /* 645277 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(645373), // Rule ID 5915 //
     /* 645282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645285 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645287 */     // MIs[0] offset
     /* 645287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645290 */     // MIs[0] auxiliary
     /* 645290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645293 */     // MIs[0] Operand 8
     /* 645293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645303 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 645306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 645310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 645315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 645319 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 645322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 645326 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 645329 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 645334 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645339 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_BOTHEN),
     /* 645347 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 645352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645359 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645361 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645371 */     GIR_RootConstrainSelectedInstOperands,
     /* 645372 */     // GIR_Coverage, 5915,
     /* 645372 */     GIR_EraseRootFromParent_Done,
     /* 645373 */   // Label 8311: @645373
     /* 645373 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(645466), // Rule ID 5923 //
     /* 645378 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645380 */     // MIs[0] offset
     /* 645380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645383 */     // MIs[0] auxiliary
     /* 645383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645386 */     // MIs[0] Operand 8
     /* 645386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645396 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 645399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 645403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 645408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 645412 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 645415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 645419 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 645422 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 645427 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_BOTHEN),
     /* 645440 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 645445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645452 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645454 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645464 */     GIR_RootConstrainSelectedInstOperands,
     /* 645465 */     // GIR_Coverage, 5923,
     /* 645465 */     GIR_EraseRootFromParent_Done,
     /* 645466 */   // Label 8312: @645466
     /* 645466 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(645566), // Rule ID 5911 //
     /* 645471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 645478 */     // MIs[0] offset
     /* 645478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645481 */     // MIs[0] auxiliary
     /* 645481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645484 */     // MIs[0] Operand 8
     /* 645484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645494 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 645497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 645501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 645506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 645510 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 645513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 645517 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 645520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 645525 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_BOTHEN_RTN),
     /* 645538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645540 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 645545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645552 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645554 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645564 */     GIR_RootConstrainSelectedInstOperands,
     /* 645565 */     // GIR_Coverage, 5911,
     /* 645565 */     GIR_EraseRootFromParent_Done,
     /* 645566 */   // Label 8313: @645566
     /* 645566 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(645663), // Rule ID 5919 //
     /* 645571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 645575 */     // MIs[0] offset
     /* 645575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645578 */     // MIs[0] auxiliary
     /* 645578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645581 */     // MIs[0] Operand 8
     /* 645581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 645584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645591 */     // (SIbuffer_atomic_add:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 645594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 645598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 645603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 645607 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 645610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 645614 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 645617 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 645622 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645627 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 645632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_VBUFFER_BOTHEN_RTN),
     /* 645635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645637 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 645642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645649 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645651 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645661 */     GIR_RootConstrainSelectedInstOperands,
     /* 645662 */     // GIR_Coverage, 5919,
     /* 645662 */     GIR_EraseRootFromParent_Done,
     /* 645663 */   // Label 8314: @645663
     /* 645663 */   GIM_Reject,
     /* 645664 */ // Label 8298: @645664
     /* 645664 */ GIM_Reject,
     /* 645665 */ // Label 8296: @645665
     /* 645665 */ GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(646846),
     /* 645670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 645673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 645676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 645679 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 645682 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 645685 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(645753), // Rule ID 6112 //
     /* 645690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645693 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645695 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 645699 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645703 */     // MIs[0] offset
     /* 645703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645706 */     // MIs[0] auxiliary
     /* 645706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645709 */     // MIs[0] Operand 8
     /* 645709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645727 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFSET),
     /* 645730 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645739 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645741 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645751 */     GIR_RootConstrainSelectedInstOperands,
     /* 645752 */     // GIR_Coverage, 6112,
     /* 645752 */     GIR_EraseRootFromParent_Done,
     /* 645753 */   // Label 8316: @645753
     /* 645753 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(645818), // Rule ID 6120 //
     /* 645758 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645760 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 645764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645768 */     // MIs[0] offset
     /* 645768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645771 */     // MIs[0] auxiliary
     /* 645771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645774 */     // MIs[0] Operand 8
     /* 645774 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645792 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET),
     /* 645795 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645804 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645806 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 645812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645816 */     GIR_RootConstrainSelectedInstOperands,
     /* 645817 */     // GIR_Coverage, 6120,
     /* 645817 */     GIR_EraseRootFromParent_Done,
     /* 645818 */   // Label 8317: @645818
     /* 645818 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(645890), // Rule ID 6108 //
     /* 645823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 645830 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 645834 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645838 */     // MIs[0] offset
     /* 645838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645841 */     // MIs[0] auxiliary
     /* 645841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645844 */     // MIs[0] Operand 8
     /* 645844 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645862 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFSET_RTN),
     /* 645865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645867 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645876 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645878 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645888 */     GIR_RootConstrainSelectedInstOperands,
     /* 645889 */     // GIR_Coverage, 6108,
     /* 645889 */     GIR_EraseRootFromParent_Done,
     /* 645890 */   // Label 8318: @645890
     /* 645890 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(645959), // Rule ID 6116 //
     /* 645895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 645899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 645903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 645907 */     // MIs[0] offset
     /* 645907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645910 */     // MIs[0] auxiliary
     /* 645910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645913 */     // MIs[0] Operand 8
     /* 645913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645931 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFSET_RTN),
     /* 645934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 645936 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 645938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 645940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 645945 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 645947 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 645953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 645957 */     GIR_RootConstrainSelectedInstOperands,
     /* 645958 */     // GIR_Coverage, 6116,
     /* 645958 */     GIR_EraseRootFromParent_Done,
     /* 645959 */   // Label 8319: @645959
     /* 645959 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(646025), // Rule ID 6114 //
     /* 645964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 645967 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 645969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 645973 */     // MIs[0] offset
     /* 645973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 645976 */     // MIs[0] auxiliary
     /* 645976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 645979 */     // MIs[0] Operand 8
     /* 645979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 645990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 645997 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 645997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFEN),
     /* 646000 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646002 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 646004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646011 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646013 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646023 */     GIR_RootConstrainSelectedInstOperands,
     /* 646024 */     // GIR_Coverage, 6114,
     /* 646024 */     GIR_EraseRootFromParent_Done,
     /* 646025 */   // Label 8320: @646025
     /* 646025 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(646088), // Rule ID 6122 //
     /* 646030 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 646036 */     // MIs[0] offset
     /* 646036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646039 */     // MIs[0] auxiliary
     /* 646039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646042 */     // MIs[0] Operand 8
     /* 646042 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 646053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646060 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFEN),
     /* 646063 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646065 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 646067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646074 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646076 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646086 */     GIR_RootConstrainSelectedInstOperands,
     /* 646087 */     // GIR_Coverage, 6122,
     /* 646087 */     GIR_EraseRootFromParent_Done,
     /* 646088 */   // Label 8321: @646088
     /* 646088 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(646158), // Rule ID 6110 //
     /* 646093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 646104 */     // MIs[0] offset
     /* 646104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646107 */     // MIs[0] auxiliary
     /* 646107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646110 */     // MIs[0] Operand 8
     /* 646110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 646121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646128 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_OFFEN_RTN),
     /* 646131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646133 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646135 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 646137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646144 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646146 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646156 */     GIR_RootConstrainSelectedInstOperands,
     /* 646157 */     // GIR_Coverage, 6110,
     /* 646157 */     GIR_EraseRootFromParent_Done,
     /* 646158 */   // Label 8322: @646158
     /* 646158 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(646225), // Rule ID 6118 //
     /* 646163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646167 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 646171 */     // MIs[0] offset
     /* 646171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646174 */     // MIs[0] auxiliary
     /* 646174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646177 */     // MIs[0] Operand 8
     /* 646177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 646188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646195 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_OFFEN_RTN),
     /* 646198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646200 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646202 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 646204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646211 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646213 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646223 */     GIR_RootConstrainSelectedInstOperands,
     /* 646224 */     // GIR_Coverage, 6118,
     /* 646224 */     GIR_EraseRootFromParent_Done,
     /* 646225 */   // Label 8323: @646225
     /* 646225 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(646283), // Rule ID 6113 //
     /* 646230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646233 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646235 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646239 */     // MIs[0] offset
     /* 646239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646242 */     // MIs[0] auxiliary
     /* 646242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646245 */     // MIs[0] Operand 8
     /* 646245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646255 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_IDXEN),
     /* 646258 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646260 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 646262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646269 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646271 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646281 */     GIR_RootConstrainSelectedInstOperands,
     /* 646282 */     // GIR_Coverage, 6113,
     /* 646282 */     GIR_EraseRootFromParent_Done,
     /* 646283 */   // Label 8324: @646283
     /* 646283 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(646338), // Rule ID 6121 //
     /* 646288 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646294 */     // MIs[0] offset
     /* 646294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646297 */     // MIs[0] auxiliary
     /* 646297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646300 */     // MIs[0] Operand 8
     /* 646300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646310 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_IDXEN),
     /* 646313 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646315 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 646317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646324 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646326 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646336 */     GIR_RootConstrainSelectedInstOperands,
     /* 646337 */     // GIR_Coverage, 6121,
     /* 646337 */     GIR_EraseRootFromParent_Done,
     /* 646338 */   // Label 8325: @646338
     /* 646338 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(646400), // Rule ID 6109 //
     /* 646343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646354 */     // MIs[0] offset
     /* 646354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646357 */     // MIs[0] auxiliary
     /* 646357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646360 */     // MIs[0] Operand 8
     /* 646360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646370 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_IDXEN_RTN),
     /* 646373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646375 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646377 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 646379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646386 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646388 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646398 */     GIR_RootConstrainSelectedInstOperands,
     /* 646399 */     // GIR_Coverage, 6109,
     /* 646399 */     GIR_EraseRootFromParent_Done,
     /* 646400 */   // Label 8326: @646400
     /* 646400 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(646459), // Rule ID 6117 //
     /* 646405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646413 */     // MIs[0] offset
     /* 646413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646416 */     // MIs[0] auxiliary
     /* 646416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646419 */     // MIs[0] Operand 8
     /* 646419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646429 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_IDXEN_RTN),
     /* 646432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646434 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646436 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 646438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646445 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646447 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646457 */     GIR_RootConstrainSelectedInstOperands,
     /* 646458 */     // GIR_Coverage, 6117,
     /* 646458 */     GIR_EraseRootFromParent_Done,
     /* 646459 */   // Label 8327: @646459
     /* 646459 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(646555), // Rule ID 6115 //
     /* 646464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646467 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646469 */     // MIs[0] offset
     /* 646469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646472 */     // MIs[0] auxiliary
     /* 646472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646475 */     // MIs[0] Operand 8
     /* 646475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646485 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 646488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 646492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 646497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 646501 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 646504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 646508 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 646511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 646516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_BOTHEN),
     /* 646529 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 646534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646541 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646543 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646553 */     GIR_RootConstrainSelectedInstOperands,
     /* 646554 */     // GIR_Coverage, 6115,
     /* 646554 */     GIR_EraseRootFromParent_Done,
     /* 646555 */   // Label 8328: @646555
     /* 646555 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(646648), // Rule ID 6123 //
     /* 646560 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646562 */     // MIs[0] offset
     /* 646562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646565 */     // MIs[0] auxiliary
     /* 646565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646568 */     // MIs[0] Operand 8
     /* 646568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646578 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_add_noret>>  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 646581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 646585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 646590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 646594 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 646597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 646601 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 646604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 646609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_BOTHEN),
     /* 646622 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 646627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646634 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646636 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646646 */     GIR_RootConstrainSelectedInstOperands,
     /* 646647 */     // GIR_Coverage, 6123,
     /* 646647 */     GIR_EraseRootFromParent_Done,
     /* 646648 */   // Label 8329: @646648
     /* 646648 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(646748), // Rule ID 6111 //
     /* 646653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646660 */     // MIs[0] offset
     /* 646660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646663 */     // MIs[0] auxiliary
     /* 646663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646666 */     // MIs[0] Operand 8
     /* 646666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646676 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 646679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 646683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 646688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 646692 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 646695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 646699 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 646702 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 646707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_BOTHEN_RTN),
     /* 646720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646722 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 646727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646734 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646736 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646746 */     GIR_RootConstrainSelectedInstOperands,
     /* 646747 */     // GIR_Coverage, 6111,
     /* 646747 */     GIR_EraseRootFromParent_Done,
     /* 646748 */   // Label 8330: @646748
     /* 646748 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(646845), // Rule ID 6119 //
     /* 646753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 646757 */     // MIs[0] offset
     /* 646757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646760 */     // MIs[0] auxiliary
     /* 646760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646763 */     // MIs[0] Operand 8
     /* 646763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 646766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646773 */     // (SIbuffer_atomic_add:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 646776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 646780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 646785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 646789 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 646792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 646796 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 646799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 646804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 646814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_X2_VBUFFER_BOTHEN_RTN),
     /* 646817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 646819 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 646824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646831 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646833 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 646839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646843 */     GIR_RootConstrainSelectedInstOperands,
     /* 646844 */     // GIR_Coverage, 6119,
     /* 646844 */     GIR_EraseRootFromParent_Done,
     /* 646845 */   // Label 8331: @646845
     /* 646845 */   GIM_Reject,
     /* 646846 */ // Label 8315: @646846
     /* 646846 */ GIM_Reject,
     /* 646847 */ // Label 8297: @646847
     /* 646847 */ GIM_Reject,
     /* 646848 */ // Label 111: @646848
     /* 646848 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8334*/ GIMT_Encode4(649231),
     /* 646859 */ /*GILLT_s32*//*Label 8332*/ GIMT_Encode4(646867),
     /* 646863 */ /*GILLT_s64*//*Label 8333*/ GIMT_Encode4(648049),
     /* 646867 */ // Label 8332: @646867
     /* 646867 */ GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(648048),
     /* 646872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 646875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 646878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 646881 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 646884 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 646887 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(646955), // Rule ID 6008 //
     /* 646892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 646895 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646897 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 646901 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646905 */     // MIs[0] offset
     /* 646905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646908 */     // MIs[0] auxiliary
     /* 646908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646911 */     // MIs[0] Operand 8
     /* 646911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 646922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646929 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFSET),
     /* 646932 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 646936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 646941 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 646943 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 646949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 646953 */     GIR_RootConstrainSelectedInstOperands,
     /* 646954 */     // GIR_Coverage, 6008,
     /* 646954 */     GIR_EraseRootFromParent_Done,
     /* 646955 */   // Label 8336: @646955
     /* 646955 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(647020), // Rule ID 6016 //
     /* 646960 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 646962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 646966 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 646970 */     // MIs[0] offset
     /* 646970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 646973 */     // MIs[0] auxiliary
     /* 646973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 646976 */     // MIs[0] Operand 8
     /* 646976 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 646987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 646994 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 646994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFSET),
     /* 646997 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 646999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647006 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647008 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647018 */     GIR_RootConstrainSelectedInstOperands,
     /* 647019 */     // GIR_Coverage, 6016,
     /* 647019 */     GIR_EraseRootFromParent_Done,
     /* 647020 */   // Label 8337: @647020
     /* 647020 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(647092), // Rule ID 6004 //
     /* 647025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647040 */     // MIs[0] offset
     /* 647040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647043 */     // MIs[0] auxiliary
     /* 647043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647046 */     // MIs[0] Operand 8
     /* 647046 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647064 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFSET_RTN),
     /* 647067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647069 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647078 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647080 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647090 */     GIR_RootConstrainSelectedInstOperands,
     /* 647091 */     // GIR_Coverage, 6004,
     /* 647091 */     GIR_EraseRootFromParent_Done,
     /* 647092 */   // Label 8338: @647092
     /* 647092 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(647161), // Rule ID 6012 //
     /* 647097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647109 */     // MIs[0] offset
     /* 647109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647112 */     // MIs[0] auxiliary
     /* 647112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647115 */     // MIs[0] Operand 8
     /* 647115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647133 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFSET_RTN),
     /* 647136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647138 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647147 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647149 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647159 */     GIR_RootConstrainSelectedInstOperands,
     /* 647160 */     // GIR_Coverage, 6012,
     /* 647160 */     GIR_EraseRootFromParent_Done,
     /* 647161 */   // Label 8339: @647161
     /* 647161 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(647227), // Rule ID 6010 //
     /* 647166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647169 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647175 */     // MIs[0] offset
     /* 647175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647178 */     // MIs[0] auxiliary
     /* 647178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647181 */     // MIs[0] Operand 8
     /* 647181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647199 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFEN),
     /* 647202 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647204 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 647206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647213 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647215 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647225 */     GIR_RootConstrainSelectedInstOperands,
     /* 647226 */     // GIR_Coverage, 6010,
     /* 647226 */     GIR_EraseRootFromParent_Done,
     /* 647227 */   // Label 8340: @647227
     /* 647227 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(647290), // Rule ID 6018 //
     /* 647232 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647238 */     // MIs[0] offset
     /* 647238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647241 */     // MIs[0] auxiliary
     /* 647241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647244 */     // MIs[0] Operand 8
     /* 647244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647262 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFEN),
     /* 647265 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647267 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 647269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647276 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647278 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647288 */     GIR_RootConstrainSelectedInstOperands,
     /* 647289 */     // GIR_Coverage, 6018,
     /* 647289 */     GIR_EraseRootFromParent_Done,
     /* 647290 */   // Label 8341: @647290
     /* 647290 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(647360), // Rule ID 6006 //
     /* 647295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647306 */     // MIs[0] offset
     /* 647306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647309 */     // MIs[0] auxiliary
     /* 647309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647312 */     // MIs[0] Operand 8
     /* 647312 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647330 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_OFFEN_RTN),
     /* 647333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647335 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647337 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 647339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647346 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647358 */     GIR_RootConstrainSelectedInstOperands,
     /* 647359 */     // GIR_Coverage, 6006,
     /* 647359 */     GIR_EraseRootFromParent_Done,
     /* 647360 */   // Label 8342: @647360
     /* 647360 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(647427), // Rule ID 6014 //
     /* 647365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647369 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 647373 */     // MIs[0] offset
     /* 647373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647376 */     // MIs[0] auxiliary
     /* 647376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647379 */     // MIs[0] Operand 8
     /* 647379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 647390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647397 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_OFFEN_RTN),
     /* 647400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647402 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647404 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 647406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647413 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647415 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647425 */     GIR_RootConstrainSelectedInstOperands,
     /* 647426 */     // GIR_Coverage, 6014,
     /* 647426 */     GIR_EraseRootFromParent_Done,
     /* 647427 */   // Label 8343: @647427
     /* 647427 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(647485), // Rule ID 6009 //
     /* 647432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647435 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647437 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647441 */     // MIs[0] offset
     /* 647441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647444 */     // MIs[0] auxiliary
     /* 647444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647447 */     // MIs[0] Operand 8
     /* 647447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647457 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_IDXEN),
     /* 647460 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647462 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 647464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647471 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647483 */     GIR_RootConstrainSelectedInstOperands,
     /* 647484 */     // GIR_Coverage, 6009,
     /* 647484 */     GIR_EraseRootFromParent_Done,
     /* 647485 */   // Label 8344: @647485
     /* 647485 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(647540), // Rule ID 6017 //
     /* 647490 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647496 */     // MIs[0] offset
     /* 647496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647499 */     // MIs[0] auxiliary
     /* 647499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647502 */     // MIs[0] Operand 8
     /* 647502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647512 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_IDXEN),
     /* 647515 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647517 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 647519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647526 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647538 */     GIR_RootConstrainSelectedInstOperands,
     /* 647539 */     // GIR_Coverage, 6017,
     /* 647539 */     GIR_EraseRootFromParent_Done,
     /* 647540 */   // Label 8345: @647540
     /* 647540 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(647602), // Rule ID 6005 //
     /* 647545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647556 */     // MIs[0] offset
     /* 647556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647559 */     // MIs[0] auxiliary
     /* 647559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647562 */     // MIs[0] Operand 8
     /* 647562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647572 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_IDXEN_RTN),
     /* 647575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647577 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647579 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 647581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647588 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647600 */     GIR_RootConstrainSelectedInstOperands,
     /* 647601 */     // GIR_Coverage, 6005,
     /* 647601 */     GIR_EraseRootFromParent_Done,
     /* 647602 */   // Label 8346: @647602
     /* 647602 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(647661), // Rule ID 6013 //
     /* 647607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647611 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 647615 */     // MIs[0] offset
     /* 647615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647618 */     // MIs[0] auxiliary
     /* 647618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647621 */     // MIs[0] Operand 8
     /* 647621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647631 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_IDXEN_RTN),
     /* 647634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647636 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647638 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 647640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647647 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647649 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647659 */     GIR_RootConstrainSelectedInstOperands,
     /* 647660 */     // GIR_Coverage, 6013,
     /* 647660 */     GIR_EraseRootFromParent_Done,
     /* 647661 */   // Label 8347: @647661
     /* 647661 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(647757), // Rule ID 6011 //
     /* 647666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647669 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647671 */     // MIs[0] offset
     /* 647671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647674 */     // MIs[0] auxiliary
     /* 647674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647677 */     // MIs[0] Operand 8
     /* 647677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647687 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 647690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 647694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 647699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 647703 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 647706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 647710 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 647713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 647718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_BOTHEN),
     /* 647731 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 647736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647743 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647745 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647755 */     GIR_RootConstrainSelectedInstOperands,
     /* 647756 */     // GIR_Coverage, 6011,
     /* 647756 */     GIR_EraseRootFromParent_Done,
     /* 647757 */   // Label 8348: @647757
     /* 647757 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(647850), // Rule ID 6019 //
     /* 647762 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 647764 */     // MIs[0] offset
     /* 647764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647767 */     // MIs[0] auxiliary
     /* 647767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647770 */     // MIs[0] Operand 8
     /* 647770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647780 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 647783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 647787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 647792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 647796 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 647799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 647803 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 647806 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 647811 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_BOTHEN),
     /* 647824 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 647829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647836 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647838 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 647844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647848 */     GIR_RootConstrainSelectedInstOperands,
     /* 647849 */     // GIR_Coverage, 6019,
     /* 647849 */     GIR_EraseRootFromParent_Done,
     /* 647850 */   // Label 8349: @647850
     /* 647850 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(647950), // Rule ID 6007 //
     /* 647855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 647858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647862 */     // MIs[0] offset
     /* 647862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647865 */     // MIs[0] auxiliary
     /* 647865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647868 */     // MIs[0] Operand 8
     /* 647868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647878 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 647881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 647885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 647890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 647894 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 647897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 647901 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 647904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 647909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 647919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_BOTHEN_RTN),
     /* 647922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 647924 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 647926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 647929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 647931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 647936 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 647938 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 647944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 647948 */     GIR_RootConstrainSelectedInstOperands,
     /* 647949 */     // GIR_Coverage, 6007,
     /* 647949 */     GIR_EraseRootFromParent_Done,
     /* 647950 */   // Label 8350: @647950
     /* 647950 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(648047), // Rule ID 6015 //
     /* 647955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 647959 */     // MIs[0] offset
     /* 647959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 647962 */     // MIs[0] auxiliary
     /* 647962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 647965 */     // MIs[0] Operand 8
     /* 647965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 647968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 647975 */     // (SIbuffer_atomic_and:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 647975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 647978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 647982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 647987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 647991 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 647994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 647998 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 648001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 648006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 648011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 648016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_VBUFFER_BOTHEN_RTN),
     /* 648019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648021 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 648026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648033 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648035 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648045 */     GIR_RootConstrainSelectedInstOperands,
     /* 648046 */     // GIR_Coverage, 6015,
     /* 648046 */     GIR_EraseRootFromParent_Done,
     /* 648047 */   // Label 8351: @648047
     /* 648047 */   GIM_Reject,
     /* 648048 */ // Label 8335: @648048
     /* 648048 */ GIM_Reject,
     /* 648049 */ // Label 8333: @648049
     /* 648049 */ GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(649230),
     /* 648054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 648057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 648060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 648063 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 648066 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 648069 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(648137), // Rule ID 6208 //
     /* 648074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648077 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648079 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648083 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648087 */     // MIs[0] offset
     /* 648087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648090 */     // MIs[0] auxiliary
     /* 648090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648093 */     // MIs[0] Operand 8
     /* 648093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648111 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFSET),
     /* 648114 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648123 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648125 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648135 */     GIR_RootConstrainSelectedInstOperands,
     /* 648136 */     // GIR_Coverage, 6208,
     /* 648136 */     GIR_EraseRootFromParent_Done,
     /* 648137 */   // Label 8353: @648137
     /* 648137 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(648202), // Rule ID 6216 //
     /* 648142 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648148 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648152 */     // MIs[0] offset
     /* 648152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648155 */     // MIs[0] auxiliary
     /* 648155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648158 */     // MIs[0] Operand 8
     /* 648158 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648176 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET),
     /* 648179 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648188 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648190 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648200 */     GIR_RootConstrainSelectedInstOperands,
     /* 648201 */     // GIR_Coverage, 6216,
     /* 648201 */     GIR_EraseRootFromParent_Done,
     /* 648202 */   // Label 8354: @648202
     /* 648202 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(648274), // Rule ID 6204 //
     /* 648207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648214 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648222 */     // MIs[0] offset
     /* 648222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648225 */     // MIs[0] auxiliary
     /* 648225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648228 */     // MIs[0] Operand 8
     /* 648228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648246 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFSET_RTN),
     /* 648249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648251 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648260 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648262 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648272 */     GIR_RootConstrainSelectedInstOperands,
     /* 648273 */     // GIR_Coverage, 6204,
     /* 648273 */     GIR_EraseRootFromParent_Done,
     /* 648274 */   // Label 8355: @648274
     /* 648274 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(648343), // Rule ID 6212 //
     /* 648279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648283 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648287 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648291 */     // MIs[0] offset
     /* 648291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648294 */     // MIs[0] auxiliary
     /* 648294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648297 */     // MIs[0] Operand 8
     /* 648297 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648315 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFSET_RTN),
     /* 648318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648320 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648329 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648331 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648341 */     GIR_RootConstrainSelectedInstOperands,
     /* 648342 */     // GIR_Coverage, 6212,
     /* 648342 */     GIR_EraseRootFromParent_Done,
     /* 648343 */   // Label 8356: @648343
     /* 648343 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(648409), // Rule ID 6210 //
     /* 648348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648351 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648357 */     // MIs[0] offset
     /* 648357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648360 */     // MIs[0] auxiliary
     /* 648360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648363 */     // MIs[0] Operand 8
     /* 648363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648381 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFEN),
     /* 648384 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648386 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 648388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648395 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648397 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648407 */     GIR_RootConstrainSelectedInstOperands,
     /* 648408 */     // GIR_Coverage, 6210,
     /* 648408 */     GIR_EraseRootFromParent_Done,
     /* 648409 */   // Label 8357: @648409
     /* 648409 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(648472), // Rule ID 6218 //
     /* 648414 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648420 */     // MIs[0] offset
     /* 648420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648423 */     // MIs[0] auxiliary
     /* 648423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648426 */     // MIs[0] Operand 8
     /* 648426 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648444 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFEN),
     /* 648447 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648449 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 648451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648458 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648460 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648470 */     GIR_RootConstrainSelectedInstOperands,
     /* 648471 */     // GIR_Coverage, 6218,
     /* 648471 */     GIR_EraseRootFromParent_Done,
     /* 648472 */   // Label 8358: @648472
     /* 648472 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(648542), // Rule ID 6206 //
     /* 648477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648488 */     // MIs[0] offset
     /* 648488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648491 */     // MIs[0] auxiliary
     /* 648491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648494 */     // MIs[0] Operand 8
     /* 648494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648512 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_OFFEN_RTN),
     /* 648515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648517 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648519 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 648521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648528 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648530 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648540 */     GIR_RootConstrainSelectedInstOperands,
     /* 648541 */     // GIR_Coverage, 6206,
     /* 648541 */     GIR_EraseRootFromParent_Done,
     /* 648542 */   // Label 8359: @648542
     /* 648542 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(648609), // Rule ID 6214 //
     /* 648547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 648555 */     // MIs[0] offset
     /* 648555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648558 */     // MIs[0] auxiliary
     /* 648558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648561 */     // MIs[0] Operand 8
     /* 648561 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 648572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648579 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_OFFEN_RTN),
     /* 648582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648584 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648586 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 648588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648595 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648607 */     GIR_RootConstrainSelectedInstOperands,
     /* 648608 */     // GIR_Coverage, 6214,
     /* 648608 */     GIR_EraseRootFromParent_Done,
     /* 648609 */   // Label 8360: @648609
     /* 648609 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(648667), // Rule ID 6209 //
     /* 648614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648617 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648619 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648623 */     // MIs[0] offset
     /* 648623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648626 */     // MIs[0] auxiliary
     /* 648626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648629 */     // MIs[0] Operand 8
     /* 648629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648639 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_IDXEN),
     /* 648642 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648644 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 648646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648653 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648655 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648665 */     GIR_RootConstrainSelectedInstOperands,
     /* 648666 */     // GIR_Coverage, 6209,
     /* 648666 */     GIR_EraseRootFromParent_Done,
     /* 648667 */   // Label 8361: @648667
     /* 648667 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(648722), // Rule ID 6217 //
     /* 648672 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648674 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648678 */     // MIs[0] offset
     /* 648678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648681 */     // MIs[0] auxiliary
     /* 648681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648684 */     // MIs[0] Operand 8
     /* 648684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648694 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_IDXEN),
     /* 648697 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648699 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 648701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648708 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648720 */     GIR_RootConstrainSelectedInstOperands,
     /* 648721 */     // GIR_Coverage, 6217,
     /* 648721 */     GIR_EraseRootFromParent_Done,
     /* 648722 */   // Label 8362: @648722
     /* 648722 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(648784), // Rule ID 6205 //
     /* 648727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648734 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648738 */     // MIs[0] offset
     /* 648738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648741 */     // MIs[0] auxiliary
     /* 648741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648744 */     // MIs[0] Operand 8
     /* 648744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648754 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_IDXEN_RTN),
     /* 648757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648759 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 648763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648770 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648772 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648782 */     GIR_RootConstrainSelectedInstOperands,
     /* 648783 */     // GIR_Coverage, 6205,
     /* 648783 */     GIR_EraseRootFromParent_Done,
     /* 648784 */   // Label 8363: @648784
     /* 648784 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(648843), // Rule ID 6213 //
     /* 648789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 648793 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 648797 */     // MIs[0] offset
     /* 648797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648800 */     // MIs[0] auxiliary
     /* 648800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648803 */     // MIs[0] Operand 8
     /* 648803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648813 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_IDXEN_RTN),
     /* 648816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 648818 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648820 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 648822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648829 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 648837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648841 */     GIR_RootConstrainSelectedInstOperands,
     /* 648842 */     // GIR_Coverage, 6213,
     /* 648842 */     GIR_EraseRootFromParent_Done,
     /* 648843 */   // Label 8364: @648843
     /* 648843 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(648939), // Rule ID 6211 //
     /* 648848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 648851 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648853 */     // MIs[0] offset
     /* 648853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648856 */     // MIs[0] auxiliary
     /* 648856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648859 */     // MIs[0] Operand 8
     /* 648859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648869 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 648872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 648876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 648881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 648885 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 648888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 648892 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 648895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 648900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 648905 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 648910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_BOTHEN),
     /* 648913 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 648915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 648918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 648920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 648925 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 648927 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 648933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 648937 */     GIR_RootConstrainSelectedInstOperands,
     /* 648938 */     // GIR_Coverage, 6211,
     /* 648938 */     GIR_EraseRootFromParent_Done,
     /* 648939 */   // Label 8365: @648939
     /* 648939 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(649032), // Rule ID 6219 //
     /* 648944 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 648946 */     // MIs[0] offset
     /* 648946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 648949 */     // MIs[0] auxiliary
     /* 648949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 648952 */     // MIs[0] Operand 8
     /* 648952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 648955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 648962 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_and_noret>>  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 648962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 648965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 648969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 648974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 648978 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 648981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 648985 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 648988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 648993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 648998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_BOTHEN),
     /* 649006 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 649008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 649013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649018 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 649020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 649026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649030 */     GIR_RootConstrainSelectedInstOperands,
     /* 649031 */     // GIR_Coverage, 6219,
     /* 649031 */     GIR_EraseRootFromParent_Done,
     /* 649032 */   // Label 8366: @649032
     /* 649032 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(649132), // Rule ID 6207 //
     /* 649037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 649040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 649044 */     // MIs[0] offset
     /* 649044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 649047 */     // MIs[0] auxiliary
     /* 649047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649050 */     // MIs[0] Operand 8
     /* 649050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649060 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 649076 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 649083 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649086 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649096 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_BOTHEN_RTN),
     /* 649104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 649106 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 649108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 649113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649118 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 649120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 649126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649130 */     GIR_RootConstrainSelectedInstOperands,
     /* 649131 */     // GIR_Coverage, 6207,
     /* 649131 */     GIR_EraseRootFromParent_Done,
     /* 649132 */   // Label 8367: @649132
     /* 649132 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(649229), // Rule ID 6215 //
     /* 649137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 649141 */     // MIs[0] offset
     /* 649141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 649144 */     // MIs[0] auxiliary
     /* 649144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649147 */     // MIs[0] Operand 8
     /* 649147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649157 */     // (SIbuffer_atomic_and:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_AND_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 649173 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 649180 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_AND_X2_VBUFFER_BOTHEN_RTN),
     /* 649201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 649203 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 649205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 649210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649215 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 649217 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 649223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649227 */     GIR_RootConstrainSelectedInstOperands,
     /* 649228 */     // GIR_Coverage, 6215,
     /* 649228 */     GIR_EraseRootFromParent_Done,
     /* 649229 */   // Label 8368: @649229
     /* 649229 */   GIM_Reject,
     /* 649230 */ // Label 8352: @649230
     /* 649230 */ GIM_Reject,
     /* 649231 */ // Label 8334: @649231
     /* 649231 */ GIM_Reject,
     /* 649232 */ // Label 112: @649232
     /* 649232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8371*/ GIMT_Encode4(653525),
     /* 649243 */ /*GILLT_s32*//*Label 8369*/ GIMT_Encode4(649251),
     /* 649247 */ /*GILLT_s64*//*Label 8370*/ GIMT_Encode4(651388),
     /* 649251 */ // Label 8369: @649251
     /* 649251 */ GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(651387),
     /* 649256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 649259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 649262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 649265 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 649268 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 649271 */   GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 649274 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(649384), // Rule ID 6448 //
     /* 649279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 649282 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 649284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 649292 */     // MIs[0] offset
     /* 649292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649295 */     // MIs[0] auxiliary
     /* 649295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649298 */     // MIs[0] Operand 9
     /* 649298 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649316 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_OFFSET (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649332 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649339 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFSET),
     /* 649360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 649365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649370 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 649372 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 649378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649382 */     GIR_RootConstrainSelectedInstOperands,
     /* 649383 */     // GIR_Coverage, 6448,
     /* 649383 */     GIR_EraseRootFromParent_Done,
     /* 649384 */   // Label 8373: @649384
     /* 649384 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(649491), // Rule ID 6456 //
     /* 649389 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 649391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 649399 */     // MIs[0] offset
     /* 649399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649402 */     // MIs[0] auxiliary
     /* 649402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649405 */     // MIs[0] Operand 9
     /* 649405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649423 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649439 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649446 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649449 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET),
     /* 649467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 649472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649477 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 649479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 649485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649489 */     GIR_RootConstrainSelectedInstOperands,
     /* 649490 */     // GIR_Coverage, 6456,
     /* 649490 */     GIR_EraseRootFromParent_Done,
     /* 649491 */   // Label 8374: @649491
     /* 649491 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(649639), // Rule ID 6444 //
     /* 649496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 649499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 649503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 649511 */     // MIs[0] offset
     /* 649511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649514 */     // MIs[0] auxiliary
     /* 649514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649517 */     // MIs[0] Operand 9
     /* 649517 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649535 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_OFFSET_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 649535 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 649538 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649542 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649547 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649551 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 649554 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649558 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 649561 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649566 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649571 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFSET_RTN),
     /* 649583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649588 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 649591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 649595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 649604 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 649610 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 649616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 649619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 649621 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 649628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 649633 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 649638 */     // GIR_Coverage, 6444,
     /* 649638 */     GIR_EraseRootFromParent_Done,
     /* 649639 */   // Label 8375: @649639
     /* 649639 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(649784), // Rule ID 6452 //
     /* 649644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 649648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 649656 */     // MIs[0] offset
     /* 649656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649659 */     // MIs[0] auxiliary
     /* 649659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649662 */     // MIs[0] Operand 9
     /* 649662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649680 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 649680 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 649683 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649687 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649692 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649696 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 649699 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649703 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 649706 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649711 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649716 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFSET_RTN),
     /* 649728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649733 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 649736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 649740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 649749 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 649755 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 649761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 649764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 649766 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 649773 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 649778 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 649783 */     // GIR_Coverage, 6452,
     /* 649783 */     GIR_EraseRootFromParent_Done,
     /* 649784 */   // Label 8376: @649784
     /* 649784 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(649892), // Rule ID 6450 //
     /* 649789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 649792 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 649794 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649798 */     // MIs[0] offset
     /* 649798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649801 */     // MIs[0] auxiliary
     /* 649801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649804 */     // MIs[0] Operand 9
     /* 649804 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649822 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_OFFEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649838 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649845 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649848 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFEN),
     /* 649866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649869 */     GIR_RootToRootCopy, /*OpIdx*/5, // voffset
     /* 649871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 649873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649878 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 649880 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 649886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649890 */     GIR_RootConstrainSelectedInstOperands,
     /* 649891 */     // GIR_Coverage, 6450,
     /* 649891 */     GIR_EraseRootFromParent_Done,
     /* 649892 */   // Label 8377: @649892
     /* 649892 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(649997), // Rule ID 6458 //
     /* 649897 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 649899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 649903 */     // MIs[0] offset
     /* 649903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 649906 */     // MIs[0] auxiliary
     /* 649906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 649909 */     // MIs[0] Operand 9
     /* 649909 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 649920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 649927 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 649927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 649930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 649934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 649939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 649943 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 649946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 649950 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 649953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 649958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 649968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFEN),
     /* 649971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 649974 */     GIR_RootToRootCopy, /*OpIdx*/5, // voffset
     /* 649976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 649978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 649983 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 649985 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 649991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 649995 */     GIR_RootConstrainSelectedInstOperands,
     /* 649996 */     // GIR_Coverage, 6458,
     /* 649996 */     GIR_EraseRootFromParent_Done,
     /* 649997 */   // Label 8378: @649997
     /* 649997 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(650145), // Rule ID 6446 //
     /* 650002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 650005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 650013 */     // MIs[0] offset
     /* 650013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650016 */     // MIs[0] auxiliary
     /* 650016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650019 */     // MIs[0] Operand 9
     /* 650019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 650030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650037 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_OFFEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 650037 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650040 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650044 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650049 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650053 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650056 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650060 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650063 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650068 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650073 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_OFFEN_RTN),
     /* 650085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650090 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 650093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 650097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 650101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 650110 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 650116 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 650122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 650125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 650127 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 650134 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650139 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 650144 */     // GIR_Coverage, 6446,
     /* 650144 */     GIR_EraseRootFromParent_Done,
     /* 650145 */   // Label 8379: @650145
     /* 650145 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(650290), // Rule ID 6454 //
     /* 650150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 650158 */     // MIs[0] offset
     /* 650158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650161 */     // MIs[0] auxiliary
     /* 650161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650164 */     // MIs[0] Operand 9
     /* 650164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 650175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650182 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 650182 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650185 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650189 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650194 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650198 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650201 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650205 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650208 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650213 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650218 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_OFFEN_RTN),
     /* 650230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650235 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 650238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 650242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 650246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 650255 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 650261 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 650267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 650270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 650272 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 650279 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 650289 */     // GIR_Coverage, 6454,
     /* 650289 */     GIR_EraseRootFromParent_Done,
     /* 650290 */   // Label 8380: @650290
     /* 650290 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(650390), // Rule ID 6449 //
     /* 650295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 650298 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 650300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 650304 */     // MIs[0] offset
     /* 650304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650307 */     // MIs[0] auxiliary
     /* 650307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650310 */     // MIs[0] Operand 9
     /* 650310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650320 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_IDXEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 650320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650336 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 650339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650343 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 650346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_IDXEN),
     /* 650364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 650367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vindex
     /* 650369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 650371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650376 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 650378 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 650384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650388 */     GIR_RootConstrainSelectedInstOperands,
     /* 650389 */     // GIR_Coverage, 6449,
     /* 650389 */     GIR_EraseRootFromParent_Done,
     /* 650390 */   // Label 8381: @650390
     /* 650390 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(650487), // Rule ID 6457 //
     /* 650395 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 650397 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 650401 */     // MIs[0] offset
     /* 650401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650404 */     // MIs[0] auxiliary
     /* 650404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650407 */     // MIs[0] Operand 9
     /* 650407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650417 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_IDXEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 650417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650433 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 650436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650440 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 650443 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_IDXEN),
     /* 650461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 650464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vindex
     /* 650466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 650468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650473 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 650475 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 650481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650485 */     GIR_RootConstrainSelectedInstOperands,
     /* 650486 */     // GIR_Coverage, 6457,
     /* 650486 */     GIR_EraseRootFromParent_Done,
     /* 650487 */   // Label 8382: @650487
     /* 650487 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(650627), // Rule ID 6445 //
     /* 650492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 650495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650499 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 650503 */     // MIs[0] offset
     /* 650503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650506 */     // MIs[0] auxiliary
     /* 650506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650509 */     // MIs[0] Operand 9
     /* 650509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650519 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_IDXEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 650519 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650522 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650526 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650531 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650535 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650538 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650542 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650545 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650550 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650555 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_IDXEN_RTN),
     /* 650567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650572 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 650575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 650579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 650583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 650592 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 650598 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 650604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 650607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 650609 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 650616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 650626 */     // GIR_Coverage, 6445,
     /* 650626 */     GIR_EraseRootFromParent_Done,
     /* 650627 */   // Label 8383: @650627
     /* 650627 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(650764), // Rule ID 6453 //
     /* 650632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 650640 */     // MIs[0] offset
     /* 650640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650643 */     // MIs[0] auxiliary
     /* 650643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650646 */     // MIs[0] Operand 9
     /* 650646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650656 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_IDXEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 650656 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650659 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650663 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650668 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650672 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650675 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650679 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650682 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650687 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650692 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_IDXEN_RTN),
     /* 650704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650709 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 650712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 650716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 650720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 650729 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 650735 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 650741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 650744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 650746 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 650753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 650758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 650763 */     // GIR_Coverage, 6453,
     /* 650763 */     GIR_EraseRootFromParent_Done,
     /* 650764 */   // Label 8384: @650764
     /* 650764 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(650902), // Rule ID 6451 //
     /* 650769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 650772 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 650774 */     // MIs[0] offset
     /* 650774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650777 */     // MIs[0] auxiliary
     /* 650777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650780 */     // MIs[0] Operand 9
     /* 650780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650790 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_BOTHEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 650790 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650793 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650797 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650802 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 650806 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650809 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 650813 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650816 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650821 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650847 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 650850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650854 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 650857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_BOTHEN),
     /* 650875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 650878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 650881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 650883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 650888 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 650890 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 650896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 650900 */     GIR_RootConstrainSelectedInstOperands,
     /* 650901 */     // GIR_Coverage, 6451,
     /* 650901 */     GIR_EraseRootFromParent_Done,
     /* 650902 */   // Label 8385: @650902
     /* 650902 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(651037), // Rule ID 6459 //
     /* 650907 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 650909 */     // MIs[0] offset
     /* 650909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 650912 */     // MIs[0] auxiliary
     /* 650912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 650915 */     // MIs[0] Operand 9
     /* 650915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 650918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 650925 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_VBUFFER_BOTHEN (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 650925 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 650928 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650932 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650937 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 650941 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 650944 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 650948 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 650951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650956 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650961 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 650966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 650969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 650973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 650978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 650982 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 650985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 650989 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 650992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 650997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_BOTHEN),
     /* 651010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 651013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 651016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 651018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651023 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 651025 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 651031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651035 */     GIR_RootConstrainSelectedInstOperands,
     /* 651036 */     // GIR_Coverage, 6459,
     /* 651036 */     GIR_EraseRootFromParent_Done,
     /* 651037 */   // Label 8386: @651037
     /* 651037 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(651213), // Rule ID 6447 //
     /* 651042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 651045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 651049 */     // MIs[0] offset
     /* 651049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651052 */     // MIs[0] auxiliary
     /* 651052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651055 */     // MIs[0] Operand 9
     /* 651055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 651058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651065 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_BOTHEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 651065 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 651068 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651072 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651077 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 651081 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/3,
     /* 651084 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 651088 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/11,
     /* 651091 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651096 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651101 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 651109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651118 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651122 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 651125 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651129 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 651132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651137 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651142 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 651150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_BOTHEN_RTN),
     /* 651154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651159 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 651162 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 651165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 651169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 651178 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 651184 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 651190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 651193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 651195 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 651202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 651207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651212 */     // GIR_Coverage, 6447,
     /* 651212 */     GIR_EraseRootFromParent_Done,
     /* 651213 */   // Label 8387: @651213
     /* 651213 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(651386), // Rule ID 6455 //
     /* 651218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 651222 */     // MIs[0] offset
     /* 651222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651225 */     // MIs[0] auxiliary
     /* 651225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651228 */     // MIs[0] Operand 9
     /* 651228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 651231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651238 */     // (SIbuffer_atomic_cmpswap:{ *:[i32] } i32:{ *:[i32] }:$data, i32:{ *:[i32] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i32] } (BUFFER_ATOMIC_CMPSWAP_VBUFFER_BOTHEN_RTN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$data, sub0:{ *:[i32] }, anonymous_9775:{ *:[i32] }:$cmp, sub1:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0:{ *:[i32] })
     /* 651238 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 651241 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651245 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651250 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 651254 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/3,
     /* 651257 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 651261 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/11,
     /* 651264 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651269 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651274 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651279 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 651282 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651286 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651291 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651295 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 651298 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651302 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 651305 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651310 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651315 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 651320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 651323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_VBUFFER_BOTHEN_RTN),
     /* 651327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651332 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 651335 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 651338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 651342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 651351 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 651357 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 651363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 651366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 651368 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0),
     /* 651375 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 651380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651385 */     // GIR_Coverage, 6455,
     /* 651385 */     GIR_EraseRootFromParent_Done,
     /* 651386 */   // Label 8388: @651386
     /* 651386 */   GIM_Reject,
     /* 651387 */ // Label 8372: @651387
     /* 651387 */ GIM_Reject,
     /* 651388 */ // Label 8370: @651388
     /* 651388 */ GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(653524),
     /* 651393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 651396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 651399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 651402 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 651405 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 651408 */   GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 651411 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(651521), // Rule ID 6464 //
     /* 651416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 651419 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 651421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 651425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 651429 */     // MIs[0] offset
     /* 651429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651432 */     // MIs[0] auxiliary
     /* 651432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651435 */     // MIs[0] Operand 9
     /* 651435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 651446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651453 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_OFFSET (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 651453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 651456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651469 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 651472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651476 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 651479 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 651484 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651489 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFSET),
     /* 651497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 651500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 651502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651507 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 651509 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 651515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651519 */     GIR_RootConstrainSelectedInstOperands,
     /* 651520 */     // GIR_Coverage, 6464,
     /* 651520 */     GIR_EraseRootFromParent_Done,
     /* 651521 */   // Label 8390: @651521
     /* 651521 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(651628), // Rule ID 6472 //
     /* 651526 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 651528 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 651532 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 651536 */     // MIs[0] offset
     /* 651536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651539 */     // MIs[0] auxiliary
     /* 651539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651542 */     // MIs[0] Operand 9
     /* 651542 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 651553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651560 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 651560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 651563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651576 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 651579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651583 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 651586 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 651591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET),
     /* 651604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 651607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 651609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651614 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 651616 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 651622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651626 */     GIR_RootConstrainSelectedInstOperands,
     /* 651627 */     // GIR_Coverage, 6472,
     /* 651627 */     GIR_EraseRootFromParent_Done,
     /* 651628 */   // Label 8391: @651628
     /* 651628 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(651776), // Rule ID 6460 //
     /* 651633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 651636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 651644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 651648 */     // MIs[0] offset
     /* 651648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651651 */     // MIs[0] auxiliary
     /* 651651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651654 */     // MIs[0] Operand 9
     /* 651654 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 651665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651672 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_OFFSET_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 651672 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 651675 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651679 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651684 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651688 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 651691 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651695 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 651698 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 651703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 651716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFSET_RTN),
     /* 651720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651725 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 651728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 651732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 651741 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 651747 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 651753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 651756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 651758 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 651765 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651770 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 651775 */     // GIR_Coverage, 6460,
     /* 651775 */     GIR_EraseRootFromParent_Done,
     /* 651776 */   // Label 8392: @651776
     /* 651776 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(651921), // Rule ID 6468 //
     /* 651781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651785 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 651789 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 651793 */     // MIs[0] offset
     /* 651793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651796 */     // MIs[0] auxiliary
     /* 651796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651799 */     // MIs[0] Operand 9
     /* 651799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 651810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651817 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 651817 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 651820 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651824 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651829 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651833 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 651836 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651840 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 651843 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 651848 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651853 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 651861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFSET_RTN),
     /* 651865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651870 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 651873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 651877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 651882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 651886 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 651892 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 651896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 651898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 651901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 651903 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 651910 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 651915 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 651920 */     // GIR_Coverage, 6468,
     /* 651920 */     GIR_EraseRootFromParent_Done,
     /* 651921 */   // Label 8393: @651921
     /* 651921 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(652029), // Rule ID 6466 //
     /* 651926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 651929 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 651931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 651935 */     // MIs[0] offset
     /* 651935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 651938 */     // MIs[0] auxiliary
     /* 651938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 651941 */     // MIs[0] Operand 9
     /* 651941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 651952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 651959 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_OFFEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 651959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 651962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 651966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 651971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 651975 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 651978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 651982 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 651985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 651990 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 651995 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFEN),
     /* 652003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 652006 */     GIR_RootToRootCopy, /*OpIdx*/5, // voffset
     /* 652008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 652010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652015 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 652017 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 652023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652027 */     GIR_RootConstrainSelectedInstOperands,
     /* 652028 */     // GIR_Coverage, 6466,
     /* 652028 */     GIR_EraseRootFromParent_Done,
     /* 652029 */   // Label 8394: @652029
     /* 652029 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(652134), // Rule ID 6474 //
     /* 652034 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 652036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 652040 */     // MIs[0] offset
     /* 652040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652043 */     // MIs[0] auxiliary
     /* 652043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652046 */     // MIs[0] Operand 9
     /* 652046 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 652057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652064 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 652064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652080 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 652083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652087 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 652090 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFEN),
     /* 652108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 652111 */     GIR_RootToRootCopy, /*OpIdx*/5, // voffset
     /* 652113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 652115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652120 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 652122 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 652128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652132 */     GIR_RootConstrainSelectedInstOperands,
     /* 652133 */     // GIR_Coverage, 6474,
     /* 652133 */     GIR_EraseRootFromParent_Done,
     /* 652134 */   // Label 8395: @652134
     /* 652134 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(652282), // Rule ID 6462 //
     /* 652139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 652142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 652150 */     // MIs[0] offset
     /* 652150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652153 */     // MIs[0] auxiliary
     /* 652153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652156 */     // MIs[0] Operand 9
     /* 652156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 652167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652174 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_OFFEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 652174 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 652177 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652181 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652186 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652190 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 652193 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652197 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 652200 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652205 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652210 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_OFFEN_RTN),
     /* 652222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652227 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 652230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 652234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 652238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 652247 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 652253 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 652259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 652262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 652264 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 652271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 652281 */     // GIR_Coverage, 6462,
     /* 652281 */     GIR_EraseRootFromParent_Done,
     /* 652282 */   // Label 8396: @652282
     /* 652282 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(652427), // Rule ID 6470 //
     /* 652287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 652295 */     // MIs[0] offset
     /* 652295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652298 */     // MIs[0] auxiliary
     /* 652298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652301 */     // MIs[0] Operand 9
     /* 652301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/9, GIMT_Encode8(0),
     /* 652312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652319 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 652319 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 652322 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652326 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652331 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652335 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 652338 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652342 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 652345 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652350 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652355 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_OFFEN_RTN),
     /* 652367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652372 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 652375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 652379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 652383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 652392 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 652398 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 652404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 652407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 652409 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 652416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652421 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 652426 */     // GIR_Coverage, 6470,
     /* 652426 */     GIR_EraseRootFromParent_Done,
     /* 652427 */   // Label 8397: @652427
     /* 652427 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(652527), // Rule ID 6465 //
     /* 652432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 652435 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 652437 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 652441 */     // MIs[0] offset
     /* 652441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652444 */     // MIs[0] auxiliary
     /* 652444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652447 */     // MIs[0] Operand 9
     /* 652447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 652450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652457 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_IDXEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 652457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652473 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 652476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652480 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 652483 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652488 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652493 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_IDXEN),
     /* 652501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 652504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vindex
     /* 652506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 652508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652513 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 652515 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 652521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652525 */     GIR_RootConstrainSelectedInstOperands,
     /* 652526 */     // GIR_Coverage, 6465,
     /* 652526 */     GIR_EraseRootFromParent_Done,
     /* 652527 */   // Label 8398: @652527
     /* 652527 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(652624), // Rule ID 6473 //
     /* 652532 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 652534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 652538 */     // MIs[0] offset
     /* 652538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652541 */     // MIs[0] auxiliary
     /* 652541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652544 */     // MIs[0] Operand 9
     /* 652544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 652547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652554 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_IDXEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 652554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652570 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 652573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652577 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 652580 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652585 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652590 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_IDXEN),
     /* 652598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 652601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vindex
     /* 652603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 652605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652610 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 652612 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 652618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652622 */     GIR_RootConstrainSelectedInstOperands,
     /* 652623 */     // GIR_Coverage, 6473,
     /* 652623 */     GIR_EraseRootFromParent_Done,
     /* 652624 */   // Label 8399: @652624
     /* 652624 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(652764), // Rule ID 6461 //
     /* 652629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 652632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 652640 */     // MIs[0] offset
     /* 652640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652643 */     // MIs[0] auxiliary
     /* 652643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652646 */     // MIs[0] Operand 9
     /* 652646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 652649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652656 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_IDXEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 652656 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 652659 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652663 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652668 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652672 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 652675 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652679 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 652682 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652687 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652692 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_IDXEN_RTN),
     /* 652704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652709 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 652712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 652716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 652720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 652729 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 652735 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 652741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 652744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 652746 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 652753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 652763 */     // GIR_Coverage, 6461,
     /* 652763 */     GIR_EraseRootFromParent_Done,
     /* 652764 */   // Label 8400: @652764
     /* 652764 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(652901), // Rule ID 6469 //
     /* 652769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652773 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/5, 0,
     /* 652777 */     // MIs[0] offset
     /* 652777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652780 */     // MIs[0] auxiliary
     /* 652780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652783 */     // MIs[0] Operand 9
     /* 652783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 652786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652793 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_IDXEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 652793 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 652796 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652800 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652805 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652809 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 652812 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652816 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 652819 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652824 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652829 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_IDXEN_RTN),
     /* 652841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652846 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 652849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 652853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 652857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 652862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 652866 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 652872 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 652876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 652878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 652881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 652883 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 652890 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 652895 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 652900 */     // GIR_Coverage, 6469,
     /* 652900 */     GIR_EraseRootFromParent_Done,
     /* 652901 */   // Label 8401: @652901
     /* 652901 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(653039), // Rule ID 6467 //
     /* 652906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 652909 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 652911 */     // MIs[0] offset
     /* 652911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 652914 */     // MIs[0] auxiliary
     /* 652914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 652917 */     // MIs[0] Operand 9
     /* 652917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 652920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 652927 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_BOTHEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 652927 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 652930 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652934 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652939 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 652943 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 652946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 652950 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 652953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 652958 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 652963 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 652968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 652971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 652975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 652980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 652984 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 652987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 652991 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 652994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 652999 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653004 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_BOTHEN),
     /* 653012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 653015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 653018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 653020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653025 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 653027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 653033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653037 */     GIR_RootConstrainSelectedInstOperands,
     /* 653038 */     // GIR_Coverage, 6467,
     /* 653038 */     GIR_EraseRootFromParent_Done,
     /* 653039 */   // Label 8402: @653039
     /* 653039 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(653174), // Rule ID 6475 //
     /* 653044 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 653046 */     // MIs[0] offset
     /* 653046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653049 */     // MIs[0] auxiliary
     /* 653049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653052 */     // MIs[0] Operand 9
     /* 653052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 653055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653062 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cmpswap_noret>>  =>  (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_BOTHEN (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653062 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 653065 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653069 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653074 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 653078 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/3,
     /* 653081 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 653085 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/11,
     /* 653088 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653098 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 653106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 653119 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/4,
     /* 653122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 653126 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/24,
     /* 653129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 653134 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653139 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_BOTHEN),
     /* 653147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 653150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 653153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rsrc
     /* 653155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653160 */     GIR_RootToRootCopy, /*OpIdx*/7, // offset
     /* 653162 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 653168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653172 */     GIR_RootConstrainSelectedInstOperands,
     /* 653173 */     // GIR_Coverage, 6475,
     /* 653173 */     GIR_EraseRootFromParent_Done,
     /* 653174 */   // Label 8403: @653174
     /* 653174 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(653350), // Rule ID 6463 //
     /* 653179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 653182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 653186 */     // MIs[0] offset
     /* 653186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653189 */     // MIs[0] auxiliary
     /* 653189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653192 */     // MIs[0] Operand 9
     /* 653192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 653195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653202 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_BOTHEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 653202 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 653205 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653209 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653214 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 653218 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/3,
     /* 653221 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 653225 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/11,
     /* 653228 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653233 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653238 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653243 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 653246 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653250 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653255 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 653259 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 653262 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 653266 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 653269 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 653274 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653279 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 653287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_BOTHEN_RTN),
     /* 653291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653296 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 653299 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 653302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 653306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 653315 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 653321 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 653327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 653330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 653332 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 653339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 653344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 653349 */     // GIR_Coverage, 6463,
     /* 653349 */     GIR_EraseRootFromParent_Done,
     /* 653350 */   // Label 8404: @653350
     /* 653350 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(653523), // Rule ID 6471 //
     /* 653355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 653359 */     // MIs[0] offset
     /* 653359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653362 */     // MIs[0] auxiliary
     /* 653362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653365 */     // MIs[0] Operand 9
     /* 653365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/9,
     /* 653368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653375 */     // (SIbuffer_atomic_cmpswap:{ *:[i64] } i64:{ *:[i64] }:$data, i64:{ *:[i64] }:$cmp, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (EXTRACT_SUBREG:{ *:[i64] } (BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_BOTHEN_RTN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[v8i16] } VReg_128:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$data, sub0_sub1:{ *:[i32] }, anonymous_9774:{ *:[i64] }:$cmp, sub2_sub3:{ *:[i32] }), (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary)), sub0_sub1:{ *:[i32] })
     /* 653375 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 653378 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653382 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653387 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/4, // vindex
     /* 653391 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/3,
     /* 653394 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/5, // voffset
     /* 653398 */     GIR_AddImm8, /*InsnID*/3, /*SubRegIndex*/11,
     /* 653401 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653406 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653411 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 653416 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 653419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653423 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653428 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // data
     /* 653432 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/4,
     /* 653435 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // cmp
     /* 653439 */     GIR_AddImm8, /*InsnID*/2, /*SubRegIndex*/24,
     /* 653442 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_128RegClassID),
     /* 653447 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653452 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/3, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 653457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 653460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_CMPSWAP_X2_VBUFFER_BOTHEN_RTN),
     /* 653464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653469 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 653472 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 653475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rsrc
     /* 653479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/7, // offset
     /* 653488 */     GIR_CustomOperandRenderer, /*InsnID*/1, /*OldInsnID*/0, /*OpIdx*/8, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 653494 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 653500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 653503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 653505 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AMDGPU::sub0_sub1),
     /* 653512 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 653517 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 653522 */     // GIR_Coverage, 6471,
     /* 653522 */     GIR_EraseRootFromParent_Done,
     /* 653523 */   // Label 8405: @653523
     /* 653523 */   GIM_Reject,
     /* 653524 */ // Label 8389: @653524
     /* 653524 */ GIM_Reject,
     /* 653525 */ // Label 8371: @653525
     /* 653525 */ GIM_Reject,
     /* 653526 */ // Label 113: @653526
     /* 653526 */ GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(654142),
     /* 653531 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 653534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 653537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 653540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 653543 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 653546 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 653549 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(653617), // Rule ID 6296 //
     /* 653554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 653557 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 653559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 653563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 653567 */     // MIs[0] offset
     /* 653567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653570 */     // MIs[0] auxiliary
     /* 653570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653573 */     // MIs[0] Operand 8
     /* 653573 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 653584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653591 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cond_sub_u32_noret>>  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFSET),
     /* 653594 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653603 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653605 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 653611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653615 */     GIR_RootConstrainSelectedInstOperands,
     /* 653616 */     // GIR_Coverage, 6296,
     /* 653616 */     GIR_EraseRootFromParent_Done,
     /* 653617 */   // Label 8407: @653617
     /* 653617 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(653689), // Rule ID 6292 //
     /* 653622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 653625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 653629 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 653633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 653637 */     // MIs[0] offset
     /* 653637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653640 */     // MIs[0] auxiliary
     /* 653640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653643 */     // MIs[0] Operand 8
     /* 653643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 653654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653661 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFSET_RTN),
     /* 653664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 653666 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653675 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653677 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 653683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653687 */     GIR_RootConstrainSelectedInstOperands,
     /* 653688 */     // GIR_Coverage, 6292,
     /* 653688 */     GIR_EraseRootFromParent_Done,
     /* 653689 */   // Label 8408: @653689
     /* 653689 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(653755), // Rule ID 6298 //
     /* 653694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 653697 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 653699 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 653703 */     // MIs[0] offset
     /* 653703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653706 */     // MIs[0] auxiliary
     /* 653706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653709 */     // MIs[0] Operand 8
     /* 653709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 653720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653727 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_cond_sub_u32_noret>>  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFEN),
     /* 653730 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653732 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 653734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653741 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653743 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 653749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653753 */     GIR_RootConstrainSelectedInstOperands,
     /* 653754 */     // GIR_Coverage, 6298,
     /* 653754 */     GIR_EraseRootFromParent_Done,
     /* 653755 */   // Label 8409: @653755
     /* 653755 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(653825), // Rule ID 6294 //
     /* 653760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 653763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 653767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 653771 */     // MIs[0] offset
     /* 653771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653774 */     // MIs[0] auxiliary
     /* 653774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653777 */     // MIs[0] Operand 8
     /* 653777 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 653788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653795 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_OFFEN_RTN),
     /* 653798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 653800 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653802 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 653804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653811 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653813 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 653819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653823 */     GIR_RootConstrainSelectedInstOperands,
     /* 653824 */     // GIR_Coverage, 6294,
     /* 653824 */     GIR_EraseRootFromParent_Done,
     /* 653825 */   // Label 8410: @653825
     /* 653825 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(653883), // Rule ID 6297 //
     /* 653830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 653833 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 653835 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 653839 */     // MIs[0] offset
     /* 653839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653842 */     // MIs[0] auxiliary
     /* 653842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653845 */     // MIs[0] Operand 8
     /* 653845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653855 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cond_sub_u32_noret>>  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_IDXEN),
     /* 653858 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653860 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 653862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653869 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653871 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 653877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653881 */     GIR_RootConstrainSelectedInstOperands,
     /* 653882 */     // GIR_Coverage, 6297,
     /* 653882 */     GIR_EraseRootFromParent_Done,
     /* 653883 */   // Label 8411: @653883
     /* 653883 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(653945), // Rule ID 6293 //
     /* 653888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 653891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 653895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 653899 */     // MIs[0] offset
     /* 653899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653902 */     // MIs[0] auxiliary
     /* 653902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653905 */     // MIs[0] Operand 8
     /* 653905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653915 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_IDXEN_RTN),
     /* 653918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 653920 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 653922 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 653924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 653926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 653931 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 653933 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 653939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 653943 */     GIR_RootConstrainSelectedInstOperands,
     /* 653944 */     // GIR_Coverage, 6293,
     /* 653944 */     GIR_EraseRootFromParent_Done,
     /* 653945 */   // Label 8412: @653945
     /* 653945 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(654041), // Rule ID 6299 //
     /* 653950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicCSubNoRtnInsts),
     /* 653953 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 653955 */     // MIs[0] offset
     /* 653955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 653958 */     // MIs[0] auxiliary
     /* 653958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 653961 */     // MIs[0] Operand 8
     /* 653961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 653964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 653971 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_cond_sub_u32_noret>>  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 653971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 653974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 653978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 653983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 653987 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 653990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 653994 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 653997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 654002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 654007 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 654012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_BOTHEN),
     /* 654015 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 654020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654027 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654029 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654039 */     GIR_RootConstrainSelectedInstOperands,
     /* 654040 */     // GIR_Coverage, 6299,
     /* 654040 */     GIR_EraseRootFromParent_Done,
     /* 654041 */   // Label 8413: @654041
     /* 654041 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(654141), // Rule ID 6295 //
     /* 654046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 654049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654053 */     // MIs[0] offset
     /* 654053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654056 */     // MIs[0] auxiliary
     /* 654056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654059 */     // MIs[0] Operand 8
     /* 654059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654069 */     // (SIbuffer_atomic_cond_sub_u32:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 654072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 654076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 654081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 654085 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 654088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 654092 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 654095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 654100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 654105 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 654110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_COND_SUB_U32_VBUFFER_BOTHEN_RTN),
     /* 654113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654115 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 654120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654127 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654129 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654139 */     GIR_RootConstrainSelectedInstOperands,
     /* 654140 */     // GIR_Coverage, 6295,
     /* 654140 */     GIR_EraseRootFromParent_Done,
     /* 654141 */   // Label 8414: @654141
     /* 654141 */   GIM_Reject,
     /* 654142 */ // Label 8406: @654142
     /* 654142 */ GIM_Reject,
     /* 654143 */ // Label 114: @654143
     /* 654143 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8417*/ GIMT_Encode4(656526),
     /* 654154 */ /*GILLT_s32*//*Label 8415*/ GIMT_Encode4(654162),
     /* 654158 */ /*GILLT_s64*//*Label 8416*/ GIMT_Encode4(655344),
     /* 654162 */ // Label 8415: @654162
     /* 654162 */ GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(655343),
     /* 654167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 654170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 654173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 654176 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 654179 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 654182 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(654250), // Rule ID 6072 //
     /* 654187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654190 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654200 */     // MIs[0] offset
     /* 654200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654203 */     // MIs[0] auxiliary
     /* 654203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654206 */     // MIs[0] Operand 8
     /* 654206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654224 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFSET),
     /* 654227 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654236 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654248 */     GIR_RootConstrainSelectedInstOperands,
     /* 654249 */     // GIR_Coverage, 6072,
     /* 654249 */     GIR_EraseRootFromParent_Done,
     /* 654250 */   // Label 8419: @654250
     /* 654250 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(654315), // Rule ID 6080 //
     /* 654255 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654261 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654265 */     // MIs[0] offset
     /* 654265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654268 */     // MIs[0] auxiliary
     /* 654268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654271 */     // MIs[0] Operand 8
     /* 654271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654289 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFSET),
     /* 654292 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654301 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654313 */     GIR_RootConstrainSelectedInstOperands,
     /* 654314 */     // GIR_Coverage, 6080,
     /* 654314 */     GIR_EraseRootFromParent_Done,
     /* 654315 */   // Label 8420: @654315
     /* 654315 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(654387), // Rule ID 6068 //
     /* 654320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654335 */     // MIs[0] offset
     /* 654335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654338 */     // MIs[0] auxiliary
     /* 654338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654341 */     // MIs[0] Operand 8
     /* 654341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654359 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFSET_RTN),
     /* 654362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654364 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654373 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654385 */     GIR_RootConstrainSelectedInstOperands,
     /* 654386 */     // GIR_Coverage, 6068,
     /* 654386 */     GIR_EraseRootFromParent_Done,
     /* 654387 */   // Label 8421: @654387
     /* 654387 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(654456), // Rule ID 6076 //
     /* 654392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654404 */     // MIs[0] offset
     /* 654404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654407 */     // MIs[0] auxiliary
     /* 654407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654410 */     // MIs[0] Operand 8
     /* 654410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654428 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFSET_RTN),
     /* 654431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654433 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654442 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654454 */     GIR_RootConstrainSelectedInstOperands,
     /* 654455 */     // GIR_Coverage, 6076,
     /* 654455 */     GIR_EraseRootFromParent_Done,
     /* 654456 */   // Label 8422: @654456
     /* 654456 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(654522), // Rule ID 6074 //
     /* 654461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654464 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654466 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654470 */     // MIs[0] offset
     /* 654470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654473 */     // MIs[0] auxiliary
     /* 654473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654476 */     // MIs[0] Operand 8
     /* 654476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654494 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFEN),
     /* 654497 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654499 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 654501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654508 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654510 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654520 */     GIR_RootConstrainSelectedInstOperands,
     /* 654521 */     // GIR_Coverage, 6074,
     /* 654521 */     GIR_EraseRootFromParent_Done,
     /* 654522 */   // Label 8423: @654522
     /* 654522 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(654585), // Rule ID 6082 //
     /* 654527 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654529 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654533 */     // MIs[0] offset
     /* 654533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654536 */     // MIs[0] auxiliary
     /* 654536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654539 */     // MIs[0] Operand 8
     /* 654539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654557 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFEN),
     /* 654560 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654562 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 654564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654571 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654583 */     GIR_RootConstrainSelectedInstOperands,
     /* 654584 */     // GIR_Coverage, 6082,
     /* 654584 */     GIR_EraseRootFromParent_Done,
     /* 654585 */   // Label 8424: @654585
     /* 654585 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(654655), // Rule ID 6070 //
     /* 654590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654597 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654601 */     // MIs[0] offset
     /* 654601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654604 */     // MIs[0] auxiliary
     /* 654604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654607 */     // MIs[0] Operand 8
     /* 654607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654625 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_OFFEN_RTN),
     /* 654628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654630 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654632 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 654634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654641 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654653 */     GIR_RootConstrainSelectedInstOperands,
     /* 654654 */     // GIR_Coverage, 6070,
     /* 654654 */     GIR_EraseRootFromParent_Done,
     /* 654655 */   // Label 8425: @654655
     /* 654655 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(654722), // Rule ID 6078 //
     /* 654660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 654668 */     // MIs[0] offset
     /* 654668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654671 */     // MIs[0] auxiliary
     /* 654671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654674 */     // MIs[0] Operand 8
     /* 654674 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 654685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654692 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_OFFEN_RTN),
     /* 654695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654697 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654699 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 654701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654708 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654720 */     GIR_RootConstrainSelectedInstOperands,
     /* 654721 */     // GIR_Coverage, 6078,
     /* 654721 */     GIR_EraseRootFromParent_Done,
     /* 654722 */   // Label 8426: @654722
     /* 654722 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(654780), // Rule ID 6073 //
     /* 654727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654730 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654736 */     // MIs[0] offset
     /* 654736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654739 */     // MIs[0] auxiliary
     /* 654739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654742 */     // MIs[0] Operand 8
     /* 654742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654752 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_IDXEN),
     /* 654755 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654757 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 654759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654766 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654778 */     GIR_RootConstrainSelectedInstOperands,
     /* 654779 */     // GIR_Coverage, 6073,
     /* 654779 */     GIR_EraseRootFromParent_Done,
     /* 654780 */   // Label 8427: @654780
     /* 654780 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(654835), // Rule ID 6081 //
     /* 654785 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654791 */     // MIs[0] offset
     /* 654791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654794 */     // MIs[0] auxiliary
     /* 654794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654797 */     // MIs[0] Operand 8
     /* 654797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654807 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_IDXEN),
     /* 654810 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654812 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 654814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654821 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654823 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 654829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654833 */     GIR_RootConstrainSelectedInstOperands,
     /* 654834 */     // GIR_Coverage, 6081,
     /* 654834 */     GIR_EraseRootFromParent_Done,
     /* 654835 */   // Label 8428: @654835
     /* 654835 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(654897), // Rule ID 6069 //
     /* 654840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654847 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654851 */     // MIs[0] offset
     /* 654851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654854 */     // MIs[0] auxiliary
     /* 654854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654857 */     // MIs[0] Operand 8
     /* 654857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654867 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_IDXEN_RTN),
     /* 654870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654872 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654874 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 654876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654883 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654895 */     GIR_RootConstrainSelectedInstOperands,
     /* 654896 */     // GIR_Coverage, 6069,
     /* 654896 */     GIR_EraseRootFromParent_Done,
     /* 654897 */   // Label 8429: @654897
     /* 654897 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(654956), // Rule ID 6077 //
     /* 654902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 654906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 654910 */     // MIs[0] offset
     /* 654910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654913 */     // MIs[0] auxiliary
     /* 654913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654916 */     // MIs[0] Operand 8
     /* 654916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654926 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_IDXEN_RTN),
     /* 654929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 654931 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 654933 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 654935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 654937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 654942 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 654944 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 654950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 654954 */     GIR_RootConstrainSelectedInstOperands,
     /* 654955 */     // GIR_Coverage, 6077,
     /* 654955 */     GIR_EraseRootFromParent_Done,
     /* 654956 */   // Label 8430: @654956
     /* 654956 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(655052), // Rule ID 6075 //
     /* 654961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 654964 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 654966 */     // MIs[0] offset
     /* 654966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 654969 */     // MIs[0] auxiliary
     /* 654969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 654972 */     // MIs[0] Operand 8
     /* 654972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 654975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 654982 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 654982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 654985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 654989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 654994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 654998 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 655001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 655005 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 655008 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 655013 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655018 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_BOTHEN),
     /* 655026 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 655031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655038 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655040 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655050 */     GIR_RootConstrainSelectedInstOperands,
     /* 655051 */     // GIR_Coverage, 6075,
     /* 655051 */     GIR_EraseRootFromParent_Done,
     /* 655052 */   // Label 8431: @655052
     /* 655052 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(655145), // Rule ID 6083 //
     /* 655057 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655059 */     // MIs[0] offset
     /* 655059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655062 */     // MIs[0] auxiliary
     /* 655062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655065 */     // MIs[0] Operand 8
     /* 655065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 655068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655075 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 655078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 655082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 655087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 655091 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 655094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 655098 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 655101 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 655106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655111 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_BOTHEN),
     /* 655119 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 655124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655131 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655133 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655143 */     GIR_RootConstrainSelectedInstOperands,
     /* 655144 */     // GIR_Coverage, 6083,
     /* 655144 */     GIR_EraseRootFromParent_Done,
     /* 655145 */   // Label 8432: @655145
     /* 655145 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(655245), // Rule ID 6071 //
     /* 655150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 655157 */     // MIs[0] offset
     /* 655157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655160 */     // MIs[0] auxiliary
     /* 655160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655163 */     // MIs[0] Operand 8
     /* 655163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 655166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655173 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 655176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 655180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 655185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 655189 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 655192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 655196 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 655199 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 655204 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_BOTHEN_RTN),
     /* 655217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655219 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 655224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655231 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655233 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655243 */     GIR_RootConstrainSelectedInstOperands,
     /* 655244 */     // GIR_Coverage, 6071,
     /* 655244 */     GIR_EraseRootFromParent_Done,
     /* 655245 */   // Label 8433: @655245
     /* 655245 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(655342), // Rule ID 6079 //
     /* 655250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 655254 */     // MIs[0] offset
     /* 655254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655257 */     // MIs[0] auxiliary
     /* 655257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655260 */     // MIs[0] Operand 8
     /* 655260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 655263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655270 */     // (SIbuffer_atomic_dec:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 655273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 655277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 655282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 655286 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 655289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 655293 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 655296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 655301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 655311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_VBUFFER_BOTHEN_RTN),
     /* 655314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655316 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 655321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655328 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655330 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655340 */     GIR_RootConstrainSelectedInstOperands,
     /* 655341 */     // GIR_Coverage, 6079,
     /* 655341 */     GIR_EraseRootFromParent_Done,
     /* 655342 */   // Label 8434: @655342
     /* 655342 */   GIM_Reject,
     /* 655343 */ // Label 8418: @655343
     /* 655343 */ GIM_Reject,
     /* 655344 */ // Label 8416: @655344
     /* 655344 */ GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(656525),
     /* 655349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 655352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 655355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 655358 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 655361 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 655364 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(655432), // Rule ID 6272 //
     /* 655369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655372 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655378 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655382 */     // MIs[0] offset
     /* 655382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655385 */     // MIs[0] auxiliary
     /* 655385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655388 */     // MIs[0] Operand 8
     /* 655388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655406 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFSET),
     /* 655409 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655418 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655420 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655430 */     GIR_RootConstrainSelectedInstOperands,
     /* 655431 */     // GIR_Coverage, 6272,
     /* 655431 */     GIR_EraseRootFromParent_Done,
     /* 655432 */   // Label 8436: @655432
     /* 655432 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(655497), // Rule ID 6280 //
     /* 655437 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655443 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655447 */     // MIs[0] offset
     /* 655447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655450 */     // MIs[0] auxiliary
     /* 655450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655453 */     // MIs[0] Operand 8
     /* 655453 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655471 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET),
     /* 655474 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655483 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655495 */     GIR_RootConstrainSelectedInstOperands,
     /* 655496 */     // GIR_Coverage, 6280,
     /* 655496 */     GIR_EraseRootFromParent_Done,
     /* 655497 */   // Label 8437: @655497
     /* 655497 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(655569), // Rule ID 6268 //
     /* 655502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 655509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655517 */     // MIs[0] offset
     /* 655517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655520 */     // MIs[0] auxiliary
     /* 655520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655523 */     // MIs[0] Operand 8
     /* 655523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655541 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFSET_RTN),
     /* 655544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655546 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655555 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655557 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655567 */     GIR_RootConstrainSelectedInstOperands,
     /* 655568 */     // GIR_Coverage, 6268,
     /* 655568 */     GIR_EraseRootFromParent_Done,
     /* 655569 */   // Label 8438: @655569
     /* 655569 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(655638), // Rule ID 6276 //
     /* 655574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 655578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655586 */     // MIs[0] offset
     /* 655586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655589 */     // MIs[0] auxiliary
     /* 655589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655592 */     // MIs[0] Operand 8
     /* 655592 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655610 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFSET_RTN),
     /* 655613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655615 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655624 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655626 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655636 */     GIR_RootConstrainSelectedInstOperands,
     /* 655637 */     // GIR_Coverage, 6276,
     /* 655637 */     GIR_EraseRootFromParent_Done,
     /* 655638 */   // Label 8439: @655638
     /* 655638 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(655704), // Rule ID 6274 //
     /* 655643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655646 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655652 */     // MIs[0] offset
     /* 655652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655655 */     // MIs[0] auxiliary
     /* 655655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655658 */     // MIs[0] Operand 8
     /* 655658 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655676 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFEN),
     /* 655679 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655681 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 655683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655690 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655692 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655702 */     GIR_RootConstrainSelectedInstOperands,
     /* 655703 */     // GIR_Coverage, 6274,
     /* 655703 */     GIR_EraseRootFromParent_Done,
     /* 655704 */   // Label 8440: @655704
     /* 655704 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(655767), // Rule ID 6282 //
     /* 655709 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655711 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655715 */     // MIs[0] offset
     /* 655715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655718 */     // MIs[0] auxiliary
     /* 655718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655721 */     // MIs[0] Operand 8
     /* 655721 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655739 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFEN),
     /* 655742 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655744 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 655746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655753 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655765 */     GIR_RootConstrainSelectedInstOperands,
     /* 655766 */     // GIR_Coverage, 6282,
     /* 655766 */     GIR_EraseRootFromParent_Done,
     /* 655767 */   // Label 8441: @655767
     /* 655767 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(655837), // Rule ID 6270 //
     /* 655772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 655779 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655783 */     // MIs[0] offset
     /* 655783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655786 */     // MIs[0] auxiliary
     /* 655786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655789 */     // MIs[0] Operand 8
     /* 655789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655807 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_OFFEN_RTN),
     /* 655810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655812 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655814 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 655816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655823 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655825 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655835 */     GIR_RootConstrainSelectedInstOperands,
     /* 655836 */     // GIR_Coverage, 6270,
     /* 655836 */     GIR_EraseRootFromParent_Done,
     /* 655837 */   // Label 8442: @655837
     /* 655837 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(655904), // Rule ID 6278 //
     /* 655842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 655846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 655850 */     // MIs[0] offset
     /* 655850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655853 */     // MIs[0] auxiliary
     /* 655853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655856 */     // MIs[0] Operand 8
     /* 655856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 655867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655874 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_OFFEN_RTN),
     /* 655877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 655879 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655881 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 655883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655890 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655892 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 655898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655902 */     GIR_RootConstrainSelectedInstOperands,
     /* 655903 */     // GIR_Coverage, 6278,
     /* 655903 */     GIR_EraseRootFromParent_Done,
     /* 655904 */   // Label 8443: @655904
     /* 655904 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(655962), // Rule ID 6273 //
     /* 655909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 655912 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655914 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655918 */     // MIs[0] offset
     /* 655918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655921 */     // MIs[0] auxiliary
     /* 655921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655924 */     // MIs[0] Operand 8
     /* 655924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 655927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655934 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_IDXEN),
     /* 655937 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655939 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 655941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 655948 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 655950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 655956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 655960 */     GIR_RootConstrainSelectedInstOperands,
     /* 655961 */     // GIR_Coverage, 6273,
     /* 655961 */     GIR_EraseRootFromParent_Done,
     /* 655962 */   // Label 8444: @655962
     /* 655962 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(656017), // Rule ID 6281 //
     /* 655967 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 655969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 655973 */     // MIs[0] offset
     /* 655973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 655976 */     // MIs[0] auxiliary
     /* 655976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 655979 */     // MIs[0] Operand 8
     /* 655979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 655982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 655989 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 655989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_IDXEN),
     /* 655992 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 655994 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 655996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 655998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656003 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656015 */     GIR_RootConstrainSelectedInstOperands,
     /* 656016 */     // GIR_Coverage, 6281,
     /* 656016 */     GIR_EraseRootFromParent_Done,
     /* 656017 */   // Label 8445: @656017
     /* 656017 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(656079), // Rule ID 6269 //
     /* 656022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 656025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 656029 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656033 */     // MIs[0] offset
     /* 656033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656036 */     // MIs[0] auxiliary
     /* 656036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656039 */     // MIs[0] Operand 8
     /* 656039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656049 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_IDXEN_RTN),
     /* 656052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656054 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656056 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 656058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656065 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656067 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656077 */     GIR_RootConstrainSelectedInstOperands,
     /* 656078 */     // GIR_Coverage, 6269,
     /* 656078 */     GIR_EraseRootFromParent_Done,
     /* 656079 */   // Label 8446: @656079
     /* 656079 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(656138), // Rule ID 6277 //
     /* 656084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 656088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656092 */     // MIs[0] offset
     /* 656092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656095 */     // MIs[0] auxiliary
     /* 656095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656098 */     // MIs[0] Operand 8
     /* 656098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656108 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_IDXEN_RTN),
     /* 656111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656113 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656115 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 656117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656124 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656126 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656136 */     GIR_RootConstrainSelectedInstOperands,
     /* 656137 */     // GIR_Coverage, 6277,
     /* 656137 */     GIR_EraseRootFromParent_Done,
     /* 656138 */   // Label 8447: @656138
     /* 656138 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(656234), // Rule ID 6275 //
     /* 656143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 656146 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656148 */     // MIs[0] offset
     /* 656148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656151 */     // MIs[0] auxiliary
     /* 656151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656154 */     // MIs[0] Operand 8
     /* 656154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656164 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 656167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 656171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 656176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 656180 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 656183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 656187 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 656190 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 656195 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_BOTHEN),
     /* 656208 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 656213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656220 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656222 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656232 */     GIR_RootConstrainSelectedInstOperands,
     /* 656233 */     // GIR_Coverage, 6275,
     /* 656233 */     GIR_EraseRootFromParent_Done,
     /* 656234 */   // Label 8448: @656234
     /* 656234 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(656327), // Rule ID 6283 //
     /* 656239 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656241 */     // MIs[0] offset
     /* 656241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656244 */     // MIs[0] auxiliary
     /* 656244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656247 */     // MIs[0] Operand 8
     /* 656247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656257 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_dec_noret>>  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 656260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 656264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 656269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 656273 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 656276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 656280 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 656283 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 656288 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656293 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_BOTHEN),
     /* 656301 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 656306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656313 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656315 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656325 */     GIR_RootConstrainSelectedInstOperands,
     /* 656326 */     // GIR_Coverage, 6283,
     /* 656326 */     GIR_EraseRootFromParent_Done,
     /* 656327 */   // Label 8449: @656327
     /* 656327 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(656427), // Rule ID 6271 //
     /* 656332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 656335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 656339 */     // MIs[0] offset
     /* 656339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656342 */     // MIs[0] auxiliary
     /* 656342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656345 */     // MIs[0] Operand 8
     /* 656345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656355 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 656358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 656362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 656367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 656371 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 656374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 656378 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 656381 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 656386 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656391 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_BOTHEN_RTN),
     /* 656399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656401 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 656406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656413 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656415 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656425 */     GIR_RootConstrainSelectedInstOperands,
     /* 656426 */     // GIR_Coverage, 6271,
     /* 656426 */     GIR_EraseRootFromParent_Done,
     /* 656427 */   // Label 8450: @656427
     /* 656427 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(656524), // Rule ID 6279 //
     /* 656432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 656436 */     // MIs[0] offset
     /* 656436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656439 */     // MIs[0] auxiliary
     /* 656439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656442 */     // MIs[0] Operand 8
     /* 656442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 656445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656452 */     // (SIbuffer_atomic_dec:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_DEC_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 656455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 656459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 656464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 656468 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 656471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 656475 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 656478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 656483 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656488 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 656493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_DEC_X2_VBUFFER_BOTHEN_RTN),
     /* 656496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656498 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 656503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656510 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656512 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656522 */     GIR_RootConstrainSelectedInstOperands,
     /* 656523 */     // GIR_Coverage, 6279,
     /* 656523 */     GIR_EraseRootFromParent_Done,
     /* 656524 */   // Label 8451: @656524
     /* 656524 */   GIM_Reject,
     /* 656525 */ // Label 8435: @656525
     /* 656525 */ GIM_Reject,
     /* 656526 */ // Label 8417: @656526
     /* 656526 */ GIM_Reject,
     /* 656527 */ // Label 115: @656527
     /* 656527 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 8455*/ GIMT_Encode4(660168),
     /* 656538 */ /*GILLT_s32*//*Label 8452*/ GIMT_Encode4(656550),
     /* 656542 */ /*GILLT_s64*//*Label 8453*/ GIMT_Encode4(657756),
     /* 656546 */ /*GILLT_v2s16*//*Label 8454*/ GIMT_Encode4(658962),
     /* 656550 */ // Label 8452: @656550
     /* 656550 */ GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(657755),
     /* 656555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 656558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 656561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 656564 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 656567 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 656570 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(656638), // Rule ID 6364 //
     /* 656575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts_HasUnrestrictedSOffset),
     /* 656578 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656580 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656584 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656588 */     // MIs[0] offset
     /* 656588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656591 */     // MIs[0] auxiliary
     /* 656591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656594 */     // MIs[0] Operand 8
     /* 656594 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656612 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_OFFSET),
     /* 656615 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656624 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656626 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656636 */     GIR_RootConstrainSelectedInstOperands,
     /* 656637 */     // GIR_Coverage, 6364,
     /* 656637 */     GIR_EraseRootFromParent_Done,
     /* 656638 */   // Label 8457: @656638
     /* 656638 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(656706), // Rule ID 6368 //
     /* 656643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 656646 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656656 */     // MIs[0] offset
     /* 656656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656659 */     // MIs[0] auxiliary
     /* 656659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656662 */     // MIs[0] Operand 8
     /* 656662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656680 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFSET),
     /* 656683 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656692 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656694 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656704 */     GIR_RootConstrainSelectedInstOperands,
     /* 656705 */     // GIR_Coverage, 6368,
     /* 656705 */     GIR_EraseRootFromParent_Done,
     /* 656706 */   // Label 8458: @656706
     /* 656706 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(656778), // Rule ID 6380 //
     /* 656711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts_HasUnrestrictedSOffset),
     /* 656714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 656718 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656722 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656726 */     // MIs[0] offset
     /* 656726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656729 */     // MIs[0] auxiliary
     /* 656729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656732 */     // MIs[0] Operand 8
     /* 656732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656750 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F32_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_OFFSET_RTN),
     /* 656753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656755 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656764 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656766 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656776 */     GIR_RootConstrainSelectedInstOperands,
     /* 656777 */     // GIR_Coverage, 6380,
     /* 656777 */     GIR_EraseRootFromParent_Done,
     /* 656778 */   // Label 8459: @656778
     /* 656778 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(656850), // Rule ID 6384 //
     /* 656783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 656786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 656790 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656794 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 656798 */     // MIs[0] offset
     /* 656798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656801 */     // MIs[0] auxiliary
     /* 656801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656804 */     // MIs[0] Operand 8
     /* 656804 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656822 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFSET_RTN),
     /* 656825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 656827 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656836 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656838 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 656844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656848 */     GIR_RootConstrainSelectedInstOperands,
     /* 656849 */     // GIR_Coverage, 6384,
     /* 656849 */     GIR_EraseRootFromParent_Done,
     /* 656850 */   // Label 8460: @656850
     /* 656850 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(656916), // Rule ID 6366 //
     /* 656855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts_HasUnrestrictedSOffset),
     /* 656858 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656860 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656864 */     // MIs[0] offset
     /* 656864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656867 */     // MIs[0] auxiliary
     /* 656867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656870 */     // MIs[0] Operand 8
     /* 656870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656888 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_OFFEN),
     /* 656891 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656893 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 656895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656902 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656904 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656914 */     GIR_RootConstrainSelectedInstOperands,
     /* 656915 */     // GIR_Coverage, 6366,
     /* 656915 */     GIR_EraseRootFromParent_Done,
     /* 656916 */   // Label 8461: @656916
     /* 656916 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(656982), // Rule ID 6370 //
     /* 656921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 656924 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 656926 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656930 */     // MIs[0] offset
     /* 656930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 656933 */     // MIs[0] auxiliary
     /* 656933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 656936 */     // MIs[0] Operand 8
     /* 656936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 656947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 656954 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 656954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFEN),
     /* 656957 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 656959 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 656961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 656963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 656968 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 656970 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 656976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 656980 */     GIR_RootConstrainSelectedInstOperands,
     /* 656981 */     // GIR_Coverage, 6370,
     /* 656981 */     GIR_EraseRootFromParent_Done,
     /* 656982 */   // Label 8462: @656982
     /* 656982 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(657052), // Rule ID 6382 //
     /* 656987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts_HasUnrestrictedSOffset),
     /* 656990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 656994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 656998 */     // MIs[0] offset
     /* 656998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657001 */     // MIs[0] auxiliary
     /* 657001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657004 */     // MIs[0] Operand 8
     /* 657004 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 657015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657022 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F32_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_OFFEN_RTN),
     /* 657025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657027 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657029 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 657031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657038 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657040 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657050 */     GIR_RootConstrainSelectedInstOperands,
     /* 657051 */     // GIR_Coverage, 6382,
     /* 657051 */     GIR_EraseRootFromParent_Done,
     /* 657052 */   // Label 8463: @657052
     /* 657052 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(657122), // Rule ID 6386 //
     /* 657057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 657060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 657064 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 657068 */     // MIs[0] offset
     /* 657068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657071 */     // MIs[0] auxiliary
     /* 657071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657074 */     // MIs[0] Operand 8
     /* 657074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 657085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657092 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_OFFEN_RTN),
     /* 657095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657097 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657099 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 657101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657108 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657120 */     GIR_RootConstrainSelectedInstOperands,
     /* 657121 */     // GIR_Coverage, 6386,
     /* 657121 */     GIR_EraseRootFromParent_Done,
     /* 657122 */   // Label 8464: @657122
     /* 657122 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(657180), // Rule ID 6365 //
     /* 657127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts_HasUnrestrictedSOffset),
     /* 657130 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657136 */     // MIs[0] offset
     /* 657136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657139 */     // MIs[0] auxiliary
     /* 657139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657142 */     // MIs[0] Operand 8
     /* 657142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657152 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_IDXEN),
     /* 657155 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657157 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 657159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657166 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657178 */     GIR_RootConstrainSelectedInstOperands,
     /* 657179 */     // GIR_Coverage, 6365,
     /* 657179 */     GIR_EraseRootFromParent_Done,
     /* 657180 */   // Label 8465: @657180
     /* 657180 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(657238), // Rule ID 6369 //
     /* 657185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 657188 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657190 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657194 */     // MIs[0] offset
     /* 657194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657197 */     // MIs[0] auxiliary
     /* 657197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657200 */     // MIs[0] Operand 8
     /* 657200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657210 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_IDXEN),
     /* 657213 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657215 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 657217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657224 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657226 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657236 */     GIR_RootConstrainSelectedInstOperands,
     /* 657237 */     // GIR_Coverage, 6369,
     /* 657237 */     GIR_EraseRootFromParent_Done,
     /* 657238 */   // Label 8466: @657238
     /* 657238 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(657300), // Rule ID 6381 //
     /* 657243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts_HasUnrestrictedSOffset),
     /* 657246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 657250 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657254 */     // MIs[0] offset
     /* 657254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657257 */     // MIs[0] auxiliary
     /* 657257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657260 */     // MIs[0] Operand 8
     /* 657260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657270 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F32_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_IDXEN_RTN),
     /* 657273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657275 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657277 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 657279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657286 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657288 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657298 */     GIR_RootConstrainSelectedInstOperands,
     /* 657299 */     // GIR_Coverage, 6381,
     /* 657299 */     GIR_EraseRootFromParent_Done,
     /* 657300 */   // Label 8467: @657300
     /* 657300 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(657362), // Rule ID 6385 //
     /* 657305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 657308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 657312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657316 */     // MIs[0] offset
     /* 657316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657319 */     // MIs[0] auxiliary
     /* 657319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657322 */     // MIs[0] Operand 8
     /* 657322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657332 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_IDXEN_RTN),
     /* 657335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657337 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657339 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 657341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657348 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657350 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657360 */     GIR_RootConstrainSelectedInstOperands,
     /* 657361 */     // GIR_Coverage, 6385,
     /* 657361 */     GIR_EraseRootFromParent_Done,
     /* 657362 */   // Label 8468: @657362
     /* 657362 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(657458), // Rule ID 6367 //
     /* 657367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts_HasUnrestrictedSOffset),
     /* 657370 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657372 */     // MIs[0] offset
     /* 657372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657375 */     // MIs[0] auxiliary
     /* 657375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657378 */     // MIs[0] Operand 8
     /* 657378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657388 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 657391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 657395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 657400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 657404 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 657407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 657411 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 657414 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 657419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_BOTHEN),
     /* 657432 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 657437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657444 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657456 */     GIR_RootConstrainSelectedInstOperands,
     /* 657457 */     // GIR_Coverage, 6367,
     /* 657457 */     GIR_EraseRootFromParent_Done,
     /* 657458 */   // Label 8469: @657458
     /* 657458 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(657554), // Rule ID 6371 //
     /* 657463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddNoRtnInsts),
     /* 657466 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657468 */     // MIs[0] offset
     /* 657468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657471 */     // MIs[0] auxiliary
     /* 657471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657474 */     // MIs[0] Operand 8
     /* 657474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657484 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 657487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 657491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 657496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 657500 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 657503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 657507 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 657510 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 657515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_BOTHEN),
     /* 657528 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 657533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657540 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657542 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657552 */     GIR_RootConstrainSelectedInstOperands,
     /* 657553 */     // GIR_Coverage, 6371,
     /* 657553 */     GIR_EraseRootFromParent_Done,
     /* 657554 */   // Label 8470: @657554
     /* 657554 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(657654), // Rule ID 6383 //
     /* 657559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts_HasUnrestrictedSOffset),
     /* 657562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 657566 */     // MIs[0] offset
     /* 657566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657569 */     // MIs[0] auxiliary
     /* 657569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657572 */     // MIs[0] Operand 8
     /* 657572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657582 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F32_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 657585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 657589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 657594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 657598 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 657601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 657605 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 657608 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 657613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_BOTHEN_RTN),
     /* 657626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657628 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 657633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657640 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657642 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657652 */     GIR_RootConstrainSelectedInstOperands,
     /* 657653 */     // GIR_Coverage, 6383,
     /* 657653 */     GIR_EraseRootFromParent_Done,
     /* 657654 */   // Label 8471: @657654
     /* 657654 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(657754), // Rule ID 6387 //
     /* 657659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFaddRtnInsts),
     /* 657662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 657666 */     // MIs[0] offset
     /* 657666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657669 */     // MIs[0] auxiliary
     /* 657669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657672 */     // MIs[0] Operand 8
     /* 657672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 657675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657682 */     // (SIbuffer_atomic_fadd:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F32_VBUFFER_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 657685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 657689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 657694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 657698 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 657701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 657705 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 657708 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 657713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 657723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F32_VBUFFER_BOTHEN_RTN),
     /* 657726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657728 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 657733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657740 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657742 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657752 */     GIR_RootConstrainSelectedInstOperands,
     /* 657753 */     // GIR_Coverage, 6387,
     /* 657753 */     GIR_EraseRootFromParent_Done,
     /* 657754 */   // Label 8472: @657754
     /* 657754 */   GIM_Reject,
     /* 657755 */ // Label 8456: @657755
     /* 657755 */ GIM_Reject,
     /* 657756 */ // Label 8453: @657756
     /* 657756 */ GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(658961),
     /* 657761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 657764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 657767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 657770 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 657773 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 657776 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(657844), // Rule ID 6400 //
     /* 657781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 657784 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657786 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 657790 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657794 */     // MIs[0] offset
     /* 657794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657797 */     // MIs[0] auxiliary
     /* 657797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657800 */     // MIs[0] Operand 8
     /* 657800 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 657811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657818 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_OFFSET),
     /* 657821 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657830 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657832 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657842 */     GIR_RootConstrainSelectedInstOperands,
     /* 657843 */     // GIR_Coverage, 6400,
     /* 657843 */     GIR_EraseRootFromParent_Done,
     /* 657844 */   // Label 8474: @657844
     /* 657844 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(657912), // Rule ID 6408 //
     /* 657849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 657852 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 657854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 657858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657862 */     // MIs[0] offset
     /* 657862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657865 */     // MIs[0] auxiliary
     /* 657865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657868 */     // MIs[0] Operand 8
     /* 657868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 657879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657886 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFSET),
     /* 657889 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657898 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657900 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 657906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657910 */     GIR_RootConstrainSelectedInstOperands,
     /* 657911 */     // GIR_Coverage, 6408,
     /* 657911 */     GIR_EraseRootFromParent_Done,
     /* 657912 */   // Label 8475: @657912
     /* 657912 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(657984), // Rule ID 6396 //
     /* 657917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 657920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 657924 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 657928 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 657932 */     // MIs[0] offset
     /* 657932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 657935 */     // MIs[0] auxiliary
     /* 657935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 657938 */     // MIs[0] Operand 8
     /* 657938 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 657949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 657956 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 657956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_OFFSET_RTN),
     /* 657959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 657961 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 657963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 657965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 657970 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 657972 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 657978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 657982 */     GIR_RootConstrainSelectedInstOperands,
     /* 657983 */     // GIR_Coverage, 6396,
     /* 657983 */     GIR_EraseRootFromParent_Done,
     /* 657984 */   // Label 8476: @657984
     /* 657984 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(658056), // Rule ID 6404 //
     /* 657989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 657992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 657996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658000 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 658004 */     // MIs[0] offset
     /* 658004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658007 */     // MIs[0] auxiliary
     /* 658007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658010 */     // MIs[0] Operand 8
     /* 658010 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 658021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658028 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFSET_RTN),
     /* 658031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658033 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658042 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658044 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658054 */     GIR_RootConstrainSelectedInstOperands,
     /* 658055 */     // GIR_Coverage, 6404,
     /* 658055 */     GIR_EraseRootFromParent_Done,
     /* 658056 */   // Label 8477: @658056
     /* 658056 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(658122), // Rule ID 6402 //
     /* 658061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658064 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658066 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658070 */     // MIs[0] offset
     /* 658070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658073 */     // MIs[0] auxiliary
     /* 658073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658076 */     // MIs[0] Operand 8
     /* 658076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 658087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658094 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_OFFEN),
     /* 658097 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658099 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 658101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658108 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658120 */     GIR_RootConstrainSelectedInstOperands,
     /* 658121 */     // GIR_Coverage, 6402,
     /* 658121 */     GIR_EraseRootFromParent_Done,
     /* 658122 */   // Label 8478: @658122
     /* 658122 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(658188), // Rule ID 6410 //
     /* 658127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658130 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658136 */     // MIs[0] offset
     /* 658136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658139 */     // MIs[0] auxiliary
     /* 658139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658142 */     // MIs[0] Operand 8
     /* 658142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 658153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658160 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFEN),
     /* 658163 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658165 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 658167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658174 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658176 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658186 */     GIR_RootConstrainSelectedInstOperands,
     /* 658187 */     // GIR_Coverage, 6410,
     /* 658187 */     GIR_EraseRootFromParent_Done,
     /* 658188 */   // Label 8479: @658188
     /* 658188 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(658258), // Rule ID 6398 //
     /* 658193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658204 */     // MIs[0] offset
     /* 658204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658207 */     // MIs[0] auxiliary
     /* 658207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658210 */     // MIs[0] Operand 8
     /* 658210 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 658221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658228 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F64_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_OFFEN_RTN),
     /* 658231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658233 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658235 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 658237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658244 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658246 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658256 */     GIR_RootConstrainSelectedInstOperands,
     /* 658257 */     // GIR_Coverage, 6398,
     /* 658257 */     GIR_EraseRootFromParent_Done,
     /* 658258 */   // Label 8480: @658258
     /* 658258 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(658328), // Rule ID 6406 //
     /* 658263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658270 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658274 */     // MIs[0] offset
     /* 658274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658277 */     // MIs[0] auxiliary
     /* 658277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658280 */     // MIs[0] Operand 8
     /* 658280 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 658291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658298 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_OFFEN_RTN),
     /* 658301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658303 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658305 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 658307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658314 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658326 */     GIR_RootConstrainSelectedInstOperands,
     /* 658327 */     // GIR_Coverage, 6406,
     /* 658327 */     GIR_EraseRootFromParent_Done,
     /* 658328 */   // Label 8481: @658328
     /* 658328 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(658386), // Rule ID 6401 //
     /* 658333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658336 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658338 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 658342 */     // MIs[0] offset
     /* 658342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658345 */     // MIs[0] auxiliary
     /* 658345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658348 */     // MIs[0] Operand 8
     /* 658348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658358 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_IDXEN),
     /* 658361 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658363 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 658365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658372 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658384 */     GIR_RootConstrainSelectedInstOperands,
     /* 658385 */     // GIR_Coverage, 6401,
     /* 658385 */     GIR_EraseRootFromParent_Done,
     /* 658386 */   // Label 8482: @658386
     /* 658386 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(658444), // Rule ID 6409 //
     /* 658391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658394 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 658400 */     // MIs[0] offset
     /* 658400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658403 */     // MIs[0] auxiliary
     /* 658403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658406 */     // MIs[0] Operand 8
     /* 658406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658416 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_IDXEN),
     /* 658419 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 658423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658430 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658432 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658442 */     GIR_RootConstrainSelectedInstOperands,
     /* 658443 */     // GIR_Coverage, 6409,
     /* 658443 */     GIR_EraseRootFromParent_Done,
     /* 658444 */   // Label 8483: @658444
     /* 658444 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(658506), // Rule ID 6397 //
     /* 658449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 658460 */     // MIs[0] offset
     /* 658460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658463 */     // MIs[0] auxiliary
     /* 658463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658466 */     // MIs[0] Operand 8
     /* 658466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658476 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F64_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_IDXEN_RTN),
     /* 658479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658481 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658483 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 658485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658492 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658494 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658504 */     GIR_RootConstrainSelectedInstOperands,
     /* 658505 */     // GIR_Coverage, 6397,
     /* 658505 */     GIR_EraseRootFromParent_Done,
     /* 658506 */   // Label 8484: @658506
     /* 658506 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(658568), // Rule ID 6405 //
     /* 658511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 658522 */     // MIs[0] offset
     /* 658522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658525 */     // MIs[0] auxiliary
     /* 658525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658528 */     // MIs[0] Operand 8
     /* 658528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658538 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_IDXEN_RTN),
     /* 658541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658543 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658545 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 658547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658554 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658556 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658566 */     GIR_RootConstrainSelectedInstOperands,
     /* 658567 */     // GIR_Coverage, 6405,
     /* 658567 */     GIR_EraseRootFromParent_Done,
     /* 658568 */   // Label 8485: @658568
     /* 658568 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(658664), // Rule ID 6403 //
     /* 658573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658576 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658578 */     // MIs[0] offset
     /* 658578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658581 */     // MIs[0] auxiliary
     /* 658581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658584 */     // MIs[0] Operand 8
     /* 658584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658594 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 658597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 658601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 658606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 658610 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 658613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 658617 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 658620 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 658625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_BOTHEN),
     /* 658638 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 658643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658650 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658652 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658662 */     GIR_RootConstrainSelectedInstOperands,
     /* 658663 */     // GIR_Coverage, 6403,
     /* 658663 */     GIR_EraseRootFromParent_Done,
     /* 658664 */   // Label 8486: @658664
     /* 658664 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(658760), // Rule ID 6411 //
     /* 658669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658672 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658674 */     // MIs[0] offset
     /* 658674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658677 */     // MIs[0] auxiliary
     /* 658677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658680 */     // MIs[0] Operand 8
     /* 658680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658690 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 658693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 658697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 658702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 658706 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 658709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 658713 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 658716 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 658721 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658726 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_BOTHEN),
     /* 658734 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 658739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658746 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658748 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 658754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658758 */     GIR_RootConstrainSelectedInstOperands,
     /* 658759 */     // GIR_Coverage, 6411,
     /* 658759 */     GIR_EraseRootFromParent_Done,
     /* 658760 */   // Label 8487: @658760
     /* 658760 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(658860), // Rule ID 6399 //
     /* 658765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst_HasUnrestrictedSOffset),
     /* 658768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658772 */     // MIs[0] offset
     /* 658772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658775 */     // MIs[0] auxiliary
     /* 658775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658778 */     // MIs[0] Operand 8
     /* 658778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658788 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F64_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 658791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 658795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 658800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 658804 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 658807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 658811 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 658814 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 658819 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_BOTHEN_RTN),
     /* 658832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658834 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 658839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658846 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658848 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658858 */     GIR_RootConstrainSelectedInstOperands,
     /* 658859 */     // GIR_Coverage, 6399,
     /* 658859 */     GIR_EraseRootFromParent_Done,
     /* 658860 */   // Label 8488: @658860
     /* 658860 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(658960), // Rule ID 6407 //
     /* 658865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFlatBufferGlobalAtomicFaddF64Inst),
     /* 658868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 658872 */     // MIs[0] offset
     /* 658872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 658875 */     // MIs[0] auxiliary
     /* 658875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 658878 */     // MIs[0] Operand 8
     /* 658878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 658881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 658888 */     // (SIbuffer_atomic_fadd:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_ADD_F64_VBUFFER_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 658888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 658891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 658895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 658900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 658904 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 658907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 658911 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 658914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 658919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658924 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 658929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_ADD_F64_VBUFFER_BOTHEN_RTN),
     /* 658932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 658934 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 658936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 658939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 658941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 658946 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 658948 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 658954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 658958 */     GIR_RootConstrainSelectedInstOperands,
     /* 658959 */     // GIR_Coverage, 6407,
     /* 658959 */     GIR_EraseRootFromParent_Done,
     /* 658960 */   // Label 8489: @658960
     /* 658960 */   GIM_Reject,
     /* 658961 */ // Label 8473: @658961
     /* 658961 */ GIM_Reject,
     /* 658962 */ // Label 8454: @658962
     /* 658962 */ GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(660167),
     /* 658967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 658970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 658973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 658976 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 658979 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 658982 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(659050), // Rule ID 6372 //
     /* 658987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts_HasUnrestrictedSOffset),
     /* 658990 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 658992 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 658996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659000 */     // MIs[0] offset
     /* 659000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659003 */     // MIs[0] auxiliary
     /* 659003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659006 */     // MIs[0] Operand 8
     /* 659006 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659024 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_OFFSET anonymous_9775:{ *:[v2f16] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_OFFSET),
     /* 659027 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659036 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659038 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659048 */     GIR_RootConstrainSelectedInstOperands,
     /* 659049 */     // GIR_Coverage, 6372,
     /* 659049 */     GIR_EraseRootFromParent_Done,
     /* 659050 */   // Label 8491: @659050
     /* 659050 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(659118), // Rule ID 6376 //
     /* 659055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 659058 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659064 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659068 */     // MIs[0] offset
     /* 659068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659071 */     // MIs[0] auxiliary
     /* 659071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659074 */     // MIs[0] Operand 8
     /* 659074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659092 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFSET anonymous_9775:{ *:[v2f16] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFSET),
     /* 659095 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659104 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659106 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659116 */     GIR_RootConstrainSelectedInstOperands,
     /* 659117 */     // GIR_Coverage, 6376,
     /* 659117 */     GIR_EraseRootFromParent_Done,
     /* 659118 */   // Label 8492: @659118
     /* 659118 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(659190), // Rule ID 6388 //
     /* 659123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts_HasUnrestrictedSOffset),
     /* 659126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659130 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659134 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659138 */     // MIs[0] offset
     /* 659138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659141 */     // MIs[0] auxiliary
     /* 659141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659144 */     // MIs[0] Operand 8
     /* 659144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659162 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_PK_ADD_F16_OFFSET_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_OFFSET_RTN),
     /* 659165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659167 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659176 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659178 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659188 */     GIR_RootConstrainSelectedInstOperands,
     /* 659189 */     // GIR_Coverage, 6388,
     /* 659189 */     GIR_EraseRootFromParent_Done,
     /* 659190 */   // Label 8493: @659190
     /* 659190 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(659262), // Rule ID 6392 //
     /* 659195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 659198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659210 */     // MIs[0] offset
     /* 659210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659213 */     // MIs[0] auxiliary
     /* 659213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659216 */     // MIs[0] Operand 8
     /* 659216 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659234 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFSET_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFSET_RTN),
     /* 659237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659239 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659248 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659250 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659260 */     GIR_RootConstrainSelectedInstOperands,
     /* 659261 */     // GIR_Coverage, 6392,
     /* 659261 */     GIR_EraseRootFromParent_Done,
     /* 659262 */   // Label 8494: @659262
     /* 659262 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(659328), // Rule ID 6374 //
     /* 659267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts_HasUnrestrictedSOffset),
     /* 659270 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659272 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659276 */     // MIs[0] offset
     /* 659276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659279 */     // MIs[0] auxiliary
     /* 659279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659282 */     // MIs[0] Operand 8
     /* 659282 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659300 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_OFFEN anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_OFFEN),
     /* 659303 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659305 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 659307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659314 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659326 */     GIR_RootConstrainSelectedInstOperands,
     /* 659327 */     // GIR_Coverage, 6374,
     /* 659327 */     GIR_EraseRootFromParent_Done,
     /* 659328 */   // Label 8495: @659328
     /* 659328 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(659394), // Rule ID 6378 //
     /* 659333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 659336 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659338 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659342 */     // MIs[0] offset
     /* 659342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659345 */     // MIs[0] auxiliary
     /* 659345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659348 */     // MIs[0] Operand 8
     /* 659348 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659366 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFEN anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFEN),
     /* 659369 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659371 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 659373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659380 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659382 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659392 */     GIR_RootConstrainSelectedInstOperands,
     /* 659393 */     // GIR_Coverage, 6378,
     /* 659393 */     GIR_EraseRootFromParent_Done,
     /* 659394 */   // Label 8496: @659394
     /* 659394 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(659464), // Rule ID 6390 //
     /* 659399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts_HasUnrestrictedSOffset),
     /* 659402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659406 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659410 */     // MIs[0] offset
     /* 659410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659413 */     // MIs[0] auxiliary
     /* 659413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659416 */     // MIs[0] Operand 8
     /* 659416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659434 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_PK_ADD_F16_OFFEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_OFFEN_RTN),
     /* 659437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659439 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659441 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 659443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659450 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659462 */     GIR_RootConstrainSelectedInstOperands,
     /* 659463 */     // GIR_Coverage, 6390,
     /* 659463 */     GIR_EraseRootFromParent_Done,
     /* 659464 */   // Label 8497: @659464
     /* 659464 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(659534), // Rule ID 6394 //
     /* 659469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 659472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 659480 */     // MIs[0] offset
     /* 659480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659483 */     // MIs[0] auxiliary
     /* 659483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659486 */     // MIs[0] Operand 8
     /* 659486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 659497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659504 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_OFFEN_RTN),
     /* 659507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659509 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659511 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 659513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659520 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659532 */     GIR_RootConstrainSelectedInstOperands,
     /* 659533 */     // GIR_Coverage, 6394,
     /* 659533 */     GIR_EraseRootFromParent_Done,
     /* 659534 */   // Label 8498: @659534
     /* 659534 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(659592), // Rule ID 6373 //
     /* 659539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts_HasUnrestrictedSOffset),
     /* 659542 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659548 */     // MIs[0] offset
     /* 659548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659551 */     // MIs[0] auxiliary
     /* 659551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659554 */     // MIs[0] Operand 8
     /* 659554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659564 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_IDXEN anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_IDXEN),
     /* 659567 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659569 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 659571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659578 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659580 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659590 */     GIR_RootConstrainSelectedInstOperands,
     /* 659591 */     // GIR_Coverage, 6373,
     /* 659591 */     GIR_EraseRootFromParent_Done,
     /* 659592 */   // Label 8499: @659592
     /* 659592 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(659650), // Rule ID 6377 //
     /* 659597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 659600 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659606 */     // MIs[0] offset
     /* 659606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659609 */     // MIs[0] auxiliary
     /* 659609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659612 */     // MIs[0] Operand 8
     /* 659612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659622 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_IDXEN anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_IDXEN),
     /* 659625 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659627 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 659629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659636 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659638 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659648 */     GIR_RootConstrainSelectedInstOperands,
     /* 659649 */     // GIR_Coverage, 6377,
     /* 659649 */     GIR_EraseRootFromParent_Done,
     /* 659650 */   // Label 8500: @659650
     /* 659650 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(659712), // Rule ID 6389 //
     /* 659655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts_HasUnrestrictedSOffset),
     /* 659658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659662 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659666 */     // MIs[0] offset
     /* 659666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659669 */     // MIs[0] auxiliary
     /* 659669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659672 */     // MIs[0] Operand 8
     /* 659672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659682 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_PK_ADD_F16_IDXEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_IDXEN_RTN),
     /* 659685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659687 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659689 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 659691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659698 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659700 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659710 */     GIR_RootConstrainSelectedInstOperands,
     /* 659711 */     // GIR_Coverage, 6389,
     /* 659711 */     GIR_EraseRootFromParent_Done,
     /* 659712 */   // Label 8501: @659712
     /* 659712 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(659774), // Rule ID 6393 //
     /* 659717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 659720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659724 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 659728 */     // MIs[0] offset
     /* 659728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659731 */     // MIs[0] auxiliary
     /* 659731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659734 */     // MIs[0] Operand 8
     /* 659734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659744 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_IDXEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_IDXEN_RTN),
     /* 659747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 659749 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659751 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 659753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659760 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659762 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 659768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659772 */     GIR_RootConstrainSelectedInstOperands,
     /* 659773 */     // GIR_Coverage, 6393,
     /* 659773 */     GIR_EraseRootFromParent_Done,
     /* 659774 */   // Label 8502: @659774
     /* 659774 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(659870), // Rule ID 6375 //
     /* 659779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts_HasUnrestrictedSOffset),
     /* 659782 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659784 */     // MIs[0] offset
     /* 659784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659787 */     // MIs[0] auxiliary
     /* 659787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659790 */     // MIs[0] Operand 8
     /* 659790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659800 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_BOTHEN anonymous_9775:{ *:[v2f16] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 659803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 659807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 659812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 659816 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 659819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 659823 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 659826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 659831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 659836 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 659841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_BOTHEN),
     /* 659844 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 659849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659856 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659868 */     GIR_RootConstrainSelectedInstOperands,
     /* 659869 */     // GIR_Coverage, 6375,
     /* 659869 */     GIR_EraseRootFromParent_Done,
     /* 659870 */   // Label 8503: @659870
     /* 659870 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(659966), // Rule ID 6379 //
     /* 659875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16NoRtnInsts),
     /* 659878 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 659880 */     // MIs[0] offset
     /* 659880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659883 */     // MIs[0] auxiliary
     /* 659883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659886 */     // MIs[0] Operand 8
     /* 659886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659896 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fadd_noret>>  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_BOTHEN anonymous_9775:{ *:[v2f16] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 659899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 659903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 659908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 659912 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 659915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 659919 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 659922 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 659927 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 659932 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 659937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_BOTHEN),
     /* 659940 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 659942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 659945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 659947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 659952 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 659954 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 659960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 659964 */     GIR_RootConstrainSelectedInstOperands,
     /* 659965 */     // GIR_Coverage, 6379,
     /* 659965 */     GIR_EraseRootFromParent_Done,
     /* 659966 */   // Label 8504: @659966
     /* 659966 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(660066), // Rule ID 6391 //
     /* 659971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts_HasUnrestrictedSOffset),
     /* 659974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 659978 */     // MIs[0] offset
     /* 659978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 659981 */     // MIs[0] auxiliary
     /* 659981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 659984 */     // MIs[0] Operand 8
     /* 659984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 659987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 659994 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_PK_ADD_F16_BOTHEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 659994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 659997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 660001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 660006 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 660010 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 660013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 660017 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 660020 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 660025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 660030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 660035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_BOTHEN_RTN),
     /* 660038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660040 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 660045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660052 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660054 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660064 */     GIR_RootConstrainSelectedInstOperands,
     /* 660065 */     // GIR_Coverage, 6391,
     /* 660065 */     GIR_EraseRootFromParent_Done,
     /* 660066 */   // Label 8505: @660066
     /* 660066 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(660166), // Rule ID 6395 //
     /* 660071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicBufferGlobalPkAddF16Insts),
     /* 660074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660078 */     // MIs[0] offset
     /* 660078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660081 */     // MIs[0] auxiliary
     /* 660081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660084 */     // MIs[0] Operand 8
     /* 660084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 660087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660094 */     // (SIbuffer_atomic_fadd:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_BOTHEN_RTN:{ *:[v2f16] } anonymous_9775:{ *:[v2f16] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 660097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 660101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 660106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 660110 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 660113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 660117 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 660120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 660125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 660130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 660135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_PK_ADD_F16_VBUFFER_BOTHEN_RTN),
     /* 660138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660140 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 660145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660152 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660154 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660164 */     GIR_RootConstrainSelectedInstOperands,
     /* 660165 */     // GIR_Coverage, 6395,
     /* 660165 */     GIR_EraseRootFromParent_Done,
     /* 660166 */   // Label 8506: @660166
     /* 660166 */   GIM_Reject,
     /* 660167 */ // Label 8490: @660167
     /* 660167 */ GIM_Reject,
     /* 660168 */ // Label 8455: @660168
     /* 660168 */ GIM_Reject,
     /* 660169 */ // Label 116: @660169
     /* 660169 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8509*/ GIMT_Encode4(663784),
     /* 660180 */ /*GILLT_s32*//*Label 8507*/ GIMT_Encode4(660188),
     /* 660184 */ /*GILLT_s64*//*Label 8508*/ GIMT_Encode4(661394),
     /* 660188 */ // Label 8507: @660188
     /* 660188 */ GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(661393),
     /* 660193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 660196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 660199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 660202 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 660205 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 660208 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(660276), // Rule ID 6320 //
     /* 660213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660216 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660226 */     // MIs[0] offset
     /* 660226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660229 */     // MIs[0] auxiliary
     /* 660229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660232 */     // MIs[0] Operand 8
     /* 660232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660250 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFSET),
     /* 660253 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660262 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660274 */     GIR_RootConstrainSelectedInstOperands,
     /* 660275 */     // GIR_Coverage, 6320,
     /* 660275 */     GIR_EraseRootFromParent_Done,
     /* 660276 */   // Label 8511: @660276
     /* 660276 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(660344), // Rule ID 6328 //
     /* 660281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660284 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660286 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660294 */     // MIs[0] offset
     /* 660294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660297 */     // MIs[0] auxiliary
     /* 660297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660300 */     // MIs[0] Operand 8
     /* 660300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660318 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET),
     /* 660321 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660330 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660332 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660342 */     GIR_RootConstrainSelectedInstOperands,
     /* 660343 */     // GIR_Coverage, 6328,
     /* 660343 */     GIR_EraseRootFromParent_Done,
     /* 660344 */   // Label 8512: @660344
     /* 660344 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(660416), // Rule ID 6316 //
     /* 660349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660360 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660364 */     // MIs[0] offset
     /* 660364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660367 */     // MIs[0] auxiliary
     /* 660367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660370 */     // MIs[0] Operand 8
     /* 660370 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660388 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMAX_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFSET_RTN),
     /* 660391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660393 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660402 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660404 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660414 */     GIR_RootConstrainSelectedInstOperands,
     /* 660415 */     // GIR_Coverage, 6316,
     /* 660415 */     GIR_EraseRootFromParent_Done,
     /* 660416 */   // Label 8513: @660416
     /* 660416 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(660488), // Rule ID 6324 //
     /* 660421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660428 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660436 */     // MIs[0] offset
     /* 660436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660439 */     // MIs[0] auxiliary
     /* 660439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660442 */     // MIs[0] Operand 8
     /* 660442 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660460 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFSET_RTN),
     /* 660463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660465 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660474 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660476 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660486 */     GIR_RootConstrainSelectedInstOperands,
     /* 660487 */     // GIR_Coverage, 6324,
     /* 660487 */     GIR_EraseRootFromParent_Done,
     /* 660488 */   // Label 8514: @660488
     /* 660488 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(660554), // Rule ID 6322 //
     /* 660493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660496 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660502 */     // MIs[0] offset
     /* 660502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660505 */     // MIs[0] auxiliary
     /* 660505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660508 */     // MIs[0] Operand 8
     /* 660508 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660526 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFEN),
     /* 660529 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660531 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 660533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660540 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660542 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660552 */     GIR_RootConstrainSelectedInstOperands,
     /* 660553 */     // GIR_Coverage, 6322,
     /* 660553 */     GIR_EraseRootFromParent_Done,
     /* 660554 */   // Label 8515: @660554
     /* 660554 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(660620), // Rule ID 6330 //
     /* 660559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660562 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660564 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660568 */     // MIs[0] offset
     /* 660568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660571 */     // MIs[0] auxiliary
     /* 660571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660574 */     // MIs[0] Operand 8
     /* 660574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660592 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFEN),
     /* 660595 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660597 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 660599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660606 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660608 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660618 */     GIR_RootConstrainSelectedInstOperands,
     /* 660619 */     // GIR_Coverage, 6330,
     /* 660619 */     GIR_EraseRootFromParent_Done,
     /* 660620 */   // Label 8516: @660620
     /* 660620 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(660690), // Rule ID 6318 //
     /* 660625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660636 */     // MIs[0] offset
     /* 660636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660639 */     // MIs[0] auxiliary
     /* 660639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660642 */     // MIs[0] Operand 8
     /* 660642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660660 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMAX_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_OFFEN_RTN),
     /* 660663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660665 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660667 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 660669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660676 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660688 */     GIR_RootConstrainSelectedInstOperands,
     /* 660689 */     // GIR_Coverage, 6318,
     /* 660689 */     GIR_EraseRootFromParent_Done,
     /* 660690 */   // Label 8517: @660690
     /* 660690 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(660760), // Rule ID 6326 //
     /* 660695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 660706 */     // MIs[0] offset
     /* 660706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660709 */     // MIs[0] auxiliary
     /* 660709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660712 */     // MIs[0] Operand 8
     /* 660712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 660723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660730 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_OFFEN_RTN),
     /* 660733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660735 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660737 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 660739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660746 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660748 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660758 */     GIR_RootConstrainSelectedInstOperands,
     /* 660759 */     // GIR_Coverage, 6326,
     /* 660759 */     GIR_EraseRootFromParent_Done,
     /* 660760 */   // Label 8518: @660760
     /* 660760 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(660818), // Rule ID 6321 //
     /* 660765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660768 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660774 */     // MIs[0] offset
     /* 660774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660777 */     // MIs[0] auxiliary
     /* 660777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660780 */     // MIs[0] Operand 8
     /* 660780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 660783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660790 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_IDXEN),
     /* 660793 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660795 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 660797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660804 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660806 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660816 */     GIR_RootConstrainSelectedInstOperands,
     /* 660817 */     // GIR_Coverage, 6321,
     /* 660817 */     GIR_EraseRootFromParent_Done,
     /* 660818 */   // Label 8519: @660818
     /* 660818 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(660876), // Rule ID 6329 //
     /* 660823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660826 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 660828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660832 */     // MIs[0] offset
     /* 660832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660835 */     // MIs[0] auxiliary
     /* 660835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660838 */     // MIs[0] Operand 8
     /* 660838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 660841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660848 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_IDXEN),
     /* 660851 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660853 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 660855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660862 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 660870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660874 */     GIR_RootConstrainSelectedInstOperands,
     /* 660875 */     // GIR_Coverage, 6329,
     /* 660875 */     GIR_EraseRootFromParent_Done,
     /* 660876 */   // Label 8520: @660876
     /* 660876 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(660938), // Rule ID 6317 //
     /* 660881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 660884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660888 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660892 */     // MIs[0] offset
     /* 660892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660895 */     // MIs[0] auxiliary
     /* 660895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660898 */     // MIs[0] Operand 8
     /* 660898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 660901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660908 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMAX_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_IDXEN_RTN),
     /* 660911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660913 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660915 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 660917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660924 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660926 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660936 */     GIR_RootConstrainSelectedInstOperands,
     /* 660937 */     // GIR_Coverage, 6317,
     /* 660937 */     GIR_EraseRootFromParent_Done,
     /* 660938 */   // Label 8521: @660938
     /* 660938 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(661000), // Rule ID 6325 //
     /* 660943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 660946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 660950 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 660954 */     // MIs[0] offset
     /* 660954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 660957 */     // MIs[0] auxiliary
     /* 660957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 660960 */     // MIs[0] Operand 8
     /* 660960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 660963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 660970 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 660970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_IDXEN_RTN),
     /* 660973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 660975 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 660977 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 660979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 660981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 660986 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 660988 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 660994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 660998 */     GIR_RootConstrainSelectedInstOperands,
     /* 660999 */     // GIR_Coverage, 6325,
     /* 660999 */     GIR_EraseRootFromParent_Done,
     /* 661000 */   // Label 8522: @661000
     /* 661000 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(661096), // Rule ID 6323 //
     /* 661005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 661008 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661010 */     // MIs[0] offset
     /* 661010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661013 */     // MIs[0] auxiliary
     /* 661013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661016 */     // MIs[0] Operand 8
     /* 661016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 661019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661026 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 661029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 661033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 661038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 661042 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 661045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 661049 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 661052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 661057 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661062 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_BOTHEN),
     /* 661070 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 661075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661082 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661084 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661094 */     GIR_RootConstrainSelectedInstOperands,
     /* 661095 */     // GIR_Coverage, 6323,
     /* 661095 */     GIR_EraseRootFromParent_Done,
     /* 661096 */   // Label 8523: @661096
     /* 661096 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(661192), // Rule ID 6331 //
     /* 661101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 661104 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661106 */     // MIs[0] offset
     /* 661106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661109 */     // MIs[0] auxiliary
     /* 661109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661112 */     // MIs[0] Operand 8
     /* 661112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 661115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661122 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 661125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 661129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 661134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 661138 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 661141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 661145 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 661148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 661153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_BOTHEN),
     /* 661166 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 661171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661178 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661180 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661190 */     GIR_RootConstrainSelectedInstOperands,
     /* 661191 */     // GIR_Coverage, 6331,
     /* 661191 */     GIR_EraseRootFromParent_Done,
     /* 661192 */   // Label 8524: @661192
     /* 661192 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(661292), // Rule ID 6319 //
     /* 661197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 661200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 661204 */     // MIs[0] offset
     /* 661204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661207 */     // MIs[0] auxiliary
     /* 661207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661210 */     // MIs[0] Operand 8
     /* 661210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 661213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661220 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMAX_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 661223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 661227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 661232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 661236 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 661239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 661243 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 661246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 661251 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661256 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_BOTHEN_RTN),
     /* 661264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661266 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 661271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661278 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661280 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661290 */     GIR_RootConstrainSelectedInstOperands,
     /* 661291 */     // GIR_Coverage, 6319,
     /* 661291 */     GIR_EraseRootFromParent_Done,
     /* 661292 */   // Label 8525: @661292
     /* 661292 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(661392), // Rule ID 6327 //
     /* 661297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 661300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 661304 */     // MIs[0] offset
     /* 661304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661307 */     // MIs[0] auxiliary
     /* 661307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661310 */     // MIs[0] Operand 8
     /* 661310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 661313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661320 */     // (SIbuffer_atomic_fmax:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMAX_VBUFFER_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 661323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 661327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 661332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 661336 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 661339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 661343 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 661346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 661351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 661361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMAX_VBUFFER_BOTHEN_RTN),
     /* 661364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661366 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 661371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661378 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661380 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661390 */     GIR_RootConstrainSelectedInstOperands,
     /* 661391 */     // GIR_Coverage, 6327,
     /* 661391 */     GIR_EraseRootFromParent_Done,
     /* 661392 */   // Label 8526: @661392
     /* 661392 */   GIM_Reject,
     /* 661393 */ // Label 8510: @661393
     /* 661393 */ GIM_Reject,
     /* 661394 */ // Label 8508: @661394
     /* 661394 */ GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(663783),
     /* 661399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 661402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 661405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 661408 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 661411 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 661414 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(661482), // Rule ID 6352 //
     /* 661419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 661422 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661424 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661428 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661432 */     // MIs[0] offset
     /* 661432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661435 */     // MIs[0] auxiliary
     /* 661435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661438 */     // MIs[0] Operand 8
     /* 661438 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661456 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET),
     /* 661459 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661468 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661470 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661480 */     GIR_RootConstrainSelectedInstOperands,
     /* 661481 */     // GIR_Coverage, 6352,
     /* 661481 */     GIR_EraseRootFromParent_Done,
     /* 661482 */   // Label 8528: @661482
     /* 661482 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(661550), // Rule ID 6360 //
     /* 661487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 661490 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661500 */     // MIs[0] offset
     /* 661500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661503 */     // MIs[0] auxiliary
     /* 661503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661506 */     // MIs[0] Operand 8
     /* 661506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661524 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET),
     /* 661527 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661536 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661538 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661548 */     GIR_RootConstrainSelectedInstOperands,
     /* 661549 */     // GIR_Coverage, 6360,
     /* 661549 */     GIR_EraseRootFromParent_Done,
     /* 661550 */   // Label 8529: @661550
     /* 661550 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(661618), // Rule ID 6432 //
     /* 661555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 661558 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661564 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661568 */     // MIs[0] offset
     /* 661568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661571 */     // MIs[0] auxiliary
     /* 661571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661574 */     // MIs[0] Operand 8
     /* 661574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661592 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET),
     /* 661595 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661604 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661606 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661616 */     GIR_RootConstrainSelectedInstOperands,
     /* 661617 */     // GIR_Coverage, 6432,
     /* 661617 */     GIR_EraseRootFromParent_Done,
     /* 661618 */   // Label 8530: @661618
     /* 661618 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(661686), // Rule ID 6440 //
     /* 661623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 661626 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661636 */     // MIs[0] offset
     /* 661636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661639 */     // MIs[0] auxiliary
     /* 661639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661642 */     // MIs[0] Operand 8
     /* 661642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661660 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET),
     /* 661663 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661672 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661674 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 661680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661684 */     GIR_RootConstrainSelectedInstOperands,
     /* 661685 */     // GIR_Coverage, 6440,
     /* 661685 */     GIR_EraseRootFromParent_Done,
     /* 661686 */   // Label 8531: @661686
     /* 661686 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(661758), // Rule ID 6348 //
     /* 661691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 661694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 661698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661706 */     // MIs[0] offset
     /* 661706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661709 */     // MIs[0] auxiliary
     /* 661709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661712 */     // MIs[0] Operand 8
     /* 661712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661730 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET_RTN),
     /* 661733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661735 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661744 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661746 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661756 */     GIR_RootConstrainSelectedInstOperands,
     /* 661757 */     // GIR_Coverage, 6348,
     /* 661757 */     GIR_EraseRootFromParent_Done,
     /* 661758 */   // Label 8532: @661758
     /* 661758 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(661830), // Rule ID 6356 //
     /* 661763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 661766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 661770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661778 */     // MIs[0] offset
     /* 661778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661781 */     // MIs[0] auxiliary
     /* 661781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661784 */     // MIs[0] Operand 8
     /* 661784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661802 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN),
     /* 661805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661807 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661816 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661818 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661828 */     GIR_RootConstrainSelectedInstOperands,
     /* 661829 */     // GIR_Coverage, 6356,
     /* 661829 */     GIR_EraseRootFromParent_Done,
     /* 661830 */   // Label 8533: @661830
     /* 661830 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(661902), // Rule ID 6428 //
     /* 661835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 661838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 661842 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661850 */     // MIs[0] offset
     /* 661850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661853 */     // MIs[0] auxiliary
     /* 661853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661856 */     // MIs[0] Operand 8
     /* 661856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661874 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFSET_RTN),
     /* 661877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661879 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661888 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661890 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661900 */     GIR_RootConstrainSelectedInstOperands,
     /* 661901 */     // GIR_Coverage, 6428,
     /* 661901 */     GIR_EraseRootFromParent_Done,
     /* 661902 */   // Label 8534: @661902
     /* 661902 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(661974), // Rule ID 6436 //
     /* 661907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 661910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 661914 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 661922 */     // MIs[0] offset
     /* 661922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661925 */     // MIs[0] auxiliary
     /* 661925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661928 */     // MIs[0] Operand 8
     /* 661928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 661939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 661946 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 661946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFSET_RTN),
     /* 661949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 661951 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 661953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 661955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 661960 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 661962 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 661968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 661972 */     GIR_RootConstrainSelectedInstOperands,
     /* 661973 */     // GIR_Coverage, 6436,
     /* 661973 */     GIR_EraseRootFromParent_Done,
     /* 661974 */   // Label 8535: @661974
     /* 661974 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(662040), // Rule ID 6354 //
     /* 661979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 661982 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 661984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 661988 */     // MIs[0] offset
     /* 661988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 661991 */     // MIs[0] auxiliary
     /* 661991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 661994 */     // MIs[0] Operand 8
     /* 661994 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662012 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFEN),
     /* 662015 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662017 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662026 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662028 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662038 */     GIR_RootConstrainSelectedInstOperands,
     /* 662039 */     // GIR_Coverage, 6354,
     /* 662039 */     GIR_EraseRootFromParent_Done,
     /* 662040 */   // Label 8536: @662040
     /* 662040 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(662106), // Rule ID 6362 //
     /* 662045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662048 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662050 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662054 */     // MIs[0] offset
     /* 662054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662057 */     // MIs[0] auxiliary
     /* 662057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662060 */     // MIs[0] Operand 8
     /* 662060 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662078 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN),
     /* 662081 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662083 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662092 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662094 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662104 */     GIR_RootConstrainSelectedInstOperands,
     /* 662105 */     // GIR_Coverage, 6362,
     /* 662105 */     GIR_EraseRootFromParent_Done,
     /* 662106 */   // Label 8537: @662106
     /* 662106 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(662172), // Rule ID 6434 //
     /* 662111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662114 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662120 */     // MIs[0] offset
     /* 662120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662123 */     // MIs[0] auxiliary
     /* 662123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662126 */     // MIs[0] Operand 8
     /* 662126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662144 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFEN),
     /* 662147 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662149 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662158 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662160 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662170 */     GIR_RootConstrainSelectedInstOperands,
     /* 662171 */     // GIR_Coverage, 6434,
     /* 662171 */     GIR_EraseRootFromParent_Done,
     /* 662172 */   // Label 8538: @662172
     /* 662172 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(662238), // Rule ID 6442 //
     /* 662177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662180 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662186 */     // MIs[0] offset
     /* 662186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662189 */     // MIs[0] auxiliary
     /* 662189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662192 */     // MIs[0] Operand 8
     /* 662192 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662210 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN),
     /* 662213 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662215 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662224 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662226 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662236 */     GIR_RootConstrainSelectedInstOperands,
     /* 662237 */     // GIR_Coverage, 6442,
     /* 662237 */     GIR_EraseRootFromParent_Done,
     /* 662238 */   // Label 8539: @662238
     /* 662238 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(662308), // Rule ID 6350 //
     /* 662243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662250 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662254 */     // MIs[0] offset
     /* 662254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662257 */     // MIs[0] auxiliary
     /* 662257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662260 */     // MIs[0] Operand 8
     /* 662260 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662278 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFEN_RTN),
     /* 662281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662283 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662285 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662294 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662306 */     GIR_RootConstrainSelectedInstOperands,
     /* 662307 */     // GIR_Coverage, 6350,
     /* 662307 */     GIR_EraseRootFromParent_Done,
     /* 662308 */   // Label 8540: @662308
     /* 662308 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(662378), // Rule ID 6358 //
     /* 662313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662324 */     // MIs[0] offset
     /* 662324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662327 */     // MIs[0] auxiliary
     /* 662327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662330 */     // MIs[0] Operand 8
     /* 662330 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662348 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN_RTN),
     /* 662351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662353 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662355 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662364 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662366 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662376 */     GIR_RootConstrainSelectedInstOperands,
     /* 662377 */     // GIR_Coverage, 6358,
     /* 662377 */     GIR_EraseRootFromParent_Done,
     /* 662378 */   // Label 8541: @662378
     /* 662378 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(662448), // Rule ID 6430 //
     /* 662383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662390 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662394 */     // MIs[0] offset
     /* 662394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662397 */     // MIs[0] auxiliary
     /* 662397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662400 */     // MIs[0] Operand 8
     /* 662400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662418 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_OFFEN_RTN),
     /* 662421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662423 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662425 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662434 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662446 */     GIR_RootConstrainSelectedInstOperands,
     /* 662447 */     // GIR_Coverage, 6430,
     /* 662447 */     GIR_EraseRootFromParent_Done,
     /* 662448 */   // Label 8542: @662448
     /* 662448 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(662518), // Rule ID 6438 //
     /* 662453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662460 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 662464 */     // MIs[0] offset
     /* 662464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662467 */     // MIs[0] auxiliary
     /* 662467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662470 */     // MIs[0] Operand 8
     /* 662470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 662481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662488 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_OFFEN_RTN),
     /* 662491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662493 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662495 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 662497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662504 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662506 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662516 */     GIR_RootConstrainSelectedInstOperands,
     /* 662517 */     // GIR_Coverage, 6438,
     /* 662517 */     GIR_EraseRootFromParent_Done,
     /* 662518 */   // Label 8543: @662518
     /* 662518 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(662576), // Rule ID 6353 //
     /* 662523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662526 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662528 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662532 */     // MIs[0] offset
     /* 662532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662535 */     // MIs[0] auxiliary
     /* 662535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662538 */     // MIs[0] Operand 8
     /* 662538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662548 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_IDXEN),
     /* 662551 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662553 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662562 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662564 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662574 */     GIR_RootConstrainSelectedInstOperands,
     /* 662575 */     // GIR_Coverage, 6353,
     /* 662575 */     GIR_EraseRootFromParent_Done,
     /* 662576 */   // Label 8544: @662576
     /* 662576 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(662634), // Rule ID 6361 //
     /* 662581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662584 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662586 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662590 */     // MIs[0] offset
     /* 662590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662593 */     // MIs[0] auxiliary
     /* 662593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662596 */     // MIs[0] Operand 8
     /* 662596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662606 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN),
     /* 662609 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662611 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662620 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662622 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662632 */     GIR_RootConstrainSelectedInstOperands,
     /* 662633 */     // GIR_Coverage, 6361,
     /* 662633 */     GIR_EraseRootFromParent_Done,
     /* 662634 */   // Label 8545: @662634
     /* 662634 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(662692), // Rule ID 6433 //
     /* 662639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662642 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662648 */     // MIs[0] offset
     /* 662648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662651 */     // MIs[0] auxiliary
     /* 662651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662654 */     // MIs[0] Operand 8
     /* 662654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662664 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_IDXEN),
     /* 662667 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662669 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662678 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662680 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662690 */     GIR_RootConstrainSelectedInstOperands,
     /* 662691 */     // GIR_Coverage, 6433,
     /* 662691 */     GIR_EraseRootFromParent_Done,
     /* 662692 */   // Label 8546: @662692
     /* 662692 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(662750), // Rule ID 6441 //
     /* 662697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662700 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 662702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662706 */     // MIs[0] offset
     /* 662706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662709 */     // MIs[0] auxiliary
     /* 662709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662712 */     // MIs[0] Operand 8
     /* 662712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662722 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN),
     /* 662725 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662727 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662736 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 662744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662748 */     GIR_RootConstrainSelectedInstOperands,
     /* 662749 */     // GIR_Coverage, 6441,
     /* 662749 */     GIR_EraseRootFromParent_Done,
     /* 662750 */   // Label 8547: @662750
     /* 662750 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(662812), // Rule ID 6349 //
     /* 662755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662762 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662766 */     // MIs[0] offset
     /* 662766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662769 */     // MIs[0] auxiliary
     /* 662769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662772 */     // MIs[0] Operand 8
     /* 662772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662782 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_IDXEN_RTN),
     /* 662785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662787 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662789 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662798 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662810 */     GIR_RootConstrainSelectedInstOperands,
     /* 662811 */     // GIR_Coverage, 6349,
     /* 662811 */     GIR_EraseRootFromParent_Done,
     /* 662812 */   // Label 8548: @662812
     /* 662812 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(662874), // Rule ID 6357 //
     /* 662817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662828 */     // MIs[0] offset
     /* 662828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662831 */     // MIs[0] auxiliary
     /* 662831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662834 */     // MIs[0] Operand 8
     /* 662834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662844 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN_RTN),
     /* 662847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662849 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662851 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662860 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662862 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662872 */     GIR_RootConstrainSelectedInstOperands,
     /* 662873 */     // GIR_Coverage, 6357,
     /* 662873 */     GIR_EraseRootFromParent_Done,
     /* 662874 */   // Label 8549: @662874
     /* 662874 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(662936), // Rule ID 6429 //
     /* 662879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 662882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662886 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662890 */     // MIs[0] offset
     /* 662890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662893 */     // MIs[0] auxiliary
     /* 662893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662896 */     // MIs[0] Operand 8
     /* 662896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662906 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_IDXEN_RTN),
     /* 662909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662911 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662913 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662922 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662924 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662934 */     GIR_RootConstrainSelectedInstOperands,
     /* 662935 */     // GIR_Coverage, 6429,
     /* 662935 */     GIR_EraseRootFromParent_Done,
     /* 662936 */   // Label 8550: @662936
     /* 662936 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(662998), // Rule ID 6437 //
     /* 662941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 662944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 662948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 662952 */     // MIs[0] offset
     /* 662952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 662955 */     // MIs[0] auxiliary
     /* 662955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 662958 */     // MIs[0] Operand 8
     /* 662958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 662961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 662968 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 662968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_IDXEN_RTN),
     /* 662971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 662973 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 662975 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 662977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 662979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 662984 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 662986 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 662992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 662996 */     GIR_RootConstrainSelectedInstOperands,
     /* 662997 */     // GIR_Coverage, 6437,
     /* 662997 */     GIR_EraseRootFromParent_Done,
     /* 662998 */   // Label 8551: @662998
     /* 662998 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(663094), // Rule ID 6355 //
     /* 663003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 663006 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663008 */     // MIs[0] offset
     /* 663008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663011 */     // MIs[0] auxiliary
     /* 663011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663014 */     // MIs[0] Operand 8
     /* 663014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663024 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663040 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663047 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663055 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_BOTHEN),
     /* 663068 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663080 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663082 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663092 */     GIR_RootConstrainSelectedInstOperands,
     /* 663093 */     // GIR_Coverage, 6355,
     /* 663093 */     GIR_EraseRootFromParent_Done,
     /* 663094 */   // Label 8552: @663094
     /* 663094 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(663190), // Rule ID 6363 //
     /* 663099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 663102 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663104 */     // MIs[0] offset
     /* 663104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663107 */     // MIs[0] auxiliary
     /* 663107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663110 */     // MIs[0] Operand 8
     /* 663110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663120 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663136 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663143 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663146 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN),
     /* 663164 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663176 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663178 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663188 */     GIR_RootConstrainSelectedInstOperands,
     /* 663189 */     // GIR_Coverage, 6363,
     /* 663189 */     GIR_EraseRootFromParent_Done,
     /* 663190 */   // Label 8553: @663190
     /* 663190 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(663286), // Rule ID 6435 //
     /* 663195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 663198 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663200 */     // MIs[0] offset
     /* 663200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663203 */     // MIs[0] auxiliary
     /* 663203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663206 */     // MIs[0] Operand 8
     /* 663206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663216 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663232 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663239 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663242 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663247 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_BOTHEN),
     /* 663260 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663272 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663274 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663284 */     GIR_RootConstrainSelectedInstOperands,
     /* 663285 */     // GIR_Coverage, 6435,
     /* 663285 */     GIR_EraseRootFromParent_Done,
     /* 663286 */   // Label 8554: @663286
     /* 663286 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(663382), // Rule ID 6443 //
     /* 663291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 663294 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663296 */     // MIs[0] offset
     /* 663296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663299 */     // MIs[0] auxiliary
     /* 663299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663302 */     // MIs[0] Operand 8
     /* 663302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663312 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmax_noret>>  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663328 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663335 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN),
     /* 663356 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663368 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663380 */     GIR_RootConstrainSelectedInstOperands,
     /* 663381 */     // GIR_Coverage, 6443,
     /* 663381 */     GIR_EraseRootFromParent_Done,
     /* 663382 */   // Label 8555: @663382
     /* 663382 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(663482), // Rule ID 6351 //
     /* 663387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 663390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 663394 */     // MIs[0] offset
     /* 663394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663397 */     // MIs[0] auxiliary
     /* 663397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663400 */     // MIs[0] Operand 8
     /* 663400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663410 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663426 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663433 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663436 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_BOTHEN_RTN),
     /* 663454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 663456 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663468 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663470 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 663476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663480 */     GIR_RootConstrainSelectedInstOperands,
     /* 663481 */     // GIR_Coverage, 6351,
     /* 663481 */     GIR_EraseRootFromParent_Done,
     /* 663482 */   // Label 8556: @663482
     /* 663482 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(663582), // Rule ID 6359 //
     /* 663487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 663490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 663494 */     // MIs[0] offset
     /* 663494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663497 */     // MIs[0] auxiliary
     /* 663497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663500 */     // MIs[0] Operand 8
     /* 663500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663510 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663526 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663533 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663536 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663541 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663546 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN_RTN),
     /* 663554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 663556 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663568 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663570 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 663576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663580 */     GIR_RootConstrainSelectedInstOperands,
     /* 663581 */     // GIR_Coverage, 6359,
     /* 663581 */     GIR_EraseRootFromParent_Done,
     /* 663582 */   // Label 8557: @663582
     /* 663582 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(663682), // Rule ID 6431 //
     /* 663587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 663590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 663594 */     // MIs[0] offset
     /* 663594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663597 */     // MIs[0] auxiliary
     /* 663597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663600 */     // MIs[0] Operand 8
     /* 663600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663610 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663626 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663633 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663636 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663641 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_BOTHEN_RTN),
     /* 663654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 663656 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663668 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663670 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 663676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663680 */     GIR_RootConstrainSelectedInstOperands,
     /* 663681 */     // GIR_Coverage, 6431,
     /* 663681 */     GIR_EraseRootFromParent_Done,
     /* 663682 */   // Label 8558: @663682
     /* 663682 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(663782), // Rule ID 6439 //
     /* 663687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 663690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 663694 */     // MIs[0] offset
     /* 663694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663697 */     // MIs[0] auxiliary
     /* 663697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663700 */     // MIs[0] Operand 8
     /* 663700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 663703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663710 */     // (SIbuffer_atomic_fmax:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 663713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 663717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 663722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 663726 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 663729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 663733 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 663736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 663741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 663751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MAX_F64_VBUFFER_BOTHEN_RTN),
     /* 663754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 663756 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 663761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663768 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 663776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663780 */     GIR_RootConstrainSelectedInstOperands,
     /* 663781 */     // GIR_Coverage, 6439,
     /* 663781 */     GIR_EraseRootFromParent_Done,
     /* 663782 */   // Label 8559: @663782
     /* 663782 */   GIM_Reject,
     /* 663783 */ // Label 8527: @663783
     /* 663783 */ GIM_Reject,
     /* 663784 */ // Label 8509: @663784
     /* 663784 */ GIM_Reject,
     /* 663785 */ // Label 117: @663785
     /* 663785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8562*/ GIMT_Encode4(667400),
     /* 663796 */ /*GILLT_s32*//*Label 8560*/ GIMT_Encode4(663804),
     /* 663800 */ /*GILLT_s64*//*Label 8561*/ GIMT_Encode4(665010),
     /* 663804 */ // Label 8560: @663804
     /* 663804 */ GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(665009),
     /* 663809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 663812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 663815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 663818 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 663821 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 663824 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(663892), // Rule ID 6304 //
     /* 663829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 663832 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663834 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 663838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 663842 */     // MIs[0] offset
     /* 663842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663845 */     // MIs[0] auxiliary
     /* 663845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663848 */     // MIs[0] Operand 8
     /* 663848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 663859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663866 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFSET),
     /* 663869 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663878 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663880 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663890 */     GIR_RootConstrainSelectedInstOperands,
     /* 663891 */     // GIR_Coverage, 6304,
     /* 663891 */     GIR_EraseRootFromParent_Done,
     /* 663892 */   // Label 8564: @663892
     /* 663892 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(663960), // Rule ID 6312 //
     /* 663897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 663900 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 663902 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 663906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 663910 */     // MIs[0] offset
     /* 663910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663913 */     // MIs[0] auxiliary
     /* 663913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663916 */     // MIs[0] Operand 8
     /* 663916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 663927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 663934 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 663934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET),
     /* 663937 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 663939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 663941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 663946 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 663948 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 663954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 663958 */     GIR_RootConstrainSelectedInstOperands,
     /* 663959 */     // GIR_Coverage, 6312,
     /* 663959 */     GIR_EraseRootFromParent_Done,
     /* 663960 */   // Label 8565: @663960
     /* 663960 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(664032), // Rule ID 6300 //
     /* 663965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 663968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 663972 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 663976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 663980 */     // MIs[0] offset
     /* 663980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 663983 */     // MIs[0] auxiliary
     /* 663983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 663986 */     // MIs[0] Operand 8
     /* 663986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 663997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664004 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMIN_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFSET_RTN),
     /* 664007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664009 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664018 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664030 */     GIR_RootConstrainSelectedInstOperands,
     /* 664031 */     // GIR_Coverage, 6300,
     /* 664031 */     GIR_EraseRootFromParent_Done,
     /* 664032 */   // Label 8566: @664032
     /* 664032 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(664104), // Rule ID 6308 //
     /* 664037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 664048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 664052 */     // MIs[0] offset
     /* 664052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664055 */     // MIs[0] auxiliary
     /* 664055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664058 */     // MIs[0] Operand 8
     /* 664058 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 664069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664076 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFSET_RTN),
     /* 664079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664081 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664090 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664092 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664102 */     GIR_RootConstrainSelectedInstOperands,
     /* 664103 */     // GIR_Coverage, 6308,
     /* 664103 */     GIR_EraseRootFromParent_Done,
     /* 664104 */   // Label 8567: @664104
     /* 664104 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(664170), // Rule ID 6306 //
     /* 664109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664112 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 664118 */     // MIs[0] offset
     /* 664118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664121 */     // MIs[0] auxiliary
     /* 664121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664124 */     // MIs[0] Operand 8
     /* 664124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 664135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664142 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFEN),
     /* 664145 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664147 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 664149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664156 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664158 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664168 */     GIR_RootConstrainSelectedInstOperands,
     /* 664169 */     // GIR_Coverage, 6306,
     /* 664169 */     GIR_EraseRootFromParent_Done,
     /* 664170 */   // Label 8568: @664170
     /* 664170 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(664236), // Rule ID 6314 //
     /* 664175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664178 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664180 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 664184 */     // MIs[0] offset
     /* 664184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664187 */     // MIs[0] auxiliary
     /* 664187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664190 */     // MIs[0] Operand 8
     /* 664190 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 664201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664208 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFEN),
     /* 664211 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664213 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 664215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664222 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664224 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664234 */     GIR_RootConstrainSelectedInstOperands,
     /* 664235 */     // GIR_Coverage, 6314,
     /* 664235 */     GIR_EraseRootFromParent_Done,
     /* 664236 */   // Label 8569: @664236
     /* 664236 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(664306), // Rule ID 6302 //
     /* 664241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 664252 */     // MIs[0] offset
     /* 664252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664255 */     // MIs[0] auxiliary
     /* 664255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664258 */     // MIs[0] Operand 8
     /* 664258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 664269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664276 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMIN_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_OFFEN_RTN),
     /* 664279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664281 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664283 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 664285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664292 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664304 */     GIR_RootConstrainSelectedInstOperands,
     /* 664305 */     // GIR_Coverage, 6302,
     /* 664305 */     GIR_EraseRootFromParent_Done,
     /* 664306 */   // Label 8570: @664306
     /* 664306 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(664376), // Rule ID 6310 //
     /* 664311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 664322 */     // MIs[0] offset
     /* 664322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664325 */     // MIs[0] auxiliary
     /* 664325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664328 */     // MIs[0] Operand 8
     /* 664328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 664339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664346 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_OFFEN_RTN),
     /* 664349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664351 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664353 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 664355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664362 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664374 */     GIR_RootConstrainSelectedInstOperands,
     /* 664375 */     // GIR_Coverage, 6310,
     /* 664375 */     GIR_EraseRootFromParent_Done,
     /* 664376 */   // Label 8571: @664376
     /* 664376 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(664434), // Rule ID 6305 //
     /* 664381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664384 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664386 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 664390 */     // MIs[0] offset
     /* 664390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664393 */     // MIs[0] auxiliary
     /* 664393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664396 */     // MIs[0] Operand 8
     /* 664396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664406 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_IDXEN),
     /* 664409 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664411 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 664413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664420 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664422 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664432 */     GIR_RootConstrainSelectedInstOperands,
     /* 664433 */     // GIR_Coverage, 6305,
     /* 664433 */     GIR_EraseRootFromParent_Done,
     /* 664434 */   // Label 8572: @664434
     /* 664434 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(664492), // Rule ID 6313 //
     /* 664439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664442 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 664448 */     // MIs[0] offset
     /* 664448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664451 */     // MIs[0] auxiliary
     /* 664451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664454 */     // MIs[0] Operand 8
     /* 664454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664464 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_IDXEN),
     /* 664467 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664469 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 664471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664478 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664480 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664490 */     GIR_RootConstrainSelectedInstOperands,
     /* 664491 */     // GIR_Coverage, 6313,
     /* 664491 */     GIR_EraseRootFromParent_Done,
     /* 664492 */   // Label 8573: @664492
     /* 664492 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(664554), // Rule ID 6301 //
     /* 664497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 664508 */     // MIs[0] offset
     /* 664508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664511 */     // MIs[0] auxiliary
     /* 664511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664514 */     // MIs[0] Operand 8
     /* 664514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664524 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMIN_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_IDXEN_RTN),
     /* 664527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664529 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664531 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 664533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664540 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664542 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664552 */     GIR_RootConstrainSelectedInstOperands,
     /* 664553 */     // GIR_Coverage, 6301,
     /* 664553 */     GIR_EraseRootFromParent_Done,
     /* 664554 */   // Label 8574: @664554
     /* 664554 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(664616), // Rule ID 6309 //
     /* 664559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 664570 */     // MIs[0] offset
     /* 664570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664573 */     // MIs[0] auxiliary
     /* 664573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664576 */     // MIs[0] Operand 8
     /* 664576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664586 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_IDXEN_RTN),
     /* 664589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664591 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664593 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 664595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664602 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664614 */     GIR_RootConstrainSelectedInstOperands,
     /* 664615 */     // GIR_Coverage, 6309,
     /* 664615 */     GIR_EraseRootFromParent_Done,
     /* 664616 */   // Label 8575: @664616
     /* 664616 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(664712), // Rule ID 6307 //
     /* 664621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664624 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664626 */     // MIs[0] offset
     /* 664626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664629 */     // MIs[0] auxiliary
     /* 664629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664632 */     // MIs[0] Operand 8
     /* 664632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664642 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 664645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 664649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 664654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 664658 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 664661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 664665 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 664668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 664673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664678 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_BOTHEN),
     /* 664686 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 664691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664698 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664700 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664710 */     GIR_RootConstrainSelectedInstOperands,
     /* 664711 */     // GIR_Coverage, 6307,
     /* 664711 */     GIR_EraseRootFromParent_Done,
     /* 664712 */   // Label 8576: @664712
     /* 664712 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(664808), // Rule ID 6315 //
     /* 664717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664720 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 664722 */     // MIs[0] offset
     /* 664722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664725 */     // MIs[0] auxiliary
     /* 664725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664728 */     // MIs[0] Operand 8
     /* 664728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664738 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 664741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 664745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 664750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 664754 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 664757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 664761 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 664764 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 664769 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664774 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_BOTHEN),
     /* 664782 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 664787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664794 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664796 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 664802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664806 */     GIR_RootConstrainSelectedInstOperands,
     /* 664807 */     // GIR_Coverage, 6315,
     /* 664807 */     GIR_EraseRootFromParent_Done,
     /* 664808 */   // Label 8577: @664808
     /* 664808 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(664908), // Rule ID 6303 //
     /* 664813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts_HasUnrestrictedSOffset),
     /* 664816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664820 */     // MIs[0] offset
     /* 664820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664823 */     // MIs[0] auxiliary
     /* 664823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664826 */     // MIs[0] Operand 8
     /* 664826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664836 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMIN_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 664839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 664843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 664848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 664852 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 664855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 664859 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 664862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 664867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664872 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_BOTHEN_RTN),
     /* 664880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664882 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 664887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664894 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664896 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 664902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 664906 */     GIR_RootConstrainSelectedInstOperands,
     /* 664907 */     // GIR_Coverage, 6303,
     /* 664907 */     GIR_EraseRootFromParent_Done,
     /* 664908 */   // Label 8578: @664908
     /* 664908 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(665008), // Rule ID 6311 //
     /* 664913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF32GlobalInsts),
     /* 664916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 664920 */     // MIs[0] offset
     /* 664920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 664923 */     // MIs[0] auxiliary
     /* 664923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 664926 */     // MIs[0] Operand 8
     /* 664926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 664929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 664936 */     // (SIbuffer_atomic_fmin:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_FMIN_VBUFFER_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 664936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 664939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 664943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 664948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 664952 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 664955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 664959 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 664962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 664967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664972 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 664977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_FMIN_VBUFFER_BOTHEN_RTN),
     /* 664980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 664982 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 664984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 664987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 664989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 664994 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 664996 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665006 */     GIR_RootConstrainSelectedInstOperands,
     /* 665007 */     // GIR_Coverage, 6311,
     /* 665007 */     GIR_EraseRootFromParent_Done,
     /* 665008 */   // Label 8579: @665008
     /* 665008 */   GIM_Reject,
     /* 665009 */ // Label 8563: @665009
     /* 665009 */ GIM_Reject,
     /* 665010 */ // Label 8561: @665010
     /* 665010 */ GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(667399),
     /* 665015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 665018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 665021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 665024 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 665027 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 665030 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(665098), // Rule ID 6336 //
     /* 665035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665038 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665048 */     // MIs[0] offset
     /* 665048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665051 */     // MIs[0] auxiliary
     /* 665051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665054 */     // MIs[0] Operand 8
     /* 665054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665072 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET),
     /* 665075 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665084 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665096 */     GIR_RootConstrainSelectedInstOperands,
     /* 665097 */     // GIR_Coverage, 6336,
     /* 665097 */     GIR_EraseRootFromParent_Done,
     /* 665098 */   // Label 8581: @665098
     /* 665098 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(665166), // Rule ID 6344 //
     /* 665103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665106 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665116 */     // MIs[0] offset
     /* 665116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665119 */     // MIs[0] auxiliary
     /* 665119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665122 */     // MIs[0] Operand 8
     /* 665122 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665140 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET),
     /* 665143 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665152 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665154 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665164 */     GIR_RootConstrainSelectedInstOperands,
     /* 665165 */     // GIR_Coverage, 6344,
     /* 665165 */     GIR_EraseRootFromParent_Done,
     /* 665166 */   // Label 8582: @665166
     /* 665166 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(665234), // Rule ID 6416 //
     /* 665171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665174 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665176 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665180 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665184 */     // MIs[0] offset
     /* 665184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665187 */     // MIs[0] auxiliary
     /* 665187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665190 */     // MIs[0] Operand 8
     /* 665190 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665208 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET),
     /* 665211 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665220 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665222 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665232 */     GIR_RootConstrainSelectedInstOperands,
     /* 665233 */     // GIR_Coverage, 6416,
     /* 665233 */     GIR_EraseRootFromParent_Done,
     /* 665234 */   // Label 8583: @665234
     /* 665234 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(665302), // Rule ID 6424 //
     /* 665239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665242 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665252 */     // MIs[0] offset
     /* 665252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665255 */     // MIs[0] auxiliary
     /* 665255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665258 */     // MIs[0] Operand 8
     /* 665258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665276 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET),
     /* 665279 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665288 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665300 */     GIR_RootConstrainSelectedInstOperands,
     /* 665301 */     // GIR_Coverage, 6424,
     /* 665301 */     GIR_EraseRootFromParent_Done,
     /* 665302 */   // Label 8584: @665302
     /* 665302 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(665374), // Rule ID 6332 //
     /* 665307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665314 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665322 */     // MIs[0] offset
     /* 665322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665325 */     // MIs[0] auxiliary
     /* 665325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665328 */     // MIs[0] Operand 8
     /* 665328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665346 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET_RTN),
     /* 665349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665351 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665360 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665362 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665372 */     GIR_RootConstrainSelectedInstOperands,
     /* 665373 */     // GIR_Coverage, 6332,
     /* 665373 */     GIR_EraseRootFromParent_Done,
     /* 665374 */   // Label 8585: @665374
     /* 665374 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(665446), // Rule ID 6340 //
     /* 665379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665386 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665390 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665394 */     // MIs[0] offset
     /* 665394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665397 */     // MIs[0] auxiliary
     /* 665397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665400 */     // MIs[0] Operand 8
     /* 665400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665418 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN),
     /* 665421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665423 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665432 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665434 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665444 */     GIR_RootConstrainSelectedInstOperands,
     /* 665445 */     // GIR_Coverage, 6340,
     /* 665445 */     GIR_EraseRootFromParent_Done,
     /* 665446 */   // Label 8586: @665446
     /* 665446 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(665518), // Rule ID 6412 //
     /* 665451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665458 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665466 */     // MIs[0] offset
     /* 665466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665469 */     // MIs[0] auxiliary
     /* 665469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665472 */     // MIs[0] Operand 8
     /* 665472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665490 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFSET_RTN),
     /* 665493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665495 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665504 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665506 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665516 */     GIR_RootConstrainSelectedInstOperands,
     /* 665517 */     // GIR_Coverage, 6412,
     /* 665517 */     GIR_EraseRootFromParent_Done,
     /* 665518 */   // Label 8587: @665518
     /* 665518 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(665590), // Rule ID 6420 //
     /* 665523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665530 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 665538 */     // MIs[0] offset
     /* 665538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665541 */     // MIs[0] auxiliary
     /* 665541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665544 */     // MIs[0] Operand 8
     /* 665544 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665562 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFSET_RTN),
     /* 665565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665567 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665576 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665578 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665588 */     GIR_RootConstrainSelectedInstOperands,
     /* 665589 */     // GIR_Coverage, 6420,
     /* 665589 */     GIR_EraseRootFromParent_Done,
     /* 665590 */   // Label 8588: @665590
     /* 665590 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(665656), // Rule ID 6338 //
     /* 665595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665598 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665600 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665604 */     // MIs[0] offset
     /* 665604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665607 */     // MIs[0] auxiliary
     /* 665607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665610 */     // MIs[0] Operand 8
     /* 665610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665628 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFEN),
     /* 665631 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665633 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665642 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665644 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665654 */     GIR_RootConstrainSelectedInstOperands,
     /* 665655 */     // GIR_Coverage, 6338,
     /* 665655 */     GIR_EraseRootFromParent_Done,
     /* 665656 */   // Label 8589: @665656
     /* 665656 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(665722), // Rule ID 6346 //
     /* 665661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665664 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665670 */     // MIs[0] offset
     /* 665670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665673 */     // MIs[0] auxiliary
     /* 665673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665676 */     // MIs[0] Operand 8
     /* 665676 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665694 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN),
     /* 665697 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665699 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665708 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665720 */     GIR_RootConstrainSelectedInstOperands,
     /* 665721 */     // GIR_Coverage, 6346,
     /* 665721 */     GIR_EraseRootFromParent_Done,
     /* 665722 */   // Label 8590: @665722
     /* 665722 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(665788), // Rule ID 6418 //
     /* 665727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665730 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665736 */     // MIs[0] offset
     /* 665736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665739 */     // MIs[0] auxiliary
     /* 665739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665742 */     // MIs[0] Operand 8
     /* 665742 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665760 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFEN),
     /* 665763 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665765 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665774 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665786 */     GIR_RootConstrainSelectedInstOperands,
     /* 665787 */     // GIR_Coverage, 6418,
     /* 665787 */     GIR_EraseRootFromParent_Done,
     /* 665788 */   // Label 8591: @665788
     /* 665788 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(665854), // Rule ID 6426 //
     /* 665793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665796 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 665798 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665802 */     // MIs[0] offset
     /* 665802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665805 */     // MIs[0] auxiliary
     /* 665805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665808 */     // MIs[0] Operand 8
     /* 665808 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665826 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN),
     /* 665829 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665831 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665840 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665842 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 665848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665852 */     GIR_RootConstrainSelectedInstOperands,
     /* 665853 */     // GIR_Coverage, 6426,
     /* 665853 */     GIR_EraseRootFromParent_Done,
     /* 665854 */   // Label 8592: @665854
     /* 665854 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(665924), // Rule ID 6334 //
     /* 665859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 665862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665870 */     // MIs[0] offset
     /* 665870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665873 */     // MIs[0] auxiliary
     /* 665873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665876 */     // MIs[0] Operand 8
     /* 665876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665894 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFEN_RTN),
     /* 665897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665899 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665901 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665910 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665912 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665922 */     GIR_RootConstrainSelectedInstOperands,
     /* 665923 */     // GIR_Coverage, 6334,
     /* 665923 */     GIR_EraseRootFromParent_Done,
     /* 665924 */   // Label 8593: @665924
     /* 665924 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(665994), // Rule ID 6342 //
     /* 665929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 665932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 665936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 665940 */     // MIs[0] offset
     /* 665940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 665943 */     // MIs[0] auxiliary
     /* 665943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 665946 */     // MIs[0] Operand 8
     /* 665946 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 665957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 665964 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 665964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN_RTN),
     /* 665967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 665969 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 665971 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 665973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 665975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 665980 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 665982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 665988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 665992 */     GIR_RootConstrainSelectedInstOperands,
     /* 665993 */     // GIR_Coverage, 6342,
     /* 665993 */     GIR_EraseRootFromParent_Done,
     /* 665994 */   // Label 8594: @665994
     /* 665994 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(666064), // Rule ID 6414 //
     /* 665999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 666010 */     // MIs[0] offset
     /* 666010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666013 */     // MIs[0] auxiliary
     /* 666013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666016 */     // MIs[0] Operand 8
     /* 666016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 666027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666034 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_OFFEN_RTN),
     /* 666037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666039 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666041 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 666043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666050 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666062 */     GIR_RootConstrainSelectedInstOperands,
     /* 666063 */     // GIR_Coverage, 6414,
     /* 666063 */     GIR_EraseRootFromParent_Done,
     /* 666064 */   // Label 8595: @666064
     /* 666064 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(666134), // Rule ID 6422 //
     /* 666069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 666080 */     // MIs[0] offset
     /* 666080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666083 */     // MIs[0] auxiliary
     /* 666083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666086 */     // MIs[0] Operand 8
     /* 666086 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 666097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666104 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_OFFEN_RTN),
     /* 666107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666109 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666111 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 666113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666120 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666122 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666132 */     GIR_RootConstrainSelectedInstOperands,
     /* 666133 */     // GIR_Coverage, 6422,
     /* 666133 */     GIR_EraseRootFromParent_Done,
     /* 666134 */   // Label 8596: @666134
     /* 666134 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(666192), // Rule ID 6337 //
     /* 666139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666142 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666148 */     // MIs[0] offset
     /* 666148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666151 */     // MIs[0] auxiliary
     /* 666151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666154 */     // MIs[0] Operand 8
     /* 666154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666164 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_IDXEN),
     /* 666167 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666169 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666178 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666180 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666190 */     GIR_RootConstrainSelectedInstOperands,
     /* 666191 */     // GIR_Coverage, 6337,
     /* 666191 */     GIR_EraseRootFromParent_Done,
     /* 666192 */   // Label 8597: @666192
     /* 666192 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(666250), // Rule ID 6345 //
     /* 666197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666200 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666206 */     // MIs[0] offset
     /* 666206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666209 */     // MIs[0] auxiliary
     /* 666209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666212 */     // MIs[0] Operand 8
     /* 666212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666222 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN),
     /* 666225 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666227 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666236 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666248 */     GIR_RootConstrainSelectedInstOperands,
     /* 666249 */     // GIR_Coverage, 6345,
     /* 666249 */     GIR_EraseRootFromParent_Done,
     /* 666250 */   // Label 8598: @666250
     /* 666250 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(666308), // Rule ID 6417 //
     /* 666255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666258 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666264 */     // MIs[0] offset
     /* 666264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666267 */     // MIs[0] auxiliary
     /* 666267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666270 */     // MIs[0] Operand 8
     /* 666270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666280 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_IDXEN),
     /* 666283 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666294 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666306 */     GIR_RootConstrainSelectedInstOperands,
     /* 666307 */     // GIR_Coverage, 6417,
     /* 666307 */     GIR_EraseRootFromParent_Done,
     /* 666308 */   // Label 8599: @666308
     /* 666308 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(666366), // Rule ID 6425 //
     /* 666313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666316 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666322 */     // MIs[0] offset
     /* 666322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666325 */     // MIs[0] auxiliary
     /* 666325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666328 */     // MIs[0] Operand 8
     /* 666328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666338 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN),
     /* 666341 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666343 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666352 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666364 */     GIR_RootConstrainSelectedInstOperands,
     /* 666365 */     // GIR_Coverage, 6425,
     /* 666365 */     GIR_EraseRootFromParent_Done,
     /* 666366 */   // Label 8600: @666366
     /* 666366 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(666428), // Rule ID 6333 //
     /* 666371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666378 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666382 */     // MIs[0] offset
     /* 666382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666385 */     // MIs[0] auxiliary
     /* 666385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666388 */     // MIs[0] Operand 8
     /* 666388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666398 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_IDXEN_RTN),
     /* 666401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666403 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666405 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666414 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666426 */     GIR_RootConstrainSelectedInstOperands,
     /* 666427 */     // GIR_Coverage, 6333,
     /* 666427 */     GIR_EraseRootFromParent_Done,
     /* 666428 */   // Label 8601: @666428
     /* 666428 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(666490), // Rule ID 6341 //
     /* 666433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666444 */     // MIs[0] offset
     /* 666444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666447 */     // MIs[0] auxiliary
     /* 666447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666450 */     // MIs[0] Operand 8
     /* 666450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666460 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN_RTN),
     /* 666463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666465 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666467 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666476 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666478 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666488 */     GIR_RootConstrainSelectedInstOperands,
     /* 666489 */     // GIR_Coverage, 6341,
     /* 666489 */     GIR_EraseRootFromParent_Done,
     /* 666490 */   // Label 8602: @666490
     /* 666490 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(666552), // Rule ID 6413 //
     /* 666495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666502 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666506 */     // MIs[0] offset
     /* 666506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666509 */     // MIs[0] auxiliary
     /* 666509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666512 */     // MIs[0] Operand 8
     /* 666512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666522 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_IDXEN_RTN),
     /* 666525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666527 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666529 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666538 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666550 */     GIR_RootConstrainSelectedInstOperands,
     /* 666551 */     // GIR_Coverage, 6413,
     /* 666551 */     GIR_EraseRootFromParent_Done,
     /* 666552 */   // Label 8603: @666552
     /* 666552 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(666614), // Rule ID 6421 //
     /* 666557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 666564 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 666568 */     // MIs[0] offset
     /* 666568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666571 */     // MIs[0] auxiliary
     /* 666571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666574 */     // MIs[0] Operand 8
     /* 666574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666584 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_IDXEN_RTN),
     /* 666587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 666589 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666591 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 666593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666600 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666602 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 666608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666612 */     GIR_RootConstrainSelectedInstOperands,
     /* 666613 */     // GIR_Coverage, 6421,
     /* 666613 */     GIR_EraseRootFromParent_Done,
     /* 666614 */   // Label 8604: @666614
     /* 666614 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(666710), // Rule ID 6339 //
     /* 666619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666622 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666624 */     // MIs[0] offset
     /* 666624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666627 */     // MIs[0] auxiliary
     /* 666627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666630 */     // MIs[0] Operand 8
     /* 666630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666640 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 666643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 666647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 666652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 666656 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 666659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 666663 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 666666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 666671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_BOTHEN),
     /* 666684 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 666689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666696 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666698 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666708 */     GIR_RootConstrainSelectedInstOperands,
     /* 666709 */     // GIR_Coverage, 6339,
     /* 666709 */     GIR_EraseRootFromParent_Done,
     /* 666710 */   // Label 8605: @666710
     /* 666710 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(666806), // Rule ID 6347 //
     /* 666715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666718 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666720 */     // MIs[0] offset
     /* 666720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666723 */     // MIs[0] auxiliary
     /* 666723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666726 */     // MIs[0] Operand 8
     /* 666726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666736 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 666739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 666743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 666748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 666752 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 666755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 666759 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 666762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 666767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666772 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN),
     /* 666780 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 666785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666792 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666804 */     GIR_RootConstrainSelectedInstOperands,
     /* 666805 */     // GIR_Coverage, 6347,
     /* 666805 */     GIR_EraseRootFromParent_Done,
     /* 666806 */   // Label 8606: @666806
     /* 666806 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(666902), // Rule ID 6419 //
     /* 666811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 666814 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666816 */     // MIs[0] offset
     /* 666816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666819 */     // MIs[0] auxiliary
     /* 666819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666822 */     // MIs[0] Operand 8
     /* 666822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666832 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 666835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 666839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 666844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 666848 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 666851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 666855 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 666858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 666863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_BOTHEN),
     /* 666876 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 666881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666888 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666890 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666900 */     GIR_RootConstrainSelectedInstOperands,
     /* 666901 */     // GIR_Coverage, 6419,
     /* 666901 */     GIR_EraseRootFromParent_Done,
     /* 666902 */   // Label 8607: @666902
     /* 666902 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(666998), // Rule ID 6427 //
     /* 666907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 666910 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 666912 */     // MIs[0] offset
     /* 666912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 666915 */     // MIs[0] auxiliary
     /* 666915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 666918 */     // MIs[0] Operand 8
     /* 666918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 666921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 666928 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_fmin_noret>>  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 666928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 666931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 666935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 666940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 666944 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 666947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 666951 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 666954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 666959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 666969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN),
     /* 666972 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 666974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 666977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 666979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 666984 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 666986 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 666992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 666996 */     GIR_RootConstrainSelectedInstOperands,
     /* 666997 */     // GIR_Coverage, 6427,
     /* 666997 */     GIR_EraseRootFromParent_Done,
     /* 666998 */   // Label 8608: @666998
     /* 666998 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(667098), // Rule ID 6335 //
     /* 667003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 667006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 667010 */     // MIs[0] offset
     /* 667010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667013 */     // MIs[0] auxiliary
     /* 667013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667016 */     // MIs[0] Operand 8
     /* 667016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 667019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667026 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 667029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 667033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 667038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 667042 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 667045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 667049 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 667052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 667057 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667062 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_BOTHEN_RTN),
     /* 667070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667072 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 667077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667084 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667096 */     GIR_RootConstrainSelectedInstOperands,
     /* 667097 */     // GIR_Coverage, 6335,
     /* 667097 */     GIR_EraseRootFromParent_Done,
     /* 667098 */   // Label 8609: @667098
     /* 667098 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(667198), // Rule ID 6343 //
     /* 667103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 667106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 667110 */     // MIs[0] offset
     /* 667110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667113 */     // MIs[0] auxiliary
     /* 667113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667116 */     // MIs[0] Operand 8
     /* 667116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 667119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667126 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 667129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 667133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 667138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 667142 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 667145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 667149 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 667152 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 667157 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667162 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN_RTN),
     /* 667170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667172 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 667177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667184 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667186 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667196 */     GIR_RootConstrainSelectedInstOperands,
     /* 667197 */     // GIR_Coverage, 6343,
     /* 667197 */     GIR_EraseRootFromParent_Done,
     /* 667198 */   // Label 8610: @667198
     /* 667198 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(667298), // Rule ID 6415 //
     /* 667203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts_HasUnrestrictedSOffset),
     /* 667206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 667210 */     // MIs[0] offset
     /* 667210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667213 */     // MIs[0] auxiliary
     /* 667213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667216 */     // MIs[0] Operand 8
     /* 667216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 667219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667226 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 667229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 667233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 667238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 667242 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 667245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 667249 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 667252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 667257 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667262 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_BOTHEN_RTN),
     /* 667270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667272 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 667277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667284 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667286 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667296 */     GIR_RootConstrainSelectedInstOperands,
     /* 667297 */     // GIR_Coverage, 6415,
     /* 667297 */     GIR_EraseRootFromParent_Done,
     /* 667298 */   // Label 8611: @667298
     /* 667298 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(667398), // Rule ID 6423 //
     /* 667303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicFMinFMaxF64GlobalInsts),
     /* 667306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 667310 */     // MIs[0] offset
     /* 667310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667313 */     // MIs[0] auxiliary
     /* 667313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667316 */     // MIs[0] Operand 8
     /* 667316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 667319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667326 */     // (SIbuffer_atomic_fmin:{ *:[f64] } f64:{ *:[f64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN_RTN:{ *:[f64] } anonymous_9774:{ *:[f64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 667329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 667333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 667338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 667342 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 667345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 667349 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 667352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 667357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 667367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_MIN_F64_VBUFFER_BOTHEN_RTN),
     /* 667370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667372 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 667377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667384 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667386 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667396 */     GIR_RootConstrainSelectedInstOperands,
     /* 667397 */     // GIR_Coverage, 6423,
     /* 667397 */     GIR_EraseRootFromParent_Done,
     /* 667398 */   // Label 8612: @667398
     /* 667398 */   GIM_Reject,
     /* 667399 */ // Label 8580: @667399
     /* 667399 */ GIM_Reject,
     /* 667400 */ // Label 8562: @667400
     /* 667400 */ GIM_Reject,
     /* 667401 */ // Label 118: @667401
     /* 667401 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8615*/ GIMT_Encode4(669784),
     /* 667412 */ /*GILLT_s32*//*Label 8613*/ GIMT_Encode4(667420),
     /* 667416 */ /*GILLT_s64*//*Label 8614*/ GIMT_Encode4(668602),
     /* 667420 */ // Label 8613: @667420
     /* 667420 */ GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(668601),
     /* 667425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 667428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 667431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 667434 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 667437 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 667440 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(667508), // Rule ID 6056 //
     /* 667445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 667448 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 667450 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 667458 */     // MIs[0] offset
     /* 667458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667461 */     // MIs[0] auxiliary
     /* 667461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667464 */     // MIs[0] Operand 8
     /* 667464 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667482 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFSET),
     /* 667485 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667494 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667496 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 667502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667506 */     GIR_RootConstrainSelectedInstOperands,
     /* 667507 */     // GIR_Coverage, 6056,
     /* 667507 */     GIR_EraseRootFromParent_Done,
     /* 667508 */   // Label 8617: @667508
     /* 667508 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(667573), // Rule ID 6064 //
     /* 667513 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 667515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 667523 */     // MIs[0] offset
     /* 667523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667526 */     // MIs[0] auxiliary
     /* 667526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667529 */     // MIs[0] Operand 8
     /* 667529 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667547 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFSET),
     /* 667550 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667559 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667561 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 667567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667571 */     GIR_RootConstrainSelectedInstOperands,
     /* 667572 */     // GIR_Coverage, 6064,
     /* 667572 */     GIR_EraseRootFromParent_Done,
     /* 667573 */   // Label 8618: @667573
     /* 667573 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(667645), // Rule ID 6052 //
     /* 667578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 667581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 667585 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667589 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 667593 */     // MIs[0] offset
     /* 667593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667596 */     // MIs[0] auxiliary
     /* 667596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667599 */     // MIs[0] Operand 8
     /* 667599 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667617 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFSET_RTN),
     /* 667620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667622 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667631 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667633 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667643 */     GIR_RootConstrainSelectedInstOperands,
     /* 667644 */     // GIR_Coverage, 6052,
     /* 667644 */     GIR_EraseRootFromParent_Done,
     /* 667645 */   // Label 8619: @667645
     /* 667645 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(667714), // Rule ID 6060 //
     /* 667650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 667654 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667658 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 667662 */     // MIs[0] offset
     /* 667662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667665 */     // MIs[0] auxiliary
     /* 667665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667668 */     // MIs[0] Operand 8
     /* 667668 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667686 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFSET_RTN),
     /* 667689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667691 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667700 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667712 */     GIR_RootConstrainSelectedInstOperands,
     /* 667713 */     // GIR_Coverage, 6060,
     /* 667713 */     GIR_EraseRootFromParent_Done,
     /* 667714 */   // Label 8620: @667714
     /* 667714 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(667780), // Rule ID 6058 //
     /* 667719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 667722 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 667724 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667728 */     // MIs[0] offset
     /* 667728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667731 */     // MIs[0] auxiliary
     /* 667731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667734 */     // MIs[0] Operand 8
     /* 667734 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667752 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFEN),
     /* 667755 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667757 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 667759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667766 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 667774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667778 */     GIR_RootConstrainSelectedInstOperands,
     /* 667779 */     // GIR_Coverage, 6058,
     /* 667779 */     GIR_EraseRootFromParent_Done,
     /* 667780 */   // Label 8621: @667780
     /* 667780 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(667843), // Rule ID 6066 //
     /* 667785 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 667787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667791 */     // MIs[0] offset
     /* 667791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667794 */     // MIs[0] auxiliary
     /* 667794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667797 */     // MIs[0] Operand 8
     /* 667797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667815 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFEN),
     /* 667818 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667820 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 667822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667829 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 667837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667841 */     GIR_RootConstrainSelectedInstOperands,
     /* 667842 */     // GIR_Coverage, 6066,
     /* 667842 */     GIR_EraseRootFromParent_Done,
     /* 667843 */   // Label 8622: @667843
     /* 667843 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(667913), // Rule ID 6054 //
     /* 667848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 667851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 667855 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667859 */     // MIs[0] offset
     /* 667859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667862 */     // MIs[0] auxiliary
     /* 667862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667865 */     // MIs[0] Operand 8
     /* 667865 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667883 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_OFFEN_RTN),
     /* 667886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667888 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667890 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 667892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667899 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667901 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667911 */     GIR_RootConstrainSelectedInstOperands,
     /* 667912 */     // GIR_Coverage, 6054,
     /* 667912 */     GIR_EraseRootFromParent_Done,
     /* 667913 */   // Label 8623: @667913
     /* 667913 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(667980), // Rule ID 6062 //
     /* 667918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 667922 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 667926 */     // MIs[0] offset
     /* 667926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667929 */     // MIs[0] auxiliary
     /* 667929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 667932 */     // MIs[0] Operand 8
     /* 667932 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 667943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 667950 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 667950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_OFFEN_RTN),
     /* 667953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 667955 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 667957 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 667959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 667961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 667966 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 667968 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 667974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 667978 */     GIR_RootConstrainSelectedInstOperands,
     /* 667979 */     // GIR_Coverage, 6062,
     /* 667979 */     GIR_EraseRootFromParent_Done,
     /* 667980 */   // Label 8624: @667980
     /* 667980 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(668038), // Rule ID 6057 //
     /* 667985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 667988 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 667990 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 667994 */     // MIs[0] offset
     /* 667994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 667997 */     // MIs[0] auxiliary
     /* 667997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668000 */     // MIs[0] Operand 8
     /* 668000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668010 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_IDXEN),
     /* 668013 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668015 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 668017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668024 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668036 */     GIR_RootConstrainSelectedInstOperands,
     /* 668037 */     // GIR_Coverage, 6057,
     /* 668037 */     GIR_EraseRootFromParent_Done,
     /* 668038 */   // Label 8625: @668038
     /* 668038 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(668093), // Rule ID 6065 //
     /* 668043 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668049 */     // MIs[0] offset
     /* 668049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668052 */     // MIs[0] auxiliary
     /* 668052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668055 */     // MIs[0] Operand 8
     /* 668055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668065 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_IDXEN),
     /* 668068 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668070 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 668072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668079 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668081 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668091 */     GIR_RootConstrainSelectedInstOperands,
     /* 668092 */     // GIR_Coverage, 6065,
     /* 668092 */     GIR_EraseRootFromParent_Done,
     /* 668093 */   // Label 8626: @668093
     /* 668093 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(668155), // Rule ID 6053 //
     /* 668098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 668105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668109 */     // MIs[0] offset
     /* 668109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668112 */     // MIs[0] auxiliary
     /* 668112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668115 */     // MIs[0] Operand 8
     /* 668115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668125 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_IDXEN_RTN),
     /* 668128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668130 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668132 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 668134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668141 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668143 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668153 */     GIR_RootConstrainSelectedInstOperands,
     /* 668154 */     // GIR_Coverage, 6053,
     /* 668154 */     GIR_EraseRootFromParent_Done,
     /* 668155 */   // Label 8627: @668155
     /* 668155 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(668214), // Rule ID 6061 //
     /* 668160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 668164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668168 */     // MIs[0] offset
     /* 668168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668171 */     // MIs[0] auxiliary
     /* 668171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668174 */     // MIs[0] Operand 8
     /* 668174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668184 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_IDXEN_RTN),
     /* 668187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668189 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668191 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 668193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668200 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668202 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668212 */     GIR_RootConstrainSelectedInstOperands,
     /* 668213 */     // GIR_Coverage, 6061,
     /* 668213 */     GIR_EraseRootFromParent_Done,
     /* 668214 */   // Label 8628: @668214
     /* 668214 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(668310), // Rule ID 6059 //
     /* 668219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668222 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668224 */     // MIs[0] offset
     /* 668224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668227 */     // MIs[0] auxiliary
     /* 668227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668230 */     // MIs[0] Operand 8
     /* 668230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668240 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 668243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 668247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 668252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 668256 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 668259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 668263 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 668266 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 668271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_BOTHEN),
     /* 668284 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 668289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668296 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668298 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668308 */     GIR_RootConstrainSelectedInstOperands,
     /* 668309 */     // GIR_Coverage, 6059,
     /* 668309 */     GIR_EraseRootFromParent_Done,
     /* 668310 */   // Label 8629: @668310
     /* 668310 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(668403), // Rule ID 6067 //
     /* 668315 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668317 */     // MIs[0] offset
     /* 668317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668320 */     // MIs[0] auxiliary
     /* 668320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668323 */     // MIs[0] Operand 8
     /* 668323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668333 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 668336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 668340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 668345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 668349 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 668352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 668356 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 668359 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 668364 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668369 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_BOTHEN),
     /* 668377 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 668382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668389 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668391 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668401 */     GIR_RootConstrainSelectedInstOperands,
     /* 668402 */     // GIR_Coverage, 6067,
     /* 668402 */     GIR_EraseRootFromParent_Done,
     /* 668403 */   // Label 8630: @668403
     /* 668403 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(668503), // Rule ID 6055 //
     /* 668408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 668415 */     // MIs[0] offset
     /* 668415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668418 */     // MIs[0] auxiliary
     /* 668418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668421 */     // MIs[0] Operand 8
     /* 668421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668431 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 668434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 668438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 668443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 668447 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 668450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 668454 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 668457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 668462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668467 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_BOTHEN_RTN),
     /* 668475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668477 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 668482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668489 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668501 */     GIR_RootConstrainSelectedInstOperands,
     /* 668502 */     // GIR_Coverage, 6055,
     /* 668502 */     GIR_EraseRootFromParent_Done,
     /* 668503 */   // Label 8631: @668503
     /* 668503 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(668600), // Rule ID 6063 //
     /* 668508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 668512 */     // MIs[0] offset
     /* 668512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668515 */     // MIs[0] auxiliary
     /* 668515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668518 */     // MIs[0] Operand 8
     /* 668518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 668521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668528 */     // (SIbuffer_atomic_inc:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 668531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 668535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 668540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 668544 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 668547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 668551 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 668554 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 668559 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668564 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 668569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_VBUFFER_BOTHEN_RTN),
     /* 668572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668574 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 668579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668586 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668598 */     GIR_RootConstrainSelectedInstOperands,
     /* 668599 */     // GIR_Coverage, 6063,
     /* 668599 */     GIR_EraseRootFromParent_Done,
     /* 668600 */   // Label 8632: @668600
     /* 668600 */   GIM_Reject,
     /* 668601 */ // Label 8616: @668601
     /* 668601 */ GIM_Reject,
     /* 668602 */ // Label 8614: @668602
     /* 668602 */ GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(669783),
     /* 668607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 668610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 668613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 668616 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 668619 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 668622 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(668690), // Rule ID 6256 //
     /* 668627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668630 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668640 */     // MIs[0] offset
     /* 668640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668643 */     // MIs[0] auxiliary
     /* 668643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668646 */     // MIs[0] Operand 8
     /* 668646 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668664 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFSET),
     /* 668667 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668676 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668688 */     GIR_RootConstrainSelectedInstOperands,
     /* 668689 */     // GIR_Coverage, 6256,
     /* 668689 */     GIR_EraseRootFromParent_Done,
     /* 668690 */   // Label 8634: @668690
     /* 668690 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(668755), // Rule ID 6264 //
     /* 668695 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668697 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668701 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668705 */     // MIs[0] offset
     /* 668705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668708 */     // MIs[0] auxiliary
     /* 668708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668711 */     // MIs[0] Operand 8
     /* 668711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668729 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET),
     /* 668732 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668741 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668743 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668753 */     GIR_RootConstrainSelectedInstOperands,
     /* 668754 */     // GIR_Coverage, 6264,
     /* 668754 */     GIR_EraseRootFromParent_Done,
     /* 668755 */   // Label 8635: @668755
     /* 668755 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(668827), // Rule ID 6252 //
     /* 668760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 668767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668775 */     // MIs[0] offset
     /* 668775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668778 */     // MIs[0] auxiliary
     /* 668778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668781 */     // MIs[0] Operand 8
     /* 668781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668799 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFSET_RTN),
     /* 668802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668804 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668813 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668815 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668825 */     GIR_RootConstrainSelectedInstOperands,
     /* 668826 */     // GIR_Coverage, 6252,
     /* 668826 */     GIR_EraseRootFromParent_Done,
     /* 668827 */   // Label 8636: @668827
     /* 668827 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(668896), // Rule ID 6260 //
     /* 668832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 668836 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668840 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 668844 */     // MIs[0] offset
     /* 668844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668847 */     // MIs[0] auxiliary
     /* 668847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668850 */     // MIs[0] Operand 8
     /* 668850 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668868 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFSET_RTN),
     /* 668871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 668873 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668882 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668884 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 668890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668894 */     GIR_RootConstrainSelectedInstOperands,
     /* 668895 */     // GIR_Coverage, 6260,
     /* 668895 */     GIR_EraseRootFromParent_Done,
     /* 668896 */   // Label 8637: @668896
     /* 668896 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(668962), // Rule ID 6258 //
     /* 668901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 668904 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668910 */     // MIs[0] offset
     /* 668910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668913 */     // MIs[0] auxiliary
     /* 668913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668916 */     // MIs[0] Operand 8
     /* 668916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668934 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFEN),
     /* 668937 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 668939 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 668941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 668943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 668948 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 668950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 668956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 668960 */     GIR_RootConstrainSelectedInstOperands,
     /* 668961 */     // GIR_Coverage, 6258,
     /* 668961 */     GIR_EraseRootFromParent_Done,
     /* 668962 */   // Label 8638: @668962
     /* 668962 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(669025), // Rule ID 6266 //
     /* 668967 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 668969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 668973 */     // MIs[0] offset
     /* 668973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 668976 */     // MIs[0] auxiliary
     /* 668976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 668979 */     // MIs[0] Operand 8
     /* 668979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 668990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 668997 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 668997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFEN),
     /* 669000 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669002 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 669004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669011 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669013 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669023 */     GIR_RootConstrainSelectedInstOperands,
     /* 669024 */     // GIR_Coverage, 6266,
     /* 669024 */     GIR_EraseRootFromParent_Done,
     /* 669025 */   // Label 8639: @669025
     /* 669025 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(669095), // Rule ID 6254 //
     /* 669030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669037 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 669041 */     // MIs[0] offset
     /* 669041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669044 */     // MIs[0] auxiliary
     /* 669044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669047 */     // MIs[0] Operand 8
     /* 669047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 669058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669065 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_OFFEN_RTN),
     /* 669068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669070 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669072 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 669074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669081 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669083 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669093 */     GIR_RootConstrainSelectedInstOperands,
     /* 669094 */     // GIR_Coverage, 6254,
     /* 669094 */     GIR_EraseRootFromParent_Done,
     /* 669095 */   // Label 8640: @669095
     /* 669095 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(669162), // Rule ID 6262 //
     /* 669100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669104 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 669108 */     // MIs[0] offset
     /* 669108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669111 */     // MIs[0] auxiliary
     /* 669111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669114 */     // MIs[0] Operand 8
     /* 669114 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 669125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669132 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_OFFEN_RTN),
     /* 669135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669137 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669139 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 669141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669148 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669150 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669160 */     GIR_RootConstrainSelectedInstOperands,
     /* 669161 */     // GIR_Coverage, 6262,
     /* 669161 */     GIR_EraseRootFromParent_Done,
     /* 669162 */   // Label 8641: @669162
     /* 669162 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(669220), // Rule ID 6257 //
     /* 669167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669170 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669176 */     // MIs[0] offset
     /* 669176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669179 */     // MIs[0] auxiliary
     /* 669179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669182 */     // MIs[0] Operand 8
     /* 669182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669192 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_IDXEN),
     /* 669195 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669197 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 669199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669206 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669208 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669218 */     GIR_RootConstrainSelectedInstOperands,
     /* 669219 */     // GIR_Coverage, 6257,
     /* 669219 */     GIR_EraseRootFromParent_Done,
     /* 669220 */   // Label 8642: @669220
     /* 669220 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(669275), // Rule ID 6265 //
     /* 669225 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669227 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669231 */     // MIs[0] offset
     /* 669231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669234 */     // MIs[0] auxiliary
     /* 669234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669237 */     // MIs[0] Operand 8
     /* 669237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669247 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_IDXEN),
     /* 669250 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669252 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 669254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669261 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669263 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669273 */     GIR_RootConstrainSelectedInstOperands,
     /* 669274 */     // GIR_Coverage, 6265,
     /* 669274 */     GIR_EraseRootFromParent_Done,
     /* 669275 */   // Label 8643: @669275
     /* 669275 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(669337), // Rule ID 6253 //
     /* 669280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669287 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669291 */     // MIs[0] offset
     /* 669291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669294 */     // MIs[0] auxiliary
     /* 669294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669297 */     // MIs[0] Operand 8
     /* 669297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669307 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_IDXEN_RTN),
     /* 669310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669312 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669314 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 669316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669323 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669325 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669335 */     GIR_RootConstrainSelectedInstOperands,
     /* 669336 */     // GIR_Coverage, 6253,
     /* 669336 */     GIR_EraseRootFromParent_Done,
     /* 669337 */   // Label 8644: @669337
     /* 669337 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(669396), // Rule ID 6261 //
     /* 669342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669350 */     // MIs[0] offset
     /* 669350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669353 */     // MIs[0] auxiliary
     /* 669353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669356 */     // MIs[0] Operand 8
     /* 669356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669366 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_IDXEN_RTN),
     /* 669369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669371 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669373 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 669375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669382 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669384 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669394 */     GIR_RootConstrainSelectedInstOperands,
     /* 669395 */     // GIR_Coverage, 6261,
     /* 669395 */     GIR_EraseRootFromParent_Done,
     /* 669396 */   // Label 8645: @669396
     /* 669396 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(669492), // Rule ID 6259 //
     /* 669401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669404 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669406 */     // MIs[0] offset
     /* 669406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669409 */     // MIs[0] auxiliary
     /* 669409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669412 */     // MIs[0] Operand 8
     /* 669412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669422 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 669425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 669429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 669434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 669438 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 669441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 669445 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 669448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 669453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_BOTHEN),
     /* 669466 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 669471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669478 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669480 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669490 */     GIR_RootConstrainSelectedInstOperands,
     /* 669491 */     // GIR_Coverage, 6259,
     /* 669491 */     GIR_EraseRootFromParent_Done,
     /* 669492 */   // Label 8646: @669492
     /* 669492 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(669585), // Rule ID 6267 //
     /* 669497 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669499 */     // MIs[0] offset
     /* 669499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669502 */     // MIs[0] auxiliary
     /* 669502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669505 */     // MIs[0] Operand 8
     /* 669505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669515 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_inc_noret>>  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 669518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 669522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 669527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 669531 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 669534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 669538 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 669541 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 669546 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669551 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_BOTHEN),
     /* 669559 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 669564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669571 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669583 */     GIR_RootConstrainSelectedInstOperands,
     /* 669584 */     // GIR_Coverage, 6267,
     /* 669584 */     GIR_EraseRootFromParent_Done,
     /* 669585 */   // Label 8647: @669585
     /* 669585 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(669685), // Rule ID 6255 //
     /* 669590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669597 */     // MIs[0] offset
     /* 669597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669600 */     // MIs[0] auxiliary
     /* 669600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669603 */     // MIs[0] Operand 8
     /* 669603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669613 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 669616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 669620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 669625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 669629 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 669632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 669636 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 669639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 669644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_BOTHEN_RTN),
     /* 669657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669659 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 669664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669671 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669673 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669683 */     GIR_RootConstrainSelectedInstOperands,
     /* 669684 */     // GIR_Coverage, 6255,
     /* 669684 */     GIR_EraseRootFromParent_Done,
     /* 669685 */   // Label 8648: @669685
     /* 669685 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(669782), // Rule ID 6263 //
     /* 669690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 669694 */     // MIs[0] offset
     /* 669694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669697 */     // MIs[0] auxiliary
     /* 669697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669700 */     // MIs[0] Operand 8
     /* 669700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 669703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669710 */     // (SIbuffer_atomic_inc:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_INC_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 669713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 669717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 669722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 669726 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 669729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 669733 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 669736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 669741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 669751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_INC_X2_VBUFFER_BOTHEN_RTN),
     /* 669754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 669756 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 669761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669768 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 669776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669780 */     GIR_RootConstrainSelectedInstOperands,
     /* 669781 */     // GIR_Coverage, 6263,
     /* 669781 */     GIR_EraseRootFromParent_Done,
     /* 669782 */   // Label 8649: @669782
     /* 669782 */   GIM_Reject,
     /* 669783 */ // Label 8633: @669783
     /* 669783 */ GIM_Reject,
     /* 669784 */ // Label 8615: @669784
     /* 669784 */ GIM_Reject,
     /* 669785 */ // Label 119: @669785
     /* 669785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8652*/ GIMT_Encode4(672168),
     /* 669796 */ /*GILLT_s32*//*Label 8650*/ GIMT_Encode4(669804),
     /* 669800 */ /*GILLT_s64*//*Label 8651*/ GIMT_Encode4(670986),
     /* 669804 */ // Label 8650: @669804
     /* 669804 */ GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(670985),
     /* 669809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 669812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 669815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 669818 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 669821 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 669824 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(669892), // Rule ID 6024 //
     /* 669829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669832 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669834 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 669838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669842 */     // MIs[0] offset
     /* 669842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669845 */     // MIs[0] auxiliary
     /* 669845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669848 */     // MIs[0] Operand 8
     /* 669848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 669859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669866 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFSET),
     /* 669869 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669878 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669880 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669890 */     GIR_RootConstrainSelectedInstOperands,
     /* 669891 */     // GIR_Coverage, 6024,
     /* 669891 */     GIR_EraseRootFromParent_Done,
     /* 669892 */   // Label 8654: @669892
     /* 669892 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(669957), // Rule ID 6032 //
     /* 669897 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 669899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 669903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669907 */     // MIs[0] offset
     /* 669907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669910 */     // MIs[0] auxiliary
     /* 669910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669913 */     // MIs[0] Operand 8
     /* 669913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 669924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 669931 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 669931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFSET),
     /* 669934 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 669936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 669938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 669943 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 669945 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 669951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 669955 */     GIR_RootConstrainSelectedInstOperands,
     /* 669956 */     // GIR_Coverage, 6032,
     /* 669956 */     GIR_EraseRootFromParent_Done,
     /* 669957 */   // Label 8655: @669957
     /* 669957 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(670029), // Rule ID 6020 //
     /* 669962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 669965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 669969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 669973 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 669977 */     // MIs[0] offset
     /* 669977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 669980 */     // MIs[0] auxiliary
     /* 669980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 669983 */     // MIs[0] Operand 8
     /* 669983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 669994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670001 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFSET_RTN),
     /* 670004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670006 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670015 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670017 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670027 */     GIR_RootConstrainSelectedInstOperands,
     /* 670028 */     // GIR_Coverage, 6020,
     /* 670028 */     GIR_EraseRootFromParent_Done,
     /* 670029 */   // Label 8656: @670029
     /* 670029 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(670098), // Rule ID 6028 //
     /* 670034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670038 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 670042 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 670046 */     // MIs[0] offset
     /* 670046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670049 */     // MIs[0] auxiliary
     /* 670049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670052 */     // MIs[0] Operand 8
     /* 670052 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 670063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670070 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFSET_RTN),
     /* 670073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670075 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670084 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670096 */     GIR_RootConstrainSelectedInstOperands,
     /* 670097 */     // GIR_Coverage, 6028,
     /* 670097 */     GIR_EraseRootFromParent_Done,
     /* 670098 */   // Label 8657: @670098
     /* 670098 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(670164), // Rule ID 6026 //
     /* 670103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670106 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 670112 */     // MIs[0] offset
     /* 670112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670115 */     // MIs[0] auxiliary
     /* 670115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670118 */     // MIs[0] Operand 8
     /* 670118 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 670129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670136 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFEN),
     /* 670139 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670141 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 670143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670150 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670152 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670162 */     GIR_RootConstrainSelectedInstOperands,
     /* 670163 */     // GIR_Coverage, 6026,
     /* 670163 */     GIR_EraseRootFromParent_Done,
     /* 670164 */   // Label 8658: @670164
     /* 670164 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(670227), // Rule ID 6034 //
     /* 670169 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 670175 */     // MIs[0] offset
     /* 670175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670178 */     // MIs[0] auxiliary
     /* 670178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670181 */     // MIs[0] Operand 8
     /* 670181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 670192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670199 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFEN),
     /* 670202 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670204 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 670206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670213 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670215 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670225 */     GIR_RootConstrainSelectedInstOperands,
     /* 670226 */     // GIR_Coverage, 6034,
     /* 670226 */     GIR_EraseRootFromParent_Done,
     /* 670227 */   // Label 8659: @670227
     /* 670227 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(670297), // Rule ID 6022 //
     /* 670232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670239 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 670243 */     // MIs[0] offset
     /* 670243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670246 */     // MIs[0] auxiliary
     /* 670246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670249 */     // MIs[0] Operand 8
     /* 670249 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 670260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670267 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_OFFEN_RTN),
     /* 670270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670272 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670274 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 670276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670283 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670285 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670295 */     GIR_RootConstrainSelectedInstOperands,
     /* 670296 */     // GIR_Coverage, 6022,
     /* 670296 */     GIR_EraseRootFromParent_Done,
     /* 670297 */   // Label 8660: @670297
     /* 670297 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(670364), // Rule ID 6030 //
     /* 670302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 670310 */     // MIs[0] offset
     /* 670310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670313 */     // MIs[0] auxiliary
     /* 670313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670316 */     // MIs[0] Operand 8
     /* 670316 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 670327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670334 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_OFFEN_RTN),
     /* 670337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670339 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670341 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 670343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670350 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670352 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670362 */     GIR_RootConstrainSelectedInstOperands,
     /* 670363 */     // GIR_Coverage, 6030,
     /* 670363 */     GIR_EraseRootFromParent_Done,
     /* 670364 */   // Label 8661: @670364
     /* 670364 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(670422), // Rule ID 6025 //
     /* 670369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670372 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 670378 */     // MIs[0] offset
     /* 670378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670381 */     // MIs[0] auxiliary
     /* 670381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670384 */     // MIs[0] Operand 8
     /* 670384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670394 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_IDXEN),
     /* 670397 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670399 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 670401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670408 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670410 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670420 */     GIR_RootConstrainSelectedInstOperands,
     /* 670421 */     // GIR_Coverage, 6025,
     /* 670421 */     GIR_EraseRootFromParent_Done,
     /* 670422 */   // Label 8662: @670422
     /* 670422 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(670477), // Rule ID 6033 //
     /* 670427 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670429 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 670433 */     // MIs[0] offset
     /* 670433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670436 */     // MIs[0] auxiliary
     /* 670436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670439 */     // MIs[0] Operand 8
     /* 670439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670449 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_IDXEN),
     /* 670452 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670454 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 670456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670463 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670465 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670475 */     GIR_RootConstrainSelectedInstOperands,
     /* 670476 */     // GIR_Coverage, 6033,
     /* 670476 */     GIR_EraseRootFromParent_Done,
     /* 670477 */   // Label 8663: @670477
     /* 670477 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(670539), // Rule ID 6021 //
     /* 670482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670489 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 670493 */     // MIs[0] offset
     /* 670493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670496 */     // MIs[0] auxiliary
     /* 670496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670499 */     // MIs[0] Operand 8
     /* 670499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670509 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_IDXEN_RTN),
     /* 670512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670514 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670516 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 670518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670525 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670527 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670537 */     GIR_RootConstrainSelectedInstOperands,
     /* 670538 */     // GIR_Coverage, 6021,
     /* 670538 */     GIR_EraseRootFromParent_Done,
     /* 670539 */   // Label 8664: @670539
     /* 670539 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(670598), // Rule ID 6029 //
     /* 670544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670548 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 670552 */     // MIs[0] offset
     /* 670552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670555 */     // MIs[0] auxiliary
     /* 670555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670558 */     // MIs[0] Operand 8
     /* 670558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670568 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_IDXEN_RTN),
     /* 670571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670573 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670575 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 670577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670584 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670586 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670596 */     GIR_RootConstrainSelectedInstOperands,
     /* 670597 */     // GIR_Coverage, 6029,
     /* 670597 */     GIR_EraseRootFromParent_Done,
     /* 670598 */   // Label 8665: @670598
     /* 670598 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(670694), // Rule ID 6027 //
     /* 670603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670606 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670608 */     // MIs[0] offset
     /* 670608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670611 */     // MIs[0] auxiliary
     /* 670611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670614 */     // MIs[0] Operand 8
     /* 670614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670624 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 670627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 670631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 670636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 670640 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 670643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 670647 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 670650 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 670655 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670660 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_BOTHEN),
     /* 670668 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 670673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670680 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670682 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670692 */     GIR_RootConstrainSelectedInstOperands,
     /* 670693 */     // GIR_Coverage, 6027,
     /* 670693 */     GIR_EraseRootFromParent_Done,
     /* 670694 */   // Label 8666: @670694
     /* 670694 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(670787), // Rule ID 6035 //
     /* 670699 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 670701 */     // MIs[0] offset
     /* 670701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670704 */     // MIs[0] auxiliary
     /* 670704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670707 */     // MIs[0] Operand 8
     /* 670707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670717 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 670720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 670724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 670729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 670733 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 670736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 670740 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 670743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 670748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_BOTHEN),
     /* 670761 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 670766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670773 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670775 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 670781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670785 */     GIR_RootConstrainSelectedInstOperands,
     /* 670786 */     // GIR_Coverage, 6035,
     /* 670786 */     GIR_EraseRootFromParent_Done,
     /* 670787 */   // Label 8667: @670787
     /* 670787 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(670887), // Rule ID 6023 //
     /* 670792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 670795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670799 */     // MIs[0] offset
     /* 670799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670802 */     // MIs[0] auxiliary
     /* 670802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670805 */     // MIs[0] Operand 8
     /* 670805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670815 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 670818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 670822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 670827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 670831 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 670834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 670838 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 670841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 670846 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_BOTHEN_RTN),
     /* 670859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670861 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 670866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670873 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670875 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670885 */     GIR_RootConstrainSelectedInstOperands,
     /* 670886 */     // GIR_Coverage, 6023,
     /* 670886 */     GIR_EraseRootFromParent_Done,
     /* 670887 */   // Label 8668: @670887
     /* 670887 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(670984), // Rule ID 6031 //
     /* 670892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 670896 */     // MIs[0] offset
     /* 670896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 670899 */     // MIs[0] auxiliary
     /* 670899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 670902 */     // MIs[0] Operand 8
     /* 670902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 670905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 670912 */     // (SIbuffer_atomic_or:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 670912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 670915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 670919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 670924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 670928 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 670931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 670935 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 670938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 670943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 670953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_VBUFFER_BOTHEN_RTN),
     /* 670956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 670958 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 670960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 670963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 670965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 670970 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 670972 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 670978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 670982 */     GIR_RootConstrainSelectedInstOperands,
     /* 670983 */     // GIR_Coverage, 6031,
     /* 670983 */     GIR_EraseRootFromParent_Done,
     /* 670984 */   // Label 8669: @670984
     /* 670984 */   GIM_Reject,
     /* 670985 */ // Label 8653: @670985
     /* 670985 */ GIM_Reject,
     /* 670986 */ // Label 8651: @670986
     /* 670986 */ GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(672167),
     /* 670991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 670994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 670997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 671000 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 671003 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 671006 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(671074), // Rule ID 6224 //
     /* 671011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671014 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671020 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671024 */     // MIs[0] offset
     /* 671024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671027 */     // MIs[0] auxiliary
     /* 671027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671030 */     // MIs[0] Operand 8
     /* 671030 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671048 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFSET),
     /* 671051 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671060 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671072 */     GIR_RootConstrainSelectedInstOperands,
     /* 671073 */     // GIR_Coverage, 6224,
     /* 671073 */     GIR_EraseRootFromParent_Done,
     /* 671074 */   // Label 8671: @671074
     /* 671074 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(671139), // Rule ID 6232 //
     /* 671079 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671085 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671089 */     // MIs[0] offset
     /* 671089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671092 */     // MIs[0] auxiliary
     /* 671092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671095 */     // MIs[0] Operand 8
     /* 671095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671113 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET),
     /* 671116 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671125 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671127 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671137 */     GIR_RootConstrainSelectedInstOperands,
     /* 671138 */     // GIR_Coverage, 6232,
     /* 671138 */     GIR_EraseRootFromParent_Done,
     /* 671139 */   // Label 8672: @671139
     /* 671139 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(671211), // Rule ID 6220 //
     /* 671144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671151 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671155 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671159 */     // MIs[0] offset
     /* 671159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671162 */     // MIs[0] auxiliary
     /* 671162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671165 */     // MIs[0] Operand 8
     /* 671165 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671183 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFSET_RTN),
     /* 671186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671188 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671197 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671199 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671209 */     GIR_RootConstrainSelectedInstOperands,
     /* 671210 */     // GIR_Coverage, 6220,
     /* 671210 */     GIR_EraseRootFromParent_Done,
     /* 671211 */   // Label 8673: @671211
     /* 671211 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(671280), // Rule ID 6228 //
     /* 671216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671220 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671228 */     // MIs[0] offset
     /* 671228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671231 */     // MIs[0] auxiliary
     /* 671231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671234 */     // MIs[0] Operand 8
     /* 671234 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671252 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFSET_RTN),
     /* 671255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671257 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671266 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671268 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671278 */     GIR_RootConstrainSelectedInstOperands,
     /* 671279 */     // GIR_Coverage, 6228,
     /* 671279 */     GIR_EraseRootFromParent_Done,
     /* 671280 */   // Label 8674: @671280
     /* 671280 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(671346), // Rule ID 6226 //
     /* 671285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671288 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671294 */     // MIs[0] offset
     /* 671294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671297 */     // MIs[0] auxiliary
     /* 671297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671300 */     // MIs[0] Operand 8
     /* 671300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671318 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFEN),
     /* 671321 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671323 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 671325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671332 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671344 */     GIR_RootConstrainSelectedInstOperands,
     /* 671345 */     // GIR_Coverage, 6226,
     /* 671345 */     GIR_EraseRootFromParent_Done,
     /* 671346 */   // Label 8675: @671346
     /* 671346 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(671409), // Rule ID 6234 //
     /* 671351 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671357 */     // MIs[0] offset
     /* 671357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671360 */     // MIs[0] auxiliary
     /* 671360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671363 */     // MIs[0] Operand 8
     /* 671363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671381 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFEN),
     /* 671384 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671386 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 671388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671395 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671397 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671407 */     GIR_RootConstrainSelectedInstOperands,
     /* 671408 */     // GIR_Coverage, 6234,
     /* 671408 */     GIR_EraseRootFromParent_Done,
     /* 671409 */   // Label 8676: @671409
     /* 671409 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(671479), // Rule ID 6222 //
     /* 671414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671425 */     // MIs[0] offset
     /* 671425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671428 */     // MIs[0] auxiliary
     /* 671428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671431 */     // MIs[0] Operand 8
     /* 671431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671449 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_OFFEN_RTN),
     /* 671452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671454 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671456 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 671458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671465 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671467 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671477 */     GIR_RootConstrainSelectedInstOperands,
     /* 671478 */     // GIR_Coverage, 6222,
     /* 671478 */     GIR_EraseRootFromParent_Done,
     /* 671479 */   // Label 8677: @671479
     /* 671479 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(671546), // Rule ID 6230 //
     /* 671484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 671492 */     // MIs[0] offset
     /* 671492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671495 */     // MIs[0] auxiliary
     /* 671495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671498 */     // MIs[0] Operand 8
     /* 671498 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 671509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671516 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_OFFEN_RTN),
     /* 671519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671521 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671523 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 671525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671532 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671544 */     GIR_RootConstrainSelectedInstOperands,
     /* 671545 */     // GIR_Coverage, 6230,
     /* 671545 */     GIR_EraseRootFromParent_Done,
     /* 671546 */   // Label 8678: @671546
     /* 671546 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(671604), // Rule ID 6225 //
     /* 671551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671554 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671560 */     // MIs[0] offset
     /* 671560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671563 */     // MIs[0] auxiliary
     /* 671563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671566 */     // MIs[0] Operand 8
     /* 671566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671576 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_IDXEN),
     /* 671579 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671581 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 671583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671590 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671592 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671602 */     GIR_RootConstrainSelectedInstOperands,
     /* 671603 */     // GIR_Coverage, 6225,
     /* 671603 */     GIR_EraseRootFromParent_Done,
     /* 671604 */   // Label 8679: @671604
     /* 671604 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(671659), // Rule ID 6233 //
     /* 671609 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671611 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671615 */     // MIs[0] offset
     /* 671615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671618 */     // MIs[0] auxiliary
     /* 671618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671621 */     // MIs[0] Operand 8
     /* 671621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671631 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_IDXEN),
     /* 671634 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671636 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 671638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671645 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671647 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671657 */     GIR_RootConstrainSelectedInstOperands,
     /* 671658 */     // GIR_Coverage, 6233,
     /* 671658 */     GIR_EraseRootFromParent_Done,
     /* 671659 */   // Label 8680: @671659
     /* 671659 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(671721), // Rule ID 6221 //
     /* 671664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671675 */     // MIs[0] offset
     /* 671675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671678 */     // MIs[0] auxiliary
     /* 671678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671681 */     // MIs[0] Operand 8
     /* 671681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671691 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_IDXEN_RTN),
     /* 671694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671696 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671698 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 671700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671707 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671719 */     GIR_RootConstrainSelectedInstOperands,
     /* 671720 */     // GIR_Coverage, 6221,
     /* 671720 */     GIR_EraseRootFromParent_Done,
     /* 671721 */   // Label 8681: @671721
     /* 671721 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(671780), // Rule ID 6229 //
     /* 671726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671730 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 671734 */     // MIs[0] offset
     /* 671734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671737 */     // MIs[0] auxiliary
     /* 671737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671740 */     // MIs[0] Operand 8
     /* 671740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671750 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_IDXEN_RTN),
     /* 671753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 671755 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671757 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 671759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671766 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 671774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671778 */     GIR_RootConstrainSelectedInstOperands,
     /* 671779 */     // GIR_Coverage, 6229,
     /* 671779 */     GIR_EraseRootFromParent_Done,
     /* 671780 */   // Label 8682: @671780
     /* 671780 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(671876), // Rule ID 6227 //
     /* 671785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671788 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671790 */     // MIs[0] offset
     /* 671790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671793 */     // MIs[0] auxiliary
     /* 671793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671796 */     // MIs[0] Operand 8
     /* 671796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671806 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 671809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 671813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 671818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 671822 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 671825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 671829 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 671832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 671837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 671842 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 671847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_BOTHEN),
     /* 671850 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 671855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671862 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671874 */     GIR_RootConstrainSelectedInstOperands,
     /* 671875 */     // GIR_Coverage, 6227,
     /* 671875 */     GIR_EraseRootFromParent_Done,
     /* 671876 */   // Label 8683: @671876
     /* 671876 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(671969), // Rule ID 6235 //
     /* 671881 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 671883 */     // MIs[0] offset
     /* 671883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671886 */     // MIs[0] auxiliary
     /* 671886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671889 */     // MIs[0] Operand 8
     /* 671889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671899 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_or_noret>>  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 671902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 671906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 671911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 671915 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 671918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 671922 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 671925 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 671930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 671935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 671940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_BOTHEN),
     /* 671943 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 671945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 671948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 671950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 671955 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 671957 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 671963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 671967 */     GIR_RootConstrainSelectedInstOperands,
     /* 671968 */     // GIR_Coverage, 6235,
     /* 671968 */     GIR_EraseRootFromParent_Done,
     /* 671969 */   // Label 8684: @671969
     /* 671969 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(672069), // Rule ID 6223 //
     /* 671974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 671977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 671981 */     // MIs[0] offset
     /* 671981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 671984 */     // MIs[0] auxiliary
     /* 671984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 671987 */     // MIs[0] Operand 8
     /* 671987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 671990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 671997 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 671997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 672000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 672004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 672009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 672013 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 672016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 672020 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 672023 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 672028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 672033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 672038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_BOTHEN_RTN),
     /* 672041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672043 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 672048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672055 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672057 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672067 */     GIR_RootConstrainSelectedInstOperands,
     /* 672068 */     // GIR_Coverage, 6223,
     /* 672068 */     GIR_EraseRootFromParent_Done,
     /* 672069 */   // Label 8685: @672069
     /* 672069 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(672166), // Rule ID 6231 //
     /* 672074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 672078 */     // MIs[0] offset
     /* 672078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672081 */     // MIs[0] auxiliary
     /* 672081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672084 */     // MIs[0] Operand 8
     /* 672084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 672087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672094 */     // (SIbuffer_atomic_or:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_OR_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 672097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 672101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 672106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 672110 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 672113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 672117 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 672120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 672125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 672130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 672135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_OR_X2_VBUFFER_BOTHEN_RTN),
     /* 672138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672140 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 672145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672152 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672154 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672164 */     GIR_RootConstrainSelectedInstOperands,
     /* 672165 */     // GIR_Coverage, 6231,
     /* 672165 */     GIR_EraseRootFromParent_Done,
     /* 672166 */   // Label 8686: @672166
     /* 672166 */   GIM_Reject,
     /* 672167 */ // Label 8670: @672167
     /* 672167 */ GIM_Reject,
     /* 672168 */ // Label 8652: @672168
     /* 672168 */ GIM_Reject,
     /* 672169 */ // Label 120: @672169
     /* 672169 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8689*/ GIMT_Encode4(674552),
     /* 672180 */ /*GILLT_s32*//*Label 8687*/ GIMT_Encode4(672188),
     /* 672184 */ /*GILLT_s64*//*Label 8688*/ GIMT_Encode4(673370),
     /* 672188 */ // Label 8687: @672188
     /* 672188 */ GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(673369),
     /* 672193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 672196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 672199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 672202 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 672205 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 672208 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(672276), // Rule ID 5976 //
     /* 672213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672216 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672226 */     // MIs[0] offset
     /* 672226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672229 */     // MIs[0] auxiliary
     /* 672229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672232 */     // MIs[0] Operand 8
     /* 672232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672250 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFSET),
     /* 672253 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672262 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672274 */     GIR_RootConstrainSelectedInstOperands,
     /* 672275 */     // GIR_Coverage, 5976,
     /* 672275 */     GIR_EraseRootFromParent_Done,
     /* 672276 */   // Label 8691: @672276
     /* 672276 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(672341), // Rule ID 5984 //
     /* 672281 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672283 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672287 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672291 */     // MIs[0] offset
     /* 672291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672294 */     // MIs[0] auxiliary
     /* 672294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672297 */     // MIs[0] Operand 8
     /* 672297 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672315 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET),
     /* 672318 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672327 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672329 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672339 */     GIR_RootConstrainSelectedInstOperands,
     /* 672340 */     // GIR_Coverage, 5984,
     /* 672340 */     GIR_EraseRootFromParent_Done,
     /* 672341 */   // Label 8692: @672341
     /* 672341 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(672413), // Rule ID 5972 //
     /* 672346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672361 */     // MIs[0] offset
     /* 672361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672364 */     // MIs[0] auxiliary
     /* 672364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672367 */     // MIs[0] Operand 8
     /* 672367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672385 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFSET_RTN),
     /* 672388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672390 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672399 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672401 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672411 */     GIR_RootConstrainSelectedInstOperands,
     /* 672412 */     // GIR_Coverage, 5972,
     /* 672412 */     GIR_EraseRootFromParent_Done,
     /* 672413 */   // Label 8693: @672413
     /* 672413 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(672482), // Rule ID 5980 //
     /* 672418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672430 */     // MIs[0] offset
     /* 672430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672433 */     // MIs[0] auxiliary
     /* 672433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672436 */     // MIs[0] Operand 8
     /* 672436 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672454 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFSET_RTN),
     /* 672457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672459 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672468 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672470 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672480 */     GIR_RootConstrainSelectedInstOperands,
     /* 672481 */     // GIR_Coverage, 5980,
     /* 672481 */     GIR_EraseRootFromParent_Done,
     /* 672482 */   // Label 8694: @672482
     /* 672482 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(672548), // Rule ID 5978 //
     /* 672487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672490 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672496 */     // MIs[0] offset
     /* 672496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672499 */     // MIs[0] auxiliary
     /* 672499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672502 */     // MIs[0] Operand 8
     /* 672502 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672520 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFEN),
     /* 672523 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672525 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 672527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672534 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672536 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672546 */     GIR_RootConstrainSelectedInstOperands,
     /* 672547 */     // GIR_Coverage, 5978,
     /* 672547 */     GIR_EraseRootFromParent_Done,
     /* 672548 */   // Label 8695: @672548
     /* 672548 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(672611), // Rule ID 5986 //
     /* 672553 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672555 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672559 */     // MIs[0] offset
     /* 672559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672562 */     // MIs[0] auxiliary
     /* 672562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672565 */     // MIs[0] Operand 8
     /* 672565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672583 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFEN),
     /* 672586 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672588 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 672590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672597 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672599 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672609 */     GIR_RootConstrainSelectedInstOperands,
     /* 672610 */     // GIR_Coverage, 5986,
     /* 672610 */     GIR_EraseRootFromParent_Done,
     /* 672611 */   // Label 8696: @672611
     /* 672611 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(672681), // Rule ID 5974 //
     /* 672616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672627 */     // MIs[0] offset
     /* 672627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672630 */     // MIs[0] auxiliary
     /* 672630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672633 */     // MIs[0] Operand 8
     /* 672633 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672651 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_OFFEN_RTN),
     /* 672654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672656 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672658 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 672660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672667 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672669 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672679 */     GIR_RootConstrainSelectedInstOperands,
     /* 672680 */     // GIR_Coverage, 5974,
     /* 672680 */     GIR_EraseRootFromParent_Done,
     /* 672681 */   // Label 8697: @672681
     /* 672681 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(672748), // Rule ID 5982 //
     /* 672686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672690 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 672694 */     // MIs[0] offset
     /* 672694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672697 */     // MIs[0] auxiliary
     /* 672697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672700 */     // MIs[0] Operand 8
     /* 672700 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 672711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672718 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_OFFEN_RTN),
     /* 672721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672723 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672725 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 672727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672734 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672736 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672746 */     GIR_RootConstrainSelectedInstOperands,
     /* 672747 */     // GIR_Coverage, 5982,
     /* 672747 */     GIR_EraseRootFromParent_Done,
     /* 672748 */   // Label 8698: @672748
     /* 672748 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(672806), // Rule ID 5977 //
     /* 672753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672756 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672758 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672762 */     // MIs[0] offset
     /* 672762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672765 */     // MIs[0] auxiliary
     /* 672765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672768 */     // MIs[0] Operand 8
     /* 672768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 672771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672778 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_IDXEN),
     /* 672781 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672783 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 672785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672792 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672804 */     GIR_RootConstrainSelectedInstOperands,
     /* 672805 */     // GIR_Coverage, 5977,
     /* 672805 */     GIR_EraseRootFromParent_Done,
     /* 672806 */   // Label 8699: @672806
     /* 672806 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(672861), // Rule ID 5985 //
     /* 672811 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672813 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672817 */     // MIs[0] offset
     /* 672817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672820 */     // MIs[0] auxiliary
     /* 672820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672823 */     // MIs[0] Operand 8
     /* 672823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 672826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672833 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_IDXEN),
     /* 672836 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672838 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 672840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672847 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672849 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 672855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672859 */     GIR_RootConstrainSelectedInstOperands,
     /* 672860 */     // GIR_Coverage, 5985,
     /* 672860 */     GIR_EraseRootFromParent_Done,
     /* 672861 */   // Label 8700: @672861
     /* 672861 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(672923), // Rule ID 5973 //
     /* 672866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672873 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672877 */     // MIs[0] offset
     /* 672877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672880 */     // MIs[0] auxiliary
     /* 672880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672883 */     // MIs[0] Operand 8
     /* 672883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 672886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672893 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_IDXEN_RTN),
     /* 672896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672898 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672900 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 672902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672909 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672911 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672921 */     GIR_RootConstrainSelectedInstOperands,
     /* 672922 */     // GIR_Coverage, 5973,
     /* 672922 */     GIR_EraseRootFromParent_Done,
     /* 672923 */   // Label 8701: @672923
     /* 672923 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(672982), // Rule ID 5981 //
     /* 672928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 672932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 672936 */     // MIs[0] offset
     /* 672936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672939 */     // MIs[0] auxiliary
     /* 672939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672942 */     // MIs[0] Operand 8
     /* 672942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 672945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 672952 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 672952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_IDXEN_RTN),
     /* 672955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 672957 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 672959 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 672961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 672963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 672968 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 672970 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 672976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 672980 */     GIR_RootConstrainSelectedInstOperands,
     /* 672981 */     // GIR_Coverage, 5981,
     /* 672981 */     GIR_EraseRootFromParent_Done,
     /* 672982 */   // Label 8702: @672982
     /* 672982 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(673078), // Rule ID 5979 //
     /* 672987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 672990 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 672992 */     // MIs[0] offset
     /* 672992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 672995 */     // MIs[0] auxiliary
     /* 672995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 672998 */     // MIs[0] Operand 8
     /* 672998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 673001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673008 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 673011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 673015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 673020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 673024 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 673027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 673031 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 673034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 673039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_BOTHEN),
     /* 673052 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 673057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673064 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673066 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673076 */     GIR_RootConstrainSelectedInstOperands,
     /* 673077 */     // GIR_Coverage, 5979,
     /* 673077 */     GIR_EraseRootFromParent_Done,
     /* 673078 */   // Label 8703: @673078
     /* 673078 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(673171), // Rule ID 5987 //
     /* 673083 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673085 */     // MIs[0] offset
     /* 673085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673088 */     // MIs[0] auxiliary
     /* 673088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673091 */     // MIs[0] Operand 8
     /* 673091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 673094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673101 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 673104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 673108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 673113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 673117 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 673120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 673124 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 673127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 673132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_BOTHEN),
     /* 673145 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 673150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673157 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673159 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673169 */     GIR_RootConstrainSelectedInstOperands,
     /* 673170 */     // GIR_Coverage, 5987,
     /* 673170 */     GIR_EraseRootFromParent_Done,
     /* 673171 */   // Label 8704: @673171
     /* 673171 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(673271), // Rule ID 5975 //
     /* 673176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 673183 */     // MIs[0] offset
     /* 673183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673186 */     // MIs[0] auxiliary
     /* 673186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673189 */     // MIs[0] Operand 8
     /* 673189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 673192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673199 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 673202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 673206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 673211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 673215 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 673218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 673222 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 673225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 673230 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673235 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_BOTHEN_RTN),
     /* 673243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673245 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 673250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673257 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673259 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673269 */     GIR_RootConstrainSelectedInstOperands,
     /* 673270 */     // GIR_Coverage, 5975,
     /* 673270 */     GIR_EraseRootFromParent_Done,
     /* 673271 */   // Label 8705: @673271
     /* 673271 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(673368), // Rule ID 5983 //
     /* 673276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 673280 */     // MIs[0] offset
     /* 673280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673283 */     // MIs[0] auxiliary
     /* 673283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673286 */     // MIs[0] Operand 8
     /* 673286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 673289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673296 */     // (SIbuffer_atomic_smax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 673299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 673303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 673308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 673312 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 673315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 673319 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 673322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 673327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 673337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_VBUFFER_BOTHEN_RTN),
     /* 673340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673342 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 673347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673354 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673356 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673366 */     GIR_RootConstrainSelectedInstOperands,
     /* 673367 */     // GIR_Coverage, 5983,
     /* 673367 */     GIR_EraseRootFromParent_Done,
     /* 673368 */   // Label 8706: @673368
     /* 673368 */   GIM_Reject,
     /* 673369 */ // Label 8690: @673369
     /* 673369 */ GIM_Reject,
     /* 673370 */ // Label 8688: @673370
     /* 673370 */ GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(674551),
     /* 673375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 673378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 673381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 673384 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 673387 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 673390 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(673458), // Rule ID 6176 //
     /* 673395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673398 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673408 */     // MIs[0] offset
     /* 673408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673411 */     // MIs[0] auxiliary
     /* 673411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673414 */     // MIs[0] Operand 8
     /* 673414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673432 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFSET),
     /* 673435 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673444 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673456 */     GIR_RootConstrainSelectedInstOperands,
     /* 673457 */     // GIR_Coverage, 6176,
     /* 673457 */     GIR_EraseRootFromParent_Done,
     /* 673458 */   // Label 8708: @673458
     /* 673458 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(673523), // Rule ID 6184 //
     /* 673463 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673473 */     // MIs[0] offset
     /* 673473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673476 */     // MIs[0] auxiliary
     /* 673476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673479 */     // MIs[0] Operand 8
     /* 673479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673497 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET),
     /* 673500 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673509 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673511 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673521 */     GIR_RootConstrainSelectedInstOperands,
     /* 673522 */     // GIR_Coverage, 6184,
     /* 673522 */     GIR_EraseRootFromParent_Done,
     /* 673523 */   // Label 8709: @673523
     /* 673523 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(673595), // Rule ID 6172 //
     /* 673528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 673535 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673539 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673543 */     // MIs[0] offset
     /* 673543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673546 */     // MIs[0] auxiliary
     /* 673546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673549 */     // MIs[0] Operand 8
     /* 673549 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673567 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFSET_RTN),
     /* 673570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673572 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673581 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673583 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673593 */     GIR_RootConstrainSelectedInstOperands,
     /* 673594 */     // GIR_Coverage, 6172,
     /* 673594 */     GIR_EraseRootFromParent_Done,
     /* 673595 */   // Label 8710: @673595
     /* 673595 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(673664), // Rule ID 6180 //
     /* 673600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 673604 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673608 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673612 */     // MIs[0] offset
     /* 673612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673615 */     // MIs[0] auxiliary
     /* 673615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673618 */     // MIs[0] Operand 8
     /* 673618 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673636 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFSET_RTN),
     /* 673639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673641 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673650 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673652 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673662 */     GIR_RootConstrainSelectedInstOperands,
     /* 673663 */     // GIR_Coverage, 6180,
     /* 673663 */     GIR_EraseRootFromParent_Done,
     /* 673664 */   // Label 8711: @673664
     /* 673664 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(673730), // Rule ID 6178 //
     /* 673669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673672 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673674 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673678 */     // MIs[0] offset
     /* 673678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673681 */     // MIs[0] auxiliary
     /* 673681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673684 */     // MIs[0] Operand 8
     /* 673684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673702 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFEN),
     /* 673705 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673707 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 673709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673716 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673718 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673728 */     GIR_RootConstrainSelectedInstOperands,
     /* 673729 */     // GIR_Coverage, 6178,
     /* 673729 */     GIR_EraseRootFromParent_Done,
     /* 673730 */   // Label 8712: @673730
     /* 673730 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(673793), // Rule ID 6186 //
     /* 673735 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673741 */     // MIs[0] offset
     /* 673741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673744 */     // MIs[0] auxiliary
     /* 673744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673747 */     // MIs[0] Operand 8
     /* 673747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673765 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFEN),
     /* 673768 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673770 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 673772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673779 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673781 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673791 */     GIR_RootConstrainSelectedInstOperands,
     /* 673792 */     // GIR_Coverage, 6186,
     /* 673792 */     GIR_EraseRootFromParent_Done,
     /* 673793 */   // Label 8713: @673793
     /* 673793 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(673863), // Rule ID 6174 //
     /* 673798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 673805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673809 */     // MIs[0] offset
     /* 673809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673812 */     // MIs[0] auxiliary
     /* 673812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673815 */     // MIs[0] Operand 8
     /* 673815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673833 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_OFFEN_RTN),
     /* 673836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673838 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673840 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 673842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673849 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673851 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673861 */     GIR_RootConstrainSelectedInstOperands,
     /* 673862 */     // GIR_Coverage, 6174,
     /* 673862 */     GIR_EraseRootFromParent_Done,
     /* 673863 */   // Label 8714: @673863
     /* 673863 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(673930), // Rule ID 6182 //
     /* 673868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 673872 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 673876 */     // MIs[0] offset
     /* 673876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673879 */     // MIs[0] auxiliary
     /* 673879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673882 */     // MIs[0] Operand 8
     /* 673882 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 673893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673900 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_OFFEN_RTN),
     /* 673903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 673905 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673907 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 673909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673916 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673918 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 673924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673928 */     GIR_RootConstrainSelectedInstOperands,
     /* 673929 */     // GIR_Coverage, 6182,
     /* 673929 */     GIR_EraseRootFromParent_Done,
     /* 673930 */   // Label 8715: @673930
     /* 673930 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(673988), // Rule ID 6177 //
     /* 673935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 673938 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673944 */     // MIs[0] offset
     /* 673944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 673947 */     // MIs[0] auxiliary
     /* 673947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 673950 */     // MIs[0] Operand 8
     /* 673950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 673953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 673960 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 673960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_IDXEN),
     /* 673963 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 673965 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 673967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 673969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 673974 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 673976 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 673982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 673986 */     GIR_RootConstrainSelectedInstOperands,
     /* 673987 */     // GIR_Coverage, 6177,
     /* 673987 */     GIR_EraseRootFromParent_Done,
     /* 673988 */   // Label 8716: @673988
     /* 673988 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(674043), // Rule ID 6185 //
     /* 673993 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 673995 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 673999 */     // MIs[0] offset
     /* 673999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674002 */     // MIs[0] auxiliary
     /* 674002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674005 */     // MIs[0] Operand 8
     /* 674005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674015 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_IDXEN),
     /* 674018 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674020 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 674022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674029 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674031 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674041 */     GIR_RootConstrainSelectedInstOperands,
     /* 674042 */     // GIR_Coverage, 6185,
     /* 674042 */     GIR_EraseRootFromParent_Done,
     /* 674043 */   // Label 8717: @674043
     /* 674043 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(674105), // Rule ID 6173 //
     /* 674048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 674055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674059 */     // MIs[0] offset
     /* 674059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674062 */     // MIs[0] auxiliary
     /* 674062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674065 */     // MIs[0] Operand 8
     /* 674065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674075 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_IDXEN_RTN),
     /* 674078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674080 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674082 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 674084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674091 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674093 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674103 */     GIR_RootConstrainSelectedInstOperands,
     /* 674104 */     // GIR_Coverage, 6173,
     /* 674104 */     GIR_EraseRootFromParent_Done,
     /* 674105 */   // Label 8718: @674105
     /* 674105 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(674164), // Rule ID 6181 //
     /* 674110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 674114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674118 */     // MIs[0] offset
     /* 674118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674121 */     // MIs[0] auxiliary
     /* 674121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674124 */     // MIs[0] Operand 8
     /* 674124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674134 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_IDXEN_RTN),
     /* 674137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674139 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674141 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 674143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674150 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674152 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674162 */     GIR_RootConstrainSelectedInstOperands,
     /* 674163 */     // GIR_Coverage, 6181,
     /* 674163 */     GIR_EraseRootFromParent_Done,
     /* 674164 */   // Label 8719: @674164
     /* 674164 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(674260), // Rule ID 6179 //
     /* 674169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674172 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674174 */     // MIs[0] offset
     /* 674174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674177 */     // MIs[0] auxiliary
     /* 674177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674180 */     // MIs[0] Operand 8
     /* 674180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674190 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 674193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 674197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 674202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 674206 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 674209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 674213 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 674216 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 674221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_BOTHEN),
     /* 674234 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 674239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674246 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674258 */     GIR_RootConstrainSelectedInstOperands,
     /* 674259 */     // GIR_Coverage, 6179,
     /* 674259 */     GIR_EraseRootFromParent_Done,
     /* 674260 */   // Label 8720: @674260
     /* 674260 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(674353), // Rule ID 6187 //
     /* 674265 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674267 */     // MIs[0] offset
     /* 674267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674270 */     // MIs[0] auxiliary
     /* 674270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674273 */     // MIs[0] Operand 8
     /* 674273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674283 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smax_noret>>  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 674286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 674290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 674295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 674299 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 674302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 674306 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 674309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 674314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674319 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_BOTHEN),
     /* 674327 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 674332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674339 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674341 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674351 */     GIR_RootConstrainSelectedInstOperands,
     /* 674352 */     // GIR_Coverage, 6187,
     /* 674352 */     GIR_EraseRootFromParent_Done,
     /* 674353 */   // Label 8721: @674353
     /* 674353 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(674453), // Rule ID 6175 //
     /* 674358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 674365 */     // MIs[0] offset
     /* 674365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674368 */     // MIs[0] auxiliary
     /* 674368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674371 */     // MIs[0] Operand 8
     /* 674371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674381 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 674384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 674388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 674393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 674397 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 674400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 674404 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 674407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 674412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_BOTHEN_RTN),
     /* 674425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674427 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 674432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674439 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674441 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674451 */     GIR_RootConstrainSelectedInstOperands,
     /* 674452 */     // GIR_Coverage, 6175,
     /* 674452 */     GIR_EraseRootFromParent_Done,
     /* 674453 */   // Label 8722: @674453
     /* 674453 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(674550), // Rule ID 6183 //
     /* 674458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 674462 */     // MIs[0] offset
     /* 674462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674465 */     // MIs[0] auxiliary
     /* 674465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674468 */     // MIs[0] Operand 8
     /* 674468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 674471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674478 */     // (SIbuffer_atomic_smax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMAX_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 674481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 674485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 674490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 674494 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 674497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 674501 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 674504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 674509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 674519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMAX_X2_VBUFFER_BOTHEN_RTN),
     /* 674522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674524 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 674529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674536 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674538 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674548 */     GIR_RootConstrainSelectedInstOperands,
     /* 674549 */     // GIR_Coverage, 6183,
     /* 674549 */     GIR_EraseRootFromParent_Done,
     /* 674550 */   // Label 8723: @674550
     /* 674550 */   GIM_Reject,
     /* 674551 */ // Label 8707: @674551
     /* 674551 */ GIM_Reject,
     /* 674552 */ // Label 8689: @674552
     /* 674552 */ GIM_Reject,
     /* 674553 */ // Label 121: @674553
     /* 674553 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8726*/ GIMT_Encode4(676936),
     /* 674564 */ /*GILLT_s32*//*Label 8724*/ GIMT_Encode4(674572),
     /* 674568 */ /*GILLT_s64*//*Label 8725*/ GIMT_Encode4(675754),
     /* 674572 */ // Label 8724: @674572
     /* 674572 */ GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(675753),
     /* 674577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 674580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 674583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 674586 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 674589 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 674592 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(674660), // Rule ID 5944 //
     /* 674597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674600 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674610 */     // MIs[0] offset
     /* 674610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674613 */     // MIs[0] auxiliary
     /* 674613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674616 */     // MIs[0] Operand 8
     /* 674616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674634 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFSET),
     /* 674637 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674646 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674648 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674658 */     GIR_RootConstrainSelectedInstOperands,
     /* 674659 */     // GIR_Coverage, 5944,
     /* 674659 */     GIR_EraseRootFromParent_Done,
     /* 674660 */   // Label 8728: @674660
     /* 674660 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(674725), // Rule ID 5952 //
     /* 674665 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674667 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674675 */     // MIs[0] offset
     /* 674675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674678 */     // MIs[0] auxiliary
     /* 674678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674681 */     // MIs[0] Operand 8
     /* 674681 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674699 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET),
     /* 674702 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674711 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674713 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674723 */     GIR_RootConstrainSelectedInstOperands,
     /* 674724 */     // GIR_Coverage, 5952,
     /* 674724 */     GIR_EraseRootFromParent_Done,
     /* 674725 */   // Label 8729: @674725
     /* 674725 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(674797), // Rule ID 5940 //
     /* 674730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 674737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674741 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674745 */     // MIs[0] offset
     /* 674745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674748 */     // MIs[0] auxiliary
     /* 674748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674751 */     // MIs[0] Operand 8
     /* 674751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674769 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFSET_RTN),
     /* 674772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674774 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674783 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674785 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674795 */     GIR_RootConstrainSelectedInstOperands,
     /* 674796 */     // GIR_Coverage, 5940,
     /* 674796 */     GIR_EraseRootFromParent_Done,
     /* 674797 */   // Label 8730: @674797
     /* 674797 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(674866), // Rule ID 5948 //
     /* 674802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 674806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674810 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 674814 */     // MIs[0] offset
     /* 674814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674817 */     // MIs[0] auxiliary
     /* 674817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674820 */     // MIs[0] Operand 8
     /* 674820 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674838 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFSET_RTN),
     /* 674841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 674843 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674852 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674854 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 674860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674864 */     GIR_RootConstrainSelectedInstOperands,
     /* 674865 */     // GIR_Coverage, 5948,
     /* 674865 */     GIR_EraseRootFromParent_Done,
     /* 674866 */   // Label 8731: @674866
     /* 674866 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(674932), // Rule ID 5946 //
     /* 674871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 674874 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674876 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674880 */     // MIs[0] offset
     /* 674880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674883 */     // MIs[0] auxiliary
     /* 674883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674886 */     // MIs[0] Operand 8
     /* 674886 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674904 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFEN),
     /* 674907 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674909 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 674911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674918 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674920 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674930 */     GIR_RootConstrainSelectedInstOperands,
     /* 674931 */     // GIR_Coverage, 5946,
     /* 674931 */     GIR_EraseRootFromParent_Done,
     /* 674932 */   // Label 8732: @674932
     /* 674932 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(674995), // Rule ID 5954 //
     /* 674937 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 674939 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 674943 */     // MIs[0] offset
     /* 674943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 674946 */     // MIs[0] auxiliary
     /* 674946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 674949 */     // MIs[0] Operand 8
     /* 674949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 674960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 674967 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 674967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFEN),
     /* 674970 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 674972 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 674974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 674976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 674981 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 674983 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 674989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 674993 */     GIR_RootConstrainSelectedInstOperands,
     /* 674994 */     // GIR_Coverage, 5954,
     /* 674994 */     GIR_EraseRootFromParent_Done,
     /* 674995 */   // Label 8733: @674995
     /* 674995 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(675065), // Rule ID 5942 //
     /* 675000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675007 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675011 */     // MIs[0] offset
     /* 675011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675014 */     // MIs[0] auxiliary
     /* 675014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675017 */     // MIs[0] Operand 8
     /* 675017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 675028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675035 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_OFFEN_RTN),
     /* 675038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675040 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675042 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 675044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675051 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675053 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675063 */     GIR_RootConstrainSelectedInstOperands,
     /* 675064 */     // GIR_Coverage, 5942,
     /* 675064 */     GIR_EraseRootFromParent_Done,
     /* 675065 */   // Label 8734: @675065
     /* 675065 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(675132), // Rule ID 5950 //
     /* 675070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675074 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675078 */     // MIs[0] offset
     /* 675078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675081 */     // MIs[0] auxiliary
     /* 675081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675084 */     // MIs[0] Operand 8
     /* 675084 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 675095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675102 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_OFFEN_RTN),
     /* 675105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675107 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675109 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 675111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675118 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675130 */     GIR_RootConstrainSelectedInstOperands,
     /* 675131 */     // GIR_Coverage, 5950,
     /* 675131 */     GIR_EraseRootFromParent_Done,
     /* 675132 */   // Label 8735: @675132
     /* 675132 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(675190), // Rule ID 5945 //
     /* 675137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675140 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675146 */     // MIs[0] offset
     /* 675146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675149 */     // MIs[0] auxiliary
     /* 675149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675152 */     // MIs[0] Operand 8
     /* 675152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675162 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_IDXEN),
     /* 675165 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675167 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 675169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675176 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675178 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675188 */     GIR_RootConstrainSelectedInstOperands,
     /* 675189 */     // GIR_Coverage, 5945,
     /* 675189 */     GIR_EraseRootFromParent_Done,
     /* 675190 */   // Label 8736: @675190
     /* 675190 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(675245), // Rule ID 5953 //
     /* 675195 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675197 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675201 */     // MIs[0] offset
     /* 675201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675204 */     // MIs[0] auxiliary
     /* 675204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675207 */     // MIs[0] Operand 8
     /* 675207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675217 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_IDXEN),
     /* 675220 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675222 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 675224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675231 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675233 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675243 */     GIR_RootConstrainSelectedInstOperands,
     /* 675244 */     // GIR_Coverage, 5953,
     /* 675244 */     GIR_EraseRootFromParent_Done,
     /* 675245 */   // Label 8737: @675245
     /* 675245 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(675307), // Rule ID 5941 //
     /* 675250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675261 */     // MIs[0] offset
     /* 675261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675264 */     // MIs[0] auxiliary
     /* 675264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675267 */     // MIs[0] Operand 8
     /* 675267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675277 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_IDXEN_RTN),
     /* 675280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675282 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675284 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 675286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675293 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675295 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675305 */     GIR_RootConstrainSelectedInstOperands,
     /* 675306 */     // GIR_Coverage, 5941,
     /* 675306 */     GIR_EraseRootFromParent_Done,
     /* 675307 */   // Label 8738: @675307
     /* 675307 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(675366), // Rule ID 5949 //
     /* 675312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675316 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675320 */     // MIs[0] offset
     /* 675320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675323 */     // MIs[0] auxiliary
     /* 675323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675326 */     // MIs[0] Operand 8
     /* 675326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675336 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_IDXEN_RTN),
     /* 675339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675341 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675343 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 675345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675352 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675364 */     GIR_RootConstrainSelectedInstOperands,
     /* 675365 */     // GIR_Coverage, 5949,
     /* 675365 */     GIR_EraseRootFromParent_Done,
     /* 675366 */   // Label 8739: @675366
     /* 675366 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(675462), // Rule ID 5947 //
     /* 675371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675374 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675376 */     // MIs[0] offset
     /* 675376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675379 */     // MIs[0] auxiliary
     /* 675379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675382 */     // MIs[0] Operand 8
     /* 675382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675392 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 675395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 675399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 675404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 675408 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 675411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 675415 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 675418 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 675423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675428 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_BOTHEN),
     /* 675436 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 675441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675448 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675460 */     GIR_RootConstrainSelectedInstOperands,
     /* 675461 */     // GIR_Coverage, 5947,
     /* 675461 */     GIR_EraseRootFromParent_Done,
     /* 675462 */   // Label 8740: @675462
     /* 675462 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(675555), // Rule ID 5955 //
     /* 675467 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675469 */     // MIs[0] offset
     /* 675469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675472 */     // MIs[0] auxiliary
     /* 675472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675475 */     // MIs[0] Operand 8
     /* 675475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675485 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 675488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 675492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 675497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 675501 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 675504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 675508 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 675511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 675516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_BOTHEN),
     /* 675529 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 675534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675541 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675543 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675553 */     GIR_RootConstrainSelectedInstOperands,
     /* 675554 */     // GIR_Coverage, 5955,
     /* 675554 */     GIR_EraseRootFromParent_Done,
     /* 675555 */   // Label 8741: @675555
     /* 675555 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(675655), // Rule ID 5943 //
     /* 675560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675567 */     // MIs[0] offset
     /* 675567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675570 */     // MIs[0] auxiliary
     /* 675570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675573 */     // MIs[0] Operand 8
     /* 675573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675583 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 675586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 675590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 675595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 675599 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 675602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 675606 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 675609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 675614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675619 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_BOTHEN_RTN),
     /* 675627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675629 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 675634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675641 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675653 */     GIR_RootConstrainSelectedInstOperands,
     /* 675654 */     // GIR_Coverage, 5943,
     /* 675654 */     GIR_EraseRootFromParent_Done,
     /* 675655 */   // Label 8742: @675655
     /* 675655 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(675752), // Rule ID 5951 //
     /* 675660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 675664 */     // MIs[0] offset
     /* 675664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675667 */     // MIs[0] auxiliary
     /* 675667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675670 */     // MIs[0] Operand 8
     /* 675670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 675673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675680 */     // (SIbuffer_atomic_smin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 675683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 675687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 675692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 675696 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 675699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 675703 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 675706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 675711 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675716 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 675721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_VBUFFER_BOTHEN_RTN),
     /* 675724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675726 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 675731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675738 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675740 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675750 */     GIR_RootConstrainSelectedInstOperands,
     /* 675751 */     // GIR_Coverage, 5951,
     /* 675751 */     GIR_EraseRootFromParent_Done,
     /* 675752 */   // Label 8743: @675752
     /* 675752 */   GIM_Reject,
     /* 675753 */ // Label 8727: @675753
     /* 675753 */ GIM_Reject,
     /* 675754 */ // Label 8725: @675754
     /* 675754 */ GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(676935),
     /* 675759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 675762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 675765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 675768 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 675771 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 675774 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(675842), // Rule ID 6144 //
     /* 675779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675782 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675792 */     // MIs[0] offset
     /* 675792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675795 */     // MIs[0] auxiliary
     /* 675795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675798 */     // MIs[0] Operand 8
     /* 675798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 675809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675816 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFSET),
     /* 675819 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675828 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675830 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675840 */     GIR_RootConstrainSelectedInstOperands,
     /* 675841 */     // GIR_Coverage, 6144,
     /* 675841 */     GIR_EraseRootFromParent_Done,
     /* 675842 */   // Label 8745: @675842
     /* 675842 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(675907), // Rule ID 6152 //
     /* 675847 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 675849 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675853 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675857 */     // MIs[0] offset
     /* 675857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675860 */     // MIs[0] auxiliary
     /* 675860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675863 */     // MIs[0] Operand 8
     /* 675863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 675874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675881 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET),
     /* 675884 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675893 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675895 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 675901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675905 */     GIR_RootConstrainSelectedInstOperands,
     /* 675906 */     // GIR_Coverage, 6152,
     /* 675906 */     GIR_EraseRootFromParent_Done,
     /* 675907 */   // Label 8746: @675907
     /* 675907 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(675979), // Rule ID 6140 //
     /* 675912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 675915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 675919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675927 */     // MIs[0] offset
     /* 675927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675930 */     // MIs[0] auxiliary
     /* 675930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 675933 */     // MIs[0] Operand 8
     /* 675933 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 675944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 675951 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 675951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFSET_RTN),
     /* 675954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 675956 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 675958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 675960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 675965 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 675967 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 675973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 675977 */     GIR_RootConstrainSelectedInstOperands,
     /* 675978 */     // GIR_Coverage, 6140,
     /* 675978 */     GIR_EraseRootFromParent_Done,
     /* 675979 */   // Label 8747: @675979
     /* 675979 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(676048), // Rule ID 6148 //
     /* 675984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 675988 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 675992 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 675996 */     // MIs[0] offset
     /* 675996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 675999 */     // MIs[0] auxiliary
     /* 675999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676002 */     // MIs[0] Operand 8
     /* 676002 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 676013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676020 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFSET_RTN),
     /* 676023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676025 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676034 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676036 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676046 */     GIR_RootConstrainSelectedInstOperands,
     /* 676047 */     // GIR_Coverage, 6148,
     /* 676047 */     GIR_EraseRootFromParent_Done,
     /* 676048 */   // Label 8748: @676048
     /* 676048 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(676114), // Rule ID 6146 //
     /* 676053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676056 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 676062 */     // MIs[0] offset
     /* 676062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676065 */     // MIs[0] auxiliary
     /* 676065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676068 */     // MIs[0] Operand 8
     /* 676068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 676079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676086 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFEN),
     /* 676089 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676091 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 676093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676100 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676112 */     GIR_RootConstrainSelectedInstOperands,
     /* 676113 */     // GIR_Coverage, 6146,
     /* 676113 */     GIR_EraseRootFromParent_Done,
     /* 676114 */   // Label 8749: @676114
     /* 676114 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(676177), // Rule ID 6154 //
     /* 676119 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 676125 */     // MIs[0] offset
     /* 676125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676128 */     // MIs[0] auxiliary
     /* 676128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676131 */     // MIs[0] Operand 8
     /* 676131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 676142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676149 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFEN),
     /* 676152 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676154 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 676156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676163 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676165 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676175 */     GIR_RootConstrainSelectedInstOperands,
     /* 676176 */     // GIR_Coverage, 6154,
     /* 676176 */     GIR_EraseRootFromParent_Done,
     /* 676177 */   // Label 8750: @676177
     /* 676177 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(676247), // Rule ID 6142 //
     /* 676182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676189 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 676193 */     // MIs[0] offset
     /* 676193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676196 */     // MIs[0] auxiliary
     /* 676196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676199 */     // MIs[0] Operand 8
     /* 676199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 676210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676217 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_OFFEN_RTN),
     /* 676220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676222 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676224 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 676226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676233 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676245 */     GIR_RootConstrainSelectedInstOperands,
     /* 676246 */     // GIR_Coverage, 6142,
     /* 676246 */     GIR_EraseRootFromParent_Done,
     /* 676247 */   // Label 8751: @676247
     /* 676247 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(676314), // Rule ID 6150 //
     /* 676252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 676260 */     // MIs[0] offset
     /* 676260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676263 */     // MIs[0] auxiliary
     /* 676263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676266 */     // MIs[0] Operand 8
     /* 676266 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 676277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676284 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_OFFEN_RTN),
     /* 676287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676289 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676291 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 676293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676300 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676312 */     GIR_RootConstrainSelectedInstOperands,
     /* 676313 */     // GIR_Coverage, 6150,
     /* 676313 */     GIR_EraseRootFromParent_Done,
     /* 676314 */   // Label 8752: @676314
     /* 676314 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(676372), // Rule ID 6145 //
     /* 676319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676322 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676324 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 676328 */     // MIs[0] offset
     /* 676328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676331 */     // MIs[0] auxiliary
     /* 676331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676334 */     // MIs[0] Operand 8
     /* 676334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676344 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_IDXEN),
     /* 676347 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676349 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 676351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676358 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676370 */     GIR_RootConstrainSelectedInstOperands,
     /* 676371 */     // GIR_Coverage, 6145,
     /* 676371 */     GIR_EraseRootFromParent_Done,
     /* 676372 */   // Label 8753: @676372
     /* 676372 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(676427), // Rule ID 6153 //
     /* 676377 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676379 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 676383 */     // MIs[0] offset
     /* 676383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676386 */     // MIs[0] auxiliary
     /* 676386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676389 */     // MIs[0] Operand 8
     /* 676389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676399 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_IDXEN),
     /* 676402 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676404 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 676406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676413 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676415 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676425 */     GIR_RootConstrainSelectedInstOperands,
     /* 676426 */     // GIR_Coverage, 6153,
     /* 676426 */     GIR_EraseRootFromParent_Done,
     /* 676427 */   // Label 8754: @676427
     /* 676427 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(676489), // Rule ID 6141 //
     /* 676432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 676443 */     // MIs[0] offset
     /* 676443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676446 */     // MIs[0] auxiliary
     /* 676446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676449 */     // MIs[0] Operand 8
     /* 676449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676459 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_IDXEN_RTN),
     /* 676462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676464 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676466 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 676468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676475 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676477 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676487 */     GIR_RootConstrainSelectedInstOperands,
     /* 676488 */     // GIR_Coverage, 6141,
     /* 676488 */     GIR_EraseRootFromParent_Done,
     /* 676489 */   // Label 8755: @676489
     /* 676489 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(676548), // Rule ID 6149 //
     /* 676494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 676502 */     // MIs[0] offset
     /* 676502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676505 */     // MIs[0] auxiliary
     /* 676505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676508 */     // MIs[0] Operand 8
     /* 676508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676518 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_IDXEN_RTN),
     /* 676521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676523 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676525 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 676527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676534 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676536 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676546 */     GIR_RootConstrainSelectedInstOperands,
     /* 676547 */     // GIR_Coverage, 6149,
     /* 676547 */     GIR_EraseRootFromParent_Done,
     /* 676548 */   // Label 8756: @676548
     /* 676548 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(676644), // Rule ID 6147 //
     /* 676553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676556 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676558 */     // MIs[0] offset
     /* 676558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676561 */     // MIs[0] auxiliary
     /* 676561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676564 */     // MIs[0] Operand 8
     /* 676564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676574 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 676577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 676581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 676586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 676590 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 676593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 676597 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 676600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 676605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676610 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_BOTHEN),
     /* 676618 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 676623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676630 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676632 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676642 */     GIR_RootConstrainSelectedInstOperands,
     /* 676643 */     // GIR_Coverage, 6147,
     /* 676643 */     GIR_EraseRootFromParent_Done,
     /* 676644 */   // Label 8757: @676644
     /* 676644 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(676737), // Rule ID 6155 //
     /* 676649 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676651 */     // MIs[0] offset
     /* 676651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676654 */     // MIs[0] auxiliary
     /* 676654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676657 */     // MIs[0] Operand 8
     /* 676657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676667 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_smin_noret>>  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 676670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 676674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 676679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 676683 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 676686 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 676690 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 676693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 676698 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676703 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_BOTHEN),
     /* 676711 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 676716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676723 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676725 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 676731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676735 */     GIR_RootConstrainSelectedInstOperands,
     /* 676736 */     // GIR_Coverage, 6155,
     /* 676736 */     GIR_EraseRootFromParent_Done,
     /* 676737 */   // Label 8758: @676737
     /* 676737 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(676837), // Rule ID 6143 //
     /* 676742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676749 */     // MIs[0] offset
     /* 676749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676752 */     // MIs[0] auxiliary
     /* 676752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676755 */     // MIs[0] Operand 8
     /* 676755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676765 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 676768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 676772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 676777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 676781 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 676784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 676788 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 676791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 676796 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676801 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_BOTHEN_RTN),
     /* 676809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676811 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 676816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676823 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676825 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676835 */     GIR_RootConstrainSelectedInstOperands,
     /* 676836 */     // GIR_Coverage, 6143,
     /* 676836 */     GIR_EraseRootFromParent_Done,
     /* 676837 */   // Label 8759: @676837
     /* 676837 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(676934), // Rule ID 6151 //
     /* 676842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 676846 */     // MIs[0] offset
     /* 676846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676849 */     // MIs[0] auxiliary
     /* 676849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 676852 */     // MIs[0] Operand 8
     /* 676852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 676855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 676862 */     // (SIbuffer_atomic_smin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SMIN_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 676862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 676865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 676869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 676874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 676878 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 676881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 676885 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 676888 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 676893 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676898 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 676903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SMIN_X2_VBUFFER_BOTHEN_RTN),
     /* 676906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 676908 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 676910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 676913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 676915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 676920 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 676922 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 676928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 676932 */     GIR_RootConstrainSelectedInstOperands,
     /* 676933 */     // GIR_Coverage, 6151,
     /* 676933 */     GIR_EraseRootFromParent_Done,
     /* 676934 */   // Label 8760: @676934
     /* 676934 */   GIM_Reject,
     /* 676935 */ // Label 8744: @676935
     /* 676935 */ GIM_Reject,
     /* 676936 */ // Label 8726: @676936
     /* 676936 */ GIM_Reject,
     /* 676937 */ // Label 122: @676937
     /* 676937 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8763*/ GIMT_Encode4(679320),
     /* 676948 */ /*GILLT_s32*//*Label 8761*/ GIMT_Encode4(676956),
     /* 676952 */ /*GILLT_s64*//*Label 8762*/ GIMT_Encode4(678138),
     /* 676956 */ // Label 8761: @676956
     /* 676956 */ GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(678137),
     /* 676961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 676964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 676967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 676970 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 676973 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 676976 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(677044), // Rule ID 5928 //
     /* 676981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 676984 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 676986 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 676990 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 676994 */     // MIs[0] offset
     /* 676994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 676997 */     // MIs[0] auxiliary
     /* 676997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677000 */     // MIs[0] Operand 8
     /* 677000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677018 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFSET),
     /* 677021 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677030 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677032 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677042 */     GIR_RootConstrainSelectedInstOperands,
     /* 677043 */     // GIR_Coverage, 5928,
     /* 677043 */     GIR_EraseRootFromParent_Done,
     /* 677044 */   // Label 8765: @677044
     /* 677044 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(677109), // Rule ID 5936 //
     /* 677049 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677051 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677059 */     // MIs[0] offset
     /* 677059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677062 */     // MIs[0] auxiliary
     /* 677062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677065 */     // MIs[0] Operand 8
     /* 677065 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677083 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFSET),
     /* 677086 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677095 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677097 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677107 */     GIR_RootConstrainSelectedInstOperands,
     /* 677108 */     // GIR_Coverage, 5936,
     /* 677108 */     GIR_EraseRootFromParent_Done,
     /* 677109 */   // Label 8766: @677109
     /* 677109 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(677181), // Rule ID 5924 //
     /* 677114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677125 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677129 */     // MIs[0] offset
     /* 677129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677132 */     // MIs[0] auxiliary
     /* 677132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677135 */     // MIs[0] Operand 8
     /* 677135 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677153 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFSET_RTN),
     /* 677156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677158 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677167 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677179 */     GIR_RootConstrainSelectedInstOperands,
     /* 677180 */     // GIR_Coverage, 5924,
     /* 677180 */     GIR_EraseRootFromParent_Done,
     /* 677181 */   // Label 8767: @677181
     /* 677181 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(677250), // Rule ID 5932 //
     /* 677186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677190 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677198 */     // MIs[0] offset
     /* 677198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677201 */     // MIs[0] auxiliary
     /* 677201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677204 */     // MIs[0] Operand 8
     /* 677204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677222 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFSET_RTN),
     /* 677225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677227 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677236 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677248 */     GIR_RootConstrainSelectedInstOperands,
     /* 677249 */     // GIR_Coverage, 5932,
     /* 677249 */     GIR_EraseRootFromParent_Done,
     /* 677250 */   // Label 8768: @677250
     /* 677250 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(677316), // Rule ID 5930 //
     /* 677255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677258 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677264 */     // MIs[0] offset
     /* 677264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677267 */     // MIs[0] auxiliary
     /* 677267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677270 */     // MIs[0] Operand 8
     /* 677270 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677288 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFEN),
     /* 677291 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677293 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 677295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677302 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677304 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677314 */     GIR_RootConstrainSelectedInstOperands,
     /* 677315 */     // GIR_Coverage, 5930,
     /* 677315 */     GIR_EraseRootFromParent_Done,
     /* 677316 */   // Label 8769: @677316
     /* 677316 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(677379), // Rule ID 5938 //
     /* 677321 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677327 */     // MIs[0] offset
     /* 677327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677330 */     // MIs[0] auxiliary
     /* 677330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677333 */     // MIs[0] Operand 8
     /* 677333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677351 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFEN),
     /* 677354 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677356 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 677358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677365 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677367 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677377 */     GIR_RootConstrainSelectedInstOperands,
     /* 677378 */     // GIR_Coverage, 5938,
     /* 677378 */     GIR_EraseRootFromParent_Done,
     /* 677379 */   // Label 8770: @677379
     /* 677379 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(677449), // Rule ID 5926 //
     /* 677384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677395 */     // MIs[0] offset
     /* 677395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677398 */     // MIs[0] auxiliary
     /* 677398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677401 */     // MIs[0] Operand 8
     /* 677401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677419 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_OFFEN_RTN),
     /* 677422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677424 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677426 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 677428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677435 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677447 */     GIR_RootConstrainSelectedInstOperands,
     /* 677448 */     // GIR_Coverage, 5926,
     /* 677448 */     GIR_EraseRootFromParent_Done,
     /* 677449 */   // Label 8771: @677449
     /* 677449 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(677516), // Rule ID 5934 //
     /* 677454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677458 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 677462 */     // MIs[0] offset
     /* 677462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677465 */     // MIs[0] auxiliary
     /* 677465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677468 */     // MIs[0] Operand 8
     /* 677468 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 677479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677486 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_OFFEN_RTN),
     /* 677489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677491 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677493 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 677495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677502 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677514 */     GIR_RootConstrainSelectedInstOperands,
     /* 677515 */     // GIR_Coverage, 5934,
     /* 677515 */     GIR_EraseRootFromParent_Done,
     /* 677516 */   // Label 8772: @677516
     /* 677516 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(677574), // Rule ID 5929 //
     /* 677521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677524 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677526 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677530 */     // MIs[0] offset
     /* 677530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677533 */     // MIs[0] auxiliary
     /* 677533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677536 */     // MIs[0] Operand 8
     /* 677536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677546 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_IDXEN),
     /* 677549 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677551 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 677553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677560 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677562 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677572 */     GIR_RootConstrainSelectedInstOperands,
     /* 677573 */     // GIR_Coverage, 5929,
     /* 677573 */     GIR_EraseRootFromParent_Done,
     /* 677574 */   // Label 8773: @677574
     /* 677574 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(677629), // Rule ID 5937 //
     /* 677579 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677585 */     // MIs[0] offset
     /* 677585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677588 */     // MIs[0] auxiliary
     /* 677588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677591 */     // MIs[0] Operand 8
     /* 677591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677601 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_IDXEN),
     /* 677604 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677606 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 677608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677615 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677617 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677627 */     GIR_RootConstrainSelectedInstOperands,
     /* 677628 */     // GIR_Coverage, 5937,
     /* 677628 */     GIR_EraseRootFromParent_Done,
     /* 677629 */   // Label 8774: @677629
     /* 677629 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(677691), // Rule ID 5925 //
     /* 677634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677641 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677645 */     // MIs[0] offset
     /* 677645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677648 */     // MIs[0] auxiliary
     /* 677648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677651 */     // MIs[0] Operand 8
     /* 677651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677661 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_IDXEN_RTN),
     /* 677664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677666 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677668 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 677670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677677 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677679 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677689 */     GIR_RootConstrainSelectedInstOperands,
     /* 677690 */     // GIR_Coverage, 5925,
     /* 677690 */     GIR_EraseRootFromParent_Done,
     /* 677691 */   // Label 8775: @677691
     /* 677691 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(677750), // Rule ID 5933 //
     /* 677696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677700 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 677704 */     // MIs[0] offset
     /* 677704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677707 */     // MIs[0] auxiliary
     /* 677707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677710 */     // MIs[0] Operand 8
     /* 677710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677720 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_IDXEN_RTN),
     /* 677723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 677725 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677727 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 677729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677736 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 677744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677748 */     GIR_RootConstrainSelectedInstOperands,
     /* 677749 */     // GIR_Coverage, 5933,
     /* 677749 */     GIR_EraseRootFromParent_Done,
     /* 677750 */   // Label 8776: @677750
     /* 677750 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(677846), // Rule ID 5931 //
     /* 677755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677758 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677760 */     // MIs[0] offset
     /* 677760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677763 */     // MIs[0] auxiliary
     /* 677763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677766 */     // MIs[0] Operand 8
     /* 677766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677776 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 677779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 677783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 677788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 677792 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 677795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 677799 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 677802 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 677807 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 677812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 677817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_BOTHEN),
     /* 677820 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 677825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677832 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677834 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677844 */     GIR_RootConstrainSelectedInstOperands,
     /* 677845 */     // GIR_Coverage, 5931,
     /* 677845 */     GIR_EraseRootFromParent_Done,
     /* 677846 */   // Label 8777: @677846
     /* 677846 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(677939), // Rule ID 5939 //
     /* 677851 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 677853 */     // MIs[0] offset
     /* 677853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677856 */     // MIs[0] auxiliary
     /* 677856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677859 */     // MIs[0] Operand 8
     /* 677859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677869 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 677872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 677876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 677881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 677885 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 677888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 677892 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 677895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 677900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 677905 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 677910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_BOTHEN),
     /* 677913 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 677915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 677918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 677920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 677925 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 677927 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 677933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 677937 */     GIR_RootConstrainSelectedInstOperands,
     /* 677938 */     // GIR_Coverage, 5939,
     /* 677938 */     GIR_EraseRootFromParent_Done,
     /* 677939 */   // Label 8778: @677939
     /* 677939 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(678039), // Rule ID 5927 //
     /* 677944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 677947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 677951 */     // MIs[0] offset
     /* 677951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 677954 */     // MIs[0] auxiliary
     /* 677954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 677957 */     // MIs[0] Operand 8
     /* 677957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 677960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 677967 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 677967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 677970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 677974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 677979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 677983 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 677986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 677990 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 677993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 677998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678003 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_BOTHEN_RTN),
     /* 678011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678013 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 678018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678025 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678037 */     GIR_RootConstrainSelectedInstOperands,
     /* 678038 */     // GIR_Coverage, 5927,
     /* 678038 */     GIR_EraseRootFromParent_Done,
     /* 678039 */   // Label 8779: @678039
     /* 678039 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(678136), // Rule ID 5935 //
     /* 678044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 678048 */     // MIs[0] offset
     /* 678048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678051 */     // MIs[0] auxiliary
     /* 678051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678054 */     // MIs[0] Operand 8
     /* 678054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678064 */     // (SIbuffer_atomic_sub:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 678067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 678071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 678076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 678080 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 678083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 678087 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 678090 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 678095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_VBUFFER_BOTHEN_RTN),
     /* 678108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678110 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 678115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678122 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678124 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678134 */     GIR_RootConstrainSelectedInstOperands,
     /* 678135 */     // GIR_Coverage, 5935,
     /* 678135 */     GIR_EraseRootFromParent_Done,
     /* 678136 */   // Label 8780: @678136
     /* 678136 */   GIM_Reject,
     /* 678137 */ // Label 8764: @678137
     /* 678137 */ GIM_Reject,
     /* 678138 */ // Label 8762: @678138
     /* 678138 */ GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(679319),
     /* 678143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 678146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 678149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 678152 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 678155 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 678158 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(678226), // Rule ID 6128 //
     /* 678163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678166 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678176 */     // MIs[0] offset
     /* 678176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678179 */     // MIs[0] auxiliary
     /* 678179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678182 */     // MIs[0] Operand 8
     /* 678182 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678200 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFSET),
     /* 678203 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678212 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678214 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678224 */     GIR_RootConstrainSelectedInstOperands,
     /* 678225 */     // GIR_Coverage, 6128,
     /* 678225 */     GIR_EraseRootFromParent_Done,
     /* 678226 */   // Label 8782: @678226
     /* 678226 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(678291), // Rule ID 6136 //
     /* 678231 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678233 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678237 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678241 */     // MIs[0] offset
     /* 678241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678244 */     // MIs[0] auxiliary
     /* 678244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678247 */     // MIs[0] Operand 8
     /* 678247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678265 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET),
     /* 678268 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678277 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678279 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678289 */     GIR_RootConstrainSelectedInstOperands,
     /* 678290 */     // GIR_Coverage, 6136,
     /* 678290 */     GIR_EraseRootFromParent_Done,
     /* 678291 */   // Label 8783: @678291
     /* 678291 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(678363), // Rule ID 6124 //
     /* 678296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678311 */     // MIs[0] offset
     /* 678311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678314 */     // MIs[0] auxiliary
     /* 678314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678317 */     // MIs[0] Operand 8
     /* 678317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678335 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFSET_RTN),
     /* 678338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678340 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678349 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678351 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678361 */     GIR_RootConstrainSelectedInstOperands,
     /* 678362 */     // GIR_Coverage, 6124,
     /* 678362 */     GIR_EraseRootFromParent_Done,
     /* 678363 */   // Label 8784: @678363
     /* 678363 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(678432), // Rule ID 6132 //
     /* 678368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678376 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678380 */     // MIs[0] offset
     /* 678380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678383 */     // MIs[0] auxiliary
     /* 678383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678386 */     // MIs[0] Operand 8
     /* 678386 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678404 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFSET_RTN),
     /* 678407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678409 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678418 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678420 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678430 */     GIR_RootConstrainSelectedInstOperands,
     /* 678431 */     // GIR_Coverage, 6132,
     /* 678431 */     GIR_EraseRootFromParent_Done,
     /* 678432 */   // Label 8785: @678432
     /* 678432 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(678498), // Rule ID 6130 //
     /* 678437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678440 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678446 */     // MIs[0] offset
     /* 678446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678449 */     // MIs[0] auxiliary
     /* 678449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678452 */     // MIs[0] Operand 8
     /* 678452 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678470 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFEN),
     /* 678473 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678475 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 678477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678484 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678486 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678496 */     GIR_RootConstrainSelectedInstOperands,
     /* 678497 */     // GIR_Coverage, 6130,
     /* 678497 */     GIR_EraseRootFromParent_Done,
     /* 678498 */   // Label 8786: @678498
     /* 678498 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(678561), // Rule ID 6138 //
     /* 678503 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678505 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678509 */     // MIs[0] offset
     /* 678509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678512 */     // MIs[0] auxiliary
     /* 678512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678515 */     // MIs[0] Operand 8
     /* 678515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678533 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFEN),
     /* 678536 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678538 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 678540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678547 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678549 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678559 */     GIR_RootConstrainSelectedInstOperands,
     /* 678560 */     // GIR_Coverage, 6138,
     /* 678560 */     GIR_EraseRootFromParent_Done,
     /* 678561 */   // Label 8787: @678561
     /* 678561 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(678631), // Rule ID 6126 //
     /* 678566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678573 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678577 */     // MIs[0] offset
     /* 678577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678580 */     // MIs[0] auxiliary
     /* 678580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678583 */     // MIs[0] Operand 8
     /* 678583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678601 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_OFFEN_RTN),
     /* 678604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678606 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678608 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 678610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678617 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678619 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678629 */     GIR_RootConstrainSelectedInstOperands,
     /* 678630 */     // GIR_Coverage, 6126,
     /* 678630 */     GIR_EraseRootFromParent_Done,
     /* 678631 */   // Label 8788: @678631
     /* 678631 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(678698), // Rule ID 6134 //
     /* 678636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 678644 */     // MIs[0] offset
     /* 678644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678647 */     // MIs[0] auxiliary
     /* 678647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678650 */     // MIs[0] Operand 8
     /* 678650 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 678661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678668 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_OFFEN_RTN),
     /* 678671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678673 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678675 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 678677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678684 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678686 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678696 */     GIR_RootConstrainSelectedInstOperands,
     /* 678697 */     // GIR_Coverage, 6134,
     /* 678697 */     GIR_EraseRootFromParent_Done,
     /* 678698 */   // Label 8789: @678698
     /* 678698 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(678756), // Rule ID 6129 //
     /* 678703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678706 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678712 */     // MIs[0] offset
     /* 678712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678715 */     // MIs[0] auxiliary
     /* 678715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678718 */     // MIs[0] Operand 8
     /* 678718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678728 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_IDXEN),
     /* 678731 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678733 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 678735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678742 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678754 */     GIR_RootConstrainSelectedInstOperands,
     /* 678755 */     // GIR_Coverage, 6129,
     /* 678755 */     GIR_EraseRootFromParent_Done,
     /* 678756 */   // Label 8790: @678756
     /* 678756 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(678811), // Rule ID 6137 //
     /* 678761 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678767 */     // MIs[0] offset
     /* 678767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678770 */     // MIs[0] auxiliary
     /* 678770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678773 */     // MIs[0] Operand 8
     /* 678773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678783 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_IDXEN),
     /* 678786 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678788 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 678790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678797 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678799 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 678805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678809 */     GIR_RootConstrainSelectedInstOperands,
     /* 678810 */     // GIR_Coverage, 6137,
     /* 678810 */     GIR_EraseRootFromParent_Done,
     /* 678811 */   // Label 8791: @678811
     /* 678811 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(678873), // Rule ID 6125 //
     /* 678816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678823 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678827 */     // MIs[0] offset
     /* 678827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678830 */     // MIs[0] auxiliary
     /* 678830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678833 */     // MIs[0] Operand 8
     /* 678833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678843 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_IDXEN_RTN),
     /* 678846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678848 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678850 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 678852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678859 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678861 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678871 */     GIR_RootConstrainSelectedInstOperands,
     /* 678872 */     // GIR_Coverage, 6125,
     /* 678872 */     GIR_EraseRootFromParent_Done,
     /* 678873 */   // Label 8792: @678873
     /* 678873 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(678932), // Rule ID 6133 //
     /* 678878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 678882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 678886 */     // MIs[0] offset
     /* 678886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678889 */     // MIs[0] auxiliary
     /* 678889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678892 */     // MIs[0] Operand 8
     /* 678892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678902 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_IDXEN_RTN),
     /* 678905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 678907 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 678909 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 678911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 678913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 678918 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 678920 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 678926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 678930 */     GIR_RootConstrainSelectedInstOperands,
     /* 678931 */     // GIR_Coverage, 6133,
     /* 678931 */     GIR_EraseRootFromParent_Done,
     /* 678932 */   // Label 8793: @678932
     /* 678932 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(679028), // Rule ID 6131 //
     /* 678937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 678940 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 678942 */     // MIs[0] offset
     /* 678942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 678945 */     // MIs[0] auxiliary
     /* 678945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 678948 */     // MIs[0] Operand 8
     /* 678948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 678951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 678958 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 678958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 678961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 678965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 678970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 678974 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 678977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 678981 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 678984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 678989 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 678999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_BOTHEN),
     /* 679002 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 679007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679014 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679016 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679026 */     GIR_RootConstrainSelectedInstOperands,
     /* 679027 */     // GIR_Coverage, 6131,
     /* 679027 */     GIR_EraseRootFromParent_Done,
     /* 679028 */   // Label 8794: @679028
     /* 679028 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(679121), // Rule ID 6139 //
     /* 679033 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679035 */     // MIs[0] offset
     /* 679035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679038 */     // MIs[0] auxiliary
     /* 679038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679041 */     // MIs[0] Operand 8
     /* 679041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 679044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679051 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_sub_noret>>  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 679054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 679058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 679063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 679067 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 679070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 679074 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 679077 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 679082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_BOTHEN),
     /* 679095 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 679100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679107 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679109 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679119 */     GIR_RootConstrainSelectedInstOperands,
     /* 679120 */     // GIR_Coverage, 6139,
     /* 679120 */     GIR_EraseRootFromParent_Done,
     /* 679121 */   // Label 8795: @679121
     /* 679121 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(679221), // Rule ID 6127 //
     /* 679126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 679133 */     // MIs[0] offset
     /* 679133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679136 */     // MIs[0] auxiliary
     /* 679136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679139 */     // MIs[0] Operand 8
     /* 679139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 679142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679149 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 679152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 679156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 679161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 679165 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 679168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 679172 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 679175 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 679180 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679185 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_BOTHEN_RTN),
     /* 679193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679195 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 679200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679207 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679209 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679219 */     GIR_RootConstrainSelectedInstOperands,
     /* 679220 */     // GIR_Coverage, 6127,
     /* 679220 */     GIR_EraseRootFromParent_Done,
     /* 679221 */   // Label 8796: @679221
     /* 679221 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(679318), // Rule ID 6135 //
     /* 679226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 679230 */     // MIs[0] offset
     /* 679230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679233 */     // MIs[0] auxiliary
     /* 679233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679236 */     // MIs[0] Operand 8
     /* 679236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 679239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679246 */     // (SIbuffer_atomic_sub:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SUB_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 679249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 679253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 679258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 679262 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 679265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 679269 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 679272 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 679277 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 679287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SUB_X2_VBUFFER_BOTHEN_RTN),
     /* 679290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679292 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 679297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679304 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679306 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679316 */     GIR_RootConstrainSelectedInstOperands,
     /* 679317 */     // GIR_Coverage, 6135,
     /* 679317 */     GIR_EraseRootFromParent_Done,
     /* 679318 */   // Label 8797: @679318
     /* 679318 */   GIM_Reject,
     /* 679319 */ // Label 8781: @679319
     /* 679319 */ GIM_Reject,
     /* 679320 */ // Label 8763: @679320
     /* 679320 */ GIM_Reject,
     /* 679321 */ // Label 123: @679321
     /* 679321 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8800*/ GIMT_Encode4(682864),
     /* 679332 */ /*GILLT_s32*//*Label 8798*/ GIMT_Encode4(679340),
     /* 679336 */ /*GILLT_s64*//*Label 8799*/ GIMT_Encode4(681682),
     /* 679340 */ // Label 8798: @679340
     /* 679340 */ GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(681681),
     /* 679345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 679348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 679351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 679354 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 679357 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 679360 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(679428), // Rule ID 5880 //
     /* 679365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679368 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679378 */     // MIs[0] offset
     /* 679378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679381 */     // MIs[0] auxiliary
     /* 679381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679384 */     // MIs[0] Operand 8
     /* 679384 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679402 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET),
     /* 679405 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679414 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679426 */     GIR_RootConstrainSelectedInstOperands,
     /* 679427 */     // GIR_Coverage, 5880,
     /* 679427 */     GIR_EraseRootFromParent_Done,
     /* 679428 */   // Label 8802: @679428
     /* 679428 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(679493), // Rule ID 5888 //
     /* 679433 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679435 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679443 */     // MIs[0] offset
     /* 679443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679446 */     // MIs[0] auxiliary
     /* 679446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679449 */     // MIs[0] Operand 8
     /* 679449 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679467 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET),
     /* 679470 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679479 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679481 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679491 */     GIR_RootConstrainSelectedInstOperands,
     /* 679492 */     // GIR_Coverage, 5888,
     /* 679492 */     GIR_EraseRootFromParent_Done,
     /* 679493 */   // Label 8803: @679493
     /* 679493 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(679561), // Rule ID 5896 //
     /* 679498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679501 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679511 */     // MIs[0] offset
     /* 679511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679514 */     // MIs[0] auxiliary
     /* 679514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679517 */     // MIs[0] Operand 8
     /* 679517 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679535 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET),
     /* 679538 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679547 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679549 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679559 */     GIR_RootConstrainSelectedInstOperands,
     /* 679560 */     // GIR_Coverage, 5896,
     /* 679560 */     GIR_EraseRootFromParent_Done,
     /* 679561 */   // Label 8804: @679561
     /* 679561 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(679626), // Rule ID 5904 //
     /* 679566 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679576 */     // MIs[0] offset
     /* 679576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679579 */     // MIs[0] auxiliary
     /* 679579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679582 */     // MIs[0] Operand 8
     /* 679582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679600 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET),
     /* 679603 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679612 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679614 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679624 */     GIR_RootConstrainSelectedInstOperands,
     /* 679625 */     // GIR_Coverage, 5904,
     /* 679625 */     GIR_EraseRootFromParent_Done,
     /* 679626 */   // Label 8805: @679626
     /* 679626 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(679698), // Rule ID 5876 //
     /* 679631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 679638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679642 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679646 */     // MIs[0] offset
     /* 679646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679649 */     // MIs[0] auxiliary
     /* 679649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679652 */     // MIs[0] Operand 8
     /* 679652 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679670 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET_RTN),
     /* 679673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679675 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679684 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679686 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679696 */     GIR_RootConstrainSelectedInstOperands,
     /* 679697 */     // GIR_Coverage, 5876,
     /* 679697 */     GIR_EraseRootFromParent_Done,
     /* 679698 */   // Label 8806: @679698
     /* 679698 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(679767), // Rule ID 5884 //
     /* 679703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 679707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679711 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679715 */     // MIs[0] offset
     /* 679715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679718 */     // MIs[0] auxiliary
     /* 679718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679721 */     // MIs[0] Operand 8
     /* 679721 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679739 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN),
     /* 679742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679744 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679753 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679765 */     GIR_RootConstrainSelectedInstOperands,
     /* 679766 */     // GIR_Coverage, 5884,
     /* 679766 */     GIR_EraseRootFromParent_Done,
     /* 679767 */   // Label 8807: @679767
     /* 679767 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(679839), // Rule ID 5892 //
     /* 679772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 679779 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679783 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679787 */     // MIs[0] offset
     /* 679787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679790 */     // MIs[0] auxiliary
     /* 679790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679793 */     // MIs[0] Operand 8
     /* 679793 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679811 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFSET_RTN),
     /* 679814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679816 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679825 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679827 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679837 */     GIR_RootConstrainSelectedInstOperands,
     /* 679838 */     // GIR_Coverage, 5892,
     /* 679838 */     GIR_EraseRootFromParent_Done,
     /* 679839 */   // Label 8808: @679839
     /* 679839 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(679908), // Rule ID 5900 //
     /* 679844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 679848 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 679856 */     // MIs[0] offset
     /* 679856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679859 */     // MIs[0] auxiliary
     /* 679859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679862 */     // MIs[0] Operand 8
     /* 679862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679880 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFSET_RTN),
     /* 679883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 679885 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679894 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679896 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 679902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679906 */     GIR_RootConstrainSelectedInstOperands,
     /* 679907 */     // GIR_Coverage, 5900,
     /* 679907 */     GIR_EraseRootFromParent_Done,
     /* 679908 */   // Label 8809: @679908
     /* 679908 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(679974), // Rule ID 5882 //
     /* 679913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 679916 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679922 */     // MIs[0] offset
     /* 679922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679925 */     // MIs[0] auxiliary
     /* 679925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679928 */     // MIs[0] Operand 8
     /* 679928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 679939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 679946 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 679946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFEN),
     /* 679949 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 679951 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 679953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 679955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 679960 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 679962 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 679968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 679972 */     GIR_RootConstrainSelectedInstOperands,
     /* 679973 */     // GIR_Coverage, 5882,
     /* 679973 */     GIR_EraseRootFromParent_Done,
     /* 679974 */   // Label 8810: @679974
     /* 679974 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(680037), // Rule ID 5890 //
     /* 679979 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 679981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 679985 */     // MIs[0] offset
     /* 679985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 679988 */     // MIs[0] auxiliary
     /* 679988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 679991 */     // MIs[0] Operand 8
     /* 679991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680009 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN),
     /* 680012 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680014 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680023 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680025 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680035 */     GIR_RootConstrainSelectedInstOperands,
     /* 680036 */     // GIR_Coverage, 5890,
     /* 680036 */     GIR_EraseRootFromParent_Done,
     /* 680037 */   // Label 8811: @680037
     /* 680037 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(680103), // Rule ID 5898 //
     /* 680042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680045 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680047 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680051 */     // MIs[0] offset
     /* 680051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680054 */     // MIs[0] auxiliary
     /* 680054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680057 */     // MIs[0] Operand 8
     /* 680057 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680075 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFEN),
     /* 680078 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680080 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680089 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680091 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680101 */     GIR_RootConstrainSelectedInstOperands,
     /* 680102 */     // GIR_Coverage, 5898,
     /* 680102 */     GIR_EraseRootFromParent_Done,
     /* 680103 */   // Label 8812: @680103
     /* 680103 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(680166), // Rule ID 5906 //
     /* 680108 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680114 */     // MIs[0] offset
     /* 680114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680117 */     // MIs[0] auxiliary
     /* 680117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680120 */     // MIs[0] Operand 8
     /* 680120 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680138 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN),
     /* 680141 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680143 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680152 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680154 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680164 */     GIR_RootConstrainSelectedInstOperands,
     /* 680165 */     // GIR_Coverage, 5906,
     /* 680165 */     GIR_EraseRootFromParent_Done,
     /* 680166 */   // Label 8813: @680166
     /* 680166 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(680236), // Rule ID 5878 //
     /* 680171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680182 */     // MIs[0] offset
     /* 680182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680185 */     // MIs[0] auxiliary
     /* 680185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680188 */     // MIs[0] Operand 8
     /* 680188 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680206 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFEN_RTN),
     /* 680209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680211 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680213 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680222 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680224 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680234 */     GIR_RootConstrainSelectedInstOperands,
     /* 680235 */     // GIR_Coverage, 5878,
     /* 680235 */     GIR_EraseRootFromParent_Done,
     /* 680236 */   // Label 8814: @680236
     /* 680236 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(680303), // Rule ID 5886 //
     /* 680241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680245 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680249 */     // MIs[0] offset
     /* 680249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680252 */     // MIs[0] auxiliary
     /* 680252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680255 */     // MIs[0] Operand 8
     /* 680255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680273 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN_RTN),
     /* 680276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680278 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680280 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680289 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680291 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680301 */     GIR_RootConstrainSelectedInstOperands,
     /* 680302 */     // GIR_Coverage, 5886,
     /* 680302 */     GIR_EraseRootFromParent_Done,
     /* 680303 */   // Label 8815: @680303
     /* 680303 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(680373), // Rule ID 5894 //
     /* 680308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680319 */     // MIs[0] offset
     /* 680319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680322 */     // MIs[0] auxiliary
     /* 680322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680325 */     // MIs[0] Operand 8
     /* 680325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680343 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_OFFEN_RTN),
     /* 680346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680348 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680350 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680359 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680361 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680371 */     GIR_RootConstrainSelectedInstOperands,
     /* 680372 */     // GIR_Coverage, 5894,
     /* 680372 */     GIR_EraseRootFromParent_Done,
     /* 680373 */   // Label 8816: @680373
     /* 680373 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(680440), // Rule ID 5902 //
     /* 680378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680382 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 680386 */     // MIs[0] offset
     /* 680386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680389 */     // MIs[0] auxiliary
     /* 680389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680392 */     // MIs[0] Operand 8
     /* 680392 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 680403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680410 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_OFFEN_RTN),
     /* 680413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680415 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680417 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 680419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680426 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680428 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680438 */     GIR_RootConstrainSelectedInstOperands,
     /* 680439 */     // GIR_Coverage, 5902,
     /* 680439 */     GIR_EraseRootFromParent_Done,
     /* 680440 */   // Label 8817: @680440
     /* 680440 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(680498), // Rule ID 5881 //
     /* 680445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680448 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680450 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680454 */     // MIs[0] offset
     /* 680454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680457 */     // MIs[0] auxiliary
     /* 680457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680460 */     // MIs[0] Operand 8
     /* 680460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680470 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_IDXEN),
     /* 680473 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680475 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680484 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680486 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680496 */     GIR_RootConstrainSelectedInstOperands,
     /* 680497 */     // GIR_Coverage, 5881,
     /* 680497 */     GIR_EraseRootFromParent_Done,
     /* 680498 */   // Label 8818: @680498
     /* 680498 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(680553), // Rule ID 5889 //
     /* 680503 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680505 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680509 */     // MIs[0] offset
     /* 680509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680512 */     // MIs[0] auxiliary
     /* 680512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680515 */     // MIs[0] Operand 8
     /* 680515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680525 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN),
     /* 680528 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680530 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680539 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680541 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680551 */     GIR_RootConstrainSelectedInstOperands,
     /* 680552 */     // GIR_Coverage, 5889,
     /* 680552 */     GIR_EraseRootFromParent_Done,
     /* 680553 */   // Label 8819: @680553
     /* 680553 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(680611), // Rule ID 5897 //
     /* 680558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680561 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680567 */     // MIs[0] offset
     /* 680567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680570 */     // MIs[0] auxiliary
     /* 680570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680573 */     // MIs[0] Operand 8
     /* 680573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680583 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_IDXEN),
     /* 680586 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680588 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680597 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680599 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680609 */     GIR_RootConstrainSelectedInstOperands,
     /* 680610 */     // GIR_Coverage, 5897,
     /* 680610 */     GIR_EraseRootFromParent_Done,
     /* 680611 */   // Label 8820: @680611
     /* 680611 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(680666), // Rule ID 5905 //
     /* 680616 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680618 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680622 */     // MIs[0] offset
     /* 680622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680625 */     // MIs[0] auxiliary
     /* 680625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680628 */     // MIs[0] Operand 8
     /* 680628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680638 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN),
     /* 680641 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680643 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680652 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680654 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680664 */     GIR_RootConstrainSelectedInstOperands,
     /* 680665 */     // GIR_Coverage, 5905,
     /* 680665 */     GIR_EraseRootFromParent_Done,
     /* 680666 */   // Label 8821: @680666
     /* 680666 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(680728), // Rule ID 5877 //
     /* 680671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680682 */     // MIs[0] offset
     /* 680682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680685 */     // MIs[0] auxiliary
     /* 680685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680688 */     // MIs[0] Operand 8
     /* 680688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680698 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_IDXEN_RTN),
     /* 680701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680703 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680705 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680714 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680716 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680726 */     GIR_RootConstrainSelectedInstOperands,
     /* 680727 */     // GIR_Coverage, 5877,
     /* 680727 */     GIR_EraseRootFromParent_Done,
     /* 680728 */   // Label 8822: @680728
     /* 680728 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(680787), // Rule ID 5885 //
     /* 680733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680741 */     // MIs[0] offset
     /* 680741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680744 */     // MIs[0] auxiliary
     /* 680744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680747 */     // MIs[0] Operand 8
     /* 680747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680757 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN_RTN),
     /* 680760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680762 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680764 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680773 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680775 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680785 */     GIR_RootConstrainSelectedInstOperands,
     /* 680786 */     // GIR_Coverage, 5885,
     /* 680786 */     GIR_EraseRootFromParent_Done,
     /* 680787 */   // Label 8823: @680787
     /* 680787 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(680849), // Rule ID 5893 //
     /* 680792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680803 */     // MIs[0] offset
     /* 680803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680806 */     // MIs[0] auxiliary
     /* 680806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680809 */     // MIs[0] Operand 8
     /* 680809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680819 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_IDXEN_RTN),
     /* 680822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680824 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680826 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680835 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680837 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680847 */     GIR_RootConstrainSelectedInstOperands,
     /* 680848 */     // GIR_Coverage, 5893,
     /* 680848 */     GIR_EraseRootFromParent_Done,
     /* 680849 */   // Label 8824: @680849
     /* 680849 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(680908), // Rule ID 5901 //
     /* 680854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 680858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 680862 */     // MIs[0] offset
     /* 680862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680865 */     // MIs[0] auxiliary
     /* 680865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680868 */     // MIs[0] Operand 8
     /* 680868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680878 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_IDXEN_RTN),
     /* 680881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 680883 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680885 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 680887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680894 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680896 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 680902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 680906 */     GIR_RootConstrainSelectedInstOperands,
     /* 680907 */     // GIR_Coverage, 5901,
     /* 680907 */     GIR_EraseRootFromParent_Done,
     /* 680908 */   // Label 8825: @680908
     /* 680908 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(681004), // Rule ID 5883 //
     /* 680913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 680916 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 680918 */     // MIs[0] offset
     /* 680918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 680921 */     // MIs[0] auxiliary
     /* 680921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 680924 */     // MIs[0] Operand 8
     /* 680924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 680927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 680934 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 680934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 680937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 680941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 680946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 680950 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 680953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 680957 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 680960 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 680965 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 680970 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 680975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_BOTHEN),
     /* 680978 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 680980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 680983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 680985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 680990 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 680992 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 680998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681002 */     GIR_RootConstrainSelectedInstOperands,
     /* 681003 */     // GIR_Coverage, 5883,
     /* 681003 */     GIR_EraseRootFromParent_Done,
     /* 681004 */   // Label 8826: @681004
     /* 681004 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(681097), // Rule ID 5891 //
     /* 681009 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681011 */     // MIs[0] offset
     /* 681011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681014 */     // MIs[0] auxiliary
     /* 681014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681017 */     // MIs[0] Operand 8
     /* 681017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681027 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681043 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681046 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681050 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681058 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681063 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN),
     /* 681071 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681083 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 681091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681095 */     GIR_RootConstrainSelectedInstOperands,
     /* 681096 */     // GIR_Coverage, 5891,
     /* 681096 */     GIR_EraseRootFromParent_Done,
     /* 681097 */   // Label 8827: @681097
     /* 681097 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(681193), // Rule ID 5899 //
     /* 681102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681105 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681107 */     // MIs[0] offset
     /* 681107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681110 */     // MIs[0] auxiliary
     /* 681110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681113 */     // MIs[0] Operand 8
     /* 681113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681123 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681139 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681146 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681149 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681154 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681159 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_BOTHEN),
     /* 681167 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681179 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681181 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 681187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681191 */     GIR_RootConstrainSelectedInstOperands,
     /* 681192 */     // GIR_Coverage, 5899,
     /* 681192 */     GIR_EraseRootFromParent_Done,
     /* 681193 */   // Label 8828: @681193
     /* 681193 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(681286), // Rule ID 5907 //
     /* 681198 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681200 */     // MIs[0] offset
     /* 681200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681203 */     // MIs[0] auxiliary
     /* 681203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681206 */     // MIs[0] Operand 8
     /* 681206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681216 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681232 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681239 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681242 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681247 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN),
     /* 681260 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681272 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681274 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 681280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681284 */     GIR_RootConstrainSelectedInstOperands,
     /* 681285 */     // GIR_Coverage, 5907,
     /* 681285 */     GIR_EraseRootFromParent_Done,
     /* 681286 */   // Label 8829: @681286
     /* 681286 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(681386), // Rule ID 5879 //
     /* 681291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 681298 */     // MIs[0] offset
     /* 681298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681301 */     // MIs[0] auxiliary
     /* 681301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681304 */     // MIs[0] Operand 8
     /* 681304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681314 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681330 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681337 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681340 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681345 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_BOTHEN_RTN),
     /* 681358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681360 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681372 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681384 */     GIR_RootConstrainSelectedInstOperands,
     /* 681385 */     // GIR_Coverage, 5879,
     /* 681385 */     GIR_EraseRootFromParent_Done,
     /* 681386 */   // Label 8830: @681386
     /* 681386 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(681483), // Rule ID 5887 //
     /* 681391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 681395 */     // MIs[0] offset
     /* 681395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681398 */     // MIs[0] auxiliary
     /* 681398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681401 */     // MIs[0] Operand 8
     /* 681401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681411 */     // (SIbuffer_atomic_swap:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681427 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681434 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681437 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681442 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN_RTN),
     /* 681455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681457 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681469 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681471 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681481 */     GIR_RootConstrainSelectedInstOperands,
     /* 681482 */     // GIR_Coverage, 5887,
     /* 681482 */     GIR_EraseRootFromParent_Done,
     /* 681483 */   // Label 8831: @681483
     /* 681483 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(681583), // Rule ID 5895 //
     /* 681488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 681495 */     // MIs[0] offset
     /* 681495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681498 */     // MIs[0] auxiliary
     /* 681498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681501 */     // MIs[0] Operand 8
     /* 681501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681511 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681527 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681534 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_BOTHEN_RTN),
     /* 681555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681557 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681569 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681571 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681581 */     GIR_RootConstrainSelectedInstOperands,
     /* 681582 */     // GIR_Coverage, 5895,
     /* 681582 */     GIR_EraseRootFromParent_Done,
     /* 681583 */   // Label 8832: @681583
     /* 681583 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(681680), // Rule ID 5903 //
     /* 681588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 681592 */     // MIs[0] offset
     /* 681592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681595 */     // MIs[0] auxiliary
     /* 681595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681598 */     // MIs[0] Operand 8
     /* 681598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 681601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681608 */     // (SIbuffer_atomic_swap:{ *:[f32] } f32:{ *:[f32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN_RTN:{ *:[f32] } anonymous_9775:{ *:[f32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 681611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 681615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 681620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 681624 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 681627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 681631 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 681634 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 681639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 681649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_VBUFFER_BOTHEN_RTN),
     /* 681652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681654 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 681659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681666 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681668 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681678 */     GIR_RootConstrainSelectedInstOperands,
     /* 681679 */     // GIR_Coverage, 5903,
     /* 681679 */     GIR_EraseRootFromParent_Done,
     /* 681680 */   // Label 8833: @681680
     /* 681680 */   GIM_Reject,
     /* 681681 */ // Label 8801: @681681
     /* 681681 */ GIM_Reject,
     /* 681682 */ // Label 8799: @681682
     /* 681682 */ GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(682863),
     /* 681687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 681690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 681693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 681696 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 681699 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 681702 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(681770), // Rule ID 6096 //
     /* 681707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681710 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 681716 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 681720 */     // MIs[0] offset
     /* 681720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681723 */     // MIs[0] auxiliary
     /* 681723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681726 */     // MIs[0] Operand 8
     /* 681726 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 681737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681744 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFSET),
     /* 681747 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681756 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681758 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 681764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681768 */     GIR_RootConstrainSelectedInstOperands,
     /* 681769 */     // GIR_Coverage, 6096,
     /* 681769 */     GIR_EraseRootFromParent_Done,
     /* 681770 */   // Label 8835: @681770
     /* 681770 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(681835), // Rule ID 6104 //
     /* 681775 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 681781 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 681785 */     // MIs[0] offset
     /* 681785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681788 */     // MIs[0] auxiliary
     /* 681788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681791 */     // MIs[0] Operand 8
     /* 681791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 681802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681809 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET),
     /* 681812 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681821 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681823 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 681829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681833 */     GIR_RootConstrainSelectedInstOperands,
     /* 681834 */     // GIR_Coverage, 6104,
     /* 681834 */     GIR_EraseRootFromParent_Done,
     /* 681835 */   // Label 8836: @681835
     /* 681835 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(681907), // Rule ID 6092 //
     /* 681840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 681847 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 681851 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 681855 */     // MIs[0] offset
     /* 681855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681858 */     // MIs[0] auxiliary
     /* 681858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681861 */     // MIs[0] Operand 8
     /* 681861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 681872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681879 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFSET_RTN),
     /* 681882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681884 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681893 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681895 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681905 */     GIR_RootConstrainSelectedInstOperands,
     /* 681906 */     // GIR_Coverage, 6092,
     /* 681906 */     GIR_EraseRootFromParent_Done,
     /* 681907 */   // Label 8837: @681907
     /* 681907 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(681976), // Rule ID 6100 //
     /* 681912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 681916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 681920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 681924 */     // MIs[0] offset
     /* 681924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681927 */     // MIs[0] auxiliary
     /* 681927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681930 */     // MIs[0] Operand 8
     /* 681930 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 681941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 681948 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 681948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFSET_RTN),
     /* 681951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 681953 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 681955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 681957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 681962 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 681964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 681970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 681974 */     GIR_RootConstrainSelectedInstOperands,
     /* 681975 */     // GIR_Coverage, 6100,
     /* 681975 */     GIR_EraseRootFromParent_Done,
     /* 681976 */   // Label 8838: @681976
     /* 681976 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(682042), // Rule ID 6098 //
     /* 681981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 681984 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 681986 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 681990 */     // MIs[0] offset
     /* 681990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 681993 */     // MIs[0] auxiliary
     /* 681993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 681996 */     // MIs[0] Operand 8
     /* 681996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 682007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682014 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFEN),
     /* 682017 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682019 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 682021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682028 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682030 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682040 */     GIR_RootConstrainSelectedInstOperands,
     /* 682041 */     // GIR_Coverage, 6098,
     /* 682041 */     GIR_EraseRootFromParent_Done,
     /* 682042 */   // Label 8839: @682042
     /* 682042 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(682105), // Rule ID 6106 //
     /* 682047 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 682053 */     // MIs[0] offset
     /* 682053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682056 */     // MIs[0] auxiliary
     /* 682056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682059 */     // MIs[0] Operand 8
     /* 682059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 682070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682077 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFEN),
     /* 682080 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682082 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 682084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682091 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682093 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682103 */     GIR_RootConstrainSelectedInstOperands,
     /* 682104 */     // GIR_Coverage, 6106,
     /* 682104 */     GIR_EraseRootFromParent_Done,
     /* 682105 */   // Label 8840: @682105
     /* 682105 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(682175), // Rule ID 6094 //
     /* 682110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682117 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 682121 */     // MIs[0] offset
     /* 682121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682124 */     // MIs[0] auxiliary
     /* 682124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682127 */     // MIs[0] Operand 8
     /* 682127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 682138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682145 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_OFFEN_RTN),
     /* 682148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682150 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682152 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 682154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682161 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682163 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682173 */     GIR_RootConstrainSelectedInstOperands,
     /* 682174 */     // GIR_Coverage, 6094,
     /* 682174 */     GIR_EraseRootFromParent_Done,
     /* 682175 */   // Label 8841: @682175
     /* 682175 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(682242), // Rule ID 6102 //
     /* 682180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682184 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 682188 */     // MIs[0] offset
     /* 682188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682191 */     // MIs[0] auxiliary
     /* 682191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682194 */     // MIs[0] Operand 8
     /* 682194 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 682205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682212 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_OFFEN_RTN),
     /* 682215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682217 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682219 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 682221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682228 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682230 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682240 */     GIR_RootConstrainSelectedInstOperands,
     /* 682241 */     // GIR_Coverage, 6102,
     /* 682241 */     GIR_EraseRootFromParent_Done,
     /* 682242 */   // Label 8842: @682242
     /* 682242 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(682300), // Rule ID 6097 //
     /* 682247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682250 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682256 */     // MIs[0] offset
     /* 682256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682259 */     // MIs[0] auxiliary
     /* 682259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682262 */     // MIs[0] Operand 8
     /* 682262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682272 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_IDXEN),
     /* 682275 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682277 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 682279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682286 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682288 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682298 */     GIR_RootConstrainSelectedInstOperands,
     /* 682299 */     // GIR_Coverage, 6097,
     /* 682299 */     GIR_EraseRootFromParent_Done,
     /* 682300 */   // Label 8843: @682300
     /* 682300 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(682355), // Rule ID 6105 //
     /* 682305 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682311 */     // MIs[0] offset
     /* 682311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682314 */     // MIs[0] auxiliary
     /* 682314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682317 */     // MIs[0] Operand 8
     /* 682317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682327 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_IDXEN),
     /* 682330 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682332 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 682334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682341 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682343 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682353 */     GIR_RootConstrainSelectedInstOperands,
     /* 682354 */     // GIR_Coverage, 6105,
     /* 682354 */     GIR_EraseRootFromParent_Done,
     /* 682355 */   // Label 8844: @682355
     /* 682355 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(682417), // Rule ID 6093 //
     /* 682360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682367 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682371 */     // MIs[0] offset
     /* 682371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682374 */     // MIs[0] auxiliary
     /* 682374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682377 */     // MIs[0] Operand 8
     /* 682377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682387 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_IDXEN_RTN),
     /* 682390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682392 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682394 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 682396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682403 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682405 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682415 */     GIR_RootConstrainSelectedInstOperands,
     /* 682416 */     // GIR_Coverage, 6093,
     /* 682416 */     GIR_EraseRootFromParent_Done,
     /* 682417 */   // Label 8845: @682417
     /* 682417 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(682476), // Rule ID 6101 //
     /* 682422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682430 */     // MIs[0] offset
     /* 682430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682433 */     // MIs[0] auxiliary
     /* 682433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682436 */     // MIs[0] Operand 8
     /* 682436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682446 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_IDXEN_RTN),
     /* 682449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682451 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682453 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 682455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682462 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682464 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682474 */     GIR_RootConstrainSelectedInstOperands,
     /* 682475 */     // GIR_Coverage, 6101,
     /* 682475 */     GIR_EraseRootFromParent_Done,
     /* 682476 */   // Label 8846: @682476
     /* 682476 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(682572), // Rule ID 6099 //
     /* 682481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682484 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682486 */     // MIs[0] offset
     /* 682486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682489 */     // MIs[0] auxiliary
     /* 682489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682492 */     // MIs[0] Operand 8
     /* 682492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682502 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 682505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 682509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 682514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 682518 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 682521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 682525 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 682528 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 682533 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682538 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_BOTHEN),
     /* 682546 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 682551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682558 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682560 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682570 */     GIR_RootConstrainSelectedInstOperands,
     /* 682571 */     // GIR_Coverage, 6099,
     /* 682571 */     GIR_EraseRootFromParent_Done,
     /* 682572 */   // Label 8847: @682572
     /* 682572 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(682665), // Rule ID 6107 //
     /* 682577 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682579 */     // MIs[0] offset
     /* 682579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682582 */     // MIs[0] auxiliary
     /* 682582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682585 */     // MIs[0] Operand 8
     /* 682585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682595 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_swap_noret>>  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 682598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 682602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 682607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 682611 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 682614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 682618 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 682621 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 682626 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682631 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_BOTHEN),
     /* 682639 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 682644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682651 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682653 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682663 */     GIR_RootConstrainSelectedInstOperands,
     /* 682664 */     // GIR_Coverage, 6107,
     /* 682664 */     GIR_EraseRootFromParent_Done,
     /* 682665 */   // Label 8848: @682665
     /* 682665 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(682765), // Rule ID 6095 //
     /* 682670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682677 */     // MIs[0] offset
     /* 682677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682680 */     // MIs[0] auxiliary
     /* 682680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682683 */     // MIs[0] Operand 8
     /* 682683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682693 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 682696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 682700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 682705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 682709 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 682712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 682716 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 682719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 682724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682729 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_BOTHEN_RTN),
     /* 682737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682739 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 682744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682751 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682753 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682763 */     GIR_RootConstrainSelectedInstOperands,
     /* 682764 */     // GIR_Coverage, 6095,
     /* 682764 */     GIR_EraseRootFromParent_Done,
     /* 682765 */   // Label 8849: @682765
     /* 682765 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(682862), // Rule ID 6103 //
     /* 682770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 682774 */     // MIs[0] offset
     /* 682774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682777 */     // MIs[0] auxiliary
     /* 682777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682780 */     // MIs[0] Operand 8
     /* 682780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 682783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682790 */     // (SIbuffer_atomic_swap:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_SWAP_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 682793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 682797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 682802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 682806 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 682809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 682813 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 682816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 682821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 682831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_SWAP_X2_VBUFFER_BOTHEN_RTN),
     /* 682834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 682836 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 682841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682848 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682850 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 682856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682860 */     GIR_RootConstrainSelectedInstOperands,
     /* 682861 */     // GIR_Coverage, 6103,
     /* 682861 */     GIR_EraseRootFromParent_Done,
     /* 682862 */   // Label 8850: @682862
     /* 682862 */   GIM_Reject,
     /* 682863 */ // Label 8834: @682863
     /* 682863 */ GIM_Reject,
     /* 682864 */ // Label 8800: @682864
     /* 682864 */ GIM_Reject,
     /* 682865 */ // Label 124: @682865
     /* 682865 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8853*/ GIMT_Encode4(685248),
     /* 682876 */ /*GILLT_s32*//*Label 8851*/ GIMT_Encode4(682884),
     /* 682880 */ /*GILLT_s64*//*Label 8852*/ GIMT_Encode4(684066),
     /* 682884 */ // Label 8851: @682884
     /* 682884 */ GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(684065),
     /* 682889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 682892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 682895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 682898 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 682901 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 682904 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(682972), // Rule ID 5992 //
     /* 682909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 682912 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682914 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 682918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682922 */     // MIs[0] offset
     /* 682922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682925 */     // MIs[0] auxiliary
     /* 682925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682928 */     // MIs[0] Operand 8
     /* 682928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 682939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 682946 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 682946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFSET),
     /* 682949 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 682951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 682953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 682958 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 682960 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 682966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 682970 */     GIR_RootConstrainSelectedInstOperands,
     /* 682971 */     // GIR_Coverage, 5992,
     /* 682971 */     GIR_EraseRootFromParent_Done,
     /* 682972 */   // Label 8855: @682972
     /* 682972 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(683037), // Rule ID 6000 //
     /* 682977 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 682979 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 682983 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 682987 */     // MIs[0] offset
     /* 682987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 682990 */     // MIs[0] auxiliary
     /* 682990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 682993 */     // MIs[0] Operand 8
     /* 682993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683011 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET),
     /* 683014 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683023 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683025 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683035 */     GIR_RootConstrainSelectedInstOperands,
     /* 683036 */     // GIR_Coverage, 6000,
     /* 683036 */     GIR_EraseRootFromParent_Done,
     /* 683037 */   // Label 8856: @683037
     /* 683037 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(683109), // Rule ID 5988 //
     /* 683042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683053 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683057 */     // MIs[0] offset
     /* 683057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683060 */     // MIs[0] auxiliary
     /* 683060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683063 */     // MIs[0] Operand 8
     /* 683063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683081 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFSET_RTN),
     /* 683084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683086 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683095 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683097 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683107 */     GIR_RootConstrainSelectedInstOperands,
     /* 683108 */     // GIR_Coverage, 5988,
     /* 683108 */     GIR_EraseRootFromParent_Done,
     /* 683109 */   // Label 8857: @683109
     /* 683109 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(683178), // Rule ID 5996 //
     /* 683114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683126 */     // MIs[0] offset
     /* 683126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683129 */     // MIs[0] auxiliary
     /* 683129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683132 */     // MIs[0] Operand 8
     /* 683132 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683150 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFSET_RTN),
     /* 683153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683155 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683164 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683176 */     GIR_RootConstrainSelectedInstOperands,
     /* 683177 */     // GIR_Coverage, 5996,
     /* 683177 */     GIR_EraseRootFromParent_Done,
     /* 683178 */   // Label 8858: @683178
     /* 683178 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(683244), // Rule ID 5994 //
     /* 683183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683186 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683188 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683192 */     // MIs[0] offset
     /* 683192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683195 */     // MIs[0] auxiliary
     /* 683195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683198 */     // MIs[0] Operand 8
     /* 683198 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683216 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFEN),
     /* 683219 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683221 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 683223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683230 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683232 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683242 */     GIR_RootConstrainSelectedInstOperands,
     /* 683243 */     // GIR_Coverage, 5994,
     /* 683243 */     GIR_EraseRootFromParent_Done,
     /* 683244 */   // Label 8859: @683244
     /* 683244 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(683307), // Rule ID 6002 //
     /* 683249 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683251 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683255 */     // MIs[0] offset
     /* 683255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683258 */     // MIs[0] auxiliary
     /* 683258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683261 */     // MIs[0] Operand 8
     /* 683261 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683279 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFEN),
     /* 683282 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683284 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 683286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683293 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683295 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683305 */     GIR_RootConstrainSelectedInstOperands,
     /* 683306 */     // GIR_Coverage, 6002,
     /* 683306 */     GIR_EraseRootFromParent_Done,
     /* 683307 */   // Label 8860: @683307
     /* 683307 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(683377), // Rule ID 5990 //
     /* 683312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683323 */     // MIs[0] offset
     /* 683323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683326 */     // MIs[0] auxiliary
     /* 683326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683329 */     // MIs[0] Operand 8
     /* 683329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683347 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_OFFEN_RTN),
     /* 683350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683352 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683354 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 683356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683363 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683365 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683375 */     GIR_RootConstrainSelectedInstOperands,
     /* 683376 */     // GIR_Coverage, 5990,
     /* 683376 */     GIR_EraseRootFromParent_Done,
     /* 683377 */   // Label 8861: @683377
     /* 683377 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(683444), // Rule ID 5998 //
     /* 683382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683386 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 683390 */     // MIs[0] offset
     /* 683390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683393 */     // MIs[0] auxiliary
     /* 683393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683396 */     // MIs[0] Operand 8
     /* 683396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 683407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683414 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_OFFEN_RTN),
     /* 683417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683419 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683421 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 683423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683430 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683432 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683442 */     GIR_RootConstrainSelectedInstOperands,
     /* 683443 */     // GIR_Coverage, 5998,
     /* 683443 */     GIR_EraseRootFromParent_Done,
     /* 683444 */   // Label 8862: @683444
     /* 683444 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(683502), // Rule ID 5993 //
     /* 683449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683452 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683458 */     // MIs[0] offset
     /* 683458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683461 */     // MIs[0] auxiliary
     /* 683461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683464 */     // MIs[0] Operand 8
     /* 683464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683474 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_IDXEN),
     /* 683477 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683479 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 683481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683488 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683490 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683500 */     GIR_RootConstrainSelectedInstOperands,
     /* 683501 */     // GIR_Coverage, 5993,
     /* 683501 */     GIR_EraseRootFromParent_Done,
     /* 683502 */   // Label 8863: @683502
     /* 683502 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(683557), // Rule ID 6001 //
     /* 683507 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683513 */     // MIs[0] offset
     /* 683513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683516 */     // MIs[0] auxiliary
     /* 683516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683519 */     // MIs[0] Operand 8
     /* 683519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683529 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_IDXEN),
     /* 683532 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683534 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 683536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683543 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683545 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683555 */     GIR_RootConstrainSelectedInstOperands,
     /* 683556 */     // GIR_Coverage, 6001,
     /* 683556 */     GIR_EraseRootFromParent_Done,
     /* 683557 */   // Label 8864: @683557
     /* 683557 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(683619), // Rule ID 5989 //
     /* 683562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683569 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683573 */     // MIs[0] offset
     /* 683573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683576 */     // MIs[0] auxiliary
     /* 683576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683579 */     // MIs[0] Operand 8
     /* 683579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683589 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_IDXEN_RTN),
     /* 683592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683594 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683596 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 683598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683605 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683607 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683617 */     GIR_RootConstrainSelectedInstOperands,
     /* 683618 */     // GIR_Coverage, 5989,
     /* 683618 */     GIR_EraseRootFromParent_Done,
     /* 683619 */   // Label 8865: @683619
     /* 683619 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(683678), // Rule ID 5997 //
     /* 683624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 683632 */     // MIs[0] offset
     /* 683632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683635 */     // MIs[0] auxiliary
     /* 683635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683638 */     // MIs[0] Operand 8
     /* 683638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683648 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_IDXEN_RTN),
     /* 683651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683653 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683655 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 683657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683664 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683666 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683676 */     GIR_RootConstrainSelectedInstOperands,
     /* 683677 */     // GIR_Coverage, 5997,
     /* 683677 */     GIR_EraseRootFromParent_Done,
     /* 683678 */   // Label 8866: @683678
     /* 683678 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(683774), // Rule ID 5995 //
     /* 683683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683686 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683688 */     // MIs[0] offset
     /* 683688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683691 */     // MIs[0] auxiliary
     /* 683691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683694 */     // MIs[0] Operand 8
     /* 683694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683704 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 683707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 683711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 683716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 683720 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 683723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 683727 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 683730 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 683735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_BOTHEN),
     /* 683748 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 683753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683760 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683762 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683772 */     GIR_RootConstrainSelectedInstOperands,
     /* 683773 */     // GIR_Coverage, 5995,
     /* 683773 */     GIR_EraseRootFromParent_Done,
     /* 683774 */   // Label 8867: @683774
     /* 683774 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(683867), // Rule ID 6003 //
     /* 683779 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 683781 */     // MIs[0] offset
     /* 683781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683784 */     // MIs[0] auxiliary
     /* 683784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683787 */     // MIs[0] Operand 8
     /* 683787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683797 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 683800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 683804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 683809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 683813 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 683816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 683820 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 683823 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 683828 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_BOTHEN),
     /* 683841 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 683846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683853 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683855 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 683861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683865 */     GIR_RootConstrainSelectedInstOperands,
     /* 683866 */     // GIR_Coverage, 6003,
     /* 683866 */     GIR_EraseRootFromParent_Done,
     /* 683867 */   // Label 8868: @683867
     /* 683867 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(683967), // Rule ID 5991 //
     /* 683872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 683875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683879 */     // MIs[0] offset
     /* 683879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683882 */     // MIs[0] auxiliary
     /* 683882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683885 */     // MIs[0] Operand 8
     /* 683885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683895 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 683898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 683902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 683907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 683911 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 683914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 683918 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 683921 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 683926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 683936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_BOTHEN_RTN),
     /* 683939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 683941 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 683943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 683946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 683948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 683953 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 683955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 683961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 683965 */     GIR_RootConstrainSelectedInstOperands,
     /* 683966 */     // GIR_Coverage, 5991,
     /* 683966 */     GIR_EraseRootFromParent_Done,
     /* 683967 */   // Label 8869: @683967
     /* 683967 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(684064), // Rule ID 5999 //
     /* 683972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 683976 */     // MIs[0] offset
     /* 683976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 683979 */     // MIs[0] auxiliary
     /* 683979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 683982 */     // MIs[0] Operand 8
     /* 683982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 683985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 683992 */     // (SIbuffer_atomic_umax:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 683992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 683995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 683999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 684004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 684008 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 684011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 684015 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 684018 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 684023 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 684028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 684033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_VBUFFER_BOTHEN_RTN),
     /* 684036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684038 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 684043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684050 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684062 */     GIR_RootConstrainSelectedInstOperands,
     /* 684063 */     // GIR_Coverage, 5999,
     /* 684063 */     GIR_EraseRootFromParent_Done,
     /* 684064 */   // Label 8870: @684064
     /* 684064 */   GIM_Reject,
     /* 684065 */ // Label 8854: @684065
     /* 684065 */ GIM_Reject,
     /* 684066 */ // Label 8852: @684066
     /* 684066 */ GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(685247),
     /* 684071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 684074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 684077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 684080 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 684083 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 684086 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(684154), // Rule ID 6192 //
     /* 684091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684094 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684104 */     // MIs[0] offset
     /* 684104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684107 */     // MIs[0] auxiliary
     /* 684107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684110 */     // MIs[0] Operand 8
     /* 684110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684128 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFSET),
     /* 684131 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684140 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684142 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684152 */     GIR_RootConstrainSelectedInstOperands,
     /* 684153 */     // GIR_Coverage, 6192,
     /* 684153 */     GIR_EraseRootFromParent_Done,
     /* 684154 */   // Label 8872: @684154
     /* 684154 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(684219), // Rule ID 6200 //
     /* 684159 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684161 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684165 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684169 */     // MIs[0] offset
     /* 684169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684172 */     // MIs[0] auxiliary
     /* 684172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684175 */     // MIs[0] Operand 8
     /* 684175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684193 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET),
     /* 684196 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684205 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684207 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684217 */     GIR_RootConstrainSelectedInstOperands,
     /* 684218 */     // GIR_Coverage, 6200,
     /* 684218 */     GIR_EraseRootFromParent_Done,
     /* 684219 */   // Label 8873: @684219
     /* 684219 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(684291), // Rule ID 6188 //
     /* 684224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684235 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684239 */     // MIs[0] offset
     /* 684239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684242 */     // MIs[0] auxiliary
     /* 684242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684245 */     // MIs[0] Operand 8
     /* 684245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684263 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFSET_RTN),
     /* 684266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684268 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684277 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684279 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684289 */     GIR_RootConstrainSelectedInstOperands,
     /* 684290 */     // GIR_Coverage, 6188,
     /* 684290 */     GIR_EraseRootFromParent_Done,
     /* 684291 */   // Label 8874: @684291
     /* 684291 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(684360), // Rule ID 6196 //
     /* 684296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684308 */     // MIs[0] offset
     /* 684308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684311 */     // MIs[0] auxiliary
     /* 684311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684314 */     // MIs[0] Operand 8
     /* 684314 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684332 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFSET_RTN),
     /* 684335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684337 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684346 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684358 */     GIR_RootConstrainSelectedInstOperands,
     /* 684359 */     // GIR_Coverage, 6196,
     /* 684359 */     GIR_EraseRootFromParent_Done,
     /* 684360 */   // Label 8875: @684360
     /* 684360 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(684426), // Rule ID 6194 //
     /* 684365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684368 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684374 */     // MIs[0] offset
     /* 684374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684377 */     // MIs[0] auxiliary
     /* 684377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684380 */     // MIs[0] Operand 8
     /* 684380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684398 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFEN),
     /* 684401 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684403 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 684405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684412 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684414 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684424 */     GIR_RootConstrainSelectedInstOperands,
     /* 684425 */     // GIR_Coverage, 6194,
     /* 684425 */     GIR_EraseRootFromParent_Done,
     /* 684426 */   // Label 8876: @684426
     /* 684426 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(684489), // Rule ID 6202 //
     /* 684431 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684433 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684437 */     // MIs[0] offset
     /* 684437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684440 */     // MIs[0] auxiliary
     /* 684440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684443 */     // MIs[0] Operand 8
     /* 684443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684461 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFEN),
     /* 684464 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684466 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 684468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684475 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684477 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684487 */     GIR_RootConstrainSelectedInstOperands,
     /* 684488 */     // GIR_Coverage, 6202,
     /* 684488 */     GIR_EraseRootFromParent_Done,
     /* 684489 */   // Label 8877: @684489
     /* 684489 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(684559), // Rule ID 6190 //
     /* 684494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684501 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684505 */     // MIs[0] offset
     /* 684505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684508 */     // MIs[0] auxiliary
     /* 684508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684511 */     // MIs[0] Operand 8
     /* 684511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684529 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_OFFEN_RTN),
     /* 684532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684534 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684536 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 684538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684545 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684547 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684557 */     GIR_RootConstrainSelectedInstOperands,
     /* 684558 */     // GIR_Coverage, 6190,
     /* 684558 */     GIR_EraseRootFromParent_Done,
     /* 684559 */   // Label 8878: @684559
     /* 684559 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(684626), // Rule ID 6198 //
     /* 684564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 684572 */     // MIs[0] offset
     /* 684572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684575 */     // MIs[0] auxiliary
     /* 684575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684578 */     // MIs[0] Operand 8
     /* 684578 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 684589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684596 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_OFFEN_RTN),
     /* 684599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684601 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684603 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 684605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684612 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684614 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684624 */     GIR_RootConstrainSelectedInstOperands,
     /* 684625 */     // GIR_Coverage, 6198,
     /* 684625 */     GIR_EraseRootFromParent_Done,
     /* 684626 */   // Label 8879: @684626
     /* 684626 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(684684), // Rule ID 6193 //
     /* 684631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684634 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684640 */     // MIs[0] offset
     /* 684640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684643 */     // MIs[0] auxiliary
     /* 684643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684646 */     // MIs[0] Operand 8
     /* 684646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684656 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_IDXEN),
     /* 684659 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684661 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 684663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684670 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684682 */     GIR_RootConstrainSelectedInstOperands,
     /* 684683 */     // GIR_Coverage, 6193,
     /* 684683 */     GIR_EraseRootFromParent_Done,
     /* 684684 */   // Label 8880: @684684
     /* 684684 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(684739), // Rule ID 6201 //
     /* 684689 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684691 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684695 */     // MIs[0] offset
     /* 684695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684698 */     // MIs[0] auxiliary
     /* 684698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684701 */     // MIs[0] Operand 8
     /* 684701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684711 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_IDXEN),
     /* 684714 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684716 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 684718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684725 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684727 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684737 */     GIR_RootConstrainSelectedInstOperands,
     /* 684738 */     // GIR_Coverage, 6201,
     /* 684738 */     GIR_EraseRootFromParent_Done,
     /* 684739 */   // Label 8881: @684739
     /* 684739 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(684801), // Rule ID 6189 //
     /* 684744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684755 */     // MIs[0] offset
     /* 684755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684758 */     // MIs[0] auxiliary
     /* 684758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684761 */     // MIs[0] Operand 8
     /* 684761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684771 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_IDXEN_RTN),
     /* 684774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684776 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684778 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 684780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684787 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684789 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684799 */     GIR_RootConstrainSelectedInstOperands,
     /* 684800 */     // GIR_Coverage, 6189,
     /* 684800 */     GIR_EraseRootFromParent_Done,
     /* 684801 */   // Label 8882: @684801
     /* 684801 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(684860), // Rule ID 6197 //
     /* 684806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 684810 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 684814 */     // MIs[0] offset
     /* 684814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684817 */     // MIs[0] auxiliary
     /* 684817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684820 */     // MIs[0] Operand 8
     /* 684820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684830 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_IDXEN_RTN),
     /* 684833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 684835 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684837 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 684839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684846 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684848 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 684854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684858 */     GIR_RootConstrainSelectedInstOperands,
     /* 684859 */     // GIR_Coverage, 6197,
     /* 684859 */     GIR_EraseRootFromParent_Done,
     /* 684860 */   // Label 8883: @684860
     /* 684860 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(684956), // Rule ID 6195 //
     /* 684865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 684868 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684870 */     // MIs[0] offset
     /* 684870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684873 */     // MIs[0] auxiliary
     /* 684873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684876 */     // MIs[0] Operand 8
     /* 684876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684886 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 684889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 684893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 684898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 684902 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 684905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 684909 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 684912 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 684917 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 684922 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 684927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_BOTHEN),
     /* 684930 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 684932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 684935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 684937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 684942 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 684944 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 684950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 684954 */     GIR_RootConstrainSelectedInstOperands,
     /* 684955 */     // GIR_Coverage, 6195,
     /* 684955 */     GIR_EraseRootFromParent_Done,
     /* 684956 */   // Label 8884: @684956
     /* 684956 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(685049), // Rule ID 6203 //
     /* 684961 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 684963 */     // MIs[0] offset
     /* 684963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 684966 */     // MIs[0] auxiliary
     /* 684966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 684969 */     // MIs[0] Operand 8
     /* 684969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 684972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 684979 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umax_noret>>  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 684979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 684982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 684986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 684991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 684995 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 684998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 685002 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 685005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 685010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685015 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_BOTHEN),
     /* 685023 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 685028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685035 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685037 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685047 */     GIR_RootConstrainSelectedInstOperands,
     /* 685048 */     // GIR_Coverage, 6203,
     /* 685048 */     GIR_EraseRootFromParent_Done,
     /* 685049 */   // Label 8885: @685049
     /* 685049 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(685149), // Rule ID 6191 //
     /* 685054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 685061 */     // MIs[0] offset
     /* 685061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685064 */     // MIs[0] auxiliary
     /* 685064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685067 */     // MIs[0] Operand 8
     /* 685067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 685070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685077 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 685080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 685084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 685089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 685093 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 685096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 685100 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 685103 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 685108 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685113 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_BOTHEN_RTN),
     /* 685121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685123 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 685128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685135 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685137 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685147 */     GIR_RootConstrainSelectedInstOperands,
     /* 685148 */     // GIR_Coverage, 6191,
     /* 685148 */     GIR_EraseRootFromParent_Done,
     /* 685149 */   // Label 8886: @685149
     /* 685149 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(685246), // Rule ID 6199 //
     /* 685154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 685158 */     // MIs[0] offset
     /* 685158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685161 */     // MIs[0] auxiliary
     /* 685161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685164 */     // MIs[0] Operand 8
     /* 685164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 685167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685174 */     // (SIbuffer_atomic_umax:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMAX_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 685177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 685181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 685186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 685190 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 685193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 685197 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 685200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 685205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685210 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 685215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMAX_X2_VBUFFER_BOTHEN_RTN),
     /* 685218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685220 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 685225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685232 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685234 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685244 */     GIR_RootConstrainSelectedInstOperands,
     /* 685245 */     // GIR_Coverage, 6199,
     /* 685245 */     GIR_EraseRootFromParent_Done,
     /* 685246 */   // Label 8887: @685246
     /* 685246 */   GIM_Reject,
     /* 685247 */ // Label 8871: @685247
     /* 685247 */ GIM_Reject,
     /* 685248 */ // Label 8853: @685248
     /* 685248 */ GIM_Reject,
     /* 685249 */ // Label 125: @685249
     /* 685249 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8890*/ GIMT_Encode4(687632),
     /* 685260 */ /*GILLT_s32*//*Label 8888*/ GIMT_Encode4(685268),
     /* 685264 */ /*GILLT_s64*//*Label 8889*/ GIMT_Encode4(686450),
     /* 685268 */ // Label 8888: @685268
     /* 685268 */ GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(686449),
     /* 685273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 685276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 685279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 685282 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 685285 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 685288 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(685356), // Rule ID 5960 //
     /* 685293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685296 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685298 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685306 */     // MIs[0] offset
     /* 685306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685309 */     // MIs[0] auxiliary
     /* 685309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685312 */     // MIs[0] Operand 8
     /* 685312 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685330 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFSET),
     /* 685333 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685342 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685344 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685354 */     GIR_RootConstrainSelectedInstOperands,
     /* 685355 */     // GIR_Coverage, 5960,
     /* 685355 */     GIR_EraseRootFromParent_Done,
     /* 685356 */   // Label 8892: @685356
     /* 685356 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(685421), // Rule ID 5968 //
     /* 685361 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685363 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685367 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685371 */     // MIs[0] offset
     /* 685371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685374 */     // MIs[0] auxiliary
     /* 685374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685377 */     // MIs[0] Operand 8
     /* 685377 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685395 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET),
     /* 685398 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685407 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685409 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685419 */     GIR_RootConstrainSelectedInstOperands,
     /* 685420 */     // GIR_Coverage, 5968,
     /* 685420 */     GIR_EraseRootFromParent_Done,
     /* 685421 */   // Label 8893: @685421
     /* 685421 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(685493), // Rule ID 5956 //
     /* 685426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 685433 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685437 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685441 */     // MIs[0] offset
     /* 685441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685444 */     // MIs[0] auxiliary
     /* 685444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685447 */     // MIs[0] Operand 8
     /* 685447 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685465 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFSET_RTN),
     /* 685468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685470 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685479 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685481 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685491 */     GIR_RootConstrainSelectedInstOperands,
     /* 685492 */     // GIR_Coverage, 5956,
     /* 685492 */     GIR_EraseRootFromParent_Done,
     /* 685493 */   // Label 8894: @685493
     /* 685493 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(685562), // Rule ID 5964 //
     /* 685498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 685502 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685510 */     // MIs[0] offset
     /* 685510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685513 */     // MIs[0] auxiliary
     /* 685513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685516 */     // MIs[0] Operand 8
     /* 685516 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685534 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFSET_RTN),
     /* 685537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685539 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685548 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685550 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685560 */     GIR_RootConstrainSelectedInstOperands,
     /* 685561 */     // GIR_Coverage, 5964,
     /* 685561 */     GIR_EraseRootFromParent_Done,
     /* 685562 */   // Label 8895: @685562
     /* 685562 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(685628), // Rule ID 5962 //
     /* 685567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685570 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685576 */     // MIs[0] offset
     /* 685576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685579 */     // MIs[0] auxiliary
     /* 685579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685582 */     // MIs[0] Operand 8
     /* 685582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685600 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFEN),
     /* 685603 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685605 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 685607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685614 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685616 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685626 */     GIR_RootConstrainSelectedInstOperands,
     /* 685627 */     // GIR_Coverage, 5962,
     /* 685627 */     GIR_EraseRootFromParent_Done,
     /* 685628 */   // Label 8896: @685628
     /* 685628 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(685691), // Rule ID 5970 //
     /* 685633 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685635 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685639 */     // MIs[0] offset
     /* 685639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685642 */     // MIs[0] auxiliary
     /* 685642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685645 */     // MIs[0] Operand 8
     /* 685645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685663 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFEN),
     /* 685666 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685668 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 685670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685677 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685679 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685689 */     GIR_RootConstrainSelectedInstOperands,
     /* 685690 */     // GIR_Coverage, 5970,
     /* 685690 */     GIR_EraseRootFromParent_Done,
     /* 685691 */   // Label 8897: @685691
     /* 685691 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(685761), // Rule ID 5958 //
     /* 685696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 685703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685707 */     // MIs[0] offset
     /* 685707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685710 */     // MIs[0] auxiliary
     /* 685710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685713 */     // MIs[0] Operand 8
     /* 685713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685731 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_OFFEN_RTN),
     /* 685734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685736 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685738 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 685740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685747 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685759 */     GIR_RootConstrainSelectedInstOperands,
     /* 685760 */     // GIR_Coverage, 5958,
     /* 685760 */     GIR_EraseRootFromParent_Done,
     /* 685761 */   // Label 8898: @685761
     /* 685761 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(685828), // Rule ID 5966 //
     /* 685766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 685770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 685774 */     // MIs[0] offset
     /* 685774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685777 */     // MIs[0] auxiliary
     /* 685777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685780 */     // MIs[0] Operand 8
     /* 685780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 685791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685798 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_OFFEN_RTN),
     /* 685801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685803 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685805 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 685807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685814 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685816 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685826 */     GIR_RootConstrainSelectedInstOperands,
     /* 685827 */     // GIR_Coverage, 5966,
     /* 685827 */     GIR_EraseRootFromParent_Done,
     /* 685828 */   // Label 8899: @685828
     /* 685828 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(685886), // Rule ID 5961 //
     /* 685833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685836 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685842 */     // MIs[0] offset
     /* 685842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685845 */     // MIs[0] auxiliary
     /* 685845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685848 */     // MIs[0] Operand 8
     /* 685848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 685851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685858 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_IDXEN),
     /* 685861 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685863 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 685865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685872 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685874 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685884 */     GIR_RootConstrainSelectedInstOperands,
     /* 685885 */     // GIR_Coverage, 5961,
     /* 685885 */     GIR_EraseRootFromParent_Done,
     /* 685886 */   // Label 8900: @685886
     /* 685886 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(685941), // Rule ID 5969 //
     /* 685891 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 685893 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685897 */     // MIs[0] offset
     /* 685897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685900 */     // MIs[0] auxiliary
     /* 685900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685903 */     // MIs[0] Operand 8
     /* 685903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 685906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685913 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_IDXEN),
     /* 685916 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685918 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 685920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685927 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 685935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 685939 */     GIR_RootConstrainSelectedInstOperands,
     /* 685940 */     // GIR_Coverage, 5969,
     /* 685940 */     GIR_EraseRootFromParent_Done,
     /* 685941 */   // Label 8901: @685941
     /* 685941 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(686003), // Rule ID 5957 //
     /* 685946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 685949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 685953 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 685957 */     // MIs[0] offset
     /* 685957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 685960 */     // MIs[0] auxiliary
     /* 685960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 685963 */     // MIs[0] Operand 8
     /* 685963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 685966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 685973 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 685973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_IDXEN_RTN),
     /* 685976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 685978 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 685980 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 685982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 685984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 685989 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 685991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 685997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686001 */     GIR_RootConstrainSelectedInstOperands,
     /* 686002 */     // GIR_Coverage, 5957,
     /* 686002 */     GIR_EraseRootFromParent_Done,
     /* 686003 */   // Label 8902: @686003
     /* 686003 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(686062), // Rule ID 5965 //
     /* 686008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 686012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 686016 */     // MIs[0] offset
     /* 686016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686019 */     // MIs[0] auxiliary
     /* 686019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686022 */     // MIs[0] Operand 8
     /* 686022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 686025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686032 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_IDXEN_RTN),
     /* 686035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686037 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686039 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 686041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686048 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686050 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686060 */     GIR_RootConstrainSelectedInstOperands,
     /* 686061 */     // GIR_Coverage, 5965,
     /* 686061 */     GIR_EraseRootFromParent_Done,
     /* 686062 */   // Label 8903: @686062
     /* 686062 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(686158), // Rule ID 5963 //
     /* 686067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686070 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686072 */     // MIs[0] offset
     /* 686072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686075 */     // MIs[0] auxiliary
     /* 686075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686078 */     // MIs[0] Operand 8
     /* 686078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 686081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686088 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 686091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 686095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 686100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 686104 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 686107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 686111 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 686114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 686119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_BOTHEN),
     /* 686132 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 686137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686144 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686146 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686156 */     GIR_RootConstrainSelectedInstOperands,
     /* 686157 */     // GIR_Coverage, 5963,
     /* 686157 */     GIR_EraseRootFromParent_Done,
     /* 686158 */   // Label 8904: @686158
     /* 686158 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(686251), // Rule ID 5971 //
     /* 686163 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686165 */     // MIs[0] offset
     /* 686165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686168 */     // MIs[0] auxiliary
     /* 686168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686171 */     // MIs[0] Operand 8
     /* 686171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 686174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686181 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 686184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 686188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 686193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 686197 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 686200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 686204 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 686207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 686212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_BOTHEN),
     /* 686225 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 686230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686237 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686239 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686249 */     GIR_RootConstrainSelectedInstOperands,
     /* 686250 */     // GIR_Coverage, 5971,
     /* 686250 */     GIR_EraseRootFromParent_Done,
     /* 686251 */   // Label 8905: @686251
     /* 686251 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(686351), // Rule ID 5959 //
     /* 686256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 686263 */     // MIs[0] offset
     /* 686263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686266 */     // MIs[0] auxiliary
     /* 686266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686269 */     // MIs[0] Operand 8
     /* 686269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 686272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686279 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 686282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 686286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 686291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 686295 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 686298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 686302 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 686305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 686310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686315 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_BOTHEN_RTN),
     /* 686323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686325 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 686330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686337 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686339 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686349 */     GIR_RootConstrainSelectedInstOperands,
     /* 686350 */     // GIR_Coverage, 5959,
     /* 686350 */     GIR_EraseRootFromParent_Done,
     /* 686351 */   // Label 8906: @686351
     /* 686351 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(686448), // Rule ID 5967 //
     /* 686356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 686360 */     // MIs[0] offset
     /* 686360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686363 */     // MIs[0] auxiliary
     /* 686363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686366 */     // MIs[0] Operand 8
     /* 686366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 686369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686376 */     // (SIbuffer_atomic_umin:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 686379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 686383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 686388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 686392 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 686395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 686399 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 686402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 686407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 686417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_VBUFFER_BOTHEN_RTN),
     /* 686420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686422 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 686427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686434 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686446 */     GIR_RootConstrainSelectedInstOperands,
     /* 686447 */     // GIR_Coverage, 5967,
     /* 686447 */     GIR_EraseRootFromParent_Done,
     /* 686448 */   // Label 8907: @686448
     /* 686448 */   GIM_Reject,
     /* 686449 */ // Label 8891: @686449
     /* 686449 */ GIM_Reject,
     /* 686450 */ // Label 8889: @686450
     /* 686450 */ GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(687631),
     /* 686455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 686458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 686461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 686464 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 686467 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 686470 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(686538), // Rule ID 6160 //
     /* 686475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686478 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 686488 */     // MIs[0] offset
     /* 686488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686491 */     // MIs[0] auxiliary
     /* 686491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686494 */     // MIs[0] Operand 8
     /* 686494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686512 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFSET),
     /* 686515 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686524 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686536 */     GIR_RootConstrainSelectedInstOperands,
     /* 686537 */     // GIR_Coverage, 6160,
     /* 686537 */     GIR_EraseRootFromParent_Done,
     /* 686538 */   // Label 8909: @686538
     /* 686538 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(686603), // Rule ID 6168 //
     /* 686543 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686549 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 686553 */     // MIs[0] offset
     /* 686553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686556 */     // MIs[0] auxiliary
     /* 686556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686559 */     // MIs[0] Operand 8
     /* 686559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686577 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET),
     /* 686580 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686589 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686591 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686601 */     GIR_RootConstrainSelectedInstOperands,
     /* 686602 */     // GIR_Coverage, 6168,
     /* 686602 */     GIR_EraseRootFromParent_Done,
     /* 686603 */   // Label 8910: @686603
     /* 686603 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(686675), // Rule ID 6156 //
     /* 686608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 686615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686619 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 686623 */     // MIs[0] offset
     /* 686623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686626 */     // MIs[0] auxiliary
     /* 686626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686629 */     // MIs[0] Operand 8
     /* 686629 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686647 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFSET_RTN),
     /* 686650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686652 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686661 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686663 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686673 */     GIR_RootConstrainSelectedInstOperands,
     /* 686674 */     // GIR_Coverage, 6156,
     /* 686674 */     GIR_EraseRootFromParent_Done,
     /* 686675 */   // Label 8911: @686675
     /* 686675 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(686744), // Rule ID 6164 //
     /* 686680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 686684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 686692 */     // MIs[0] offset
     /* 686692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686695 */     // MIs[0] auxiliary
     /* 686695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686698 */     // MIs[0] Operand 8
     /* 686698 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686716 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFSET_RTN),
     /* 686719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686721 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686730 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686732 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686742 */     GIR_RootConstrainSelectedInstOperands,
     /* 686743 */     // GIR_Coverage, 6164,
     /* 686743 */     GIR_EraseRootFromParent_Done,
     /* 686744 */   // Label 8912: @686744
     /* 686744 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(686810), // Rule ID 6162 //
     /* 686749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686752 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686754 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686758 */     // MIs[0] offset
     /* 686758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686761 */     // MIs[0] auxiliary
     /* 686761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686764 */     // MIs[0] Operand 8
     /* 686764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686782 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFEN),
     /* 686785 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686787 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 686789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686796 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686798 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686808 */     GIR_RootConstrainSelectedInstOperands,
     /* 686809 */     // GIR_Coverage, 6162,
     /* 686809 */     GIR_EraseRootFromParent_Done,
     /* 686810 */   // Label 8913: @686810
     /* 686810 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(686873), // Rule ID 6170 //
     /* 686815 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 686817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686821 */     // MIs[0] offset
     /* 686821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686824 */     // MIs[0] auxiliary
     /* 686824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686827 */     // MIs[0] Operand 8
     /* 686827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686845 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFEN),
     /* 686848 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686850 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 686852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686859 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686861 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 686867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686871 */     GIR_RootConstrainSelectedInstOperands,
     /* 686872 */     // GIR_Coverage, 6170,
     /* 686872 */     GIR_EraseRootFromParent_Done,
     /* 686873 */   // Label 8914: @686873
     /* 686873 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(686943), // Rule ID 6158 //
     /* 686878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 686881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 686885 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686889 */     // MIs[0] offset
     /* 686889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686892 */     // MIs[0] auxiliary
     /* 686892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686895 */     // MIs[0] Operand 8
     /* 686895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686913 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_OFFEN_RTN),
     /* 686916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686918 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686920 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 686922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686929 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686931 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 686937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 686941 */     GIR_RootConstrainSelectedInstOperands,
     /* 686942 */     // GIR_Coverage, 6158,
     /* 686942 */     GIR_EraseRootFromParent_Done,
     /* 686943 */   // Label 8915: @686943
     /* 686943 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(687010), // Rule ID 6166 //
     /* 686948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 686952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 686956 */     // MIs[0] offset
     /* 686956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 686959 */     // MIs[0] auxiliary
     /* 686959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 686962 */     // MIs[0] Operand 8
     /* 686962 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 686973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 686980 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 686980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_OFFEN_RTN),
     /* 686983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 686985 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 686987 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 686989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 686991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 686996 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 686998 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687008 */     GIR_RootConstrainSelectedInstOperands,
     /* 687009 */     // GIR_Coverage, 6166,
     /* 687009 */     GIR_EraseRootFromParent_Done,
     /* 687010 */   // Label 8916: @687010
     /* 687010 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(687068), // Rule ID 6161 //
     /* 687015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687018 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687020 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687024 */     // MIs[0] offset
     /* 687024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687027 */     // MIs[0] auxiliary
     /* 687027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687030 */     // MIs[0] Operand 8
     /* 687030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687040 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_IDXEN),
     /* 687043 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687045 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 687047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687054 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687066 */     GIR_RootConstrainSelectedInstOperands,
     /* 687067 */     // GIR_Coverage, 6161,
     /* 687067 */     GIR_EraseRootFromParent_Done,
     /* 687068 */   // Label 8917: @687068
     /* 687068 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(687123), // Rule ID 6169 //
     /* 687073 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687079 */     // MIs[0] offset
     /* 687079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687082 */     // MIs[0] auxiliary
     /* 687082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687085 */     // MIs[0] Operand 8
     /* 687085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687095 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_IDXEN),
     /* 687098 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687100 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 687102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687109 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687111 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687121 */     GIR_RootConstrainSelectedInstOperands,
     /* 687122 */     // GIR_Coverage, 6169,
     /* 687122 */     GIR_EraseRootFromParent_Done,
     /* 687123 */   // Label 8918: @687123
     /* 687123 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(687185), // Rule ID 6157 //
     /* 687128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 687135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687139 */     // MIs[0] offset
     /* 687139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687142 */     // MIs[0] auxiliary
     /* 687142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687145 */     // MIs[0] Operand 8
     /* 687145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687155 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_IDXEN_RTN),
     /* 687158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687160 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687162 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 687164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687171 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687183 */     GIR_RootConstrainSelectedInstOperands,
     /* 687184 */     // GIR_Coverage, 6157,
     /* 687184 */     GIR_EraseRootFromParent_Done,
     /* 687185 */   // Label 8919: @687185
     /* 687185 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(687244), // Rule ID 6165 //
     /* 687190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 687194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687198 */     // MIs[0] offset
     /* 687198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687201 */     // MIs[0] auxiliary
     /* 687201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687204 */     // MIs[0] Operand 8
     /* 687204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687214 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_IDXEN_RTN),
     /* 687217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687219 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687221 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 687223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687230 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687232 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687242 */     GIR_RootConstrainSelectedInstOperands,
     /* 687243 */     // GIR_Coverage, 6165,
     /* 687243 */     GIR_EraseRootFromParent_Done,
     /* 687244 */   // Label 8920: @687244
     /* 687244 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(687340), // Rule ID 6163 //
     /* 687249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687252 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687254 */     // MIs[0] offset
     /* 687254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687257 */     // MIs[0] auxiliary
     /* 687257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687260 */     // MIs[0] Operand 8
     /* 687260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687270 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 687273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 687277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 687282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 687286 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 687289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 687293 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 687296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 687301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_BOTHEN),
     /* 687314 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 687319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687326 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687338 */     GIR_RootConstrainSelectedInstOperands,
     /* 687339 */     // GIR_Coverage, 6163,
     /* 687339 */     GIR_EraseRootFromParent_Done,
     /* 687340 */   // Label 8921: @687340
     /* 687340 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(687433), // Rule ID 6171 //
     /* 687345 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687347 */     // MIs[0] offset
     /* 687347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687350 */     // MIs[0] auxiliary
     /* 687350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687353 */     // MIs[0] Operand 8
     /* 687353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687363 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_umin_noret>>  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 687366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 687370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 687375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 687379 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 687382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 687386 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 687389 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 687394 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687399 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_BOTHEN),
     /* 687407 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 687412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687419 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687421 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687431 */     GIR_RootConstrainSelectedInstOperands,
     /* 687432 */     // GIR_Coverage, 6171,
     /* 687432 */     GIR_EraseRootFromParent_Done,
     /* 687433 */   // Label 8922: @687433
     /* 687433 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(687533), // Rule ID 6159 //
     /* 687438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 687445 */     // MIs[0] offset
     /* 687445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687448 */     // MIs[0] auxiliary
     /* 687448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687451 */     // MIs[0] Operand 8
     /* 687451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687461 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 687464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 687468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 687473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 687477 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 687480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 687484 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 687487 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 687492 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_BOTHEN_RTN),
     /* 687505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687507 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 687512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687519 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687521 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687531 */     GIR_RootConstrainSelectedInstOperands,
     /* 687532 */     // GIR_Coverage, 6159,
     /* 687532 */     GIR_EraseRootFromParent_Done,
     /* 687533 */   // Label 8923: @687533
     /* 687533 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(687630), // Rule ID 6167 //
     /* 687538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 687542 */     // MIs[0] offset
     /* 687542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687545 */     // MIs[0] auxiliary
     /* 687545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687548 */     // MIs[0] Operand 8
     /* 687548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 687551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687558 */     // (SIbuffer_atomic_umin:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_UMIN_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 687561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 687565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 687570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 687574 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 687577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 687581 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 687584 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 687589 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687594 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 687599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_UMIN_X2_VBUFFER_BOTHEN_RTN),
     /* 687602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687604 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 687609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687616 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687618 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687628 */     GIR_RootConstrainSelectedInstOperands,
     /* 687629 */     // GIR_Coverage, 6167,
     /* 687629 */     GIR_EraseRootFromParent_Done,
     /* 687630 */   // Label 8924: @687630
     /* 687630 */   GIM_Reject,
     /* 687631 */ // Label 8908: @687631
     /* 687631 */ GIM_Reject,
     /* 687632 */ // Label 8890: @687632
     /* 687632 */ GIM_Reject,
     /* 687633 */ // Label 126: @687633
     /* 687633 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 8927*/ GIMT_Encode4(690016),
     /* 687644 */ /*GILLT_s32*//*Label 8925*/ GIMT_Encode4(687652),
     /* 687648 */ /*GILLT_s64*//*Label 8926*/ GIMT_Encode4(688834),
     /* 687652 */ // Label 8925: @687652
     /* 687652 */ GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(688833),
     /* 687657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 687660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 687663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 687666 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 687669 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 687672 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(687740), // Rule ID 6040 //
     /* 687677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687680 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 687686 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687690 */     // MIs[0] offset
     /* 687690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687693 */     // MIs[0] auxiliary
     /* 687693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687696 */     // MIs[0] Operand 8
     /* 687696 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 687707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687714 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFSET),
     /* 687717 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687726 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687728 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687738 */     GIR_RootConstrainSelectedInstOperands,
     /* 687739 */     // GIR_Coverage, 6040,
     /* 687739 */     GIR_EraseRootFromParent_Done,
     /* 687740 */   // Label 8929: @687740
     /* 687740 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(687805), // Rule ID 6048 //
     /* 687745 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 687751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687755 */     // MIs[0] offset
     /* 687755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687758 */     // MIs[0] auxiliary
     /* 687758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687761 */     // MIs[0] Operand 8
     /* 687761 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 687772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687779 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFSET anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFSET),
     /* 687782 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687791 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687793 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 687799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687803 */     GIR_RootConstrainSelectedInstOperands,
     /* 687804 */     // GIR_Coverage, 6048,
     /* 687804 */     GIR_EraseRootFromParent_Done,
     /* 687805 */   // Label 8930: @687805
     /* 687805 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(687877), // Rule ID 6036 //
     /* 687810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 687817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 687821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687825 */     // MIs[0] offset
     /* 687825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687828 */     // MIs[0] auxiliary
     /* 687828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687831 */     // MIs[0] Operand 8
     /* 687831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 687842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687849 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFSET_RTN),
     /* 687852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687854 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687863 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687865 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687875 */     GIR_RootConstrainSelectedInstOperands,
     /* 687876 */     // GIR_Coverage, 6036,
     /* 687876 */     GIR_EraseRootFromParent_Done,
     /* 687877 */   // Label 8931: @687877
     /* 687877 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(687946), // Rule ID 6044 //
     /* 687882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 687886 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 687890 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 687894 */     // MIs[0] offset
     /* 687894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687897 */     // MIs[0] auxiliary
     /* 687897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687900 */     // MIs[0] Operand 8
     /* 687900 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 687911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687918 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFSET_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFSET_RTN),
     /* 687921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 687923 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687932 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 687934 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 687940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 687944 */     GIR_RootConstrainSelectedInstOperands,
     /* 687945 */     // GIR_Coverage, 6044,
     /* 687945 */     GIR_EraseRootFromParent_Done,
     /* 687946 */   // Label 8932: @687946
     /* 687946 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(688012), // Rule ID 6042 //
     /* 687951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 687954 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 687956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 687960 */     // MIs[0] offset
     /* 687960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 687963 */     // MIs[0] auxiliary
     /* 687963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 687966 */     // MIs[0] Operand 8
     /* 687966 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 687977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 687984 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 687984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFEN),
     /* 687987 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 687989 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 687991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 687993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 687998 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688000 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688010 */     GIR_RootConstrainSelectedInstOperands,
     /* 688011 */     // GIR_Coverage, 6042,
     /* 688011 */     GIR_EraseRootFromParent_Done,
     /* 688012 */   // Label 8933: @688012
     /* 688012 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(688075), // Rule ID 6050 //
     /* 688017 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 688023 */     // MIs[0] offset
     /* 688023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688026 */     // MIs[0] auxiliary
     /* 688026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688029 */     // MIs[0] Operand 8
     /* 688029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 688040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688047 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFEN),
     /* 688050 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688052 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 688054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688061 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688063 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688073 */     GIR_RootConstrainSelectedInstOperands,
     /* 688074 */     // GIR_Coverage, 6050,
     /* 688074 */     GIR_EraseRootFromParent_Done,
     /* 688075 */   // Label 8934: @688075
     /* 688075 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(688145), // Rule ID 6038 //
     /* 688080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688087 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 688091 */     // MIs[0] offset
     /* 688091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688094 */     // MIs[0] auxiliary
     /* 688094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688097 */     // MIs[0] Operand 8
     /* 688097 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 688108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688115 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_OFFEN_RTN),
     /* 688118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688120 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688122 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 688124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688131 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688133 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688143 */     GIR_RootConstrainSelectedInstOperands,
     /* 688144 */     // GIR_Coverage, 6038,
     /* 688144 */     GIR_EraseRootFromParent_Done,
     /* 688145 */   // Label 8935: @688145
     /* 688145 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(688212), // Rule ID 6046 //
     /* 688150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 688158 */     // MIs[0] offset
     /* 688158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688161 */     // MIs[0] auxiliary
     /* 688161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688164 */     // MIs[0] Operand 8
     /* 688164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 688175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688182 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_VBUFFER_OFFEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_OFFEN_RTN),
     /* 688185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688187 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688189 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 688191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688198 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688200 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688210 */     GIR_RootConstrainSelectedInstOperands,
     /* 688211 */     // GIR_Coverage, 6046,
     /* 688211 */     GIR_EraseRootFromParent_Done,
     /* 688212 */   // Label 8936: @688212
     /* 688212 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(688270), // Rule ID 6041 //
     /* 688217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688220 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688226 */     // MIs[0] offset
     /* 688226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688229 */     // MIs[0] auxiliary
     /* 688229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688232 */     // MIs[0] Operand 8
     /* 688232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688242 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_IDXEN),
     /* 688245 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688247 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 688249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688256 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688258 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688268 */     GIR_RootConstrainSelectedInstOperands,
     /* 688269 */     // GIR_Coverage, 6041,
     /* 688269 */     GIR_EraseRootFromParent_Done,
     /* 688270 */   // Label 8937: @688270
     /* 688270 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(688325), // Rule ID 6049 //
     /* 688275 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688277 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688281 */     // MIs[0] offset
     /* 688281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688284 */     // MIs[0] auxiliary
     /* 688284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688287 */     // MIs[0] Operand 8
     /* 688287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688297 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_IDXEN anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_IDXEN),
     /* 688300 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688302 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 688304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688311 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688313 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688323 */     GIR_RootConstrainSelectedInstOperands,
     /* 688324 */     // GIR_Coverage, 6049,
     /* 688324 */     GIR_EraseRootFromParent_Done,
     /* 688325 */   // Label 8938: @688325
     /* 688325 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(688387), // Rule ID 6037 //
     /* 688330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688341 */     // MIs[0] offset
     /* 688341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688344 */     // MIs[0] auxiliary
     /* 688344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688347 */     // MIs[0] Operand 8
     /* 688347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688357 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_IDXEN_RTN),
     /* 688360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688362 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688364 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 688366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688373 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688385 */     GIR_RootConstrainSelectedInstOperands,
     /* 688386 */     // GIR_Coverage, 6037,
     /* 688386 */     GIR_EraseRootFromParent_Done,
     /* 688387 */   // Label 8939: @688387
     /* 688387 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(688446), // Rule ID 6045 //
     /* 688392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688400 */     // MIs[0] offset
     /* 688400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688403 */     // MIs[0] auxiliary
     /* 688403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688406 */     // MIs[0] Operand 8
     /* 688406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688416 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_VBUFFER_IDXEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_IDXEN_RTN),
     /* 688419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688421 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688423 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 688425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688432 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688434 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688444 */     GIR_RootConstrainSelectedInstOperands,
     /* 688445 */     // GIR_Coverage, 6045,
     /* 688445 */     GIR_EraseRootFromParent_Done,
     /* 688446 */   // Label 8940: @688446
     /* 688446 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(688542), // Rule ID 6043 //
     /* 688451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688454 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688456 */     // MIs[0] offset
     /* 688456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688459 */     // MIs[0] auxiliary
     /* 688459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688462 */     // MIs[0] Operand 8
     /* 688462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688472 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 688475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 688479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 688484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 688488 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 688491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 688495 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 688498 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 688503 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688508 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_BOTHEN),
     /* 688516 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 688521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688528 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688530 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688540 */     GIR_RootConstrainSelectedInstOperands,
     /* 688541 */     // GIR_Coverage, 6043,
     /* 688541 */     GIR_EraseRootFromParent_Done,
     /* 688542 */   // Label 8941: @688542
     /* 688542 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(688635), // Rule ID 6051 //
     /* 688547 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688549 */     // MIs[0] offset
     /* 688549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688552 */     // MIs[0] auxiliary
     /* 688552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688555 */     // MIs[0] Operand 8
     /* 688555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688565 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_VBUFFER_BOTHEN anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 688568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 688572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 688577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 688581 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 688584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 688588 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 688591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 688596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_BOTHEN),
     /* 688609 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 688614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688621 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688623 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688633 */     GIR_RootConstrainSelectedInstOperands,
     /* 688634 */     // GIR_Coverage, 6051,
     /* 688634 */     GIR_EraseRootFromParent_Done,
     /* 688635 */   // Label 8942: @688635
     /* 688635 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(688735), // Rule ID 6039 //
     /* 688640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688647 */     // MIs[0] offset
     /* 688647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688650 */     // MIs[0] auxiliary
     /* 688650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688653 */     // MIs[0] Operand 8
     /* 688653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688663 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 688666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 688670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 688675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 688679 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 688682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 688686 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 688689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 688694 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688699 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_BOTHEN_RTN),
     /* 688707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688709 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 688714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688721 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688733 */     GIR_RootConstrainSelectedInstOperands,
     /* 688734 */     // GIR_Coverage, 6039,
     /* 688734 */     GIR_EraseRootFromParent_Done,
     /* 688735 */   // Label 8943: @688735
     /* 688735 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(688832), // Rule ID 6047 //
     /* 688740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 688744 */     // MIs[0] offset
     /* 688744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688747 */     // MIs[0] auxiliary
     /* 688747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688750 */     // MIs[0] Operand 8
     /* 688750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 688753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688760 */     // (SIbuffer_atomic_xor:{ *:[i32] } i32:{ *:[i32] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_VBUFFER_BOTHEN_RTN:{ *:[i32] } anonymous_9775:{ *:[i32] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 688763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 688767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 688772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 688776 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 688779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 688783 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 688786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 688791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688796 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 688801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_VBUFFER_BOTHEN_RTN),
     /* 688804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 688806 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 688811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688818 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 688826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688830 */     GIR_RootConstrainSelectedInstOperands,
     /* 688831 */     // GIR_Coverage, 6047,
     /* 688831 */     GIR_EraseRootFromParent_Done,
     /* 688832 */   // Label 8944: @688832
     /* 688832 */   GIM_Reject,
     /* 688833 */ // Label 8928: @688833
     /* 688833 */ GIM_Reject,
     /* 688834 */ // Label 8926: @688834
     /* 688834 */ GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(690015),
     /* 688839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 688842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 688845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 688848 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 688851 */   GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 688854 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(688922), // Rule ID 6240 //
     /* 688859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688862 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688864 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 688868 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688872 */     // MIs[0] offset
     /* 688872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688875 */     // MIs[0] auxiliary
     /* 688875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688878 */     // MIs[0] Operand 8
     /* 688878 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 688889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688896 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFSET),
     /* 688899 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688908 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688910 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688920 */     GIR_RootConstrainSelectedInstOperands,
     /* 688921 */     // GIR_Coverage, 6240,
     /* 688921 */     GIR_EraseRootFromParent_Done,
     /* 688922 */   // Label 8946: @688922
     /* 688922 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(688987), // Rule ID 6248 //
     /* 688927 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 688929 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 688933 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 688937 */     // MIs[0] offset
     /* 688937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 688940 */     // MIs[0] auxiliary
     /* 688940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 688943 */     // MIs[0] Operand 8
     /* 688943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 688954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 688961 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 688961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET),
     /* 688964 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 688966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 688968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 688973 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 688975 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 688981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 688985 */     GIR_RootConstrainSelectedInstOperands,
     /* 688986 */     // GIR_Coverage, 6248,
     /* 688986 */     GIR_EraseRootFromParent_Done,
     /* 688987 */   // Label 8947: @688987
     /* 688987 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(689059), // Rule ID 6236 //
     /* 688992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 688995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 688999 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689007 */     // MIs[0] offset
     /* 689007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689010 */     // MIs[0] auxiliary
     /* 689010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689013 */     // MIs[0] Operand 8
     /* 689013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689031 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_X2_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFSET_RTN),
     /* 689034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689036 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689045 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689047 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689057 */     GIR_RootConstrainSelectedInstOperands,
     /* 689058 */     // GIR_Coverage, 6236,
     /* 689058 */     GIR_EraseRootFromParent_Done,
     /* 689059 */   // Label 8948: @689059
     /* 689059 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(689128), // Rule ID 6244 //
     /* 689064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689072 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689076 */     // MIs[0] offset
     /* 689076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689079 */     // MIs[0] auxiliary
     /* 689079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689082 */     // MIs[0] Operand 8
     /* 689082 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689100 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFSET_RTN),
     /* 689103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689105 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689114 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689116 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689126 */     GIR_RootConstrainSelectedInstOperands,
     /* 689127 */     // GIR_Coverage, 6244,
     /* 689127 */     GIR_EraseRootFromParent_Done,
     /* 689128 */   // Label 8949: @689128
     /* 689128 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(689194), // Rule ID 6242 //
     /* 689133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689136 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689138 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689142 */     // MIs[0] offset
     /* 689142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689145 */     // MIs[0] auxiliary
     /* 689145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689148 */     // MIs[0] Operand 8
     /* 689148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689166 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFEN),
     /* 689169 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689171 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 689173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689180 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689182 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689192 */     GIR_RootConstrainSelectedInstOperands,
     /* 689193 */     // GIR_Coverage, 6242,
     /* 689193 */     GIR_EraseRootFromParent_Done,
     /* 689194 */   // Label 8950: @689194
     /* 689194 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(689257), // Rule ID 6250 //
     /* 689199 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689201 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689205 */     // MIs[0] offset
     /* 689205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689208 */     // MIs[0] auxiliary
     /* 689208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689211 */     // MIs[0] Operand 8
     /* 689211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689229 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFEN),
     /* 689232 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689234 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 689236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689243 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689245 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689255 */     GIR_RootConstrainSelectedInstOperands,
     /* 689256 */     // GIR_Coverage, 6250,
     /* 689256 */     GIR_EraseRootFromParent_Done,
     /* 689257 */   // Label 8951: @689257
     /* 689257 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(689327), // Rule ID 6238 //
     /* 689262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689269 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689273 */     // MIs[0] offset
     /* 689273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689276 */     // MIs[0] auxiliary
     /* 689276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689279 */     // MIs[0] Operand 8
     /* 689279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689297 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_X2_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_OFFEN_RTN),
     /* 689300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689302 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689304 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 689306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689313 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689315 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689325 */     GIR_RootConstrainSelectedInstOperands,
     /* 689326 */     // GIR_Coverage, 6238,
     /* 689326 */     GIR_EraseRootFromParent_Done,
     /* 689327 */   // Label 8952: @689327
     /* 689327 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(689394), // Rule ID 6246 //
     /* 689332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 689340 */     // MIs[0] offset
     /* 689340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689343 */     // MIs[0] auxiliary
     /* 689343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689346 */     // MIs[0] Operand 8
     /* 689346 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 689357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689364 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_OFFEN_RTN),
     /* 689367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689369 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689371 */     GIR_RootToRootCopy, /*OpIdx*/4, // voffset
     /* 689373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689380 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689382 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689392 */     GIR_RootConstrainSelectedInstOperands,
     /* 689393 */     // GIR_Coverage, 6246,
     /* 689393 */     GIR_EraseRootFromParent_Done,
     /* 689394 */   // Label 8953: @689394
     /* 689394 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(689452), // Rule ID 6241 //
     /* 689399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689402 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689408 */     // MIs[0] offset
     /* 689408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689411 */     // MIs[0] auxiliary
     /* 689411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689414 */     // MIs[0] Operand 8
     /* 689414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689424 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_IDXEN),
     /* 689427 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689429 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 689431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689438 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689450 */     GIR_RootConstrainSelectedInstOperands,
     /* 689451 */     // GIR_Coverage, 6241,
     /* 689451 */     GIR_EraseRootFromParent_Done,
     /* 689452 */   // Label 8954: @689452
     /* 689452 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(689507), // Rule ID 6249 //
     /* 689457 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689463 */     // MIs[0] offset
     /* 689463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689466 */     // MIs[0] auxiliary
     /* 689466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689469 */     // MIs[0] Operand 8
     /* 689469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689479 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_IDXEN anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_IDXEN),
     /* 689482 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689484 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 689486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689493 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689495 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689505 */     GIR_RootConstrainSelectedInstOperands,
     /* 689506 */     // GIR_Coverage, 6249,
     /* 689506 */     GIR_EraseRootFromParent_Done,
     /* 689507 */   // Label 8955: @689507
     /* 689507 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(689569), // Rule ID 6237 //
     /* 689512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689523 */     // MIs[0] offset
     /* 689523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689526 */     // MIs[0] auxiliary
     /* 689526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689529 */     // MIs[0] Operand 8
     /* 689529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689539 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_X2_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_IDXEN_RTN),
     /* 689542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689544 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689546 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 689548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689555 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689557 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689567 */     GIR_RootConstrainSelectedInstOperands,
     /* 689568 */     // GIR_Coverage, 6237,
     /* 689568 */     GIR_EraseRootFromParent_Done,
     /* 689569 */   // Label 8956: @689569
     /* 689569 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(689628), // Rule ID 6245 //
     /* 689574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 689582 */     // MIs[0] offset
     /* 689582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689585 */     // MIs[0] auxiliary
     /* 689585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689588 */     // MIs[0] Operand 8
     /* 689588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689598 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_IDXEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_IDXEN_RTN),
     /* 689601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689603 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689605 */     GIR_RootToRootCopy, /*OpIdx*/3, // vindex
     /* 689607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689614 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689616 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689626 */     GIR_RootConstrainSelectedInstOperands,
     /* 689627 */     // GIR_Coverage, 6245,
     /* 689627 */     GIR_EraseRootFromParent_Done,
     /* 689628 */   // Label 8957: @689628
     /* 689628 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(689724), // Rule ID 6243 //
     /* 689633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689636 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689638 */     // MIs[0] offset
     /* 689638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689641 */     // MIs[0] auxiliary
     /* 689641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689644 */     // MIs[0] Operand 8
     /* 689644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689654 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 689657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 689661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 689666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 689670 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 689673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 689677 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 689680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 689685 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_BOTHEN),
     /* 689698 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 689703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689710 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689712 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689722 */     GIR_RootConstrainSelectedInstOperands,
     /* 689723 */     // GIR_Coverage, 6243,
     /* 689723 */     GIR_EraseRootFromParent_Done,
     /* 689724 */   // Label 8958: @689724
     /* 689724 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(689817), // Rule ID 6251 //
     /* 689729 */     GIM_CheckHasNoUse, /*MI*/0,
     /* 689731 */     // MIs[0] offset
     /* 689731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689734 */     // MIs[0] auxiliary
     /* 689734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689737 */     // MIs[0] Operand 8
     /* 689737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689747 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_SIbuffer_atomic_xor_noret>>  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_BOTHEN anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 689750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 689754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 689759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 689763 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 689766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 689770 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 689773 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 689778 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689783 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_BOTHEN),
     /* 689791 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 689796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689803 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689805 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 689811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689815 */     GIR_RootConstrainSelectedInstOperands,
     /* 689816 */     // GIR_Coverage, 6251,
     /* 689816 */     GIR_EraseRootFromParent_Done,
     /* 689817 */   // Label 8959: @689817
     /* 689817 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(689917), // Rule ID 6239 //
     /* 689822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 689825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689829 */     // MIs[0] offset
     /* 689829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689832 */     // MIs[0] auxiliary
     /* 689832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689835 */     // MIs[0] Operand 8
     /* 689835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689845 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_X2_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 689848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 689852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 689857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 689861 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 689864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 689868 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 689871 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 689876 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_BOTHEN_RTN),
     /* 689889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689891 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 689896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 689903 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 689905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 689911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 689915 */     GIR_RootConstrainSelectedInstOperands,
     /* 689916 */     // GIR_Coverage, 6239,
     /* 689916 */     GIR_EraseRootFromParent_Done,
     /* 689917 */   // Label 8960: @689917
     /* 689917 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(690014), // Rule ID 6247 //
     /* 689922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 689926 */     // MIs[0] offset
     /* 689926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 689929 */     // MIs[0] auxiliary
     /* 689929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 689932 */     // MIs[0] Operand 8
     /* 689932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 689935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 689942 */     // (SIbuffer_atomic_xor:{ *:[i64] } i64:{ *:[i64] }:$vdata_in, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_ATOMIC_XOR_X2_VBUFFER_BOTHEN_RTN:{ *:[i64] } anonymous_9774:{ *:[i64] }:$vdata_in, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol_set_glc:{ *:[i32] } ?:{ *:[i32] }:$auxiliary))
     /* 689942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 689945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 689949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 689954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // vindex
     /* 689958 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 689961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // voffset
     /* 689965 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 689968 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 689973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 689983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_ATOMIC_XOR_X2_VBUFFER_BOTHEN_RTN),
     /* 689986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 689988 */     GIR_RootToRootCopy, /*OpIdx*/1, // vdata_in
     /* 689990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 689993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rsrc
     /* 689995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690000 */     GIR_RootToRootCopy, /*OpIdx*/6, // offset
     /* 690002 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCpolSetGLC), // auxiliary
     /* 690008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690012 */     GIR_RootConstrainSelectedInstOperands,
     /* 690013 */     // GIR_Coverage, 6247,
     /* 690013 */     GIR_EraseRootFromParent_Done,
     /* 690014 */   // Label 8961: @690014
     /* 690014 */   GIM_Reject,
     /* 690015 */ // Label 8945: @690015
     /* 690015 */ GIM_Reject,
     /* 690016 */ // Label 8927: @690016
     /* 690016 */ GIM_Reject,
     /* 690017 */ // Label 127: @690017
     /* 690017 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(23), /*)*//*default:*//*Label 8978*/ GIMT_Encode4(705388),
     /* 690028 */ /*GILLT_p0s64*//*Label 8962*/ GIMT_Encode4(690120),
     /* 690032 */ /*GILLT_p1s64*//*Label 8963*/ GIMT_Encode4(690739),
     /* 690036 */ /*GILLT_p2s32*//*Label 8964*/ GIMT_Encode4(691358),
     /* 690040 */ /*GILLT_p3s32*//*Label 8965*/ GIMT_Encode4(691977),
     /* 690044 */ /*GILLT_p4s64*//*Label 8966*/ GIMT_Encode4(692596),
     /* 690048 */ /*GILLT_p5s32*//*Label 8967*/ GIMT_Encode4(693215),
     /* 690052 */ /*GILLT_p6s32*//*Label 8968*/ GIMT_Encode4(693834), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 690064 */ /*GILLT_s32*//*Label 8969*/ GIMT_Encode4(694453),
     /* 690068 */ /*GILLT_s64*//*Label 8970*/ GIMT_Encode4(695668),
     /* 690072 */ /*GILLT_v2s16*//*Label 8971*/ GIMT_Encode4(696883),
     /* 690076 */ /*GILLT_v2s32*//*Label 8972*/ GIMT_Encode4(698098),
     /* 690080 */ /*GILLT_v2s64*//*Label 8973*/ GIMT_Encode4(699313),
     /* 690084 */ /*GILLT_v3s32*//*Label 8974*/ GIMT_Encode4(700528), GIMT_Encode4(0),
     /* 690092 */ /*GILLT_v4s16*//*Label 8975*/ GIMT_Encode4(701743),
     /* 690096 */ /*GILLT_v4s32*//*Label 8976*/ GIMT_Encode4(702958), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 690116 */ /*GILLT_v8s16*//*Label 8977*/ GIMT_Encode4(704173),
     /* 690120 */ // Label 8962: @690120
     /* 690120 */ GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(690738),
     /* 690125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 690128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 690131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 690134 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 690137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 690141 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(690213), // Rule ID 5068 //
     /* 690146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690149 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690157 */     // MIs[0] offset
     /* 690157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690160 */     // MIs[0] auxiliary
     /* 690160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690163 */     // MIs[0] Operand 7
     /* 690163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690181 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 690184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690193 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690195 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690201 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690211 */     GIR_RootConstrainSelectedInstOperands,
     /* 690212 */     // GIR_Coverage, 5068,
     /* 690212 */     GIR_EraseRootFromParent_Done,
     /* 690213 */   // Label 8980: @690213
     /* 690213 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(690282), // Rule ID 5072 //
     /* 690218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690226 */     // MIs[0] offset
     /* 690226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690229 */     // MIs[0] auxiliary
     /* 690229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690232 */     // MIs[0] Operand 7
     /* 690232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690250 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 690253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690262 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690270 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690280 */     GIR_RootConstrainSelectedInstOperands,
     /* 690281 */     // GIR_Coverage, 5072,
     /* 690281 */     GIR_EraseRootFromParent_Done,
     /* 690282 */   // Label 8981: @690282
     /* 690282 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(690352), // Rule ID 5069 //
     /* 690287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690294 */     // MIs[0] offset
     /* 690294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690297 */     // MIs[0] auxiliary
     /* 690297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690300 */     // MIs[0] Operand 7
     /* 690300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690318 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 690321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690323 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 690325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690332 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690340 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690350 */     GIR_RootConstrainSelectedInstOperands,
     /* 690351 */     // GIR_Coverage, 5069,
     /* 690351 */     GIR_EraseRootFromParent_Done,
     /* 690352 */   // Label 8982: @690352
     /* 690352 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(690419), // Rule ID 5073 //
     /* 690357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690361 */     // MIs[0] offset
     /* 690361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690364 */     // MIs[0] auxiliary
     /* 690364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690367 */     // MIs[0] Operand 7
     /* 690367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690385 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 690388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690390 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 690392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690399 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690401 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690407 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690417 */     GIR_RootConstrainSelectedInstOperands,
     /* 690418 */     // GIR_Coverage, 5073,
     /* 690418 */     GIR_EraseRootFromParent_Done,
     /* 690419 */   // Label 8983: @690419
     /* 690419 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(690481), // Rule ID 5070 //
     /* 690424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690431 */     // MIs[0] offset
     /* 690431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690434 */     // MIs[0] auxiliary
     /* 690434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690437 */     // MIs[0] Operand 7
     /* 690437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 690440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690447 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 690450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690452 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 690454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690461 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690463 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690469 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690479 */     GIR_RootConstrainSelectedInstOperands,
     /* 690480 */     // GIR_Coverage, 5070,
     /* 690480 */     GIR_EraseRootFromParent_Done,
     /* 690481 */   // Label 8984: @690481
     /* 690481 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(690540), // Rule ID 5074 //
     /* 690486 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690490 */     // MIs[0] offset
     /* 690490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690493 */     // MIs[0] auxiliary
     /* 690493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690496 */     // MIs[0] Operand 7
     /* 690496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 690499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690506 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 690509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690511 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 690513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690520 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690538 */     GIR_RootConstrainSelectedInstOperands,
     /* 690539 */     // GIR_Coverage, 5074,
     /* 690539 */     GIR_EraseRootFromParent_Done,
     /* 690540 */   // Label 8985: @690540
     /* 690540 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(690640), // Rule ID 5071 //
     /* 690545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690548 */     // MIs[0] offset
     /* 690548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690551 */     // MIs[0] auxiliary
     /* 690551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690554 */     // MIs[0] Operand 7
     /* 690554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 690557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690564 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 690567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 690571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 690576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 690580 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 690583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 690587 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 690590 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 690595 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 690600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 690605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 690608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 690613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690620 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690622 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690628 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690638 */     GIR_RootConstrainSelectedInstOperands,
     /* 690639 */     // GIR_Coverage, 5071,
     /* 690639 */     GIR_EraseRootFromParent_Done,
     /* 690640 */   // Label 8986: @690640
     /* 690640 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(690737), // Rule ID 5075 //
     /* 690645 */     // MIs[0] offset
     /* 690645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690648 */     // MIs[0] auxiliary
     /* 690648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690651 */     // MIs[0] Operand 7
     /* 690651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 690654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690661 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 690664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 690668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 690673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 690677 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 690680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 690684 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 690687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 690692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 690697 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 690702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 690705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 690710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690717 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690719 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690725 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690735 */     GIR_RootConstrainSelectedInstOperands,
     /* 690736 */     // GIR_Coverage, 5075,
     /* 690736 */     GIR_EraseRootFromParent_Done,
     /* 690737 */   // Label 8987: @690737
     /* 690737 */   GIM_Reject,
     /* 690738 */ // Label 8979: @690738
     /* 690738 */ GIM_Reject,
     /* 690739 */ // Label 8963: @690739
     /* 690739 */ GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(691357),
     /* 690744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 690747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 690750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 690753 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 690756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 690760 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(690832), // Rule ID 5076 //
     /* 690765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690772 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690776 */     // MIs[0] offset
     /* 690776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690779 */     // MIs[0] auxiliary
     /* 690779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690782 */     // MIs[0] Operand 7
     /* 690782 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690800 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 690803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690812 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690830 */     GIR_RootConstrainSelectedInstOperands,
     /* 690831 */     // GIR_Coverage, 5076,
     /* 690831 */     GIR_EraseRootFromParent_Done,
     /* 690832 */   // Label 8989: @690832
     /* 690832 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(690901), // Rule ID 5080 //
     /* 690837 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 690845 */     // MIs[0] offset
     /* 690845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690848 */     // MIs[0] auxiliary
     /* 690848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690851 */     // MIs[0] Operand 7
     /* 690851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690869 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 690872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690881 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690883 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690889 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690899 */     GIR_RootConstrainSelectedInstOperands,
     /* 690900 */     // GIR_Coverage, 5080,
     /* 690900 */     GIR_EraseRootFromParent_Done,
     /* 690901 */   // Label 8990: @690901
     /* 690901 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(690971), // Rule ID 5077 //
     /* 690906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 690909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690913 */     // MIs[0] offset
     /* 690913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690916 */     // MIs[0] auxiliary
     /* 690916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690919 */     // MIs[0] Operand 7
     /* 690919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 690937 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 690937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 690940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 690942 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 690944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 690946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 690951 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 690953 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 690959 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 690965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 690969 */     GIR_RootConstrainSelectedInstOperands,
     /* 690970 */     // GIR_Coverage, 5077,
     /* 690970 */     GIR_EraseRootFromParent_Done,
     /* 690971 */   // Label 8991: @690971
     /* 690971 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(691038), // Rule ID 5081 //
     /* 690976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 690980 */     // MIs[0] offset
     /* 690980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 690983 */     // MIs[0] auxiliary
     /* 690983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 690986 */     // MIs[0] Operand 7
     /* 690986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 690997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691004 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 691007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691009 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 691011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691018 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691036 */     GIR_RootConstrainSelectedInstOperands,
     /* 691037 */     // GIR_Coverage, 5081,
     /* 691037 */     GIR_EraseRootFromParent_Done,
     /* 691038 */   // Label 8992: @691038
     /* 691038 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(691100), // Rule ID 5078 //
     /* 691043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691050 */     // MIs[0] offset
     /* 691050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691053 */     // MIs[0] auxiliary
     /* 691053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691056 */     // MIs[0] Operand 7
     /* 691056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691066 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 691069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691071 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 691073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691080 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691082 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691088 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691098 */     GIR_RootConstrainSelectedInstOperands,
     /* 691099 */     // GIR_Coverage, 5078,
     /* 691099 */     GIR_EraseRootFromParent_Done,
     /* 691100 */   // Label 8993: @691100
     /* 691100 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(691159), // Rule ID 5082 //
     /* 691105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691109 */     // MIs[0] offset
     /* 691109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691112 */     // MIs[0] auxiliary
     /* 691112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691115 */     // MIs[0] Operand 7
     /* 691115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691125 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 691128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691130 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 691132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691139 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691141 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691147 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691157 */     GIR_RootConstrainSelectedInstOperands,
     /* 691158 */     // GIR_Coverage, 5082,
     /* 691158 */     GIR_EraseRootFromParent_Done,
     /* 691159 */   // Label 8994: @691159
     /* 691159 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(691259), // Rule ID 5079 //
     /* 691164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691167 */     // MIs[0] offset
     /* 691167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691170 */     // MIs[0] auxiliary
     /* 691170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691173 */     // MIs[0] Operand 7
     /* 691173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691183 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 691186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 691190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 691195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 691199 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 691202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 691206 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 691209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 691214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 691227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 691232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691239 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691241 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691247 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691257 */     GIR_RootConstrainSelectedInstOperands,
     /* 691258 */     // GIR_Coverage, 5079,
     /* 691258 */     GIR_EraseRootFromParent_Done,
     /* 691259 */   // Label 8995: @691259
     /* 691259 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(691356), // Rule ID 5083 //
     /* 691264 */     // MIs[0] offset
     /* 691264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691267 */     // MIs[0] auxiliary
     /* 691267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691270 */     // MIs[0] Operand 7
     /* 691270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691280 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 691283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 691287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 691292 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 691296 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 691299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 691303 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 691306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 691311 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691316 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 691324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 691329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691336 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691338 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691344 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691354 */     GIR_RootConstrainSelectedInstOperands,
     /* 691355 */     // GIR_Coverage, 5083,
     /* 691355 */     GIR_EraseRootFromParent_Done,
     /* 691356 */   // Label 8996: @691356
     /* 691356 */   GIM_Reject,
     /* 691357 */ // Label 8988: @691357
     /* 691357 */ GIM_Reject,
     /* 691358 */ // Label 8964: @691358
     /* 691358 */ GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(691976),
     /* 691363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 691366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 691369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 691372 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 691375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 691379 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(691451), // Rule ID 4988 //
     /* 691384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 691391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691395 */     // MIs[0] offset
     /* 691395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691398 */     // MIs[0] auxiliary
     /* 691398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691401 */     // MIs[0] Operand 7
     /* 691401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 691412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691419 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 691422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691431 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691433 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691439 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691449 */     GIR_RootConstrainSelectedInstOperands,
     /* 691450 */     // GIR_Coverage, 4988,
     /* 691450 */     GIR_EraseRootFromParent_Done,
     /* 691451 */   // Label 8998: @691451
     /* 691451 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(691520), // Rule ID 4992 //
     /* 691456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 691460 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691464 */     // MIs[0] offset
     /* 691464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691467 */     // MIs[0] auxiliary
     /* 691467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691470 */     // MIs[0] Operand 7
     /* 691470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 691481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691488 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 691491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691500 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691502 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691508 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691518 */     GIR_RootConstrainSelectedInstOperands,
     /* 691519 */     // GIR_Coverage, 4992,
     /* 691519 */     GIR_EraseRootFromParent_Done,
     /* 691520 */   // Label 8999: @691520
     /* 691520 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(691590), // Rule ID 4989 //
     /* 691525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691528 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 691532 */     // MIs[0] offset
     /* 691532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691535 */     // MIs[0] auxiliary
     /* 691535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691538 */     // MIs[0] Operand 7
     /* 691538 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 691549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691556 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 691559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691561 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 691563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691570 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691572 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691578 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691588 */     GIR_RootConstrainSelectedInstOperands,
     /* 691589 */     // GIR_Coverage, 4989,
     /* 691589 */     GIR_EraseRootFromParent_Done,
     /* 691590 */   // Label 9000: @691590
     /* 691590 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(691657), // Rule ID 4993 //
     /* 691595 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 691599 */     // MIs[0] offset
     /* 691599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691602 */     // MIs[0] auxiliary
     /* 691602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691605 */     // MIs[0] Operand 7
     /* 691605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 691616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691623 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 691626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691628 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 691630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691637 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691639 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691645 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691655 */     GIR_RootConstrainSelectedInstOperands,
     /* 691656 */     // GIR_Coverage, 4993,
     /* 691656 */     GIR_EraseRootFromParent_Done,
     /* 691657 */   // Label 9001: @691657
     /* 691657 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(691719), // Rule ID 4990 //
     /* 691662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691665 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691669 */     // MIs[0] offset
     /* 691669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691672 */     // MIs[0] auxiliary
     /* 691672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691675 */     // MIs[0] Operand 7
     /* 691675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691685 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 691688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691690 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 691692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691699 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691701 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691707 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691717 */     GIR_RootConstrainSelectedInstOperands,
     /* 691718 */     // GIR_Coverage, 4990,
     /* 691718 */     GIR_EraseRootFromParent_Done,
     /* 691719 */   // Label 9002: @691719
     /* 691719 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(691778), // Rule ID 4994 //
     /* 691724 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 691728 */     // MIs[0] offset
     /* 691728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691731 */     // MIs[0] auxiliary
     /* 691731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691734 */     // MIs[0] Operand 7
     /* 691734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691744 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 691747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691749 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 691751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691758 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691760 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691766 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691776 */     GIR_RootConstrainSelectedInstOperands,
     /* 691777 */     // GIR_Coverage, 4994,
     /* 691777 */     GIR_EraseRootFromParent_Done,
     /* 691778 */   // Label 9003: @691778
     /* 691778 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(691878), // Rule ID 4991 //
     /* 691783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 691786 */     // MIs[0] offset
     /* 691786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691789 */     // MIs[0] auxiliary
     /* 691789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691792 */     // MIs[0] Operand 7
     /* 691792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691802 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 691805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 691809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 691814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 691818 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 691821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 691825 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 691828 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 691833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 691846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 691851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691858 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691860 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691866 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691876 */     GIR_RootConstrainSelectedInstOperands,
     /* 691877 */     // GIR_Coverage, 4991,
     /* 691877 */     GIR_EraseRootFromParent_Done,
     /* 691878 */   // Label 9004: @691878
     /* 691878 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(691975), // Rule ID 4995 //
     /* 691883 */     // MIs[0] offset
     /* 691883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 691886 */     // MIs[0] auxiliary
     /* 691886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 691889 */     // MIs[0] Operand 7
     /* 691889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 691892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 691899 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 691899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 691902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 691906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 691911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 691915 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 691918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 691922 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 691925 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 691930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 691940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 691943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 691945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 691948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 691950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 691955 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 691957 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 691963 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 691969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 691973 */     GIR_RootConstrainSelectedInstOperands,
     /* 691974 */     // GIR_Coverage, 4995,
     /* 691974 */     GIR_EraseRootFromParent_Done,
     /* 691975 */   // Label 9005: @691975
     /* 691975 */   GIM_Reject,
     /* 691976 */ // Label 8997: @691976
     /* 691976 */ GIM_Reject,
     /* 691977 */ // Label 8965: @691977
     /* 691977 */ GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(692595),
     /* 691982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 691985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 691988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 691991 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 691994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 691998 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(692070), // Rule ID 4996 //
     /* 692003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692010 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692014 */     // MIs[0] offset
     /* 692014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692017 */     // MIs[0] auxiliary
     /* 692017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692020 */     // MIs[0] Operand 7
     /* 692020 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692038 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 692041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692050 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692068 */     GIR_RootConstrainSelectedInstOperands,
     /* 692069 */     // GIR_Coverage, 4996,
     /* 692069 */     GIR_EraseRootFromParent_Done,
     /* 692070 */   // Label 9007: @692070
     /* 692070 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(692139), // Rule ID 5000 //
     /* 692075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692079 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692083 */     // MIs[0] offset
     /* 692083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692086 */     // MIs[0] auxiliary
     /* 692086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692089 */     // MIs[0] Operand 7
     /* 692089 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692107 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 692110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692119 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692121 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692127 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692137 */     GIR_RootConstrainSelectedInstOperands,
     /* 692138 */     // GIR_Coverage, 5000,
     /* 692138 */     GIR_EraseRootFromParent_Done,
     /* 692139 */   // Label 9008: @692139
     /* 692139 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(692209), // Rule ID 4997 //
     /* 692144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692147 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692151 */     // MIs[0] offset
     /* 692151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692154 */     // MIs[0] auxiliary
     /* 692154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692157 */     // MIs[0] Operand 7
     /* 692157 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692175 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 692178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692180 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 692182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692189 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692191 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692197 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692207 */     GIR_RootConstrainSelectedInstOperands,
     /* 692208 */     // GIR_Coverage, 4997,
     /* 692208 */     GIR_EraseRootFromParent_Done,
     /* 692209 */   // Label 9009: @692209
     /* 692209 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(692276), // Rule ID 5001 //
     /* 692214 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692218 */     // MIs[0] offset
     /* 692218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692221 */     // MIs[0] auxiliary
     /* 692221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692224 */     // MIs[0] Operand 7
     /* 692224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692242 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 692245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692247 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 692249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692256 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692258 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692274 */     GIR_RootConstrainSelectedInstOperands,
     /* 692275 */     // GIR_Coverage, 5001,
     /* 692275 */     GIR_EraseRootFromParent_Done,
     /* 692276 */   // Label 9010: @692276
     /* 692276 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(692338), // Rule ID 4998 //
     /* 692281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692288 */     // MIs[0] offset
     /* 692288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692291 */     // MIs[0] auxiliary
     /* 692291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692294 */     // MIs[0] Operand 7
     /* 692294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692304 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 692307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692309 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 692311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692318 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692320 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692326 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692336 */     GIR_RootConstrainSelectedInstOperands,
     /* 692337 */     // GIR_Coverage, 4998,
     /* 692337 */     GIR_EraseRootFromParent_Done,
     /* 692338 */   // Label 9011: @692338
     /* 692338 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(692397), // Rule ID 5002 //
     /* 692343 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692347 */     // MIs[0] offset
     /* 692347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692350 */     // MIs[0] auxiliary
     /* 692350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692353 */     // MIs[0] Operand 7
     /* 692353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692363 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 692366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692368 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 692370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692377 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692379 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692385 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692395 */     GIR_RootConstrainSelectedInstOperands,
     /* 692396 */     // GIR_Coverage, 5002,
     /* 692396 */     GIR_EraseRootFromParent_Done,
     /* 692397 */   // Label 9012: @692397
     /* 692397 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(692497), // Rule ID 4999 //
     /* 692402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692405 */     // MIs[0] offset
     /* 692405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692408 */     // MIs[0] auxiliary
     /* 692408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692411 */     // MIs[0] Operand 7
     /* 692411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692421 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 692424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 692428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 692433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 692437 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 692440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 692444 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 692447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 692452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 692457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 692462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 692465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 692470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692477 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692495 */     GIR_RootConstrainSelectedInstOperands,
     /* 692496 */     // GIR_Coverage, 4999,
     /* 692496 */     GIR_EraseRootFromParent_Done,
     /* 692497 */   // Label 9013: @692497
     /* 692497 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(692594), // Rule ID 5003 //
     /* 692502 */     // MIs[0] offset
     /* 692502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692505 */     // MIs[0] auxiliary
     /* 692505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692508 */     // MIs[0] Operand 7
     /* 692508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692518 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 692521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 692525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 692530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 692534 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 692537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 692541 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 692544 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 692549 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 692554 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 692559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 692562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 692567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692574 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692576 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692592 */     GIR_RootConstrainSelectedInstOperands,
     /* 692593 */     // GIR_Coverage, 5003,
     /* 692593 */     GIR_EraseRootFromParent_Done,
     /* 692594 */   // Label 9014: @692594
     /* 692594 */   GIM_Reject,
     /* 692595 */ // Label 9006: @692595
     /* 692595 */ GIM_Reject,
     /* 692596 */ // Label 8966: @692596
     /* 692596 */ GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(693214),
     /* 692601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 692604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 692607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 692610 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 692613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 692617 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(692689), // Rule ID 5084 //
     /* 692622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692629 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692633 */     // MIs[0] offset
     /* 692633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692636 */     // MIs[0] auxiliary
     /* 692636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692639 */     // MIs[0] Operand 7
     /* 692639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692657 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 692660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692669 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692671 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692677 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692687 */     GIR_RootConstrainSelectedInstOperands,
     /* 692688 */     // GIR_Coverage, 5084,
     /* 692688 */     GIR_EraseRootFromParent_Done,
     /* 692689 */   // Label 9016: @692689
     /* 692689 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(692758), // Rule ID 5088 //
     /* 692694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692702 */     // MIs[0] offset
     /* 692702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692705 */     // MIs[0] auxiliary
     /* 692705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692708 */     // MIs[0] Operand 7
     /* 692708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692726 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 692729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692738 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692740 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692746 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692756 */     GIR_RootConstrainSelectedInstOperands,
     /* 692757 */     // GIR_Coverage, 5088,
     /* 692757 */     GIR_EraseRootFromParent_Done,
     /* 692758 */   // Label 9017: @692758
     /* 692758 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(692828), // Rule ID 5085 //
     /* 692763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692766 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692770 */     // MIs[0] offset
     /* 692770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692773 */     // MIs[0] auxiliary
     /* 692773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692776 */     // MIs[0] Operand 7
     /* 692776 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692794 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 692797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692799 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 692801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692808 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692810 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692816 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692826 */     GIR_RootConstrainSelectedInstOperands,
     /* 692827 */     // GIR_Coverage, 5085,
     /* 692827 */     GIR_EraseRootFromParent_Done,
     /* 692828 */   // Label 9018: @692828
     /* 692828 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(692895), // Rule ID 5089 //
     /* 692833 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 692837 */     // MIs[0] offset
     /* 692837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692840 */     // MIs[0] auxiliary
     /* 692840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692843 */     // MIs[0] Operand 7
     /* 692843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 692854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692861 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 692864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692866 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 692868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692875 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692877 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692883 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692893 */     GIR_RootConstrainSelectedInstOperands,
     /* 692894 */     // GIR_Coverage, 5089,
     /* 692894 */     GIR_EraseRootFromParent_Done,
     /* 692895 */   // Label 9019: @692895
     /* 692895 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(692957), // Rule ID 5086 //
     /* 692900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 692903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692907 */     // MIs[0] offset
     /* 692907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692910 */     // MIs[0] auxiliary
     /* 692910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692913 */     // MIs[0] Operand 7
     /* 692913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692923 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 692926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692928 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 692930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692937 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692939 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 692945 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 692951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 692955 */     GIR_RootConstrainSelectedInstOperands,
     /* 692956 */     // GIR_Coverage, 5086,
     /* 692956 */     GIR_EraseRootFromParent_Done,
     /* 692957 */   // Label 9020: @692957
     /* 692957 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(693016), // Rule ID 5090 //
     /* 692962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 692966 */     // MIs[0] offset
     /* 692966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 692969 */     // MIs[0] auxiliary
     /* 692969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 692972 */     // MIs[0] Operand 7
     /* 692972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 692975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 692982 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 692982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 692985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 692987 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 692989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 692991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 692996 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 692998 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693004 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693014 */     GIR_RootConstrainSelectedInstOperands,
     /* 693015 */     // GIR_Coverage, 5090,
     /* 693015 */     GIR_EraseRootFromParent_Done,
     /* 693016 */   // Label 9021: @693016
     /* 693016 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(693116), // Rule ID 5087 //
     /* 693021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693024 */     // MIs[0] offset
     /* 693024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693027 */     // MIs[0] auxiliary
     /* 693027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693030 */     // MIs[0] Operand 7
     /* 693030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693040 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 693043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 693047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 693052 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 693056 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 693059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 693063 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 693066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 693071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693076 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 693084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 693089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693096 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693098 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693114 */     GIR_RootConstrainSelectedInstOperands,
     /* 693115 */     // GIR_Coverage, 5087,
     /* 693115 */     GIR_EraseRootFromParent_Done,
     /* 693116 */   // Label 9022: @693116
     /* 693116 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(693213), // Rule ID 5091 //
     /* 693121 */     // MIs[0] offset
     /* 693121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693124 */     // MIs[0] auxiliary
     /* 693124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693127 */     // MIs[0] Operand 7
     /* 693127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693137 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 693140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 693144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 693149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 693153 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 693156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 693160 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 693163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 693168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 693181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 693186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693193 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693195 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693201 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693211 */     GIR_RootConstrainSelectedInstOperands,
     /* 693212 */     // GIR_Coverage, 5091,
     /* 693212 */     GIR_EraseRootFromParent_Done,
     /* 693213 */   // Label 9023: @693213
     /* 693213 */   GIM_Reject,
     /* 693214 */ // Label 9015: @693214
     /* 693214 */ GIM_Reject,
     /* 693215 */ // Label 8967: @693215
     /* 693215 */ GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(693833),
     /* 693220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 693223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 693226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 693229 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 693232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 693236 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(693308), // Rule ID 5004 //
     /* 693241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693252 */     // MIs[0] offset
     /* 693252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693255 */     // MIs[0] auxiliary
     /* 693255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693258 */     // MIs[0] Operand 7
     /* 693258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693276 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 693279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693288 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693306 */     GIR_RootConstrainSelectedInstOperands,
     /* 693307 */     // GIR_Coverage, 5004,
     /* 693307 */     GIR_EraseRootFromParent_Done,
     /* 693308 */   // Label 9025: @693308
     /* 693308 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(693377), // Rule ID 5008 //
     /* 693313 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693317 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693321 */     // MIs[0] offset
     /* 693321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693324 */     // MIs[0] auxiliary
     /* 693324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693327 */     // MIs[0] Operand 7
     /* 693327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693345 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 693348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693357 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693359 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693365 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693375 */     GIR_RootConstrainSelectedInstOperands,
     /* 693376 */     // GIR_Coverage, 5008,
     /* 693376 */     GIR_EraseRootFromParent_Done,
     /* 693377 */   // Label 9026: @693377
     /* 693377 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(693447), // Rule ID 5005 //
     /* 693382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693385 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693389 */     // MIs[0] offset
     /* 693389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693392 */     // MIs[0] auxiliary
     /* 693392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693395 */     // MIs[0] Operand 7
     /* 693395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693413 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 693416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693418 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 693420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693427 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693435 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693445 */     GIR_RootConstrainSelectedInstOperands,
     /* 693446 */     // GIR_Coverage, 5005,
     /* 693446 */     GIR_EraseRootFromParent_Done,
     /* 693447 */   // Label 9027: @693447
     /* 693447 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(693514), // Rule ID 5009 //
     /* 693452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693456 */     // MIs[0] offset
     /* 693456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693459 */     // MIs[0] auxiliary
     /* 693459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693462 */     // MIs[0] Operand 7
     /* 693462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693480 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 693483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693485 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 693487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693494 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693496 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693502 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693512 */     GIR_RootConstrainSelectedInstOperands,
     /* 693513 */     // GIR_Coverage, 5009,
     /* 693513 */     GIR_EraseRootFromParent_Done,
     /* 693514 */   // Label 9028: @693514
     /* 693514 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(693576), // Rule ID 5006 //
     /* 693519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693526 */     // MIs[0] offset
     /* 693526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693529 */     // MIs[0] auxiliary
     /* 693529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693532 */     // MIs[0] Operand 7
     /* 693532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693542 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 693545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693547 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 693549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693556 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693558 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693564 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693574 */     GIR_RootConstrainSelectedInstOperands,
     /* 693575 */     // GIR_Coverage, 5006,
     /* 693575 */     GIR_EraseRootFromParent_Done,
     /* 693576 */   // Label 9029: @693576
     /* 693576 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(693635), // Rule ID 5010 //
     /* 693581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693585 */     // MIs[0] offset
     /* 693585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693588 */     // MIs[0] auxiliary
     /* 693588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693591 */     // MIs[0] Operand 7
     /* 693591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693601 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 693604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693606 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 693608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693615 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693617 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693623 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693633 */     GIR_RootConstrainSelectedInstOperands,
     /* 693634 */     // GIR_Coverage, 5010,
     /* 693634 */     GIR_EraseRootFromParent_Done,
     /* 693635 */   // Label 9030: @693635
     /* 693635 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(693735), // Rule ID 5007 //
     /* 693640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693643 */     // MIs[0] offset
     /* 693643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693646 */     // MIs[0] auxiliary
     /* 693646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693649 */     // MIs[0] Operand 7
     /* 693649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693659 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 693662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 693666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 693671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 693675 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 693678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 693682 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 693685 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 693690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 693703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 693708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693715 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693717 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693733 */     GIR_RootConstrainSelectedInstOperands,
     /* 693734 */     // GIR_Coverage, 5007,
     /* 693734 */     GIR_EraseRootFromParent_Done,
     /* 693735 */   // Label 9031: @693735
     /* 693735 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(693832), // Rule ID 5011 //
     /* 693740 */     // MIs[0] offset
     /* 693740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693743 */     // MIs[0] auxiliary
     /* 693743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693746 */     // MIs[0] Operand 7
     /* 693746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 693749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693756 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 693759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 693763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 693768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 693772 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 693775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 693779 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 693782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 693787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 693797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 693800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 693805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693812 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693830 */     GIR_RootConstrainSelectedInstOperands,
     /* 693831 */     // GIR_Coverage, 5011,
     /* 693831 */     GIR_EraseRootFromParent_Done,
     /* 693832 */   // Label 9032: @693832
     /* 693832 */   GIM_Reject,
     /* 693833 */ // Label 9024: @693833
     /* 693833 */ GIM_Reject,
     /* 693834 */ // Label 8968: @693834
     /* 693834 */ GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(694452),
     /* 693839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 693842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 693845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 693848 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 693851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 693855 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(693927), // Rule ID 5012 //
     /* 693860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 693863 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693867 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693871 */     // MIs[0] offset
     /* 693871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693874 */     // MIs[0] auxiliary
     /* 693874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693877 */     // MIs[0] Operand 7
     /* 693877 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693895 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 693898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693907 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693909 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693915 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693925 */     GIR_RootConstrainSelectedInstOperands,
     /* 693926 */     // GIR_Coverage, 5012,
     /* 693926 */     GIR_EraseRootFromParent_Done,
     /* 693927 */   // Label 9034: @693927
     /* 693927 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(693996), // Rule ID 5016 //
     /* 693932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 693936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 693940 */     // MIs[0] offset
     /* 693940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 693943 */     // MIs[0] auxiliary
     /* 693943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 693946 */     // MIs[0] Operand 7
     /* 693946 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 693957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 693964 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 693964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 693967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 693969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 693971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 693976 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 693978 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 693984 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 693990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 693994 */     GIR_RootConstrainSelectedInstOperands,
     /* 693995 */     // GIR_Coverage, 5016,
     /* 693995 */     GIR_EraseRootFromParent_Done,
     /* 693996 */   // Label 9035: @693996
     /* 693996 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(694066), // Rule ID 5013 //
     /* 694001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694004 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694008 */     // MIs[0] offset
     /* 694008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694011 */     // MIs[0] auxiliary
     /* 694011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694014 */     // MIs[0] Operand 7
     /* 694014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694032 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 694035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694037 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 694039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694046 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694048 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694054 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694064 */     GIR_RootConstrainSelectedInstOperands,
     /* 694065 */     // GIR_Coverage, 5013,
     /* 694065 */     GIR_EraseRootFromParent_Done,
     /* 694066 */   // Label 9036: @694066
     /* 694066 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(694133), // Rule ID 5017 //
     /* 694071 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694075 */     // MIs[0] offset
     /* 694075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694078 */     // MIs[0] auxiliary
     /* 694078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694081 */     // MIs[0] Operand 7
     /* 694081 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694099 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 694102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694104 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 694106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694113 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694115 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694121 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694131 */     GIR_RootConstrainSelectedInstOperands,
     /* 694132 */     // GIR_Coverage, 5017,
     /* 694132 */     GIR_EraseRootFromParent_Done,
     /* 694133 */   // Label 9037: @694133
     /* 694133 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(694195), // Rule ID 5014 //
     /* 694138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694141 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694145 */     // MIs[0] offset
     /* 694145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694148 */     // MIs[0] auxiliary
     /* 694148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694151 */     // MIs[0] Operand 7
     /* 694151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 694154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694161 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 694164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694166 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 694168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694175 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694177 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694183 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694193 */     GIR_RootConstrainSelectedInstOperands,
     /* 694194 */     // GIR_Coverage, 5014,
     /* 694194 */     GIR_EraseRootFromParent_Done,
     /* 694195 */   // Label 9038: @694195
     /* 694195 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(694254), // Rule ID 5018 //
     /* 694200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694204 */     // MIs[0] offset
     /* 694204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694207 */     // MIs[0] auxiliary
     /* 694207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694210 */     // MIs[0] Operand 7
     /* 694210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 694213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694220 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 694223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694225 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 694227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694234 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694236 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694242 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694252 */     GIR_RootConstrainSelectedInstOperands,
     /* 694253 */     // GIR_Coverage, 5018,
     /* 694253 */     GIR_EraseRootFromParent_Done,
     /* 694254 */   // Label 9039: @694254
     /* 694254 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(694354), // Rule ID 5015 //
     /* 694259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694262 */     // MIs[0] offset
     /* 694262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694265 */     // MIs[0] auxiliary
     /* 694265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694268 */     // MIs[0] Operand 7
     /* 694268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 694271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694278 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 694281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 694285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 694290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 694294 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 694297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 694301 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 694304 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 694309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 694314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 694319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 694322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 694327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694334 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694336 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694342 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694352 */     GIR_RootConstrainSelectedInstOperands,
     /* 694353 */     // GIR_Coverage, 5015,
     /* 694353 */     GIR_EraseRootFromParent_Done,
     /* 694354 */   // Label 9040: @694354
     /* 694354 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(694451), // Rule ID 5019 //
     /* 694359 */     // MIs[0] offset
     /* 694359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694362 */     // MIs[0] auxiliary
     /* 694362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694365 */     // MIs[0] Operand 7
     /* 694365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 694368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694375 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 694378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 694382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 694387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 694391 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 694394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 694398 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 694401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 694406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 694411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 694416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 694419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 694424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694431 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694433 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694439 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694449 */     GIR_RootConstrainSelectedInstOperands,
     /* 694450 */     // GIR_Coverage, 5019,
     /* 694450 */     GIR_EraseRootFromParent_Done,
     /* 694451 */   // Label 9041: @694451
     /* 694451 */   GIM_Reject,
     /* 694452 */ // Label 9033: @694452
     /* 694452 */ GIM_Reject,
     /* 694453 */ // Label 8969: @694453
     /* 694453 */ GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(695667),
     /* 694458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 694461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 694464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 694467 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 694470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 694474 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(694546), // Rule ID 4956 //
     /* 694479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694486 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694490 */     // MIs[0] offset
     /* 694490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694493 */     // MIs[0] auxiliary
     /* 694493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694496 */     // MIs[0] Operand 7
     /* 694496 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694514 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 694517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694526 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694544 */     GIR_RootConstrainSelectedInstOperands,
     /* 694545 */     // GIR_Coverage, 4956,
     /* 694545 */     GIR_EraseRootFromParent_Done,
     /* 694546 */   // Label 9043: @694546
     /* 694546 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(694615), // Rule ID 4960 //
     /* 694551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694555 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694559 */     // MIs[0] offset
     /* 694559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694562 */     // MIs[0] auxiliary
     /* 694562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694565 */     // MIs[0] Operand 7
     /* 694565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694583 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 694586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694595 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694603 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694613 */     GIR_RootConstrainSelectedInstOperands,
     /* 694614 */     // GIR_Coverage, 4960,
     /* 694614 */     GIR_EraseRootFromParent_Done,
     /* 694615 */   // Label 9044: @694615
     /* 694615 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(694687), // Rule ID 4964 //
     /* 694620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694627 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694631 */     // MIs[0] offset
     /* 694631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694634 */     // MIs[0] auxiliary
     /* 694634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694637 */     // MIs[0] Operand 7
     /* 694637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694655 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 694658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694667 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694669 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694675 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694685 */     GIR_RootConstrainSelectedInstOperands,
     /* 694686 */     // GIR_Coverage, 4964,
     /* 694686 */     GIR_EraseRootFromParent_Done,
     /* 694687 */   // Label 9045: @694687
     /* 694687 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(694756), // Rule ID 4968 //
     /* 694692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694696 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 694700 */     // MIs[0] offset
     /* 694700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694703 */     // MIs[0] auxiliary
     /* 694703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694706 */     // MIs[0] Operand 7
     /* 694706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694724 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 694727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694736 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694754 */     GIR_RootConstrainSelectedInstOperands,
     /* 694755 */     // GIR_Coverage, 4968,
     /* 694755 */     GIR_EraseRootFromParent_Done,
     /* 694756 */   // Label 9046: @694756
     /* 694756 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(694826), // Rule ID 4957 //
     /* 694761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694768 */     // MIs[0] offset
     /* 694768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694771 */     // MIs[0] auxiliary
     /* 694771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694774 */     // MIs[0] Operand 7
     /* 694774 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694792 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 694795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694797 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 694799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694806 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694808 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694824 */     GIR_RootConstrainSelectedInstOperands,
     /* 694825 */     // GIR_Coverage, 4957,
     /* 694825 */     GIR_EraseRootFromParent_Done,
     /* 694826 */   // Label 9047: @694826
     /* 694826 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(694893), // Rule ID 4961 //
     /* 694831 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694835 */     // MIs[0] offset
     /* 694835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694838 */     // MIs[0] auxiliary
     /* 694838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694841 */     // MIs[0] Operand 7
     /* 694841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694859 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 694862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694864 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 694866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694873 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694875 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694881 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694891 */     GIR_RootConstrainSelectedInstOperands,
     /* 694892 */     // GIR_Coverage, 4961,
     /* 694892 */     GIR_EraseRootFromParent_Done,
     /* 694893 */   // Label 9048: @694893
     /* 694893 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(694963), // Rule ID 4965 //
     /* 694898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 694901 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694905 */     // MIs[0] offset
     /* 694905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694908 */     // MIs[0] auxiliary
     /* 694908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694911 */     // MIs[0] Operand 7
     /* 694911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694929 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 694932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 694934 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 694936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 694938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 694943 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 694945 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 694951 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 694957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 694961 */     GIR_RootConstrainSelectedInstOperands,
     /* 694962 */     // GIR_Coverage, 4965,
     /* 694962 */     GIR_EraseRootFromParent_Done,
     /* 694963 */   // Label 9049: @694963
     /* 694963 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(695030), // Rule ID 4969 //
     /* 694968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 694972 */     // MIs[0] offset
     /* 694972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 694975 */     // MIs[0] auxiliary
     /* 694975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 694978 */     // MIs[0] Operand 7
     /* 694978 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 694989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 694996 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 694996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 694999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695001 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 695003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695010 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695012 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695018 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695028 */     GIR_RootConstrainSelectedInstOperands,
     /* 695029 */     // GIR_Coverage, 4969,
     /* 695029 */     GIR_EraseRootFromParent_Done,
     /* 695030 */   // Label 9050: @695030
     /* 695030 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(695092), // Rule ID 4958 //
     /* 695035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695038 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695042 */     // MIs[0] offset
     /* 695042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695045 */     // MIs[0] auxiliary
     /* 695045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695048 */     // MIs[0] Operand 7
     /* 695048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695058 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 695061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695063 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 695065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695072 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695074 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695080 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695090 */     GIR_RootConstrainSelectedInstOperands,
     /* 695091 */     // GIR_Coverage, 4958,
     /* 695091 */     GIR_EraseRootFromParent_Done,
     /* 695092 */   // Label 9051: @695092
     /* 695092 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(695151), // Rule ID 4962 //
     /* 695097 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695101 */     // MIs[0] offset
     /* 695101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695104 */     // MIs[0] auxiliary
     /* 695104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695107 */     // MIs[0] Operand 7
     /* 695107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695117 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 695120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695122 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 695124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695131 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695133 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695149 */     GIR_RootConstrainSelectedInstOperands,
     /* 695150 */     // GIR_Coverage, 4962,
     /* 695150 */     GIR_EraseRootFromParent_Done,
     /* 695151 */   // Label 9052: @695151
     /* 695151 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(695213), // Rule ID 4966 //
     /* 695156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695163 */     // MIs[0] offset
     /* 695163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695166 */     // MIs[0] auxiliary
     /* 695166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695169 */     // MIs[0] Operand 7
     /* 695169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695179 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 695182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695184 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 695186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695193 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695195 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695201 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695211 */     GIR_RootConstrainSelectedInstOperands,
     /* 695212 */     // GIR_Coverage, 4966,
     /* 695212 */     GIR_EraseRootFromParent_Done,
     /* 695213 */   // Label 9053: @695213
     /* 695213 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(695272), // Rule ID 4970 //
     /* 695218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695222 */     // MIs[0] offset
     /* 695222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695225 */     // MIs[0] auxiliary
     /* 695225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695228 */     // MIs[0] Operand 7
     /* 695228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695238 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 695241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695243 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 695245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695252 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695260 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695270 */     GIR_RootConstrainSelectedInstOperands,
     /* 695271 */     // GIR_Coverage, 4970,
     /* 695271 */     GIR_EraseRootFromParent_Done,
     /* 695272 */   // Label 9054: @695272
     /* 695272 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(695372), // Rule ID 4959 //
     /* 695277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695280 */     // MIs[0] offset
     /* 695280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695283 */     // MIs[0] auxiliary
     /* 695283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695286 */     // MIs[0] Operand 7
     /* 695286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695296 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 695299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 695303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 695308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 695312 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 695315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 695319 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 695322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 695327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 695340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 695345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695352 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695370 */     GIR_RootConstrainSelectedInstOperands,
     /* 695371 */     // GIR_Coverage, 4959,
     /* 695371 */     GIR_EraseRootFromParent_Done,
     /* 695372 */   // Label 9055: @695372
     /* 695372 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(695469), // Rule ID 4963 //
     /* 695377 */     // MIs[0] offset
     /* 695377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695380 */     // MIs[0] auxiliary
     /* 695380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695383 */     // MIs[0] Operand 7
     /* 695383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695393 */     // (SIbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 695396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 695400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 695405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 695409 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 695412 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 695416 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 695419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 695424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 695437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 695442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695449 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695457 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695467 */     GIR_RootConstrainSelectedInstOperands,
     /* 695468 */     // GIR_Coverage, 4963,
     /* 695468 */     GIR_EraseRootFromParent_Done,
     /* 695469 */   // Label 9056: @695469
     /* 695469 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(695569), // Rule ID 4967 //
     /* 695474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695477 */     // MIs[0] offset
     /* 695477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695480 */     // MIs[0] auxiliary
     /* 695480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695483 */     // MIs[0] Operand 7
     /* 695483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695493 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 695496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 695500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 695505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 695509 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 695512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 695516 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 695519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 695524 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695529 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 695537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 695542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695549 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695551 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695557 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695567 */     GIR_RootConstrainSelectedInstOperands,
     /* 695568 */     // GIR_Coverage, 4967,
     /* 695568 */     GIR_EraseRootFromParent_Done,
     /* 695569 */   // Label 9057: @695569
     /* 695569 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(695666), // Rule ID 4971 //
     /* 695574 */     // MIs[0] offset
     /* 695574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695577 */     // MIs[0] auxiliary
     /* 695577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695580 */     // MIs[0] Operand 7
     /* 695580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 695583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695590 */     // (SIbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 695593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 695597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 695602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 695606 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 695609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 695613 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 695616 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 695621 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695626 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 695631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 695634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 695639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695646 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695648 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695654 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695664 */     GIR_RootConstrainSelectedInstOperands,
     /* 695665 */     // GIR_Coverage, 4971,
     /* 695665 */     GIR_EraseRootFromParent_Done,
     /* 695666 */   // Label 9058: @695666
     /* 695666 */   GIM_Reject,
     /* 695667 */ // Label 9042: @695667
     /* 695667 */ GIM_Reject,
     /* 695668 */ // Label 8970: @695668
     /* 695668 */ GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(696882),
     /* 695673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 695676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 695679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 695682 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 695685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 695689 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(695761), // Rule ID 5020 //
     /* 695694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695697 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 695701 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695705 */     // MIs[0] offset
     /* 695705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695708 */     // MIs[0] auxiliary
     /* 695708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695711 */     // MIs[0] Operand 7
     /* 695711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 695722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695729 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 695732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695741 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695743 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695759 */     GIR_RootConstrainSelectedInstOperands,
     /* 695760 */     // GIR_Coverage, 5020,
     /* 695760 */     GIR_EraseRootFromParent_Done,
     /* 695761 */   // Label 9060: @695761
     /* 695761 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(695830), // Rule ID 5024 //
     /* 695766 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 695770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695774 */     // MIs[0] offset
     /* 695774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695777 */     // MIs[0] auxiliary
     /* 695777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695780 */     // MIs[0] Operand 7
     /* 695780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 695791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695798 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 695801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695810 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695812 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695818 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695828 */     GIR_RootConstrainSelectedInstOperands,
     /* 695829 */     // GIR_Coverage, 5024,
     /* 695829 */     GIR_EraseRootFromParent_Done,
     /* 695830 */   // Label 9061: @695830
     /* 695830 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(695902), // Rule ID 5028 //
     /* 695835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 695842 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695846 */     // MIs[0] offset
     /* 695846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695849 */     // MIs[0] auxiliary
     /* 695849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695852 */     // MIs[0] Operand 7
     /* 695852 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 695863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695870 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[f64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 695873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695882 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695884 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695890 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695900 */     GIR_RootConstrainSelectedInstOperands,
     /* 695901 */     // GIR_Coverage, 5028,
     /* 695901 */     GIR_EraseRootFromParent_Done,
     /* 695902 */   // Label 9062: @695902
     /* 695902 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(695971), // Rule ID 5032 //
     /* 695907 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 695911 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 695915 */     // MIs[0] offset
     /* 695915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695918 */     // MIs[0] auxiliary
     /* 695918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695921 */     // MIs[0] Operand 7
     /* 695921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 695932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 695939 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[f64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 695939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 695942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 695944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 695946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 695951 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 695953 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 695959 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 695965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 695969 */     GIR_RootConstrainSelectedInstOperands,
     /* 695970 */     // GIR_Coverage, 5032,
     /* 695970 */     GIR_EraseRootFromParent_Done,
     /* 695971 */   // Label 9063: @695971
     /* 695971 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(696041), // Rule ID 5021 //
     /* 695976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 695979 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 695983 */     // MIs[0] offset
     /* 695983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 695986 */     // MIs[0] auxiliary
     /* 695986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 695989 */     // MIs[0] Operand 7
     /* 695989 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 696000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696007 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 696010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696012 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 696014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696021 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696023 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696029 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696039 */     GIR_RootConstrainSelectedInstOperands,
     /* 696040 */     // GIR_Coverage, 5021,
     /* 696040 */     GIR_EraseRootFromParent_Done,
     /* 696041 */   // Label 9064: @696041
     /* 696041 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(696108), // Rule ID 5025 //
     /* 696046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 696050 */     // MIs[0] offset
     /* 696050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696053 */     // MIs[0] auxiliary
     /* 696053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696056 */     // MIs[0] Operand 7
     /* 696056 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 696067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696074 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 696077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696079 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 696081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696088 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696090 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696096 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696106 */     GIR_RootConstrainSelectedInstOperands,
     /* 696107 */     // GIR_Coverage, 5025,
     /* 696107 */     GIR_EraseRootFromParent_Done,
     /* 696108 */   // Label 9065: @696108
     /* 696108 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(696178), // Rule ID 5029 //
     /* 696113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 696120 */     // MIs[0] offset
     /* 696120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696123 */     // MIs[0] auxiliary
     /* 696123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696126 */     // MIs[0] Operand 7
     /* 696126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 696137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696144 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[f64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 696147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696149 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 696151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696158 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696160 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696176 */     GIR_RootConstrainSelectedInstOperands,
     /* 696177 */     // GIR_Coverage, 5029,
     /* 696177 */     GIR_EraseRootFromParent_Done,
     /* 696178 */   // Label 9066: @696178
     /* 696178 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(696245), // Rule ID 5033 //
     /* 696183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 696187 */     // MIs[0] offset
     /* 696187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696190 */     // MIs[0] auxiliary
     /* 696190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696193 */     // MIs[0] Operand 7
     /* 696193 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 696204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696211 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[f64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 696214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696216 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 696218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696225 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696227 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696233 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696243 */     GIR_RootConstrainSelectedInstOperands,
     /* 696244 */     // GIR_Coverage, 5033,
     /* 696244 */     GIR_EraseRootFromParent_Done,
     /* 696245 */   // Label 9067: @696245
     /* 696245 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(696307), // Rule ID 5022 //
     /* 696250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696253 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696257 */     // MIs[0] offset
     /* 696257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696260 */     // MIs[0] auxiliary
     /* 696260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696263 */     // MIs[0] Operand 7
     /* 696263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696273 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 696276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696278 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 696280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696287 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696289 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696295 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696305 */     GIR_RootConstrainSelectedInstOperands,
     /* 696306 */     // GIR_Coverage, 5022,
     /* 696306 */     GIR_EraseRootFromParent_Done,
     /* 696307 */   // Label 9068: @696307
     /* 696307 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(696366), // Rule ID 5026 //
     /* 696312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696316 */     // MIs[0] offset
     /* 696316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696319 */     // MIs[0] auxiliary
     /* 696319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696322 */     // MIs[0] Operand 7
     /* 696322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696332 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 696335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696337 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 696339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696346 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696364 */     GIR_RootConstrainSelectedInstOperands,
     /* 696365 */     // GIR_Coverage, 5026,
     /* 696365 */     GIR_EraseRootFromParent_Done,
     /* 696366 */   // Label 9069: @696366
     /* 696366 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(696428), // Rule ID 5030 //
     /* 696371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696378 */     // MIs[0] offset
     /* 696378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696381 */     // MIs[0] auxiliary
     /* 696381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696384 */     // MIs[0] Operand 7
     /* 696384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696394 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[f64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 696397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696399 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 696401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696408 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696410 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696426 */     GIR_RootConstrainSelectedInstOperands,
     /* 696427 */     // GIR_Coverage, 5030,
     /* 696427 */     GIR_EraseRootFromParent_Done,
     /* 696428 */   // Label 9070: @696428
     /* 696428 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(696487), // Rule ID 5034 //
     /* 696433 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696437 */     // MIs[0] offset
     /* 696437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696440 */     // MIs[0] auxiliary
     /* 696440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696443 */     // MIs[0] Operand 7
     /* 696443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696453 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[f64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 696456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696458 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 696460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696467 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696469 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696475 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696485 */     GIR_RootConstrainSelectedInstOperands,
     /* 696486 */     // GIR_Coverage, 5034,
     /* 696486 */     GIR_EraseRootFromParent_Done,
     /* 696487 */   // Label 9071: @696487
     /* 696487 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(696587), // Rule ID 5023 //
     /* 696492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696495 */     // MIs[0] offset
     /* 696495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696498 */     // MIs[0] auxiliary
     /* 696498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696501 */     // MIs[0] Operand 7
     /* 696501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696511 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 696514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 696518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 696523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 696527 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 696530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 696534 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 696537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 696542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 696555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 696560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696567 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696569 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696575 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696585 */     GIR_RootConstrainSelectedInstOperands,
     /* 696586 */     // GIR_Coverage, 5023,
     /* 696586 */     GIR_EraseRootFromParent_Done,
     /* 696587 */   // Label 9072: @696587
     /* 696587 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(696684), // Rule ID 5027 //
     /* 696592 */     // MIs[0] offset
     /* 696592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696595 */     // MIs[0] auxiliary
     /* 696595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696598 */     // MIs[0] Operand 7
     /* 696598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696608 */     // (SIbuffer_load:{ *:[i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 696611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 696615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 696620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 696624 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 696627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 696631 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 696634 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 696639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 696652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 696657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696664 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696666 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696682 */     GIR_RootConstrainSelectedInstOperands,
     /* 696683 */     // GIR_Coverage, 5027,
     /* 696683 */     GIR_EraseRootFromParent_Done,
     /* 696684 */   // Label 9073: @696684
     /* 696684 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(696784), // Rule ID 5031 //
     /* 696689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696692 */     // MIs[0] offset
     /* 696692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696695 */     // MIs[0] auxiliary
     /* 696695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696698 */     // MIs[0] Operand 7
     /* 696698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696708 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[f64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 696711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 696715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 696720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 696724 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 696727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 696731 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 696734 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 696739 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696744 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 696752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 696757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696764 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696766 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696772 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696782 */     GIR_RootConstrainSelectedInstOperands,
     /* 696783 */     // GIR_Coverage, 5031,
     /* 696783 */     GIR_EraseRootFromParent_Done,
     /* 696784 */   // Label 9074: @696784
     /* 696784 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(696881), // Rule ID 5035 //
     /* 696789 */     // MIs[0] offset
     /* 696789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696792 */     // MIs[0] auxiliary
     /* 696792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696795 */     // MIs[0] Operand 7
     /* 696795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 696798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696805 */     // (SIbuffer_load:{ *:[f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[f64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 696808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 696812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 696817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 696821 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 696824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 696828 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 696831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 696836 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 696846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 696849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 696854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696861 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696863 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696869 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696879 */     GIR_RootConstrainSelectedInstOperands,
     /* 696880 */     // GIR_Coverage, 5035,
     /* 696880 */     GIR_EraseRootFromParent_Done,
     /* 696881 */   // Label 9075: @696881
     /* 696881 */   GIM_Reject,
     /* 696882 */ // Label 9059: @696882
     /* 696882 */ GIM_Reject,
     /* 696883 */ // Label 8971: @696883
     /* 696883 */ GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(698097),
     /* 696888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 696891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 696894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 696897 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 696900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 696904 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(696976), // Rule ID 4972 //
     /* 696909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 696912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 696916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696920 */     // MIs[0] offset
     /* 696920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696923 */     // MIs[0] auxiliary
     /* 696923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696926 */     // MIs[0] Operand 7
     /* 696926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 696937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 696944 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 696944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 696947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 696949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 696951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 696956 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 696958 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 696964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 696970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 696974 */     GIR_RootConstrainSelectedInstOperands,
     /* 696975 */     // GIR_Coverage, 4972,
     /* 696975 */     GIR_EraseRootFromParent_Done,
     /* 696976 */   // Label 9077: @696976
     /* 696976 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(697045), // Rule ID 4976 //
     /* 696981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 696985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 696989 */     // MIs[0] offset
     /* 696989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 696992 */     // MIs[0] auxiliary
     /* 696992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 696995 */     // MIs[0] Operand 7
     /* 696995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697013 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 697016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697025 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697033 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697043 */     GIR_RootConstrainSelectedInstOperands,
     /* 697044 */     // GIR_Coverage, 4976,
     /* 697044 */     GIR_EraseRootFromParent_Done,
     /* 697045 */   // Label 9078: @697045
     /* 697045 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(697117), // Rule ID 4980 //
     /* 697050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697053 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697057 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697061 */     // MIs[0] offset
     /* 697061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697064 */     // MIs[0] auxiliary
     /* 697064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697067 */     // MIs[0] Operand 7
     /* 697067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697085 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFSET),
     /* 697088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697097 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697099 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697105 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697115 */     GIR_RootConstrainSelectedInstOperands,
     /* 697116 */     // GIR_Coverage, 4980,
     /* 697116 */     GIR_EraseRootFromParent_Done,
     /* 697117 */   // Label 9079: @697117
     /* 697117 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(697186), // Rule ID 4984 //
     /* 697122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697126 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697130 */     // MIs[0] offset
     /* 697130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697133 */     // MIs[0] auxiliary
     /* 697133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697136 */     // MIs[0] Operand 7
     /* 697136 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697154 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFSET),
     /* 697157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697166 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697174 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697184 */     GIR_RootConstrainSelectedInstOperands,
     /* 697185 */     // GIR_Coverage, 4984,
     /* 697185 */     GIR_EraseRootFromParent_Done,
     /* 697186 */   // Label 9080: @697186
     /* 697186 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(697256), // Rule ID 4973 //
     /* 697191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697198 */     // MIs[0] offset
     /* 697198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697201 */     // MIs[0] auxiliary
     /* 697201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697204 */     // MIs[0] Operand 7
     /* 697204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697222 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 697225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697227 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 697229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697236 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697254 */     GIR_RootConstrainSelectedInstOperands,
     /* 697255 */     // GIR_Coverage, 4973,
     /* 697255 */     GIR_EraseRootFromParent_Done,
     /* 697256 */   // Label 9081: @697256
     /* 697256 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(697323), // Rule ID 4977 //
     /* 697261 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697265 */     // MIs[0] offset
     /* 697265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697268 */     // MIs[0] auxiliary
     /* 697268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697271 */     // MIs[0] Operand 7
     /* 697271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697289 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 697292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697294 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 697296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697303 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697305 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697311 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697321 */     GIR_RootConstrainSelectedInstOperands,
     /* 697322 */     // GIR_Coverage, 4977,
     /* 697322 */     GIR_EraseRootFromParent_Done,
     /* 697323 */   // Label 9082: @697323
     /* 697323 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(697393), // Rule ID 4981 //
     /* 697328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697335 */     // MIs[0] offset
     /* 697335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697338 */     // MIs[0] auxiliary
     /* 697338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697341 */     // MIs[0] Operand 7
     /* 697341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697359 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_OFFEN),
     /* 697362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697364 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 697366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697373 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697381 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697391 */     GIR_RootConstrainSelectedInstOperands,
     /* 697392 */     // GIR_Coverage, 4981,
     /* 697392 */     GIR_EraseRootFromParent_Done,
     /* 697393 */   // Label 9083: @697393
     /* 697393 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(697460), // Rule ID 4985 //
     /* 697398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 697402 */     // MIs[0] offset
     /* 697402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697405 */     // MIs[0] auxiliary
     /* 697405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697408 */     // MIs[0] Operand 7
     /* 697408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 697419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697426 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_VBUFFER_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_OFFEN),
     /* 697429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697431 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 697433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697440 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697448 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697458 */     GIR_RootConstrainSelectedInstOperands,
     /* 697459 */     // GIR_Coverage, 4985,
     /* 697459 */     GIR_EraseRootFromParent_Done,
     /* 697460 */   // Label 9084: @697460
     /* 697460 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(697522), // Rule ID 4974 //
     /* 697465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697472 */     // MIs[0] offset
     /* 697472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697475 */     // MIs[0] auxiliary
     /* 697475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697478 */     // MIs[0] Operand 7
     /* 697478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697488 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 697491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697493 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 697495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697502 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697510 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697520 */     GIR_RootConstrainSelectedInstOperands,
     /* 697521 */     // GIR_Coverage, 4974,
     /* 697521 */     GIR_EraseRootFromParent_Done,
     /* 697522 */   // Label 9085: @697522
     /* 697522 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(697581), // Rule ID 4978 //
     /* 697527 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697531 */     // MIs[0] offset
     /* 697531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697534 */     // MIs[0] auxiliary
     /* 697534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697537 */     // MIs[0] Operand 7
     /* 697537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697547 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 697550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697552 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 697554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697561 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697563 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697569 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697579 */     GIR_RootConstrainSelectedInstOperands,
     /* 697580 */     // GIR_Coverage, 4978,
     /* 697580 */     GIR_EraseRootFromParent_Done,
     /* 697581 */   // Label 9086: @697581
     /* 697581 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(697643), // Rule ID 4982 //
     /* 697586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697589 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697593 */     // MIs[0] offset
     /* 697593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697596 */     // MIs[0] auxiliary
     /* 697596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697599 */     // MIs[0] Operand 7
     /* 697599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697609 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_IDXEN),
     /* 697612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697614 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 697616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697623 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697625 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697631 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697641 */     GIR_RootConstrainSelectedInstOperands,
     /* 697642 */     // GIR_Coverage, 4982,
     /* 697642 */     GIR_EraseRootFromParent_Done,
     /* 697643 */   // Label 9087: @697643
     /* 697643 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(697702), // Rule ID 4986 //
     /* 697648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 697652 */     // MIs[0] offset
     /* 697652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697655 */     // MIs[0] auxiliary
     /* 697655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697658 */     // MIs[0] Operand 7
     /* 697658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697668 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_IDXEN),
     /* 697671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697673 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 697675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697682 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697690 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697700 */     GIR_RootConstrainSelectedInstOperands,
     /* 697701 */     // GIR_Coverage, 4986,
     /* 697701 */     GIR_EraseRootFromParent_Done,
     /* 697702 */   // Label 9088: @697702
     /* 697702 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(697802), // Rule ID 4975 //
     /* 697707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697710 */     // MIs[0] offset
     /* 697710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697713 */     // MIs[0] auxiliary
     /* 697713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697716 */     // MIs[0] Operand 7
     /* 697716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697726 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[v2i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 697729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 697733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 697738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 697742 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 697745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 697749 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 697752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 697757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 697770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 697775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697782 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697784 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697790 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697800 */     GIR_RootConstrainSelectedInstOperands,
     /* 697801 */     // GIR_Coverage, 4975,
     /* 697801 */     GIR_EraseRootFromParent_Done,
     /* 697802 */   // Label 9089: @697802
     /* 697802 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(697899), // Rule ID 4979 //
     /* 697807 */     // MIs[0] offset
     /* 697807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697810 */     // MIs[0] auxiliary
     /* 697810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697813 */     // MIs[0] Operand 7
     /* 697813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697823 */     // (SIbuffer_load:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[v2i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 697826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 697830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 697835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 697839 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 697842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 697846 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 697849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 697854 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697859 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 697867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 697872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697879 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697881 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697887 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697897 */     GIR_RootConstrainSelectedInstOperands,
     /* 697898 */     // GIR_Coverage, 4979,
     /* 697898 */     GIR_EraseRootFromParent_Done,
     /* 697899 */   // Label 9090: @697899
     /* 697899 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(697999), // Rule ID 4983 //
     /* 697904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 697907 */     // MIs[0] offset
     /* 697907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 697910 */     // MIs[0] auxiliary
     /* 697910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 697913 */     // MIs[0] Operand 7
     /* 697913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 697916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 697923 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 697923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 697926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 697930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 697935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 697939 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 697942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 697946 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 697949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 697954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 697964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_BOTHEN),
     /* 697967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 697969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 697972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 697974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 697979 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 697981 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 697987 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 697993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 697997 */     GIR_RootConstrainSelectedInstOperands,
     /* 697998 */     // GIR_Coverage, 4983,
     /* 697998 */     GIR_EraseRootFromParent_Done,
     /* 697999 */   // Label 9091: @697999
     /* 697999 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(698096), // Rule ID 4987 //
     /* 698004 */     // MIs[0] offset
     /* 698004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698007 */     // MIs[0] auxiliary
     /* 698007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698010 */     // MIs[0] Operand 7
     /* 698010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698020 */     // (SIbuffer_load:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_VBUFFER_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 698023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 698027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 698032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 698036 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 698039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 698043 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 698046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 698051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 698056 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 698061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_VBUFFER_BOTHEN),
     /* 698064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 698069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698076 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698078 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698084 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698094 */     GIR_RootConstrainSelectedInstOperands,
     /* 698095 */     // GIR_Coverage, 4987,
     /* 698095 */     GIR_EraseRootFromParent_Done,
     /* 698096 */   // Label 9092: @698096
     /* 698096 */   GIM_Reject,
     /* 698097 */ // Label 9076: @698097
     /* 698097 */ GIM_Reject,
     /* 698098 */ // Label 8972: @698098
     /* 698098 */ GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(699312),
     /* 698103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 698106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 698109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 698112 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 698115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 698119 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(698191), // Rule ID 5036 //
     /* 698124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698135 */     // MIs[0] offset
     /* 698135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698138 */     // MIs[0] auxiliary
     /* 698138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698141 */     // MIs[0] Operand 7
     /* 698141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698159 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 698162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698171 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698189 */     GIR_RootConstrainSelectedInstOperands,
     /* 698190 */     // GIR_Coverage, 5036,
     /* 698190 */     GIR_EraseRootFromParent_Done,
     /* 698191 */   // Label 9094: @698191
     /* 698191 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(698260), // Rule ID 5040 //
     /* 698196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698204 */     // MIs[0] offset
     /* 698204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698207 */     // MIs[0] auxiliary
     /* 698207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698210 */     // MIs[0] Operand 7
     /* 698210 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698228 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 698231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698240 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698242 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698258 */     GIR_RootConstrainSelectedInstOperands,
     /* 698259 */     // GIR_Coverage, 5040,
     /* 698259 */     GIR_EraseRootFromParent_Done,
     /* 698260 */   // Label 9095: @698260
     /* 698260 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(698332), // Rule ID 5044 //
     /* 698265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698272 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698276 */     // MIs[0] offset
     /* 698276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698279 */     // MIs[0] auxiliary
     /* 698279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698282 */     // MIs[0] Operand 7
     /* 698282 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698300 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 698303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698312 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698314 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698320 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698330 */     GIR_RootConstrainSelectedInstOperands,
     /* 698331 */     // GIR_Coverage, 5044,
     /* 698331 */     GIR_EraseRootFromParent_Done,
     /* 698332 */   // Label 9096: @698332
     /* 698332 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(698401), // Rule ID 5048 //
     /* 698337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698345 */     // MIs[0] offset
     /* 698345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698348 */     // MIs[0] auxiliary
     /* 698348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698351 */     // MIs[0] Operand 7
     /* 698351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698369 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 698372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698381 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698383 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698389 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698399 */     GIR_RootConstrainSelectedInstOperands,
     /* 698400 */     // GIR_Coverage, 5048,
     /* 698400 */     GIR_EraseRootFromParent_Done,
     /* 698401 */   // Label 9097: @698401
     /* 698401 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(698471), // Rule ID 5037 //
     /* 698406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698413 */     // MIs[0] offset
     /* 698413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698416 */     // MIs[0] auxiliary
     /* 698416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698419 */     // MIs[0] Operand 7
     /* 698419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698437 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 698440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698442 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 698444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698451 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698453 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698459 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698469 */     GIR_RootConstrainSelectedInstOperands,
     /* 698470 */     // GIR_Coverage, 5037,
     /* 698470 */     GIR_EraseRootFromParent_Done,
     /* 698471 */   // Label 9098: @698471
     /* 698471 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(698538), // Rule ID 5041 //
     /* 698476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698480 */     // MIs[0] offset
     /* 698480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698483 */     // MIs[0] auxiliary
     /* 698483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698486 */     // MIs[0] Operand 7
     /* 698486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698504 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 698507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698509 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 698511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698518 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698536 */     GIR_RootConstrainSelectedInstOperands,
     /* 698537 */     // GIR_Coverage, 5041,
     /* 698537 */     GIR_EraseRootFromParent_Done,
     /* 698538 */   // Label 9099: @698538
     /* 698538 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(698608), // Rule ID 5045 //
     /* 698543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698550 */     // MIs[0] offset
     /* 698550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698553 */     // MIs[0] auxiliary
     /* 698553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698556 */     // MIs[0] Operand 7
     /* 698556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698574 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 698577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698579 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 698581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698588 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698596 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698606 */     GIR_RootConstrainSelectedInstOperands,
     /* 698607 */     // GIR_Coverage, 5045,
     /* 698607 */     GIR_EraseRootFromParent_Done,
     /* 698608 */   // Label 9100: @698608
     /* 698608 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(698675), // Rule ID 5049 //
     /* 698613 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 698617 */     // MIs[0] offset
     /* 698617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698620 */     // MIs[0] auxiliary
     /* 698620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698623 */     // MIs[0] Operand 7
     /* 698623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 698634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698641 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 698644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698646 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 698648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698655 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698657 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698663 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698673 */     GIR_RootConstrainSelectedInstOperands,
     /* 698674 */     // GIR_Coverage, 5049,
     /* 698674 */     GIR_EraseRootFromParent_Done,
     /* 698675 */   // Label 9101: @698675
     /* 698675 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(698737), // Rule ID 5038 //
     /* 698680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698683 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698687 */     // MIs[0] offset
     /* 698687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698690 */     // MIs[0] auxiliary
     /* 698690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698693 */     // MIs[0] Operand 7
     /* 698693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698703 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 698706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698708 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 698710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698717 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698719 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698725 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698735 */     GIR_RootConstrainSelectedInstOperands,
     /* 698736 */     // GIR_Coverage, 5038,
     /* 698736 */     GIR_EraseRootFromParent_Done,
     /* 698737 */   // Label 9102: @698737
     /* 698737 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(698796), // Rule ID 5042 //
     /* 698742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698746 */     // MIs[0] offset
     /* 698746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698749 */     // MIs[0] auxiliary
     /* 698749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698752 */     // MIs[0] Operand 7
     /* 698752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698762 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 698765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698767 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 698769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698776 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698778 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698784 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698794 */     GIR_RootConstrainSelectedInstOperands,
     /* 698795 */     // GIR_Coverage, 5042,
     /* 698795 */     GIR_EraseRootFromParent_Done,
     /* 698796 */   // Label 9103: @698796
     /* 698796 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(698858), // Rule ID 5046 //
     /* 698801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698804 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698808 */     // MIs[0] offset
     /* 698808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698811 */     // MIs[0] auxiliary
     /* 698811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698814 */     // MIs[0] Operand 7
     /* 698814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698824 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 698827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698829 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 698831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698838 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698840 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698846 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698856 */     GIR_RootConstrainSelectedInstOperands,
     /* 698857 */     // GIR_Coverage, 5046,
     /* 698857 */     GIR_EraseRootFromParent_Done,
     /* 698858 */   // Label 9104: @698858
     /* 698858 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(698917), // Rule ID 5050 //
     /* 698863 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 698867 */     // MIs[0] offset
     /* 698867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698870 */     // MIs[0] auxiliary
     /* 698870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698873 */     // MIs[0] Operand 7
     /* 698873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698883 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 698886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698888 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 698890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698897 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698899 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 698905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 698911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 698915 */     GIR_RootConstrainSelectedInstOperands,
     /* 698916 */     // GIR_Coverage, 5050,
     /* 698916 */     GIR_EraseRootFromParent_Done,
     /* 698917 */   // Label 9105: @698917
     /* 698917 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(699017), // Rule ID 5039 //
     /* 698922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 698925 */     // MIs[0] offset
     /* 698925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 698928 */     // MIs[0] auxiliary
     /* 698928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 698931 */     // MIs[0] Operand 7
     /* 698931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 698934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 698941 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 698941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 698944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 698948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 698953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 698957 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 698960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 698964 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 698967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 698972 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 698977 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 698982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 698985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 698987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 698990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 698992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 698997 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 698999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699015 */     GIR_RootConstrainSelectedInstOperands,
     /* 699016 */     // GIR_Coverage, 5039,
     /* 699016 */     GIR_EraseRootFromParent_Done,
     /* 699017 */   // Label 9106: @699017
     /* 699017 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(699114), // Rule ID 5043 //
     /* 699022 */     // MIs[0] offset
     /* 699022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699025 */     // MIs[0] auxiliary
     /* 699025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699028 */     // MIs[0] Operand 7
     /* 699028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 699031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699038 */     // (SIbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 699041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 699045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 699050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 699054 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 699057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 699061 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 699064 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 699069 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 699082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 699087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699094 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699096 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699112 */     GIR_RootConstrainSelectedInstOperands,
     /* 699113 */     // GIR_Coverage, 5043,
     /* 699113 */     GIR_EraseRootFromParent_Done,
     /* 699114 */   // Label 9107: @699114
     /* 699114 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(699214), // Rule ID 5047 //
     /* 699119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699122 */     // MIs[0] offset
     /* 699122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699125 */     // MIs[0] auxiliary
     /* 699125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699128 */     // MIs[0] Operand 7
     /* 699128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 699131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699138 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 699141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 699145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 699150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 699154 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 699157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 699161 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 699164 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 699169 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699174 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 699182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 699187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699194 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699196 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699202 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699212 */     GIR_RootConstrainSelectedInstOperands,
     /* 699213 */     // GIR_Coverage, 5047,
     /* 699213 */     GIR_EraseRootFromParent_Done,
     /* 699214 */   // Label 9108: @699214
     /* 699214 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(699311), // Rule ID 5051 //
     /* 699219 */     // MIs[0] offset
     /* 699219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699222 */     // MIs[0] auxiliary
     /* 699222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699225 */     // MIs[0] Operand 7
     /* 699225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 699228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699235 */     // (SIbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 699238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 699242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 699247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 699251 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 699254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 699258 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 699261 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 699266 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 699276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 699279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 699284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699291 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699293 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699299 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699309 */     GIR_RootConstrainSelectedInstOperands,
     /* 699310 */     // GIR_Coverage, 5051,
     /* 699310 */     GIR_EraseRootFromParent_Done,
     /* 699311 */   // Label 9109: @699311
     /* 699311 */   GIM_Reject,
     /* 699312 */ // Label 9093: @699312
     /* 699312 */ GIM_Reject,
     /* 699313 */ // Label 8973: @699313
     /* 699313 */ GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(700527),
     /* 699318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 699321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 699324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 699327 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 699330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 699334 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(699406), // Rule ID 5124 //
     /* 699339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699342 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699350 */     // MIs[0] offset
     /* 699350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699353 */     // MIs[0] auxiliary
     /* 699353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699356 */     // MIs[0] Operand 7
     /* 699356 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699374 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v2i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 699377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699386 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699388 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699394 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699404 */     GIR_RootConstrainSelectedInstOperands,
     /* 699405 */     // GIR_Coverage, 5124,
     /* 699405 */     GIR_EraseRootFromParent_Done,
     /* 699406 */   // Label 9111: @699406
     /* 699406 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(699475), // Rule ID 5128 //
     /* 699411 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699415 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699419 */     // MIs[0] offset
     /* 699419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699422 */     // MIs[0] auxiliary
     /* 699422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699425 */     // MIs[0] Operand 7
     /* 699425 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699443 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v2i64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 699446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699455 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699457 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699463 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699473 */     GIR_RootConstrainSelectedInstOperands,
     /* 699474 */     // GIR_Coverage, 5128,
     /* 699474 */     GIR_EraseRootFromParent_Done,
     /* 699475 */   // Label 9112: @699475
     /* 699475 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(699547), // Rule ID 5132 //
     /* 699480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699483 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699491 */     // MIs[0] offset
     /* 699491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699494 */     // MIs[0] auxiliary
     /* 699494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699497 */     // MIs[0] Operand 7
     /* 699497 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699515 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v2f64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 699518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699527 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699529 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699535 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699545 */     GIR_RootConstrainSelectedInstOperands,
     /* 699546 */     // GIR_Coverage, 5132,
     /* 699546 */     GIR_EraseRootFromParent_Done,
     /* 699547 */   // Label 9113: @699547
     /* 699547 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(699616), // Rule ID 5136 //
     /* 699552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699560 */     // MIs[0] offset
     /* 699560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699563 */     // MIs[0] auxiliary
     /* 699563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699566 */     // MIs[0] Operand 7
     /* 699566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699584 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v2f64] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 699587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699596 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699598 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699614 */     GIR_RootConstrainSelectedInstOperands,
     /* 699615 */     // GIR_Coverage, 5136,
     /* 699615 */     GIR_EraseRootFromParent_Done,
     /* 699616 */   // Label 9114: @699616
     /* 699616 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(699686), // Rule ID 5125 //
     /* 699621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699628 */     // MIs[0] offset
     /* 699628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699631 */     // MIs[0] auxiliary
     /* 699631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699634 */     // MIs[0] Operand 7
     /* 699634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699652 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v2i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 699655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699657 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 699659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699666 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699668 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699674 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699684 */     GIR_RootConstrainSelectedInstOperands,
     /* 699685 */     // GIR_Coverage, 5125,
     /* 699685 */     GIR_EraseRootFromParent_Done,
     /* 699686 */   // Label 9115: @699686
     /* 699686 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(699753), // Rule ID 5129 //
     /* 699691 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699695 */     // MIs[0] offset
     /* 699695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699698 */     // MIs[0] auxiliary
     /* 699698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699701 */     // MIs[0] Operand 7
     /* 699701 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699719 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v2i64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 699722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699724 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 699726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699733 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699735 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699741 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699751 */     GIR_RootConstrainSelectedInstOperands,
     /* 699752 */     // GIR_Coverage, 5129,
     /* 699752 */     GIR_EraseRootFromParent_Done,
     /* 699753 */   // Label 9116: @699753
     /* 699753 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(699823), // Rule ID 5133 //
     /* 699758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699761 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699765 */     // MIs[0] offset
     /* 699765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699768 */     // MIs[0] auxiliary
     /* 699768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699771 */     // MIs[0] Operand 7
     /* 699771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699789 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v2f64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 699792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699794 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 699796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699803 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699805 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699811 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699821 */     GIR_RootConstrainSelectedInstOperands,
     /* 699822 */     // GIR_Coverage, 5133,
     /* 699822 */     GIR_EraseRootFromParent_Done,
     /* 699823 */   // Label 9117: @699823
     /* 699823 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(699890), // Rule ID 5137 //
     /* 699828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 699832 */     // MIs[0] offset
     /* 699832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699835 */     // MIs[0] auxiliary
     /* 699835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699838 */     // MIs[0] Operand 7
     /* 699838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 699849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699856 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v2f64] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 699859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699861 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 699863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699870 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699872 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699878 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699888 */     GIR_RootConstrainSelectedInstOperands,
     /* 699889 */     // GIR_Coverage, 5137,
     /* 699889 */     GIR_EraseRootFromParent_Done,
     /* 699890 */   // Label 9118: @699890
     /* 699890 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(699952), // Rule ID 5126 //
     /* 699895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 699898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699902 */     // MIs[0] offset
     /* 699902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699905 */     // MIs[0] auxiliary
     /* 699905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699908 */     // MIs[0] Operand 7
     /* 699908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 699911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699918 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v2i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 699921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699923 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 699925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699932 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699934 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699940 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 699946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 699950 */     GIR_RootConstrainSelectedInstOperands,
     /* 699951 */     // GIR_Coverage, 5126,
     /* 699951 */     GIR_EraseRootFromParent_Done,
     /* 699952 */   // Label 9119: @699952
     /* 699952 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(700011), // Rule ID 5130 //
     /* 699957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 699961 */     // MIs[0] offset
     /* 699961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 699964 */     // MIs[0] auxiliary
     /* 699964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 699967 */     // MIs[0] Operand 7
     /* 699967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 699970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 699977 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v2i64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 699977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 699980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 699982 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 699984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 699986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 699991 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 699993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 699999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700009 */     GIR_RootConstrainSelectedInstOperands,
     /* 700010 */     // GIR_Coverage, 5130,
     /* 700010 */     GIR_EraseRootFromParent_Done,
     /* 700011 */   // Label 9120: @700011
     /* 700011 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(700073), // Rule ID 5134 //
     /* 700016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700023 */     // MIs[0] offset
     /* 700023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700026 */     // MIs[0] auxiliary
     /* 700026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700029 */     // MIs[0] Operand 7
     /* 700029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700039 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v2f64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 700042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700044 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 700046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700053 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700055 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700061 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700071 */     GIR_RootConstrainSelectedInstOperands,
     /* 700072 */     // GIR_Coverage, 5134,
     /* 700072 */     GIR_EraseRootFromParent_Done,
     /* 700073 */   // Label 9121: @700073
     /* 700073 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(700132), // Rule ID 5138 //
     /* 700078 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700082 */     // MIs[0] offset
     /* 700082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700085 */     // MIs[0] auxiliary
     /* 700085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700088 */     // MIs[0] Operand 7
     /* 700088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700098 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v2f64] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 700101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700103 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 700105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700112 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700114 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700130 */     GIR_RootConstrainSelectedInstOperands,
     /* 700131 */     // GIR_Coverage, 5138,
     /* 700131 */     GIR_EraseRootFromParent_Done,
     /* 700132 */   // Label 9122: @700132
     /* 700132 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(700232), // Rule ID 5127 //
     /* 700137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700140 */     // MIs[0] offset
     /* 700140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700143 */     // MIs[0] auxiliary
     /* 700143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700146 */     // MIs[0] Operand 7
     /* 700146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700156 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v2i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 700159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 700163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 700168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 700172 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 700175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 700179 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 700182 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 700187 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700192 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 700200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 700205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700212 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700214 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700220 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700230 */     GIR_RootConstrainSelectedInstOperands,
     /* 700231 */     // GIR_Coverage, 5127,
     /* 700231 */     GIR_EraseRootFromParent_Done,
     /* 700232 */   // Label 9123: @700232
     /* 700232 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(700329), // Rule ID 5131 //
     /* 700237 */     // MIs[0] offset
     /* 700237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700240 */     // MIs[0] auxiliary
     /* 700240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700243 */     // MIs[0] Operand 7
     /* 700243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700253 */     // (SIbuffer_load:{ *:[v2i64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v2i64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 700256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 700260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 700265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 700269 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 700272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 700276 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 700279 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 700284 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700289 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 700297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 700302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700309 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700311 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700317 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700327 */     GIR_RootConstrainSelectedInstOperands,
     /* 700328 */     // GIR_Coverage, 5131,
     /* 700328 */     GIR_EraseRootFromParent_Done,
     /* 700329 */   // Label 9124: @700329
     /* 700329 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(700429), // Rule ID 5135 //
     /* 700334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700337 */     // MIs[0] offset
     /* 700337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700340 */     // MIs[0] auxiliary
     /* 700340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700343 */     // MIs[0] Operand 7
     /* 700343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700353 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v2f64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 700356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 700360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 700365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 700369 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 700372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 700376 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 700379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 700384 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700389 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 700397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 700402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700409 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700411 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700417 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700427 */     GIR_RootConstrainSelectedInstOperands,
     /* 700428 */     // GIR_Coverage, 5135,
     /* 700428 */     GIR_EraseRootFromParent_Done,
     /* 700429 */   // Label 9125: @700429
     /* 700429 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(700526), // Rule ID 5139 //
     /* 700434 */     // MIs[0] offset
     /* 700434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700437 */     // MIs[0] auxiliary
     /* 700437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700440 */     // MIs[0] Operand 7
     /* 700440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 700443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700450 */     // (SIbuffer_load:{ *:[v2f64] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v2f64] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 700453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 700457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 700462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 700466 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 700469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 700473 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 700476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 700481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700486 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 700491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 700494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 700499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700506 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700508 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700514 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700524 */     GIR_RootConstrainSelectedInstOperands,
     /* 700525 */     // GIR_Coverage, 5139,
     /* 700525 */     GIR_EraseRootFromParent_Done,
     /* 700526 */   // Label 9126: @700526
     /* 700526 */   GIM_Reject,
     /* 700527 */ // Label 9110: @700527
     /* 700527 */ GIM_Reject,
     /* 700528 */ // Label 8974: @700528
     /* 700528 */ GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(701742),
     /* 700533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 700536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 700539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 700542 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 700545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 700549 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(700621), // Rule ID 5092 //
     /* 700554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700565 */     // MIs[0] offset
     /* 700565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700568 */     // MIs[0] auxiliary
     /* 700568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700571 */     // MIs[0] Operand 7
     /* 700571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700589 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFSET),
     /* 700592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700601 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700603 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700609 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700619 */     GIR_RootConstrainSelectedInstOperands,
     /* 700620 */     // GIR_Coverage, 5092,
     /* 700620 */     GIR_EraseRootFromParent_Done,
     /* 700621 */   // Label 9128: @700621
     /* 700621 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(700690), // Rule ID 5096 //
     /* 700626 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700634 */     // MIs[0] offset
     /* 700634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700637 */     // MIs[0] auxiliary
     /* 700637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700640 */     // MIs[0] Operand 7
     /* 700640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700658 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET),
     /* 700661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700670 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700688 */     GIR_RootConstrainSelectedInstOperands,
     /* 700689 */     // GIR_Coverage, 5096,
     /* 700689 */     GIR_EraseRootFromParent_Done,
     /* 700690 */   // Label 9129: @700690
     /* 700690 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(700762), // Rule ID 5100 //
     /* 700695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700706 */     // MIs[0] offset
     /* 700706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700709 */     // MIs[0] auxiliary
     /* 700709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700712 */     // MIs[0] Operand 7
     /* 700712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700730 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFSET),
     /* 700733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700742 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700750 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700760 */     GIR_RootConstrainSelectedInstOperands,
     /* 700761 */     // GIR_Coverage, 5100,
     /* 700761 */     GIR_EraseRootFromParent_Done,
     /* 700762 */   // Label 9130: @700762
     /* 700762 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(700831), // Rule ID 5104 //
     /* 700767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 700775 */     // MIs[0] offset
     /* 700775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700778 */     // MIs[0] auxiliary
     /* 700778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700781 */     // MIs[0] Operand 7
     /* 700781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700799 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFSET),
     /* 700802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700811 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700813 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700819 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700829 */     GIR_RootConstrainSelectedInstOperands,
     /* 700830 */     // GIR_Coverage, 5104,
     /* 700830 */     GIR_EraseRootFromParent_Done,
     /* 700831 */   // Label 9131: @700831
     /* 700831 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(700901), // Rule ID 5093 //
     /* 700836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700843 */     // MIs[0] offset
     /* 700843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700846 */     // MIs[0] auxiliary
     /* 700846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700849 */     // MIs[0] Operand 7
     /* 700849 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700867 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFEN),
     /* 700870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700872 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 700874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700881 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700883 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700889 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700899 */     GIR_RootConstrainSelectedInstOperands,
     /* 700900 */     // GIR_Coverage, 5093,
     /* 700900 */     GIR_EraseRootFromParent_Done,
     /* 700901 */   // Label 9132: @700901
     /* 700901 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(700968), // Rule ID 5097 //
     /* 700906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700910 */     // MIs[0] offset
     /* 700910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700913 */     // MIs[0] auxiliary
     /* 700913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700916 */     // MIs[0] Operand 7
     /* 700916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 700934 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 700934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN),
     /* 700937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 700939 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 700941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 700943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 700948 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 700950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 700956 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 700962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 700966 */     GIR_RootConstrainSelectedInstOperands,
     /* 700967 */     // GIR_Coverage, 5097,
     /* 700967 */     GIR_EraseRootFromParent_Done,
     /* 700968 */   // Label 9133: @700968
     /* 700968 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(701038), // Rule ID 5101 //
     /* 700973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 700976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 700980 */     // MIs[0] offset
     /* 700980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 700983 */     // MIs[0] auxiliary
     /* 700983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 700986 */     // MIs[0] Operand 7
     /* 700986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 700997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701004 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_OFFEN),
     /* 701007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701009 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 701011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701018 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701036 */     GIR_RootConstrainSelectedInstOperands,
     /* 701037 */     // GIR_Coverage, 5101,
     /* 701037 */     GIR_EraseRootFromParent_Done,
     /* 701038 */   // Label 9134: @701038
     /* 701038 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(701105), // Rule ID 5105 //
     /* 701043 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 701047 */     // MIs[0] offset
     /* 701047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701050 */     // MIs[0] auxiliary
     /* 701050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701053 */     // MIs[0] Operand 7
     /* 701053 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 701064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701071 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_OFFEN),
     /* 701074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701076 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 701078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701085 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701087 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701093 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701103 */     GIR_RootConstrainSelectedInstOperands,
     /* 701104 */     // GIR_Coverage, 5105,
     /* 701104 */     GIR_EraseRootFromParent_Done,
     /* 701105 */   // Label 9135: @701105
     /* 701105 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(701167), // Rule ID 5094 //
     /* 701110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701117 */     // MIs[0] offset
     /* 701117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701120 */     // MIs[0] auxiliary
     /* 701120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701123 */     // MIs[0] Operand 7
     /* 701123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701133 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_IDXEN),
     /* 701136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701138 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 701140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701147 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701149 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701155 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701165 */     GIR_RootConstrainSelectedInstOperands,
     /* 701166 */     // GIR_Coverage, 5094,
     /* 701166 */     GIR_EraseRootFromParent_Done,
     /* 701167 */   // Label 9136: @701167
     /* 701167 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(701226), // Rule ID 5098 //
     /* 701172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701176 */     // MIs[0] offset
     /* 701176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701179 */     // MIs[0] auxiliary
     /* 701179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701182 */     // MIs[0] Operand 7
     /* 701182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701192 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_IDXEN),
     /* 701195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701197 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 701199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701206 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701208 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701214 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701224 */     GIR_RootConstrainSelectedInstOperands,
     /* 701225 */     // GIR_Coverage, 5098,
     /* 701225 */     GIR_EraseRootFromParent_Done,
     /* 701226 */   // Label 9137: @701226
     /* 701226 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(701288), // Rule ID 5102 //
     /* 701231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701238 */     // MIs[0] offset
     /* 701238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701241 */     // MIs[0] auxiliary
     /* 701241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701244 */     // MIs[0] Operand 7
     /* 701244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701254 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_IDXEN),
     /* 701257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701259 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 701261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701268 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701270 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701286 */     GIR_RootConstrainSelectedInstOperands,
     /* 701287 */     // GIR_Coverage, 5102,
     /* 701287 */     GIR_EraseRootFromParent_Done,
     /* 701288 */   // Label 9138: @701288
     /* 701288 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(701347), // Rule ID 5106 //
     /* 701293 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701297 */     // MIs[0] offset
     /* 701297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701300 */     // MIs[0] auxiliary
     /* 701300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701303 */     // MIs[0] Operand 7
     /* 701303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701313 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_IDXEN),
     /* 701316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701318 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 701320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701327 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701329 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701335 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701345 */     GIR_RootConstrainSelectedInstOperands,
     /* 701346 */     // GIR_Coverage, 5106,
     /* 701346 */     GIR_EraseRootFromParent_Done,
     /* 701347 */   // Label 9139: @701347
     /* 701347 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(701447), // Rule ID 5095 //
     /* 701352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701355 */     // MIs[0] offset
     /* 701355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701358 */     // MIs[0] auxiliary
     /* 701358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701361 */     // MIs[0] Operand 7
     /* 701361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701371 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 701374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 701378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 701383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 701387 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 701390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 701394 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 701397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 701402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_BOTHEN),
     /* 701415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 701420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701427 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701435 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701445 */     GIR_RootConstrainSelectedInstOperands,
     /* 701446 */     // GIR_Coverage, 5095,
     /* 701446 */     GIR_EraseRootFromParent_Done,
     /* 701447 */   // Label 9140: @701447
     /* 701447 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(701544), // Rule ID 5099 //
     /* 701452 */     // MIs[0] offset
     /* 701452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701455 */     // MIs[0] auxiliary
     /* 701455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701458 */     // MIs[0] Operand 7
     /* 701458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701468 */     // (SIbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 701471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 701475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 701480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 701484 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 701487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 701491 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 701494 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 701499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_BOTHEN),
     /* 701512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 701517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701524 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701532 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701542 */     GIR_RootConstrainSelectedInstOperands,
     /* 701543 */     // GIR_Coverage, 5099,
     /* 701543 */     GIR_EraseRootFromParent_Done,
     /* 701544 */   // Label 9141: @701544
     /* 701544 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(701644), // Rule ID 5103 //
     /* 701549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701552 */     // MIs[0] offset
     /* 701552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701555 */     // MIs[0] auxiliary
     /* 701555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701558 */     // MIs[0] Operand 7
     /* 701558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701568 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 701571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 701575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 701580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 701584 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 701587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 701591 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 701594 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 701599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_BOTHEN),
     /* 701612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 701617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701624 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701626 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701632 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701642 */     GIR_RootConstrainSelectedInstOperands,
     /* 701643 */     // GIR_Coverage, 5103,
     /* 701643 */     GIR_EraseRootFromParent_Done,
     /* 701644 */   // Label 9142: @701644
     /* 701644 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(701741), // Rule ID 5107 //
     /* 701649 */     // MIs[0] offset
     /* 701649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701652 */     // MIs[0] auxiliary
     /* 701652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701655 */     // MIs[0] Operand 7
     /* 701655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 701658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701665 */     // (SIbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_VBUFFER_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 701668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 701672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 701677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 701681 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 701684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 701688 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 701691 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 701696 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 701706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_VBUFFER_BOTHEN),
     /* 701709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 701714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701721 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701729 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701739 */     GIR_RootConstrainSelectedInstOperands,
     /* 701740 */     // GIR_Coverage, 5107,
     /* 701740 */     GIR_EraseRootFromParent_Done,
     /* 701741 */   // Label 9143: @701741
     /* 701741 */   GIM_Reject,
     /* 701742 */ // Label 9127: @701742
     /* 701742 */ GIM_Reject,
     /* 701743 */ // Label 8975: @701743
     /* 701743 */ GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(702957),
     /* 701748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 701751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 701754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 701757 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 701760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 701764 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(701836), // Rule ID 5052 //
     /* 701769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701772 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 701776 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701780 */     // MIs[0] offset
     /* 701780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701783 */     // MIs[0] auxiliary
     /* 701783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701786 */     // MIs[0] Operand 7
     /* 701786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 701797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701804 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 701807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701816 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701818 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701824 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701834 */     GIR_RootConstrainSelectedInstOperands,
     /* 701835 */     // GIR_Coverage, 5052,
     /* 701835 */     GIR_EraseRootFromParent_Done,
     /* 701836 */   // Label 9145: @701836
     /* 701836 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(701905), // Rule ID 5056 //
     /* 701841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 701845 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701849 */     // MIs[0] offset
     /* 701849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701852 */     // MIs[0] auxiliary
     /* 701852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701855 */     // MIs[0] Operand 7
     /* 701855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 701866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701873 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 701876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701885 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701887 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701893 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701903 */     GIR_RootConstrainSelectedInstOperands,
     /* 701904 */     // GIR_Coverage, 5056,
     /* 701904 */     GIR_EraseRootFromParent_Done,
     /* 701905 */   // Label 9146: @701905
     /* 701905 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(701977), // Rule ID 5060 //
     /* 701910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 701913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 701917 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701921 */     // MIs[0] offset
     /* 701921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701924 */     // MIs[0] auxiliary
     /* 701924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701927 */     // MIs[0] Operand 7
     /* 701927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 701938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 701945 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 701945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFSET),
     /* 701948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 701950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 701952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 701957 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 701959 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 701965 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 701971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 701975 */     GIR_RootConstrainSelectedInstOperands,
     /* 701976 */     // GIR_Coverage, 5060,
     /* 701976 */     GIR_EraseRootFromParent_Done,
     /* 701977 */   // Label 9147: @701977
     /* 701977 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(702046), // Rule ID 5064 //
     /* 701982 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 701986 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 701990 */     // MIs[0] offset
     /* 701990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 701993 */     // MIs[0] auxiliary
     /* 701993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 701996 */     // MIs[0] Operand 7
     /* 701996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 702007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702014 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFSET),
     /* 702017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702026 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702028 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702034 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702044 */     GIR_RootConstrainSelectedInstOperands,
     /* 702045 */     // GIR_Coverage, 5064,
     /* 702045 */     GIR_EraseRootFromParent_Done,
     /* 702046 */   // Label 9148: @702046
     /* 702046 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(702116), // Rule ID 5053 //
     /* 702051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 702058 */     // MIs[0] offset
     /* 702058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702061 */     // MIs[0] auxiliary
     /* 702061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702064 */     // MIs[0] Operand 7
     /* 702064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 702075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702082 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 702085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702087 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 702089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702096 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702098 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702114 */     GIR_RootConstrainSelectedInstOperands,
     /* 702115 */     // GIR_Coverage, 5053,
     /* 702115 */     GIR_EraseRootFromParent_Done,
     /* 702116 */   // Label 9149: @702116
     /* 702116 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(702183), // Rule ID 5057 //
     /* 702121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 702125 */     // MIs[0] offset
     /* 702125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702128 */     // MIs[0] auxiliary
     /* 702128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702131 */     // MIs[0] Operand 7
     /* 702131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 702142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702149 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 702152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702154 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 702156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702163 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702165 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702171 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702181 */     GIR_RootConstrainSelectedInstOperands,
     /* 702182 */     // GIR_Coverage, 5057,
     /* 702182 */     GIR_EraseRootFromParent_Done,
     /* 702183 */   // Label 9150: @702183
     /* 702183 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(702253), // Rule ID 5061 //
     /* 702188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 702195 */     // MIs[0] offset
     /* 702195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702198 */     // MIs[0] auxiliary
     /* 702198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702201 */     // MIs[0] Operand 7
     /* 702201 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 702212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702219 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_OFFEN),
     /* 702222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702224 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 702226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702233 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702241 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702251 */     GIR_RootConstrainSelectedInstOperands,
     /* 702252 */     // GIR_Coverage, 5061,
     /* 702252 */     GIR_EraseRootFromParent_Done,
     /* 702253 */   // Label 9151: @702253
     /* 702253 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(702320), // Rule ID 5065 //
     /* 702258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 702262 */     // MIs[0] offset
     /* 702262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702265 */     // MIs[0] auxiliary
     /* 702265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702268 */     // MIs[0] Operand 7
     /* 702268 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 702279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702286 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_OFFEN),
     /* 702289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702291 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 702293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702300 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702308 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702318 */     GIR_RootConstrainSelectedInstOperands,
     /* 702319 */     // GIR_Coverage, 5065,
     /* 702319 */     GIR_EraseRootFromParent_Done,
     /* 702320 */   // Label 9152: @702320
     /* 702320 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(702382), // Rule ID 5054 //
     /* 702325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702328 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 702332 */     // MIs[0] offset
     /* 702332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702335 */     // MIs[0] auxiliary
     /* 702335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702338 */     // MIs[0] Operand 7
     /* 702338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702348 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 702351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702353 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 702355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702362 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702380 */     GIR_RootConstrainSelectedInstOperands,
     /* 702381 */     // GIR_Coverage, 5054,
     /* 702381 */     GIR_EraseRootFromParent_Done,
     /* 702382 */   // Label 9153: @702382
     /* 702382 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(702441), // Rule ID 5058 //
     /* 702387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 702391 */     // MIs[0] offset
     /* 702391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702394 */     // MIs[0] auxiliary
     /* 702394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702397 */     // MIs[0] Operand 7
     /* 702397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702407 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 702410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702412 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 702414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702421 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702423 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702439 */     GIR_RootConstrainSelectedInstOperands,
     /* 702440 */     // GIR_Coverage, 5058,
     /* 702440 */     GIR_EraseRootFromParent_Done,
     /* 702441 */   // Label 9154: @702441
     /* 702441 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(702503), // Rule ID 5062 //
     /* 702446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702449 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 702453 */     // MIs[0] offset
     /* 702453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702456 */     // MIs[0] auxiliary
     /* 702456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702459 */     // MIs[0] Operand 7
     /* 702459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702469 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_IDXEN),
     /* 702472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702474 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 702476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702483 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702501 */     GIR_RootConstrainSelectedInstOperands,
     /* 702502 */     // GIR_Coverage, 5062,
     /* 702502 */     GIR_EraseRootFromParent_Done,
     /* 702503 */   // Label 9155: @702503
     /* 702503 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(702562), // Rule ID 5066 //
     /* 702508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 702512 */     // MIs[0] offset
     /* 702512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702515 */     // MIs[0] auxiliary
     /* 702515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702518 */     // MIs[0] Operand 7
     /* 702518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702528 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_IDXEN),
     /* 702531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702533 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 702535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702542 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702544 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702550 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702560 */     GIR_RootConstrainSelectedInstOperands,
     /* 702561 */     // GIR_Coverage, 5066,
     /* 702561 */     GIR_EraseRootFromParent_Done,
     /* 702562 */   // Label 9156: @702562
     /* 702562 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(702662), // Rule ID 5055 //
     /* 702567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702570 */     // MIs[0] offset
     /* 702570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702573 */     // MIs[0] auxiliary
     /* 702573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702576 */     // MIs[0] Operand 7
     /* 702576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702586 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 702589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 702593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 702598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 702602 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 702605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 702609 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 702612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 702617 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702622 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 702630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 702635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702642 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702644 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702650 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702660 */     GIR_RootConstrainSelectedInstOperands,
     /* 702661 */     // GIR_Coverage, 5055,
     /* 702661 */     GIR_EraseRootFromParent_Done,
     /* 702662 */   // Label 9157: @702662
     /* 702662 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(702759), // Rule ID 5059 //
     /* 702667 */     // MIs[0] offset
     /* 702667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702670 */     // MIs[0] auxiliary
     /* 702670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702673 */     // MIs[0] Operand 7
     /* 702673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702683 */     // (SIbuffer_load:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 702686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 702690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 702695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 702699 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 702702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 702706 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 702709 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 702714 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 702727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 702732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702739 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702741 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702747 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702757 */     GIR_RootConstrainSelectedInstOperands,
     /* 702758 */     // GIR_Coverage, 5059,
     /* 702758 */     GIR_EraseRootFromParent_Done,
     /* 702759 */   // Label 9158: @702759
     /* 702759 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(702859), // Rule ID 5063 //
     /* 702764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702767 */     // MIs[0] offset
     /* 702767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702770 */     // MIs[0] auxiliary
     /* 702770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702773 */     // MIs[0] Operand 7
     /* 702773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702783 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 702786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 702790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 702795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 702799 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 702802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 702806 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 702809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 702814 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702819 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_BOTHEN),
     /* 702827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 702832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702839 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702841 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702847 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702857 */     GIR_RootConstrainSelectedInstOperands,
     /* 702858 */     // GIR_Coverage, 5063,
     /* 702858 */     GIR_EraseRootFromParent_Done,
     /* 702859 */   // Label 9159: @702859
     /* 702859 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(702956), // Rule ID 5067 //
     /* 702864 */     // MIs[0] offset
     /* 702864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702867 */     // MIs[0] auxiliary
     /* 702867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 702870 */     // MIs[0] Operand 7
     /* 702870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 702873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 702880 */     // (SIbuffer_load:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 702880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 702883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 702887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 702892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 702896 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 702899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 702903 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 702906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 702911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702916 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 702921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_VBUFFER_BOTHEN),
     /* 702924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 702926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 702929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 702931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 702936 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 702938 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 702944 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 702950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 702954 */     GIR_RootConstrainSelectedInstOperands,
     /* 702955 */     // GIR_Coverage, 5067,
     /* 702955 */     GIR_EraseRootFromParent_Done,
     /* 702956 */   // Label 9160: @702956
     /* 702956 */   GIM_Reject,
     /* 702957 */ // Label 9144: @702957
     /* 702957 */ GIM_Reject,
     /* 702958 */ // Label 8976: @702958
     /* 702958 */ GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(704172),
     /* 702963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 702966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 702969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 702972 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 702975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 702979 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(703051), // Rule ID 5108 //
     /* 702984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 702987 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 702991 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 702995 */     // MIs[0] offset
     /* 702995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 702998 */     // MIs[0] auxiliary
     /* 702998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703001 */     // MIs[0] Operand 7
     /* 703001 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703019 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 703022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703031 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703033 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703039 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703049 */     GIR_RootConstrainSelectedInstOperands,
     /* 703050 */     // GIR_Coverage, 5108,
     /* 703050 */     GIR_EraseRootFromParent_Done,
     /* 703051 */   // Label 9162: @703051
     /* 703051 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(703120), // Rule ID 5112 //
     /* 703056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703064 */     // MIs[0] offset
     /* 703064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703067 */     // MIs[0] auxiliary
     /* 703067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703070 */     // MIs[0] Operand 7
     /* 703070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703088 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 703091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703100 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703108 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703118 */     GIR_RootConstrainSelectedInstOperands,
     /* 703119 */     // GIR_Coverage, 5112,
     /* 703119 */     GIR_EraseRootFromParent_Done,
     /* 703120 */   // Label 9163: @703120
     /* 703120 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(703192), // Rule ID 5116 //
     /* 703125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703128 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703136 */     // MIs[0] offset
     /* 703136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703139 */     // MIs[0] auxiliary
     /* 703139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703142 */     // MIs[0] Operand 7
     /* 703142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703160 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 703163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703172 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703174 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703180 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703190 */     GIR_RootConstrainSelectedInstOperands,
     /* 703191 */     // GIR_Coverage, 5116,
     /* 703191 */     GIR_EraseRootFromParent_Done,
     /* 703192 */   // Label 9164: @703192
     /* 703192 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(703261), // Rule ID 5120 //
     /* 703197 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703201 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703205 */     // MIs[0] offset
     /* 703205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703208 */     // MIs[0] auxiliary
     /* 703208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703211 */     // MIs[0] Operand 7
     /* 703211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703229 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 703232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703241 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703243 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703249 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703259 */     GIR_RootConstrainSelectedInstOperands,
     /* 703260 */     // GIR_Coverage, 5120,
     /* 703260 */     GIR_EraseRootFromParent_Done,
     /* 703261 */   // Label 9165: @703261
     /* 703261 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(703331), // Rule ID 5109 //
     /* 703266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703269 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703273 */     // MIs[0] offset
     /* 703273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703276 */     // MIs[0] auxiliary
     /* 703276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703279 */     // MIs[0] Operand 7
     /* 703279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703297 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 703300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703302 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 703304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703311 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703313 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703319 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703329 */     GIR_RootConstrainSelectedInstOperands,
     /* 703330 */     // GIR_Coverage, 5109,
     /* 703330 */     GIR_EraseRootFromParent_Done,
     /* 703331 */   // Label 9166: @703331
     /* 703331 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(703398), // Rule ID 5113 //
     /* 703336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703340 */     // MIs[0] offset
     /* 703340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703343 */     // MIs[0] auxiliary
     /* 703343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703346 */     // MIs[0] Operand 7
     /* 703346 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703364 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 703367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703369 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 703371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703378 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703380 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703386 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703396 */     GIR_RootConstrainSelectedInstOperands,
     /* 703397 */     // GIR_Coverage, 5113,
     /* 703397 */     GIR_EraseRootFromParent_Done,
     /* 703398 */   // Label 9167: @703398
     /* 703398 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(703468), // Rule ID 5117 //
     /* 703403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703406 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703410 */     // MIs[0] offset
     /* 703410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703413 */     // MIs[0] auxiliary
     /* 703413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703416 */     // MIs[0] Operand 7
     /* 703416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703434 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 703437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703439 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 703441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703448 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703456 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703462 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703466 */     GIR_RootConstrainSelectedInstOperands,
     /* 703467 */     // GIR_Coverage, 5117,
     /* 703467 */     GIR_EraseRootFromParent_Done,
     /* 703468 */   // Label 9168: @703468
     /* 703468 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(703535), // Rule ID 5121 //
     /* 703473 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 703477 */     // MIs[0] offset
     /* 703477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703480 */     // MIs[0] auxiliary
     /* 703480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703483 */     // MIs[0] Operand 7
     /* 703483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 703494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703501 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 703504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703506 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 703508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703515 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703517 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703523 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703533 */     GIR_RootConstrainSelectedInstOperands,
     /* 703534 */     // GIR_Coverage, 5121,
     /* 703534 */     GIR_EraseRootFromParent_Done,
     /* 703535 */   // Label 9169: @703535
     /* 703535 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(703597), // Rule ID 5110 //
     /* 703540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703547 */     // MIs[0] offset
     /* 703547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703550 */     // MIs[0] auxiliary
     /* 703550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703553 */     // MIs[0] Operand 7
     /* 703553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703563 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 703566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703568 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 703570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703577 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703579 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703585 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703595 */     GIR_RootConstrainSelectedInstOperands,
     /* 703596 */     // GIR_Coverage, 5110,
     /* 703596 */     GIR_EraseRootFromParent_Done,
     /* 703597 */   // Label 9170: @703597
     /* 703597 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(703656), // Rule ID 5114 //
     /* 703602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703606 */     // MIs[0] offset
     /* 703606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703609 */     // MIs[0] auxiliary
     /* 703609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703612 */     // MIs[0] Operand 7
     /* 703612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703622 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 703625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703627 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 703629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703636 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703638 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703644 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703654 */     GIR_RootConstrainSelectedInstOperands,
     /* 703655 */     // GIR_Coverage, 5114,
     /* 703655 */     GIR_EraseRootFromParent_Done,
     /* 703656 */   // Label 9171: @703656
     /* 703656 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(703718), // Rule ID 5118 //
     /* 703661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703668 */     // MIs[0] offset
     /* 703668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703671 */     // MIs[0] auxiliary
     /* 703671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703674 */     // MIs[0] Operand 7
     /* 703674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703684 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 703687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703689 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 703691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703698 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703700 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703706 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703716 */     GIR_RootConstrainSelectedInstOperands,
     /* 703717 */     // GIR_Coverage, 5118,
     /* 703717 */     GIR_EraseRootFromParent_Done,
     /* 703718 */   // Label 9172: @703718
     /* 703718 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(703777), // Rule ID 5122 //
     /* 703723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 703727 */     // MIs[0] offset
     /* 703727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703730 */     // MIs[0] auxiliary
     /* 703730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703733 */     // MIs[0] Operand 7
     /* 703733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703743 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 703746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703748 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 703750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703757 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703759 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703765 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703775 */     GIR_RootConstrainSelectedInstOperands,
     /* 703776 */     // GIR_Coverage, 5122,
     /* 703776 */     GIR_EraseRootFromParent_Done,
     /* 703777 */   // Label 9173: @703777
     /* 703777 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(703877), // Rule ID 5111 //
     /* 703782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703785 */     // MIs[0] offset
     /* 703785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703788 */     // MIs[0] auxiliary
     /* 703788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703791 */     // MIs[0] Operand 7
     /* 703791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703801 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 703804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 703808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 703813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 703817 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 703820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 703824 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 703827 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 703832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 703837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 703842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 703845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 703850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703857 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703859 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703865 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703875 */     GIR_RootConstrainSelectedInstOperands,
     /* 703876 */     // GIR_Coverage, 5111,
     /* 703876 */     GIR_EraseRootFromParent_Done,
     /* 703877 */   // Label 9174: @703877
     /* 703877 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(703974), // Rule ID 5115 //
     /* 703882 */     // MIs[0] offset
     /* 703882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703885 */     // MIs[0] auxiliary
     /* 703885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703888 */     // MIs[0] Operand 7
     /* 703888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703898 */     // (SIbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 703901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 703905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 703910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 703914 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 703917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 703921 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 703924 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 703929 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 703934 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 703939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 703942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 703944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 703947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 703949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 703954 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 703956 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 703962 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 703968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 703972 */     GIR_RootConstrainSelectedInstOperands,
     /* 703973 */     // GIR_Coverage, 5115,
     /* 703973 */     GIR_EraseRootFromParent_Done,
     /* 703974 */   // Label 9175: @703974
     /* 703974 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(704074), // Rule ID 5119 //
     /* 703979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 703982 */     // MIs[0] offset
     /* 703982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 703985 */     // MIs[0] auxiliary
     /* 703985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 703988 */     // MIs[0] Operand 7
     /* 703988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 703991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 703998 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 703998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 704001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 704005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 704010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 704014 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 704017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 704021 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 704024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 704029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 704034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 704039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 704042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 704047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704054 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704072 */     GIR_RootConstrainSelectedInstOperands,
     /* 704073 */     // GIR_Coverage, 5119,
     /* 704073 */     GIR_EraseRootFromParent_Done,
     /* 704074 */   // Label 9176: @704074
     /* 704074 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(704171), // Rule ID 5123 //
     /* 704079 */     // MIs[0] offset
     /* 704079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704082 */     // MIs[0] auxiliary
     /* 704082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704085 */     // MIs[0] Operand 7
     /* 704085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 704088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704095 */     // (SIbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 704098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 704102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 704107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 704111 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 704114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 704118 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 704121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 704126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 704131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 704136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 704139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 704144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704151 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704153 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704159 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704169 */     GIR_RootConstrainSelectedInstOperands,
     /* 704170 */     // GIR_Coverage, 5123,
     /* 704170 */     GIR_EraseRootFromParent_Done,
     /* 704171 */   // Label 9177: @704171
     /* 704171 */   GIM_Reject,
     /* 704172 */ // Label 9161: @704172
     /* 704172 */ GIM_Reject,
     /* 704173 */ // Label 8977: @704173
     /* 704173 */ GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(705387),
     /* 704178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 704181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 704184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 704187 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 704190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 704194 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(704266), // Rule ID 5140 //
     /* 704199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704210 */     // MIs[0] offset
     /* 704210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704213 */     // MIs[0] auxiliary
     /* 704213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704216 */     // MIs[0] Operand 7
     /* 704216 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704234 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v8i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 704237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704246 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704264 */     GIR_RootConstrainSelectedInstOperands,
     /* 704265 */     // GIR_Coverage, 5140,
     /* 704265 */     GIR_EraseRootFromParent_Done,
     /* 704266 */   // Label 9179: @704266
     /* 704266 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(704335), // Rule ID 5144 //
     /* 704271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704275 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704279 */     // MIs[0] offset
     /* 704279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704282 */     // MIs[0] auxiliary
     /* 704282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704285 */     // MIs[0] Operand 7
     /* 704285 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704303 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v8i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 704306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704315 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704317 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704323 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704333 */     GIR_RootConstrainSelectedInstOperands,
     /* 704334 */     // GIR_Coverage, 5144,
     /* 704334 */     GIR_EraseRootFromParent_Done,
     /* 704335 */   // Label 9180: @704335
     /* 704335 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(704407), // Rule ID 5148 //
     /* 704340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704343 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704347 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704351 */     // MIs[0] offset
     /* 704351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704354 */     // MIs[0] auxiliary
     /* 704354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704357 */     // MIs[0] Operand 7
     /* 704357 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704375 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFSET:{ *:[v8f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFSET),
     /* 704378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704387 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704389 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704395 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704405 */     GIR_RootConstrainSelectedInstOperands,
     /* 704406 */     // GIR_Coverage, 5148,
     /* 704406 */     GIR_EraseRootFromParent_Done,
     /* 704407 */   // Label 9181: @704407
     /* 704407 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(704476), // Rule ID 5152 //
     /* 704412 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704420 */     // MIs[0] offset
     /* 704420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704423 */     // MIs[0] auxiliary
     /* 704423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704426 */     // MIs[0] Operand 7
     /* 704426 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704444 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET:{ *:[v8f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFSET),
     /* 704447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704456 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704458 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704464 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704474 */     GIR_RootConstrainSelectedInstOperands,
     /* 704475 */     // GIR_Coverage, 5152,
     /* 704475 */     GIR_EraseRootFromParent_Done,
     /* 704476 */   // Label 9182: @704476
     /* 704476 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(704546), // Rule ID 5141 //
     /* 704481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704488 */     // MIs[0] offset
     /* 704488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704491 */     // MIs[0] auxiliary
     /* 704491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704494 */     // MIs[0] Operand 7
     /* 704494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704512 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v8i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 704515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704517 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 704519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704526 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704544 */     GIR_RootConstrainSelectedInstOperands,
     /* 704545 */     // GIR_Coverage, 5141,
     /* 704545 */     GIR_EraseRootFromParent_Done,
     /* 704546 */   // Label 9183: @704546
     /* 704546 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(704613), // Rule ID 5145 //
     /* 704551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704555 */     // MIs[0] offset
     /* 704555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704558 */     // MIs[0] auxiliary
     /* 704558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704561 */     // MIs[0] Operand 7
     /* 704561 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704579 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v8i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 704582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704584 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 704586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704593 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704595 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704601 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704611 */     GIR_RootConstrainSelectedInstOperands,
     /* 704612 */     // GIR_Coverage, 5145,
     /* 704612 */     GIR_EraseRootFromParent_Done,
     /* 704613 */   // Label 9184: @704613
     /* 704613 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(704683), // Rule ID 5149 //
     /* 704618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704621 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704625 */     // MIs[0] offset
     /* 704625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704628 */     // MIs[0] auxiliary
     /* 704628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704631 */     // MIs[0] Operand 7
     /* 704631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704649 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_OFFEN:{ *:[v8f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_OFFEN),
     /* 704652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704654 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 704656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704663 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704665 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704671 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704681 */     GIR_RootConstrainSelectedInstOperands,
     /* 704682 */     // GIR_Coverage, 5149,
     /* 704682 */     GIR_EraseRootFromParent_Done,
     /* 704683 */   // Label 9185: @704683
     /* 704683 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(704750), // Rule ID 5153 //
     /* 704688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 704692 */     // MIs[0] offset
     /* 704692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704695 */     // MIs[0] auxiliary
     /* 704695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704698 */     // MIs[0] Operand 7
     /* 704698 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 704709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704716 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN:{ *:[v8f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_OFFEN),
     /* 704719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704721 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 704723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704730 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704732 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704748 */     GIR_RootConstrainSelectedInstOperands,
     /* 704749 */     // GIR_Coverage, 5153,
     /* 704749 */     GIR_EraseRootFromParent_Done,
     /* 704750 */   // Label 9186: @704750
     /* 704750 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(704812), // Rule ID 5142 //
     /* 704755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704758 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704762 */     // MIs[0] offset
     /* 704762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704765 */     // MIs[0] auxiliary
     /* 704765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704768 */     // MIs[0] Operand 7
     /* 704768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 704771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704778 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v8i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 704781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704783 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 704785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704792 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704810 */     GIR_RootConstrainSelectedInstOperands,
     /* 704811 */     // GIR_Coverage, 5142,
     /* 704811 */     GIR_EraseRootFromParent_Done,
     /* 704812 */   // Label 9187: @704812
     /* 704812 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(704871), // Rule ID 5146 //
     /* 704817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704821 */     // MIs[0] offset
     /* 704821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704824 */     // MIs[0] auxiliary
     /* 704824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704827 */     // MIs[0] Operand 7
     /* 704827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 704830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704837 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v8i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 704840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704842 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 704844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704851 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704853 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704859 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704869 */     GIR_RootConstrainSelectedInstOperands,
     /* 704870 */     // GIR_Coverage, 5146,
     /* 704870 */     GIR_EraseRootFromParent_Done,
     /* 704871 */   // Label 9188: @704871
     /* 704871 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(704933), // Rule ID 5150 //
     /* 704876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 704879 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704883 */     // MIs[0] offset
     /* 704883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704886 */     // MIs[0] auxiliary
     /* 704886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704889 */     // MIs[0] Operand 7
     /* 704889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 704892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704899 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_IDXEN:{ *:[v8f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_IDXEN),
     /* 704902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704904 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 704906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704913 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704915 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704921 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704931 */     GIR_RootConstrainSelectedInstOperands,
     /* 704932 */     // GIR_Coverage, 5150,
     /* 704932 */     GIR_EraseRootFromParent_Done,
     /* 704933 */   // Label 9189: @704933
     /* 704933 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(704992), // Rule ID 5154 //
     /* 704938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 704942 */     // MIs[0] offset
     /* 704942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 704945 */     // MIs[0] auxiliary
     /* 704945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 704948 */     // MIs[0] Operand 7
     /* 704948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 704951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 704958 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN:{ *:[v8f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 704958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_IDXEN),
     /* 704961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 704963 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 704965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 704967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 704972 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 704974 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 704980 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 704986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 704990 */     GIR_RootConstrainSelectedInstOperands,
     /* 704991 */     // GIR_Coverage, 5154,
     /* 704991 */     GIR_EraseRootFromParent_Done,
     /* 704992 */   // Label 9190: @704992
     /* 704992 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(705092), // Rule ID 5143 //
     /* 704997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705000 */     // MIs[0] offset
     /* 705000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705003 */     // MIs[0] auxiliary
     /* 705003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705006 */     // MIs[0] Operand 7
     /* 705006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 705009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705016 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 705019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 705023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 705028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 705032 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 705035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 705039 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 705042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 705047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 705060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 705065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705072 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705074 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705080 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705090 */     GIR_RootConstrainSelectedInstOperands,
     /* 705091 */     // GIR_Coverage, 5143,
     /* 705091 */     GIR_EraseRootFromParent_Done,
     /* 705092 */   // Label 9191: @705092
     /* 705092 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(705189), // Rule ID 5147 //
     /* 705097 */     // MIs[0] offset
     /* 705097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705100 */     // MIs[0] auxiliary
     /* 705100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705103 */     // MIs[0] Operand 7
     /* 705103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 705106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705113 */     // (SIbuffer_load:{ *:[v8i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v8i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 705116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 705120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 705125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 705129 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 705132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 705136 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 705139 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 705144 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705149 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 705157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 705162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705169 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705171 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705177 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705187 */     GIR_RootConstrainSelectedInstOperands,
     /* 705188 */     // GIR_Coverage, 5147,
     /* 705188 */     GIR_EraseRootFromParent_Done,
     /* 705189 */   // Label 9192: @705189
     /* 705189 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(705289), // Rule ID 5151 //
     /* 705194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705197 */     // MIs[0] offset
     /* 705197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705200 */     // MIs[0] auxiliary
     /* 705200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705203 */     // MIs[0] Operand 7
     /* 705203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 705206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705213 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_BOTHEN:{ *:[v8f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 705216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 705220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 705225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 705229 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 705232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 705236 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 705239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 705244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_BOTHEN),
     /* 705257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 705262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705269 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705271 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705287 */     GIR_RootConstrainSelectedInstOperands,
     /* 705288 */     // GIR_Coverage, 5151,
     /* 705288 */     GIR_EraseRootFromParent_Done,
     /* 705289 */   // Label 9193: @705289
     /* 705289 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(705386), // Rule ID 5155 //
     /* 705294 */     // MIs[0] offset
     /* 705294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705297 */     // MIs[0] auxiliary
     /* 705297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705300 */     // MIs[0] Operand 7
     /* 705300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 705303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705310 */     // (SIbuffer_load:{ *:[v8f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN:{ *:[v8f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 705313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 705317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 705322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 705326 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 705329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 705333 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 705336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 705341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 705351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_VBUFFER_BOTHEN),
     /* 705354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 705359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705366 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705384 */     GIR_RootConstrainSelectedInstOperands,
     /* 705385 */     // GIR_Coverage, 5155,
     /* 705385 */     GIR_EraseRootFromParent_Done,
     /* 705386 */   // Label 9194: @705386
     /* 705386 */   GIM_Reject,
     /* 705387 */ // Label 9178: @705387
     /* 705387 */ GIM_Reject,
     /* 705388 */ // Label 8978: @705388
     /* 705388 */ GIM_Reject,
     /* 705389 */ // Label 128: @705389
     /* 705389 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(18), /*)*//*default:*//*Label 9199*/ GIMT_Encode4(710296),
     /* 705400 */ /*GILLT_s32*//*Label 9195*/ GIMT_Encode4(705436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 705412 */ /*GILLT_v2s32*//*Label 9196*/ GIMT_Encode4(706651), GIMT_Encode4(0),
     /* 705420 */ /*GILLT_v3s32*//*Label 9197*/ GIMT_Encode4(707866), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 705432 */ /*GILLT_v4s32*//*Label 9198*/ GIMT_Encode4(709081),
     /* 705436 */ // Label 9195: @705436
     /* 705436 */ GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(706650),
     /* 705441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 705444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 705447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 705450 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 705453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 705457 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(705529), // Rule ID 4764 //
     /* 705462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 705473 */     // MIs[0] offset
     /* 705473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705476 */     // MIs[0] auxiliary
     /* 705476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705479 */     // MIs[0] Operand 7
     /* 705479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705497 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_OFFSET),
     /* 705500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705509 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705511 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705517 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705527 */     GIR_RootConstrainSelectedInstOperands,
     /* 705528 */     // GIR_Coverage, 4764,
     /* 705528 */     GIR_EraseRootFromParent_Done,
     /* 705529 */   // Label 9201: @705529
     /* 705529 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(705598), // Rule ID 4768 //
     /* 705534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 705542 */     // MIs[0] offset
     /* 705542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705545 */     // MIs[0] auxiliary
     /* 705545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705548 */     // MIs[0] Operand 7
     /* 705548 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705566 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET),
     /* 705569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705578 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705580 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705586 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705596 */     GIR_RootConstrainSelectedInstOperands,
     /* 705597 */     // GIR_Coverage, 4768,
     /* 705597 */     GIR_EraseRootFromParent_Done,
     /* 705598 */   // Label 9202: @705598
     /* 705598 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(705670), // Rule ID 4772 //
     /* 705603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705610 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 705614 */     // MIs[0] offset
     /* 705614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705617 */     // MIs[0] auxiliary
     /* 705617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705620 */     // MIs[0] Operand 7
     /* 705620 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705638 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_OFFSET),
     /* 705641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705650 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705652 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705658 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705668 */     GIR_RootConstrainSelectedInstOperands,
     /* 705669 */     // GIR_Coverage, 4772,
     /* 705669 */     GIR_EraseRootFromParent_Done,
     /* 705670 */   // Label 9203: @705670
     /* 705670 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(705739), // Rule ID 4776 //
     /* 705675 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705679 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 705683 */     // MIs[0] offset
     /* 705683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705686 */     // MIs[0] auxiliary
     /* 705686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705689 */     // MIs[0] Operand 7
     /* 705689 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705707 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET),
     /* 705710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705719 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705721 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705727 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705737 */     GIR_RootConstrainSelectedInstOperands,
     /* 705738 */     // GIR_Coverage, 4776,
     /* 705738 */     GIR_EraseRootFromParent_Done,
     /* 705739 */   // Label 9204: @705739
     /* 705739 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(705809), // Rule ID 4765 //
     /* 705744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705751 */     // MIs[0] offset
     /* 705751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705754 */     // MIs[0] auxiliary
     /* 705754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705757 */     // MIs[0] Operand 7
     /* 705757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705775 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_OFFEN),
     /* 705778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705780 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 705782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705789 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705791 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705797 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705807 */     GIR_RootConstrainSelectedInstOperands,
     /* 705808 */     // GIR_Coverage, 4765,
     /* 705808 */     GIR_EraseRootFromParent_Done,
     /* 705809 */   // Label 9205: @705809
     /* 705809 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(705876), // Rule ID 4769 //
     /* 705814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705818 */     // MIs[0] offset
     /* 705818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705821 */     // MIs[0] auxiliary
     /* 705821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705824 */     // MIs[0] Operand 7
     /* 705824 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705842 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN),
     /* 705845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705847 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 705849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705856 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705874 */     GIR_RootConstrainSelectedInstOperands,
     /* 705875 */     // GIR_Coverage, 4769,
     /* 705875 */     GIR_EraseRootFromParent_Done,
     /* 705876 */   // Label 9206: @705876
     /* 705876 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(705946), // Rule ID 4773 //
     /* 705881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 705884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705888 */     // MIs[0] offset
     /* 705888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705891 */     // MIs[0] auxiliary
     /* 705891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705894 */     // MIs[0] Operand 7
     /* 705894 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705912 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_OFFEN),
     /* 705915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705917 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 705919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705926 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705928 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 705934 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 705940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 705944 */     GIR_RootConstrainSelectedInstOperands,
     /* 705945 */     // GIR_Coverage, 4773,
     /* 705945 */     GIR_EraseRootFromParent_Done,
     /* 705946 */   // Label 9207: @705946
     /* 705946 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(706013), // Rule ID 4777 //
     /* 705951 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 705955 */     // MIs[0] offset
     /* 705955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 705958 */     // MIs[0] auxiliary
     /* 705958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 705961 */     // MIs[0] Operand 7
     /* 705961 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 705972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 705979 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 705979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN),
     /* 705982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 705984 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 705986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 705988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 705993 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 705995 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706001 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706011 */     GIR_RootConstrainSelectedInstOperands,
     /* 706012 */     // GIR_Coverage, 4777,
     /* 706012 */     GIR_EraseRootFromParent_Done,
     /* 706013 */   // Label 9208: @706013
     /* 706013 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(706075), // Rule ID 4766 //
     /* 706018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706021 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706025 */     // MIs[0] offset
     /* 706025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706028 */     // MIs[0] auxiliary
     /* 706028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706031 */     // MIs[0] Operand 7
     /* 706031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706041 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_IDXEN),
     /* 706044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706046 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 706048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706055 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706057 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706063 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706073 */     GIR_RootConstrainSelectedInstOperands,
     /* 706074 */     // GIR_Coverage, 4766,
     /* 706074 */     GIR_EraseRootFromParent_Done,
     /* 706075 */   // Label 9209: @706075
     /* 706075 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(706134), // Rule ID 4770 //
     /* 706080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706084 */     // MIs[0] offset
     /* 706084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706087 */     // MIs[0] auxiliary
     /* 706087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706090 */     // MIs[0] Operand 7
     /* 706090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706100 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN),
     /* 706103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706105 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 706107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706114 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706116 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706122 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706132 */     GIR_RootConstrainSelectedInstOperands,
     /* 706133 */     // GIR_Coverage, 4770,
     /* 706133 */     GIR_EraseRootFromParent_Done,
     /* 706134 */   // Label 9210: @706134
     /* 706134 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(706196), // Rule ID 4774 //
     /* 706139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706146 */     // MIs[0] offset
     /* 706146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706149 */     // MIs[0] auxiliary
     /* 706149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706152 */     // MIs[0] Operand 7
     /* 706152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706162 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_IDXEN),
     /* 706165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706167 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 706169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706176 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706178 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706184 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706194 */     GIR_RootConstrainSelectedInstOperands,
     /* 706195 */     // GIR_Coverage, 4774,
     /* 706195 */     GIR_EraseRootFromParent_Done,
     /* 706196 */   // Label 9211: @706196
     /* 706196 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(706255), // Rule ID 4778 //
     /* 706201 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706205 */     // MIs[0] offset
     /* 706205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706208 */     // MIs[0] auxiliary
     /* 706208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706211 */     // MIs[0] Operand 7
     /* 706211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706221 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN),
     /* 706224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706226 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 706228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706235 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706237 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706243 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706253 */     GIR_RootConstrainSelectedInstOperands,
     /* 706254 */     // GIR_Coverage, 4778,
     /* 706254 */     GIR_EraseRootFromParent_Done,
     /* 706255 */   // Label 9212: @706255
     /* 706255 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(706355), // Rule ID 4767 //
     /* 706260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706263 */     // MIs[0] offset
     /* 706263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706266 */     // MIs[0] auxiliary
     /* 706266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706269 */     // MIs[0] Operand 7
     /* 706269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706279 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 706282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 706286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 706291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 706295 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 706298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 706302 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 706305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 706310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706315 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_BOTHEN),
     /* 706323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 706328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706335 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706337 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706343 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706353 */     GIR_RootConstrainSelectedInstOperands,
     /* 706354 */     // GIR_Coverage, 4767,
     /* 706354 */     GIR_EraseRootFromParent_Done,
     /* 706355 */   // Label 9213: @706355
     /* 706355 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(706452), // Rule ID 4771 //
     /* 706360 */     // MIs[0] offset
     /* 706360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706363 */     // MIs[0] auxiliary
     /* 706363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706366 */     // MIs[0] Operand 7
     /* 706366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706376 */     // (SIbuffer_load_format:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 706379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 706383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 706388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 706392 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 706395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 706399 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 706402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 706407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN),
     /* 706420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 706425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706432 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706434 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706450 */     GIR_RootConstrainSelectedInstOperands,
     /* 706451 */     // GIR_Coverage, 4771,
     /* 706451 */     GIR_EraseRootFromParent_Done,
     /* 706452 */   // Label 9214: @706452
     /* 706452 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(706552), // Rule ID 4775 //
     /* 706457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706460 */     // MIs[0] offset
     /* 706460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706463 */     // MIs[0] auxiliary
     /* 706463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706466 */     // MIs[0] Operand 7
     /* 706466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706476 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 706479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 706483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 706488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 706492 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 706495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 706499 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 706502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 706507 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706512 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_BOTHEN),
     /* 706520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 706525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706532 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706550 */     GIR_RootConstrainSelectedInstOperands,
     /* 706551 */     // GIR_Coverage, 4775,
     /* 706551 */     GIR_EraseRootFromParent_Done,
     /* 706552 */   // Label 9215: @706552
     /* 706552 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(706649), // Rule ID 4779 //
     /* 706557 */     // MIs[0] offset
     /* 706557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706560 */     // MIs[0] auxiliary
     /* 706560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706563 */     // MIs[0] Operand 7
     /* 706563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 706566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706573 */     // (SIbuffer_load_format:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 706576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 706580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 706585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 706589 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 706592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 706596 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 706599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 706604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 706614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN),
     /* 706617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 706622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706629 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706631 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706637 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706647 */     GIR_RootConstrainSelectedInstOperands,
     /* 706648 */     // GIR_Coverage, 4779,
     /* 706648 */     GIR_EraseRootFromParent_Done,
     /* 706649 */   // Label 9216: @706649
     /* 706649 */   GIM_Reject,
     /* 706650 */ // Label 9200: @706650
     /* 706650 */ GIM_Reject,
     /* 706651 */ // Label 9196: @706651
     /* 706651 */ GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(707865),
     /* 706656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 706659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 706662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 706665 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 706668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 706672 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(706744), // Rule ID 4780 //
     /* 706677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 706684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706688 */     // MIs[0] offset
     /* 706688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706691 */     // MIs[0] auxiliary
     /* 706691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706694 */     // MIs[0] Operand 7
     /* 706694 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 706705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706712 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_OFFSET),
     /* 706715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706724 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706726 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706732 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706742 */     GIR_RootConstrainSelectedInstOperands,
     /* 706743 */     // GIR_Coverage, 4780,
     /* 706743 */     GIR_EraseRootFromParent_Done,
     /* 706744 */   // Label 9218: @706744
     /* 706744 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(706813), // Rule ID 4784 //
     /* 706749 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 706753 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706757 */     // MIs[0] offset
     /* 706757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706760 */     // MIs[0] auxiliary
     /* 706760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706763 */     // MIs[0] Operand 7
     /* 706763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 706774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706781 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET),
     /* 706784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706793 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706795 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706801 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706811 */     GIR_RootConstrainSelectedInstOperands,
     /* 706812 */     // GIR_Coverage, 4784,
     /* 706812 */     GIR_EraseRootFromParent_Done,
     /* 706813 */   // Label 9219: @706813
     /* 706813 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(706885), // Rule ID 4788 //
     /* 706818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 706825 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706829 */     // MIs[0] offset
     /* 706829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706832 */     // MIs[0] auxiliary
     /* 706832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706835 */     // MIs[0] Operand 7
     /* 706835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 706846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706853 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_OFFSET),
     /* 706856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706865 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706867 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706873 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706883 */     GIR_RootConstrainSelectedInstOperands,
     /* 706884 */     // GIR_Coverage, 4788,
     /* 706884 */     GIR_EraseRootFromParent_Done,
     /* 706885 */   // Label 9220: @706885
     /* 706885 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(706954), // Rule ID 4792 //
     /* 706890 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 706894 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 706898 */     // MIs[0] offset
     /* 706898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706901 */     // MIs[0] auxiliary
     /* 706901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706904 */     // MIs[0] Operand 7
     /* 706904 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 706915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706922 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET),
     /* 706925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 706934 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 706936 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 706942 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 706948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 706952 */     GIR_RootConstrainSelectedInstOperands,
     /* 706953 */     // GIR_Coverage, 4792,
     /* 706953 */     GIR_EraseRootFromParent_Done,
     /* 706954 */   // Label 9221: @706954
     /* 706954 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(707024), // Rule ID 4781 //
     /* 706959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 706962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 706966 */     // MIs[0] offset
     /* 706966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 706969 */     // MIs[0] auxiliary
     /* 706969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 706972 */     // MIs[0] Operand 7
     /* 706972 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 706983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 706990 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 706990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_OFFEN),
     /* 706993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 706995 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 706997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 706999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707004 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707006 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707012 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707022 */     GIR_RootConstrainSelectedInstOperands,
     /* 707023 */     // GIR_Coverage, 4781,
     /* 707023 */     GIR_EraseRootFromParent_Done,
     /* 707024 */   // Label 9222: @707024
     /* 707024 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(707091), // Rule ID 4785 //
     /* 707029 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 707033 */     // MIs[0] offset
     /* 707033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707036 */     // MIs[0] auxiliary
     /* 707036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707039 */     // MIs[0] Operand 7
     /* 707039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 707050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707057 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN),
     /* 707060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707062 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 707064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707071 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707073 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707079 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707089 */     GIR_RootConstrainSelectedInstOperands,
     /* 707090 */     // GIR_Coverage, 4785,
     /* 707090 */     GIR_EraseRootFromParent_Done,
     /* 707091 */   // Label 9223: @707091
     /* 707091 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(707161), // Rule ID 4789 //
     /* 707096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 707103 */     // MIs[0] offset
     /* 707103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707106 */     // MIs[0] auxiliary
     /* 707106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707109 */     // MIs[0] Operand 7
     /* 707109 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 707120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707127 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_OFFEN),
     /* 707130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707132 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 707134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707141 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707143 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707149 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707159 */     GIR_RootConstrainSelectedInstOperands,
     /* 707160 */     // GIR_Coverage, 4789,
     /* 707160 */     GIR_EraseRootFromParent_Done,
     /* 707161 */   // Label 9224: @707161
     /* 707161 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(707228), // Rule ID 4793 //
     /* 707166 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 707170 */     // MIs[0] offset
     /* 707170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707173 */     // MIs[0] auxiliary
     /* 707173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707176 */     // MIs[0] Operand 7
     /* 707176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 707187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707194 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN),
     /* 707197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707199 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 707201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707208 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707210 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707216 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707226 */     GIR_RootConstrainSelectedInstOperands,
     /* 707227 */     // GIR_Coverage, 4793,
     /* 707227 */     GIR_EraseRootFromParent_Done,
     /* 707228 */   // Label 9225: @707228
     /* 707228 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(707290), // Rule ID 4782 //
     /* 707233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707236 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707240 */     // MIs[0] offset
     /* 707240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707243 */     // MIs[0] auxiliary
     /* 707243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707246 */     // MIs[0] Operand 7
     /* 707246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707256 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_IDXEN),
     /* 707259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707261 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 707263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707270 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707272 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707278 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707288 */     GIR_RootConstrainSelectedInstOperands,
     /* 707289 */     // GIR_Coverage, 4782,
     /* 707289 */     GIR_EraseRootFromParent_Done,
     /* 707290 */   // Label 9226: @707290
     /* 707290 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(707349), // Rule ID 4786 //
     /* 707295 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707299 */     // MIs[0] offset
     /* 707299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707302 */     // MIs[0] auxiliary
     /* 707302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707305 */     // MIs[0] Operand 7
     /* 707305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707315 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN),
     /* 707318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707320 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 707322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707329 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707331 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707337 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707347 */     GIR_RootConstrainSelectedInstOperands,
     /* 707348 */     // GIR_Coverage, 4786,
     /* 707348 */     GIR_EraseRootFromParent_Done,
     /* 707349 */   // Label 9227: @707349
     /* 707349 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(707411), // Rule ID 4790 //
     /* 707354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707361 */     // MIs[0] offset
     /* 707361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707364 */     // MIs[0] auxiliary
     /* 707364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707367 */     // MIs[0] Operand 7
     /* 707367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707377 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_IDXEN),
     /* 707380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707382 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 707384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707391 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707393 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707399 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707409 */     GIR_RootConstrainSelectedInstOperands,
     /* 707410 */     // GIR_Coverage, 4790,
     /* 707410 */     GIR_EraseRootFromParent_Done,
     /* 707411 */   // Label 9228: @707411
     /* 707411 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(707470), // Rule ID 4794 //
     /* 707416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707420 */     // MIs[0] offset
     /* 707420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707423 */     // MIs[0] auxiliary
     /* 707423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707426 */     // MIs[0] Operand 7
     /* 707426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707436 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN),
     /* 707439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707441 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 707443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707450 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707458 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707468 */     GIR_RootConstrainSelectedInstOperands,
     /* 707469 */     // GIR_Coverage, 4794,
     /* 707469 */     GIR_EraseRootFromParent_Done,
     /* 707470 */   // Label 9229: @707470
     /* 707470 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(707570), // Rule ID 4783 //
     /* 707475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707478 */     // MIs[0] offset
     /* 707478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707481 */     // MIs[0] auxiliary
     /* 707481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707484 */     // MIs[0] Operand 7
     /* 707484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707494 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 707497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 707501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 707506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 707510 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 707513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 707517 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 707520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 707525 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_BOTHEN),
     /* 707538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 707543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707550 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707552 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707558 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707568 */     GIR_RootConstrainSelectedInstOperands,
     /* 707569 */     // GIR_Coverage, 4783,
     /* 707569 */     GIR_EraseRootFromParent_Done,
     /* 707570 */   // Label 9230: @707570
     /* 707570 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(707667), // Rule ID 4787 //
     /* 707575 */     // MIs[0] offset
     /* 707575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707578 */     // MIs[0] auxiliary
     /* 707578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707581 */     // MIs[0] Operand 7
     /* 707581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707591 */     // (SIbuffer_load_format:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 707594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 707598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 707603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 707607 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 707610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 707614 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 707617 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 707622 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707627 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN),
     /* 707635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 707640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707647 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707649 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707655 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707665 */     GIR_RootConstrainSelectedInstOperands,
     /* 707666 */     // GIR_Coverage, 4787,
     /* 707666 */     GIR_EraseRootFromParent_Done,
     /* 707667 */   // Label 9231: @707667
     /* 707667 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(707767), // Rule ID 4791 //
     /* 707672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707675 */     // MIs[0] offset
     /* 707675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707678 */     // MIs[0] auxiliary
     /* 707678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707681 */     // MIs[0] Operand 7
     /* 707681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707691 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 707694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 707698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 707703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 707707 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 707710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 707714 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 707717 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 707722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707727 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_BOTHEN),
     /* 707735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 707740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707747 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707765 */     GIR_RootConstrainSelectedInstOperands,
     /* 707766 */     // GIR_Coverage, 4791,
     /* 707766 */     GIR_EraseRootFromParent_Done,
     /* 707767 */   // Label 9232: @707767
     /* 707767 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(707864), // Rule ID 4795 //
     /* 707772 */     // MIs[0] offset
     /* 707772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707775 */     // MIs[0] auxiliary
     /* 707775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707778 */     // MIs[0] Operand 7
     /* 707778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 707781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707788 */     // (SIbuffer_load_format:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 707791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 707795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 707800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 707804 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 707807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 707811 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 707814 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 707819 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 707829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN),
     /* 707832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 707837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707844 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707846 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707852 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707862 */     GIR_RootConstrainSelectedInstOperands,
     /* 707863 */     // GIR_Coverage, 4795,
     /* 707863 */     GIR_EraseRootFromParent_Done,
     /* 707864 */   // Label 9233: @707864
     /* 707864 */   GIM_Reject,
     /* 707865 */ // Label 9217: @707865
     /* 707865 */ GIM_Reject,
     /* 707866 */ // Label 9197: @707866
     /* 707866 */ GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(709080),
     /* 707871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 707874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 707877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 707880 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 707883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 707887 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(707959), // Rule ID 4796 //
     /* 707892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 707895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 707899 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707903 */     // MIs[0] offset
     /* 707903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707906 */     // MIs[0] auxiliary
     /* 707906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707909 */     // MIs[0] Operand 7
     /* 707909 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 707920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707927 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_OFFSET),
     /* 707930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 707932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 707934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 707939 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 707941 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 707947 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 707953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 707957 */     GIR_RootConstrainSelectedInstOperands,
     /* 707958 */     // GIR_Coverage, 4796,
     /* 707958 */     GIR_EraseRootFromParent_Done,
     /* 707959 */   // Label 9235: @707959
     /* 707959 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(708028), // Rule ID 4800 //
     /* 707964 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 707968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 707972 */     // MIs[0] offset
     /* 707972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 707975 */     // MIs[0] auxiliary
     /* 707975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 707978 */     // MIs[0] Operand 7
     /* 707978 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 707989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 707996 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 707996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET),
     /* 707999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708008 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708010 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708016 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708026 */     GIR_RootConstrainSelectedInstOperands,
     /* 708027 */     // GIR_Coverage, 4800,
     /* 708027 */     GIR_EraseRootFromParent_Done,
     /* 708028 */   // Label 9236: @708028
     /* 708028 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(708100), // Rule ID 4804 //
     /* 708033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708044 */     // MIs[0] offset
     /* 708044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708047 */     // MIs[0] auxiliary
     /* 708047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708050 */     // MIs[0] Operand 7
     /* 708050 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708068 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_OFFSET),
     /* 708071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708080 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708082 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708088 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708098 */     GIR_RootConstrainSelectedInstOperands,
     /* 708099 */     // GIR_Coverage, 4804,
     /* 708099 */     GIR_EraseRootFromParent_Done,
     /* 708100 */   // Label 9237: @708100
     /* 708100 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(708169), // Rule ID 4808 //
     /* 708105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708109 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708113 */     // MIs[0] offset
     /* 708113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708116 */     // MIs[0] auxiliary
     /* 708116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708119 */     // MIs[0] Operand 7
     /* 708119 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708137 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET),
     /* 708140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708149 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708151 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708157 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708167 */     GIR_RootConstrainSelectedInstOperands,
     /* 708168 */     // GIR_Coverage, 4808,
     /* 708168 */     GIR_EraseRootFromParent_Done,
     /* 708169 */   // Label 9238: @708169
     /* 708169 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(708239), // Rule ID 4797 //
     /* 708174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708177 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708181 */     // MIs[0] offset
     /* 708181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708184 */     // MIs[0] auxiliary
     /* 708184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708187 */     // MIs[0] Operand 7
     /* 708187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708205 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_OFFEN),
     /* 708208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708210 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 708212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708219 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708221 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708227 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708237 */     GIR_RootConstrainSelectedInstOperands,
     /* 708238 */     // GIR_Coverage, 4797,
     /* 708238 */     GIR_EraseRootFromParent_Done,
     /* 708239 */   // Label 9239: @708239
     /* 708239 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(708306), // Rule ID 4801 //
     /* 708244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708248 */     // MIs[0] offset
     /* 708248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708251 */     // MIs[0] auxiliary
     /* 708251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708254 */     // MIs[0] Operand 7
     /* 708254 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708272 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN),
     /* 708275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708277 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 708279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708286 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708288 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708304 */     GIR_RootConstrainSelectedInstOperands,
     /* 708305 */     // GIR_Coverage, 4801,
     /* 708305 */     GIR_EraseRootFromParent_Done,
     /* 708306 */   // Label 9240: @708306
     /* 708306 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(708376), // Rule ID 4805 //
     /* 708311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708314 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708318 */     // MIs[0] offset
     /* 708318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708321 */     // MIs[0] auxiliary
     /* 708321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708324 */     // MIs[0] Operand 7
     /* 708324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708342 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_OFFEN),
     /* 708345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708347 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 708349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708356 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708358 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708374 */     GIR_RootConstrainSelectedInstOperands,
     /* 708375 */     // GIR_Coverage, 4805,
     /* 708375 */     GIR_EraseRootFromParent_Done,
     /* 708376 */   // Label 9241: @708376
     /* 708376 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(708443), // Rule ID 4809 //
     /* 708381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 708385 */     // MIs[0] offset
     /* 708385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708388 */     // MIs[0] auxiliary
     /* 708388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708391 */     // MIs[0] Operand 7
     /* 708391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 708402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708409 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN),
     /* 708412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708414 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 708416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708423 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708425 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708431 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708441 */     GIR_RootConstrainSelectedInstOperands,
     /* 708442 */     // GIR_Coverage, 4809,
     /* 708442 */     GIR_EraseRootFromParent_Done,
     /* 708443 */   // Label 9242: @708443
     /* 708443 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(708505), // Rule ID 4798 //
     /* 708448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708451 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708455 */     // MIs[0] offset
     /* 708455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708458 */     // MIs[0] auxiliary
     /* 708458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708461 */     // MIs[0] Operand 7
     /* 708461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708471 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_IDXEN),
     /* 708474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708476 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 708478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708485 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708503 */     GIR_RootConstrainSelectedInstOperands,
     /* 708504 */     // GIR_Coverage, 4798,
     /* 708504 */     GIR_EraseRootFromParent_Done,
     /* 708505 */   // Label 9243: @708505
     /* 708505 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(708564), // Rule ID 4802 //
     /* 708510 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708514 */     // MIs[0] offset
     /* 708514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708517 */     // MIs[0] auxiliary
     /* 708517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708520 */     // MIs[0] Operand 7
     /* 708520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708530 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN),
     /* 708533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708535 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 708537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708544 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708546 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708552 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708562 */     GIR_RootConstrainSelectedInstOperands,
     /* 708563 */     // GIR_Coverage, 4802,
     /* 708563 */     GIR_EraseRootFromParent_Done,
     /* 708564 */   // Label 9244: @708564
     /* 708564 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(708626), // Rule ID 4806 //
     /* 708569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708576 */     // MIs[0] offset
     /* 708576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708579 */     // MIs[0] auxiliary
     /* 708579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708582 */     // MIs[0] Operand 7
     /* 708582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708592 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_IDXEN),
     /* 708595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708597 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 708599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708606 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708608 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708614 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708624 */     GIR_RootConstrainSelectedInstOperands,
     /* 708625 */     // GIR_Coverage, 4806,
     /* 708625 */     GIR_EraseRootFromParent_Done,
     /* 708626 */   // Label 9245: @708626
     /* 708626 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(708685), // Rule ID 4810 //
     /* 708631 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 708635 */     // MIs[0] offset
     /* 708635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708638 */     // MIs[0] auxiliary
     /* 708638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708641 */     // MIs[0] Operand 7
     /* 708641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708651 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN),
     /* 708654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708656 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 708658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708665 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708667 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708673 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708683 */     GIR_RootConstrainSelectedInstOperands,
     /* 708684 */     // GIR_Coverage, 4810,
     /* 708684 */     GIR_EraseRootFromParent_Done,
     /* 708685 */   // Label 9246: @708685
     /* 708685 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(708785), // Rule ID 4799 //
     /* 708690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708693 */     // MIs[0] offset
     /* 708693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708696 */     // MIs[0] auxiliary
     /* 708696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708699 */     // MIs[0] Operand 7
     /* 708699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708709 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 708712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 708716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 708721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 708725 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 708728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 708732 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 708735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 708740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708745 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_BOTHEN),
     /* 708753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 708758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708765 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708767 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708773 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708783 */     GIR_RootConstrainSelectedInstOperands,
     /* 708784 */     // GIR_Coverage, 4799,
     /* 708784 */     GIR_EraseRootFromParent_Done,
     /* 708785 */   // Label 9247: @708785
     /* 708785 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(708882), // Rule ID 4803 //
     /* 708790 */     // MIs[0] offset
     /* 708790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708793 */     // MIs[0] auxiliary
     /* 708793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708796 */     // MIs[0] Operand 7
     /* 708796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708806 */     // (SIbuffer_load_format:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 708809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 708813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 708818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 708822 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 708825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 708829 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 708832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 708837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708842 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN),
     /* 708850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 708855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708862 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708870 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708880 */     GIR_RootConstrainSelectedInstOperands,
     /* 708881 */     // GIR_Coverage, 4803,
     /* 708881 */     GIR_EraseRootFromParent_Done,
     /* 708882 */   // Label 9248: @708882
     /* 708882 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(708982), // Rule ID 4807 //
     /* 708887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 708890 */     // MIs[0] offset
     /* 708890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708893 */     // MIs[0] auxiliary
     /* 708893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708896 */     // MIs[0] Operand 7
     /* 708896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 708906 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 708906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 708909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 708913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 708918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 708922 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 708925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 708929 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 708932 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 708937 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708942 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 708947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_BOTHEN),
     /* 708950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 708952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 708955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 708957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 708962 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 708964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 708970 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 708976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 708980 */     GIR_RootConstrainSelectedInstOperands,
     /* 708981 */     // GIR_Coverage, 4807,
     /* 708981 */     GIR_EraseRootFromParent_Done,
     /* 708982 */   // Label 9249: @708982
     /* 708982 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(709079), // Rule ID 4811 //
     /* 708987 */     // MIs[0] offset
     /* 708987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 708990 */     // MIs[0] auxiliary
     /* 708990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 708993 */     // MIs[0] Operand 7
     /* 708993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 708996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709003 */     // (SIbuffer_load_format:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 709006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 709010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 709015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 709019 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 709022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 709026 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 709029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 709034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 709039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 709044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN),
     /* 709047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 709052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709059 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709061 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709067 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709077 */     GIR_RootConstrainSelectedInstOperands,
     /* 709078 */     // GIR_Coverage, 4811,
     /* 709078 */     GIR_EraseRootFromParent_Done,
     /* 709079 */   // Label 9250: @709079
     /* 709079 */   GIM_Reject,
     /* 709080 */ // Label 9234: @709080
     /* 709080 */ GIM_Reject,
     /* 709081 */ // Label 9198: @709081
     /* 709081 */ GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(710295),
     /* 709086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 709089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 709092 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 709095 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 709098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 709102 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(709174), // Rule ID 4812 //
     /* 709107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709118 */     // MIs[0] offset
     /* 709118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709121 */     // MIs[0] auxiliary
     /* 709121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709124 */     // MIs[0] Operand 7
     /* 709124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709142 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_OFFSET),
     /* 709145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709154 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709156 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709162 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709172 */     GIR_RootConstrainSelectedInstOperands,
     /* 709173 */     // GIR_Coverage, 4812,
     /* 709173 */     GIR_EraseRootFromParent_Done,
     /* 709174 */   // Label 9252: @709174
     /* 709174 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(709243), // Rule ID 4816 //
     /* 709179 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709187 */     // MIs[0] offset
     /* 709187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709190 */     // MIs[0] auxiliary
     /* 709190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709193 */     // MIs[0] Operand 7
     /* 709193 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709211 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET),
     /* 709214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709223 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709231 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709241 */     GIR_RootConstrainSelectedInstOperands,
     /* 709242 */     // GIR_Coverage, 4816,
     /* 709242 */     GIR_EraseRootFromParent_Done,
     /* 709243 */   // Label 9253: @709243
     /* 709243 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(709315), // Rule ID 4820 //
     /* 709248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709251 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709255 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709259 */     // MIs[0] offset
     /* 709259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709262 */     // MIs[0] auxiliary
     /* 709262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709265 */     // MIs[0] Operand 7
     /* 709265 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709283 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_OFFSET),
     /* 709286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709295 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709297 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709313 */     GIR_RootConstrainSelectedInstOperands,
     /* 709314 */     // GIR_Coverage, 4820,
     /* 709314 */     GIR_EraseRootFromParent_Done,
     /* 709315 */   // Label 9254: @709315
     /* 709315 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(709384), // Rule ID 4824 //
     /* 709320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709324 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709328 */     // MIs[0] offset
     /* 709328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709331 */     // MIs[0] auxiliary
     /* 709331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709334 */     // MIs[0] Operand 7
     /* 709334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709352 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET),
     /* 709355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709364 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709366 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709372 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709382 */     GIR_RootConstrainSelectedInstOperands,
     /* 709383 */     // GIR_Coverage, 4824,
     /* 709383 */     GIR_EraseRootFromParent_Done,
     /* 709384 */   // Label 9255: @709384
     /* 709384 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(709454), // Rule ID 4813 //
     /* 709389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709396 */     // MIs[0] offset
     /* 709396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709399 */     // MIs[0] auxiliary
     /* 709399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709402 */     // MIs[0] Operand 7
     /* 709402 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709420 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_OFFEN),
     /* 709423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709425 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 709427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709434 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709452 */     GIR_RootConstrainSelectedInstOperands,
     /* 709453 */     // GIR_Coverage, 4813,
     /* 709453 */     GIR_EraseRootFromParent_Done,
     /* 709454 */   // Label 9256: @709454
     /* 709454 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(709521), // Rule ID 4817 //
     /* 709459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709463 */     // MIs[0] offset
     /* 709463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709466 */     // MIs[0] auxiliary
     /* 709466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709469 */     // MIs[0] Operand 7
     /* 709469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709487 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN),
     /* 709490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709492 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 709494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709501 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709503 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709509 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709519 */     GIR_RootConstrainSelectedInstOperands,
     /* 709520 */     // GIR_Coverage, 4817,
     /* 709520 */     GIR_EraseRootFromParent_Done,
     /* 709521 */   // Label 9257: @709521
     /* 709521 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(709591), // Rule ID 4821 //
     /* 709526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709529 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709533 */     // MIs[0] offset
     /* 709533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709536 */     // MIs[0] auxiliary
     /* 709536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709539 */     // MIs[0] Operand 7
     /* 709539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709557 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_OFFEN),
     /* 709560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709562 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 709564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709571 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709579 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709589 */     GIR_RootConstrainSelectedInstOperands,
     /* 709590 */     // GIR_Coverage, 4821,
     /* 709590 */     GIR_EraseRootFromParent_Done,
     /* 709591 */   // Label 9258: @709591
     /* 709591 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(709658), // Rule ID 4825 //
     /* 709596 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 709600 */     // MIs[0] offset
     /* 709600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709603 */     // MIs[0] auxiliary
     /* 709603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709606 */     // MIs[0] Operand 7
     /* 709606 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 709617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709624 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN),
     /* 709627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709629 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 709631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709638 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709640 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709646 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709656 */     GIR_RootConstrainSelectedInstOperands,
     /* 709657 */     // GIR_Coverage, 4825,
     /* 709657 */     GIR_EraseRootFromParent_Done,
     /* 709658 */   // Label 9259: @709658
     /* 709658 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(709720), // Rule ID 4814 //
     /* 709663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709670 */     // MIs[0] offset
     /* 709670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709673 */     // MIs[0] auxiliary
     /* 709673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709676 */     // MIs[0] Operand 7
     /* 709676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 709679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709686 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_IDXEN),
     /* 709689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709691 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 709693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709700 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709718 */     GIR_RootConstrainSelectedInstOperands,
     /* 709719 */     // GIR_Coverage, 4814,
     /* 709719 */     GIR_EraseRootFromParent_Done,
     /* 709720 */   // Label 9260: @709720
     /* 709720 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(709779), // Rule ID 4818 //
     /* 709725 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709729 */     // MIs[0] offset
     /* 709729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709732 */     // MIs[0] auxiliary
     /* 709732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709735 */     // MIs[0] Operand 7
     /* 709735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 709738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709745 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN),
     /* 709748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709750 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 709752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709759 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709761 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709767 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709777 */     GIR_RootConstrainSelectedInstOperands,
     /* 709778 */     // GIR_Coverage, 4818,
     /* 709778 */     GIR_EraseRootFromParent_Done,
     /* 709779 */   // Label 9261: @709779
     /* 709779 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(709841), // Rule ID 4822 //
     /* 709784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709791 */     // MIs[0] offset
     /* 709791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709794 */     // MIs[0] auxiliary
     /* 709794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709797 */     // MIs[0] Operand 7
     /* 709797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 709800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709807 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_IDXEN),
     /* 709810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709812 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 709814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709821 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709823 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709829 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709839 */     GIR_RootConstrainSelectedInstOperands,
     /* 709840 */     // GIR_Coverage, 4822,
     /* 709840 */     GIR_EraseRootFromParent_Done,
     /* 709841 */   // Label 9262: @709841
     /* 709841 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(709900), // Rule ID 4826 //
     /* 709846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 709850 */     // MIs[0] offset
     /* 709850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709853 */     // MIs[0] auxiliary
     /* 709853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709856 */     // MIs[0] Operand 7
     /* 709856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 709859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709866 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN),
     /* 709869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709871 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 709873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709880 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709882 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709888 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709898 */     GIR_RootConstrainSelectedInstOperands,
     /* 709899 */     // GIR_Coverage, 4826,
     /* 709899 */     GIR_EraseRootFromParent_Done,
     /* 709900 */   // Label 9263: @709900
     /* 709900 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(710000), // Rule ID 4815 //
     /* 709905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 709908 */     // MIs[0] offset
     /* 709908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 709911 */     // MIs[0] auxiliary
     /* 709911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 709914 */     // MIs[0] Operand 7
     /* 709914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 709917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 709924 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 709924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 709927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 709931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 709936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 709940 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 709943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 709947 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 709950 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 709955 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 709960 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 709965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_BOTHEN),
     /* 709968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 709970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 709973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 709975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 709980 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 709982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 709988 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 709994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 709998 */     GIR_RootConstrainSelectedInstOperands,
     /* 709999 */     // GIR_Coverage, 4815,
     /* 709999 */     GIR_EraseRootFromParent_Done,
     /* 710000 */   // Label 9264: @710000
     /* 710000 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(710097), // Rule ID 4819 //
     /* 710005 */     // MIs[0] offset
     /* 710005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710008 */     // MIs[0] auxiliary
     /* 710008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710011 */     // MIs[0] Operand 7
     /* 710011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 710014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710021 */     // (SIbuffer_load_format:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 710024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 710028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 710033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 710037 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 710040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 710044 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 710047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 710052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710057 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN),
     /* 710065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 710070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710077 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710079 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710095 */     GIR_RootConstrainSelectedInstOperands,
     /* 710096 */     // GIR_Coverage, 4819,
     /* 710096 */     GIR_EraseRootFromParent_Done,
     /* 710097 */   // Label 9265: @710097
     /* 710097 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(710197), // Rule ID 4823 //
     /* 710102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 710105 */     // MIs[0] offset
     /* 710105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710108 */     // MIs[0] auxiliary
     /* 710108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710111 */     // MIs[0] Operand 7
     /* 710111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 710114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710121 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 710124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 710128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 710133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 710137 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 710140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 710144 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 710147 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 710152 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710157 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_BOTHEN),
     /* 710165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 710170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710177 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710185 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710195 */     GIR_RootConstrainSelectedInstOperands,
     /* 710196 */     // GIR_Coverage, 4823,
     /* 710196 */     GIR_EraseRootFromParent_Done,
     /* 710197 */   // Label 9266: @710197
     /* 710197 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(710294), // Rule ID 4827 //
     /* 710202 */     // MIs[0] offset
     /* 710202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710205 */     // MIs[0] auxiliary
     /* 710205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710208 */     // MIs[0] Operand 7
     /* 710208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 710211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710218 */     // (SIbuffer_load_format:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 710221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 710225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 710230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 710234 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 710237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 710241 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 710244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 710249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 710259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN),
     /* 710262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 710267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710274 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710282 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710292 */     GIR_RootConstrainSelectedInstOperands,
     /* 710293 */     // GIR_Coverage, 4827,
     /* 710293 */     GIR_EraseRootFromParent_Done,
     /* 710294 */   // Label 9267: @710294
     /* 710294 */   GIM_Reject,
     /* 710295 */ // Label 9251: @710295
     /* 710295 */ GIM_Reject,
     /* 710296 */ // Label 9199: @710296
     /* 710296 */ GIM_Reject,
     /* 710297 */ // Label 129: @710297
     /* 710297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(18), /*)*//*default:*//*Label 9275*/ GIMT_Encode4(718041),
     /* 710308 */ /*GILLT_s16*//*Label 9268*/ GIMT_Encode4(710348),
     /* 710312 */ /*GILLT_s32*//*Label 9269*/ GIMT_Encode4(712195), GIMT_Encode4(0),
     /* 710320 */ /*GILLT_v2s16*//*Label 9270*/ GIMT_Encode4(713130),
     /* 710324 */ /*GILLT_v2s32*//*Label 9271*/ GIMT_Encode4(714369), GIMT_Encode4(0),
     /* 710332 */ /*GILLT_v3s32*//*Label 9272*/ GIMT_Encode4(714696), GIMT_Encode4(0),
     /* 710340 */ /*GILLT_v4s16*//*Label 9273*/ GIMT_Encode4(715023),
     /* 710344 */ /*GILLT_v4s32*//*Label 9274*/ GIMT_Encode4(717714),
     /* 710348 */ // Label 9268: @710348
     /* 710348 */ GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(712194),
     /* 710353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 710356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 710359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 710362 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 710365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 710369 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(710441), // Rule ID 4860 //
     /* 710374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 710377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710385 */     // MIs[0] offset
     /* 710385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710388 */     // MIs[0] auxiliary
     /* 710388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710391 */     // MIs[0] Operand 7
     /* 710391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710409 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET),
     /* 710412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710421 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710423 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710439 */     GIR_RootConstrainSelectedInstOperands,
     /* 710440 */     // GIR_Coverage, 4860,
     /* 710440 */     GIR_EraseRootFromParent_Done,
     /* 710441 */   // Label 9277: @710441
     /* 710441 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(710513), // Rule ID 4864 //
     /* 710446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 710449 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710453 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710457 */     // MIs[0] offset
     /* 710457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710460 */     // MIs[0] auxiliary
     /* 710460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710463 */     // MIs[0] Operand 7
     /* 710463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710481 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET:{ *:[i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET),
     /* 710484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710493 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710495 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710501 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710511 */     GIR_RootConstrainSelectedInstOperands,
     /* 710512 */     // GIR_Coverage, 4864,
     /* 710512 */     GIR_EraseRootFromParent_Done,
     /* 710513 */   // Label 9278: @710513
     /* 710513 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(710585), // Rule ID 4884 //
     /* 710518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 710521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710525 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710529 */     // MIs[0] offset
     /* 710529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710532 */     // MIs[0] auxiliary
     /* 710532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710535 */     // MIs[0] Operand 7
     /* 710535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710553 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFSET),
     /* 710556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710565 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710567 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710583 */     GIR_RootConstrainSelectedInstOperands,
     /* 710584 */     // GIR_Coverage, 4884,
     /* 710584 */     GIR_EraseRootFromParent_Done,
     /* 710585 */   // Label 9279: @710585
     /* 710585 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(710657), // Rule ID 4888 //
     /* 710590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 710593 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710597 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710601 */     // MIs[0] offset
     /* 710601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710604 */     // MIs[0] auxiliary
     /* 710604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710607 */     // MIs[0] Operand 7
     /* 710607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710625 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET),
     /* 710628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710637 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710639 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710645 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710655 */     GIR_RootConstrainSelectedInstOperands,
     /* 710656 */     // GIR_Coverage, 4888,
     /* 710656 */     GIR_EraseRootFromParent_Done,
     /* 710657 */   // Label 9280: @710657
     /* 710657 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(710729), // Rule ID 4892 //
     /* 710662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 710665 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710669 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710673 */     // MIs[0] offset
     /* 710673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710676 */     // MIs[0] auxiliary
     /* 710676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710679 */     // MIs[0] Operand 7
     /* 710679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710697 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFSET:{ *:[i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFSET),
     /* 710700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710709 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710711 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710717 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710727 */     GIR_RootConstrainSelectedInstOperands,
     /* 710728 */     // GIR_Coverage, 4892,
     /* 710728 */     GIR_EraseRootFromParent_Done,
     /* 710729 */   // Label 9281: @710729
     /* 710729 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(710801), // Rule ID 4896 //
     /* 710734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 710737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710741 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 710745 */     // MIs[0] offset
     /* 710745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710748 */     // MIs[0] auxiliary
     /* 710748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710751 */     // MIs[0] Operand 7
     /* 710751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710769 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET:{ *:[i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET),
     /* 710772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710781 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710783 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710789 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710799 */     GIR_RootConstrainSelectedInstOperands,
     /* 710800 */     // GIR_Coverage, 4896,
     /* 710800 */     GIR_EraseRootFromParent_Done,
     /* 710801 */   // Label 9282: @710801
     /* 710801 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(710871), // Rule ID 4861 //
     /* 710806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 710809 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710813 */     // MIs[0] offset
     /* 710813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710816 */     // MIs[0] auxiliary
     /* 710816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710819 */     // MIs[0] Operand 7
     /* 710819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710837 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN),
     /* 710840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710842 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 710844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710851 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710853 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710859 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710869 */     GIR_RootConstrainSelectedInstOperands,
     /* 710870 */     // GIR_Coverage, 4861,
     /* 710870 */     GIR_EraseRootFromParent_Done,
     /* 710871 */   // Label 9283: @710871
     /* 710871 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(710941), // Rule ID 4865 //
     /* 710876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 710879 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710883 */     // MIs[0] offset
     /* 710883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710886 */     // MIs[0] auxiliary
     /* 710886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710889 */     // MIs[0] Operand 7
     /* 710889 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710907 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN),
     /* 710910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710912 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 710914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710921 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 710935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 710939 */     GIR_RootConstrainSelectedInstOperands,
     /* 710940 */     // GIR_Coverage, 4865,
     /* 710940 */     GIR_EraseRootFromParent_Done,
     /* 710941 */   // Label 9284: @710941
     /* 710941 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(711011), // Rule ID 4885 //
     /* 710946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 710949 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 710953 */     // MIs[0] offset
     /* 710953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 710956 */     // MIs[0] auxiliary
     /* 710956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 710959 */     // MIs[0] Operand 7
     /* 710959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 710970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 710977 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 710977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFEN),
     /* 710980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 710982 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 710984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 710986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 710991 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 710993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 710999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711009 */     GIR_RootConstrainSelectedInstOperands,
     /* 711010 */     // GIR_Coverage, 4885,
     /* 711010 */     GIR_EraseRootFromParent_Done,
     /* 711011 */   // Label 9285: @711011
     /* 711011 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(711081), // Rule ID 4889 //
     /* 711016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 711019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 711023 */     // MIs[0] offset
     /* 711023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711026 */     // MIs[0] auxiliary
     /* 711026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711029 */     // MIs[0] Operand 7
     /* 711029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 711040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711047 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN),
     /* 711050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711052 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 711054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711061 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711063 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711069 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711079 */     GIR_RootConstrainSelectedInstOperands,
     /* 711080 */     // GIR_Coverage, 4889,
     /* 711080 */     GIR_EraseRootFromParent_Done,
     /* 711081 */   // Label 9286: @711081
     /* 711081 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(711151), // Rule ID 4893 //
     /* 711086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 711089 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 711093 */     // MIs[0] offset
     /* 711093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711096 */     // MIs[0] auxiliary
     /* 711096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711099 */     // MIs[0] Operand 7
     /* 711099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 711110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711117 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFEN),
     /* 711120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711122 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 711124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711131 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711133 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711149 */     GIR_RootConstrainSelectedInstOperands,
     /* 711150 */     // GIR_Coverage, 4893,
     /* 711150 */     GIR_EraseRootFromParent_Done,
     /* 711151 */   // Label 9287: @711151
     /* 711151 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(711221), // Rule ID 4897 //
     /* 711156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 711159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 711163 */     // MIs[0] offset
     /* 711163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711166 */     // MIs[0] auxiliary
     /* 711166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711169 */     // MIs[0] Operand 7
     /* 711169 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 711180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711187 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN),
     /* 711190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711192 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 711194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711201 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711203 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711209 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711219 */     GIR_RootConstrainSelectedInstOperands,
     /* 711220 */     // GIR_Coverage, 4897,
     /* 711220 */     GIR_EraseRootFromParent_Done,
     /* 711221 */   // Label 9288: @711221
     /* 711221 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(711283), // Rule ID 4862 //
     /* 711226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 711229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711233 */     // MIs[0] offset
     /* 711233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711236 */     // MIs[0] auxiliary
     /* 711236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711239 */     // MIs[0] Operand 7
     /* 711239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711249 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN),
     /* 711252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711254 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711263 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711265 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711271 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711281 */     GIR_RootConstrainSelectedInstOperands,
     /* 711282 */     // GIR_Coverage, 4862,
     /* 711282 */     GIR_EraseRootFromParent_Done,
     /* 711283 */   // Label 9289: @711283
     /* 711283 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(711345), // Rule ID 4866 //
     /* 711288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 711291 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711295 */     // MIs[0] offset
     /* 711295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711298 */     // MIs[0] auxiliary
     /* 711298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711301 */     // MIs[0] Operand 7
     /* 711301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711311 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN),
     /* 711314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711316 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711325 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711327 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711333 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711343 */     GIR_RootConstrainSelectedInstOperands,
     /* 711344 */     // GIR_Coverage, 4866,
     /* 711344 */     GIR_EraseRootFromParent_Done,
     /* 711345 */   // Label 9290: @711345
     /* 711345 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(711407), // Rule ID 4886 //
     /* 711350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 711353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711357 */     // MIs[0] offset
     /* 711357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711360 */     // MIs[0] auxiliary
     /* 711360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711363 */     // MIs[0] Operand 7
     /* 711363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711373 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_IDXEN),
     /* 711376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711378 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711387 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711389 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711395 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711405 */     GIR_RootConstrainSelectedInstOperands,
     /* 711406 */     // GIR_Coverage, 4886,
     /* 711406 */     GIR_EraseRootFromParent_Done,
     /* 711407 */   // Label 9291: @711407
     /* 711407 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(711469), // Rule ID 4890 //
     /* 711412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 711415 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711419 */     // MIs[0] offset
     /* 711419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711422 */     // MIs[0] auxiliary
     /* 711422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711425 */     // MIs[0] Operand 7
     /* 711425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711435 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN),
     /* 711438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711440 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711449 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711457 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711467 */     GIR_RootConstrainSelectedInstOperands,
     /* 711468 */     // GIR_Coverage, 4890,
     /* 711468 */     GIR_EraseRootFromParent_Done,
     /* 711469 */   // Label 9292: @711469
     /* 711469 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(711531), // Rule ID 4894 //
     /* 711474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 711477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711481 */     // MIs[0] offset
     /* 711481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711484 */     // MIs[0] auxiliary
     /* 711484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711487 */     // MIs[0] Operand 7
     /* 711487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711497 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_IDXEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_IDXEN),
     /* 711500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711502 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711511 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711513 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711519 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711529 */     GIR_RootConstrainSelectedInstOperands,
     /* 711530 */     // GIR_Coverage, 4894,
     /* 711530 */     GIR_EraseRootFromParent_Done,
     /* 711531 */   // Label 9293: @711531
     /* 711531 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(711593), // Rule ID 4898 //
     /* 711536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 711539 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 711543 */     // MIs[0] offset
     /* 711543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711546 */     // MIs[0] auxiliary
     /* 711546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711549 */     // MIs[0] Operand 7
     /* 711549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711559 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN:{ *:[i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN),
     /* 711562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711564 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 711566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711573 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711575 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711581 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711591 */     GIR_RootConstrainSelectedInstOperands,
     /* 711592 */     // GIR_Coverage, 4898,
     /* 711592 */     GIR_EraseRootFromParent_Done,
     /* 711593 */   // Label 9294: @711593
     /* 711593 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(711693), // Rule ID 4863 //
     /* 711598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 711601 */     // MIs[0] offset
     /* 711601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711604 */     // MIs[0] auxiliary
     /* 711604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711607 */     // MIs[0] Operand 7
     /* 711607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711617 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 711620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 711624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 711629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 711633 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 711636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 711640 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 711643 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 711648 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711653 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN),
     /* 711661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 711666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711673 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711675 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711681 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711691 */     GIR_RootConstrainSelectedInstOperands,
     /* 711692 */     // GIR_Coverage, 4863,
     /* 711692 */     GIR_EraseRootFromParent_Done,
     /* 711693 */   // Label 9295: @711693
     /* 711693 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(711793), // Rule ID 4867 //
     /* 711698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 711701 */     // MIs[0] offset
     /* 711701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711704 */     // MIs[0] auxiliary
     /* 711704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711707 */     // MIs[0] Operand 7
     /* 711707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711717 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN:{ *:[i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 711720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 711724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 711729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 711733 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 711736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 711740 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 711743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 711748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN),
     /* 711761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 711766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711773 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711775 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711781 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711791 */     GIR_RootConstrainSelectedInstOperands,
     /* 711792 */     // GIR_Coverage, 4867,
     /* 711792 */     GIR_EraseRootFromParent_Done,
     /* 711793 */   // Label 9296: @711793
     /* 711793 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(711893), // Rule ID 4887 //
     /* 711798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 711801 */     // MIs[0] offset
     /* 711801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711804 */     // MIs[0] auxiliary
     /* 711804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711807 */     // MIs[0] Operand 7
     /* 711807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711817 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 711820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 711824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 711829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 711833 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 711836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 711840 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 711843 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 711848 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_BOTHEN),
     /* 711861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 711866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711873 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711875 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711881 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711891 */     GIR_RootConstrainSelectedInstOperands,
     /* 711892 */     // GIR_Coverage, 4887,
     /* 711892 */     GIR_EraseRootFromParent_Done,
     /* 711893 */   // Label 9297: @711893
     /* 711893 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(711993), // Rule ID 4891 //
     /* 711898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 711901 */     // MIs[0] offset
     /* 711901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 711904 */     // MIs[0] auxiliary
     /* 711904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 711907 */     // MIs[0] Operand 7
     /* 711907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 711910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 711917 */     // (SIbuffer_load_format_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 711917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 711920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 711924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 711929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 711933 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 711936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 711940 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 711943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 711948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 711958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN),
     /* 711961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 711963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 711966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 711968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 711973 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 711975 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 711981 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 711987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 711991 */     GIR_RootConstrainSelectedInstOperands,
     /* 711992 */     // GIR_Coverage, 4891,
     /* 711992 */     GIR_EraseRootFromParent_Done,
     /* 711993 */   // Label 9298: @711993
     /* 711993 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(712093), // Rule ID 4895 //
     /* 711998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 712001 */     // MIs[0] offset
     /* 712001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712004 */     // MIs[0] auxiliary
     /* 712004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712007 */     // MIs[0] Operand 7
     /* 712007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712017 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_BOTHEN:{ *:[i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 712020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 712024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 712029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 712033 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 712036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 712040 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 712043 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 712048 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_BOTHEN),
     /* 712061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 712066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712073 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712075 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712081 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712091 */     GIR_RootConstrainSelectedInstOperands,
     /* 712092 */     // GIR_Coverage, 4895,
     /* 712092 */     GIR_EraseRootFromParent_Done,
     /* 712093 */   // Label 9299: @712093
     /* 712093 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(712193), // Rule ID 4899 //
     /* 712098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 712101 */     // MIs[0] offset
     /* 712101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712104 */     // MIs[0] auxiliary
     /* 712104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712107 */     // MIs[0] Operand 7
     /* 712107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712117 */     // (SIbuffer_load_format_d16:{ *:[i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN:{ *:[i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 712120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 712124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 712129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 712133 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 712136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 712140 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 712143 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 712148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN),
     /* 712161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 712166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712173 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712175 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712181 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712191 */     GIR_RootConstrainSelectedInstOperands,
     /* 712192 */     // GIR_Coverage, 4899,
     /* 712192 */     GIR_EraseRootFromParent_Done,
     /* 712193 */   // Label 9300: @712193
     /* 712193 */   GIM_Reject,
     /* 712194 */ // Label 9276: @712194
     /* 712194 */ GIM_Reject,
     /* 712195 */ // Label 9269: @712195
     /* 712195 */ GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(713129),
     /* 712200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 712203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 712206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 712209 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 712212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 712216 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(712288), // Rule ID 4868 //
     /* 712221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 712224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712228 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712232 */     // MIs[0] offset
     /* 712232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712235 */     // MIs[0] auxiliary
     /* 712235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712238 */     // MIs[0] Operand 7
     /* 712238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712256 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET),
     /* 712259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712268 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712270 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712286 */     GIR_RootConstrainSelectedInstOperands,
     /* 712287 */     // GIR_Coverage, 4868,
     /* 712287 */     GIR_EraseRootFromParent_Done,
     /* 712288 */   // Label 9302: @712288
     /* 712288 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(712360), // Rule ID 4900 //
     /* 712293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 712296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712304 */     // MIs[0] offset
     /* 712304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712307 */     // MIs[0] auxiliary
     /* 712307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712310 */     // MIs[0] Operand 7
     /* 712310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712328 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFSET),
     /* 712331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712340 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712342 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712358 */     GIR_RootConstrainSelectedInstOperands,
     /* 712359 */     // GIR_Coverage, 4900,
     /* 712359 */     GIR_EraseRootFromParent_Done,
     /* 712360 */   // Label 9303: @712360
     /* 712360 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(712432), // Rule ID 4904 //
     /* 712365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 712368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712376 */     // MIs[0] offset
     /* 712376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712379 */     // MIs[0] auxiliary
     /* 712379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712382 */     // MIs[0] Operand 7
     /* 712382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712400 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET),
     /* 712403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712412 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712414 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712420 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712430 */     GIR_RootConstrainSelectedInstOperands,
     /* 712431 */     // GIR_Coverage, 4904,
     /* 712431 */     GIR_EraseRootFromParent_Done,
     /* 712432 */   // Label 9304: @712432
     /* 712432 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(712502), // Rule ID 4869 //
     /* 712437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 712440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712444 */     // MIs[0] offset
     /* 712444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712447 */     // MIs[0] auxiliary
     /* 712447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712450 */     // MIs[0] Operand 7
     /* 712450 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712468 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN),
     /* 712471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712473 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 712475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712482 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712484 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712490 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712500 */     GIR_RootConstrainSelectedInstOperands,
     /* 712501 */     // GIR_Coverage, 4869,
     /* 712501 */     GIR_EraseRootFromParent_Done,
     /* 712502 */   // Label 9305: @712502
     /* 712502 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(712572), // Rule ID 4901 //
     /* 712507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 712510 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712514 */     // MIs[0] offset
     /* 712514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712517 */     // MIs[0] auxiliary
     /* 712517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712520 */     // MIs[0] Operand 7
     /* 712520 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712538 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_OFFEN),
     /* 712541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712543 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 712545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712552 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712554 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712560 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712570 */     GIR_RootConstrainSelectedInstOperands,
     /* 712571 */     // GIR_Coverage, 4901,
     /* 712571 */     GIR_EraseRootFromParent_Done,
     /* 712572 */   // Label 9306: @712572
     /* 712572 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(712642), // Rule ID 4905 //
     /* 712577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 712580 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 712584 */     // MIs[0] offset
     /* 712584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712587 */     // MIs[0] auxiliary
     /* 712587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712590 */     // MIs[0] Operand 7
     /* 712590 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 712601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712608 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN),
     /* 712611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712613 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 712615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712622 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712624 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712630 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712640 */     GIR_RootConstrainSelectedInstOperands,
     /* 712641 */     // GIR_Coverage, 4905,
     /* 712641 */     GIR_EraseRootFromParent_Done,
     /* 712642 */   // Label 9307: @712642
     /* 712642 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(712704), // Rule ID 4870 //
     /* 712647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 712650 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712654 */     // MIs[0] offset
     /* 712654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712657 */     // MIs[0] auxiliary
     /* 712657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712660 */     // MIs[0] Operand 7
     /* 712660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712670 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN),
     /* 712673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712675 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 712677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712684 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712686 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712692 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712702 */     GIR_RootConstrainSelectedInstOperands,
     /* 712703 */     // GIR_Coverage, 4870,
     /* 712703 */     GIR_EraseRootFromParent_Done,
     /* 712704 */   // Label 9308: @712704
     /* 712704 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(712766), // Rule ID 4902 //
     /* 712709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 712712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712716 */     // MIs[0] offset
     /* 712716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712719 */     // MIs[0] auxiliary
     /* 712719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712722 */     // MIs[0] Operand 7
     /* 712722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712732 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_IDXEN),
     /* 712735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712737 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 712739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712746 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712748 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712754 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712764 */     GIR_RootConstrainSelectedInstOperands,
     /* 712765 */     // GIR_Coverage, 4902,
     /* 712765 */     GIR_EraseRootFromParent_Done,
     /* 712766 */   // Label 9309: @712766
     /* 712766 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(712828), // Rule ID 4906 //
     /* 712771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 712774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 712778 */     // MIs[0] offset
     /* 712778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712781 */     // MIs[0] auxiliary
     /* 712781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712784 */     // MIs[0] Operand 7
     /* 712784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712794 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN),
     /* 712797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712799 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 712801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712808 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712810 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712816 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712826 */     GIR_RootConstrainSelectedInstOperands,
     /* 712827 */     // GIR_Coverage, 4906,
     /* 712827 */     GIR_EraseRootFromParent_Done,
     /* 712828 */   // Label 9310: @712828
     /* 712828 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(712928), // Rule ID 4871 //
     /* 712833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 712836 */     // MIs[0] offset
     /* 712836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712839 */     // MIs[0] auxiliary
     /* 712839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712842 */     // MIs[0] Operand 7
     /* 712842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712852 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 712855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 712859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 712864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 712868 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 712871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 712875 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 712878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 712883 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712888 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN),
     /* 712896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 712901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 712903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 712908 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 712910 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 712916 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 712922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 712926 */     GIR_RootConstrainSelectedInstOperands,
     /* 712927 */     // GIR_Coverage, 4871,
     /* 712927 */     GIR_EraseRootFromParent_Done,
     /* 712928 */   // Label 9311: @712928
     /* 712928 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(713028), // Rule ID 4903 //
     /* 712933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 712936 */     // MIs[0] offset
     /* 712936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 712939 */     // MIs[0] auxiliary
     /* 712939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 712942 */     // MIs[0] Operand 7
     /* 712942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 712945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 712952 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 712952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 712955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 712959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 712964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 712968 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 712971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 712975 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 712978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 712983 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 712993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_BOTHEN),
     /* 712996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 712998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 713001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713008 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713010 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713016 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713026 */     GIR_RootConstrainSelectedInstOperands,
     /* 713027 */     // GIR_Coverage, 4903,
     /* 713027 */     GIR_EraseRootFromParent_Done,
     /* 713028 */   // Label 9312: @713028
     /* 713028 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(713128), // Rule ID 4907 //
     /* 713033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713036 */     // MIs[0] offset
     /* 713036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713039 */     // MIs[0] auxiliary
     /* 713039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713042 */     // MIs[0] Operand 7
     /* 713042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713052 */     // (SIbuffer_load_format_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 713055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 713059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 713064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 713068 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 713071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 713075 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 713078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 713083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 713088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 713093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN),
     /* 713096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 713101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713108 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713116 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713126 */     GIR_RootConstrainSelectedInstOperands,
     /* 713127 */     // GIR_Coverage, 4907,
     /* 713127 */     GIR_EraseRootFromParent_Done,
     /* 713128 */   // Label 9313: @713128
     /* 713128 */   GIM_Reject,
     /* 713129 */ // Label 9301: @713129
     /* 713129 */ GIM_Reject,
     /* 713130 */ // Label 9270: @713130
     /* 713130 */ GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(714368),
     /* 713135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 713138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 713141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 713144 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 713147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 713151 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(713223), // Rule ID 4908 //
     /* 713156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713167 */     // MIs[0] offset
     /* 713167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713170 */     // MIs[0] auxiliary
     /* 713170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713173 */     // MIs[0] Operand 7
     /* 713173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713191 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_OFFSET),
     /* 713194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713203 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713205 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713211 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713221 */     GIR_RootConstrainSelectedInstOperands,
     /* 713222 */     // GIR_Coverage, 4908,
     /* 713222 */     GIR_EraseRootFromParent_Done,
     /* 713223 */   // Label 9315: @713223
     /* 713223 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(713295), // Rule ID 4912 //
     /* 713228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713235 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713239 */     // MIs[0] offset
     /* 713239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713242 */     // MIs[0] auxiliary
     /* 713242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713245 */     // MIs[0] Operand 7
     /* 713245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713263 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET),
     /* 713266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713275 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713283 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713293 */     GIR_RootConstrainSelectedInstOperands,
     /* 713294 */     // GIR_Coverage, 4912,
     /* 713294 */     GIR_EraseRootFromParent_Done,
     /* 713295 */   // Label 9316: @713295
     /* 713295 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(713367), // Rule ID 4916 //
     /* 713300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713311 */     // MIs[0] offset
     /* 713311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713314 */     // MIs[0] auxiliary
     /* 713314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713317 */     // MIs[0] Operand 7
     /* 713317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713335 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_OFFSET:{ *:[v2i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_OFFSET),
     /* 713338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713347 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713349 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713355 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713365 */     GIR_RootConstrainSelectedInstOperands,
     /* 713366 */     // GIR_Coverage, 4916,
     /* 713366 */     GIR_EraseRootFromParent_Done,
     /* 713367 */   // Label 9317: @713367
     /* 713367 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(713439), // Rule ID 4920 //
     /* 713372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713375 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713379 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713383 */     // MIs[0] offset
     /* 713383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713386 */     // MIs[0] auxiliary
     /* 713386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713389 */     // MIs[0] Operand 7
     /* 713389 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713407 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET:{ *:[v2i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET),
     /* 713410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713419 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713421 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713427 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713437 */     GIR_RootConstrainSelectedInstOperands,
     /* 713438 */     // GIR_Coverage, 4920,
     /* 713438 */     GIR_EraseRootFromParent_Done,
     /* 713439 */   // Label 9318: @713439
     /* 713439 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(713509), // Rule ID 4909 //
     /* 713444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713447 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713451 */     // MIs[0] offset
     /* 713451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713454 */     // MIs[0] auxiliary
     /* 713454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713457 */     // MIs[0] Operand 7
     /* 713457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713475 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_OFFEN),
     /* 713478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713480 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 713482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713489 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713497 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713507 */     GIR_RootConstrainSelectedInstOperands,
     /* 713508 */     // GIR_Coverage, 4909,
     /* 713508 */     GIR_EraseRootFromParent_Done,
     /* 713509 */   // Label 9319: @713509
     /* 713509 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(713579), // Rule ID 4913 //
     /* 713514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713521 */     // MIs[0] offset
     /* 713521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713524 */     // MIs[0] auxiliary
     /* 713524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713527 */     // MIs[0] Operand 7
     /* 713527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713545 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN),
     /* 713548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713550 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 713552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713559 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713561 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713567 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713577 */     GIR_RootConstrainSelectedInstOperands,
     /* 713578 */     // GIR_Coverage, 4913,
     /* 713578 */     GIR_EraseRootFromParent_Done,
     /* 713579 */   // Label 9320: @713579
     /* 713579 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(713649), // Rule ID 4917 //
     /* 713584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713591 */     // MIs[0] offset
     /* 713591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713594 */     // MIs[0] auxiliary
     /* 713594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713597 */     // MIs[0] Operand 7
     /* 713597 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713615 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_OFFEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_OFFEN),
     /* 713618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713620 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 713622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713629 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713631 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713637 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713647 */     GIR_RootConstrainSelectedInstOperands,
     /* 713648 */     // GIR_Coverage, 4917,
     /* 713648 */     GIR_EraseRootFromParent_Done,
     /* 713649 */   // Label 9321: @713649
     /* 713649 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(713719), // Rule ID 4921 //
     /* 713654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713657 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 713661 */     // MIs[0] offset
     /* 713661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713664 */     // MIs[0] auxiliary
     /* 713664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713667 */     // MIs[0] Operand 7
     /* 713667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 713678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713685 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN),
     /* 713688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713690 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 713692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713699 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713701 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713707 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713717 */     GIR_RootConstrainSelectedInstOperands,
     /* 713718 */     // GIR_Coverage, 4921,
     /* 713718 */     GIR_EraseRootFromParent_Done,
     /* 713719 */   // Label 9322: @713719
     /* 713719 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(713781), // Rule ID 4910 //
     /* 713724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713727 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713731 */     // MIs[0] offset
     /* 713731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713734 */     // MIs[0] auxiliary
     /* 713734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713737 */     // MIs[0] Operand 7
     /* 713737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713747 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_IDXEN),
     /* 713750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713752 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 713754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713761 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713763 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713769 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713779 */     GIR_RootConstrainSelectedInstOperands,
     /* 713780 */     // GIR_Coverage, 4910,
     /* 713780 */     GIR_EraseRootFromParent_Done,
     /* 713781 */   // Label 9323: @713781
     /* 713781 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(713843), // Rule ID 4914 //
     /* 713786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713789 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713793 */     // MIs[0] offset
     /* 713793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713796 */     // MIs[0] auxiliary
     /* 713796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713799 */     // MIs[0] Operand 7
     /* 713799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713809 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN),
     /* 713812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713814 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 713816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713823 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713825 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713841 */     GIR_RootConstrainSelectedInstOperands,
     /* 713842 */     // GIR_Coverage, 4914,
     /* 713842 */     GIR_EraseRootFromParent_Done,
     /* 713843 */   // Label 9324: @713843
     /* 713843 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(713905), // Rule ID 4918 //
     /* 713848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713851 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713855 */     // MIs[0] offset
     /* 713855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713858 */     // MIs[0] auxiliary
     /* 713858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713861 */     // MIs[0] Operand 7
     /* 713861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713871 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_IDXEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_IDXEN),
     /* 713874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713876 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 713878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713885 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713887 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713893 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713903 */     GIR_RootConstrainSelectedInstOperands,
     /* 713904 */     // GIR_Coverage, 4918,
     /* 713904 */     GIR_EraseRootFromParent_Done,
     /* 713905 */   // Label 9325: @713905
     /* 713905 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(713967), // Rule ID 4922 //
     /* 713910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 713913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 713917 */     // MIs[0] offset
     /* 713917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713920 */     // MIs[0] auxiliary
     /* 713920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713923 */     // MIs[0] Operand 7
     /* 713923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713933 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN:{ *:[v2i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN),
     /* 713936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 713938 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 713940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 713942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 713947 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 713949 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 713955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 713961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 713965 */     GIR_RootConstrainSelectedInstOperands,
     /* 713966 */     // GIR_Coverage, 4922,
     /* 713966 */     GIR_EraseRootFromParent_Done,
     /* 713967 */   // Label 9326: @713967
     /* 713967 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(714067), // Rule ID 4911 //
     /* 713972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 713975 */     // MIs[0] offset
     /* 713975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 713978 */     // MIs[0] auxiliary
     /* 713978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 713981 */     // MIs[0] Operand 7
     /* 713981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 713984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 713991 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 713991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 713994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 713998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714007 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714014 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714017 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714022 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_BOTHEN),
     /* 714035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714047 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714049 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714055 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714065 */     GIR_RootConstrainSelectedInstOperands,
     /* 714066 */     // GIR_Coverage, 4911,
     /* 714066 */     GIR_EraseRootFromParent_Done,
     /* 714067 */   // Label 9327: @714067
     /* 714067 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(714167), // Rule ID 4915 //
     /* 714072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 714075 */     // MIs[0] offset
     /* 714075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714078 */     // MIs[0] auxiliary
     /* 714078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714081 */     // MIs[0] Operand 7
     /* 714081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714091 */     // (SIbuffer_load_format_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 714094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 714098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714107 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714114 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN),
     /* 714135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714147 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714149 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714155 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714165 */     GIR_RootConstrainSelectedInstOperands,
     /* 714166 */     // GIR_Coverage, 4915,
     /* 714166 */     GIR_EraseRootFromParent_Done,
     /* 714167 */   // Label 9328: @714167
     /* 714167 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(714267), // Rule ID 4919 //
     /* 714172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 714175 */     // MIs[0] offset
     /* 714175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714178 */     // MIs[0] auxiliary
     /* 714178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714181 */     // MIs[0] Operand 7
     /* 714181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714191 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_BOTHEN:{ *:[v2i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 714194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 714198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714207 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714214 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714222 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714227 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_BOTHEN),
     /* 714235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714247 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714249 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714255 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714265 */     GIR_RootConstrainSelectedInstOperands,
     /* 714266 */     // GIR_Coverage, 4919,
     /* 714266 */     GIR_EraseRootFromParent_Done,
     /* 714267 */   // Label 9329: @714267
     /* 714267 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(714367), // Rule ID 4923 //
     /* 714272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 714275 */     // MIs[0] offset
     /* 714275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714278 */     // MIs[0] auxiliary
     /* 714278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714281 */     // MIs[0] Operand 7
     /* 714281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714291 */     // (SIbuffer_load_format_d16:{ *:[v2i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN:{ *:[v2i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 714294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 714298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714307 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714314 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714317 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN),
     /* 714335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714347 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714349 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714355 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714365 */     GIR_RootConstrainSelectedInstOperands,
     /* 714366 */     // GIR_Coverage, 4923,
     /* 714366 */     GIR_EraseRootFromParent_Done,
     /* 714367 */   // Label 9330: @714367
     /* 714367 */   GIM_Reject,
     /* 714368 */ // Label 9314: @714368
     /* 714368 */ GIM_Reject,
     /* 714369 */ // Label 9271: @714369
     /* 714369 */ GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(714695),
     /* 714374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 714377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 714380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 714383 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 714386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 714390 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(714462), // Rule ID 4872 //
     /* 714395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 714402 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 714406 */     // MIs[0] offset
     /* 714406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714409 */     // MIs[0] auxiliary
     /* 714409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714412 */     // MIs[0] Operand 7
     /* 714412 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 714423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714430 */     // (SIbuffer_load_format_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFSET),
     /* 714433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714442 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714460 */     GIR_RootConstrainSelectedInstOperands,
     /* 714461 */     // GIR_Coverage, 4872,
     /* 714461 */     GIR_EraseRootFromParent_Done,
     /* 714462 */   // Label 9332: @714462
     /* 714462 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(714532), // Rule ID 4873 //
     /* 714467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714470 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 714474 */     // MIs[0] offset
     /* 714474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714477 */     // MIs[0] auxiliary
     /* 714477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714480 */     // MIs[0] Operand 7
     /* 714480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 714491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714498 */     // (SIbuffer_load_format_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFEN),
     /* 714501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714503 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 714505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714512 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714514 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714530 */     GIR_RootConstrainSelectedInstOperands,
     /* 714531 */     // GIR_Coverage, 4873,
     /* 714531 */     GIR_EraseRootFromParent_Done,
     /* 714532 */   // Label 9333: @714532
     /* 714532 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(714594), // Rule ID 4874 //
     /* 714537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714540 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 714544 */     // MIs[0] offset
     /* 714544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714547 */     // MIs[0] auxiliary
     /* 714547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714550 */     // MIs[0] Operand 7
     /* 714550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714560 */     // (SIbuffer_load_format_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_gfx80_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_gfx80_IDXEN),
     /* 714563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714565 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 714567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714574 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714576 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714592 */     GIR_RootConstrainSelectedInstOperands,
     /* 714593 */     // GIR_Coverage, 4874,
     /* 714593 */     GIR_EraseRootFromParent_Done,
     /* 714594 */   // Label 9334: @714594
     /* 714594 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(714694), // Rule ID 4875 //
     /* 714599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714602 */     // MIs[0] offset
     /* 714602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714605 */     // MIs[0] auxiliary
     /* 714605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714608 */     // MIs[0] Operand 7
     /* 714608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714618 */     // (SIbuffer_load_format_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XY_gfx80_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 714621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 714625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714634 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714641 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714654 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XY_gfx80_BOTHEN),
     /* 714662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714674 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714676 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714682 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714692 */     GIR_RootConstrainSelectedInstOperands,
     /* 714693 */     // GIR_Coverage, 4875,
     /* 714693 */     GIR_EraseRootFromParent_Done,
     /* 714694 */   // Label 9335: @714694
     /* 714694 */   GIM_Reject,
     /* 714695 */ // Label 9331: @714695
     /* 714695 */ GIM_Reject,
     /* 714696 */ // Label 9272: @714696
     /* 714696 */ GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(715022),
     /* 714701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 714704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 714707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 714710 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 714713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 714717 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(714789), // Rule ID 4876 //
     /* 714722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714725 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 714729 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 714733 */     // MIs[0] offset
     /* 714733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714736 */     // MIs[0] auxiliary
     /* 714736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714739 */     // MIs[0] Operand 7
     /* 714739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 714750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714757 */     // (SIbuffer_load_format_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFSET),
     /* 714760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714769 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714771 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714777 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714787 */     GIR_RootConstrainSelectedInstOperands,
     /* 714788 */     // GIR_Coverage, 4876,
     /* 714788 */     GIR_EraseRootFromParent_Done,
     /* 714789 */   // Label 9337: @714789
     /* 714789 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(714859), // Rule ID 4877 //
     /* 714794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714797 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 714801 */     // MIs[0] offset
     /* 714801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714804 */     // MIs[0] auxiliary
     /* 714804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714807 */     // MIs[0] Operand 7
     /* 714807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 714818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714825 */     // (SIbuffer_load_format_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFEN),
     /* 714828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714830 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 714832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714839 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714841 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714847 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714857 */     GIR_RootConstrainSelectedInstOperands,
     /* 714858 */     // GIR_Coverage, 4877,
     /* 714858 */     GIR_EraseRootFromParent_Done,
     /* 714859 */   // Label 9338: @714859
     /* 714859 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(714921), // Rule ID 4878 //
     /* 714864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714867 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 714871 */     // MIs[0] offset
     /* 714871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714874 */     // MIs[0] auxiliary
     /* 714874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714877 */     // MIs[0] Operand 7
     /* 714877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714887 */     // (SIbuffer_load_format_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_IDXEN),
     /* 714890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714892 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 714894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 714901 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 714903 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 714909 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 714915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 714919 */     GIR_RootConstrainSelectedInstOperands,
     /* 714920 */     // GIR_Coverage, 4878,
     /* 714920 */     GIR_EraseRootFromParent_Done,
     /* 714921 */   // Label 9339: @714921
     /* 714921 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(715021), // Rule ID 4879 //
     /* 714926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 714929 */     // MIs[0] offset
     /* 714929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 714932 */     // MIs[0] auxiliary
     /* 714932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 714935 */     // MIs[0] Operand 7
     /* 714935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 714938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 714945 */     // (SIbuffer_load_format_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 714945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 714948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 714952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 714957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 714961 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 714964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 714968 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 714971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 714976 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714981 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 714986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_gfx80_BOTHEN),
     /* 714989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 714991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 714994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 714996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715001 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715003 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715009 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715019 */     GIR_RootConstrainSelectedInstOperands,
     /* 715020 */     // GIR_Coverage, 4879,
     /* 715020 */     GIR_EraseRootFromParent_Done,
     /* 715021 */   // Label 9340: @715021
     /* 715021 */   GIM_Reject,
     /* 715022 */ // Label 9336: @715022
     /* 715022 */ GIM_Reject,
     /* 715023 */ // Label 9273: @715023
     /* 715023 */ GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(717713),
     /* 715028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 715031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 715034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 715037 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 715040 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(715123), // Rule ID 4924 //
     /* 715045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715059 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715063 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715067 */     // MIs[0] offset
     /* 715067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715070 */     // MIs[0] auxiliary
     /* 715070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715073 */     // MIs[0] Operand 7
     /* 715073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715091 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_OFFSET),
     /* 715094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715103 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715105 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715111 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715121 */     GIR_RootConstrainSelectedInstOperands,
     /* 715122 */     // GIR_Coverage, 4924,
     /* 715122 */     GIR_EraseRootFromParent_Done,
     /* 715123 */   // Label 9342: @715123
     /* 715123 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(715206), // Rule ID 4928 //
     /* 715128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715150 */     // MIs[0] offset
     /* 715150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715153 */     // MIs[0] auxiliary
     /* 715153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715156 */     // MIs[0] Operand 7
     /* 715156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715174 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET),
     /* 715177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715186 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715188 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715194 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715204 */     GIR_RootConstrainSelectedInstOperands,
     /* 715205 */     // GIR_Coverage, 4928,
     /* 715205 */     GIR_EraseRootFromParent_Done,
     /* 715206 */   // Label 9343: @715206
     /* 715206 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(715289), // Rule ID 4932 //
     /* 715211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715225 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715233 */     // MIs[0] offset
     /* 715233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715236 */     // MIs[0] auxiliary
     /* 715236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715239 */     // MIs[0] Operand 7
     /* 715239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715257 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_OFFSET),
     /* 715260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715269 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715271 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715287 */     GIR_RootConstrainSelectedInstOperands,
     /* 715288 */     // GIR_Coverage, 4932,
     /* 715288 */     GIR_EraseRootFromParent_Done,
     /* 715289 */   // Label 9344: @715289
     /* 715289 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(715372), // Rule ID 4936 //
     /* 715294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715316 */     // MIs[0] offset
     /* 715316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715319 */     // MIs[0] auxiliary
     /* 715319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715322 */     // MIs[0] Operand 7
     /* 715322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715340 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET),
     /* 715343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715352 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715370 */     GIR_RootConstrainSelectedInstOperands,
     /* 715371 */     // GIR_Coverage, 4936,
     /* 715371 */     GIR_EraseRootFromParent_Done,
     /* 715372 */   // Label 9345: @715372
     /* 715372 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(715448), // Rule ID 4940 //
     /* 715377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715384 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715392 */     // MIs[0] offset
     /* 715392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715395 */     // MIs[0] auxiliary
     /* 715395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715398 */     // MIs[0] Operand 7
     /* 715398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715416 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_OFFSET),
     /* 715419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715428 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715430 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715446 */     GIR_RootConstrainSelectedInstOperands,
     /* 715447 */     // GIR_Coverage, 4940,
     /* 715447 */     GIR_EraseRootFromParent_Done,
     /* 715448 */   // Label 9346: @715448
     /* 715448 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(715524), // Rule ID 4944 //
     /* 715453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715460 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715464 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715468 */     // MIs[0] offset
     /* 715468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715471 */     // MIs[0] auxiliary
     /* 715471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715474 */     // MIs[0] Operand 7
     /* 715474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715492 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET),
     /* 715495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715504 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715506 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715512 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715522 */     GIR_RootConstrainSelectedInstOperands,
     /* 715523 */     // GIR_Coverage, 4944,
     /* 715523 */     GIR_EraseRootFromParent_Done,
     /* 715524 */   // Label 9347: @715524
     /* 715524 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(715600), // Rule ID 4948 //
     /* 715529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715536 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715540 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715544 */     // MIs[0] offset
     /* 715544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715547 */     // MIs[0] auxiliary
     /* 715547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715550 */     // MIs[0] Operand 7
     /* 715550 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715568 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_OFFSET),
     /* 715571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715580 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715598 */     GIR_RootConstrainSelectedInstOperands,
     /* 715599 */     // GIR_Coverage, 4948,
     /* 715599 */     GIR_EraseRootFromParent_Done,
     /* 715600 */   // Label 9348: @715600
     /* 715600 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(715676), // Rule ID 4952 //
     /* 715605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715612 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715616 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 715620 */     // MIs[0] offset
     /* 715620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715623 */     // MIs[0] auxiliary
     /* 715623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715626 */     // MIs[0] Operand 7
     /* 715626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715644 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET:{ *:[v4i16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET),
     /* 715647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715656 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715658 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715664 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715674 */     GIR_RootConstrainSelectedInstOperands,
     /* 715675 */     // GIR_Coverage, 4952,
     /* 715675 */     GIR_EraseRootFromParent_Done,
     /* 715676 */   // Label 9349: @715676
     /* 715676 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(715757), // Rule ID 4925 //
     /* 715681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715695 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715699 */     // MIs[0] offset
     /* 715699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715702 */     // MIs[0] auxiliary
     /* 715702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715705 */     // MIs[0] Operand 7
     /* 715705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715723 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_OFFEN),
     /* 715726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715728 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 715730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715737 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715739 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715745 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715755 */     GIR_RootConstrainSelectedInstOperands,
     /* 715756 */     // GIR_Coverage, 4925,
     /* 715756 */     GIR_EraseRootFromParent_Done,
     /* 715757 */   // Label 9350: @715757
     /* 715757 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(715838), // Rule ID 4929 //
     /* 715762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715776 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715780 */     // MIs[0] offset
     /* 715780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715783 */     // MIs[0] auxiliary
     /* 715783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715786 */     // MIs[0] Operand 7
     /* 715786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715804 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN),
     /* 715807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715809 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 715811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715818 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715826 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715836 */     GIR_RootConstrainSelectedInstOperands,
     /* 715837 */     // GIR_Coverage, 4929,
     /* 715837 */     GIR_EraseRootFromParent_Done,
     /* 715838 */   // Label 9351: @715838
     /* 715838 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(715919), // Rule ID 4933 //
     /* 715843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 715846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715857 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715861 */     // MIs[0] offset
     /* 715861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715864 */     // MIs[0] auxiliary
     /* 715864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715867 */     // MIs[0] Operand 7
     /* 715867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715885 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_OFFEN),
     /* 715888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715890 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 715892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715899 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715901 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715907 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715917 */     GIR_RootConstrainSelectedInstOperands,
     /* 715918 */     // GIR_Coverage, 4933,
     /* 715918 */     GIR_EraseRootFromParent_Done,
     /* 715919 */   // Label 9352: @715919
     /* 715919 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(716000), // Rule ID 4937 //
     /* 715924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 715927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 715934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 715938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 715942 */     // MIs[0] offset
     /* 715942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 715945 */     // MIs[0] auxiliary
     /* 715945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 715948 */     // MIs[0] Operand 7
     /* 715948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 715959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 715966 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 715966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN),
     /* 715969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 715971 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 715973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 715975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 715980 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 715982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 715988 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 715994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 715998 */     GIR_RootConstrainSelectedInstOperands,
     /* 715999 */     // GIR_Coverage, 4937,
     /* 715999 */     GIR_EraseRootFromParent_Done,
     /* 716000 */   // Label 9353: @716000
     /* 716000 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(716074), // Rule ID 4941 //
     /* 716005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 716016 */     // MIs[0] offset
     /* 716016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716019 */     // MIs[0] auxiliary
     /* 716019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716022 */     // MIs[0] Operand 7
     /* 716022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 716033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716040 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_OFFEN),
     /* 716043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716045 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 716047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716054 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716072 */     GIR_RootConstrainSelectedInstOperands,
     /* 716073 */     // GIR_Coverage, 4941,
     /* 716073 */     GIR_EraseRootFromParent_Done,
     /* 716074 */   // Label 9354: @716074
     /* 716074 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(716148), // Rule ID 4945 //
     /* 716079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 716090 */     // MIs[0] offset
     /* 716090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716093 */     // MIs[0] auxiliary
     /* 716093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716096 */     // MIs[0] Operand 7
     /* 716096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 716107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716114 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN),
     /* 716117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716119 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 716121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716128 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716130 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716136 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716146 */     GIR_RootConstrainSelectedInstOperands,
     /* 716147 */     // GIR_Coverage, 4945,
     /* 716147 */     GIR_EraseRootFromParent_Done,
     /* 716148 */   // Label 9355: @716148
     /* 716148 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(716222), // Rule ID 4949 //
     /* 716153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716160 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 716164 */     // MIs[0] offset
     /* 716164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716167 */     // MIs[0] auxiliary
     /* 716167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716170 */     // MIs[0] Operand 7
     /* 716170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 716181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716188 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_OFFEN),
     /* 716191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716193 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 716195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716202 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716204 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716210 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716220 */     GIR_RootConstrainSelectedInstOperands,
     /* 716221 */     // GIR_Coverage, 4949,
     /* 716221 */     GIR_EraseRootFromParent_Done,
     /* 716222 */   // Label 9356: @716222
     /* 716222 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(716296), // Rule ID 4953 //
     /* 716227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 716238 */     // MIs[0] offset
     /* 716238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716241 */     // MIs[0] auxiliary
     /* 716241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716244 */     // MIs[0] Operand 7
     /* 716244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 716255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716262 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN),
     /* 716265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716267 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 716269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716276 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716278 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716284 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716294 */     GIR_RootConstrainSelectedInstOperands,
     /* 716295 */     // GIR_Coverage, 4953,
     /* 716295 */     GIR_EraseRootFromParent_Done,
     /* 716296 */   // Label 9357: @716296
     /* 716296 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(716369), // Rule ID 4926 //
     /* 716301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716304 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716319 */     // MIs[0] offset
     /* 716319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716322 */     // MIs[0] auxiliary
     /* 716322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716325 */     // MIs[0] Operand 7
     /* 716325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716335 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_IDXEN),
     /* 716338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716340 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716349 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716351 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716357 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716367 */     GIR_RootConstrainSelectedInstOperands,
     /* 716368 */     // GIR_Coverage, 4926,
     /* 716368 */     GIR_EraseRootFromParent_Done,
     /* 716369 */   // Label 9358: @716369
     /* 716369 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(716442), // Rule ID 4930 //
     /* 716374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716392 */     // MIs[0] offset
     /* 716392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716395 */     // MIs[0] auxiliary
     /* 716395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716398 */     // MIs[0] Operand 7
     /* 716398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716408 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN),
     /* 716411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716413 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716422 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716424 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716430 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716440 */     GIR_RootConstrainSelectedInstOperands,
     /* 716441 */     // GIR_Coverage, 4930,
     /* 716441 */     GIR_EraseRootFromParent_Done,
     /* 716442 */   // Label 9359: @716442
     /* 716442 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(716515), // Rule ID 4934 //
     /* 716447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716461 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716465 */     // MIs[0] offset
     /* 716465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716468 */     // MIs[0] auxiliary
     /* 716468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716471 */     // MIs[0] Operand 7
     /* 716471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716481 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_IDXEN),
     /* 716484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716486 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716495 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716497 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716503 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716513 */     GIR_RootConstrainSelectedInstOperands,
     /* 716514 */     // GIR_Coverage, 4934,
     /* 716514 */     GIR_EraseRootFromParent_Done,
     /* 716515 */   // Label 9360: @716515
     /* 716515 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(716588), // Rule ID 4938 //
     /* 716520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716538 */     // MIs[0] offset
     /* 716538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716541 */     // MIs[0] auxiliary
     /* 716541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716544 */     // MIs[0] Operand 7
     /* 716544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716554 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN),
     /* 716557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716559 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716568 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716570 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716576 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716586 */     GIR_RootConstrainSelectedInstOperands,
     /* 716587 */     // GIR_Coverage, 4938,
     /* 716587 */     GIR_EraseRootFromParent_Done,
     /* 716588 */   // Label 9361: @716588
     /* 716588 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(716654), // Rule ID 4942 //
     /* 716593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716600 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716604 */     // MIs[0] offset
     /* 716604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716607 */     // MIs[0] auxiliary
     /* 716607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716610 */     // MIs[0] Operand 7
     /* 716610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716620 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_IDXEN),
     /* 716623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716625 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716634 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716636 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716642 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716652 */     GIR_RootConstrainSelectedInstOperands,
     /* 716653 */     // GIR_Coverage, 4942,
     /* 716653 */     GIR_EraseRootFromParent_Done,
     /* 716654 */   // Label 9362: @716654
     /* 716654 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(716720), // Rule ID 4946 //
     /* 716659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716670 */     // MIs[0] offset
     /* 716670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716673 */     // MIs[0] auxiliary
     /* 716673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716676 */     // MIs[0] Operand 7
     /* 716676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716686 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN),
     /* 716689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716691 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716700 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716718 */     GIR_RootConstrainSelectedInstOperands,
     /* 716719 */     // GIR_Coverage, 4946,
     /* 716719 */     GIR_EraseRootFromParent_Done,
     /* 716720 */   // Label 9363: @716720
     /* 716720 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(716786), // Rule ID 4950 //
     /* 716725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716736 */     // MIs[0] offset
     /* 716736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716739 */     // MIs[0] auxiliary
     /* 716739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716742 */     // MIs[0] Operand 7
     /* 716742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716752 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_IDXEN),
     /* 716755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716757 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716766 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716774 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716784 */     GIR_RootConstrainSelectedInstOperands,
     /* 716785 */     // GIR_Coverage, 4950,
     /* 716785 */     GIR_EraseRootFromParent_Done,
     /* 716786 */   // Label 9364: @716786
     /* 716786 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(716852), // Rule ID 4954 //
     /* 716791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716798 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 716802 */     // MIs[0] offset
     /* 716802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716805 */     // MIs[0] auxiliary
     /* 716805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716808 */     // MIs[0] Operand 7
     /* 716808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716818 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN:{ *:[v4i16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN),
     /* 716821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716823 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 716825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716832 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716834 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716840 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716850 */     GIR_RootConstrainSelectedInstOperands,
     /* 716851 */     // GIR_Coverage, 4954,
     /* 716851 */     GIR_EraseRootFromParent_Done,
     /* 716852 */   // Label 9365: @716852
     /* 716852 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(716963), // Rule ID 4927 //
     /* 716857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 716860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716871 */     // MIs[0] offset
     /* 716871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716874 */     // MIs[0] auxiliary
     /* 716874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716877 */     // MIs[0] Operand 7
     /* 716877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716887 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 716890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 716894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 716899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 716903 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 716906 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 716910 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 716913 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 716918 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 716923 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 716928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN),
     /* 716931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 716933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 716936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 716938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 716943 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 716945 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 716951 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 716957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 716961 */     GIR_RootConstrainSelectedInstOperands,
     /* 716962 */     // GIR_Coverage, 4927,
     /* 716962 */     GIR_EraseRootFromParent_Done,
     /* 716963 */   // Label 9366: @716963
     /* 716963 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(717074), // Rule ID 4931 //
     /* 716968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 716971 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 716978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 716982 */     // MIs[0] offset
     /* 716982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 716985 */     // MIs[0] auxiliary
     /* 716985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 716988 */     // MIs[0] Operand 7
     /* 716988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 716991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 716998 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31594>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 716998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717014 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717021 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN),
     /* 717042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717054 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717072 */     GIR_RootConstrainSelectedInstOperands,
     /* 717073 */     // GIR_Coverage, 4931,
     /* 717073 */     GIR_EraseRootFromParent_Done,
     /* 717074 */   // Label 9367: @717074
     /* 717074 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(717185), // Rule ID 4935 //
     /* 717079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 717082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 717089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717093 */     // MIs[0] offset
     /* 717093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717096 */     // MIs[0] auxiliary
     /* 717096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717099 */     // MIs[0] Operand 7
     /* 717099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717109 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717125 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717132 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN),
     /* 717153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717165 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717167 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717183 */     GIR_RootConstrainSelectedInstOperands,
     /* 717184 */     // GIR_Coverage, 4935,
     /* 717184 */     GIR_EraseRootFromParent_Done,
     /* 717185 */   // Label 9368: @717185
     /* 717185 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(717296), // Rule ID 4939 //
     /* 717190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 717193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 717200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717204 */     // MIs[0] offset
     /* 717204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717207 */     // MIs[0] auxiliary
     /* 717207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717210 */     // MIs[0] Operand 7
     /* 717210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717220 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_31604>>  =>  (BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717236 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717243 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717251 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717256 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN),
     /* 717264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717276 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717278 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717284 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717294 */     GIR_RootConstrainSelectedInstOperands,
     /* 717295 */     // GIR_Coverage, 4939,
     /* 717295 */     GIR_EraseRootFromParent_Done,
     /* 717296 */   // Label 9369: @717296
     /* 717296 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(717400), // Rule ID 4943 //
     /* 717301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 717304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717308 */     // MIs[0] offset
     /* 717308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717311 */     // MIs[0] auxiliary
     /* 717311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717314 */     // MIs[0] Operand 7
     /* 717314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717324 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717340 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717347 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717360 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN),
     /* 717368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717380 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717382 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717388 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717398 */     GIR_RootConstrainSelectedInstOperands,
     /* 717399 */     // GIR_Coverage, 4943,
     /* 717399 */     GIR_EraseRootFromParent_Done,
     /* 717400 */   // Label 9370: @717400
     /* 717400 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(717504), // Rule ID 4947 //
     /* 717405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 717408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717412 */     // MIs[0] offset
     /* 717412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717415 */     // MIs[0] auxiliary
     /* 717415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717418 */     // MIs[0] Operand 7
     /* 717418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717428 */     // (SIbuffer_load_format_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717444 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717451 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN),
     /* 717472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717484 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717486 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717492 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717502 */     GIR_RootConstrainSelectedInstOperands,
     /* 717503 */     // GIR_Coverage, 4947,
     /* 717503 */     GIR_EraseRootFromParent_Done,
     /* 717504 */   // Label 9371: @717504
     /* 717504 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(717608), // Rule ID 4951 //
     /* 717509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 717512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717516 */     // MIs[0] offset
     /* 717516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717519 */     // MIs[0] auxiliary
     /* 717519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717522 */     // MIs[0] Operand 7
     /* 717522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717532 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717548 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717555 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN),
     /* 717576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717588 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717596 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717606 */     GIR_RootConstrainSelectedInstOperands,
     /* 717607 */     // GIR_Coverage, 4951,
     /* 717607 */     GIR_EraseRootFromParent_Done,
     /* 717608 */   // Label 9372: @717608
     /* 717608 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(717712), // Rule ID 4955 //
     /* 717613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 717616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 717620 */     // MIs[0] offset
     /* 717620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717623 */     // MIs[0] auxiliary
     /* 717623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717626 */     // MIs[0] Operand 7
     /* 717626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717636 */     // (SIbuffer_load_format_d16:{ *:[v4i16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN:{ *:[v4i16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717652 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717659 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN),
     /* 717680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 717685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717692 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717694 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717700 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717710 */     GIR_RootConstrainSelectedInstOperands,
     /* 717711 */     // GIR_Coverage, 4955,
     /* 717711 */     GIR_EraseRootFromParent_Done,
     /* 717712 */   // Label 9373: @717712
     /* 717712 */   GIM_Reject,
     /* 717713 */ // Label 9341: @717713
     /* 717713 */ GIM_Reject,
     /* 717714 */ // Label 9274: @717714
     /* 717714 */ GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(718040),
     /* 717719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 717722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 717725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 717728 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 717731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 717735 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(717807), // Rule ID 4880 //
     /* 717740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 717743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 717747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 717751 */     // MIs[0] offset
     /* 717751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717754 */     // MIs[0] auxiliary
     /* 717754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717757 */     // MIs[0] Operand 7
     /* 717757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 717768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717775 */     // (SIbuffer_load_format_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFSET),
     /* 717778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717787 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717789 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717795 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717805 */     GIR_RootConstrainSelectedInstOperands,
     /* 717806 */     // GIR_Coverage, 4880,
     /* 717806 */     GIR_EraseRootFromParent_Done,
     /* 717807 */   // Label 9375: @717807
     /* 717807 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(717877), // Rule ID 4881 //
     /* 717812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 717815 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 717819 */     // MIs[0] offset
     /* 717819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717822 */     // MIs[0] auxiliary
     /* 717822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717825 */     // MIs[0] Operand 7
     /* 717825 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 717836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717843 */     // (SIbuffer_load_format_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFEN),
     /* 717846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717848 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 717850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717857 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717859 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717865 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717875 */     GIR_RootConstrainSelectedInstOperands,
     /* 717876 */     // GIR_Coverage, 4881,
     /* 717876 */     GIR_EraseRootFromParent_Done,
     /* 717877 */   // Label 9376: @717877
     /* 717877 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(717939), // Rule ID 4882 //
     /* 717882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 717885 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 717889 */     // MIs[0] offset
     /* 717889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717892 */     // MIs[0] auxiliary
     /* 717892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717895 */     // MIs[0] Operand 7
     /* 717895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717905 */     // (SIbuffer_load_format_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_IDXEN),
     /* 717908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 717910 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 717912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 717914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 717919 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 717921 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 717927 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 717933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 717937 */     GIR_RootConstrainSelectedInstOperands,
     /* 717938 */     // GIR_Coverage, 4882,
     /* 717938 */     GIR_EraseRootFromParent_Done,
     /* 717939 */   // Label 9377: @717939
     /* 717939 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(718039), // Rule ID 4883 //
     /* 717944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 717947 */     // MIs[0] offset
     /* 717947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 717950 */     // MIs[0] auxiliary
     /* 717950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 717953 */     // MIs[0] Operand 7
     /* 717953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 717956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 717963 */     // (SIbuffer_load_format_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 717963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 717966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 717970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 717975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 717979 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 717982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 717986 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 717989 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 717994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 717999 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 718004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_D16_XYZW_gfx80_BOTHEN),
     /* 718007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 718012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718019 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718021 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718037 */     GIR_RootConstrainSelectedInstOperands,
     /* 718038 */     // GIR_Coverage, 4883,
     /* 718038 */     GIR_EraseRootFromParent_Done,
     /* 718039 */   // Label 9378: @718039
     /* 718039 */   GIM_Reject,
     /* 718040 */ // Label 9374: @718040
     /* 718040 */ GIM_Reject,
     /* 718041 */ // Label 9275: @718041
     /* 718041 */ GIM_Reject,
     /* 718042 */ // Label 130: @718042
     /* 718042 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(20), /*)*//*default:*//*Label 9383*/ GIMT_Encode4(720561),
     /* 718053 */ /*GILLT_v2s32*//*Label 9379*/ GIMT_Encode4(718085), GIMT_Encode4(0),
     /* 718061 */ /*GILLT_v3s32*//*Label 9380*/ GIMT_Encode4(718704), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 718073 */ /*GILLT_v4s32*//*Label 9381*/ GIMT_Encode4(719323), GIMT_Encode4(0),
     /* 718081 */ /*GILLT_v5s32*//*Label 9382*/ GIMT_Encode4(719942),
     /* 718085 */ // Label 9379: @718085
     /* 718085 */ GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(718703),
     /* 718090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 718093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 718096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 718099 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 718102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 718106 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(718178), // Rule ID 4828 //
     /* 718111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718122 */     // MIs[0] offset
     /* 718122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718125 */     // MIs[0] auxiliary
     /* 718125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718128 */     // MIs[0] Operand 7
     /* 718128 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718146 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_OFFSET),
     /* 718149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718158 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718160 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718176 */     GIR_RootConstrainSelectedInstOperands,
     /* 718177 */     // GIR_Coverage, 4828,
     /* 718177 */     GIR_EraseRootFromParent_Done,
     /* 718178 */   // Label 9385: @718178
     /* 718178 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(718247), // Rule ID 4832 //
     /* 718183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718187 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718191 */     // MIs[0] offset
     /* 718191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718194 */     // MIs[0] auxiliary
     /* 718194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718197 */     // MIs[0] Operand 7
     /* 718197 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718215 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_OFFSET),
     /* 718218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718227 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718229 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718245 */     GIR_RootConstrainSelectedInstOperands,
     /* 718246 */     // GIR_Coverage, 4832,
     /* 718246 */     GIR_EraseRootFromParent_Done,
     /* 718247 */   // Label 9386: @718247
     /* 718247 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(718317), // Rule ID 4829 //
     /* 718252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718255 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718259 */     // MIs[0] offset
     /* 718259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718262 */     // MIs[0] auxiliary
     /* 718262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718265 */     // MIs[0] Operand 7
     /* 718265 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718283 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_OFFEN),
     /* 718286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718288 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 718290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718297 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718299 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718305 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718315 */     GIR_RootConstrainSelectedInstOperands,
     /* 718316 */     // GIR_Coverage, 4829,
     /* 718316 */     GIR_EraseRootFromParent_Done,
     /* 718317 */   // Label 9387: @718317
     /* 718317 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(718384), // Rule ID 4833 //
     /* 718322 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718326 */     // MIs[0] offset
     /* 718326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718329 */     // MIs[0] auxiliary
     /* 718329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718332 */     // MIs[0] Operand 7
     /* 718332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718350 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_OFFEN),
     /* 718353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718355 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 718357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718364 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718366 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718372 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718382 */     GIR_RootConstrainSelectedInstOperands,
     /* 718383 */     // GIR_Coverage, 4833,
     /* 718383 */     GIR_EraseRootFromParent_Done,
     /* 718384 */   // Label 9388: @718384
     /* 718384 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(718446), // Rule ID 4830 //
     /* 718389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718396 */     // MIs[0] offset
     /* 718396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718399 */     // MIs[0] auxiliary
     /* 718399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718402 */     // MIs[0] Operand 7
     /* 718402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 718405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718412 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_IDXEN),
     /* 718415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718417 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 718419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718426 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718428 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718434 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718444 */     GIR_RootConstrainSelectedInstOperands,
     /* 718445 */     // GIR_Coverage, 4830,
     /* 718445 */     GIR_EraseRootFromParent_Done,
     /* 718446 */   // Label 9389: @718446
     /* 718446 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(718505), // Rule ID 4834 //
     /* 718451 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718455 */     // MIs[0] offset
     /* 718455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718458 */     // MIs[0] auxiliary
     /* 718458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718461 */     // MIs[0] Operand 7
     /* 718461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 718464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718471 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_IDXEN),
     /* 718474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718476 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 718478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718485 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718503 */     GIR_RootConstrainSelectedInstOperands,
     /* 718504 */     // GIR_Coverage, 4834,
     /* 718504 */     GIR_EraseRootFromParent_Done,
     /* 718505 */   // Label 9390: @718505
     /* 718505 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(718605), // Rule ID 4831 //
     /* 718510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718513 */     // MIs[0] offset
     /* 718513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718516 */     // MIs[0] auxiliary
     /* 718516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718519 */     // MIs[0] Operand 7
     /* 718519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 718522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718529 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 718532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 718536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 718541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 718545 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 718548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 718552 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 718555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 718560 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 718565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 718570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_BOTHEN),
     /* 718573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 718578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718585 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718587 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718593 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718603 */     GIR_RootConstrainSelectedInstOperands,
     /* 718604 */     // GIR_Coverage, 4831,
     /* 718604 */     GIR_EraseRootFromParent_Done,
     /* 718605 */   // Label 9391: @718605
     /* 718605 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(718702), // Rule ID 4835 //
     /* 718610 */     // MIs[0] offset
     /* 718610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718613 */     // MIs[0] auxiliary
     /* 718613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718616 */     // MIs[0] Operand 7
     /* 718616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 718619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718626 */     // (SIbuffer_load_format_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 718629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 718633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 718638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 718642 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 718645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 718649 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 718652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 718657 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 718662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 718667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_X_TFE_VBUFFER_BOTHEN),
     /* 718670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 718675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718682 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718690 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718700 */     GIR_RootConstrainSelectedInstOperands,
     /* 718701 */     // GIR_Coverage, 4835,
     /* 718701 */     GIR_EraseRootFromParent_Done,
     /* 718702 */   // Label 9392: @718702
     /* 718702 */   GIM_Reject,
     /* 718703 */ // Label 9384: @718703
     /* 718703 */ GIM_Reject,
     /* 718704 */ // Label 9380: @718704
     /* 718704 */ GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(719322),
     /* 718709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 718712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 718715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 718718 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 718721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 718725 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(718797), // Rule ID 4836 //
     /* 718730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718733 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718741 */     // MIs[0] offset
     /* 718741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718744 */     // MIs[0] auxiliary
     /* 718744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718747 */     // MIs[0] Operand 7
     /* 718747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718765 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_TFE_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_OFFSET),
     /* 718768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718777 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718779 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718785 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718795 */     GIR_RootConstrainSelectedInstOperands,
     /* 718796 */     // GIR_Coverage, 4836,
     /* 718796 */     GIR_EraseRootFromParent_Done,
     /* 718797 */   // Label 9394: @718797
     /* 718797 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(718866), // Rule ID 4840 //
     /* 718802 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 718810 */     // MIs[0] offset
     /* 718810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718813 */     // MIs[0] auxiliary
     /* 718813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718816 */     // MIs[0] Operand 7
     /* 718816 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718834 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_OFFSET),
     /* 718837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718846 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718848 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718854 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718864 */     GIR_RootConstrainSelectedInstOperands,
     /* 718865 */     // GIR_Coverage, 4840,
     /* 718865 */     GIR_EraseRootFromParent_Done,
     /* 718866 */   // Label 9395: @718866
     /* 718866 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(718936), // Rule ID 4837 //
     /* 718871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 718874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718878 */     // MIs[0] offset
     /* 718878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718881 */     // MIs[0] auxiliary
     /* 718881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718884 */     // MIs[0] Operand 7
     /* 718884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718902 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_TFE_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_OFFEN),
     /* 718905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718907 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 718909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718916 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718918 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718924 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 718934 */     GIR_RootConstrainSelectedInstOperands,
     /* 718935 */     // GIR_Coverage, 4837,
     /* 718935 */     GIR_EraseRootFromParent_Done,
     /* 718936 */   // Label 9396: @718936
     /* 718936 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(719003), // Rule ID 4841 //
     /* 718941 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 718945 */     // MIs[0] offset
     /* 718945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 718948 */     // MIs[0] auxiliary
     /* 718948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 718951 */     // MIs[0] Operand 7
     /* 718951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 718962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 718969 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 718969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_OFFEN),
     /* 718972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 718974 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 718976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 718978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 718983 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 718985 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 718991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 718997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719001 */     GIR_RootConstrainSelectedInstOperands,
     /* 719002 */     // GIR_Coverage, 4841,
     /* 719002 */     GIR_EraseRootFromParent_Done,
     /* 719003 */   // Label 9397: @719003
     /* 719003 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(719065), // Rule ID 4838 //
     /* 719008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719011 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719015 */     // MIs[0] offset
     /* 719015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719018 */     // MIs[0] auxiliary
     /* 719018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719021 */     // MIs[0] Operand 7
     /* 719021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719031 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_TFE_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_IDXEN),
     /* 719034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719036 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 719038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719045 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719047 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719053 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719063 */     GIR_RootConstrainSelectedInstOperands,
     /* 719064 */     // GIR_Coverage, 4838,
     /* 719064 */     GIR_EraseRootFromParent_Done,
     /* 719065 */   // Label 9398: @719065
     /* 719065 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(719124), // Rule ID 4842 //
     /* 719070 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719074 */     // MIs[0] offset
     /* 719074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719077 */     // MIs[0] auxiliary
     /* 719077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719080 */     // MIs[0] Operand 7
     /* 719080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719090 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_IDXEN),
     /* 719093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719095 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 719097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719104 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719106 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719112 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719122 */     GIR_RootConstrainSelectedInstOperands,
     /* 719123 */     // GIR_Coverage, 4842,
     /* 719123 */     GIR_EraseRootFromParent_Done,
     /* 719124 */   // Label 9399: @719124
     /* 719124 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(719224), // Rule ID 4839 //
     /* 719129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719132 */     // MIs[0] offset
     /* 719132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719135 */     // MIs[0] auxiliary
     /* 719135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719138 */     // MIs[0] Operand 7
     /* 719138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719148 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_TFE_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 719151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 719155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 719160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 719164 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 719167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 719171 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 719174 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 719179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_BOTHEN),
     /* 719192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 719197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719204 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719206 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719212 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719222 */     GIR_RootConstrainSelectedInstOperands,
     /* 719223 */     // GIR_Coverage, 4839,
     /* 719223 */     GIR_EraseRootFromParent_Done,
     /* 719224 */   // Label 9400: @719224
     /* 719224 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(719321), // Rule ID 4843 //
     /* 719229 */     // MIs[0] offset
     /* 719229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719232 */     // MIs[0] auxiliary
     /* 719232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719235 */     // MIs[0] Operand 7
     /* 719235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719245 */     // (SIbuffer_load_format_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 719248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 719252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 719257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 719261 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 719264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 719268 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 719271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 719276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XY_TFE_VBUFFER_BOTHEN),
     /* 719289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 719294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719301 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719309 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719319 */     GIR_RootConstrainSelectedInstOperands,
     /* 719320 */     // GIR_Coverage, 4843,
     /* 719320 */     GIR_EraseRootFromParent_Done,
     /* 719321 */   // Label 9401: @719321
     /* 719321 */   GIM_Reject,
     /* 719322 */ // Label 9393: @719322
     /* 719322 */ GIM_Reject,
     /* 719323 */ // Label 9381: @719323
     /* 719323 */ GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(719941),
     /* 719328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 719331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 719334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 719337 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 719340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 719344 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(719416), // Rule ID 4844 //
     /* 719349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 719356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719360 */     // MIs[0] offset
     /* 719360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719363 */     // MIs[0] auxiliary
     /* 719363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719366 */     // MIs[0] Operand 7
     /* 719366 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 719377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719384 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_OFFSET),
     /* 719387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719396 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719398 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719404 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719414 */     GIR_RootConstrainSelectedInstOperands,
     /* 719415 */     // GIR_Coverage, 4844,
     /* 719415 */     GIR_EraseRootFromParent_Done,
     /* 719416 */   // Label 9403: @719416
     /* 719416 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(719485), // Rule ID 4848 //
     /* 719421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 719425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719429 */     // MIs[0] offset
     /* 719429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719432 */     // MIs[0] auxiliary
     /* 719432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719435 */     // MIs[0] Operand 7
     /* 719435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 719446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719453 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_OFFSET),
     /* 719456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719465 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719467 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719483 */     GIR_RootConstrainSelectedInstOperands,
     /* 719484 */     // GIR_Coverage, 4848,
     /* 719484 */     GIR_EraseRootFromParent_Done,
     /* 719485 */   // Label 9404: @719485
     /* 719485 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(719555), // Rule ID 4845 //
     /* 719490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719493 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 719497 */     // MIs[0] offset
     /* 719497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719500 */     // MIs[0] auxiliary
     /* 719500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719503 */     // MIs[0] Operand 7
     /* 719503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 719514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719521 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_OFFEN),
     /* 719524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719526 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 719528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719535 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719537 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719543 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719553 */     GIR_RootConstrainSelectedInstOperands,
     /* 719554 */     // GIR_Coverage, 4845,
     /* 719554 */     GIR_EraseRootFromParent_Done,
     /* 719555 */   // Label 9405: @719555
     /* 719555 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(719622), // Rule ID 4849 //
     /* 719560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 719564 */     // MIs[0] offset
     /* 719564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719567 */     // MIs[0] auxiliary
     /* 719567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719570 */     // MIs[0] Operand 7
     /* 719570 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 719581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719588 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_OFFEN),
     /* 719591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719593 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 719595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719602 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719610 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719620 */     GIR_RootConstrainSelectedInstOperands,
     /* 719621 */     // GIR_Coverage, 4849,
     /* 719621 */     GIR_EraseRootFromParent_Done,
     /* 719622 */   // Label 9406: @719622
     /* 719622 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(719684), // Rule ID 4846 //
     /* 719627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719634 */     // MIs[0] offset
     /* 719634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719637 */     // MIs[0] auxiliary
     /* 719637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719640 */     // MIs[0] Operand 7
     /* 719640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719650 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_IDXEN),
     /* 719653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719655 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 719657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719664 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719666 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719682 */     GIR_RootConstrainSelectedInstOperands,
     /* 719683 */     // GIR_Coverage, 4846,
     /* 719683 */     GIR_EraseRootFromParent_Done,
     /* 719684 */   // Label 9407: @719684
     /* 719684 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(719743), // Rule ID 4850 //
     /* 719689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719693 */     // MIs[0] offset
     /* 719693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719696 */     // MIs[0] auxiliary
     /* 719696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719699 */     // MIs[0] Operand 7
     /* 719699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719709 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_IDXEN),
     /* 719712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719714 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 719716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719723 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719725 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719731 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719737 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719741 */     GIR_RootConstrainSelectedInstOperands,
     /* 719742 */     // GIR_Coverage, 4850,
     /* 719742 */     GIR_EraseRootFromParent_Done,
     /* 719743 */   // Label 9408: @719743
     /* 719743 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(719843), // Rule ID 4847 //
     /* 719748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719751 */     // MIs[0] offset
     /* 719751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719754 */     // MIs[0] auxiliary
     /* 719754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719757 */     // MIs[0] Operand 7
     /* 719757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719767 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 719770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 719774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 719779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 719783 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 719786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 719790 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 719793 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 719798 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719803 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_BOTHEN),
     /* 719811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 719816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719823 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719825 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719841 */     GIR_RootConstrainSelectedInstOperands,
     /* 719842 */     // GIR_Coverage, 4847,
     /* 719842 */     GIR_EraseRootFromParent_Done,
     /* 719843 */   // Label 9409: @719843
     /* 719843 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(719940), // Rule ID 4851 //
     /* 719848 */     // MIs[0] offset
     /* 719848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719851 */     // MIs[0] auxiliary
     /* 719851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719854 */     // MIs[0] Operand 7
     /* 719854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 719857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 719864 */     // (SIbuffer_load_format_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 719864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 719867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 719871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 719876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 719880 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 719883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 719887 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 719890 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 719895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 719905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZ_TFE_VBUFFER_BOTHEN),
     /* 719908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 719910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 719913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 719915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 719920 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 719922 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 719928 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 719934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 719938 */     GIR_RootConstrainSelectedInstOperands,
     /* 719939 */     // GIR_Coverage, 4851,
     /* 719939 */     GIR_EraseRootFromParent_Done,
     /* 719940 */   // Label 9410: @719940
     /* 719940 */   GIM_Reject,
     /* 719941 */ // Label 9402: @719941
     /* 719941 */ GIM_Reject,
     /* 719942 */ // Label 9382: @719942
     /* 719942 */ GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(720560),
     /* 719947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 719950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 719953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 719956 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 719959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_160RegClassID),
     /* 719963 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(720035), // Rule ID 4852 //
     /* 719968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 719971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 719975 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 719979 */     // MIs[0] offset
     /* 719979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 719982 */     // MIs[0] auxiliary
     /* 719982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 719985 */     // MIs[0] Operand 7
     /* 719985 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 719996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720003 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_OFFSET:{ *:[v5i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_OFFSET),
     /* 720006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720015 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720017 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720023 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720033 */     GIR_RootConstrainSelectedInstOperands,
     /* 720034 */     // GIR_Coverage, 4852,
     /* 720034 */     GIR_EraseRootFromParent_Done,
     /* 720035 */   // Label 9412: @720035
     /* 720035 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(720104), // Rule ID 4856 //
     /* 720040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 720044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720048 */     // MIs[0] offset
     /* 720048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720051 */     // MIs[0] auxiliary
     /* 720051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720054 */     // MIs[0] Operand 7
     /* 720054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720072 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_OFFSET:{ *:[v5i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_OFFSET),
     /* 720075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720084 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720092 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720102 */     GIR_RootConstrainSelectedInstOperands,
     /* 720103 */     // GIR_Coverage, 4856,
     /* 720103 */     GIR_EraseRootFromParent_Done,
     /* 720104 */   // Label 9413: @720104
     /* 720104 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(720174), // Rule ID 4853 //
     /* 720109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 720116 */     // MIs[0] offset
     /* 720116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720119 */     // MIs[0] auxiliary
     /* 720119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720122 */     // MIs[0] Operand 7
     /* 720122 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720140 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_OFFEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_OFFEN),
     /* 720143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720145 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 720147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720154 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720156 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720162 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720172 */     GIR_RootConstrainSelectedInstOperands,
     /* 720173 */     // GIR_Coverage, 4853,
     /* 720173 */     GIR_EraseRootFromParent_Done,
     /* 720174 */   // Label 9414: @720174
     /* 720174 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(720241), // Rule ID 4857 //
     /* 720179 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 720183 */     // MIs[0] offset
     /* 720183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720186 */     // MIs[0] auxiliary
     /* 720186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720189 */     // MIs[0] Operand 7
     /* 720189 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720207 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_OFFEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_OFFEN),
     /* 720210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720212 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 720214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720221 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720223 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720229 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720239 */     GIR_RootConstrainSelectedInstOperands,
     /* 720240 */     // GIR_Coverage, 4857,
     /* 720240 */     GIR_EraseRootFromParent_Done,
     /* 720241 */   // Label 9415: @720241
     /* 720241 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(720303), // Rule ID 4854 //
     /* 720246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720249 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720253 */     // MIs[0] offset
     /* 720253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720256 */     // MIs[0] auxiliary
     /* 720256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720259 */     // MIs[0] Operand 7
     /* 720259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720269 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_IDXEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_IDXEN),
     /* 720272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720274 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 720276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720283 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720285 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720291 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720301 */     GIR_RootConstrainSelectedInstOperands,
     /* 720302 */     // GIR_Coverage, 4854,
     /* 720302 */     GIR_EraseRootFromParent_Done,
     /* 720303 */   // Label 9416: @720303
     /* 720303 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(720362), // Rule ID 4858 //
     /* 720308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720312 */     // MIs[0] offset
     /* 720312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720315 */     // MIs[0] auxiliary
     /* 720315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720318 */     // MIs[0] Operand 7
     /* 720318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720328 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_IDXEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_IDXEN),
     /* 720331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720333 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 720335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720342 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720344 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720350 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720360 */     GIR_RootConstrainSelectedInstOperands,
     /* 720361 */     // GIR_Coverage, 4858,
     /* 720361 */     GIR_EraseRootFromParent_Done,
     /* 720362 */   // Label 9417: @720362
     /* 720362 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(720462), // Rule ID 4855 //
     /* 720367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720370 */     // MIs[0] offset
     /* 720370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720373 */     // MIs[0] auxiliary
     /* 720373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720376 */     // MIs[0] Operand 7
     /* 720376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720386 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_BOTHEN:{ *:[v5i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 720389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 720393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 720398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 720402 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 720405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 720409 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 720412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 720417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 720422 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 720427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_BOTHEN),
     /* 720430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 720435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720442 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720460 */     GIR_RootConstrainSelectedInstOperands,
     /* 720461 */     // GIR_Coverage, 4855,
     /* 720461 */     GIR_EraseRootFromParent_Done,
     /* 720462 */   // Label 9418: @720462
     /* 720462 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(720559), // Rule ID 4859 //
     /* 720467 */     // MIs[0] offset
     /* 720467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720470 */     // MIs[0] auxiliary
     /* 720470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720473 */     // MIs[0] Operand 7
     /* 720473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720483 */     // (SIbuffer_load_format_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_BOTHEN:{ *:[v5i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 720486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 720490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 720495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 720499 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 720502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 720506 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 720509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 720514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 720519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 720524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_FORMAT_XYZW_TFE_VBUFFER_BOTHEN),
     /* 720527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 720532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720539 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720541 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720547 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720557 */     GIR_RootConstrainSelectedInstOperands,
     /* 720558 */     // GIR_Coverage, 4859,
     /* 720558 */     GIR_EraseRootFromParent_Done,
     /* 720559 */   // Label 9419: @720559
     /* 720559 */   GIM_Reject,
     /* 720560 */ // Label 9411: @720560
     /* 720560 */ GIM_Reject,
     /* 720561 */ // Label 9383: @720561
     /* 720561 */ GIM_Reject,
     /* 720562 */ // Label 131: @720562
     /* 720562 */ GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(721167),
     /* 720567 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 720570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 720573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 720576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 720579 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 720582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 720586 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(720858),
     /* 720591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 720595 */     GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(720663), // Rule ID 5156 //
     /* 720600 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720603 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720607 */       // MIs[0] offset
     /* 720607 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720610 */       // MIs[0] auxiliary
     /* 720610 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720613 */       // MIs[0] Operand 7
     /* 720613 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720624 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720631 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720631 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFSET),
     /* 720634 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720636 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720638 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720643 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720645 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720651 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720657 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720661 */       GIR_RootConstrainSelectedInstOperands,
     /* 720662 */       // GIR_Coverage, 5156,
     /* 720662 */       GIR_EraseRootFromParent_Done,
     /* 720663 */     // Label 9422: @720663
     /* 720663 */     GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(720728), // Rule ID 5160 //
     /* 720668 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720672 */       // MIs[0] offset
     /* 720672 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720675 */       // MIs[0] auxiliary
     /* 720675 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720678 */       // MIs[0] Operand 7
     /* 720678 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720689 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720696 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720696 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFSET),
     /* 720699 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720701 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720703 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720708 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720710 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720716 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720722 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720726 */       GIR_RootConstrainSelectedInstOperands,
     /* 720727 */       // GIR_Coverage, 5160,
     /* 720727 */       GIR_EraseRootFromParent_Done,
     /* 720728 */     // Label 9423: @720728
     /* 720728 */     GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(720794), // Rule ID 5157 //
     /* 720733 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720736 */       // MIs[0] offset
     /* 720736 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720739 */       // MIs[0] auxiliary
     /* 720739 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720742 */       // MIs[0] Operand 7
     /* 720742 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720753 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720760 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720760 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_OFFEN),
     /* 720763 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720765 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 720767 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720769 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720774 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720776 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720782 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720788 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720792 */       GIR_RootConstrainSelectedInstOperands,
     /* 720793 */       // GIR_Coverage, 5157,
     /* 720793 */       GIR_EraseRootFromParent_Done,
     /* 720794 */     // Label 9424: @720794
     /* 720794 */     GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(720857), // Rule ID 5161 //
     /* 720799 */       // MIs[0] offset
     /* 720799 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720802 */       // MIs[0] auxiliary
     /* 720802 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720805 */       // MIs[0] Operand 7
     /* 720805 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 720816 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720823 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720823 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_OFFEN),
     /* 720826 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720828 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 720830 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720832 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720837 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720839 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720845 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720851 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720855 */       GIR_RootConstrainSelectedInstOperands,
     /* 720856 */       // GIR_Coverage, 5161,
     /* 720856 */       GIR_EraseRootFromParent_Done,
     /* 720857 */     // Label 9425: @720857
     /* 720857 */     GIM_Reject,
     /* 720858 */   // Label 9421: @720858
     /* 720858 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(720972),
     /* 720863 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 720867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720876 */     GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(720925), // Rule ID 5158 //
     /* 720881 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720884 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720891 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720891 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_IDXEN),
     /* 720894 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720896 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 720898 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720900 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720905 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720907 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720913 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720919 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720923 */       GIR_RootConstrainSelectedInstOperands,
     /* 720924 */       // GIR_Coverage, 5158,
     /* 720924 */       GIR_EraseRootFromParent_Done,
     /* 720925 */     // Label 9427: @720925
     /* 720925 */     GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(720971), // Rule ID 5162 //
     /* 720930 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 720937 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 720937 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_IDXEN),
     /* 720940 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 720942 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 720944 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 720946 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 720951 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 720953 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 720959 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 720965 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 720969 */       GIR_RootConstrainSelectedInstOperands,
     /* 720970 */       // GIR_Coverage, 5162,
     /* 720970 */       GIR_EraseRootFromParent_Done,
     /* 720971 */     // Label 9428: @720971
     /* 720971 */     GIM_Reject,
     /* 720972 */   // Label 9426: @720972
     /* 720972 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(721166),
     /* 720977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 720980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 720983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 720986 */     GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(721077), // Rule ID 5159 //
     /* 720991 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 720994 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721001 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721001 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 721004 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 721008 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 721013 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 721017 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 721020 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 721024 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 721027 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 721032 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721037 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721042 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_BOTHEN),
     /* 721045 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721047 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 721050 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721052 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721057 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721059 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721065 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721071 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721075 */       GIR_RootConstrainSelectedInstOperands,
     /* 721076 */       // GIR_Coverage, 5159,
     /* 721076 */       GIR_EraseRootFromParent_Done,
     /* 721077 */     // Label 9430: @721077
     /* 721077 */     GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(721165), // Rule ID 5163 //
     /* 721082 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721089 */       // (SIbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721089 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 721092 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 721096 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 721101 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 721105 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 721108 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 721112 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 721115 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 721120 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721125 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721130 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_VBUFFER_BOTHEN),
     /* 721133 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721135 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 721138 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721140 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721145 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721147 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721153 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721159 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721163 */       GIR_RootConstrainSelectedInstOperands,
     /* 721164 */       // GIR_Coverage, 5163,
     /* 721164 */       GIR_EraseRootFromParent_Done,
     /* 721165 */     // Label 9431: @721165
     /* 721165 */     GIM_Reject,
     /* 721166 */   // Label 9429: @721166
     /* 721166 */   GIM_Reject,
     /* 721167 */ // Label 9420: @721167
     /* 721167 */ GIM_Reject,
     /* 721168 */ // Label 132: @721168
     /* 721168 */ GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(721773),
     /* 721173 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 721176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 721179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 721182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 721185 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 721188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 721192 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(721464),
     /* 721197 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 721201 */     GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(721269), // Rule ID 5220 //
     /* 721206 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721209 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 721213 */       // MIs[0] offset
     /* 721213 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721216 */       // MIs[0] auxiliary
     /* 721216 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721219 */       // MIs[0] Operand 7
     /* 721219 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721230 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721237 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721237 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_OFFSET),
     /* 721240 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721242 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721244 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721249 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721251 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721257 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721263 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721267 */       GIR_RootConstrainSelectedInstOperands,
     /* 721268 */       // GIR_Coverage, 5220,
     /* 721268 */       GIR_EraseRootFromParent_Done,
     /* 721269 */     // Label 9434: @721269
     /* 721269 */     GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(721334), // Rule ID 5224 //
     /* 721274 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 721278 */       // MIs[0] offset
     /* 721278 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721281 */       // MIs[0] auxiliary
     /* 721281 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721284 */       // MIs[0] Operand 7
     /* 721284 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721295 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721302 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721302 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_VBUFFER_OFFSET),
     /* 721305 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721307 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721309 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721314 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721316 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721322 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721328 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721332 */       GIR_RootConstrainSelectedInstOperands,
     /* 721333 */       // GIR_Coverage, 5224,
     /* 721333 */       GIR_EraseRootFromParent_Done,
     /* 721334 */     // Label 9435: @721334
     /* 721334 */     GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(721400), // Rule ID 5221 //
     /* 721339 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721342 */       // MIs[0] offset
     /* 721342 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721345 */       // MIs[0] auxiliary
     /* 721345 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721348 */       // MIs[0] Operand 7
     /* 721348 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721359 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721366 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721366 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_OFFEN),
     /* 721369 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721371 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 721373 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721375 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721380 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721382 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721388 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721394 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721398 */       GIR_RootConstrainSelectedInstOperands,
     /* 721399 */       // GIR_Coverage, 5221,
     /* 721399 */       GIR_EraseRootFromParent_Done,
     /* 721400 */     // Label 9436: @721400
     /* 721400 */     GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(721463), // Rule ID 5225 //
     /* 721405 */       // MIs[0] offset
     /* 721405 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721408 */       // MIs[0] auxiliary
     /* 721408 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721411 */       // MIs[0] Operand 7
     /* 721411 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721422 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721429 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SBYTE_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721429 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_VBUFFER_OFFEN),
     /* 721432 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721434 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 721436 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721438 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721443 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721445 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721451 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721457 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721461 */       GIR_RootConstrainSelectedInstOperands,
     /* 721462 */       // GIR_Coverage, 5225,
     /* 721462 */       GIR_EraseRootFromParent_Done,
     /* 721463 */     // Label 9437: @721463
     /* 721463 */     GIM_Reject,
     /* 721464 */   // Label 9433: @721464
     /* 721464 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(721578),
     /* 721469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 721473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 721482 */     GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(721531), // Rule ID 5222 //
     /* 721487 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721490 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721497 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721497 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_IDXEN),
     /* 721500 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721502 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 721504 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721506 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721511 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721513 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721519 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721525 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721529 */       GIR_RootConstrainSelectedInstOperands,
     /* 721530 */       // GIR_Coverage, 5222,
     /* 721530 */       GIR_EraseRootFromParent_Done,
     /* 721531 */     // Label 9439: @721531
     /* 721531 */     GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(721577), // Rule ID 5226 //
     /* 721536 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721543 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721543 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_VBUFFER_IDXEN),
     /* 721546 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721548 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 721550 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721552 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721557 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721559 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721565 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721571 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721575 */       GIR_RootConstrainSelectedInstOperands,
     /* 721576 */       // GIR_Coverage, 5226,
     /* 721576 */       GIR_EraseRootFromParent_Done,
     /* 721577 */     // Label 9440: @721577
     /* 721577 */     GIM_Reject,
     /* 721578 */   // Label 9438: @721578
     /* 721578 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(721772),
     /* 721583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 721592 */     GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(721683), // Rule ID 5223 //
     /* 721597 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721600 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721607 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721607 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 721610 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 721614 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 721619 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 721623 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 721626 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 721630 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 721633 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 721638 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721643 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721648 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_BOTHEN),
     /* 721651 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721653 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 721656 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721658 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721663 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721665 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721671 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721677 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721681 */       GIR_RootConstrainSelectedInstOperands,
     /* 721682 */       // GIR_Coverage, 5223,
     /* 721682 */       GIR_EraseRootFromParent_Done,
     /* 721683 */     // Label 9442: @721683
     /* 721683 */     GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(721771), // Rule ID 5227 //
     /* 721688 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721695 */       // (SIbuffer_load_byte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SBYTE_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721695 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 721698 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 721702 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 721707 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 721711 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 721714 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 721718 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 721721 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 721726 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721731 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 721736 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SBYTE_TFE_VBUFFER_BOTHEN),
     /* 721739 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721741 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 721744 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721746 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721751 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721753 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721759 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721765 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721769 */       GIR_RootConstrainSelectedInstOperands,
     /* 721770 */       // GIR_Coverage, 5227,
     /* 721770 */       GIR_EraseRootFromParent_Done,
     /* 721771 */     // Label 9443: @721771
     /* 721771 */     GIM_Reject,
     /* 721772 */   // Label 9441: @721772
     /* 721772 */   GIM_Reject,
     /* 721773 */ // Label 9432: @721773
     /* 721773 */ GIM_Reject,
     /* 721774 */ // Label 133: @721774
     /* 721774 */ GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(722379),
     /* 721779 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 721782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 721785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 721788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 721791 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 721794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 721798 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(722070),
     /* 721803 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 721807 */     GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(721875), // Rule ID 5164 //
     /* 721812 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721815 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 721819 */       // MIs[0] offset
     /* 721819 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721822 */       // MIs[0] auxiliary
     /* 721822 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721825 */       // MIs[0] Operand 7
     /* 721825 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721836 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721843 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721843 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFSET),
     /* 721846 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721848 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721850 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721855 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721857 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721863 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721869 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721873 */       GIR_RootConstrainSelectedInstOperands,
     /* 721874 */       // GIR_Coverage, 5164,
     /* 721874 */       GIR_EraseRootFromParent_Done,
     /* 721875 */     // Label 9446: @721875
     /* 721875 */     GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(721940), // Rule ID 5168 //
     /* 721880 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 721884 */       // MIs[0] offset
     /* 721884 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721887 */       // MIs[0] auxiliary
     /* 721887 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721890 */       // MIs[0] Operand 7
     /* 721890 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721901 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721908 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721908 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFSET),
     /* 721911 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721913 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721915 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721920 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721922 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721928 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 721934 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 721938 */       GIR_RootConstrainSelectedInstOperands,
     /* 721939 */       // GIR_Coverage, 5168,
     /* 721939 */       GIR_EraseRootFromParent_Done,
     /* 721940 */     // Label 9447: @721940
     /* 721940 */     GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(722006), // Rule ID 5165 //
     /* 721945 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 721948 */       // MIs[0] offset
     /* 721948 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 721951 */       // MIs[0] auxiliary
     /* 721951 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 721954 */       // MIs[0] Operand 7
     /* 721954 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 721965 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 721972 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 721972 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_OFFEN),
     /* 721975 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 721977 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 721979 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 721981 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 721986 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 721988 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 721994 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722000 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722004 */       GIR_RootConstrainSelectedInstOperands,
     /* 722005 */       // GIR_Coverage, 5165,
     /* 722005 */       GIR_EraseRootFromParent_Done,
     /* 722006 */     // Label 9448: @722006
     /* 722006 */     GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(722069), // Rule ID 5169 //
     /* 722011 */       // MIs[0] offset
     /* 722011 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722014 */       // MIs[0] auxiliary
     /* 722014 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722017 */       // MIs[0] Operand 7
     /* 722017 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 722028 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722035 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722035 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_OFFEN),
     /* 722038 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722040 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 722042 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722044 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722049 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722051 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722057 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722063 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722067 */       GIR_RootConstrainSelectedInstOperands,
     /* 722068 */       // GIR_Coverage, 5169,
     /* 722068 */       GIR_EraseRootFromParent_Done,
     /* 722069 */     // Label 9449: @722069
     /* 722069 */     GIM_Reject,
     /* 722070 */   // Label 9445: @722070
     /* 722070 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(722184),
     /* 722075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 722079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 722088 */     GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(722137), // Rule ID 5166 //
     /* 722093 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722096 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722103 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722103 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_IDXEN),
     /* 722106 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722108 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 722110 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722112 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722117 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722119 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722125 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722131 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722135 */       GIR_RootConstrainSelectedInstOperands,
     /* 722136 */       // GIR_Coverage, 5166,
     /* 722136 */       GIR_EraseRootFromParent_Done,
     /* 722137 */     // Label 9451: @722137
     /* 722137 */     GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(722183), // Rule ID 5170 //
     /* 722142 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722149 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722149 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_IDXEN),
     /* 722152 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722154 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 722156 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722158 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722163 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722165 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722171 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722177 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722181 */       GIR_RootConstrainSelectedInstOperands,
     /* 722182 */       // GIR_Coverage, 5170,
     /* 722182 */       GIR_EraseRootFromParent_Done,
     /* 722183 */     // Label 9452: @722183
     /* 722183 */     GIM_Reject,
     /* 722184 */   // Label 9450: @722184
     /* 722184 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(722378),
     /* 722189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 722198 */     GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(722289), // Rule ID 5167 //
     /* 722203 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722206 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722213 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722213 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 722216 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 722220 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 722225 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 722229 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 722232 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 722236 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 722239 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 722244 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722249 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722254 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_BOTHEN),
     /* 722257 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722259 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 722262 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722264 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722269 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722271 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722277 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722283 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722287 */       GIR_RootConstrainSelectedInstOperands,
     /* 722288 */       // GIR_Coverage, 5167,
     /* 722288 */       GIR_EraseRootFromParent_Done,
     /* 722289 */     // Label 9454: @722289
     /* 722289 */     GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(722377), // Rule ID 5171 //
     /* 722294 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722301 */       // (SIbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722301 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 722304 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 722308 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 722313 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 722317 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 722320 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 722324 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 722327 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 722332 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722337 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722342 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_VBUFFER_BOTHEN),
     /* 722345 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722347 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 722350 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722352 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722357 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722359 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722365 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722371 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722375 */       GIR_RootConstrainSelectedInstOperands,
     /* 722376 */       // GIR_Coverage, 5171,
     /* 722376 */       GIR_EraseRootFromParent_Done,
     /* 722377 */     // Label 9455: @722377
     /* 722377 */     GIM_Reject,
     /* 722378 */   // Label 9453: @722378
     /* 722378 */   GIM_Reject,
     /* 722379 */ // Label 9444: @722379
     /* 722379 */ GIM_Reject,
     /* 722380 */ // Label 134: @722380
     /* 722380 */ GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(722985),
     /* 722385 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 722388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 722391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 722394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 722397 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 722400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 722404 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(722676),
     /* 722409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 722413 */     GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(722481), // Rule ID 5228 //
     /* 722418 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722421 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 722425 */       // MIs[0] offset
     /* 722425 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722428 */       // MIs[0] auxiliary
     /* 722428 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722431 */       // MIs[0] Operand 7
     /* 722431 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 722442 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722449 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722449 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_OFFSET),
     /* 722452 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722454 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722456 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722461 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722463 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722469 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722475 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722479 */       GIR_RootConstrainSelectedInstOperands,
     /* 722480 */       // GIR_Coverage, 5228,
     /* 722480 */       GIR_EraseRootFromParent_Done,
     /* 722481 */     // Label 9458: @722481
     /* 722481 */     GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(722546), // Rule ID 5232 //
     /* 722486 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 722490 */       // MIs[0] offset
     /* 722490 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722493 */       // MIs[0] auxiliary
     /* 722493 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722496 */       // MIs[0] Operand 7
     /* 722496 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 722507 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722514 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722514 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_VBUFFER_OFFSET),
     /* 722517 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722519 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722521 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722526 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722528 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722534 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722540 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722544 */       GIR_RootConstrainSelectedInstOperands,
     /* 722545 */       // GIR_Coverage, 5232,
     /* 722545 */       GIR_EraseRootFromParent_Done,
     /* 722546 */     // Label 9459: @722546
     /* 722546 */     GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(722612), // Rule ID 5229 //
     /* 722551 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722554 */       // MIs[0] offset
     /* 722554 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722557 */       // MIs[0] auxiliary
     /* 722557 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722560 */       // MIs[0] Operand 7
     /* 722560 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 722571 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722578 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722578 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_OFFEN),
     /* 722581 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722583 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 722585 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722587 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722592 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722594 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722600 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722606 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722610 */       GIR_RootConstrainSelectedInstOperands,
     /* 722611 */       // GIR_Coverage, 5229,
     /* 722611 */       GIR_EraseRootFromParent_Done,
     /* 722612 */     // Label 9460: @722612
     /* 722612 */     GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(722675), // Rule ID 5233 //
     /* 722617 */       // MIs[0] offset
     /* 722617 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722620 */       // MIs[0] auxiliary
     /* 722620 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722623 */       // MIs[0] Operand 7
     /* 722623 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 722634 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722641 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_SSHORT_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722641 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_VBUFFER_OFFEN),
     /* 722644 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722646 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 722648 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722650 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722655 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722657 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722663 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722669 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722673 */       GIR_RootConstrainSelectedInstOperands,
     /* 722674 */       // GIR_Coverage, 5233,
     /* 722674 */       GIR_EraseRootFromParent_Done,
     /* 722675 */     // Label 9461: @722675
     /* 722675 */     GIM_Reject,
     /* 722676 */   // Label 9457: @722676
     /* 722676 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(722790),
     /* 722681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 722685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 722694 */     GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(722743), // Rule ID 5230 //
     /* 722699 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722702 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722709 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722709 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_IDXEN),
     /* 722712 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722714 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 722716 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722718 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722723 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722725 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722731 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722737 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722741 */       GIR_RootConstrainSelectedInstOperands,
     /* 722742 */       // GIR_Coverage, 5230,
     /* 722742 */       GIR_EraseRootFromParent_Done,
     /* 722743 */     // Label 9463: @722743
     /* 722743 */     GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(722789), // Rule ID 5234 //
     /* 722748 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722755 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722755 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_VBUFFER_IDXEN),
     /* 722758 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722760 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 722762 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722764 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722769 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722771 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722777 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722783 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722787 */       GIR_RootConstrainSelectedInstOperands,
     /* 722788 */       // GIR_Coverage, 5234,
     /* 722788 */       GIR_EraseRootFromParent_Done,
     /* 722789 */     // Label 9464: @722789
     /* 722789 */     GIM_Reject,
     /* 722790 */   // Label 9462: @722790
     /* 722790 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(722984),
     /* 722795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 722798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 722801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 722804 */     GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(722895), // Rule ID 5231 //
     /* 722809 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 722812 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722819 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722819 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 722822 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 722826 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 722831 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 722835 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 722838 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 722842 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 722845 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 722850 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722855 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722860 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_BOTHEN),
     /* 722863 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722865 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 722868 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722870 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722875 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722877 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722883 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722889 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722893 */       GIR_RootConstrainSelectedInstOperands,
     /* 722894 */       // GIR_Coverage, 5231,
     /* 722894 */       GIR_EraseRootFromParent_Done,
     /* 722895 */     // Label 9466: @722895
     /* 722895 */     GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(722983), // Rule ID 5235 //
     /* 722900 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 722907 */       // (SIbuffer_load_short_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_SSHORT_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 722907 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 722910 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 722914 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 722919 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 722923 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 722926 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 722930 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 722933 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 722938 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722943 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 722948 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_SSHORT_TFE_VBUFFER_BOTHEN),
     /* 722951 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 722953 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 722956 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 722958 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 722963 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 722965 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 722971 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 722977 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 722981 */       GIR_RootConstrainSelectedInstOperands,
     /* 722982 */       // GIR_Coverage, 5235,
     /* 722982 */       GIR_EraseRootFromParent_Done,
     /* 722983 */     // Label 9467: @722983
     /* 722983 */     GIM_Reject,
     /* 722984 */   // Label 9465: @722984
     /* 722984 */   GIM_Reject,
     /* 722985 */ // Label 9456: @722985
     /* 722985 */ GIM_Reject,
     /* 722986 */ // Label 135: @722986
     /* 722986 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(20), /*)*//*default:*//*Label 9472*/ GIMT_Encode4(725505),
     /* 722997 */ /*GILLT_v2s32*//*Label 9468*/ GIMT_Encode4(723029), GIMT_Encode4(0),
     /* 723005 */ /*GILLT_v3s32*//*Label 9469*/ GIMT_Encode4(723648), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 723017 */ /*GILLT_v4s32*//*Label 9470*/ GIMT_Encode4(724267), GIMT_Encode4(0),
     /* 723025 */ /*GILLT_v5s32*//*Label 9471*/ GIMT_Encode4(724886),
     /* 723029 */ // Label 9468: @723029
     /* 723029 */ GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(723647),
     /* 723034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 723037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 723040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 723043 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 723046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 723050 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(723122), // Rule ID 5188 //
     /* 723055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723062 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723066 */     // MIs[0] offset
     /* 723066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723069 */     // MIs[0] auxiliary
     /* 723069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723072 */     // MIs[0] Operand 7
     /* 723072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723090 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_OFFSET),
     /* 723093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723102 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723120 */     GIR_RootConstrainSelectedInstOperands,
     /* 723121 */     // GIR_Coverage, 5188,
     /* 723121 */     GIR_EraseRootFromParent_Done,
     /* 723122 */   // Label 9474: @723122
     /* 723122 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(723191), // Rule ID 5192 //
     /* 723127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723135 */     // MIs[0] offset
     /* 723135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723138 */     // MIs[0] auxiliary
     /* 723138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723141 */     // MIs[0] Operand 7
     /* 723141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723159 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_VBUFFER_OFFSET),
     /* 723162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723171 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723189 */     GIR_RootConstrainSelectedInstOperands,
     /* 723190 */     // GIR_Coverage, 5192,
     /* 723190 */     GIR_EraseRootFromParent_Done,
     /* 723191 */   // Label 9475: @723191
     /* 723191 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(723261), // Rule ID 5189 //
     /* 723196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723199 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723203 */     // MIs[0] offset
     /* 723203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723206 */     // MIs[0] auxiliary
     /* 723206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723209 */     // MIs[0] Operand 7
     /* 723209 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723227 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_OFFEN),
     /* 723230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723232 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 723234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723241 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723243 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723249 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723259 */     GIR_RootConstrainSelectedInstOperands,
     /* 723260 */     // GIR_Coverage, 5189,
     /* 723260 */     GIR_EraseRootFromParent_Done,
     /* 723261 */   // Label 9476: @723261
     /* 723261 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(723328), // Rule ID 5193 //
     /* 723266 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723270 */     // MIs[0] offset
     /* 723270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723273 */     // MIs[0] auxiliary
     /* 723273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723276 */     // MIs[0] Operand 7
     /* 723276 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723294 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORD_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_VBUFFER_OFFEN),
     /* 723297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723299 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 723301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723308 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723310 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723326 */     GIR_RootConstrainSelectedInstOperands,
     /* 723327 */     // GIR_Coverage, 5193,
     /* 723327 */     GIR_EraseRootFromParent_Done,
     /* 723328 */   // Label 9477: @723328
     /* 723328 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(723390), // Rule ID 5190 //
     /* 723333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723340 */     // MIs[0] offset
     /* 723340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723343 */     // MIs[0] auxiliary
     /* 723343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723346 */     // MIs[0] Operand 7
     /* 723346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 723349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723356 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_IDXEN),
     /* 723359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723361 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 723363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723370 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723372 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723378 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723388 */     GIR_RootConstrainSelectedInstOperands,
     /* 723389 */     // GIR_Coverage, 5190,
     /* 723389 */     GIR_EraseRootFromParent_Done,
     /* 723390 */   // Label 9478: @723390
     /* 723390 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(723449), // Rule ID 5194 //
     /* 723395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723399 */     // MIs[0] offset
     /* 723399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723402 */     // MIs[0] auxiliary
     /* 723402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723405 */     // MIs[0] Operand 7
     /* 723405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 723408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723415 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_VBUFFER_IDXEN),
     /* 723418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723420 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 723422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723429 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723431 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723447 */     GIR_RootConstrainSelectedInstOperands,
     /* 723448 */     // GIR_Coverage, 5194,
     /* 723448 */     GIR_EraseRootFromParent_Done,
     /* 723449 */   // Label 9479: @723449
     /* 723449 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(723549), // Rule ID 5191 //
     /* 723454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723457 */     // MIs[0] offset
     /* 723457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723460 */     // MIs[0] auxiliary
     /* 723460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723463 */     // MIs[0] Operand 7
     /* 723463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 723466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723473 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 723476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 723480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 723485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 723489 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 723492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 723496 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 723499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 723504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 723509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 723514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_BOTHEN),
     /* 723517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 723522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723529 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723531 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723537 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723547 */     GIR_RootConstrainSelectedInstOperands,
     /* 723548 */     // GIR_Coverage, 5191,
     /* 723548 */     GIR_EraseRootFromParent_Done,
     /* 723549 */   // Label 9480: @723549
     /* 723549 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(723646), // Rule ID 5195 //
     /* 723554 */     // MIs[0] offset
     /* 723554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723557 */     // MIs[0] auxiliary
     /* 723557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723560 */     // MIs[0] Operand 7
     /* 723560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 723563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723570 */     // (SIbuffer_load_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORD_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 723573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 723577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 723582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 723586 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 723589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 723593 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 723596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 723601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 723606 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 723611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORD_TFE_VBUFFER_BOTHEN),
     /* 723614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 723619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723626 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723628 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723634 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723644 */     GIR_RootConstrainSelectedInstOperands,
     /* 723645 */     // GIR_Coverage, 5195,
     /* 723645 */     GIR_EraseRootFromParent_Done,
     /* 723646 */   // Label 9481: @723646
     /* 723646 */   GIM_Reject,
     /* 723647 */ // Label 9473: @723647
     /* 723647 */ GIM_Reject,
     /* 723648 */ // Label 9469: @723648
     /* 723648 */ GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(724266),
     /* 723653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 723656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 723659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 723662 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 723665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 723669 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(723741), // Rule ID 5196 //
     /* 723674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723677 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723685 */     // MIs[0] offset
     /* 723685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723688 */     // MIs[0] auxiliary
     /* 723688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723691 */     // MIs[0] Operand 7
     /* 723691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723709 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_TFE_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_OFFSET),
     /* 723712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723721 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723729 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723739 */     GIR_RootConstrainSelectedInstOperands,
     /* 723740 */     // GIR_Coverage, 5196,
     /* 723740 */     GIR_EraseRootFromParent_Done,
     /* 723741 */   // Label 9483: @723741
     /* 723741 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(723810), // Rule ID 5200 //
     /* 723746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723754 */     // MIs[0] offset
     /* 723754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723757 */     // MIs[0] auxiliary
     /* 723757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723760 */     // MIs[0] Operand 7
     /* 723760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723778 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_TFE_VBUFFER_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_VBUFFER_OFFSET),
     /* 723781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723790 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723792 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723798 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723808 */     GIR_RootConstrainSelectedInstOperands,
     /* 723809 */     // GIR_Coverage, 5200,
     /* 723809 */     GIR_EraseRootFromParent_Done,
     /* 723810 */   // Label 9484: @723810
     /* 723810 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(723880), // Rule ID 5197 //
     /* 723815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723822 */     // MIs[0] offset
     /* 723822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723825 */     // MIs[0] auxiliary
     /* 723825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723828 */     // MIs[0] Operand 7
     /* 723828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723846 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_TFE_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_OFFEN),
     /* 723849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723851 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 723853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723860 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723862 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723868 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723878 */     GIR_RootConstrainSelectedInstOperands,
     /* 723879 */     // GIR_Coverage, 5197,
     /* 723879 */     GIR_EraseRootFromParent_Done,
     /* 723880 */   // Label 9485: @723880
     /* 723880 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(723947), // Rule ID 5201 //
     /* 723885 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 723889 */     // MIs[0] offset
     /* 723889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723892 */     // MIs[0] auxiliary
     /* 723892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723895 */     // MIs[0] Operand 7
     /* 723895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 723906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723913 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX2_TFE_VBUFFER_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_VBUFFER_OFFEN),
     /* 723916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723918 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 723920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723927 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723935 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 723941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 723945 */     GIR_RootConstrainSelectedInstOperands,
     /* 723946 */     // GIR_Coverage, 5201,
     /* 723946 */     GIR_EraseRootFromParent_Done,
     /* 723947 */   // Label 9486: @723947
     /* 723947 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(724009), // Rule ID 5198 //
     /* 723952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 723955 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 723959 */     // MIs[0] offset
     /* 723959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 723962 */     // MIs[0] auxiliary
     /* 723962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 723965 */     // MIs[0] Operand 7
     /* 723965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 723968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 723975 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_TFE_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 723975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_IDXEN),
     /* 723978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 723980 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 723982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 723984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 723989 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 723991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 723997 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724007 */     GIR_RootConstrainSelectedInstOperands,
     /* 724008 */     // GIR_Coverage, 5198,
     /* 724008 */     GIR_EraseRootFromParent_Done,
     /* 724009 */   // Label 9487: @724009
     /* 724009 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(724068), // Rule ID 5202 //
     /* 724014 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724018 */     // MIs[0] offset
     /* 724018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724021 */     // MIs[0] auxiliary
     /* 724021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724024 */     // MIs[0] Operand 7
     /* 724024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724034 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_TFE_VBUFFER_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_VBUFFER_IDXEN),
     /* 724037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724039 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 724041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724048 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724050 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724066 */     GIR_RootConstrainSelectedInstOperands,
     /* 724067 */     // GIR_Coverage, 5202,
     /* 724067 */     GIR_EraseRootFromParent_Done,
     /* 724068 */   // Label 9488: @724068
     /* 724068 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(724168), // Rule ID 5199 //
     /* 724073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724076 */     // MIs[0] offset
     /* 724076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724079 */     // MIs[0] auxiliary
     /* 724079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724082 */     // MIs[0] Operand 7
     /* 724082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724092 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_TFE_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 724095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 724099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 724104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 724108 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 724111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 724115 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 724118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 724123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724128 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_BOTHEN),
     /* 724136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 724141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724148 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724150 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724156 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724166 */     GIR_RootConstrainSelectedInstOperands,
     /* 724167 */     // GIR_Coverage, 5199,
     /* 724167 */     GIR_EraseRootFromParent_Done,
     /* 724168 */   // Label 9489: @724168
     /* 724168 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(724265), // Rule ID 5203 //
     /* 724173 */     // MIs[0] offset
     /* 724173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724176 */     // MIs[0] auxiliary
     /* 724176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724179 */     // MIs[0] Operand 7
     /* 724179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724189 */     // (SIbuffer_load_tfe:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX2_TFE_VBUFFER_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 724192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 724196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 724201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 724205 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 724208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 724212 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 724215 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 724220 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX2_TFE_VBUFFER_BOTHEN),
     /* 724233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 724238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724245 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724247 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724253 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724263 */     GIR_RootConstrainSelectedInstOperands,
     /* 724264 */     // GIR_Coverage, 5203,
     /* 724264 */     GIR_EraseRootFromParent_Done,
     /* 724265 */   // Label 9490: @724265
     /* 724265 */   GIM_Reject,
     /* 724266 */ // Label 9482: @724266
     /* 724266 */ GIM_Reject,
     /* 724267 */ // Label 9470: @724267
     /* 724267 */ GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(724885),
     /* 724272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 724275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 724278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 724281 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 724284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 724288 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(724360), // Rule ID 5204 //
     /* 724293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724304 */     // MIs[0] offset
     /* 724304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724307 */     // MIs[0] auxiliary
     /* 724307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724310 */     // MIs[0] Operand 7
     /* 724310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 724321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724328 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_TFE_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_OFFSET),
     /* 724331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724340 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724342 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724358 */     GIR_RootConstrainSelectedInstOperands,
     /* 724359 */     // GIR_Coverage, 5204,
     /* 724359 */     GIR_EraseRootFromParent_Done,
     /* 724360 */   // Label 9492: @724360
     /* 724360 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(724429), // Rule ID 5208 //
     /* 724365 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724369 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724373 */     // MIs[0] offset
     /* 724373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724376 */     // MIs[0] auxiliary
     /* 724376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724379 */     // MIs[0] Operand 7
     /* 724379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 724390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724397 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_TFE_VBUFFER_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_VBUFFER_OFFSET),
     /* 724400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724409 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724411 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724417 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724427 */     GIR_RootConstrainSelectedInstOperands,
     /* 724428 */     // GIR_Coverage, 5208,
     /* 724428 */     GIR_EraseRootFromParent_Done,
     /* 724429 */   // Label 9493: @724429
     /* 724429 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(724499), // Rule ID 5205 //
     /* 724434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724437 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724441 */     // MIs[0] offset
     /* 724441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724444 */     // MIs[0] auxiliary
     /* 724444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724447 */     // MIs[0] Operand 7
     /* 724447 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 724458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724465 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_TFE_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_OFFEN),
     /* 724468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724470 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 724472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724479 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724481 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724497 */     GIR_RootConstrainSelectedInstOperands,
     /* 724498 */     // GIR_Coverage, 5205,
     /* 724498 */     GIR_EraseRootFromParent_Done,
     /* 724499 */   // Label 9494: @724499
     /* 724499 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(724566), // Rule ID 5209 //
     /* 724504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724508 */     // MIs[0] offset
     /* 724508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724511 */     // MIs[0] auxiliary
     /* 724511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724514 */     // MIs[0] Operand 7
     /* 724514 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 724525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724532 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX3_TFE_VBUFFER_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_VBUFFER_OFFEN),
     /* 724535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724537 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 724539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724546 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724548 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724554 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724564 */     GIR_RootConstrainSelectedInstOperands,
     /* 724565 */     // GIR_Coverage, 5209,
     /* 724565 */     GIR_EraseRootFromParent_Done,
     /* 724566 */   // Label 9495: @724566
     /* 724566 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(724628), // Rule ID 5206 //
     /* 724571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724574 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724578 */     // MIs[0] offset
     /* 724578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724581 */     // MIs[0] auxiliary
     /* 724581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724584 */     // MIs[0] Operand 7
     /* 724584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724594 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_TFE_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_IDXEN),
     /* 724597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724599 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 724601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724608 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724610 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724616 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724626 */     GIR_RootConstrainSelectedInstOperands,
     /* 724627 */     // GIR_Coverage, 5206,
     /* 724627 */     GIR_EraseRootFromParent_Done,
     /* 724628 */   // Label 9496: @724628
     /* 724628 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(724687), // Rule ID 5210 //
     /* 724633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724637 */     // MIs[0] offset
     /* 724637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724640 */     // MIs[0] auxiliary
     /* 724640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724643 */     // MIs[0] Operand 7
     /* 724643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724653 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_TFE_VBUFFER_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_VBUFFER_IDXEN),
     /* 724656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724658 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 724660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724667 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724669 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724675 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724685 */     GIR_RootConstrainSelectedInstOperands,
     /* 724686 */     // GIR_Coverage, 5210,
     /* 724686 */     GIR_EraseRootFromParent_Done,
     /* 724687 */   // Label 9497: @724687
     /* 724687 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(724787), // Rule ID 5207 //
     /* 724692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724695 */     // MIs[0] offset
     /* 724695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724698 */     // MIs[0] auxiliary
     /* 724698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724701 */     // MIs[0] Operand 7
     /* 724701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724711 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_TFE_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 724714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 724718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 724723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 724727 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 724730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 724734 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 724737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 724742 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724747 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_BOTHEN),
     /* 724755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 724760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724767 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724769 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724775 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724785 */     GIR_RootConstrainSelectedInstOperands,
     /* 724786 */     // GIR_Coverage, 5207,
     /* 724786 */     GIR_EraseRootFromParent_Done,
     /* 724787 */   // Label 9498: @724787
     /* 724787 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(724884), // Rule ID 5211 //
     /* 724792 */     // MIs[0] offset
     /* 724792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724795 */     // MIs[0] auxiliary
     /* 724795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724798 */     // MIs[0] Operand 7
     /* 724798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 724801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724808 */     // (SIbuffer_load_tfe:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX3_TFE_VBUFFER_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 724811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 724815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 724820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 724824 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 724827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 724831 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 724834 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 724839 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724844 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 724849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX3_TFE_VBUFFER_BOTHEN),
     /* 724852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 724857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724864 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724866 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724872 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724882 */     GIR_RootConstrainSelectedInstOperands,
     /* 724883 */     // GIR_Coverage, 5211,
     /* 724883 */     GIR_EraseRootFromParent_Done,
     /* 724884 */   // Label 9499: @724884
     /* 724884 */   GIM_Reject,
     /* 724885 */ // Label 9491: @724885
     /* 724885 */ GIM_Reject,
     /* 724886 */ // Label 9471: @724886
     /* 724886 */ GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(725504),
     /* 724891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 724894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 724897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 724900 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 724903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_160RegClassID),
     /* 724907 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(724979), // Rule ID 5212 //
     /* 724912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 724915 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724923 */     // MIs[0] offset
     /* 724923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724926 */     // MIs[0] auxiliary
     /* 724926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724929 */     // MIs[0] Operand 7
     /* 724929 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 724940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 724947 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_TFE_OFFSET:{ *:[v5i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 724947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_OFFSET),
     /* 724950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 724952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 724954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 724959 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 724961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 724967 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 724973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 724977 */     GIR_RootConstrainSelectedInstOperands,
     /* 724978 */     // GIR_Coverage, 5212,
     /* 724978 */     GIR_EraseRootFromParent_Done,
     /* 724979 */   // Label 9501: @724979
     /* 724979 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(725048), // Rule ID 5216 //
     /* 724984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 724988 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 724992 */     // MIs[0] offset
     /* 724992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 724995 */     // MIs[0] auxiliary
     /* 724995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 724998 */     // MIs[0] Operand 7
     /* 724998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725016 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_TFE_VBUFFER_OFFSET:{ *:[v5i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_VBUFFER_OFFSET),
     /* 725019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725028 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725030 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725036 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725046 */     GIR_RootConstrainSelectedInstOperands,
     /* 725047 */     // GIR_Coverage, 5216,
     /* 725047 */     GIR_EraseRootFromParent_Done,
     /* 725048 */   // Label 9502: @725048
     /* 725048 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(725118), // Rule ID 5213 //
     /* 725053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 725060 */     // MIs[0] offset
     /* 725060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725063 */     // MIs[0] auxiliary
     /* 725063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725066 */     // MIs[0] Operand 7
     /* 725066 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725084 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_TFE_OFFEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_OFFEN),
     /* 725087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725089 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 725091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725098 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725100 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725106 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725116 */     GIR_RootConstrainSelectedInstOperands,
     /* 725117 */     // GIR_Coverage, 5213,
     /* 725117 */     GIR_EraseRootFromParent_Done,
     /* 725118 */   // Label 9503: @725118
     /* 725118 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(725185), // Rule ID 5217 //
     /* 725123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 725127 */     // MIs[0] offset
     /* 725127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725130 */     // MIs[0] auxiliary
     /* 725130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725133 */     // MIs[0] Operand 7
     /* 725133 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725151 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_DWORDX4_TFE_VBUFFER_OFFEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_VBUFFER_OFFEN),
     /* 725154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725156 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 725158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725165 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725167 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725183 */     GIR_RootConstrainSelectedInstOperands,
     /* 725184 */     // GIR_Coverage, 5217,
     /* 725184 */     GIR_EraseRootFromParent_Done,
     /* 725185 */   // Label 9504: @725185
     /* 725185 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(725247), // Rule ID 5214 //
     /* 725190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 725197 */     // MIs[0] offset
     /* 725197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725200 */     // MIs[0] auxiliary
     /* 725200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725203 */     // MIs[0] Operand 7
     /* 725203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725213 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_TFE_IDXEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_IDXEN),
     /* 725216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725218 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 725220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725227 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725229 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725245 */     GIR_RootConstrainSelectedInstOperands,
     /* 725246 */     // GIR_Coverage, 5214,
     /* 725246 */     GIR_EraseRootFromParent_Done,
     /* 725247 */   // Label 9505: @725247
     /* 725247 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(725306), // Rule ID 5218 //
     /* 725252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 725256 */     // MIs[0] offset
     /* 725256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725259 */     // MIs[0] auxiliary
     /* 725259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725262 */     // MIs[0] Operand 7
     /* 725262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725272 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_TFE_VBUFFER_IDXEN:{ *:[v5i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_VBUFFER_IDXEN),
     /* 725275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725277 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 725279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725286 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725288 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725304 */     GIR_RootConstrainSelectedInstOperands,
     /* 725305 */     // GIR_Coverage, 5218,
     /* 725305 */     GIR_EraseRootFromParent_Done,
     /* 725306 */   // Label 9506: @725306
     /* 725306 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(725406), // Rule ID 5215 //
     /* 725311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725314 */     // MIs[0] offset
     /* 725314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725317 */     // MIs[0] auxiliary
     /* 725317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725320 */     // MIs[0] Operand 7
     /* 725320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725330 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_TFE_BOTHEN:{ *:[v5i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 725333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 725337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 725342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 725346 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 725349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 725353 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 725356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 725361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_BOTHEN),
     /* 725374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 725379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725386 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725388 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725394 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725404 */     GIR_RootConstrainSelectedInstOperands,
     /* 725405 */     // GIR_Coverage, 5215,
     /* 725405 */     GIR_EraseRootFromParent_Done,
     /* 725406 */   // Label 9507: @725406
     /* 725406 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(725503), // Rule ID 5219 //
     /* 725411 */     // MIs[0] offset
     /* 725411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725414 */     // MIs[0] auxiliary
     /* 725414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725417 */     // MIs[0] Operand 7
     /* 725417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725427 */     // (SIbuffer_load_tfe:{ *:[v5i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_DWORDX4_TFE_VBUFFER_BOTHEN:{ *:[v5i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 725430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 725434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 725439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 725443 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 725446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 725450 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 725453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 725458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725463 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_DWORDX4_TFE_VBUFFER_BOTHEN),
     /* 725471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 725476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725483 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725501 */     GIR_RootConstrainSelectedInstOperands,
     /* 725502 */     // GIR_Coverage, 5219,
     /* 725502 */     GIR_EraseRootFromParent_Done,
     /* 725503 */   // Label 9508: @725503
     /* 725503 */   GIM_Reject,
     /* 725504 */ // Label 9500: @725504
     /* 725504 */ GIM_Reject,
     /* 725505 */ // Label 9472: @725505
     /* 725505 */ GIM_Reject,
     /* 725506 */ // Label 136: @725506
     /* 725506 */ GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(726111),
     /* 725511 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 725514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 725517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 725520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 725523 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 725526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 725530 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(725802),
     /* 725535 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 725539 */     GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(725607), // Rule ID 5172 //
     /* 725544 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725547 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 725551 */       // MIs[0] offset
     /* 725551 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725554 */       // MIs[0] auxiliary
     /* 725554 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725557 */       // MIs[0] Operand 7
     /* 725557 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725568 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725575 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725575 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFSET),
     /* 725578 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725580 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725582 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725587 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725589 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725595 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725601 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725605 */       GIR_RootConstrainSelectedInstOperands,
     /* 725606 */       // GIR_Coverage, 5172,
     /* 725606 */       GIR_EraseRootFromParent_Done,
     /* 725607 */     // Label 9511: @725607
     /* 725607 */     GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(725672), // Rule ID 5176 //
     /* 725612 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 725616 */       // MIs[0] offset
     /* 725616 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725619 */       // MIs[0] auxiliary
     /* 725619 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725622 */       // MIs[0] Operand 7
     /* 725622 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725633 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725640 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725640 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFSET),
     /* 725643 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725645 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725647 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725652 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725654 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725660 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725666 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725670 */       GIR_RootConstrainSelectedInstOperands,
     /* 725671 */       // GIR_Coverage, 5176,
     /* 725671 */       GIR_EraseRootFromParent_Done,
     /* 725672 */     // Label 9512: @725672
     /* 725672 */     GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(725738), // Rule ID 5173 //
     /* 725677 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725680 */       // MIs[0] offset
     /* 725680 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725683 */       // MIs[0] auxiliary
     /* 725683 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725686 */       // MIs[0] Operand 7
     /* 725686 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725697 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725704 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725704 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_OFFEN),
     /* 725707 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725709 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 725711 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725713 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725718 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725720 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725726 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725732 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725736 */       GIR_RootConstrainSelectedInstOperands,
     /* 725737 */       // GIR_Coverage, 5173,
     /* 725737 */       GIR_EraseRootFromParent_Done,
     /* 725738 */     // Label 9513: @725738
     /* 725738 */     GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(725801), // Rule ID 5177 //
     /* 725743 */       // MIs[0] offset
     /* 725743 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725746 */       // MIs[0] auxiliary
     /* 725746 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725749 */       // MIs[0] Operand 7
     /* 725749 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 725760 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725767 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725767 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_OFFEN),
     /* 725770 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725772 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 725774 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725776 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725781 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725783 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725789 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725795 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725799 */       GIR_RootConstrainSelectedInstOperands,
     /* 725800 */       // GIR_Coverage, 5177,
     /* 725800 */       GIR_EraseRootFromParent_Done,
     /* 725801 */     // Label 9514: @725801
     /* 725801 */     GIM_Reject,
     /* 725802 */   // Label 9510: @725802
     /* 725802 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(725916),
     /* 725807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 725811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725820 */     GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(725869), // Rule ID 5174 //
     /* 725825 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725828 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725835 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725835 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_IDXEN),
     /* 725838 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725840 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 725842 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725844 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725849 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725851 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725857 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725863 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725867 */       GIR_RootConstrainSelectedInstOperands,
     /* 725868 */       // GIR_Coverage, 5174,
     /* 725868 */       GIR_EraseRootFromParent_Done,
     /* 725869 */     // Label 9516: @725869
     /* 725869 */     GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(725915), // Rule ID 5178 //
     /* 725874 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725881 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725881 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_IDXEN),
     /* 725884 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725886 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 725888 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725890 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 725895 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 725897 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 725903 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 725909 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 725913 */       GIR_RootConstrainSelectedInstOperands,
     /* 725914 */       // GIR_Coverage, 5178,
     /* 725914 */       GIR_EraseRootFromParent_Done,
     /* 725915 */     // Label 9517: @725915
     /* 725915 */     GIM_Reject,
     /* 725916 */   // Label 9515: @725916
     /* 725916 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(726110),
     /* 725921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 725924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 725927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 725930 */     GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(726021), // Rule ID 5175 //
     /* 725935 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 725938 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 725945 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 725945 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 725948 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 725952 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 725957 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 725961 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 725964 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 725968 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 725971 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 725976 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725981 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 725986 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_BOTHEN),
     /* 725989 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 725991 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 725994 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 725996 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726001 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726003 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726009 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726015 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726019 */       GIR_RootConstrainSelectedInstOperands,
     /* 726020 */       // GIR_Coverage, 5175,
     /* 726020 */       GIR_EraseRootFromParent_Done,
     /* 726021 */     // Label 9519: @726021
     /* 726021 */     GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(726109), // Rule ID 5179 //
     /* 726026 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726033 */       // (SIbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726033 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 726036 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 726040 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 726045 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 726049 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 726052 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 726056 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 726059 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 726064 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726069 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726074 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_VBUFFER_BOTHEN),
     /* 726077 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726079 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 726082 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726084 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726089 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726091 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726097 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726103 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726107 */       GIR_RootConstrainSelectedInstOperands,
     /* 726108 */       // GIR_Coverage, 5179,
     /* 726108 */       GIR_EraseRootFromParent_Done,
     /* 726109 */     // Label 9520: @726109
     /* 726109 */     GIM_Reject,
     /* 726110 */   // Label 9518: @726110
     /* 726110 */   GIM_Reject,
     /* 726111 */ // Label 9509: @726111
     /* 726111 */ GIM_Reject,
     /* 726112 */ // Label 137: @726112
     /* 726112 */ GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(726717),
     /* 726117 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 726120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 726123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 726126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 726129 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 726132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 726136 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(726408),
     /* 726141 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 726145 */     GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(726213), // Rule ID 5236 //
     /* 726150 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726153 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 726157 */       // MIs[0] offset
     /* 726157 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726160 */       // MIs[0] auxiliary
     /* 726160 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726163 */       // MIs[0] Operand 7
     /* 726163 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726174 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726181 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726181 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_OFFSET),
     /* 726184 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726186 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726188 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726193 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726195 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726201 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726207 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726211 */       GIR_RootConstrainSelectedInstOperands,
     /* 726212 */       // GIR_Coverage, 5236,
     /* 726212 */       GIR_EraseRootFromParent_Done,
     /* 726213 */     // Label 9523: @726213
     /* 726213 */     GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(726278), // Rule ID 5240 //
     /* 726218 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 726222 */       // MIs[0] offset
     /* 726222 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726225 */       // MIs[0] auxiliary
     /* 726225 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726228 */       // MIs[0] Operand 7
     /* 726228 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726239 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726246 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726246 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_VBUFFER_OFFSET),
     /* 726249 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726251 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726253 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726258 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726260 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726266 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726272 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726276 */       GIR_RootConstrainSelectedInstOperands,
     /* 726277 */       // GIR_Coverage, 5240,
     /* 726277 */       GIR_EraseRootFromParent_Done,
     /* 726278 */     // Label 9524: @726278
     /* 726278 */     GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(726344), // Rule ID 5237 //
     /* 726283 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726286 */       // MIs[0] offset
     /* 726286 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726289 */       // MIs[0] auxiliary
     /* 726289 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726292 */       // MIs[0] Operand 7
     /* 726292 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726303 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726310 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726310 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_OFFEN),
     /* 726313 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726315 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 726317 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726319 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726324 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726326 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726332 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726338 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726342 */       GIR_RootConstrainSelectedInstOperands,
     /* 726343 */       // GIR_Coverage, 5237,
     /* 726343 */       GIR_EraseRootFromParent_Done,
     /* 726344 */     // Label 9525: @726344
     /* 726344 */     GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(726407), // Rule ID 5241 //
     /* 726349 */       // MIs[0] offset
     /* 726349 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726352 */       // MIs[0] auxiliary
     /* 726352 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726355 */       // MIs[0] Operand 7
     /* 726355 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726366 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726373 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_UBYTE_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726373 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_VBUFFER_OFFEN),
     /* 726376 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726378 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 726380 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726382 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726387 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726389 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726395 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726401 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726405 */       GIR_RootConstrainSelectedInstOperands,
     /* 726406 */       // GIR_Coverage, 5241,
     /* 726406 */       GIR_EraseRootFromParent_Done,
     /* 726407 */     // Label 9526: @726407
     /* 726407 */     GIM_Reject,
     /* 726408 */   // Label 9522: @726408
     /* 726408 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(726522),
     /* 726413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 726417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 726426 */     GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(726475), // Rule ID 5238 //
     /* 726431 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726434 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726441 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726441 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_IDXEN),
     /* 726444 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726446 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 726448 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726450 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726455 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726457 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726463 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726469 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726473 */       GIR_RootConstrainSelectedInstOperands,
     /* 726474 */       // GIR_Coverage, 5238,
     /* 726474 */       GIR_EraseRootFromParent_Done,
     /* 726475 */     // Label 9528: @726475
     /* 726475 */     GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(726521), // Rule ID 5242 //
     /* 726480 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726487 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726487 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_VBUFFER_IDXEN),
     /* 726490 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726492 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 726494 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726496 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726501 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726503 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726509 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726515 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726519 */       GIR_RootConstrainSelectedInstOperands,
     /* 726520 */       // GIR_Coverage, 5242,
     /* 726520 */       GIR_EraseRootFromParent_Done,
     /* 726521 */     // Label 9529: @726521
     /* 726521 */     GIM_Reject,
     /* 726522 */   // Label 9527: @726522
     /* 726522 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(726716),
     /* 726527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 726536 */     GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(726627), // Rule ID 5239 //
     /* 726541 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726544 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726551 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726551 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 726554 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 726558 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 726563 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 726567 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 726570 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 726574 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 726577 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 726582 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726587 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726592 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_BOTHEN),
     /* 726595 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726597 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 726600 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726602 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726607 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726609 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726615 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726621 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726625 */       GIR_RootConstrainSelectedInstOperands,
     /* 726626 */       // GIR_Coverage, 5239,
     /* 726626 */       GIR_EraseRootFromParent_Done,
     /* 726627 */     // Label 9531: @726627
     /* 726627 */     GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(726715), // Rule ID 5243 //
     /* 726632 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726639 */       // (SIbuffer_load_ubyte_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_UBYTE_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726639 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 726642 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 726646 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 726651 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 726655 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 726658 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 726662 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 726665 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 726670 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726675 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 726680 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_UBYTE_TFE_VBUFFER_BOTHEN),
     /* 726683 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726685 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 726688 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726690 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726695 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726697 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726703 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726709 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726713 */       GIR_RootConstrainSelectedInstOperands,
     /* 726714 */       // GIR_Coverage, 5243,
     /* 726714 */       GIR_EraseRootFromParent_Done,
     /* 726715 */     // Label 9532: @726715
     /* 726715 */     GIM_Reject,
     /* 726716 */   // Label 9530: @726716
     /* 726716 */   GIM_Reject,
     /* 726717 */ // Label 9521: @726717
     /* 726717 */ GIM_Reject,
     /* 726718 */ // Label 138: @726718
     /* 726718 */ GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(727323),
     /* 726723 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 726726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 726729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 726732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 726735 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 726738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 726742 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(727014),
     /* 726747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 726751 */     GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(726819), // Rule ID 5180 //
     /* 726756 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726759 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 726763 */       // MIs[0] offset
     /* 726763 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726766 */       // MIs[0] auxiliary
     /* 726766 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726769 */       // MIs[0] Operand 7
     /* 726769 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726780 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726787 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726787 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFSET),
     /* 726790 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726792 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726794 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726799 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726801 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726807 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726813 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726817 */       GIR_RootConstrainSelectedInstOperands,
     /* 726818 */       // GIR_Coverage, 5180,
     /* 726818 */       GIR_EraseRootFromParent_Done,
     /* 726819 */     // Label 9535: @726819
     /* 726819 */     GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(726884), // Rule ID 5184 //
     /* 726824 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 726828 */       // MIs[0] offset
     /* 726828 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726831 */       // MIs[0] auxiliary
     /* 726831 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726834 */       // MIs[0] Operand 7
     /* 726834 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726845 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726852 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFSET),
     /* 726855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726857 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726859 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726864 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726866 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726872 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726878 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726882 */       GIR_RootConstrainSelectedInstOperands,
     /* 726883 */       // GIR_Coverage, 5184,
     /* 726883 */       GIR_EraseRootFromParent_Done,
     /* 726884 */     // Label 9536: @726884
     /* 726884 */     GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(726950), // Rule ID 5181 //
     /* 726889 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 726892 */       // MIs[0] offset
     /* 726892 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726895 */       // MIs[0] auxiliary
     /* 726895 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726898 */       // MIs[0] Operand 7
     /* 726898 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726909 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726916 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726916 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_OFFEN),
     /* 726919 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726921 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 726923 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726925 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726930 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726932 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 726938 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 726944 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 726948 */       GIR_RootConstrainSelectedInstOperands,
     /* 726949 */       // GIR_Coverage, 5181,
     /* 726949 */       GIR_EraseRootFromParent_Done,
     /* 726950 */     // Label 9537: @726950
     /* 726950 */     GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(727013), // Rule ID 5185 //
     /* 726955 */       // MIs[0] offset
     /* 726955 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 726958 */       // MIs[0] auxiliary
     /* 726958 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 726961 */       // MIs[0] Operand 7
     /* 726961 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 726972 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 726979 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 726979 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_OFFEN),
     /* 726982 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 726984 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 726986 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 726988 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 726993 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 726995 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727001 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727007 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727011 */       GIR_RootConstrainSelectedInstOperands,
     /* 727012 */       // GIR_Coverage, 5185,
     /* 727012 */       GIR_EraseRootFromParent_Done,
     /* 727013 */     // Label 9538: @727013
     /* 727013 */     GIM_Reject,
     /* 727014 */   // Label 9534: @727014
     /* 727014 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(727128),
     /* 727019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 727023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 727032 */     GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(727081), // Rule ID 5182 //
     /* 727037 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727040 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727047 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727047 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_IDXEN),
     /* 727050 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727052 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 727054 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727056 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727061 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727063 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727069 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727075 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727079 */       GIR_RootConstrainSelectedInstOperands,
     /* 727080 */       // GIR_Coverage, 5182,
     /* 727080 */       GIR_EraseRootFromParent_Done,
     /* 727081 */     // Label 9540: @727081
     /* 727081 */     GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(727127), // Rule ID 5186 //
     /* 727086 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727093 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727093 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_IDXEN),
     /* 727096 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727098 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 727100 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727102 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727107 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727109 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727115 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727121 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727125 */       GIR_RootConstrainSelectedInstOperands,
     /* 727126 */       // GIR_Coverage, 5186,
     /* 727126 */       GIR_EraseRootFromParent_Done,
     /* 727127 */     // Label 9541: @727127
     /* 727127 */     GIM_Reject,
     /* 727128 */   // Label 9539: @727128
     /* 727128 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(727322),
     /* 727133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 727142 */     GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(727233), // Rule ID 5183 //
     /* 727147 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727150 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727157 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727157 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 727160 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 727164 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 727169 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 727173 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 727176 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 727180 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 727183 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 727188 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727193 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727198 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_BOTHEN),
     /* 727201 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727203 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 727206 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727208 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727213 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727215 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727221 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727227 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727231 */       GIR_RootConstrainSelectedInstOperands,
     /* 727232 */       // GIR_Coverage, 5183,
     /* 727232 */       GIR_EraseRootFromParent_Done,
     /* 727233 */     // Label 9543: @727233
     /* 727233 */     GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(727321), // Rule ID 5187 //
     /* 727238 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727245 */       // (SIbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727245 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 727248 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 727252 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 727257 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 727261 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 727264 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 727268 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 727271 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 727276 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727281 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727286 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_VBUFFER_BOTHEN),
     /* 727289 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727291 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 727294 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727296 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727301 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727303 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727309 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727315 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727319 */       GIR_RootConstrainSelectedInstOperands,
     /* 727320 */       // GIR_Coverage, 5187,
     /* 727320 */       GIR_EraseRootFromParent_Done,
     /* 727321 */     // Label 9544: @727321
     /* 727321 */     GIM_Reject,
     /* 727322 */   // Label 9542: @727322
     /* 727322 */   GIM_Reject,
     /* 727323 */ // Label 9533: @727323
     /* 727323 */ GIM_Reject,
     /* 727324 */ // Label 139: @727324
     /* 727324 */ GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(727929),
     /* 727329 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 727332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 727335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 727338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 727341 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 727344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 727348 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(727620),
     /* 727353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 727357 */     GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(727425), // Rule ID 5244 //
     /* 727362 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727365 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 727369 */       // MIs[0] offset
     /* 727369 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727372 */       // MIs[0] auxiliary
     /* 727372 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727375 */       // MIs[0] Operand 7
     /* 727375 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 727386 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727393 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_TFE_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727393 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_OFFSET),
     /* 727396 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727398 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727400 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727405 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727407 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727413 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727419 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727423 */       GIR_RootConstrainSelectedInstOperands,
     /* 727424 */       // GIR_Coverage, 5244,
     /* 727424 */       GIR_EraseRootFromParent_Done,
     /* 727425 */     // Label 9547: @727425
     /* 727425 */     GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(727490), // Rule ID 5248 //
     /* 727430 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 727434 */       // MIs[0] offset
     /* 727434 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727437 */       // MIs[0] auxiliary
     /* 727437 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727440 */       // MIs[0] Operand 7
     /* 727440 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 727451 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727458 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_TFE_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727458 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_VBUFFER_OFFSET),
     /* 727461 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727463 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727465 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727470 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727472 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727478 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727484 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727488 */       GIR_RootConstrainSelectedInstOperands,
     /* 727489 */       // GIR_Coverage, 5248,
     /* 727489 */       GIR_EraseRootFromParent_Done,
     /* 727490 */     // Label 9548: @727490
     /* 727490 */     GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(727556), // Rule ID 5245 //
     /* 727495 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727498 */       // MIs[0] offset
     /* 727498 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727501 */       // MIs[0] auxiliary
     /* 727501 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727504 */       // MIs[0] Operand 7
     /* 727504 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 727515 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727522 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_TFE_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727522 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_OFFEN),
     /* 727525 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727527 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 727529 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727531 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727536 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727538 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727544 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727550 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727554 */       GIR_RootConstrainSelectedInstOperands,
     /* 727555 */       // GIR_Coverage, 5245,
     /* 727555 */       GIR_EraseRootFromParent_Done,
     /* 727556 */     // Label 9549: @727556
     /* 727556 */     GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(727619), // Rule ID 5249 //
     /* 727561 */       // MIs[0] offset
     /* 727561 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727564 */       // MIs[0] auxiliary
     /* 727564 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727567 */       // MIs[0] Operand 7
     /* 727567 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 727578 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727585 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_LOAD_USHORT_TFE_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727585 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_VBUFFER_OFFEN),
     /* 727588 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727590 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 727592 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727594 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727599 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727601 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727607 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727613 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727617 */       GIR_RootConstrainSelectedInstOperands,
     /* 727618 */       // GIR_Coverage, 5249,
     /* 727618 */       GIR_EraseRootFromParent_Done,
     /* 727619 */     // Label 9550: @727619
     /* 727619 */     GIM_Reject,
     /* 727620 */   // Label 9546: @727620
     /* 727620 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(727734),
     /* 727625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 727629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 727638 */     GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(727687), // Rule ID 5246 //
     /* 727643 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727646 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727653 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_TFE_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727653 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_IDXEN),
     /* 727656 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727658 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 727660 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727662 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727667 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727669 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727675 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727681 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727685 */       GIR_RootConstrainSelectedInstOperands,
     /* 727686 */       // GIR_Coverage, 5246,
     /* 727686 */       GIR_EraseRootFromParent_Done,
     /* 727687 */     // Label 9552: @727687
     /* 727687 */     GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(727733), // Rule ID 5250 //
     /* 727692 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727699 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_TFE_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727699 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_VBUFFER_IDXEN),
     /* 727702 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727704 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 727706 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727708 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727713 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727715 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727721 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727727 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727731 */       GIR_RootConstrainSelectedInstOperands,
     /* 727732 */       // GIR_Coverage, 5250,
     /* 727732 */       GIR_EraseRootFromParent_Done,
     /* 727733 */     // Label 9553: @727733
     /* 727733 */     GIM_Reject,
     /* 727734 */   // Label 9551: @727734
     /* 727734 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(727928),
     /* 727739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 727742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 727745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 727748 */     GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(727839), // Rule ID 5247 //
     /* 727753 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 727756 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727763 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_TFE_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727763 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 727766 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 727770 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 727775 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 727779 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 727782 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 727786 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 727789 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 727794 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727799 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727804 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_BOTHEN),
     /* 727807 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727809 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 727812 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727814 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727819 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727821 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727827 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727833 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727837 */       GIR_RootConstrainSelectedInstOperands,
     /* 727838 */       // GIR_Coverage, 5247,
     /* 727838 */       GIR_EraseRootFromParent_Done,
     /* 727839 */     // Label 9555: @727839
     /* 727839 */     GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(727927), // Rule ID 5251 //
     /* 727844 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 727851 */       // (SIbuffer_load_ushort_tfe:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_LOAD_USHORT_TFE_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 727851 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 727854 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 727858 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 727863 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 727867 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 727870 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 727874 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 727877 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 727882 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727887 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 727892 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_LOAD_USHORT_TFE_VBUFFER_BOTHEN),
     /* 727895 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 727897 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 727900 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 727902 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 727907 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 727909 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 727915 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 727921 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 727925 */       GIR_RootConstrainSelectedInstOperands,
     /* 727926 */       // GIR_Coverage, 5251,
     /* 727926 */       GIR_EraseRootFromParent_Done,
     /* 727927 */     // Label 9556: @727927
     /* 727927 */     GIM_Reject,
     /* 727928 */   // Label 9554: @727928
     /* 727928 */   GIM_Reject,
     /* 727929 */ // Label 9545: @727929
     /* 727929 */ GIM_Reject,
     /* 727930 */ // Label 140: @727930
     /* 727930 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(23), /*)*//*default:*//*Label 9573*/ GIMT_Encode4(743237),
     /* 727941 */ /*GILLT_p0s64*//*Label 9557*/ GIMT_Encode4(728033),
     /* 727945 */ /*GILLT_p1s64*//*Label 9558*/ GIMT_Encode4(728648),
     /* 727949 */ /*GILLT_p2s32*//*Label 9559*/ GIMT_Encode4(729263),
     /* 727953 */ /*GILLT_p3s32*//*Label 9560*/ GIMT_Encode4(729878),
     /* 727957 */ /*GILLT_p4s64*//*Label 9561*/ GIMT_Encode4(730493),
     /* 727961 */ /*GILLT_p5s32*//*Label 9562*/ GIMT_Encode4(731108),
     /* 727965 */ /*GILLT_p6s32*//*Label 9563*/ GIMT_Encode4(731723), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 727977 */ /*GILLT_s32*//*Label 9564*/ GIMT_Encode4(732338),
     /* 727981 */ /*GILLT_s64*//*Label 9565*/ GIMT_Encode4(733549),
     /* 727985 */ /*GILLT_v2s16*//*Label 9566*/ GIMT_Encode4(734760),
     /* 727989 */ /*GILLT_v2s32*//*Label 9567*/ GIMT_Encode4(735971),
     /* 727993 */ /*GILLT_v2s64*//*Label 9568*/ GIMT_Encode4(737182),
     /* 727997 */ /*GILLT_v3s32*//*Label 9569*/ GIMT_Encode4(738393), GIMT_Encode4(0),
     /* 728005 */ /*GILLT_v4s16*//*Label 9570*/ GIMT_Encode4(739604),
     /* 728009 */ /*GILLT_v4s32*//*Label 9571*/ GIMT_Encode4(740815), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 728029 */ /*GILLT_v8s16*//*Label 9572*/ GIMT_Encode4(742026),
     /* 728033 */ // Label 9557: @728033
     /* 728033 */ GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(728647),
     /* 728038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 728041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 728044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 728047 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 728050 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(728122), // Rule ID 5532 //
     /* 728055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728062 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728066 */     // MIs[0] offset
     /* 728066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728069 */     // MIs[0] auxiliary
     /* 728069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728072 */     // MIs[0] Operand 7
     /* 728072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728090 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 728093 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728102 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728120 */     GIR_RootConstrainSelectedInstOperands,
     /* 728121 */     // GIR_Coverage, 5532,
     /* 728121 */     GIR_EraseRootFromParent_Done,
     /* 728122 */   // Label 9575: @728122
     /* 728122 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(728191), // Rule ID 5536 //
     /* 728127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728135 */     // MIs[0] offset
     /* 728135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728138 */     // MIs[0] auxiliary
     /* 728138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728141 */     // MIs[0] Operand 7
     /* 728141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728159 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 728162 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728171 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728189 */     GIR_RootConstrainSelectedInstOperands,
     /* 728190 */     // GIR_Coverage, 5536,
     /* 728190 */     GIR_EraseRootFromParent_Done,
     /* 728191 */   // Label 9576: @728191
     /* 728191 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(728261), // Rule ID 5533 //
     /* 728196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728199 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728203 */     // MIs[0] offset
     /* 728203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728206 */     // MIs[0] auxiliary
     /* 728206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728209 */     // MIs[0] Operand 7
     /* 728209 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728227 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 728230 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728232 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 728234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728241 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728243 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728249 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728259 */     GIR_RootConstrainSelectedInstOperands,
     /* 728260 */     // GIR_Coverage, 5533,
     /* 728260 */     GIR_EraseRootFromParent_Done,
     /* 728261 */   // Label 9577: @728261
     /* 728261 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(728328), // Rule ID 5537 //
     /* 728266 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728270 */     // MIs[0] offset
     /* 728270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728273 */     // MIs[0] auxiliary
     /* 728273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728276 */     // MIs[0] Operand 7
     /* 728276 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728294 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 728297 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728299 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 728301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728308 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728310 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728326 */     GIR_RootConstrainSelectedInstOperands,
     /* 728327 */     // GIR_Coverage, 5537,
     /* 728327 */     GIR_EraseRootFromParent_Done,
     /* 728328 */   // Label 9578: @728328
     /* 728328 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(728390), // Rule ID 5534 //
     /* 728333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728340 */     // MIs[0] offset
     /* 728340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728343 */     // MIs[0] auxiliary
     /* 728343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728346 */     // MIs[0] Operand 7
     /* 728346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 728349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728356 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 728359 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728361 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 728363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728370 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728372 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728378 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728388 */     GIR_RootConstrainSelectedInstOperands,
     /* 728389 */     // GIR_Coverage, 5534,
     /* 728389 */     GIR_EraseRootFromParent_Done,
     /* 728390 */   // Label 9579: @728390
     /* 728390 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(728449), // Rule ID 5538 //
     /* 728395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728399 */     // MIs[0] offset
     /* 728399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728402 */     // MIs[0] auxiliary
     /* 728402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728405 */     // MIs[0] Operand 7
     /* 728405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 728408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728415 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 728418 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728420 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 728422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728429 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728431 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728447 */     GIR_RootConstrainSelectedInstOperands,
     /* 728448 */     // GIR_Coverage, 5538,
     /* 728448 */     GIR_EraseRootFromParent_Done,
     /* 728449 */   // Label 9580: @728449
     /* 728449 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(728549), // Rule ID 5535 //
     /* 728454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728457 */     // MIs[0] offset
     /* 728457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728460 */     // MIs[0] auxiliary
     /* 728460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728463 */     // MIs[0] Operand 7
     /* 728463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 728466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728473 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 728476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 728480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 728485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 728489 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 728492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 728496 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 728499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 728504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 728509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 728514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 728517 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 728522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728529 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728531 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728537 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728547 */     GIR_RootConstrainSelectedInstOperands,
     /* 728548 */     // GIR_Coverage, 5535,
     /* 728548 */     GIR_EraseRootFromParent_Done,
     /* 728549 */   // Label 9581: @728549
     /* 728549 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(728646), // Rule ID 5539 //
     /* 728554 */     // MIs[0] offset
     /* 728554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728557 */     // MIs[0] auxiliary
     /* 728557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728560 */     // MIs[0] Operand 7
     /* 728560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 728563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728570 */     // (SIbuffer_store p0:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 728573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 728577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 728582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 728586 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 728589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 728593 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 728596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 728601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 728606 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 728611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 728614 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 728619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728626 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728628 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728634 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728644 */     GIR_RootConstrainSelectedInstOperands,
     /* 728645 */     // GIR_Coverage, 5539,
     /* 728645 */     GIR_EraseRootFromParent_Done,
     /* 728646 */   // Label 9582: @728646
     /* 728646 */   GIM_Reject,
     /* 728647 */ // Label 9574: @728647
     /* 728647 */ GIM_Reject,
     /* 728648 */ // Label 9558: @728648
     /* 728648 */ GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(729262),
     /* 728653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 728656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 728659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 728662 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 728665 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(728737), // Rule ID 5540 //
     /* 728670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728677 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728681 */     // MIs[0] offset
     /* 728681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728684 */     // MIs[0] auxiliary
     /* 728684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728687 */     // MIs[0] Operand 7
     /* 728687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728705 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 728708 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728717 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728719 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728725 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728735 */     GIR_RootConstrainSelectedInstOperands,
     /* 728736 */     // GIR_Coverage, 5540,
     /* 728736 */     GIR_EraseRootFromParent_Done,
     /* 728737 */   // Label 9584: @728737
     /* 728737 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(728806), // Rule ID 5544 //
     /* 728742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728750 */     // MIs[0] offset
     /* 728750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728753 */     // MIs[0] auxiliary
     /* 728753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728756 */     // MIs[0] Operand 7
     /* 728756 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728774 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 728777 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728786 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728804 */     GIR_RootConstrainSelectedInstOperands,
     /* 728805 */     // GIR_Coverage, 5544,
     /* 728805 */     GIR_EraseRootFromParent_Done,
     /* 728806 */   // Label 9585: @728806
     /* 728806 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(728876), // Rule ID 5541 //
     /* 728811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728818 */     // MIs[0] offset
     /* 728818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728821 */     // MIs[0] auxiliary
     /* 728821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728824 */     // MIs[0] Operand 7
     /* 728824 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728842 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 728845 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728847 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 728849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728856 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728874 */     GIR_RootConstrainSelectedInstOperands,
     /* 728875 */     // GIR_Coverage, 5541,
     /* 728875 */     GIR_EraseRootFromParent_Done,
     /* 728876 */   // Label 9586: @728876
     /* 728876 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(728943), // Rule ID 5545 //
     /* 728881 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 728885 */     // MIs[0] offset
     /* 728885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728888 */     // MIs[0] auxiliary
     /* 728888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728891 */     // MIs[0] Operand 7
     /* 728891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 728902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728909 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 728912 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728914 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 728916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728923 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728925 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728931 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 728941 */     GIR_RootConstrainSelectedInstOperands,
     /* 728942 */     // GIR_Coverage, 5545,
     /* 728942 */     GIR_EraseRootFromParent_Done,
     /* 728943 */   // Label 9587: @728943
     /* 728943 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(729005), // Rule ID 5542 //
     /* 728948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 728951 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 728955 */     // MIs[0] offset
     /* 728955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 728958 */     // MIs[0] auxiliary
     /* 728958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 728961 */     // MIs[0] Operand 7
     /* 728961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 728964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 728971 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 728971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 728974 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 728976 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 728978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 728980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 728985 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 728987 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 728993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 728999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729003 */     GIR_RootConstrainSelectedInstOperands,
     /* 729004 */     // GIR_Coverage, 5542,
     /* 729004 */     GIR_EraseRootFromParent_Done,
     /* 729005 */   // Label 9588: @729005
     /* 729005 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(729064), // Rule ID 5546 //
     /* 729010 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729014 */     // MIs[0] offset
     /* 729014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729017 */     // MIs[0] auxiliary
     /* 729017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729020 */     // MIs[0] Operand 7
     /* 729020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729030 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 729033 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729035 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 729037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729044 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729046 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729062 */     GIR_RootConstrainSelectedInstOperands,
     /* 729063 */     // GIR_Coverage, 5546,
     /* 729063 */     GIR_EraseRootFromParent_Done,
     /* 729064 */   // Label 9589: @729064
     /* 729064 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(729164), // Rule ID 5543 //
     /* 729069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729072 */     // MIs[0] offset
     /* 729072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729075 */     // MIs[0] auxiliary
     /* 729075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729078 */     // MIs[0] Operand 7
     /* 729078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729088 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 729091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 729095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 729100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 729104 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 729107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 729111 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 729114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 729119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 729132 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 729137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729144 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729146 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729152 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729162 */     GIR_RootConstrainSelectedInstOperands,
     /* 729163 */     // GIR_Coverage, 5543,
     /* 729163 */     GIR_EraseRootFromParent_Done,
     /* 729164 */   // Label 9590: @729164
     /* 729164 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(729261), // Rule ID 5547 //
     /* 729169 */     // MIs[0] offset
     /* 729169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729172 */     // MIs[0] auxiliary
     /* 729172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729175 */     // MIs[0] Operand 7
     /* 729175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729185 */     // (SIbuffer_store p1:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 729188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 729192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 729197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 729201 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 729204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 729208 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 729211 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 729216 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 729229 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 729234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729241 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729243 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729249 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729259 */     GIR_RootConstrainSelectedInstOperands,
     /* 729260 */     // GIR_Coverage, 5547,
     /* 729260 */     GIR_EraseRootFromParent_Done,
     /* 729261 */   // Label 9591: @729261
     /* 729261 */   GIM_Reject,
     /* 729262 */ // Label 9583: @729262
     /* 729262 */ GIM_Reject,
     /* 729263 */ // Label 9559: @729263
     /* 729263 */ GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(729877),
     /* 729268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 729271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 729274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 729277 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 729280 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(729352), // Rule ID 5452 //
     /* 729285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729292 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729296 */     // MIs[0] offset
     /* 729296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729299 */     // MIs[0] auxiliary
     /* 729299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729302 */     // MIs[0] Operand 7
     /* 729302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729320 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 729323 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729332 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729340 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729350 */     GIR_RootConstrainSelectedInstOperands,
     /* 729351 */     // GIR_Coverage, 5452,
     /* 729351 */     GIR_EraseRootFromParent_Done,
     /* 729352 */   // Label 9593: @729352
     /* 729352 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(729421), // Rule ID 5456 //
     /* 729357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729365 */     // MIs[0] offset
     /* 729365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729368 */     // MIs[0] auxiliary
     /* 729368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729371 */     // MIs[0] Operand 7
     /* 729371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729389 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 729392 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729401 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729403 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729409 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729419 */     GIR_RootConstrainSelectedInstOperands,
     /* 729420 */     // GIR_Coverage, 5456,
     /* 729420 */     GIR_EraseRootFromParent_Done,
     /* 729421 */   // Label 9594: @729421
     /* 729421 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(729491), // Rule ID 5453 //
     /* 729426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729429 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729433 */     // MIs[0] offset
     /* 729433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729436 */     // MIs[0] auxiliary
     /* 729436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729439 */     // MIs[0] Operand 7
     /* 729439 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729457 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 729460 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729462 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 729464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729471 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729489 */     GIR_RootConstrainSelectedInstOperands,
     /* 729490 */     // GIR_Coverage, 5453,
     /* 729490 */     GIR_EraseRootFromParent_Done,
     /* 729491 */   // Label 9595: @729491
     /* 729491 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(729558), // Rule ID 5457 //
     /* 729496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729500 */     // MIs[0] offset
     /* 729500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729503 */     // MIs[0] auxiliary
     /* 729503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729506 */     // MIs[0] Operand 7
     /* 729506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729524 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 729527 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729529 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 729531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729538 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729546 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729556 */     GIR_RootConstrainSelectedInstOperands,
     /* 729557 */     // GIR_Coverage, 5457,
     /* 729557 */     GIR_EraseRootFromParent_Done,
     /* 729558 */   // Label 9596: @729558
     /* 729558 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(729620), // Rule ID 5454 //
     /* 729563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729570 */     // MIs[0] offset
     /* 729570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729573 */     // MIs[0] auxiliary
     /* 729573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729576 */     // MIs[0] Operand 7
     /* 729576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729586 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 729589 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729591 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 729593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729600 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729602 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729608 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729618 */     GIR_RootConstrainSelectedInstOperands,
     /* 729619 */     // GIR_Coverage, 5454,
     /* 729619 */     GIR_EraseRootFromParent_Done,
     /* 729620 */   // Label 9597: @729620
     /* 729620 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(729679), // Rule ID 5458 //
     /* 729625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729629 */     // MIs[0] offset
     /* 729629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729632 */     // MIs[0] auxiliary
     /* 729632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729635 */     // MIs[0] Operand 7
     /* 729635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729645 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 729648 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729650 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 729652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729659 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729661 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729667 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729677 */     GIR_RootConstrainSelectedInstOperands,
     /* 729678 */     // GIR_Coverage, 5458,
     /* 729678 */     GIR_EraseRootFromParent_Done,
     /* 729679 */   // Label 9598: @729679
     /* 729679 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(729779), // Rule ID 5455 //
     /* 729684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729687 */     // MIs[0] offset
     /* 729687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729690 */     // MIs[0] auxiliary
     /* 729690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729693 */     // MIs[0] Operand 7
     /* 729693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729703 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 729706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 729710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 729715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 729719 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 729722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 729726 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 729729 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 729734 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729739 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 729747 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 729752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729759 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729761 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729767 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729777 */     GIR_RootConstrainSelectedInstOperands,
     /* 729778 */     // GIR_Coverage, 5455,
     /* 729778 */     GIR_EraseRootFromParent_Done,
     /* 729779 */   // Label 9599: @729779
     /* 729779 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(729876), // Rule ID 5459 //
     /* 729784 */     // MIs[0] offset
     /* 729784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729787 */     // MIs[0] auxiliary
     /* 729787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729790 */     // MIs[0] Operand 7
     /* 729790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 729793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729800 */     // (SIbuffer_store p2:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 729803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 729807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 729812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 729816 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 729819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 729823 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 729826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 729831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729836 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 729841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 729844 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 729849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729856 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729874 */     GIR_RootConstrainSelectedInstOperands,
     /* 729875 */     // GIR_Coverage, 5459,
     /* 729875 */     GIR_EraseRootFromParent_Done,
     /* 729876 */   // Label 9600: @729876
     /* 729876 */   GIM_Reject,
     /* 729877 */ // Label 9592: @729877
     /* 729877 */ GIM_Reject,
     /* 729878 */ // Label 9560: @729878
     /* 729878 */ GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(730492),
     /* 729883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 729886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 729889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 729892 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 729895 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(729967), // Rule ID 5460 //
     /* 729900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 729903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729907 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729911 */     // MIs[0] offset
     /* 729911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729914 */     // MIs[0] auxiliary
     /* 729914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729917 */     // MIs[0] Operand 7
     /* 729917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 729935 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 729935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 729938 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 729940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 729942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 729947 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 729949 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 729955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 729961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 729965 */     GIR_RootConstrainSelectedInstOperands,
     /* 729966 */     // GIR_Coverage, 5460,
     /* 729966 */     GIR_EraseRootFromParent_Done,
     /* 729967 */   // Label 9602: @729967
     /* 729967 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(730036), // Rule ID 5464 //
     /* 729972 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 729976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 729980 */     // MIs[0] offset
     /* 729980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 729983 */     // MIs[0] auxiliary
     /* 729983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 729986 */     // MIs[0] Operand 7
     /* 729986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 729997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730004 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 730007 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730016 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730018 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730024 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730034 */     GIR_RootConstrainSelectedInstOperands,
     /* 730035 */     // GIR_Coverage, 5464,
     /* 730035 */     GIR_EraseRootFromParent_Done,
     /* 730036 */   // Label 9603: @730036
     /* 730036 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(730106), // Rule ID 5461 //
     /* 730041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730048 */     // MIs[0] offset
     /* 730048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730051 */     // MIs[0] auxiliary
     /* 730051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730054 */     // MIs[0] Operand 7
     /* 730054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730072 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 730075 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730077 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 730079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730086 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730088 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730094 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730104 */     GIR_RootConstrainSelectedInstOperands,
     /* 730105 */     // GIR_Coverage, 5461,
     /* 730105 */     GIR_EraseRootFromParent_Done,
     /* 730106 */   // Label 9604: @730106
     /* 730106 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(730173), // Rule ID 5465 //
     /* 730111 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730115 */     // MIs[0] offset
     /* 730115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730118 */     // MIs[0] auxiliary
     /* 730118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730121 */     // MIs[0] Operand 7
     /* 730121 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730139 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 730142 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730144 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 730146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730153 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730155 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730161 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730171 */     GIR_RootConstrainSelectedInstOperands,
     /* 730172 */     // GIR_Coverage, 5465,
     /* 730172 */     GIR_EraseRootFromParent_Done,
     /* 730173 */   // Label 9605: @730173
     /* 730173 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(730235), // Rule ID 5462 //
     /* 730178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730185 */     // MIs[0] offset
     /* 730185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730188 */     // MIs[0] auxiliary
     /* 730188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730191 */     // MIs[0] Operand 7
     /* 730191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730201 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 730204 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730206 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 730208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730215 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730217 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730223 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730233 */     GIR_RootConstrainSelectedInstOperands,
     /* 730234 */     // GIR_Coverage, 5462,
     /* 730234 */     GIR_EraseRootFromParent_Done,
     /* 730235 */   // Label 9606: @730235
     /* 730235 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(730294), // Rule ID 5466 //
     /* 730240 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730244 */     // MIs[0] offset
     /* 730244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730247 */     // MIs[0] auxiliary
     /* 730247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730250 */     // MIs[0] Operand 7
     /* 730250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730260 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 730263 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730265 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 730267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730274 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730282 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730292 */     GIR_RootConstrainSelectedInstOperands,
     /* 730293 */     // GIR_Coverage, 5466,
     /* 730293 */     GIR_EraseRootFromParent_Done,
     /* 730294 */   // Label 9607: @730294
     /* 730294 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(730394), // Rule ID 5463 //
     /* 730299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730302 */     // MIs[0] offset
     /* 730302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730305 */     // MIs[0] auxiliary
     /* 730305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730308 */     // MIs[0] Operand 7
     /* 730308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730318 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 730321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 730325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 730330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 730334 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 730337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 730341 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 730344 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 730349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730354 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 730362 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 730367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730374 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730376 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730382 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730392 */     GIR_RootConstrainSelectedInstOperands,
     /* 730393 */     // GIR_Coverage, 5463,
     /* 730393 */     GIR_EraseRootFromParent_Done,
     /* 730394 */   // Label 9608: @730394
     /* 730394 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(730491), // Rule ID 5467 //
     /* 730399 */     // MIs[0] offset
     /* 730399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730402 */     // MIs[0] auxiliary
     /* 730402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730405 */     // MIs[0] Operand 7
     /* 730405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730415 */     // (SIbuffer_store p3:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 730418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 730422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 730427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 730431 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 730434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 730438 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 730441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 730446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 730459 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 730464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730471 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730489 */     GIR_RootConstrainSelectedInstOperands,
     /* 730490 */     // GIR_Coverage, 5467,
     /* 730490 */     GIR_EraseRootFromParent_Done,
     /* 730491 */   // Label 9609: @730491
     /* 730491 */   GIM_Reject,
     /* 730492 */ // Label 9601: @730492
     /* 730492 */ GIM_Reject,
     /* 730493 */ // Label 9561: @730493
     /* 730493 */ GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(731107),
     /* 730498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 730501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 730504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 730507 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 730510 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(730582), // Rule ID 5548 //
     /* 730515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730526 */     // MIs[0] offset
     /* 730526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730529 */     // MIs[0] auxiliary
     /* 730529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730532 */     // MIs[0] Operand 7
     /* 730532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730550 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 730553 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730562 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730564 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730570 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730580 */     GIR_RootConstrainSelectedInstOperands,
     /* 730581 */     // GIR_Coverage, 5548,
     /* 730581 */     GIR_EraseRootFromParent_Done,
     /* 730582 */   // Label 9611: @730582
     /* 730582 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(730651), // Rule ID 5552 //
     /* 730587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730595 */     // MIs[0] offset
     /* 730595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730598 */     // MIs[0] auxiliary
     /* 730598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730601 */     // MIs[0] Operand 7
     /* 730601 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730619 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 730622 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730631 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730633 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730639 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730649 */     GIR_RootConstrainSelectedInstOperands,
     /* 730650 */     // GIR_Coverage, 5552,
     /* 730650 */     GIR_EraseRootFromParent_Done,
     /* 730651 */   // Label 9612: @730651
     /* 730651 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(730721), // Rule ID 5549 //
     /* 730656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730659 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730663 */     // MIs[0] offset
     /* 730663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730666 */     // MIs[0] auxiliary
     /* 730666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730669 */     // MIs[0] Operand 7
     /* 730669 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730687 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 730690 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730692 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 730694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730701 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730703 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730719 */     GIR_RootConstrainSelectedInstOperands,
     /* 730720 */     // GIR_Coverage, 5549,
     /* 730720 */     GIR_EraseRootFromParent_Done,
     /* 730721 */   // Label 9613: @730721
     /* 730721 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(730788), // Rule ID 5553 //
     /* 730726 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 730730 */     // MIs[0] offset
     /* 730730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730733 */     // MIs[0] auxiliary
     /* 730733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730736 */     // MIs[0] Operand 7
     /* 730736 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 730747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730754 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 730757 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730759 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 730761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730768 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730786 */     GIR_RootConstrainSelectedInstOperands,
     /* 730787 */     // GIR_Coverage, 5553,
     /* 730787 */     GIR_EraseRootFromParent_Done,
     /* 730788 */   // Label 9614: @730788
     /* 730788 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(730850), // Rule ID 5550 //
     /* 730793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730800 */     // MIs[0] offset
     /* 730800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730803 */     // MIs[0] auxiliary
     /* 730803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730806 */     // MIs[0] Operand 7
     /* 730806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730816 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 730819 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730821 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 730823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730830 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730832 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730838 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730848 */     GIR_RootConstrainSelectedInstOperands,
     /* 730849 */     // GIR_Coverage, 5550,
     /* 730849 */     GIR_EraseRootFromParent_Done,
     /* 730850 */   // Label 9615: @730850
     /* 730850 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(730909), // Rule ID 5554 //
     /* 730855 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 730859 */     // MIs[0] offset
     /* 730859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730862 */     // MIs[0] auxiliary
     /* 730862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730865 */     // MIs[0] Operand 7
     /* 730865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730875 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 730878 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730880 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 730882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730889 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730897 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 730903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 730907 */     GIR_RootConstrainSelectedInstOperands,
     /* 730908 */     // GIR_Coverage, 5554,
     /* 730908 */     GIR_EraseRootFromParent_Done,
     /* 730909 */   // Label 9616: @730909
     /* 730909 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(731009), // Rule ID 5551 //
     /* 730914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 730917 */     // MIs[0] offset
     /* 730917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 730920 */     // MIs[0] auxiliary
     /* 730920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 730923 */     // MIs[0] Operand 7
     /* 730923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 730926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 730933 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 730933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 730936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 730940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 730945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 730949 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 730952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 730956 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 730959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 730964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 730974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 730977 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 730979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 730982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 730984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 730989 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 730991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 730997 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731007 */     GIR_RootConstrainSelectedInstOperands,
     /* 731008 */     // GIR_Coverage, 5551,
     /* 731008 */     GIR_EraseRootFromParent_Done,
     /* 731009 */   // Label 9617: @731009
     /* 731009 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(731106), // Rule ID 5555 //
     /* 731014 */     // MIs[0] offset
     /* 731014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731017 */     // MIs[0] auxiliary
     /* 731017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731020 */     // MIs[0] Operand 7
     /* 731020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 731023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731030 */     // (SIbuffer_store p4:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 731033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 731037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 731042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 731046 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 731049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 731053 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 731056 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 731061 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 731074 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 731079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731086 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731088 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731094 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731104 */     GIR_RootConstrainSelectedInstOperands,
     /* 731105 */     // GIR_Coverage, 5555,
     /* 731105 */     GIR_EraseRootFromParent_Done,
     /* 731106 */   // Label 9618: @731106
     /* 731106 */   GIM_Reject,
     /* 731107 */ // Label 9610: @731107
     /* 731107 */ GIM_Reject,
     /* 731108 */ // Label 9562: @731108
     /* 731108 */ GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(731722),
     /* 731113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 731116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 731119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 731122 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 731125 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(731197), // Rule ID 5468 //
     /* 731130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731133 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731137 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731141 */     // MIs[0] offset
     /* 731141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731144 */     // MIs[0] auxiliary
     /* 731144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731147 */     // MIs[0] Operand 7
     /* 731147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731165 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 731168 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731177 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731185 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731195 */     GIR_RootConstrainSelectedInstOperands,
     /* 731196 */     // GIR_Coverage, 5468,
     /* 731196 */     GIR_EraseRootFromParent_Done,
     /* 731197 */   // Label 9620: @731197
     /* 731197 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(731266), // Rule ID 5472 //
     /* 731202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731210 */     // MIs[0] offset
     /* 731210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731213 */     // MIs[0] auxiliary
     /* 731213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731216 */     // MIs[0] Operand 7
     /* 731216 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731234 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 731237 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731246 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731264 */     GIR_RootConstrainSelectedInstOperands,
     /* 731265 */     // GIR_Coverage, 5472,
     /* 731265 */     GIR_EraseRootFromParent_Done,
     /* 731266 */   // Label 9621: @731266
     /* 731266 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(731336), // Rule ID 5469 //
     /* 731271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731274 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731278 */     // MIs[0] offset
     /* 731278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731281 */     // MIs[0] auxiliary
     /* 731281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731284 */     // MIs[0] Operand 7
     /* 731284 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731302 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 731305 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731307 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 731309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731316 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731318 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731324 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731334 */     GIR_RootConstrainSelectedInstOperands,
     /* 731335 */     // GIR_Coverage, 5469,
     /* 731335 */     GIR_EraseRootFromParent_Done,
     /* 731336 */   // Label 9622: @731336
     /* 731336 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(731403), // Rule ID 5473 //
     /* 731341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731345 */     // MIs[0] offset
     /* 731345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731348 */     // MIs[0] auxiliary
     /* 731348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731351 */     // MIs[0] Operand 7
     /* 731351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731369 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 731372 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731374 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 731376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731383 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731385 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731391 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731401 */     GIR_RootConstrainSelectedInstOperands,
     /* 731402 */     // GIR_Coverage, 5473,
     /* 731402 */     GIR_EraseRootFromParent_Done,
     /* 731403 */   // Label 9623: @731403
     /* 731403 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(731465), // Rule ID 5470 //
     /* 731408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731411 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731415 */     // MIs[0] offset
     /* 731415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731418 */     // MIs[0] auxiliary
     /* 731418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731421 */     // MIs[0] Operand 7
     /* 731421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 731424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731431 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 731434 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731436 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 731438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731445 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731447 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731453 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731463 */     GIR_RootConstrainSelectedInstOperands,
     /* 731464 */     // GIR_Coverage, 5470,
     /* 731464 */     GIR_EraseRootFromParent_Done,
     /* 731465 */   // Label 9624: @731465
     /* 731465 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(731524), // Rule ID 5474 //
     /* 731470 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731474 */     // MIs[0] offset
     /* 731474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731477 */     // MIs[0] auxiliary
     /* 731477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731480 */     // MIs[0] Operand 7
     /* 731480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 731483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731490 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 731493 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731495 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 731497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731504 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731506 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731512 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731522 */     GIR_RootConstrainSelectedInstOperands,
     /* 731523 */     // GIR_Coverage, 5474,
     /* 731523 */     GIR_EraseRootFromParent_Done,
     /* 731524 */   // Label 9625: @731524
     /* 731524 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(731624), // Rule ID 5471 //
     /* 731529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731532 */     // MIs[0] offset
     /* 731532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731535 */     // MIs[0] auxiliary
     /* 731535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731538 */     // MIs[0] Operand 7
     /* 731538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 731541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731548 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 731551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 731555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 731560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 731564 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 731567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 731571 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 731574 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 731579 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731584 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 731592 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 731597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731604 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731606 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731612 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731622 */     GIR_RootConstrainSelectedInstOperands,
     /* 731623 */     // GIR_Coverage, 5471,
     /* 731623 */     GIR_EraseRootFromParent_Done,
     /* 731624 */   // Label 9626: @731624
     /* 731624 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(731721), // Rule ID 5475 //
     /* 731629 */     // MIs[0] offset
     /* 731629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731632 */     // MIs[0] auxiliary
     /* 731632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731635 */     // MIs[0] Operand 7
     /* 731635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 731638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731645 */     // (SIbuffer_store p5:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 731648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 731652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 731657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 731661 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 731664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 731668 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 731671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 731676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731681 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 731686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 731689 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 731694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731701 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731703 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731719 */     GIR_RootConstrainSelectedInstOperands,
     /* 731720 */     // GIR_Coverage, 5475,
     /* 731720 */     GIR_EraseRootFromParent_Done,
     /* 731721 */   // Label 9627: @731721
     /* 731721 */   GIM_Reject,
     /* 731722 */ // Label 9619: @731722
     /* 731722 */ GIM_Reject,
     /* 731723 */ // Label 9563: @731723
     /* 731723 */ GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(732337),
     /* 731728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 731731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 731734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 731737 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 731740 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(731812), // Rule ID 5476 //
     /* 731745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731748 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731752 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731756 */     // MIs[0] offset
     /* 731756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731759 */     // MIs[0] auxiliary
     /* 731759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731762 */     // MIs[0] Operand 7
     /* 731762 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731780 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 731783 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731792 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731810 */     GIR_RootConstrainSelectedInstOperands,
     /* 731811 */     // GIR_Coverage, 5476,
     /* 731811 */     GIR_EraseRootFromParent_Done,
     /* 731812 */   // Label 9629: @731812
     /* 731812 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(731881), // Rule ID 5480 //
     /* 731817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 731825 */     // MIs[0] offset
     /* 731825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731828 */     // MIs[0] auxiliary
     /* 731828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731831 */     // MIs[0] Operand 7
     /* 731831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731849 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 731852 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731861 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731863 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731869 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731879 */     GIR_RootConstrainSelectedInstOperands,
     /* 731880 */     // GIR_Coverage, 5480,
     /* 731880 */     GIR_EraseRootFromParent_Done,
     /* 731881 */   // Label 9630: @731881
     /* 731881 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(731951), // Rule ID 5477 //
     /* 731886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 731889 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731893 */     // MIs[0] offset
     /* 731893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731896 */     // MIs[0] auxiliary
     /* 731896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731899 */     // MIs[0] Operand 7
     /* 731899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731917 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 731920 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731922 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 731924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731931 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 731933 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 731939 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 731945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 731949 */     GIR_RootConstrainSelectedInstOperands,
     /* 731950 */     // GIR_Coverage, 5477,
     /* 731950 */     GIR_EraseRootFromParent_Done,
     /* 731951 */   // Label 9631: @731951
     /* 731951 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(732018), // Rule ID 5481 //
     /* 731956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 731960 */     // MIs[0] offset
     /* 731960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 731963 */     // MIs[0] auxiliary
     /* 731963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 731966 */     // MIs[0] Operand 7
     /* 731966 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 731977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 731984 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 731984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 731987 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 731989 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 731991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 731993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 731998 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732000 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732006 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732016 */     GIR_RootConstrainSelectedInstOperands,
     /* 732017 */     // GIR_Coverage, 5481,
     /* 732017 */     GIR_EraseRootFromParent_Done,
     /* 732018 */   // Label 9632: @732018
     /* 732018 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(732080), // Rule ID 5478 //
     /* 732023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732026 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732030 */     // MIs[0] offset
     /* 732030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732033 */     // MIs[0] auxiliary
     /* 732033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732036 */     // MIs[0] Operand 7
     /* 732036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732046 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 732049 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732051 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 732053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732060 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732068 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732078 */     GIR_RootConstrainSelectedInstOperands,
     /* 732079 */     // GIR_Coverage, 5478,
     /* 732079 */     GIR_EraseRootFromParent_Done,
     /* 732080 */   // Label 9633: @732080
     /* 732080 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(732139), // Rule ID 5482 //
     /* 732085 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732089 */     // MIs[0] offset
     /* 732089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732092 */     // MIs[0] auxiliary
     /* 732092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732095 */     // MIs[0] Operand 7
     /* 732095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732105 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 732108 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732110 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 732112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732119 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732121 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732127 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732137 */     GIR_RootConstrainSelectedInstOperands,
     /* 732138 */     // GIR_Coverage, 5482,
     /* 732138 */     GIR_EraseRootFromParent_Done,
     /* 732139 */   // Label 9634: @732139
     /* 732139 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(732239), // Rule ID 5479 //
     /* 732144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732147 */     // MIs[0] offset
     /* 732147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732150 */     // MIs[0] auxiliary
     /* 732150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732153 */     // MIs[0] Operand 7
     /* 732153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732163 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 732166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 732170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 732175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 732179 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 732182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 732186 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 732189 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 732194 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 732199 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 732204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 732207 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 732212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732219 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732221 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732227 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732237 */     GIR_RootConstrainSelectedInstOperands,
     /* 732238 */     // GIR_Coverage, 5479,
     /* 732238 */     GIR_EraseRootFromParent_Done,
     /* 732239 */   // Label 9635: @732239
     /* 732239 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(732336), // Rule ID 5483 //
     /* 732244 */     // MIs[0] offset
     /* 732244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732247 */     // MIs[0] auxiliary
     /* 732247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732250 */     // MIs[0] Operand 7
     /* 732250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732260 */     // (SIbuffer_store p6:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 732263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 732267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 732272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 732276 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 732279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 732283 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 732286 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 732291 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 732296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 732301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 732304 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 732309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732316 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732318 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732324 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732334 */     GIR_RootConstrainSelectedInstOperands,
     /* 732335 */     // GIR_Coverage, 5483,
     /* 732335 */     GIR_EraseRootFromParent_Done,
     /* 732336 */   // Label 9636: @732336
     /* 732336 */   GIM_Reject,
     /* 732337 */ // Label 9628: @732337
     /* 732337 */ GIM_Reject,
     /* 732338 */ // Label 9564: @732338
     /* 732338 */ GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(733548),
     /* 732343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 732346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 732349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 732352 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 732355 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(732427), // Rule ID 5420 //
     /* 732360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732363 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732367 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732371 */     // MIs[0] offset
     /* 732371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732374 */     // MIs[0] auxiliary
     /* 732374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732377 */     // MIs[0] Operand 7
     /* 732377 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732395 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 732398 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732407 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732409 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732415 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732425 */     GIR_RootConstrainSelectedInstOperands,
     /* 732426 */     // GIR_Coverage, 5420,
     /* 732426 */     GIR_EraseRootFromParent_Done,
     /* 732427 */   // Label 9638: @732427
     /* 732427 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(732496), // Rule ID 5424 //
     /* 732432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732436 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732440 */     // MIs[0] offset
     /* 732440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732443 */     // MIs[0] auxiliary
     /* 732443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732446 */     // MIs[0] Operand 7
     /* 732446 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732464 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 732467 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732476 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732478 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732484 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732494 */     GIR_RootConstrainSelectedInstOperands,
     /* 732495 */     // GIR_Coverage, 5424,
     /* 732495 */     GIR_EraseRootFromParent_Done,
     /* 732496 */   // Label 9639: @732496
     /* 732496 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(732568), // Rule ID 5428 //
     /* 732501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732512 */     // MIs[0] offset
     /* 732512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732515 */     // MIs[0] auxiliary
     /* 732515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732518 */     // MIs[0] Operand 7
     /* 732518 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732536 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 732539 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732548 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732550 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732556 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732566 */     GIR_RootConstrainSelectedInstOperands,
     /* 732567 */     // GIR_Coverage, 5428,
     /* 732567 */     GIR_EraseRootFromParent_Done,
     /* 732568 */   // Label 9640: @732568
     /* 732568 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(732637), // Rule ID 5432 //
     /* 732573 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732577 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732581 */     // MIs[0] offset
     /* 732581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732584 */     // MIs[0] auxiliary
     /* 732584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732587 */     // MIs[0] Operand 7
     /* 732587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732605 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 732608 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732617 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732619 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732625 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732635 */     GIR_RootConstrainSelectedInstOperands,
     /* 732636 */     // GIR_Coverage, 5432,
     /* 732636 */     GIR_EraseRootFromParent_Done,
     /* 732637 */   // Label 9641: @732637
     /* 732637 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(732707), // Rule ID 5421 //
     /* 732642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732645 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732649 */     // MIs[0] offset
     /* 732649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732652 */     // MIs[0] auxiliary
     /* 732652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732655 */     // MIs[0] Operand 7
     /* 732655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732673 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 732676 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732678 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 732680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732687 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732689 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732695 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732705 */     GIR_RootConstrainSelectedInstOperands,
     /* 732706 */     // GIR_Coverage, 5421,
     /* 732706 */     GIR_EraseRootFromParent_Done,
     /* 732707 */   // Label 9642: @732707
     /* 732707 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(732774), // Rule ID 5425 //
     /* 732712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732716 */     // MIs[0] offset
     /* 732716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732719 */     // MIs[0] auxiliary
     /* 732719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732722 */     // MIs[0] Operand 7
     /* 732722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732740 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 732743 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732745 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 732747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732754 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732756 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732762 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732772 */     GIR_RootConstrainSelectedInstOperands,
     /* 732773 */     // GIR_Coverage, 5425,
     /* 732773 */     GIR_EraseRootFromParent_Done,
     /* 732774 */   // Label 9643: @732774
     /* 732774 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(732844), // Rule ID 5429 //
     /* 732779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732786 */     // MIs[0] offset
     /* 732786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732789 */     // MIs[0] auxiliary
     /* 732789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732792 */     // MIs[0] Operand 7
     /* 732792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732810 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 732813 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732815 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 732817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732824 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732826 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732832 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732842 */     GIR_RootConstrainSelectedInstOperands,
     /* 732843 */     // GIR_Coverage, 5429,
     /* 732843 */     GIR_EraseRootFromParent_Done,
     /* 732844 */   // Label 9644: @732844
     /* 732844 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(732911), // Rule ID 5433 //
     /* 732849 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 732853 */     // MIs[0] offset
     /* 732853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732856 */     // MIs[0] auxiliary
     /* 732856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732859 */     // MIs[0] Operand 7
     /* 732859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 732870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732877 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 732880 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732882 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 732884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732891 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732893 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732899 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732909 */     GIR_RootConstrainSelectedInstOperands,
     /* 732910 */     // GIR_Coverage, 5433,
     /* 732910 */     GIR_EraseRootFromParent_Done,
     /* 732911 */   // Label 9645: @732911
     /* 732911 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(732973), // Rule ID 5422 //
     /* 732916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 732919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732923 */     // MIs[0] offset
     /* 732923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732926 */     // MIs[0] auxiliary
     /* 732926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732929 */     // MIs[0] Operand 7
     /* 732929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732939 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 732942 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 732944 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 732946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 732948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 732953 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 732955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 732961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 732967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 732971 */     GIR_RootConstrainSelectedInstOperands,
     /* 732972 */     // GIR_Coverage, 5422,
     /* 732972 */     GIR_EraseRootFromParent_Done,
     /* 732973 */   // Label 9646: @732973
     /* 732973 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(733032), // Rule ID 5426 //
     /* 732978 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 732982 */     // MIs[0] offset
     /* 732982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 732985 */     // MIs[0] auxiliary
     /* 732985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 732988 */     // MIs[0] Operand 7
     /* 732988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 732991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 732998 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 732998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 733001 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733003 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 733005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733012 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733014 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733030 */     GIR_RootConstrainSelectedInstOperands,
     /* 733031 */     // GIR_Coverage, 5426,
     /* 733031 */     GIR_EraseRootFromParent_Done,
     /* 733032 */   // Label 9647: @733032
     /* 733032 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(733094), // Rule ID 5430 //
     /* 733037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733044 */     // MIs[0] offset
     /* 733044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733047 */     // MIs[0] auxiliary
     /* 733047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733050 */     // MIs[0] Operand 7
     /* 733050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733060 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 733063 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733065 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 733067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733074 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733076 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733082 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733092 */     GIR_RootConstrainSelectedInstOperands,
     /* 733093 */     // GIR_Coverage, 5430,
     /* 733093 */     GIR_EraseRootFromParent_Done,
     /* 733094 */   // Label 9648: @733094
     /* 733094 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(733153), // Rule ID 5434 //
     /* 733099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733103 */     // MIs[0] offset
     /* 733103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733106 */     // MIs[0] auxiliary
     /* 733106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733109 */     // MIs[0] Operand 7
     /* 733109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733119 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 733122 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733124 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 733126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733133 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733135 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733141 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733151 */     GIR_RootConstrainSelectedInstOperands,
     /* 733152 */     // GIR_Coverage, 5434,
     /* 733152 */     GIR_EraseRootFromParent_Done,
     /* 733153 */   // Label 9649: @733153
     /* 733153 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(733253), // Rule ID 5423 //
     /* 733158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733161 */     // MIs[0] offset
     /* 733161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733164 */     // MIs[0] auxiliary
     /* 733164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733167 */     // MIs[0] Operand 7
     /* 733167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733177 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 733180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 733184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 733189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 733193 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 733196 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 733200 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 733203 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 733208 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 733221 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 733226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733233 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733241 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733251 */     GIR_RootConstrainSelectedInstOperands,
     /* 733252 */     // GIR_Coverage, 5423,
     /* 733252 */     GIR_EraseRootFromParent_Done,
     /* 733253 */   // Label 9650: @733253
     /* 733253 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(733350), // Rule ID 5427 //
     /* 733258 */     // MIs[0] offset
     /* 733258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733261 */     // MIs[0] auxiliary
     /* 733261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733264 */     // MIs[0] Operand 7
     /* 733264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733274 */     // (SIbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 733277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 733281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 733286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 733290 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 733293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 733297 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 733300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 733305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 733318 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 733323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733330 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733332 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733338 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733348 */     GIR_RootConstrainSelectedInstOperands,
     /* 733349 */     // GIR_Coverage, 5427,
     /* 733349 */     GIR_EraseRootFromParent_Done,
     /* 733350 */   // Label 9651: @733350
     /* 733350 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(733450), // Rule ID 5431 //
     /* 733355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733358 */     // MIs[0] offset
     /* 733358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733361 */     // MIs[0] auxiliary
     /* 733361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733364 */     // MIs[0] Operand 7
     /* 733364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733374 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 733377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 733381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 733386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 733390 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 733393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 733397 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 733400 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 733405 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733410 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 733418 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 733423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733430 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733432 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733438 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733448 */     GIR_RootConstrainSelectedInstOperands,
     /* 733449 */     // GIR_Coverage, 5431,
     /* 733449 */     GIR_EraseRootFromParent_Done,
     /* 733450 */   // Label 9652: @733450
     /* 733450 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(733547), // Rule ID 5435 //
     /* 733455 */     // MIs[0] offset
     /* 733455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733458 */     // MIs[0] auxiliary
     /* 733458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733461 */     // MIs[0] Operand 7
     /* 733461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 733464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733471 */     // (SIbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 733474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 733478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 733483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 733487 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 733490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 733494 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 733497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 733502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733507 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 733512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 733515 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 733520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733527 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733529 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733535 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733545 */     GIR_RootConstrainSelectedInstOperands,
     /* 733546 */     // GIR_Coverage, 5435,
     /* 733546 */     GIR_EraseRootFromParent_Done,
     /* 733547 */   // Label 9653: @733547
     /* 733547 */   GIM_Reject,
     /* 733548 */ // Label 9637: @733548
     /* 733548 */ GIM_Reject,
     /* 733549 */ // Label 9565: @733549
     /* 733549 */ GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(734759),
     /* 733554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 733557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 733560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 733563 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 733566 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(733638), // Rule ID 5484 //
     /* 733571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733574 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733582 */     // MIs[0] offset
     /* 733582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733585 */     // MIs[0] auxiliary
     /* 733585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733588 */     // MIs[0] Operand 7
     /* 733588 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733606 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 733609 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733618 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733620 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733626 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733636 */     GIR_RootConstrainSelectedInstOperands,
     /* 733637 */     // GIR_Coverage, 5484,
     /* 733637 */     GIR_EraseRootFromParent_Done,
     /* 733638 */   // Label 9655: @733638
     /* 733638 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(733707), // Rule ID 5488 //
     /* 733643 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733647 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733651 */     // MIs[0] offset
     /* 733651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733654 */     // MIs[0] auxiliary
     /* 733654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733657 */     // MIs[0] Operand 7
     /* 733657 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733675 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 733678 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733687 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733689 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733695 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733705 */     GIR_RootConstrainSelectedInstOperands,
     /* 733706 */     // GIR_Coverage, 5488,
     /* 733706 */     GIR_EraseRootFromParent_Done,
     /* 733707 */   // Label 9656: @733707
     /* 733707 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(733779), // Rule ID 5492 //
     /* 733712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733715 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733723 */     // MIs[0] offset
     /* 733723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733726 */     // MIs[0] auxiliary
     /* 733726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733729 */     // MIs[0] Operand 7
     /* 733729 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733747 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[f64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 733750 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733759 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733761 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733767 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733777 */     GIR_RootConstrainSelectedInstOperands,
     /* 733778 */     // GIR_Coverage, 5492,
     /* 733778 */     GIR_EraseRootFromParent_Done,
     /* 733779 */   // Label 9657: @733779
     /* 733779 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(733848), // Rule ID 5496 //
     /* 733784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 733792 */     // MIs[0] offset
     /* 733792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733795 */     // MIs[0] auxiliary
     /* 733795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733798 */     // MIs[0] Operand 7
     /* 733798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733816 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[f64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 733819 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733828 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733830 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733836 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733846 */     GIR_RootConstrainSelectedInstOperands,
     /* 733847 */     // GIR_Coverage, 5496,
     /* 733847 */     GIR_EraseRootFromParent_Done,
     /* 733848 */   // Label 9658: @733848
     /* 733848 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(733918), // Rule ID 5485 //
     /* 733853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733856 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733860 */     // MIs[0] offset
     /* 733860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733863 */     // MIs[0] auxiliary
     /* 733863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733866 */     // MIs[0] Operand 7
     /* 733866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733884 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 733887 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733889 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 733891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733898 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733900 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733906 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733916 */     GIR_RootConstrainSelectedInstOperands,
     /* 733917 */     // GIR_Coverage, 5485,
     /* 733917 */     GIR_EraseRootFromParent_Done,
     /* 733918 */   // Label 9659: @733918
     /* 733918 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(733985), // Rule ID 5489 //
     /* 733923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733927 */     // MIs[0] offset
     /* 733927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 733930 */     // MIs[0] auxiliary
     /* 733930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 733933 */     // MIs[0] Operand 7
     /* 733933 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 733944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 733951 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 733951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 733954 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 733956 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 733958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 733960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 733965 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 733967 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 733973 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 733979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 733983 */     GIR_RootConstrainSelectedInstOperands,
     /* 733984 */     // GIR_Coverage, 5489,
     /* 733984 */     GIR_EraseRootFromParent_Done,
     /* 733985 */   // Label 9660: @733985
     /* 733985 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(734055), // Rule ID 5493 //
     /* 733990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 733993 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 733997 */     // MIs[0] offset
     /* 733997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734000 */     // MIs[0] auxiliary
     /* 734000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734003 */     // MIs[0] Operand 7
     /* 734003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 734014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734021 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[f64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 734024 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734026 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 734028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734035 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734037 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734043 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734053 */     GIR_RootConstrainSelectedInstOperands,
     /* 734054 */     // GIR_Coverage, 5493,
     /* 734054 */     GIR_EraseRootFromParent_Done,
     /* 734055 */   // Label 9661: @734055
     /* 734055 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(734122), // Rule ID 5497 //
     /* 734060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 734064 */     // MIs[0] offset
     /* 734064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734067 */     // MIs[0] auxiliary
     /* 734067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734070 */     // MIs[0] Operand 7
     /* 734070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 734081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734088 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[f64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 734091 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734093 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 734095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734102 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734120 */     GIR_RootConstrainSelectedInstOperands,
     /* 734121 */     // GIR_Coverage, 5497,
     /* 734121 */     GIR_EraseRootFromParent_Done,
     /* 734122 */   // Label 9662: @734122
     /* 734122 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(734184), // Rule ID 5486 //
     /* 734127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734130 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734134 */     // MIs[0] offset
     /* 734134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734137 */     // MIs[0] auxiliary
     /* 734137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734140 */     // MIs[0] Operand 7
     /* 734140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734150 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 734153 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734155 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 734157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734164 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734172 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734182 */     GIR_RootConstrainSelectedInstOperands,
     /* 734183 */     // GIR_Coverage, 5486,
     /* 734183 */     GIR_EraseRootFromParent_Done,
     /* 734184 */   // Label 9663: @734184
     /* 734184 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(734243), // Rule ID 5490 //
     /* 734189 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734193 */     // MIs[0] offset
     /* 734193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734196 */     // MIs[0] auxiliary
     /* 734196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734199 */     // MIs[0] Operand 7
     /* 734199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734209 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 734212 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734214 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 734216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734223 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734231 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734241 */     GIR_RootConstrainSelectedInstOperands,
     /* 734242 */     // GIR_Coverage, 5490,
     /* 734242 */     GIR_EraseRootFromParent_Done,
     /* 734243 */   // Label 9664: @734243
     /* 734243 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(734305), // Rule ID 5494 //
     /* 734248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734251 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734255 */     // MIs[0] offset
     /* 734255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734258 */     // MIs[0] auxiliary
     /* 734258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734261 */     // MIs[0] Operand 7
     /* 734261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734271 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[f64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 734274 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734276 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 734278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734285 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734287 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734293 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734303 */     GIR_RootConstrainSelectedInstOperands,
     /* 734304 */     // GIR_Coverage, 5494,
     /* 734304 */     GIR_EraseRootFromParent_Done,
     /* 734305 */   // Label 9665: @734305
     /* 734305 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(734364), // Rule ID 5498 //
     /* 734310 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734314 */     // MIs[0] offset
     /* 734314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734317 */     // MIs[0] auxiliary
     /* 734317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734320 */     // MIs[0] Operand 7
     /* 734320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734330 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[f64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 734333 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734335 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 734337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734344 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734346 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734352 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734362 */     GIR_RootConstrainSelectedInstOperands,
     /* 734363 */     // GIR_Coverage, 5498,
     /* 734363 */     GIR_EraseRootFromParent_Done,
     /* 734364 */   // Label 9666: @734364
     /* 734364 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(734464), // Rule ID 5487 //
     /* 734369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734372 */     // MIs[0] offset
     /* 734372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734375 */     // MIs[0] auxiliary
     /* 734375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734378 */     // MIs[0] Operand 7
     /* 734378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734388 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 734391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 734395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 734400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 734404 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 734407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 734411 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 734414 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 734419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 734432 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 734437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734444 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734462 */     GIR_RootConstrainSelectedInstOperands,
     /* 734463 */     // GIR_Coverage, 5487,
     /* 734463 */     GIR_EraseRootFromParent_Done,
     /* 734464 */   // Label 9667: @734464
     /* 734464 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(734561), // Rule ID 5491 //
     /* 734469 */     // MIs[0] offset
     /* 734469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734472 */     // MIs[0] auxiliary
     /* 734472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734475 */     // MIs[0] Operand 7
     /* 734475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734485 */     // (SIbuffer_store i64:{ *:[i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 734488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 734492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 734497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 734501 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 734504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 734508 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 734511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 734516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 734529 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 734534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734541 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734543 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734549 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734559 */     GIR_RootConstrainSelectedInstOperands,
     /* 734560 */     // GIR_Coverage, 5491,
     /* 734560 */     GIR_EraseRootFromParent_Done,
     /* 734561 */   // Label 9668: @734561
     /* 734561 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(734661), // Rule ID 5495 //
     /* 734566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734569 */     // MIs[0] offset
     /* 734569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734572 */     // MIs[0] auxiliary
     /* 734572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734575 */     // MIs[0] Operand 7
     /* 734575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734585 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[f64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 734588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 734592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 734597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 734601 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 734604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 734608 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 734611 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 734616 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734621 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 734629 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 734634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734641 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734649 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734659 */     GIR_RootConstrainSelectedInstOperands,
     /* 734660 */     // GIR_Coverage, 5495,
     /* 734660 */     GIR_EraseRootFromParent_Done,
     /* 734661 */   // Label 9669: @734661
     /* 734661 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(734758), // Rule ID 5499 //
     /* 734666 */     // MIs[0] offset
     /* 734666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734669 */     // MIs[0] auxiliary
     /* 734669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734672 */     // MIs[0] Operand 7
     /* 734672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 734675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734682 */     // (SIbuffer_store f64:{ *:[f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[f64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 734685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 734689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 734694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 734698 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 734701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 734705 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 734708 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 734713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 734723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 734726 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 734731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734738 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734740 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734746 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734756 */     GIR_RootConstrainSelectedInstOperands,
     /* 734757 */     // GIR_Coverage, 5499,
     /* 734757 */     GIR_EraseRootFromParent_Done,
     /* 734758 */   // Label 9670: @734758
     /* 734758 */   GIM_Reject,
     /* 734759 */ // Label 9654: @734759
     /* 734759 */ GIM_Reject,
     /* 734760 */ // Label 9566: @734760
     /* 734760 */ GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(735970),
     /* 734765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 734768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 734771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 734774 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 734777 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(734849), // Rule ID 5436 //
     /* 734782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734785 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 734789 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734793 */     // MIs[0] offset
     /* 734793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734796 */     // MIs[0] auxiliary
     /* 734796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734799 */     // MIs[0] Operand 7
     /* 734799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 734810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734817 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[v2i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 734820 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734829 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734837 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734847 */     GIR_RootConstrainSelectedInstOperands,
     /* 734848 */     // GIR_Coverage, 5436,
     /* 734848 */     GIR_EraseRootFromParent_Done,
     /* 734849 */   // Label 9672: @734849
     /* 734849 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(734918), // Rule ID 5440 //
     /* 734854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 734858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734862 */     // MIs[0] offset
     /* 734862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734865 */     // MIs[0] auxiliary
     /* 734865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734868 */     // MIs[0] Operand 7
     /* 734868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 734879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734886 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[v2i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 734889 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734898 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734900 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734906 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734916 */     GIR_RootConstrainSelectedInstOperands,
     /* 734917 */     // GIR_Coverage, 5440,
     /* 734917 */     GIR_EraseRootFromParent_Done,
     /* 734918 */   // Label 9673: @734918
     /* 734918 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(734990), // Rule ID 5444 //
     /* 734923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 734926 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 734930 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 734934 */     // MIs[0] offset
     /* 734934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 734937 */     // MIs[0] auxiliary
     /* 734937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 734940 */     // MIs[0] Operand 7
     /* 734940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 734951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 734958 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 734958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFSET_exact),
     /* 734961 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 734963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 734965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 734970 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 734972 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 734978 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 734984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 734988 */     GIR_RootConstrainSelectedInstOperands,
     /* 734989 */     // GIR_Coverage, 5444,
     /* 734989 */     GIR_EraseRootFromParent_Done,
     /* 734990 */   // Label 9674: @734990
     /* 734990 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(735059), // Rule ID 5448 //
     /* 734995 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 734999 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 735003 */     // MIs[0] offset
     /* 735003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735006 */     // MIs[0] auxiliary
     /* 735006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735009 */     // MIs[0] Operand 7
     /* 735009 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 735020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735027 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFSET_exact),
     /* 735030 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735039 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735041 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735047 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735057 */     GIR_RootConstrainSelectedInstOperands,
     /* 735058 */     // GIR_Coverage, 5448,
     /* 735058 */     GIR_EraseRootFromParent_Done,
     /* 735059 */   // Label 9675: @735059
     /* 735059 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(735129), // Rule ID 5437 //
     /* 735064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735067 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 735071 */     // MIs[0] offset
     /* 735071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735074 */     // MIs[0] auxiliary
     /* 735074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735077 */     // MIs[0] Operand 7
     /* 735077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 735088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735095 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 735098 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735100 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 735102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735109 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735111 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735117 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735127 */     GIR_RootConstrainSelectedInstOperands,
     /* 735128 */     // GIR_Coverage, 5437,
     /* 735128 */     GIR_EraseRootFromParent_Done,
     /* 735129 */   // Label 9676: @735129
     /* 735129 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(735196), // Rule ID 5441 //
     /* 735134 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 735138 */     // MIs[0] offset
     /* 735138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735141 */     // MIs[0] auxiliary
     /* 735141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735144 */     // MIs[0] Operand 7
     /* 735144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 735155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735162 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 735165 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735167 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 735169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735176 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735178 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735184 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735194 */     GIR_RootConstrainSelectedInstOperands,
     /* 735195 */     // GIR_Coverage, 5441,
     /* 735195 */     GIR_EraseRootFromParent_Done,
     /* 735196 */   // Label 9677: @735196
     /* 735196 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(735266), // Rule ID 5445 //
     /* 735201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 735208 */     // MIs[0] offset
     /* 735208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735211 */     // MIs[0] auxiliary
     /* 735211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735214 */     // MIs[0] Operand 7
     /* 735214 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 735225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735232 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_OFFEN_exact),
     /* 735235 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735237 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 735239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735246 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735264 */     GIR_RootConstrainSelectedInstOperands,
     /* 735265 */     // GIR_Coverage, 5445,
     /* 735265 */     GIR_EraseRootFromParent_Done,
     /* 735266 */   // Label 9678: @735266
     /* 735266 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(735333), // Rule ID 5449 //
     /* 735271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 735275 */     // MIs[0] offset
     /* 735275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735278 */     // MIs[0] auxiliary
     /* 735278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735281 */     // MIs[0] Operand 7
     /* 735281 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 735292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735299 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_OFFEN_exact),
     /* 735302 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735304 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 735306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735313 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735315 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735321 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735331 */     GIR_RootConstrainSelectedInstOperands,
     /* 735332 */     // GIR_Coverage, 5449,
     /* 735332 */     GIR_EraseRootFromParent_Done,
     /* 735333 */   // Label 9679: @735333
     /* 735333 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(735395), // Rule ID 5438 //
     /* 735338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 735345 */     // MIs[0] offset
     /* 735345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735348 */     // MIs[0] auxiliary
     /* 735348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735351 */     // MIs[0] Operand 7
     /* 735351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735361 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 735364 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735366 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 735368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735375 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735377 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735383 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735393 */     GIR_RootConstrainSelectedInstOperands,
     /* 735394 */     // GIR_Coverage, 5438,
     /* 735394 */     GIR_EraseRootFromParent_Done,
     /* 735395 */   // Label 9680: @735395
     /* 735395 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(735454), // Rule ID 5442 //
     /* 735400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 735404 */     // MIs[0] offset
     /* 735404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735407 */     // MIs[0] auxiliary
     /* 735407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735410 */     // MIs[0] Operand 7
     /* 735410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735420 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 735423 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735425 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 735427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735434 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735436 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735452 */     GIR_RootConstrainSelectedInstOperands,
     /* 735453 */     // GIR_Coverage, 5442,
     /* 735453 */     GIR_EraseRootFromParent_Done,
     /* 735454 */   // Label 9681: @735454
     /* 735454 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(735516), // Rule ID 5446 //
     /* 735459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 735466 */     // MIs[0] offset
     /* 735466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735469 */     // MIs[0] auxiliary
     /* 735469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735472 */     // MIs[0] Operand 7
     /* 735472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735482 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_IDXEN_exact),
     /* 735485 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735487 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 735489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735496 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735498 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735514 */     GIR_RootConstrainSelectedInstOperands,
     /* 735515 */     // GIR_Coverage, 5446,
     /* 735515 */     GIR_EraseRootFromParent_Done,
     /* 735516 */   // Label 9682: @735516
     /* 735516 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(735575), // Rule ID 5450 //
     /* 735521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 735525 */     // MIs[0] offset
     /* 735525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735528 */     // MIs[0] auxiliary
     /* 735528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735531 */     // MIs[0] Operand 7
     /* 735531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735541 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_IDXEN_exact),
     /* 735544 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735546 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 735548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735555 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735557 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735563 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735573 */     GIR_RootConstrainSelectedInstOperands,
     /* 735574 */     // GIR_Coverage, 5450,
     /* 735574 */     GIR_EraseRootFromParent_Done,
     /* 735575 */   // Label 9683: @735575
     /* 735575 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(735675), // Rule ID 5439 //
     /* 735580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735583 */     // MIs[0] offset
     /* 735583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735586 */     // MIs[0] auxiliary
     /* 735586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735589 */     // MIs[0] Operand 7
     /* 735589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735599 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 735602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 735606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 735611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 735615 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 735618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 735622 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 735625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 735630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 735643 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 735648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735655 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735657 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735663 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735673 */     GIR_RootConstrainSelectedInstOperands,
     /* 735674 */     // GIR_Coverage, 5439,
     /* 735674 */     GIR_EraseRootFromParent_Done,
     /* 735675 */   // Label 9684: @735675
     /* 735675 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(735772), // Rule ID 5443 //
     /* 735680 */     // MIs[0] offset
     /* 735680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735683 */     // MIs[0] auxiliary
     /* 735683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735686 */     // MIs[0] Operand 7
     /* 735686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735696 */     // (SIbuffer_store v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 735699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 735703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 735708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 735712 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 735715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 735719 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 735722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 735727 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735732 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 735740 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 735745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735752 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735754 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735760 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735770 */     GIR_RootConstrainSelectedInstOperands,
     /* 735771 */     // GIR_Coverage, 5443,
     /* 735771 */     GIR_EraseRootFromParent_Done,
     /* 735772 */   // Label 9685: @735772
     /* 735772 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(735872), // Rule ID 5447 //
     /* 735777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735780 */     // MIs[0] offset
     /* 735780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735783 */     // MIs[0] auxiliary
     /* 735783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735786 */     // MIs[0] Operand 7
     /* 735786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735796 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 735799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 735803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 735808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 735812 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 735815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 735819 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 735822 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 735827 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_BOTHEN_exact),
     /* 735840 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 735845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735852 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735854 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735860 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735870 */     GIR_RootConstrainSelectedInstOperands,
     /* 735871 */     // GIR_Coverage, 5447,
     /* 735871 */     GIR_EraseRootFromParent_Done,
     /* 735872 */   // Label 9686: @735872
     /* 735872 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(735969), // Rule ID 5451 //
     /* 735877 */     // MIs[0] offset
     /* 735877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 735880 */     // MIs[0] auxiliary
     /* 735880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 735883 */     // MIs[0] Operand 7
     /* 735883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 735886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 735893 */     // (SIbuffer_store v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 735893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 735896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 735900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 735905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 735909 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 735912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 735916 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 735919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 735924 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735929 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 735934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORD_VBUFFER_BOTHEN_exact),
     /* 735937 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 735939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 735942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 735944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 735949 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 735951 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 735957 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 735963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 735967 */     GIR_RootConstrainSelectedInstOperands,
     /* 735968 */     // GIR_Coverage, 5451,
     /* 735968 */     GIR_EraseRootFromParent_Done,
     /* 735969 */   // Label 9687: @735969
     /* 735969 */   GIM_Reject,
     /* 735970 */ // Label 9671: @735970
     /* 735970 */ GIM_Reject,
     /* 735971 */ // Label 9567: @735971
     /* 735971 */ GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(737181),
     /* 735976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 735979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 735982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 735985 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 735988 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(736060), // Rule ID 5500 //
     /* 735993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 735996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736000 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736004 */     // MIs[0] offset
     /* 736004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736007 */     // MIs[0] auxiliary
     /* 736007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736010 */     // MIs[0] Operand 7
     /* 736010 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736028 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 736031 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736040 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736042 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736048 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736058 */     GIR_RootConstrainSelectedInstOperands,
     /* 736059 */     // GIR_Coverage, 5500,
     /* 736059 */     GIR_EraseRootFromParent_Done,
     /* 736060 */   // Label 9689: @736060
     /* 736060 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(736129), // Rule ID 5504 //
     /* 736065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736073 */     // MIs[0] offset
     /* 736073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736076 */     // MIs[0] auxiliary
     /* 736076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736079 */     // MIs[0] Operand 7
     /* 736079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736097 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 736100 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736109 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736111 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736117 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736127 */     GIR_RootConstrainSelectedInstOperands,
     /* 736128 */     // GIR_Coverage, 5504,
     /* 736128 */     GIR_EraseRootFromParent_Done,
     /* 736129 */   // Label 9690: @736129
     /* 736129 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(736201), // Rule ID 5508 //
     /* 736134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736137 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736141 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736145 */     // MIs[0] offset
     /* 736145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736148 */     // MIs[0] auxiliary
     /* 736148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736151 */     // MIs[0] Operand 7
     /* 736151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736169 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 736172 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736181 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736183 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736189 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736199 */     GIR_RootConstrainSelectedInstOperands,
     /* 736200 */     // GIR_Coverage, 5508,
     /* 736200 */     GIR_EraseRootFromParent_Done,
     /* 736201 */   // Label 9691: @736201
     /* 736201 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(736270), // Rule ID 5512 //
     /* 736206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736210 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736214 */     // MIs[0] offset
     /* 736214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736217 */     // MIs[0] auxiliary
     /* 736217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736220 */     // MIs[0] Operand 7
     /* 736220 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736238 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 736241 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736250 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736252 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736258 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736268 */     GIR_RootConstrainSelectedInstOperands,
     /* 736269 */     // GIR_Coverage, 5512,
     /* 736269 */     GIR_EraseRootFromParent_Done,
     /* 736270 */   // Label 9692: @736270
     /* 736270 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(736340), // Rule ID 5501 //
     /* 736275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736282 */     // MIs[0] offset
     /* 736282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736285 */     // MIs[0] auxiliary
     /* 736285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736288 */     // MIs[0] Operand 7
     /* 736288 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736306 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 736309 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736311 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 736313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736320 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736322 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736338 */     GIR_RootConstrainSelectedInstOperands,
     /* 736339 */     // GIR_Coverage, 5501,
     /* 736339 */     GIR_EraseRootFromParent_Done,
     /* 736340 */   // Label 9693: @736340
     /* 736340 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(736407), // Rule ID 5505 //
     /* 736345 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736349 */     // MIs[0] offset
     /* 736349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736352 */     // MIs[0] auxiliary
     /* 736352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736355 */     // MIs[0] Operand 7
     /* 736355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736373 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 736376 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736378 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 736380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736387 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736389 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736395 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736405 */     GIR_RootConstrainSelectedInstOperands,
     /* 736406 */     // GIR_Coverage, 5505,
     /* 736406 */     GIR_EraseRootFromParent_Done,
     /* 736407 */   // Label 9694: @736407
     /* 736407 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(736477), // Rule ID 5509 //
     /* 736412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736415 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736419 */     // MIs[0] offset
     /* 736419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736422 */     // MIs[0] auxiliary
     /* 736422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736425 */     // MIs[0] Operand 7
     /* 736425 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736443 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 736446 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736448 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 736450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736457 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736459 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736465 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736475 */     GIR_RootConstrainSelectedInstOperands,
     /* 736476 */     // GIR_Coverage, 5509,
     /* 736476 */     GIR_EraseRootFromParent_Done,
     /* 736477 */   // Label 9695: @736477
     /* 736477 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(736544), // Rule ID 5513 //
     /* 736482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 736486 */     // MIs[0] offset
     /* 736486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736489 */     // MIs[0] auxiliary
     /* 736489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736492 */     // MIs[0] Operand 7
     /* 736492 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 736503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736510 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 736513 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736515 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 736517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736524 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736532 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736542 */     GIR_RootConstrainSelectedInstOperands,
     /* 736543 */     // GIR_Coverage, 5513,
     /* 736543 */     GIR_EraseRootFromParent_Done,
     /* 736544 */   // Label 9696: @736544
     /* 736544 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(736606), // Rule ID 5502 //
     /* 736549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736556 */     // MIs[0] offset
     /* 736556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736559 */     // MIs[0] auxiliary
     /* 736559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736562 */     // MIs[0] Operand 7
     /* 736562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736572 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 736575 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736577 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 736579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736586 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736594 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736604 */     GIR_RootConstrainSelectedInstOperands,
     /* 736605 */     // GIR_Coverage, 5502,
     /* 736605 */     GIR_EraseRootFromParent_Done,
     /* 736606 */   // Label 9697: @736606
     /* 736606 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(736665), // Rule ID 5506 //
     /* 736611 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736615 */     // MIs[0] offset
     /* 736615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736618 */     // MIs[0] auxiliary
     /* 736618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736621 */     // MIs[0] Operand 7
     /* 736621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736631 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 736634 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736636 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 736638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736645 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736647 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736653 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736663 */     GIR_RootConstrainSelectedInstOperands,
     /* 736664 */     // GIR_Coverage, 5506,
     /* 736664 */     GIR_EraseRootFromParent_Done,
     /* 736665 */   // Label 9698: @736665
     /* 736665 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(736727), // Rule ID 5510 //
     /* 736670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736677 */     // MIs[0] offset
     /* 736677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736680 */     // MIs[0] auxiliary
     /* 736680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736683 */     // MIs[0] Operand 7
     /* 736683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736693 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 736696 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736698 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 736700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736707 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736715 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736725 */     GIR_RootConstrainSelectedInstOperands,
     /* 736726 */     // GIR_Coverage, 5510,
     /* 736726 */     GIR_EraseRootFromParent_Done,
     /* 736727 */   // Label 9699: @736727
     /* 736727 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(736786), // Rule ID 5514 //
     /* 736732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 736736 */     // MIs[0] offset
     /* 736736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736739 */     // MIs[0] auxiliary
     /* 736739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736742 */     // MIs[0] Operand 7
     /* 736742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736752 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 736755 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736757 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 736759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736766 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736774 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736784 */     GIR_RootConstrainSelectedInstOperands,
     /* 736785 */     // GIR_Coverage, 5514,
     /* 736785 */     GIR_EraseRootFromParent_Done,
     /* 736786 */   // Label 9700: @736786
     /* 736786 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(736886), // Rule ID 5503 //
     /* 736791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736794 */     // MIs[0] offset
     /* 736794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736797 */     // MIs[0] auxiliary
     /* 736797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736800 */     // MIs[0] Operand 7
     /* 736800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736810 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 736813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 736817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 736822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 736826 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 736829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 736833 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 736836 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 736841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 736846 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 736851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 736854 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 736859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736866 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736868 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736874 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736884 */     GIR_RootConstrainSelectedInstOperands,
     /* 736885 */     // GIR_Coverage, 5503,
     /* 736885 */     GIR_EraseRootFromParent_Done,
     /* 736886 */   // Label 9701: @736886
     /* 736886 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(736983), // Rule ID 5507 //
     /* 736891 */     // MIs[0] offset
     /* 736891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736894 */     // MIs[0] auxiliary
     /* 736894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736897 */     // MIs[0] Operand 7
     /* 736897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 736900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 736907 */     // (SIbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 736907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 736910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 736914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 736919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 736923 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 736926 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 736930 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 736933 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 736938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 736943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 736948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 736951 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 736953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 736956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 736958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 736963 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 736965 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 736971 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 736977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 736981 */     GIR_RootConstrainSelectedInstOperands,
     /* 736982 */     // GIR_Coverage, 5507,
     /* 736982 */     GIR_EraseRootFromParent_Done,
     /* 736983 */   // Label 9702: @736983
     /* 736983 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(737083), // Rule ID 5511 //
     /* 736988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 736991 */     // MIs[0] offset
     /* 736991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 736994 */     // MIs[0] auxiliary
     /* 736994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 736997 */     // MIs[0] Operand 7
     /* 736997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737007 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 737010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 737014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 737019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 737023 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 737026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 737030 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 737033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 737038 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 737043 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 737048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 737051 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 737056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737063 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737065 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737071 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737081 */     GIR_RootConstrainSelectedInstOperands,
     /* 737082 */     // GIR_Coverage, 5511,
     /* 737082 */     GIR_EraseRootFromParent_Done,
     /* 737083 */   // Label 9703: @737083
     /* 737083 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(737180), // Rule ID 5515 //
     /* 737088 */     // MIs[0] offset
     /* 737088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737091 */     // MIs[0] auxiliary
     /* 737091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737094 */     // MIs[0] Operand 7
     /* 737094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737104 */     // (SIbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 737107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 737111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 737116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 737120 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 737123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 737127 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 737130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 737135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 737140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 737145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 737148 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 737153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737160 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737162 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737178 */     GIR_RootConstrainSelectedInstOperands,
     /* 737179 */     // GIR_Coverage, 5515,
     /* 737179 */     GIR_EraseRootFromParent_Done,
     /* 737180 */   // Label 9704: @737180
     /* 737180 */   GIM_Reject,
     /* 737181 */ // Label 9688: @737181
     /* 737181 */ GIM_Reject,
     /* 737182 */ // Label 9568: @737182
     /* 737182 */ GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(738392),
     /* 737187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 737190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 737193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 737196 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 737199 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(737271), // Rule ID 5588 //
     /* 737204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737207 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737211 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737215 */     // MIs[0] offset
     /* 737215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737218 */     // MIs[0] auxiliary
     /* 737218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737221 */     // MIs[0] Operand 7
     /* 737221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737239 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v2i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 737242 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737251 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737253 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737259 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737269 */     GIR_RootConstrainSelectedInstOperands,
     /* 737270 */     // GIR_Coverage, 5588,
     /* 737270 */     GIR_EraseRootFromParent_Done,
     /* 737271 */   // Label 9706: @737271
     /* 737271 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(737340), // Rule ID 5592 //
     /* 737276 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737280 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737284 */     // MIs[0] offset
     /* 737284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737287 */     // MIs[0] auxiliary
     /* 737287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737290 */     // MIs[0] Operand 7
     /* 737290 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737308 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v2i64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 737311 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737320 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737322 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737338 */     GIR_RootConstrainSelectedInstOperands,
     /* 737339 */     // GIR_Coverage, 5592,
     /* 737339 */     GIR_EraseRootFromParent_Done,
     /* 737340 */   // Label 9707: @737340
     /* 737340 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(737412), // Rule ID 5596 //
     /* 737345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737356 */     // MIs[0] offset
     /* 737356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737359 */     // MIs[0] auxiliary
     /* 737359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737362 */     // MIs[0] Operand 7
     /* 737362 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737380 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v2f64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 737383 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737392 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737394 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737400 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737410 */     GIR_RootConstrainSelectedInstOperands,
     /* 737411 */     // GIR_Coverage, 5596,
     /* 737411 */     GIR_EraseRootFromParent_Done,
     /* 737412 */   // Label 9708: @737412
     /* 737412 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(737481), // Rule ID 5600 //
     /* 737417 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737425 */     // MIs[0] offset
     /* 737425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737428 */     // MIs[0] auxiliary
     /* 737428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737431 */     // MIs[0] Operand 7
     /* 737431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737449 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v2f64] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 737452 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737461 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737463 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737469 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737479 */     GIR_RootConstrainSelectedInstOperands,
     /* 737480 */     // GIR_Coverage, 5600,
     /* 737480 */     GIR_EraseRootFromParent_Done,
     /* 737481 */   // Label 9709: @737481
     /* 737481 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(737551), // Rule ID 5589 //
     /* 737486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737489 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737493 */     // MIs[0] offset
     /* 737493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737496 */     // MIs[0] auxiliary
     /* 737496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737499 */     // MIs[0] Operand 7
     /* 737499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737517 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 737520 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737522 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 737524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737531 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737533 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737539 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737549 */     GIR_RootConstrainSelectedInstOperands,
     /* 737550 */     // GIR_Coverage, 5589,
     /* 737550 */     GIR_EraseRootFromParent_Done,
     /* 737551 */   // Label 9710: @737551
     /* 737551 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(737618), // Rule ID 5593 //
     /* 737556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737560 */     // MIs[0] offset
     /* 737560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737563 */     // MIs[0] auxiliary
     /* 737563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737566 */     // MIs[0] Operand 7
     /* 737566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737584 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 737587 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737589 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 737591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737598 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737600 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737606 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737616 */     GIR_RootConstrainSelectedInstOperands,
     /* 737617 */     // GIR_Coverage, 5593,
     /* 737617 */     GIR_EraseRootFromParent_Done,
     /* 737618 */   // Label 9711: @737618
     /* 737618 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(737688), // Rule ID 5597 //
     /* 737623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737626 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737630 */     // MIs[0] offset
     /* 737630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737633 */     // MIs[0] auxiliary
     /* 737633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737636 */     // MIs[0] Operand 7
     /* 737636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737654 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 737657 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737659 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 737661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737668 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737670 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737676 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737686 */     GIR_RootConstrainSelectedInstOperands,
     /* 737687 */     // GIR_Coverage, 5597,
     /* 737687 */     GIR_EraseRootFromParent_Done,
     /* 737688 */   // Label 9712: @737688
     /* 737688 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(737755), // Rule ID 5601 //
     /* 737693 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 737697 */     // MIs[0] offset
     /* 737697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737700 */     // MIs[0] auxiliary
     /* 737700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737703 */     // MIs[0] Operand 7
     /* 737703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 737714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737721 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 737724 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737726 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 737728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737735 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737737 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737743 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737753 */     GIR_RootConstrainSelectedInstOperands,
     /* 737754 */     // GIR_Coverage, 5601,
     /* 737754 */     GIR_EraseRootFromParent_Done,
     /* 737755 */   // Label 9713: @737755
     /* 737755 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(737817), // Rule ID 5590 //
     /* 737760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737767 */     // MIs[0] offset
     /* 737767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737770 */     // MIs[0] auxiliary
     /* 737770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737773 */     // MIs[0] Operand 7
     /* 737773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737783 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 737786 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737788 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 737790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737797 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737799 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737805 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737815 */     GIR_RootConstrainSelectedInstOperands,
     /* 737816 */     // GIR_Coverage, 5590,
     /* 737816 */     GIR_EraseRootFromParent_Done,
     /* 737817 */   // Label 9714: @737817
     /* 737817 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(737876), // Rule ID 5594 //
     /* 737822 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737826 */     // MIs[0] offset
     /* 737826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737829 */     // MIs[0] auxiliary
     /* 737829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737832 */     // MIs[0] Operand 7
     /* 737832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737842 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 737845 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737847 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 737849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737856 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737874 */     GIR_RootConstrainSelectedInstOperands,
     /* 737875 */     // GIR_Coverage, 5594,
     /* 737875 */     GIR_EraseRootFromParent_Done,
     /* 737876 */   // Label 9715: @737876
     /* 737876 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(737938), // Rule ID 5598 //
     /* 737881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 737884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737888 */     // MIs[0] offset
     /* 737888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737891 */     // MIs[0] auxiliary
     /* 737891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737894 */     // MIs[0] Operand 7
     /* 737894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737904 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 737907 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737909 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 737911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737918 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737920 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737926 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737936 */     GIR_RootConstrainSelectedInstOperands,
     /* 737937 */     // GIR_Coverage, 5598,
     /* 737937 */     GIR_EraseRootFromParent_Done,
     /* 737938 */   // Label 9716: @737938
     /* 737938 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(737997), // Rule ID 5602 //
     /* 737943 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 737947 */     // MIs[0] offset
     /* 737947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 737950 */     // MIs[0] auxiliary
     /* 737950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 737953 */     // MIs[0] Operand 7
     /* 737953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 737956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 737963 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 737963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 737966 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 737968 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 737970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 737972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 737977 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 737979 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 737985 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 737991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 737995 */     GIR_RootConstrainSelectedInstOperands,
     /* 737996 */     // GIR_Coverage, 5602,
     /* 737996 */     GIR_EraseRootFromParent_Done,
     /* 737997 */   // Label 9717: @737997
     /* 737997 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(738097), // Rule ID 5591 //
     /* 738002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738005 */     // MIs[0] offset
     /* 738005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738008 */     // MIs[0] auxiliary
     /* 738008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738011 */     // MIs[0] Operand 7
     /* 738011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 738014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738021 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 738024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 738028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 738033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 738037 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 738040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 738044 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 738047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 738052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738057 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 738065 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 738070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738077 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738079 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738095 */     GIR_RootConstrainSelectedInstOperands,
     /* 738096 */     // GIR_Coverage, 5591,
     /* 738096 */     GIR_EraseRootFromParent_Done,
     /* 738097 */   // Label 9718: @738097
     /* 738097 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(738194), // Rule ID 5595 //
     /* 738102 */     // MIs[0] offset
     /* 738102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738105 */     // MIs[0] auxiliary
     /* 738105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738108 */     // MIs[0] Operand 7
     /* 738108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 738111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738118 */     // (SIbuffer_store v2i64:{ *:[v2i64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v2i64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 738121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 738125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 738130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 738134 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 738137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 738141 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 738144 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 738149 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738154 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 738162 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 738167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738174 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738176 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738182 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738192 */     GIR_RootConstrainSelectedInstOperands,
     /* 738193 */     // GIR_Coverage, 5595,
     /* 738193 */     GIR_EraseRootFromParent_Done,
     /* 738194 */   // Label 9719: @738194
     /* 738194 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(738294), // Rule ID 5599 //
     /* 738199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738202 */     // MIs[0] offset
     /* 738202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738205 */     // MIs[0] auxiliary
     /* 738205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738208 */     // MIs[0] Operand 7
     /* 738208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 738211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738218 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 738221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 738225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 738230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 738234 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 738237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 738241 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 738244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 738249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 738262 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 738267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738274 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738282 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738292 */     GIR_RootConstrainSelectedInstOperands,
     /* 738293 */     // GIR_Coverage, 5599,
     /* 738293 */     GIR_EraseRootFromParent_Done,
     /* 738294 */   // Label 9720: @738294
     /* 738294 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(738391), // Rule ID 5603 //
     /* 738299 */     // MIs[0] offset
     /* 738299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738302 */     // MIs[0] auxiliary
     /* 738302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738305 */     // MIs[0] Operand 7
     /* 738305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 738308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738315 */     // (SIbuffer_store v2f64:{ *:[v2f64] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v2f64] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 738318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 738322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 738327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 738331 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 738334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 738338 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 738341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 738346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 738356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 738359 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 738364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738371 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738373 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738379 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738389 */     GIR_RootConstrainSelectedInstOperands,
     /* 738390 */     // GIR_Coverage, 5603,
     /* 738390 */     GIR_EraseRootFromParent_Done,
     /* 738391 */   // Label 9721: @738391
     /* 738391 */   GIM_Reject,
     /* 738392 */ // Label 9705: @738392
     /* 738392 */ GIM_Reject,
     /* 738393 */ // Label 9569: @738393
     /* 738393 */ GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(739603),
     /* 738398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 738401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 738404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 738407 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 738410 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(738482), // Rule ID 5556 //
     /* 738415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738418 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 738426 */     // MIs[0] offset
     /* 738426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738429 */     // MIs[0] auxiliary
     /* 738429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738432 */     // MIs[0] Operand 7
     /* 738432 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738450 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFSET_exact),
     /* 738453 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738462 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738464 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738470 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738480 */     GIR_RootConstrainSelectedInstOperands,
     /* 738481 */     // GIR_Coverage, 5556,
     /* 738481 */     GIR_EraseRootFromParent_Done,
     /* 738482 */   // Label 9723: @738482
     /* 738482 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(738551), // Rule ID 5560 //
     /* 738487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738491 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 738495 */     // MIs[0] offset
     /* 738495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738498 */     // MIs[0] auxiliary
     /* 738498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738501 */     // MIs[0] Operand 7
     /* 738501 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738519 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFSET_exact),
     /* 738522 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738531 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738533 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738539 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738549 */     GIR_RootConstrainSelectedInstOperands,
     /* 738550 */     // GIR_Coverage, 5560,
     /* 738550 */     GIR_EraseRootFromParent_Done,
     /* 738551 */   // Label 9724: @738551
     /* 738551 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(738623), // Rule ID 5564 //
     /* 738556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 738567 */     // MIs[0] offset
     /* 738567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738570 */     // MIs[0] auxiliary
     /* 738570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738573 */     // MIs[0] Operand 7
     /* 738573 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738591 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFSET_exact),
     /* 738594 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738603 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738605 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738611 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738621 */     GIR_RootConstrainSelectedInstOperands,
     /* 738622 */     // GIR_Coverage, 5564,
     /* 738622 */     GIR_EraseRootFromParent_Done,
     /* 738623 */   // Label 9725: @738623
     /* 738623 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(738692), // Rule ID 5568 //
     /* 738628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 738636 */     // MIs[0] offset
     /* 738636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738639 */     // MIs[0] auxiliary
     /* 738639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738642 */     // MIs[0] Operand 7
     /* 738642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738660 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFSET_exact),
     /* 738663 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738672 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738674 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738680 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738690 */     GIR_RootConstrainSelectedInstOperands,
     /* 738691 */     // GIR_Coverage, 5568,
     /* 738691 */     GIR_EraseRootFromParent_Done,
     /* 738692 */   // Label 9726: @738692
     /* 738692 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(738762), // Rule ID 5557 //
     /* 738697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738700 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738704 */     // MIs[0] offset
     /* 738704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738707 */     // MIs[0] auxiliary
     /* 738707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738710 */     // MIs[0] Operand 7
     /* 738710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738728 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFEN_exact),
     /* 738731 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738733 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 738735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738742 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738750 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738760 */     GIR_RootConstrainSelectedInstOperands,
     /* 738761 */     // GIR_Coverage, 5557,
     /* 738761 */     GIR_EraseRootFromParent_Done,
     /* 738762 */   // Label 9727: @738762
     /* 738762 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(738829), // Rule ID 5561 //
     /* 738767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738771 */     // MIs[0] offset
     /* 738771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738774 */     // MIs[0] auxiliary
     /* 738774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738777 */     // MIs[0] Operand 7
     /* 738777 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738795 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFEN_exact),
     /* 738798 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738800 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 738802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738809 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738811 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738817 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738823 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738827 */     GIR_RootConstrainSelectedInstOperands,
     /* 738828 */     // GIR_Coverage, 5561,
     /* 738828 */     GIR_EraseRootFromParent_Done,
     /* 738829 */   // Label 9728: @738829
     /* 738829 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(738899), // Rule ID 5565 //
     /* 738834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738837 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738841 */     // MIs[0] offset
     /* 738841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738844 */     // MIs[0] auxiliary
     /* 738844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738847 */     // MIs[0] Operand 7
     /* 738847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738865 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_OFFEN_exact),
     /* 738868 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738870 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 738872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738879 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738881 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738887 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738897 */     GIR_RootConstrainSelectedInstOperands,
     /* 738898 */     // GIR_Coverage, 5565,
     /* 738898 */     GIR_EraseRootFromParent_Done,
     /* 738899 */   // Label 9729: @738899
     /* 738899 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(738966), // Rule ID 5569 //
     /* 738904 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 738908 */     // MIs[0] offset
     /* 738908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738911 */     // MIs[0] auxiliary
     /* 738911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738914 */     // MIs[0] Operand 7
     /* 738914 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 738925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738932 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX3_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_OFFEN_exact),
     /* 738935 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738937 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 738939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 738941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 738946 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 738948 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 738954 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 738960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 738964 */     GIR_RootConstrainSelectedInstOperands,
     /* 738965 */     // GIR_Coverage, 5569,
     /* 738965 */     GIR_EraseRootFromParent_Done,
     /* 738966 */   // Label 9730: @738966
     /* 738966 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(739028), // Rule ID 5558 //
     /* 738971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 738974 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 738978 */     // MIs[0] offset
     /* 738978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 738981 */     // MIs[0] auxiliary
     /* 738981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 738984 */     // MIs[0] Operand 7
     /* 738984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 738987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 738994 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 738994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_IDXEN_exact),
     /* 738997 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 738999 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 739001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739008 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739010 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739016 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739026 */     GIR_RootConstrainSelectedInstOperands,
     /* 739027 */     // GIR_Coverage, 5558,
     /* 739027 */     GIR_EraseRootFromParent_Done,
     /* 739028 */   // Label 9731: @739028
     /* 739028 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(739087), // Rule ID 5562 //
     /* 739033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739037 */     // MIs[0] offset
     /* 739037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739040 */     // MIs[0] auxiliary
     /* 739040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739043 */     // MIs[0] Operand 7
     /* 739043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739053 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_IDXEN_exact),
     /* 739056 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739058 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 739060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739067 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739069 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739075 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739085 */     GIR_RootConstrainSelectedInstOperands,
     /* 739086 */     // GIR_Coverage, 5562,
     /* 739086 */     GIR_EraseRootFromParent_Done,
     /* 739087 */   // Label 9732: @739087
     /* 739087 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(739149), // Rule ID 5566 //
     /* 739092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739095 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739099 */     // MIs[0] offset
     /* 739099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739102 */     // MIs[0] auxiliary
     /* 739102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739105 */     // MIs[0] Operand 7
     /* 739105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739115 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_IDXEN_exact),
     /* 739118 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739120 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 739122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739129 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739131 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739137 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739147 */     GIR_RootConstrainSelectedInstOperands,
     /* 739148 */     // GIR_Coverage, 5566,
     /* 739148 */     GIR_EraseRootFromParent_Done,
     /* 739149 */   // Label 9733: @739149
     /* 739149 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(739208), // Rule ID 5570 //
     /* 739154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739158 */     // MIs[0] offset
     /* 739158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739161 */     // MIs[0] auxiliary
     /* 739161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739164 */     // MIs[0] Operand 7
     /* 739164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739174 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_IDXEN_exact),
     /* 739177 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739179 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 739181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739188 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739190 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739196 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739206 */     GIR_RootConstrainSelectedInstOperands,
     /* 739207 */     // GIR_Coverage, 5570,
     /* 739207 */     GIR_EraseRootFromParent_Done,
     /* 739208 */   // Label 9734: @739208
     /* 739208 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(739308), // Rule ID 5559 //
     /* 739213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739216 */     // MIs[0] offset
     /* 739216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739219 */     // MIs[0] auxiliary
     /* 739219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739222 */     // MIs[0] Operand 7
     /* 739222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739232 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 739235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 739239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 739244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 739248 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 739251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 739255 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 739258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 739263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739268 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_BOTHEN_exact),
     /* 739276 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 739281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739288 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739306 */     GIR_RootConstrainSelectedInstOperands,
     /* 739307 */     // GIR_Coverage, 5559,
     /* 739307 */     GIR_EraseRootFromParent_Done,
     /* 739308 */   // Label 9735: @739308
     /* 739308 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(739405), // Rule ID 5563 //
     /* 739313 */     // MIs[0] offset
     /* 739313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739316 */     // MIs[0] auxiliary
     /* 739316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739319 */     // MIs[0] Operand 7
     /* 739319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739329 */     // (SIbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 739332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 739336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 739341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 739345 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 739348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 739352 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 739355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 739360 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739365 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_BOTHEN_exact),
     /* 739373 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 739378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739385 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739387 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739393 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739403 */     GIR_RootConstrainSelectedInstOperands,
     /* 739404 */     // GIR_Coverage, 5563,
     /* 739404 */     GIR_EraseRootFromParent_Done,
     /* 739405 */   // Label 9736: @739405
     /* 739405 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(739505), // Rule ID 5567 //
     /* 739410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739413 */     // MIs[0] offset
     /* 739413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739416 */     // MIs[0] auxiliary
     /* 739416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739419 */     // MIs[0] Operand 7
     /* 739419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739429 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 739432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 739436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 739441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 739445 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 739448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 739452 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 739455 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 739460 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739465 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_BOTHEN_exact),
     /* 739473 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 739478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739485 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739503 */     GIR_RootConstrainSelectedInstOperands,
     /* 739504 */     // GIR_Coverage, 5567,
     /* 739504 */     GIR_EraseRootFromParent_Done,
     /* 739505 */   // Label 9737: @739505
     /* 739505 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(739602), // Rule ID 5571 //
     /* 739510 */     // MIs[0] offset
     /* 739510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739513 */     // MIs[0] auxiliary
     /* 739513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739516 */     // MIs[0] Operand 7
     /* 739516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 739519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739526 */     // (SIbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX3_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 739529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 739533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 739538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 739542 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 739545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 739549 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 739552 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 739557 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739562 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 739567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX3_VBUFFER_BOTHEN_exact),
     /* 739570 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 739575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739582 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739584 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739600 */     GIR_RootConstrainSelectedInstOperands,
     /* 739601 */     // GIR_Coverage, 5571,
     /* 739601 */     GIR_EraseRootFromParent_Done,
     /* 739602 */   // Label 9738: @739602
     /* 739602 */   GIM_Reject,
     /* 739603 */ // Label 9722: @739603
     /* 739603 */ GIM_Reject,
     /* 739604 */ // Label 9570: @739604
     /* 739604 */ GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(740814),
     /* 739609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 739612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 739615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 739618 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 739621 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(739693), // Rule ID 5516 //
     /* 739626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739629 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739637 */     // MIs[0] offset
     /* 739637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739640 */     // MIs[0] auxiliary
     /* 739640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739643 */     // MIs[0] Operand 7
     /* 739643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739661 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 739664 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739673 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739675 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739681 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739691 */     GIR_RootConstrainSelectedInstOperands,
     /* 739692 */     // GIR_Coverage, 5516,
     /* 739692 */     GIR_EraseRootFromParent_Done,
     /* 739693 */   // Label 9740: @739693
     /* 739693 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(739762), // Rule ID 5520 //
     /* 739698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739706 */     // MIs[0] offset
     /* 739706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739709 */     // MIs[0] auxiliary
     /* 739709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739712 */     // MIs[0] Operand 7
     /* 739712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739730 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 739733 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739742 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739750 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739760 */     GIR_RootConstrainSelectedInstOperands,
     /* 739761 */     // GIR_Coverage, 5520,
     /* 739761 */     GIR_EraseRootFromParent_Done,
     /* 739762 */   // Label 9741: @739762
     /* 739762 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(739834), // Rule ID 5524 //
     /* 739767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739778 */     // MIs[0] offset
     /* 739778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739781 */     // MIs[0] auxiliary
     /* 739781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739784 */     // MIs[0] Operand 7
     /* 739784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739802 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFSET_exact),
     /* 739805 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739814 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739816 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739822 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739832 */     GIR_RootConstrainSelectedInstOperands,
     /* 739833 */     // GIR_Coverage, 5524,
     /* 739833 */     GIR_EraseRootFromParent_Done,
     /* 739834 */   // Label 9742: @739834
     /* 739834 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(739903), // Rule ID 5528 //
     /* 739839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739843 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 739847 */     // MIs[0] offset
     /* 739847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739850 */     // MIs[0] auxiliary
     /* 739850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739853 */     // MIs[0] Operand 7
     /* 739853 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739871 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFSET_exact),
     /* 739874 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739883 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739901 */     GIR_RootConstrainSelectedInstOperands,
     /* 739902 */     // GIR_Coverage, 5528,
     /* 739902 */     GIR_EraseRootFromParent_Done,
     /* 739903 */   // Label 9743: @739903
     /* 739903 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(739973), // Rule ID 5517 //
     /* 739908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 739911 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739915 */     // MIs[0] offset
     /* 739915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739918 */     // MIs[0] auxiliary
     /* 739918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739921 */     // MIs[0] Operand 7
     /* 739921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 739939 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 739939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 739942 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 739944 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 739946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 739948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 739953 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 739955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 739961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 739967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 739971 */     GIR_RootConstrainSelectedInstOperands,
     /* 739972 */     // GIR_Coverage, 5517,
     /* 739972 */     GIR_EraseRootFromParent_Done,
     /* 739973 */   // Label 9744: @739973
     /* 739973 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(740040), // Rule ID 5521 //
     /* 739978 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 739982 */     // MIs[0] offset
     /* 739982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 739985 */     // MIs[0] auxiliary
     /* 739985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 739988 */     // MIs[0] Operand 7
     /* 739988 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 739999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740006 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 740009 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740011 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 740013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740020 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740022 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740028 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740038 */     GIR_RootConstrainSelectedInstOperands,
     /* 740039 */     // GIR_Coverage, 5521,
     /* 740039 */     GIR_EraseRootFromParent_Done,
     /* 740040 */   // Label 9745: @740040
     /* 740040 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(740110), // Rule ID 5525 //
     /* 740045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 740052 */     // MIs[0] offset
     /* 740052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740055 */     // MIs[0] auxiliary
     /* 740055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740058 */     // MIs[0] Operand 7
     /* 740058 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 740069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740076 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_OFFEN_exact),
     /* 740079 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740081 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 740083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740090 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740092 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740098 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740108 */     GIR_RootConstrainSelectedInstOperands,
     /* 740109 */     // GIR_Coverage, 5525,
     /* 740109 */     GIR_EraseRootFromParent_Done,
     /* 740110 */   // Label 9746: @740110
     /* 740110 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(740177), // Rule ID 5529 //
     /* 740115 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 740119 */     // MIs[0] offset
     /* 740119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740122 */     // MIs[0] auxiliary
     /* 740122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740125 */     // MIs[0] Operand 7
     /* 740125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 740136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740143 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_OFFEN_exact),
     /* 740146 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740148 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 740150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740157 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740159 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740165 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740175 */     GIR_RootConstrainSelectedInstOperands,
     /* 740176 */     // GIR_Coverage, 5529,
     /* 740176 */     GIR_EraseRootFromParent_Done,
     /* 740177 */   // Label 9747: @740177
     /* 740177 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(740239), // Rule ID 5518 //
     /* 740182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740185 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740189 */     // MIs[0] offset
     /* 740189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740192 */     // MIs[0] auxiliary
     /* 740192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740195 */     // MIs[0] Operand 7
     /* 740195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740205 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 740208 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740210 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 740212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740219 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740221 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740227 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740237 */     GIR_RootConstrainSelectedInstOperands,
     /* 740238 */     // GIR_Coverage, 5518,
     /* 740238 */     GIR_EraseRootFromParent_Done,
     /* 740239 */   // Label 9748: @740239
     /* 740239 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(740298), // Rule ID 5522 //
     /* 740244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740248 */     // MIs[0] offset
     /* 740248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740251 */     // MIs[0] auxiliary
     /* 740251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740254 */     // MIs[0] Operand 7
     /* 740254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740264 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 740267 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740269 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 740271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740278 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740280 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740286 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740296 */     GIR_RootConstrainSelectedInstOperands,
     /* 740297 */     // GIR_Coverage, 5522,
     /* 740297 */     GIR_EraseRootFromParent_Done,
     /* 740298 */   // Label 9749: @740298
     /* 740298 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(740360), // Rule ID 5526 //
     /* 740303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740310 */     // MIs[0] offset
     /* 740310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740313 */     // MIs[0] auxiliary
     /* 740313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740316 */     // MIs[0] Operand 7
     /* 740316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740326 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_IDXEN_exact),
     /* 740329 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740331 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 740333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740340 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740342 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740358 */     GIR_RootConstrainSelectedInstOperands,
     /* 740359 */     // GIR_Coverage, 5526,
     /* 740359 */     GIR_EraseRootFromParent_Done,
     /* 740360 */   // Label 9750: @740360
     /* 740360 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(740419), // Rule ID 5530 //
     /* 740365 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740369 */     // MIs[0] offset
     /* 740369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740372 */     // MIs[0] auxiliary
     /* 740372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740375 */     // MIs[0] Operand 7
     /* 740375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740385 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_IDXEN_exact),
     /* 740388 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740390 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 740392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740399 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740401 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740407 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740417 */     GIR_RootConstrainSelectedInstOperands,
     /* 740418 */     // GIR_Coverage, 5530,
     /* 740418 */     GIR_EraseRootFromParent_Done,
     /* 740419 */   // Label 9751: @740419
     /* 740419 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(740519), // Rule ID 5519 //
     /* 740424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740427 */     // MIs[0] offset
     /* 740427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740430 */     // MIs[0] auxiliary
     /* 740430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740433 */     // MIs[0] Operand 7
     /* 740433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740443 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 740446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 740450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 740455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 740459 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 740462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 740466 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 740469 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 740474 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740479 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 740487 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 740492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740499 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740501 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740507 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740517 */     GIR_RootConstrainSelectedInstOperands,
     /* 740518 */     // GIR_Coverage, 5519,
     /* 740518 */     GIR_EraseRootFromParent_Done,
     /* 740519 */   // Label 9752: @740519
     /* 740519 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(740616), // Rule ID 5523 //
     /* 740524 */     // MIs[0] offset
     /* 740524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740527 */     // MIs[0] auxiliary
     /* 740527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740530 */     // MIs[0] Operand 7
     /* 740530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740540 */     // (SIbuffer_store v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 740543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 740547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 740552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 740556 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 740559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 740563 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 740566 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 740571 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740576 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 740584 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 740589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740596 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740598 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740614 */     GIR_RootConstrainSelectedInstOperands,
     /* 740615 */     // GIR_Coverage, 5523,
     /* 740615 */     GIR_EraseRootFromParent_Done,
     /* 740616 */   // Label 9753: @740616
     /* 740616 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(740716), // Rule ID 5527 //
     /* 740621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740624 */     // MIs[0] offset
     /* 740624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740627 */     // MIs[0] auxiliary
     /* 740627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740630 */     // MIs[0] Operand 7
     /* 740630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740640 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 740643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 740647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 740652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 740656 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 740659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 740663 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 740666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 740671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_BOTHEN_exact),
     /* 740684 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 740689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740696 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740698 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740704 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740714 */     GIR_RootConstrainSelectedInstOperands,
     /* 740715 */     // GIR_Coverage, 5527,
     /* 740715 */     GIR_EraseRootFromParent_Done,
     /* 740716 */   // Label 9754: @740716
     /* 740716 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(740813), // Rule ID 5531 //
     /* 740721 */     // MIs[0] offset
     /* 740721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740724 */     // MIs[0] auxiliary
     /* 740724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740727 */     // MIs[0] Operand 7
     /* 740727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 740730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740737 */     // (SIbuffer_store v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 740740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 740744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 740749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 740753 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 740756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 740760 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 740763 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 740768 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740773 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 740778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX2_VBUFFER_BOTHEN_exact),
     /* 740781 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 740786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740793 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740795 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740801 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740811 */     GIR_RootConstrainSelectedInstOperands,
     /* 740812 */     // GIR_Coverage, 5531,
     /* 740812 */     GIR_EraseRootFromParent_Done,
     /* 740813 */   // Label 9755: @740813
     /* 740813 */   GIM_Reject,
     /* 740814 */ // Label 9739: @740814
     /* 740814 */ GIM_Reject,
     /* 740815 */ // Label 9571: @740815
     /* 740815 */ GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(742025),
     /* 740820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 740823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 740826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 740829 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 740832 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(740904), // Rule ID 5572 //
     /* 740837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740840 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 740844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740848 */     // MIs[0] offset
     /* 740848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740851 */     // MIs[0] auxiliary
     /* 740851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740854 */     // MIs[0] Operand 7
     /* 740854 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 740865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740872 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 740875 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740884 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740886 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740892 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740902 */     GIR_RootConstrainSelectedInstOperands,
     /* 740903 */     // GIR_Coverage, 5572,
     /* 740903 */     GIR_EraseRootFromParent_Done,
     /* 740904 */   // Label 9757: @740904
     /* 740904 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(740973), // Rule ID 5576 //
     /* 740909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 740913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740917 */     // MIs[0] offset
     /* 740917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740920 */     // MIs[0] auxiliary
     /* 740920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740923 */     // MIs[0] Operand 7
     /* 740923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 740934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 740941 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 740941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 740944 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 740946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 740948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 740953 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 740955 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 740961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 740967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 740971 */     GIR_RootConstrainSelectedInstOperands,
     /* 740972 */     // GIR_Coverage, 5576,
     /* 740972 */     GIR_EraseRootFromParent_Done,
     /* 740973 */   // Label 9758: @740973
     /* 740973 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(741045), // Rule ID 5580 //
     /* 740978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 740981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 740985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 740989 */     // MIs[0] offset
     /* 740989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 740992 */     // MIs[0] auxiliary
     /* 740992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 740995 */     // MIs[0] Operand 7
     /* 740995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741013 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 741016 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741025 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741033 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741043 */     GIR_RootConstrainSelectedInstOperands,
     /* 741044 */     // GIR_Coverage, 5580,
     /* 741044 */     GIR_EraseRootFromParent_Done,
     /* 741045 */   // Label 9759: @741045
     /* 741045 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(741114), // Rule ID 5584 //
     /* 741050 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 741054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 741058 */     // MIs[0] offset
     /* 741058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741061 */     // MIs[0] auxiliary
     /* 741061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741064 */     // MIs[0] Operand 7
     /* 741064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741082 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 741085 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741094 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741096 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741112 */     GIR_RootConstrainSelectedInstOperands,
     /* 741113 */     // GIR_Coverage, 5584,
     /* 741113 */     GIR_EraseRootFromParent_Done,
     /* 741114 */   // Label 9760: @741114
     /* 741114 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(741184), // Rule ID 5573 //
     /* 741119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 741126 */     // MIs[0] offset
     /* 741126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741129 */     // MIs[0] auxiliary
     /* 741129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741132 */     // MIs[0] Operand 7
     /* 741132 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741150 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 741153 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741155 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 741157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741164 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741172 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741182 */     GIR_RootConstrainSelectedInstOperands,
     /* 741183 */     // GIR_Coverage, 5573,
     /* 741183 */     GIR_EraseRootFromParent_Done,
     /* 741184 */   // Label 9761: @741184
     /* 741184 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(741251), // Rule ID 5577 //
     /* 741189 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 741193 */     // MIs[0] offset
     /* 741193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741196 */     // MIs[0] auxiliary
     /* 741196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741199 */     // MIs[0] Operand 7
     /* 741199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741217 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 741220 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741222 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 741224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741231 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741233 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741239 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741249 */     GIR_RootConstrainSelectedInstOperands,
     /* 741250 */     // GIR_Coverage, 5577,
     /* 741250 */     GIR_EraseRootFromParent_Done,
     /* 741251 */   // Label 9762: @741251
     /* 741251 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(741321), // Rule ID 5581 //
     /* 741256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741259 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 741263 */     // MIs[0] offset
     /* 741263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741266 */     // MIs[0] auxiliary
     /* 741266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741269 */     // MIs[0] Operand 7
     /* 741269 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741287 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 741290 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741292 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 741294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741301 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741309 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741319 */     GIR_RootConstrainSelectedInstOperands,
     /* 741320 */     // GIR_Coverage, 5581,
     /* 741320 */     GIR_EraseRootFromParent_Done,
     /* 741321 */   // Label 9763: @741321
     /* 741321 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(741388), // Rule ID 5585 //
     /* 741326 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 741330 */     // MIs[0] offset
     /* 741330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741333 */     // MIs[0] auxiliary
     /* 741333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741336 */     // MIs[0] Operand 7
     /* 741336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 741347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741354 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 741357 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741359 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 741361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741368 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741376 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741386 */     GIR_RootConstrainSelectedInstOperands,
     /* 741387 */     // GIR_Coverage, 5585,
     /* 741387 */     GIR_EraseRootFromParent_Done,
     /* 741388 */   // Label 9764: @741388
     /* 741388 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(741450), // Rule ID 5574 //
     /* 741393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 741400 */     // MIs[0] offset
     /* 741400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741403 */     // MIs[0] auxiliary
     /* 741403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741406 */     // MIs[0] Operand 7
     /* 741406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741416 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 741419 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741421 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 741423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741430 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741432 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741438 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741448 */     GIR_RootConstrainSelectedInstOperands,
     /* 741449 */     // GIR_Coverage, 5574,
     /* 741449 */     GIR_EraseRootFromParent_Done,
     /* 741450 */   // Label 9765: @741450
     /* 741450 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(741509), // Rule ID 5578 //
     /* 741455 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 741459 */     // MIs[0] offset
     /* 741459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741462 */     // MIs[0] auxiliary
     /* 741462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741465 */     // MIs[0] Operand 7
     /* 741465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741475 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 741478 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741480 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 741482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741489 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741497 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741507 */     GIR_RootConstrainSelectedInstOperands,
     /* 741508 */     // GIR_Coverage, 5578,
     /* 741508 */     GIR_EraseRootFromParent_Done,
     /* 741509 */   // Label 9766: @741509
     /* 741509 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(741571), // Rule ID 5582 //
     /* 741514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 741521 */     // MIs[0] offset
     /* 741521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741524 */     // MIs[0] auxiliary
     /* 741524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741527 */     // MIs[0] Operand 7
     /* 741527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741537 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 741540 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741542 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 741544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741551 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741553 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741559 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741569 */     GIR_RootConstrainSelectedInstOperands,
     /* 741570 */     // GIR_Coverage, 5582,
     /* 741570 */     GIR_EraseRootFromParent_Done,
     /* 741571 */   // Label 9767: @741571
     /* 741571 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(741630), // Rule ID 5586 //
     /* 741576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 741580 */     // MIs[0] offset
     /* 741580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741583 */     // MIs[0] auxiliary
     /* 741583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741586 */     // MIs[0] Operand 7
     /* 741586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741596 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 741599 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741601 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 741603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741610 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741612 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741618 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741628 */     GIR_RootConstrainSelectedInstOperands,
     /* 741629 */     // GIR_Coverage, 5586,
     /* 741629 */     GIR_EraseRootFromParent_Done,
     /* 741630 */   // Label 9768: @741630
     /* 741630 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(741730), // Rule ID 5575 //
     /* 741635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741638 */     // MIs[0] offset
     /* 741638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741641 */     // MIs[0] auxiliary
     /* 741641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741644 */     // MIs[0] Operand 7
     /* 741644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741654 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 741657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 741661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 741666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 741670 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 741673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 741677 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 741680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 741685 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 741698 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 741703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741710 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741712 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741718 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741728 */     GIR_RootConstrainSelectedInstOperands,
     /* 741729 */     // GIR_Coverage, 5575,
     /* 741729 */     GIR_EraseRootFromParent_Done,
     /* 741730 */   // Label 9769: @741730
     /* 741730 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(741827), // Rule ID 5579 //
     /* 741735 */     // MIs[0] offset
     /* 741735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741738 */     // MIs[0] auxiliary
     /* 741738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741741 */     // MIs[0] Operand 7
     /* 741741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741751 */     // (SIbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 741754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 741758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 741763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 741767 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 741770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 741774 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 741777 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 741782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 741795 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 741800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741807 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741809 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741815 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741825 */     GIR_RootConstrainSelectedInstOperands,
     /* 741826 */     // GIR_Coverage, 5579,
     /* 741826 */     GIR_EraseRootFromParent_Done,
     /* 741827 */   // Label 9770: @741827
     /* 741827 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(741927), // Rule ID 5583 //
     /* 741832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 741835 */     // MIs[0] offset
     /* 741835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741838 */     // MIs[0] auxiliary
     /* 741838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741841 */     // MIs[0] Operand 7
     /* 741841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741851 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 741854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 741858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 741863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 741867 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 741870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 741874 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 741877 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 741882 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741887 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 741895 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 741900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 741907 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 741909 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 741915 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 741921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 741925 */     GIR_RootConstrainSelectedInstOperands,
     /* 741926 */     // GIR_Coverage, 5583,
     /* 741926 */     GIR_EraseRootFromParent_Done,
     /* 741927 */   // Label 9771: @741927
     /* 741927 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(742024), // Rule ID 5587 //
     /* 741932 */     // MIs[0] offset
     /* 741932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 741935 */     // MIs[0] auxiliary
     /* 741935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 741938 */     // MIs[0] Operand 7
     /* 741938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 741941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 741948 */     // (SIbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 741948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 741951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 741955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 741960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 741964 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 741967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 741971 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 741974 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 741979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 741989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 741992 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 741994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 741997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 741999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742004 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742006 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742012 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742022 */     GIR_RootConstrainSelectedInstOperands,
     /* 742023 */     // GIR_Coverage, 5587,
     /* 742023 */     GIR_EraseRootFromParent_Done,
     /* 742024 */   // Label 9772: @742024
     /* 742024 */   GIM_Reject,
     /* 742025 */ // Label 9756: @742025
     /* 742025 */ GIM_Reject,
     /* 742026 */ // Label 9572: @742026
     /* 742026 */ GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(743236),
     /* 742031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 742034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 742037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 742040 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 742043 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(742115), // Rule ID 5604 //
     /* 742048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742051 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742059 */     // MIs[0] offset
     /* 742059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742062 */     // MIs[0] auxiliary
     /* 742062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742065 */     // MIs[0] Operand 7
     /* 742065 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742083 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v8i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 742086 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742095 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742097 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742103 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742113 */     GIR_RootConstrainSelectedInstOperands,
     /* 742114 */     // GIR_Coverage, 5604,
     /* 742114 */     GIR_EraseRootFromParent_Done,
     /* 742115 */   // Label 9774: @742115
     /* 742115 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(742184), // Rule ID 5608 //
     /* 742120 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742124 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742128 */     // MIs[0] offset
     /* 742128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742131 */     // MIs[0] auxiliary
     /* 742131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742134 */     // MIs[0] Operand 7
     /* 742134 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742152 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v8i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 742155 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742164 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742172 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742182 */     GIR_RootConstrainSelectedInstOperands,
     /* 742183 */     // GIR_Coverage, 5608,
     /* 742183 */     GIR_EraseRootFromParent_Done,
     /* 742184 */   // Label 9775: @742184
     /* 742184 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(742256), // Rule ID 5612 //
     /* 742189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742200 */     // MIs[0] offset
     /* 742200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742203 */     // MIs[0] auxiliary
     /* 742203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742206 */     // MIs[0] Operand 7
     /* 742206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742224 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFSET_exact anonymous_9772:{ *:[v8f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFSET_exact),
     /* 742227 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742236 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742254 */     GIR_RootConstrainSelectedInstOperands,
     /* 742255 */     // GIR_Coverage, 5612,
     /* 742255 */     GIR_EraseRootFromParent_Done,
     /* 742256 */   // Label 9776: @742256
     /* 742256 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(742325), // Rule ID 5616 //
     /* 742261 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742265 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742269 */     // MIs[0] offset
     /* 742269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742272 */     // MIs[0] auxiliary
     /* 742272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742275 */     // MIs[0] Operand 7
     /* 742275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742293 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v8f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFSET_exact),
     /* 742296 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742305 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742307 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742313 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742323 */     GIR_RootConstrainSelectedInstOperands,
     /* 742324 */     // GIR_Coverage, 5616,
     /* 742324 */     GIR_EraseRootFromParent_Done,
     /* 742325 */   // Label 9777: @742325
     /* 742325 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(742395), // Rule ID 5605 //
     /* 742330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742333 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742337 */     // MIs[0] offset
     /* 742337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742340 */     // MIs[0] auxiliary
     /* 742340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742343 */     // MIs[0] Operand 7
     /* 742343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742361 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 742364 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742366 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 742368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742375 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742377 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742383 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742393 */     GIR_RootConstrainSelectedInstOperands,
     /* 742394 */     // GIR_Coverage, 5605,
     /* 742394 */     GIR_EraseRootFromParent_Done,
     /* 742395 */   // Label 9778: @742395
     /* 742395 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(742462), // Rule ID 5609 //
     /* 742400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742404 */     // MIs[0] offset
     /* 742404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742407 */     // MIs[0] auxiliary
     /* 742407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742410 */     // MIs[0] Operand 7
     /* 742410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742428 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 742431 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742433 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 742435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742442 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742444 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742460 */     GIR_RootConstrainSelectedInstOperands,
     /* 742461 */     // GIR_Coverage, 5609,
     /* 742461 */     GIR_EraseRootFromParent_Done,
     /* 742462 */   // Label 9779: @742462
     /* 742462 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(742532), // Rule ID 5613 //
     /* 742467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742470 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742474 */     // MIs[0] offset
     /* 742474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742477 */     // MIs[0] auxiliary
     /* 742477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742480 */     // MIs[0] Operand 7
     /* 742480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742498 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_OFFEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_OFFEN_exact),
     /* 742501 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742503 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 742505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742512 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742514 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742530 */     GIR_RootConstrainSelectedInstOperands,
     /* 742531 */     // GIR_Coverage, 5613,
     /* 742531 */     GIR_EraseRootFromParent_Done,
     /* 742532 */   // Label 9780: @742532
     /* 742532 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(742599), // Rule ID 5617 //
     /* 742537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 742541 */     // MIs[0] offset
     /* 742541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742544 */     // MIs[0] auxiliary
     /* 742544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742547 */     // MIs[0] Operand 7
     /* 742547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 742558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742565 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_OFFEN_exact),
     /* 742568 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742570 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 742572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742579 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742581 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742587 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742597 */     GIR_RootConstrainSelectedInstOperands,
     /* 742598 */     // GIR_Coverage, 5617,
     /* 742598 */     GIR_EraseRootFromParent_Done,
     /* 742599 */   // Label 9781: @742599
     /* 742599 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(742661), // Rule ID 5606 //
     /* 742604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742611 */     // MIs[0] offset
     /* 742611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742614 */     // MIs[0] auxiliary
     /* 742614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742617 */     // MIs[0] Operand 7
     /* 742617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742627 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 742630 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742632 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 742634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742641 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742649 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742659 */     GIR_RootConstrainSelectedInstOperands,
     /* 742660 */     // GIR_Coverage, 5606,
     /* 742660 */     GIR_EraseRootFromParent_Done,
     /* 742661 */   // Label 9782: @742661
     /* 742661 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(742720), // Rule ID 5610 //
     /* 742666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742670 */     // MIs[0] offset
     /* 742670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742673 */     // MIs[0] auxiliary
     /* 742673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742676 */     // MIs[0] Operand 7
     /* 742676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742686 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 742689 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742691 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 742693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742700 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742718 */     GIR_RootConstrainSelectedInstOperands,
     /* 742719 */     // GIR_Coverage, 5610,
     /* 742719 */     GIR_EraseRootFromParent_Done,
     /* 742720 */   // Label 9783: @742720
     /* 742720 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(742782), // Rule ID 5614 //
     /* 742725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742728 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742732 */     // MIs[0] offset
     /* 742732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742735 */     // MIs[0] auxiliary
     /* 742735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742738 */     // MIs[0] Operand 7
     /* 742738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742748 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_IDXEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_IDXEN_exact),
     /* 742751 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742753 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 742755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742762 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742764 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742780 */     GIR_RootConstrainSelectedInstOperands,
     /* 742781 */     // GIR_Coverage, 5614,
     /* 742781 */     GIR_EraseRootFromParent_Done,
     /* 742782 */   // Label 9784: @742782
     /* 742782 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(742841), // Rule ID 5618 //
     /* 742787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 742791 */     // MIs[0] offset
     /* 742791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742794 */     // MIs[0] auxiliary
     /* 742794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742797 */     // MIs[0] Operand 7
     /* 742797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742807 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_IDXEN_exact),
     /* 742810 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742812 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 742814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742821 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742823 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742829 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742839 */     GIR_RootConstrainSelectedInstOperands,
     /* 742840 */     // GIR_Coverage, 5618,
     /* 742840 */     GIR_EraseRootFromParent_Done,
     /* 742841 */   // Label 9785: @742841
     /* 742841 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(742941), // Rule ID 5607 //
     /* 742846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 742849 */     // MIs[0] offset
     /* 742849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742852 */     // MIs[0] auxiliary
     /* 742852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742855 */     // MIs[0] Operand 7
     /* 742855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742865 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 742868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 742872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 742877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 742881 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 742884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 742888 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 742891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 742896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 742901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 742906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 742909 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 742911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 742914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 742916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 742921 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 742923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 742929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 742935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 742939 */     GIR_RootConstrainSelectedInstOperands,
     /* 742940 */     // GIR_Coverage, 5607,
     /* 742940 */     GIR_EraseRootFromParent_Done,
     /* 742941 */   // Label 9786: @742941
     /* 742941 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(743038), // Rule ID 5611 //
     /* 742946 */     // MIs[0] offset
     /* 742946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 742949 */     // MIs[0] auxiliary
     /* 742949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 742952 */     // MIs[0] Operand 7
     /* 742952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 742955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 742962 */     // (SIbuffer_store v8i16:{ *:[v8i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v8i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 742962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 742965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 742969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 742974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 742978 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 742981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 742985 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 742988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 742993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 742998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 743006 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 743011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743018 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743036 */     GIR_RootConstrainSelectedInstOperands,
     /* 743037 */     // GIR_Coverage, 5611,
     /* 743037 */     GIR_EraseRootFromParent_Done,
     /* 743038 */   // Label 9787: @743038
     /* 743038 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(743138), // Rule ID 5615 //
     /* 743043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743046 */     // MIs[0] offset
     /* 743046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743049 */     // MIs[0] auxiliary
     /* 743049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743052 */     // MIs[0] Operand 7
     /* 743052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 743055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743062 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_BOTHEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 743065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 743069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 743074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 743078 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 743081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 743085 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 743088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 743093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_BOTHEN_exact),
     /* 743106 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 743111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743118 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743126 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743136 */     GIR_RootConstrainSelectedInstOperands,
     /* 743137 */     // GIR_Coverage, 5615,
     /* 743137 */     GIR_EraseRootFromParent_Done,
     /* 743138 */   // Label 9788: @743138
     /* 743138 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(743235), // Rule ID 5619 //
     /* 743143 */     // MIs[0] offset
     /* 743143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743146 */     // MIs[0] auxiliary
     /* 743146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743149 */     // MIs[0] Operand 7
     /* 743149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 743152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743159 */     // (SIbuffer_store v8f16:{ *:[v8f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v8f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 743162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 743166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 743171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 743175 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 743178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 743182 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 743185 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 743190 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743195 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_DWORDX4_VBUFFER_BOTHEN_exact),
     /* 743203 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 743208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743215 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743217 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743223 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743233 */     GIR_RootConstrainSelectedInstOperands,
     /* 743234 */     // GIR_Coverage, 5619,
     /* 743234 */     GIR_EraseRootFromParent_Done,
     /* 743235 */   // Label 9789: @743235
     /* 743235 */   GIM_Reject,
     /* 743236 */ // Label 9773: @743236
     /* 743236 */ GIM_Reject,
     /* 743237 */ // Label 9573: @743237
     /* 743237 */ GIM_Reject,
     /* 743238 */ // Label 141: @743238
     /* 743238 */ GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(743839),
     /* 743243 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 743246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 743249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 743252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 743255 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 743258 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(743530),
     /* 743263 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 743267 */     GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(743335), // Rule ID 5620 //
     /* 743272 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743275 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 743279 */       // MIs[0] offset
     /* 743279 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743282 */       // MIs[0] auxiliary
     /* 743282 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743285 */       // MIs[0] Operand 7
     /* 743285 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 743296 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743303 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_BYTE_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743303 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFSET_exact),
     /* 743306 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743308 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743310 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743315 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743317 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743323 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743329 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743333 */       GIR_RootConstrainSelectedInstOperands,
     /* 743334 */       // GIR_Coverage, 5620,
     /* 743334 */       GIR_EraseRootFromParent_Done,
     /* 743335 */     // Label 9792: @743335
     /* 743335 */     GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(743400), // Rule ID 5624 //
     /* 743340 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 743344 */       // MIs[0] offset
     /* 743344 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743347 */       // MIs[0] auxiliary
     /* 743347 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743350 */       // MIs[0] Operand 7
     /* 743350 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 743361 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743368 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743368 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFSET_exact),
     /* 743371 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743373 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743375 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743380 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743382 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743388 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743394 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743398 */       GIR_RootConstrainSelectedInstOperands,
     /* 743399 */       // GIR_Coverage, 5624,
     /* 743399 */       GIR_EraseRootFromParent_Done,
     /* 743400 */     // Label 9793: @743400
     /* 743400 */     GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(743466), // Rule ID 5621 //
     /* 743405 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743408 */       // MIs[0] offset
     /* 743408 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743411 */       // MIs[0] auxiliary
     /* 743411 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743414 */       // MIs[0] Operand 7
     /* 743414 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 743425 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743432 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_BYTE_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743432 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_OFFEN_exact),
     /* 743435 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743437 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 743439 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743441 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743446 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743448 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743454 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743460 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743464 */       GIR_RootConstrainSelectedInstOperands,
     /* 743465 */       // GIR_Coverage, 5621,
     /* 743465 */       GIR_EraseRootFromParent_Done,
     /* 743466 */     // Label 9794: @743466
     /* 743466 */     GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(743529), // Rule ID 5625 //
     /* 743471 */       // MIs[0] offset
     /* 743471 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743474 */       // MIs[0] auxiliary
     /* 743474 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743477 */       // MIs[0] Operand 7
     /* 743477 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 743488 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743495 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_BYTE_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743495 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_OFFEN_exact),
     /* 743498 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743500 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 743502 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743504 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743509 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743511 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743517 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743523 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743527 */       GIR_RootConstrainSelectedInstOperands,
     /* 743528 */       // GIR_Coverage, 5625,
     /* 743528 */       GIR_EraseRootFromParent_Done,
     /* 743529 */     // Label 9795: @743529
     /* 743529 */     GIM_Reject,
     /* 743530 */   // Label 9791: @743530
     /* 743530 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(743644),
     /* 743535 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 743539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 743548 */     GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(743597), // Rule ID 5622 //
     /* 743553 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743556 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743563 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_BYTE_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743563 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_IDXEN_exact),
     /* 743566 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743568 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 743570 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743572 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743577 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743579 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743585 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743591 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743595 */       GIR_RootConstrainSelectedInstOperands,
     /* 743596 */       // GIR_Coverage, 5622,
     /* 743596 */       GIR_EraseRootFromParent_Done,
     /* 743597 */     // Label 9797: @743597
     /* 743597 */     GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(743643), // Rule ID 5626 //
     /* 743602 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743609 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_BYTE_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743609 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_IDXEN_exact),
     /* 743612 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743614 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 743616 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743618 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743623 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743625 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743631 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743637 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743641 */       GIR_RootConstrainSelectedInstOperands,
     /* 743642 */       // GIR_Coverage, 5626,
     /* 743642 */       GIR_EraseRootFromParent_Done,
     /* 743643 */     // Label 9798: @743643
     /* 743643 */     GIM_Reject,
     /* 743644 */   // Label 9796: @743644
     /* 743644 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(743838),
     /* 743649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 743658 */     GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(743749), // Rule ID 5623 //
     /* 743663 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743666 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743673 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_BYTE_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743673 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 743676 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 743680 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 743685 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 743689 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 743692 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 743696 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 743699 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 743704 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743709 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743714 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_BOTHEN_exact),
     /* 743717 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743719 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 743722 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743724 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743729 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743731 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743737 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743743 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743747 */       GIR_RootConstrainSelectedInstOperands,
     /* 743748 */       // GIR_Coverage, 5623,
     /* 743748 */       GIR_EraseRootFromParent_Done,
     /* 743749 */     // Label 9800: @743749
     /* 743749 */     GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(743837), // Rule ID 5627 //
     /* 743754 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743761 */       // (SIbuffer_store_byte i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_BYTE_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743761 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 743764 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 743768 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 743773 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 743777 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 743780 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 743784 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 743787 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 743792 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743797 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 743802 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_BYTE_VBUFFER_BOTHEN_exact),
     /* 743805 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743807 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 743810 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743812 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743817 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743819 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743825 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743831 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743835 */       GIR_RootConstrainSelectedInstOperands,
     /* 743836 */       // GIR_Coverage, 5627,
     /* 743836 */       GIR_EraseRootFromParent_Done,
     /* 743837 */     // Label 9801: @743837
     /* 743837 */     GIM_Reject,
     /* 743838 */   // Label 9799: @743838
     /* 743838 */   GIM_Reject,
     /* 743839 */ // Label 9790: @743839
     /* 743839 */ GIM_Reject,
     /* 743840 */ // Label 142: @743840
     /* 743840 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(18), /*)*//*default:*//*Label 9806*/ GIMT_Encode4(749327),
     /* 743851 */ /*GILLT_s32*//*Label 9802*/ GIMT_Encode4(743887), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 743863 */ /*GILLT_v2s32*//*Label 9803*/ GIMT_Encode4(745098), GIMT_Encode4(0),
     /* 743871 */ /*GILLT_v3s32*//*Label 9804*/ GIMT_Encode4(746905), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 743883 */ /*GILLT_v4s32*//*Label 9805*/ GIMT_Encode4(748116),
     /* 743887 */ // Label 9802: @743887
     /* 743887 */ GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(745097),
     /* 743892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 743895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 743898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 743901 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 743904 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(743976), // Rule ID 5252 //
     /* 743909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 743912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 743916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 743920 */     // MIs[0] offset
     /* 743920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743923 */     // MIs[0] auxiliary
     /* 743923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743926 */     // MIs[0] Operand 7
     /* 743926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 743937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 743944 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 743944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_OFFSET_exact),
     /* 743947 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 743949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 743951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 743956 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 743958 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 743964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 743970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 743974 */     GIR_RootConstrainSelectedInstOperands,
     /* 743975 */     // GIR_Coverage, 5252,
     /* 743975 */     GIR_EraseRootFromParent_Done,
     /* 743976 */   // Label 9808: @743976
     /* 743976 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(744045), // Rule ID 5256 //
     /* 743981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 743985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 743989 */     // MIs[0] offset
     /* 743989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 743992 */     // MIs[0] auxiliary
     /* 743992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 743995 */     // MIs[0] Operand 7
     /* 743995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744013 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact),
     /* 744016 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744025 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744027 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744033 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744043 */     GIR_RootConstrainSelectedInstOperands,
     /* 744044 */     // GIR_Coverage, 5256,
     /* 744044 */     GIR_EraseRootFromParent_Done,
     /* 744045 */   // Label 9809: @744045
     /* 744045 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(744117), // Rule ID 5260 //
     /* 744050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744053 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744057 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744061 */     // MIs[0] offset
     /* 744061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744064 */     // MIs[0] auxiliary
     /* 744064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744067 */     // MIs[0] Operand 7
     /* 744067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744085 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_OFFSET_exact),
     /* 744088 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744097 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744099 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744105 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744115 */     GIR_RootConstrainSelectedInstOperands,
     /* 744116 */     // GIR_Coverage, 5260,
     /* 744116 */     GIR_EraseRootFromParent_Done,
     /* 744117 */   // Label 9810: @744117
     /* 744117 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(744186), // Rule ID 5264 //
     /* 744122 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744126 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744130 */     // MIs[0] offset
     /* 744130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744133 */     // MIs[0] auxiliary
     /* 744133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744136 */     // MIs[0] Operand 7
     /* 744136 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744154 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact),
     /* 744157 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744166 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744174 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744184 */     GIR_RootConstrainSelectedInstOperands,
     /* 744185 */     // GIR_Coverage, 5264,
     /* 744185 */     GIR_EraseRootFromParent_Done,
     /* 744186 */   // Label 9811: @744186
     /* 744186 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(744256), // Rule ID 5253 //
     /* 744191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744198 */     // MIs[0] offset
     /* 744198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744201 */     // MIs[0] auxiliary
     /* 744201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744204 */     // MIs[0] Operand 7
     /* 744204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744222 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_OFFEN_exact),
     /* 744225 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744227 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 744229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744236 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744254 */     GIR_RootConstrainSelectedInstOperands,
     /* 744255 */     // GIR_Coverage, 5253,
     /* 744255 */     GIR_EraseRootFromParent_Done,
     /* 744256 */   // Label 9812: @744256
     /* 744256 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(744323), // Rule ID 5257 //
     /* 744261 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744265 */     // MIs[0] offset
     /* 744265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744268 */     // MIs[0] auxiliary
     /* 744268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744271 */     // MIs[0] Operand 7
     /* 744271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744289 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact),
     /* 744292 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744294 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 744296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744303 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744305 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744311 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744321 */     GIR_RootConstrainSelectedInstOperands,
     /* 744322 */     // GIR_Coverage, 5257,
     /* 744322 */     GIR_EraseRootFromParent_Done,
     /* 744323 */   // Label 9813: @744323
     /* 744323 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(744393), // Rule ID 5261 //
     /* 744328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744335 */     // MIs[0] offset
     /* 744335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744338 */     // MIs[0] auxiliary
     /* 744338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744341 */     // MIs[0] Operand 7
     /* 744341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744359 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_OFFEN_exact),
     /* 744362 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744364 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 744366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744373 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744381 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744391 */     GIR_RootConstrainSelectedInstOperands,
     /* 744392 */     // GIR_Coverage, 5261,
     /* 744392 */     GIR_EraseRootFromParent_Done,
     /* 744393 */   // Label 9814: @744393
     /* 744393 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(744460), // Rule ID 5265 //
     /* 744398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 744402 */     // MIs[0] offset
     /* 744402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744405 */     // MIs[0] auxiliary
     /* 744405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744408 */     // MIs[0] Operand 7
     /* 744408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 744419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744426 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact),
     /* 744429 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744431 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 744433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744440 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744448 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744458 */     GIR_RootConstrainSelectedInstOperands,
     /* 744459 */     // GIR_Coverage, 5265,
     /* 744459 */     GIR_EraseRootFromParent_Done,
     /* 744460 */   // Label 9815: @744460
     /* 744460 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(744522), // Rule ID 5254 //
     /* 744465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744472 */     // MIs[0] offset
     /* 744472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744475 */     // MIs[0] auxiliary
     /* 744475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744478 */     // MIs[0] Operand 7
     /* 744478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744488 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_IDXEN_exact),
     /* 744491 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744493 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 744495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744502 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744510 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744520 */     GIR_RootConstrainSelectedInstOperands,
     /* 744521 */     // GIR_Coverage, 5254,
     /* 744521 */     GIR_EraseRootFromParent_Done,
     /* 744522 */   // Label 9816: @744522
     /* 744522 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(744581), // Rule ID 5258 //
     /* 744527 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744531 */     // MIs[0] offset
     /* 744531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744534 */     // MIs[0] auxiliary
     /* 744534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744537 */     // MIs[0] Operand 7
     /* 744537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744547 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact),
     /* 744550 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744552 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 744554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744561 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744563 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744569 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744579 */     GIR_RootConstrainSelectedInstOperands,
     /* 744580 */     // GIR_Coverage, 5258,
     /* 744580 */     GIR_EraseRootFromParent_Done,
     /* 744581 */   // Label 9817: @744581
     /* 744581 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(744643), // Rule ID 5262 //
     /* 744586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744589 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744593 */     // MIs[0] offset
     /* 744593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744596 */     // MIs[0] auxiliary
     /* 744596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744599 */     // MIs[0] Operand 7
     /* 744599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744609 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_IDXEN_exact),
     /* 744612 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744614 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 744616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744623 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744625 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744631 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744641 */     GIR_RootConstrainSelectedInstOperands,
     /* 744642 */     // GIR_Coverage, 5262,
     /* 744642 */     GIR_EraseRootFromParent_Done,
     /* 744643 */   // Label 9818: @744643
     /* 744643 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(744702), // Rule ID 5266 //
     /* 744648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 744652 */     // MIs[0] offset
     /* 744652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744655 */     // MIs[0] auxiliary
     /* 744655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744658 */     // MIs[0] Operand 7
     /* 744658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744668 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact),
     /* 744671 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744673 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 744675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744682 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744690 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744700 */     GIR_RootConstrainSelectedInstOperands,
     /* 744701 */     // GIR_Coverage, 5266,
     /* 744701 */     GIR_EraseRootFromParent_Done,
     /* 744702 */   // Label 9819: @744702
     /* 744702 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(744802), // Rule ID 5255 //
     /* 744707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744710 */     // MIs[0] offset
     /* 744710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744713 */     // MIs[0] auxiliary
     /* 744713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744716 */     // MIs[0] Operand 7
     /* 744716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744726 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 744729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 744733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 744738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 744742 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 744745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 744749 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 744752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 744757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_BOTHEN_exact),
     /* 744770 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 744775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744782 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744784 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744790 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744800 */     GIR_RootConstrainSelectedInstOperands,
     /* 744801 */     // GIR_Coverage, 5255,
     /* 744801 */     GIR_EraseRootFromParent_Done,
     /* 744802 */   // Label 9820: @744802
     /* 744802 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(744899), // Rule ID 5259 //
     /* 744807 */     // MIs[0] offset
     /* 744807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744810 */     // MIs[0] auxiliary
     /* 744810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744813 */     // MIs[0] Operand 7
     /* 744813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744823 */     // (SIbuffer_store_format f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 744826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 744830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 744835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 744839 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 744842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 744846 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 744849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 744854 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744859 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact),
     /* 744867 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 744872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744879 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744881 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744887 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744897 */     GIR_RootConstrainSelectedInstOperands,
     /* 744898 */     // GIR_Coverage, 5259,
     /* 744898 */     GIR_EraseRootFromParent_Done,
     /* 744899 */   // Label 9821: @744899
     /* 744899 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(744999), // Rule ID 5263 //
     /* 744904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 744907 */     // MIs[0] offset
     /* 744907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 744910 */     // MIs[0] auxiliary
     /* 744910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 744913 */     // MIs[0] Operand 7
     /* 744913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 744916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 744923 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 744923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 744926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 744930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 744935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 744939 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 744942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 744946 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 744949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 744954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 744964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_BOTHEN_exact),
     /* 744967 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 744969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 744972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 744974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 744979 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 744981 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 744987 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 744993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 744997 */     GIR_RootConstrainSelectedInstOperands,
     /* 744998 */     // GIR_Coverage, 5263,
     /* 744998 */     GIR_EraseRootFromParent_Done,
     /* 744999 */   // Label 9822: @744999
     /* 744999 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(745096), // Rule ID 5267 //
     /* 745004 */     // MIs[0] offset
     /* 745004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745007 */     // MIs[0] auxiliary
     /* 745007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745010 */     // MIs[0] Operand 7
     /* 745010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 745013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745020 */     // (SIbuffer_store_format i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 745023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 745027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 745032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 745036 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 745039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 745043 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 745046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 745051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 745056 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 745061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact),
     /* 745064 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 745069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745076 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745078 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745084 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745094 */     GIR_RootConstrainSelectedInstOperands,
     /* 745095 */     // GIR_Coverage, 5267,
     /* 745095 */     GIR_EraseRootFromParent_Done,
     /* 745096 */   // Label 9823: @745096
     /* 745096 */   GIM_Reject,
     /* 745097 */ // Label 9807: @745097
     /* 745097 */ GIM_Reject,
     /* 745098 */ // Label 9803: @745098
     /* 745098 */ GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(746904),
     /* 745103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 745106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 745109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 745112 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 745115 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(745187), // Rule ID 5268 //
     /* 745120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745131 */     // MIs[0] offset
     /* 745131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745134 */     // MIs[0] auxiliary
     /* 745134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745137 */     // MIs[0] Operand 7
     /* 745137 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745155 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFSET_exact),
     /* 745158 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745167 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745175 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745185 */     GIR_RootConstrainSelectedInstOperands,
     /* 745186 */     // GIR_Coverage, 5268,
     /* 745186 */     GIR_EraseRootFromParent_Done,
     /* 745187 */   // Label 9825: @745187
     /* 745187 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(745256), // Rule ID 5272 //
     /* 745192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745200 */     // MIs[0] offset
     /* 745200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745203 */     // MIs[0] auxiliary
     /* 745203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745206 */     // MIs[0] Operand 7
     /* 745206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745224 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact),
     /* 745227 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745236 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745254 */     GIR_RootConstrainSelectedInstOperands,
     /* 745255 */     // GIR_Coverage, 5272,
     /* 745255 */     GIR_EraseRootFromParent_Done,
     /* 745256 */   // Label 9826: @745256
     /* 745256 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(745328), // Rule ID 5276 //
     /* 745261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745272 */     // MIs[0] offset
     /* 745272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745275 */     // MIs[0] auxiliary
     /* 745275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745278 */     // MIs[0] Operand 7
     /* 745278 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745296 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFSET_exact),
     /* 745299 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745308 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745310 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745316 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745326 */     GIR_RootConstrainSelectedInstOperands,
     /* 745327 */     // GIR_Coverage, 5276,
     /* 745327 */     GIR_EraseRootFromParent_Done,
     /* 745328 */   // Label 9827: @745328
     /* 745328 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(745397), // Rule ID 5280 //
     /* 745333 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745341 */     // MIs[0] offset
     /* 745341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745344 */     // MIs[0] auxiliary
     /* 745344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745347 */     // MIs[0] Operand 7
     /* 745347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745365 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact),
     /* 745368 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745377 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745379 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745385 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745395 */     GIR_RootConstrainSelectedInstOperands,
     /* 745396 */     // GIR_Coverage, 5280,
     /* 745396 */     GIR_EraseRootFromParent_Done,
     /* 745397 */   // Label 9828: @745397
     /* 745397 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(745469), // Rule ID 5284 //
     /* 745402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745405 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745413 */     // MIs[0] offset
     /* 745413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745416 */     // MIs[0] auxiliary
     /* 745416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745419 */     // MIs[0] Operand 7
     /* 745419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745437 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFSET_exact),
     /* 745440 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745449 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745457 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745467 */     GIR_RootConstrainSelectedInstOperands,
     /* 745468 */     // GIR_Coverage, 5284,
     /* 745468 */     GIR_EraseRootFromParent_Done,
     /* 745469 */   // Label 9829: @745469
     /* 745469 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(745538), // Rule ID 5288 //
     /* 745474 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745478 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745482 */     // MIs[0] offset
     /* 745482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745485 */     // MIs[0] auxiliary
     /* 745485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745488 */     // MIs[0] Operand 7
     /* 745488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745506 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact),
     /* 745509 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745518 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745536 */     GIR_RootConstrainSelectedInstOperands,
     /* 745537 */     // GIR_Coverage, 5288,
     /* 745537 */     GIR_EraseRootFromParent_Done,
     /* 745538 */   // Label 9830: @745538
     /* 745538 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(745608), // Rule ID 5269 //
     /* 745543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745550 */     // MIs[0] offset
     /* 745550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745553 */     // MIs[0] auxiliary
     /* 745553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745556 */     // MIs[0] Operand 7
     /* 745556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745574 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFEN_exact),
     /* 745577 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745579 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745588 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745596 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745606 */     GIR_RootConstrainSelectedInstOperands,
     /* 745607 */     // GIR_Coverage, 5269,
     /* 745607 */     GIR_EraseRootFromParent_Done,
     /* 745608 */   // Label 9831: @745608
     /* 745608 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(745675), // Rule ID 5273 //
     /* 745613 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745617 */     // MIs[0] offset
     /* 745617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745620 */     // MIs[0] auxiliary
     /* 745620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745623 */     // MIs[0] Operand 7
     /* 745623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745641 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact),
     /* 745644 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745646 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745655 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745657 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745663 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745673 */     GIR_RootConstrainSelectedInstOperands,
     /* 745674 */     // GIR_Coverage, 5273,
     /* 745674 */     GIR_EraseRootFromParent_Done,
     /* 745675 */   // Label 9832: @745675
     /* 745675 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(745745), // Rule ID 5277 //
     /* 745680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745683 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745687 */     // MIs[0] offset
     /* 745687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745690 */     // MIs[0] auxiliary
     /* 745690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745693 */     // MIs[0] Operand 7
     /* 745693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745711 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFEN_exact),
     /* 745714 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745716 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745725 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745727 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745733 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745743 */     GIR_RootConstrainSelectedInstOperands,
     /* 745744 */     // GIR_Coverage, 5277,
     /* 745744 */     GIR_EraseRootFromParent_Done,
     /* 745745 */   // Label 9833: @745745
     /* 745745 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(745812), // Rule ID 5281 //
     /* 745750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745754 */     // MIs[0] offset
     /* 745754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745757 */     // MIs[0] auxiliary
     /* 745757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745760 */     // MIs[0] Operand 7
     /* 745760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745778 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact),
     /* 745781 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745783 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745792 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745810 */     GIR_RootConstrainSelectedInstOperands,
     /* 745811 */     // GIR_Coverage, 5281,
     /* 745811 */     GIR_EraseRootFromParent_Done,
     /* 745812 */   // Label 9834: @745812
     /* 745812 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(745882), // Rule ID 5285 //
     /* 745817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745820 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745824 */     // MIs[0] offset
     /* 745824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745827 */     // MIs[0] auxiliary
     /* 745827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745830 */     // MIs[0] Operand 7
     /* 745830 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745848 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_OFFEN_exact),
     /* 745851 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745853 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745862 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745864 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745870 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745880 */     GIR_RootConstrainSelectedInstOperands,
     /* 745881 */     // GIR_Coverage, 5285,
     /* 745881 */     GIR_EraseRootFromParent_Done,
     /* 745882 */   // Label 9835: @745882
     /* 745882 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(745949), // Rule ID 5289 //
     /* 745887 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 745891 */     // MIs[0] offset
     /* 745891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745894 */     // MIs[0] auxiliary
     /* 745894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745897 */     // MIs[0] Operand 7
     /* 745897 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 745908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745915 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact),
     /* 745918 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745920 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 745922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745929 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745931 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745937 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 745943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 745947 */     GIR_RootConstrainSelectedInstOperands,
     /* 745948 */     // GIR_Coverage, 5289,
     /* 745948 */     GIR_EraseRootFromParent_Done,
     /* 745949 */   // Label 9836: @745949
     /* 745949 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(746011), // Rule ID 5270 //
     /* 745954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 745957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 745961 */     // MIs[0] offset
     /* 745961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 745964 */     // MIs[0] auxiliary
     /* 745964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 745967 */     // MIs[0] Operand 7
     /* 745967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 745970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 745977 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 745977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_IDXEN_exact),
     /* 745980 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 745982 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 745984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 745986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 745991 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 745993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 745999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746009 */     GIR_RootConstrainSelectedInstOperands,
     /* 746010 */     // GIR_Coverage, 5270,
     /* 746010 */     GIR_EraseRootFromParent_Done,
     /* 746011 */   // Label 9837: @746011
     /* 746011 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(746070), // Rule ID 5274 //
     /* 746016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746020 */     // MIs[0] offset
     /* 746020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746023 */     // MIs[0] auxiliary
     /* 746023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746026 */     // MIs[0] Operand 7
     /* 746026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746036 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact),
     /* 746039 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746041 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 746043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746050 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746068 */     GIR_RootConstrainSelectedInstOperands,
     /* 746069 */     // GIR_Coverage, 5274,
     /* 746069 */     GIR_EraseRootFromParent_Done,
     /* 746070 */   // Label 9838: @746070
     /* 746070 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(746132), // Rule ID 5278 //
     /* 746075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746078 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746082 */     // MIs[0] offset
     /* 746082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746085 */     // MIs[0] auxiliary
     /* 746085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746088 */     // MIs[0] Operand 7
     /* 746088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746098 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_IDXEN_exact),
     /* 746101 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746103 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 746105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746112 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746114 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746130 */     GIR_RootConstrainSelectedInstOperands,
     /* 746131 */     // GIR_Coverage, 5278,
     /* 746131 */     GIR_EraseRootFromParent_Done,
     /* 746132 */   // Label 9839: @746132
     /* 746132 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(746191), // Rule ID 5282 //
     /* 746137 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746141 */     // MIs[0] offset
     /* 746141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746144 */     // MIs[0] auxiliary
     /* 746144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746147 */     // MIs[0] Operand 7
     /* 746147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746157 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact),
     /* 746160 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746162 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 746164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746171 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746173 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746179 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746189 */     GIR_RootConstrainSelectedInstOperands,
     /* 746190 */     // GIR_Coverage, 5282,
     /* 746190 */     GIR_EraseRootFromParent_Done,
     /* 746191 */   // Label 9840: @746191
     /* 746191 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(746253), // Rule ID 5286 //
     /* 746196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746199 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746203 */     // MIs[0] offset
     /* 746203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746206 */     // MIs[0] auxiliary
     /* 746206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746209 */     // MIs[0] Operand 7
     /* 746209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746219 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_IDXEN_exact),
     /* 746222 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746224 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 746226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746233 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746235 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746241 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746251 */     GIR_RootConstrainSelectedInstOperands,
     /* 746252 */     // GIR_Coverage, 5286,
     /* 746252 */     GIR_EraseRootFromParent_Done,
     /* 746253 */   // Label 9841: @746253
     /* 746253 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(746312), // Rule ID 5290 //
     /* 746258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746262 */     // MIs[0] offset
     /* 746262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746265 */     // MIs[0] auxiliary
     /* 746265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746268 */     // MIs[0] Operand 7
     /* 746268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746278 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact),
     /* 746281 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746283 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 746285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746292 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746300 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746310 */     GIR_RootConstrainSelectedInstOperands,
     /* 746311 */     // GIR_Coverage, 5290,
     /* 746311 */     GIR_EraseRootFromParent_Done,
     /* 746312 */   // Label 9842: @746312
     /* 746312 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(746412), // Rule ID 5271 //
     /* 746317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746320 */     // MIs[0] offset
     /* 746320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746323 */     // MIs[0] auxiliary
     /* 746323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746326 */     // MIs[0] Operand 7
     /* 746326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746336 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746352 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746359 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746367 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746372 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_BOTHEN_exact),
     /* 746380 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746392 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746394 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746400 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746410 */     GIR_RootConstrainSelectedInstOperands,
     /* 746411 */     // GIR_Coverage, 5271,
     /* 746411 */     GIR_EraseRootFromParent_Done,
     /* 746412 */   // Label 9843: @746412
     /* 746412 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(746509), // Rule ID 5275 //
     /* 746417 */     // MIs[0] offset
     /* 746417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746420 */     // MIs[0] auxiliary
     /* 746420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746423 */     // MIs[0] Operand 7
     /* 746423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746433 */     // (SIbuffer_store_format v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746449 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746456 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746469 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact),
     /* 746477 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746489 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746491 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746497 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746507 */     GIR_RootConstrainSelectedInstOperands,
     /* 746508 */     // GIR_Coverage, 5275,
     /* 746508 */     GIR_EraseRootFromParent_Done,
     /* 746509 */   // Label 9844: @746509
     /* 746509 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(746609), // Rule ID 5279 //
     /* 746514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746517 */     // MIs[0] offset
     /* 746517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746520 */     // MIs[0] auxiliary
     /* 746520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746523 */     // MIs[0] Operand 7
     /* 746523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746533 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746549 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746556 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746559 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746564 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746569 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_BOTHEN_exact),
     /* 746577 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746589 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746591 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746607 */     GIR_RootConstrainSelectedInstOperands,
     /* 746608 */     // GIR_Coverage, 5279,
     /* 746608 */     GIR_EraseRootFromParent_Done,
     /* 746609 */   // Label 9845: @746609
     /* 746609 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(746706), // Rule ID 5283 //
     /* 746614 */     // MIs[0] offset
     /* 746614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746617 */     // MIs[0] auxiliary
     /* 746617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746620 */     // MIs[0] Operand 7
     /* 746620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746630 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746646 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746653 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact),
     /* 746674 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746686 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746688 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746694 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746704 */     GIR_RootConstrainSelectedInstOperands,
     /* 746705 */     // GIR_Coverage, 5283,
     /* 746705 */     GIR_EraseRootFromParent_Done,
     /* 746706 */   // Label 9846: @746706
     /* 746706 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(746806), // Rule ID 5287 //
     /* 746711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746714 */     // MIs[0] offset
     /* 746714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746717 */     // MIs[0] auxiliary
     /* 746717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746720 */     // MIs[0] Operand 7
     /* 746720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746730 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746746 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746753 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746756 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746761 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746766 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_BOTHEN_exact),
     /* 746774 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746786 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746804 */     GIR_RootConstrainSelectedInstOperands,
     /* 746805 */     // GIR_Coverage, 5287,
     /* 746805 */     GIR_EraseRootFromParent_Done,
     /* 746806 */   // Label 9847: @746806
     /* 746806 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(746903), // Rule ID 5291 //
     /* 746811 */     // MIs[0] offset
     /* 746811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746814 */     // MIs[0] auxiliary
     /* 746814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746817 */     // MIs[0] Operand 7
     /* 746817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 746820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746827 */     // (SIbuffer_store_format v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 746830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 746834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 746839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 746843 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 746846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 746850 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 746853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 746858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 746868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact),
     /* 746871 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 746876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746883 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746901 */     GIR_RootConstrainSelectedInstOperands,
     /* 746902 */     // GIR_Coverage, 5291,
     /* 746902 */     GIR_EraseRootFromParent_Done,
     /* 746903 */   // Label 9848: @746903
     /* 746903 */   GIM_Reject,
     /* 746904 */ // Label 9824: @746904
     /* 746904 */ GIM_Reject,
     /* 746905 */ // Label 9804: @746905
     /* 746905 */ GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(748115),
     /* 746910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 746913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 746916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 746919 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 746922 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(746994), // Rule ID 5292 //
     /* 746927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 746930 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 746934 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 746938 */     // MIs[0] offset
     /* 746938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 746941 */     // MIs[0] auxiliary
     /* 746941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 746944 */     // MIs[0] Operand 7
     /* 746944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 746955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 746962 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 746962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_OFFSET_exact),
     /* 746965 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 746967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 746969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 746974 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 746976 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 746982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 746988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 746992 */     GIR_RootConstrainSelectedInstOperands,
     /* 746993 */     // GIR_Coverage, 5292,
     /* 746993 */     GIR_EraseRootFromParent_Done,
     /* 746994 */   // Label 9850: @746994
     /* 746994 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(747063), // Rule ID 5296 //
     /* 746999 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747007 */     // MIs[0] offset
     /* 747007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747010 */     // MIs[0] auxiliary
     /* 747010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747013 */     // MIs[0] Operand 7
     /* 747013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747031 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact),
     /* 747034 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747043 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747045 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747051 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747061 */     GIR_RootConstrainSelectedInstOperands,
     /* 747062 */     // GIR_Coverage, 5296,
     /* 747062 */     GIR_EraseRootFromParent_Done,
     /* 747063 */   // Label 9851: @747063
     /* 747063 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(747135), // Rule ID 5300 //
     /* 747068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747071 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747079 */     // MIs[0] offset
     /* 747079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747082 */     // MIs[0] auxiliary
     /* 747082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747085 */     // MIs[0] Operand 7
     /* 747085 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747103 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_OFFSET_exact),
     /* 747106 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747115 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747117 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747123 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747133 */     GIR_RootConstrainSelectedInstOperands,
     /* 747134 */     // GIR_Coverage, 5300,
     /* 747134 */     GIR_EraseRootFromParent_Done,
     /* 747135 */   // Label 9852: @747135
     /* 747135 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(747204), // Rule ID 5304 //
     /* 747140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747148 */     // MIs[0] offset
     /* 747148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747151 */     // MIs[0] auxiliary
     /* 747151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747154 */     // MIs[0] Operand 7
     /* 747154 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747172 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact),
     /* 747175 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747184 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747186 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747192 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747202 */     GIR_RootConstrainSelectedInstOperands,
     /* 747203 */     // GIR_Coverage, 5304,
     /* 747203 */     GIR_EraseRootFromParent_Done,
     /* 747204 */   // Label 9853: @747204
     /* 747204 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(747274), // Rule ID 5293 //
     /* 747209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747216 */     // MIs[0] offset
     /* 747216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747219 */     // MIs[0] auxiliary
     /* 747219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747222 */     // MIs[0] Operand 7
     /* 747222 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747240 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_OFFEN_exact),
     /* 747243 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747245 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 747247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747254 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747256 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747262 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747272 */     GIR_RootConstrainSelectedInstOperands,
     /* 747273 */     // GIR_Coverage, 5293,
     /* 747273 */     GIR_EraseRootFromParent_Done,
     /* 747274 */   // Label 9854: @747274
     /* 747274 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(747341), // Rule ID 5297 //
     /* 747279 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747283 */     // MIs[0] offset
     /* 747283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747286 */     // MIs[0] auxiliary
     /* 747286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747289 */     // MIs[0] Operand 7
     /* 747289 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747307 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact),
     /* 747310 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747312 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 747314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747321 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747323 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747329 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747339 */     GIR_RootConstrainSelectedInstOperands,
     /* 747340 */     // GIR_Coverage, 5297,
     /* 747340 */     GIR_EraseRootFromParent_Done,
     /* 747341 */   // Label 9855: @747341
     /* 747341 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(747411), // Rule ID 5301 //
     /* 747346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747349 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747353 */     // MIs[0] offset
     /* 747353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747356 */     // MIs[0] auxiliary
     /* 747356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747359 */     // MIs[0] Operand 7
     /* 747359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747377 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_OFFEN_exact),
     /* 747380 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747382 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 747384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747391 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747393 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747399 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747409 */     GIR_RootConstrainSelectedInstOperands,
     /* 747410 */     // GIR_Coverage, 5301,
     /* 747410 */     GIR_EraseRootFromParent_Done,
     /* 747411 */   // Label 9856: @747411
     /* 747411 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(747478), // Rule ID 5305 //
     /* 747416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 747420 */     // MIs[0] offset
     /* 747420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747423 */     // MIs[0] auxiliary
     /* 747423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747426 */     // MIs[0] Operand 7
     /* 747426 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 747437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747444 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact),
     /* 747447 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747449 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 747451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747458 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747460 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747466 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747476 */     GIR_RootConstrainSelectedInstOperands,
     /* 747477 */     // GIR_Coverage, 5305,
     /* 747477 */     GIR_EraseRootFromParent_Done,
     /* 747478 */   // Label 9857: @747478
     /* 747478 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(747540), // Rule ID 5294 //
     /* 747483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747486 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747490 */     // MIs[0] offset
     /* 747490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747493 */     // MIs[0] auxiliary
     /* 747493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747496 */     // MIs[0] Operand 7
     /* 747496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747506 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_IDXEN_exact),
     /* 747509 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747511 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 747513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747520 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747538 */     GIR_RootConstrainSelectedInstOperands,
     /* 747539 */     // GIR_Coverage, 5294,
     /* 747539 */     GIR_EraseRootFromParent_Done,
     /* 747540 */   // Label 9858: @747540
     /* 747540 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(747599), // Rule ID 5298 //
     /* 747545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747549 */     // MIs[0] offset
     /* 747549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747552 */     // MIs[0] auxiliary
     /* 747552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747555 */     // MIs[0] Operand 7
     /* 747555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747565 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact),
     /* 747568 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747570 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 747572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747579 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747581 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747587 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747597 */     GIR_RootConstrainSelectedInstOperands,
     /* 747598 */     // GIR_Coverage, 5298,
     /* 747598 */     GIR_EraseRootFromParent_Done,
     /* 747599 */   // Label 9859: @747599
     /* 747599 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(747661), // Rule ID 5302 //
     /* 747604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747611 */     // MIs[0] offset
     /* 747611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747614 */     // MIs[0] auxiliary
     /* 747614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747617 */     // MIs[0] Operand 7
     /* 747617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747627 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_IDXEN_exact),
     /* 747630 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747632 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 747634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747641 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747649 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747659 */     GIR_RootConstrainSelectedInstOperands,
     /* 747660 */     // GIR_Coverage, 5302,
     /* 747660 */     GIR_EraseRootFromParent_Done,
     /* 747661 */   // Label 9860: @747661
     /* 747661 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(747720), // Rule ID 5306 //
     /* 747666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 747670 */     // MIs[0] offset
     /* 747670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747673 */     // MIs[0] auxiliary
     /* 747673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747676 */     // MIs[0] Operand 7
     /* 747676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747686 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact),
     /* 747689 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747691 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 747693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747700 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747718 */     GIR_RootConstrainSelectedInstOperands,
     /* 747719 */     // GIR_Coverage, 5306,
     /* 747719 */     GIR_EraseRootFromParent_Done,
     /* 747720 */   // Label 9861: @747720
     /* 747720 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(747820), // Rule ID 5295 //
     /* 747725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747728 */     // MIs[0] offset
     /* 747728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747731 */     // MIs[0] auxiliary
     /* 747731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747734 */     // MIs[0] Operand 7
     /* 747734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747744 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 747747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 747751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 747756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 747760 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 747763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 747767 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 747770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 747775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_BOTHEN_exact),
     /* 747788 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 747793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747800 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747802 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747808 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747818 */     GIR_RootConstrainSelectedInstOperands,
     /* 747819 */     // GIR_Coverage, 5295,
     /* 747819 */     GIR_EraseRootFromParent_Done,
     /* 747820 */   // Label 9862: @747820
     /* 747820 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(747917), // Rule ID 5299 //
     /* 747825 */     // MIs[0] offset
     /* 747825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747828 */     // MIs[0] auxiliary
     /* 747828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747831 */     // MIs[0] Operand 7
     /* 747831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747841 */     // (SIbuffer_store_format v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 747844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 747848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 747853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 747857 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 747860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 747864 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 747867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 747872 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747877 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact),
     /* 747885 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 747890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747897 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747899 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 747905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 747911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 747915 */     GIR_RootConstrainSelectedInstOperands,
     /* 747916 */     // GIR_Coverage, 5299,
     /* 747916 */     GIR_EraseRootFromParent_Done,
     /* 747917 */   // Label 9863: @747917
     /* 747917 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(748017), // Rule ID 5303 //
     /* 747922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 747925 */     // MIs[0] offset
     /* 747925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 747928 */     // MIs[0] auxiliary
     /* 747928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 747931 */     // MIs[0] Operand 7
     /* 747931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 747934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 747941 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 747941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 747944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 747948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 747953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 747957 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 747960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 747964 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 747967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 747972 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747977 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 747982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_BOTHEN_exact),
     /* 747985 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 747987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 747990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 747992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 747997 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 747999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748015 */     GIR_RootConstrainSelectedInstOperands,
     /* 748016 */     // GIR_Coverage, 5303,
     /* 748016 */     GIR_EraseRootFromParent_Done,
     /* 748017 */   // Label 9864: @748017
     /* 748017 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(748114), // Rule ID 5307 //
     /* 748022 */     // MIs[0] offset
     /* 748022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748025 */     // MIs[0] auxiliary
     /* 748025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748028 */     // MIs[0] Operand 7
     /* 748028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748038 */     // (SIbuffer_store_format v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 748041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 748045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 748050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 748054 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 748057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 748061 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 748064 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 748069 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 748074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 748079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact),
     /* 748082 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 748087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748094 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748096 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748112 */     GIR_RootConstrainSelectedInstOperands,
     /* 748113 */     // GIR_Coverage, 5307,
     /* 748113 */     GIR_EraseRootFromParent_Done,
     /* 748114 */   // Label 9865: @748114
     /* 748114 */   GIM_Reject,
     /* 748115 */ // Label 9849: @748115
     /* 748115 */ GIM_Reject,
     /* 748116 */ // Label 9805: @748116
     /* 748116 */ GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(749326),
     /* 748121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 748124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 748127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 748130 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 748133 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(748205), // Rule ID 5308 //
     /* 748138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748141 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748145 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748149 */     // MIs[0] offset
     /* 748149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748152 */     // MIs[0] auxiliary
     /* 748152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748155 */     // MIs[0] Operand 7
     /* 748155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748173 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_OFFSET_exact),
     /* 748176 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748185 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748187 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748193 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748203 */     GIR_RootConstrainSelectedInstOperands,
     /* 748204 */     // GIR_Coverage, 5308,
     /* 748204 */     GIR_EraseRootFromParent_Done,
     /* 748205 */   // Label 9867: @748205
     /* 748205 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(748274), // Rule ID 5312 //
     /* 748210 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748214 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748218 */     // MIs[0] offset
     /* 748218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748221 */     // MIs[0] auxiliary
     /* 748221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748224 */     // MIs[0] Operand 7
     /* 748224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748242 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact),
     /* 748245 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748254 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748256 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748262 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748272 */     GIR_RootConstrainSelectedInstOperands,
     /* 748273 */     // GIR_Coverage, 5312,
     /* 748273 */     GIR_EraseRootFromParent_Done,
     /* 748274 */   // Label 9868: @748274
     /* 748274 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(748346), // Rule ID 5316 //
     /* 748279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748286 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748290 */     // MIs[0] offset
     /* 748290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748293 */     // MIs[0] auxiliary
     /* 748293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748296 */     // MIs[0] Operand 7
     /* 748296 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748314 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_OFFSET_exact),
     /* 748317 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748326 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748344 */     GIR_RootConstrainSelectedInstOperands,
     /* 748345 */     // GIR_Coverage, 5316,
     /* 748345 */     GIR_EraseRootFromParent_Done,
     /* 748346 */   // Label 9869: @748346
     /* 748346 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(748415), // Rule ID 5320 //
     /* 748351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748355 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748359 */     // MIs[0] offset
     /* 748359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748362 */     // MIs[0] auxiliary
     /* 748362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748365 */     // MIs[0] Operand 7
     /* 748365 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748383 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact),
     /* 748386 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748395 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748397 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748403 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748413 */     GIR_RootConstrainSelectedInstOperands,
     /* 748414 */     // GIR_Coverage, 5320,
     /* 748414 */     GIR_EraseRootFromParent_Done,
     /* 748415 */   // Label 9870: @748415
     /* 748415 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(748485), // Rule ID 5309 //
     /* 748420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748423 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748427 */     // MIs[0] offset
     /* 748427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748430 */     // MIs[0] auxiliary
     /* 748430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748433 */     // MIs[0] Operand 7
     /* 748433 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748451 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_OFFEN_exact),
     /* 748454 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748456 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 748458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748465 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748467 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748483 */     GIR_RootConstrainSelectedInstOperands,
     /* 748484 */     // GIR_Coverage, 5309,
     /* 748484 */     GIR_EraseRootFromParent_Done,
     /* 748485 */   // Label 9871: @748485
     /* 748485 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(748552), // Rule ID 5313 //
     /* 748490 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748494 */     // MIs[0] offset
     /* 748494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748497 */     // MIs[0] auxiliary
     /* 748497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748500 */     // MIs[0] Operand 7
     /* 748500 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748518 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact),
     /* 748521 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748523 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 748525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748532 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748550 */     GIR_RootConstrainSelectedInstOperands,
     /* 748551 */     // GIR_Coverage, 5313,
     /* 748551 */     GIR_EraseRootFromParent_Done,
     /* 748552 */   // Label 9872: @748552
     /* 748552 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(748622), // Rule ID 5317 //
     /* 748557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748564 */     // MIs[0] offset
     /* 748564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748567 */     // MIs[0] auxiliary
     /* 748567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748570 */     // MIs[0] Operand 7
     /* 748570 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748588 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_OFFEN_exact),
     /* 748591 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748593 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 748595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748602 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748604 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748610 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748620 */     GIR_RootConstrainSelectedInstOperands,
     /* 748621 */     // GIR_Coverage, 5317,
     /* 748621 */     GIR_EraseRootFromParent_Done,
     /* 748622 */   // Label 9873: @748622
     /* 748622 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(748689), // Rule ID 5321 //
     /* 748627 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 748631 */     // MIs[0] offset
     /* 748631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748634 */     // MIs[0] auxiliary
     /* 748634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748637 */     // MIs[0] Operand 7
     /* 748637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 748648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748655 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact),
     /* 748658 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748660 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 748662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748669 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748671 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748677 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748687 */     GIR_RootConstrainSelectedInstOperands,
     /* 748688 */     // GIR_Coverage, 5321,
     /* 748688 */     GIR_EraseRootFromParent_Done,
     /* 748689 */   // Label 9874: @748689
     /* 748689 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(748751), // Rule ID 5310 //
     /* 748694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748697 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748701 */     // MIs[0] offset
     /* 748701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748704 */     // MIs[0] auxiliary
     /* 748704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748707 */     // MIs[0] Operand 7
     /* 748707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748717 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_IDXEN_exact),
     /* 748720 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748722 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 748724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748731 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748733 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748739 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748749 */     GIR_RootConstrainSelectedInstOperands,
     /* 748750 */     // GIR_Coverage, 5310,
     /* 748750 */     GIR_EraseRootFromParent_Done,
     /* 748751 */   // Label 9875: @748751
     /* 748751 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(748810), // Rule ID 5314 //
     /* 748756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748760 */     // MIs[0] offset
     /* 748760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748763 */     // MIs[0] auxiliary
     /* 748763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748766 */     // MIs[0] Operand 7
     /* 748766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748776 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact),
     /* 748779 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748781 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 748783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748790 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748792 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748798 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748808 */     GIR_RootConstrainSelectedInstOperands,
     /* 748809 */     // GIR_Coverage, 5314,
     /* 748809 */     GIR_EraseRootFromParent_Done,
     /* 748810 */   // Label 9876: @748810
     /* 748810 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(748872), // Rule ID 5318 //
     /* 748815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748822 */     // MIs[0] offset
     /* 748822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748825 */     // MIs[0] auxiliary
     /* 748825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748828 */     // MIs[0] Operand 7
     /* 748828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748838 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_IDXEN_exact),
     /* 748841 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748843 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 748845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748852 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748854 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748860 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748870 */     GIR_RootConstrainSelectedInstOperands,
     /* 748871 */     // GIR_Coverage, 5318,
     /* 748871 */     GIR_EraseRootFromParent_Done,
     /* 748872 */   // Label 9877: @748872
     /* 748872 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(748931), // Rule ID 5322 //
     /* 748877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 748881 */     // MIs[0] offset
     /* 748881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748884 */     // MIs[0] auxiliary
     /* 748884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748887 */     // MIs[0] Operand 7
     /* 748887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748897 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact),
     /* 748900 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 748902 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 748904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 748906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 748911 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 748913 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 748919 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 748925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 748929 */     GIR_RootConstrainSelectedInstOperands,
     /* 748930 */     // GIR_Coverage, 5322,
     /* 748930 */     GIR_EraseRootFromParent_Done,
     /* 748931 */   // Label 9878: @748931
     /* 748931 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(749031), // Rule ID 5311 //
     /* 748936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 748939 */     // MIs[0] offset
     /* 748939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 748942 */     // MIs[0] auxiliary
     /* 748942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 748945 */     // MIs[0] Operand 7
     /* 748945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 748948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 748955 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 748955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 748958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 748962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 748967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 748971 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 748974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 748978 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 748981 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 748986 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 748991 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 748996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_BOTHEN_exact),
     /* 748999 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 749004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749011 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749013 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749019 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749029 */     GIR_RootConstrainSelectedInstOperands,
     /* 749030 */     // GIR_Coverage, 5311,
     /* 749030 */     GIR_EraseRootFromParent_Done,
     /* 749031 */   // Label 9879: @749031
     /* 749031 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(749128), // Rule ID 5315 //
     /* 749036 */     // MIs[0] offset
     /* 749036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749039 */     // MIs[0] auxiliary
     /* 749039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749042 */     // MIs[0] Operand 7
     /* 749042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 749045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749052 */     // (SIbuffer_store_format v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 749055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 749059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 749064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 749068 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 749071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 749075 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 749078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 749083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact),
     /* 749096 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 749101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749108 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749116 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749126 */     GIR_RootConstrainSelectedInstOperands,
     /* 749127 */     // GIR_Coverage, 5315,
     /* 749127 */     GIR_EraseRootFromParent_Done,
     /* 749128 */   // Label 9880: @749128
     /* 749128 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(749228), // Rule ID 5319 //
     /* 749133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 749136 */     // MIs[0] offset
     /* 749136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749139 */     // MIs[0] auxiliary
     /* 749139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749142 */     // MIs[0] Operand 7
     /* 749142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 749145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749152 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 749155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 749159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 749164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 749168 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 749171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 749175 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 749178 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 749183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_BOTHEN_exact),
     /* 749196 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 749201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749208 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749210 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749216 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749226 */     GIR_RootConstrainSelectedInstOperands,
     /* 749227 */     // GIR_Coverage, 5319,
     /* 749227 */     GIR_EraseRootFromParent_Done,
     /* 749228 */   // Label 9881: @749228
     /* 749228 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(749325), // Rule ID 5323 //
     /* 749233 */     // MIs[0] offset
     /* 749233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749236 */     // MIs[0] auxiliary
     /* 749236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749239 */     // MIs[0] Operand 7
     /* 749239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 749242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749249 */     // (SIbuffer_store_format v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 749252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 749256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 749261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 749265 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 749268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 749272 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 749275 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 749280 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749285 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 749290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact),
     /* 749293 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 749298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749305 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749307 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749313 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749323 */     GIR_RootConstrainSelectedInstOperands,
     /* 749324 */     // GIR_Coverage, 5323,
     /* 749324 */     GIR_EraseRootFromParent_Done,
     /* 749325 */   // Label 9882: @749325
     /* 749325 */   GIM_Reject,
     /* 749326 */ // Label 9866: @749326
     /* 749326 */ GIM_Reject,
     /* 749327 */ // Label 9806: @749327
     /* 749327 */ GIM_Reject,
     /* 749328 */ // Label 143: @749328
     /* 749328 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(18), /*)*//*default:*//*Label 9890*/ GIMT_Encode4(756920),
     /* 749339 */ /*GILLT_s16*//*Label 9883*/ GIMT_Encode4(749379),
     /* 749343 */ /*GILLT_s32*//*Label 9884*/ GIMT_Encode4(751222), GIMT_Encode4(0),
     /* 749351 */ /*GILLT_v2s16*//*Label 9885*/ GIMT_Encode4(752153),
     /* 749355 */ /*GILLT_v2s32*//*Label 9886*/ GIMT_Encode4(753388), GIMT_Encode4(0),
     /* 749363 */ /*GILLT_v3s32*//*Label 9887*/ GIMT_Encode4(753711), GIMT_Encode4(0),
     /* 749371 */ /*GILLT_v4s16*//*Label 9888*/ GIMT_Encode4(754034),
     /* 749375 */ /*GILLT_v4s32*//*Label 9889*/ GIMT_Encode4(756597),
     /* 749379 */ // Label 9883: @749379
     /* 749379 */ GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(751221),
     /* 749384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 749387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 749390 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 749393 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 749396 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(749468), // Rule ID 5324 //
     /* 749401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 749404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749408 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749412 */     // MIs[0] offset
     /* 749412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749415 */     // MIs[0] auxiliary
     /* 749415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749418 */     // MIs[0] Operand 7
     /* 749418 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749436 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact),
     /* 749439 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749448 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749450 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749456 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749462 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749466 */     GIR_RootConstrainSelectedInstOperands,
     /* 749467 */     // GIR_Coverage, 5324,
     /* 749467 */     GIR_EraseRootFromParent_Done,
     /* 749468 */   // Label 9892: @749468
     /* 749468 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(749540), // Rule ID 5328 //
     /* 749473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 749476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749484 */     // MIs[0] offset
     /* 749484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749487 */     // MIs[0] auxiliary
     /* 749487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749490 */     // MIs[0] Operand 7
     /* 749490 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749508 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact anonymous_9775:{ *:[i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact),
     /* 749511 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749520 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749538 */     GIR_RootConstrainSelectedInstOperands,
     /* 749539 */     // GIR_Coverage, 5328,
     /* 749539 */     GIR_EraseRootFromParent_Done,
     /* 749540 */   // Label 9893: @749540
     /* 749540 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(749612), // Rule ID 5348 //
     /* 749545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 749548 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749556 */     // MIs[0] offset
     /* 749556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749559 */     // MIs[0] auxiliary
     /* 749559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749562 */     // MIs[0] Operand 7
     /* 749562 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749580 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFSET_exact),
     /* 749583 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749592 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749594 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749600 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749610 */     GIR_RootConstrainSelectedInstOperands,
     /* 749611 */     // GIR_Coverage, 5348,
     /* 749611 */     GIR_EraseRootFromParent_Done,
     /* 749612 */   // Label 9894: @749612
     /* 749612 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(749684), // Rule ID 5352 //
     /* 749617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 749620 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749628 */     // MIs[0] offset
     /* 749628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749631 */     // MIs[0] auxiliary
     /* 749631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749634 */     // MIs[0] Operand 7
     /* 749634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749652 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact),
     /* 749655 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749664 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749666 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749682 */     GIR_RootConstrainSelectedInstOperands,
     /* 749683 */     // GIR_Coverage, 5352,
     /* 749683 */     GIR_EraseRootFromParent_Done,
     /* 749684 */   // Label 9895: @749684
     /* 749684 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(749756), // Rule ID 5356 //
     /* 749689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 749692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749696 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749700 */     // MIs[0] offset
     /* 749700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749703 */     // MIs[0] auxiliary
     /* 749703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749706 */     // MIs[0] Operand 7
     /* 749706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749724 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFSET_exact anonymous_9775:{ *:[i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFSET_exact),
     /* 749727 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749736 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749754 */     GIR_RootConstrainSelectedInstOperands,
     /* 749755 */     // GIR_Coverage, 5356,
     /* 749755 */     GIR_EraseRootFromParent_Done,
     /* 749756 */   // Label 9896: @749756
     /* 749756 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(749828), // Rule ID 5360 //
     /* 749761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 749764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 749772 */     // MIs[0] offset
     /* 749772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749775 */     // MIs[0] auxiliary
     /* 749775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749778 */     // MIs[0] Operand 7
     /* 749778 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749796 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact),
     /* 749799 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749808 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749810 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749816 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749826 */     GIR_RootConstrainSelectedInstOperands,
     /* 749827 */     // GIR_Coverage, 5360,
     /* 749827 */     GIR_EraseRootFromParent_Done,
     /* 749828 */   // Label 9897: @749828
     /* 749828 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(749898), // Rule ID 5325 //
     /* 749833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 749836 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749840 */     // MIs[0] offset
     /* 749840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749843 */     // MIs[0] auxiliary
     /* 749843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749846 */     // MIs[0] Operand 7
     /* 749846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749864 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact),
     /* 749867 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749869 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 749871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749878 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749880 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749886 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749896 */     GIR_RootConstrainSelectedInstOperands,
     /* 749897 */     // GIR_Coverage, 5325,
     /* 749897 */     GIR_EraseRootFromParent_Done,
     /* 749898 */   // Label 9898: @749898
     /* 749898 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(749968), // Rule ID 5329 //
     /* 749903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 749906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749910 */     // MIs[0] offset
     /* 749910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749913 */     // MIs[0] auxiliary
     /* 749913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749916 */     // MIs[0] Operand 7
     /* 749916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 749934 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 749934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact),
     /* 749937 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 749939 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 749941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 749943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 749948 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 749950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 749956 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 749962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 749966 */     GIR_RootConstrainSelectedInstOperands,
     /* 749967 */     // GIR_Coverage, 5329,
     /* 749967 */     GIR_EraseRootFromParent_Done,
     /* 749968 */   // Label 9899: @749968
     /* 749968 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(750038), // Rule ID 5349 //
     /* 749973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 749976 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 749980 */     // MIs[0] offset
     /* 749980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 749983 */     // MIs[0] auxiliary
     /* 749983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 749986 */     // MIs[0] Operand 7
     /* 749986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 749997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750004 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFEN_exact),
     /* 750007 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750009 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 750011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750018 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750036 */     GIR_RootConstrainSelectedInstOperands,
     /* 750037 */     // GIR_Coverage, 5349,
     /* 750037 */     GIR_EraseRootFromParent_Done,
     /* 750038 */   // Label 9900: @750038
     /* 750038 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(750108), // Rule ID 5353 //
     /* 750043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 750046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 750050 */     // MIs[0] offset
     /* 750050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750053 */     // MIs[0] auxiliary
     /* 750053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750056 */     // MIs[0] Operand 7
     /* 750056 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 750067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750074 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact),
     /* 750077 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750079 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 750081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750088 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750090 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750096 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750106 */     GIR_RootConstrainSelectedInstOperands,
     /* 750107 */     // GIR_Coverage, 5353,
     /* 750107 */     GIR_EraseRootFromParent_Done,
     /* 750108 */   // Label 9901: @750108
     /* 750108 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(750178), // Rule ID 5357 //
     /* 750113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 750116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 750120 */     // MIs[0] offset
     /* 750120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750123 */     // MIs[0] auxiliary
     /* 750123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750126 */     // MIs[0] Operand 7
     /* 750126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 750137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750144 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFEN_exact),
     /* 750147 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750149 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 750151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750158 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750160 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750166 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750176 */     GIR_RootConstrainSelectedInstOperands,
     /* 750177 */     // GIR_Coverage, 5357,
     /* 750177 */     GIR_EraseRootFromParent_Done,
     /* 750178 */   // Label 9902: @750178
     /* 750178 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(750248), // Rule ID 5361 //
     /* 750183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 750186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 750190 */     // MIs[0] offset
     /* 750190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750193 */     // MIs[0] auxiliary
     /* 750193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750196 */     // MIs[0] Operand 7
     /* 750196 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 750207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750214 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact),
     /* 750217 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750219 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 750221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750228 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750230 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750236 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750246 */     GIR_RootConstrainSelectedInstOperands,
     /* 750247 */     // GIR_Coverage, 5361,
     /* 750247 */     GIR_EraseRootFromParent_Done,
     /* 750248 */   // Label 9903: @750248
     /* 750248 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(750310), // Rule ID 5326 //
     /* 750253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 750256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750260 */     // MIs[0] offset
     /* 750260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750263 */     // MIs[0] auxiliary
     /* 750263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750266 */     // MIs[0] Operand 7
     /* 750266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750276 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact),
     /* 750279 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750281 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750290 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750292 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750298 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750308 */     GIR_RootConstrainSelectedInstOperands,
     /* 750309 */     // GIR_Coverage, 5326,
     /* 750309 */     GIR_EraseRootFromParent_Done,
     /* 750310 */   // Label 9904: @750310
     /* 750310 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(750372), // Rule ID 5330 //
     /* 750315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 750318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750322 */     // MIs[0] offset
     /* 750322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750325 */     // MIs[0] auxiliary
     /* 750325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750328 */     // MIs[0] Operand 7
     /* 750328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750338 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact),
     /* 750341 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750343 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750352 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750370 */     GIR_RootConstrainSelectedInstOperands,
     /* 750371 */     // GIR_Coverage, 5330,
     /* 750371 */     GIR_EraseRootFromParent_Done,
     /* 750372 */   // Label 9905: @750372
     /* 750372 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(750434), // Rule ID 5350 //
     /* 750377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 750380 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750384 */     // MIs[0] offset
     /* 750384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750387 */     // MIs[0] auxiliary
     /* 750387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750390 */     // MIs[0] Operand 7
     /* 750390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750400 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_IDXEN_exact),
     /* 750403 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750405 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750414 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750422 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750432 */     GIR_RootConstrainSelectedInstOperands,
     /* 750433 */     // GIR_Coverage, 5350,
     /* 750433 */     GIR_EraseRootFromParent_Done,
     /* 750434 */   // Label 9906: @750434
     /* 750434 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(750496), // Rule ID 5354 //
     /* 750439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 750442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750446 */     // MIs[0] offset
     /* 750446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750449 */     // MIs[0] auxiliary
     /* 750449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750452 */     // MIs[0] Operand 7
     /* 750452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750462 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact),
     /* 750465 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750467 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750476 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750478 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750484 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750494 */     GIR_RootConstrainSelectedInstOperands,
     /* 750495 */     // GIR_Coverage, 5354,
     /* 750495 */     GIR_EraseRootFromParent_Done,
     /* 750496 */   // Label 9907: @750496
     /* 750496 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(750558), // Rule ID 5358 //
     /* 750501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 750504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750508 */     // MIs[0] offset
     /* 750508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750511 */     // MIs[0] auxiliary
     /* 750511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750514 */     // MIs[0] Operand 7
     /* 750514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750524 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_IDXEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_IDXEN_exact),
     /* 750527 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750529 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750538 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750546 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750556 */     GIR_RootConstrainSelectedInstOperands,
     /* 750557 */     // GIR_Coverage, 5358,
     /* 750557 */     GIR_EraseRootFromParent_Done,
     /* 750558 */   // Label 9908: @750558
     /* 750558 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(750620), // Rule ID 5362 //
     /* 750563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 750566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 750570 */     // MIs[0] offset
     /* 750570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750573 */     // MIs[0] auxiliary
     /* 750573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750576 */     // MIs[0] Operand 7
     /* 750576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750586 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact),
     /* 750589 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750591 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 750593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750600 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750602 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750608 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750618 */     GIR_RootConstrainSelectedInstOperands,
     /* 750619 */     // GIR_Coverage, 5362,
     /* 750619 */     GIR_EraseRootFromParent_Done,
     /* 750620 */   // Label 9909: @750620
     /* 750620 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(750720), // Rule ID 5327 //
     /* 750625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 750628 */     // MIs[0] offset
     /* 750628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750631 */     // MIs[0] auxiliary
     /* 750631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750634 */     // MIs[0] Operand 7
     /* 750634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750644 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 750647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 750651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 750656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 750660 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 750663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 750667 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 750670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 750675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact),
     /* 750688 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 750693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750700 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750702 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750718 */     GIR_RootConstrainSelectedInstOperands,
     /* 750719 */     // GIR_Coverage, 5327,
     /* 750719 */     GIR_EraseRootFromParent_Done,
     /* 750720 */   // Label 9910: @750720
     /* 750720 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(750820), // Rule ID 5331 //
     /* 750725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 750728 */     // MIs[0] offset
     /* 750728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750731 */     // MIs[0] auxiliary
     /* 750731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750734 */     // MIs[0] Operand 7
     /* 750734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750744 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact anonymous_9775:{ *:[i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 750747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 750751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 750756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 750760 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 750763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 750767 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 750770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 750775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact),
     /* 750788 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 750793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750800 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750802 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750808 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750818 */     GIR_RootConstrainSelectedInstOperands,
     /* 750819 */     // GIR_Coverage, 5331,
     /* 750819 */     GIR_EraseRootFromParent_Done,
     /* 750820 */   // Label 9911: @750820
     /* 750820 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(750920), // Rule ID 5351 //
     /* 750825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 750828 */     // MIs[0] offset
     /* 750828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750831 */     // MIs[0] auxiliary
     /* 750831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750834 */     // MIs[0] Operand 7
     /* 750834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750844 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 750847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 750851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 750856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 750860 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 750863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 750867 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 750870 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 750875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact),
     /* 750888 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 750893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 750900 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 750902 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 750908 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 750914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 750918 */     GIR_RootConstrainSelectedInstOperands,
     /* 750919 */     // GIR_Coverage, 5351,
     /* 750919 */     GIR_EraseRootFromParent_Done,
     /* 750920 */   // Label 9912: @750920
     /* 750920 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(751020), // Rule ID 5355 //
     /* 750925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 750928 */     // MIs[0] offset
     /* 750928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 750931 */     // MIs[0] auxiliary
     /* 750931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 750934 */     // MIs[0] Operand 7
     /* 750934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 750937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 750944 */     // (SIbuffer_store_format_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 750944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 750947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 750951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 750956 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 750960 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 750963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 750967 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 750970 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 750975 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750980 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 750985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact),
     /* 750988 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 750990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 750993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 750995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751000 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751002 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751008 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751018 */     GIR_RootConstrainSelectedInstOperands,
     /* 751019 */     // GIR_Coverage, 5355,
     /* 751019 */     GIR_EraseRootFromParent_Done,
     /* 751020 */   // Label 9913: @751020
     /* 751020 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(751120), // Rule ID 5359 //
     /* 751025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 751028 */     // MIs[0] offset
     /* 751028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751031 */     // MIs[0] auxiliary
     /* 751031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751034 */     // MIs[0] Operand 7
     /* 751034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751044 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact anonymous_9775:{ *:[i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 751047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 751051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 751056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 751060 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 751063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 751067 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 751070 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 751075 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751080 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact),
     /* 751088 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 751093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751100 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751102 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751108 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751118 */     GIR_RootConstrainSelectedInstOperands,
     /* 751119 */     // GIR_Coverage, 5359,
     /* 751119 */     GIR_EraseRootFromParent_Done,
     /* 751120 */   // Label 9914: @751120
     /* 751120 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(751220), // Rule ID 5363 //
     /* 751125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 751128 */     // MIs[0] offset
     /* 751128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751131 */     // MIs[0] auxiliary
     /* 751131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751134 */     // MIs[0] Operand 7
     /* 751134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751144 */     // (SIbuffer_store_format_d16 i16:{ *:[i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 751147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 751151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 751156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 751160 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 751163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 751167 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 751170 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 751175 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751180 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact),
     /* 751188 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 751193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751200 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751202 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751208 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751218 */     GIR_RootConstrainSelectedInstOperands,
     /* 751219 */     // GIR_Coverage, 5363,
     /* 751219 */     GIR_EraseRootFromParent_Done,
     /* 751220 */   // Label 9915: @751220
     /* 751220 */   GIM_Reject,
     /* 751221 */ // Label 9891: @751221
     /* 751221 */ GIM_Reject,
     /* 751222 */ // Label 9884: @751222
     /* 751222 */ GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(752152),
     /* 751227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 751230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 751233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 751236 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 751239 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(751311), // Rule ID 5332 //
     /* 751244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 751247 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751251 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751255 */     // MIs[0] offset
     /* 751255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751258 */     // MIs[0] auxiliary
     /* 751258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751261 */     // MIs[0] Operand 7
     /* 751261 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751279 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact),
     /* 751282 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751291 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751293 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751299 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751309 */     GIR_RootConstrainSelectedInstOperands,
     /* 751310 */     // GIR_Coverage, 5332,
     /* 751310 */     GIR_EraseRootFromParent_Done,
     /* 751311 */   // Label 9917: @751311
     /* 751311 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(751383), // Rule ID 5364 //
     /* 751316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 751319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751327 */     // MIs[0] offset
     /* 751327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751330 */     // MIs[0] auxiliary
     /* 751330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751333 */     // MIs[0] Operand 7
     /* 751333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751351 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFSET_exact),
     /* 751354 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751363 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751365 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751371 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751381 */     GIR_RootConstrainSelectedInstOperands,
     /* 751382 */     // GIR_Coverage, 5364,
     /* 751382 */     GIR_EraseRootFromParent_Done,
     /* 751383 */   // Label 9918: @751383
     /* 751383 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(751455), // Rule ID 5368 //
     /* 751388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 751391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751399 */     // MIs[0] offset
     /* 751399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751402 */     // MIs[0] auxiliary
     /* 751402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751405 */     // MIs[0] Operand 7
     /* 751405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751423 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact),
     /* 751426 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751435 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751443 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751453 */     GIR_RootConstrainSelectedInstOperands,
     /* 751454 */     // GIR_Coverage, 5368,
     /* 751454 */     GIR_EraseRootFromParent_Done,
     /* 751455 */   // Label 9919: @751455
     /* 751455 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(751525), // Rule ID 5333 //
     /* 751460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 751463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751467 */     // MIs[0] offset
     /* 751467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751470 */     // MIs[0] auxiliary
     /* 751470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751473 */     // MIs[0] Operand 7
     /* 751473 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751491 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact),
     /* 751494 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751496 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 751498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751505 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751507 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751513 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751523 */     GIR_RootConstrainSelectedInstOperands,
     /* 751524 */     // GIR_Coverage, 5333,
     /* 751524 */     GIR_EraseRootFromParent_Done,
     /* 751525 */   // Label 9920: @751525
     /* 751525 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(751595), // Rule ID 5365 //
     /* 751530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 751533 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751537 */     // MIs[0] offset
     /* 751537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751540 */     // MIs[0] auxiliary
     /* 751540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751543 */     // MIs[0] Operand 7
     /* 751543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751561 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_OFFEN_exact),
     /* 751564 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751566 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 751568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751575 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751577 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751583 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751593 */     GIR_RootConstrainSelectedInstOperands,
     /* 751594 */     // GIR_Coverage, 5365,
     /* 751594 */     GIR_EraseRootFromParent_Done,
     /* 751595 */   // Label 9921: @751595
     /* 751595 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(751665), // Rule ID 5369 //
     /* 751600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 751603 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 751607 */     // MIs[0] offset
     /* 751607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751610 */     // MIs[0] auxiliary
     /* 751610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751613 */     // MIs[0] Operand 7
     /* 751613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 751624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751631 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact),
     /* 751634 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751636 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 751638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751645 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751647 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751653 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751663 */     GIR_RootConstrainSelectedInstOperands,
     /* 751664 */     // GIR_Coverage, 5369,
     /* 751664 */     GIR_EraseRootFromParent_Done,
     /* 751665 */   // Label 9922: @751665
     /* 751665 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(751727), // Rule ID 5334 //
     /* 751670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 751673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751677 */     // MIs[0] offset
     /* 751677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751680 */     // MIs[0] auxiliary
     /* 751680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751683 */     // MIs[0] Operand 7
     /* 751683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751693 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact),
     /* 751696 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751698 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 751700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751707 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751715 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751725 */     GIR_RootConstrainSelectedInstOperands,
     /* 751726 */     // GIR_Coverage, 5334,
     /* 751726 */     GIR_EraseRootFromParent_Done,
     /* 751727 */   // Label 9923: @751727
     /* 751727 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(751789), // Rule ID 5366 //
     /* 751732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 751735 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751739 */     // MIs[0] offset
     /* 751739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751742 */     // MIs[0] auxiliary
     /* 751742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751745 */     // MIs[0] Operand 7
     /* 751745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751755 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_IDXEN_exact),
     /* 751758 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751760 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 751762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751769 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751771 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751777 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751787 */     GIR_RootConstrainSelectedInstOperands,
     /* 751788 */     // GIR_Coverage, 5366,
     /* 751788 */     GIR_EraseRootFromParent_Done,
     /* 751789 */   // Label 9924: @751789
     /* 751789 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(751851), // Rule ID 5370 //
     /* 751794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 751797 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 751801 */     // MIs[0] offset
     /* 751801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751804 */     // MIs[0] auxiliary
     /* 751804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751807 */     // MIs[0] Operand 7
     /* 751807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751817 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact),
     /* 751820 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751822 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 751824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751831 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751833 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751839 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751849 */     GIR_RootConstrainSelectedInstOperands,
     /* 751850 */     // GIR_Coverage, 5370,
     /* 751850 */     GIR_EraseRootFromParent_Done,
     /* 751851 */   // Label 9925: @751851
     /* 751851 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(751951), // Rule ID 5335 //
     /* 751856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 751859 */     // MIs[0] offset
     /* 751859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751862 */     // MIs[0] auxiliary
     /* 751862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751865 */     // MIs[0] Operand 7
     /* 751865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751875 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 751878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 751882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 751887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 751891 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 751894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 751898 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 751901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 751906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 751916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact),
     /* 751919 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 751921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 751924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 751926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 751931 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 751933 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 751939 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 751945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 751949 */     GIR_RootConstrainSelectedInstOperands,
     /* 751950 */     // GIR_Coverage, 5335,
     /* 751950 */     GIR_EraseRootFromParent_Done,
     /* 751951 */   // Label 9926: @751951
     /* 751951 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(752051), // Rule ID 5367 //
     /* 751956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 751959 */     // MIs[0] offset
     /* 751959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 751962 */     // MIs[0] auxiliary
     /* 751962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 751965 */     // MIs[0] Operand 7
     /* 751965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 751968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 751975 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 751975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 751978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 751982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 751987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 751991 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 751994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 751998 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 752001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 752006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 752011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 752016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_BOTHEN_exact),
     /* 752019 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 752024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752031 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752033 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752039 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752049 */     GIR_RootConstrainSelectedInstOperands,
     /* 752050 */     // GIR_Coverage, 5367,
     /* 752050 */     GIR_EraseRootFromParent_Done,
     /* 752051 */   // Label 9927: @752051
     /* 752051 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(752151), // Rule ID 5371 //
     /* 752056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752059 */     // MIs[0] offset
     /* 752059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752062 */     // MIs[0] auxiliary
     /* 752062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752065 */     // MIs[0] Operand 7
     /* 752065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 752068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752075 */     // (SIbuffer_store_format_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 752078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 752082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 752087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 752091 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 752094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 752098 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 752101 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 752106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 752111 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 752116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact),
     /* 752119 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 752124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752131 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752133 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752149 */     GIR_RootConstrainSelectedInstOperands,
     /* 752150 */     // GIR_Coverage, 5371,
     /* 752150 */     GIR_EraseRootFromParent_Done,
     /* 752151 */   // Label 9928: @752151
     /* 752151 */   GIM_Reject,
     /* 752152 */ // Label 9916: @752152
     /* 752152 */ GIM_Reject,
     /* 752153 */ // Label 9885: @752153
     /* 752153 */ GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(753387),
     /* 752158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 752161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 752164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 752167 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 752170 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(752242), // Rule ID 5372 //
     /* 752175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752186 */     // MIs[0] offset
     /* 752186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752189 */     // MIs[0] auxiliary
     /* 752189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752192 */     // MIs[0] Operand 7
     /* 752192 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752210 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_OFFSET_exact),
     /* 752213 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752222 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752224 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752230 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752240 */     GIR_RootConstrainSelectedInstOperands,
     /* 752241 */     // GIR_Coverage, 5372,
     /* 752241 */     GIR_EraseRootFromParent_Done,
     /* 752242 */   // Label 9930: @752242
     /* 752242 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(752314), // Rule ID 5376 //
     /* 752247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752250 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752254 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752258 */     // MIs[0] offset
     /* 752258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752261 */     // MIs[0] auxiliary
     /* 752261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752264 */     // MIs[0] Operand 7
     /* 752264 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752282 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact),
     /* 752285 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752294 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752312 */     GIR_RootConstrainSelectedInstOperands,
     /* 752313 */     // GIR_Coverage, 5376,
     /* 752313 */     GIR_EraseRootFromParent_Done,
     /* 752314 */   // Label 9931: @752314
     /* 752314 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(752386), // Rule ID 5380 //
     /* 752319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752322 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752326 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752330 */     // MIs[0] offset
     /* 752330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752333 */     // MIs[0] auxiliary
     /* 752333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752336 */     // MIs[0] Operand 7
     /* 752336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752354 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_OFFSET_exact anonymous_9775:{ *:[v2i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_OFFSET_exact),
     /* 752357 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752366 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752384 */     GIR_RootConstrainSelectedInstOperands,
     /* 752385 */     // GIR_Coverage, 5380,
     /* 752385 */     GIR_EraseRootFromParent_Done,
     /* 752386 */   // Label 9932: @752386
     /* 752386 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(752458), // Rule ID 5384 //
     /* 752391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752394 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752402 */     // MIs[0] offset
     /* 752402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752405 */     // MIs[0] auxiliary
     /* 752405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752408 */     // MIs[0] Operand 7
     /* 752408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752426 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact anonymous_9775:{ *:[v2i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact),
     /* 752429 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752438 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752456 */     GIR_RootConstrainSelectedInstOperands,
     /* 752457 */     // GIR_Coverage, 5384,
     /* 752457 */     GIR_EraseRootFromParent_Done,
     /* 752458 */   // Label 9933: @752458
     /* 752458 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(752528), // Rule ID 5373 //
     /* 752463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752466 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752470 */     // MIs[0] offset
     /* 752470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752473 */     // MIs[0] auxiliary
     /* 752473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752476 */     // MIs[0] Operand 7
     /* 752476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752494 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_OFFEN_exact),
     /* 752497 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752499 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 752501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752508 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752510 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752516 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752526 */     GIR_RootConstrainSelectedInstOperands,
     /* 752527 */     // GIR_Coverage, 5373,
     /* 752527 */     GIR_EraseRootFromParent_Done,
     /* 752528 */   // Label 9934: @752528
     /* 752528 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(752598), // Rule ID 5377 //
     /* 752533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752536 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752540 */     // MIs[0] offset
     /* 752540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752543 */     // MIs[0] auxiliary
     /* 752543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752546 */     // MIs[0] Operand 7
     /* 752546 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752564 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact),
     /* 752567 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752569 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 752571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752578 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752580 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752586 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752596 */     GIR_RootConstrainSelectedInstOperands,
     /* 752597 */     // GIR_Coverage, 5377,
     /* 752597 */     GIR_EraseRootFromParent_Done,
     /* 752598 */   // Label 9935: @752598
     /* 752598 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(752668), // Rule ID 5381 //
     /* 752603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752610 */     // MIs[0] offset
     /* 752610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752613 */     // MIs[0] auxiliary
     /* 752613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752616 */     // MIs[0] Operand 7
     /* 752616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752634 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_OFFEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_OFFEN_exact),
     /* 752637 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752639 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 752641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752648 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752650 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752656 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752666 */     GIR_RootConstrainSelectedInstOperands,
     /* 752667 */     // GIR_Coverage, 5381,
     /* 752667 */     GIR_EraseRootFromParent_Done,
     /* 752668 */   // Label 9936: @752668
     /* 752668 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(752738), // Rule ID 5385 //
     /* 752673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752676 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 752680 */     // MIs[0] offset
     /* 752680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752683 */     // MIs[0] auxiliary
     /* 752683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752686 */     // MIs[0] Operand 7
     /* 752686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 752697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752704 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact),
     /* 752707 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752709 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 752711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752718 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752720 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752726 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752736 */     GIR_RootConstrainSelectedInstOperands,
     /* 752737 */     // GIR_Coverage, 5385,
     /* 752737 */     GIR_EraseRootFromParent_Done,
     /* 752738 */   // Label 9937: @752738
     /* 752738 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(752800), // Rule ID 5374 //
     /* 752743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752750 */     // MIs[0] offset
     /* 752750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752753 */     // MIs[0] auxiliary
     /* 752753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752756 */     // MIs[0] Operand 7
     /* 752756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 752759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752766 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_IDXEN_exact),
     /* 752769 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752771 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 752773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752780 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752798 */     GIR_RootConstrainSelectedInstOperands,
     /* 752799 */     // GIR_Coverage, 5374,
     /* 752799 */     GIR_EraseRootFromParent_Done,
     /* 752800 */   // Label 9938: @752800
     /* 752800 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(752862), // Rule ID 5378 //
     /* 752805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752812 */     // MIs[0] offset
     /* 752812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752815 */     // MIs[0] auxiliary
     /* 752815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752818 */     // MIs[0] Operand 7
     /* 752818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 752821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752828 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact),
     /* 752831 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752833 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 752835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752842 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752844 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752850 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752860 */     GIR_RootConstrainSelectedInstOperands,
     /* 752861 */     // GIR_Coverage, 5378,
     /* 752861 */     GIR_EraseRootFromParent_Done,
     /* 752862 */   // Label 9939: @752862
     /* 752862 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(752924), // Rule ID 5382 //
     /* 752867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752870 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752874 */     // MIs[0] offset
     /* 752874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752877 */     // MIs[0] auxiliary
     /* 752877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752880 */     // MIs[0] Operand 7
     /* 752880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 752883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752890 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_IDXEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_IDXEN_exact),
     /* 752893 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752895 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 752897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752904 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752906 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752912 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752922 */     GIR_RootConstrainSelectedInstOperands,
     /* 752923 */     // GIR_Coverage, 5382,
     /* 752923 */     GIR_EraseRootFromParent_Done,
     /* 752924 */   // Label 9940: @752924
     /* 752924 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(752986), // Rule ID 5386 //
     /* 752929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 752932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 752936 */     // MIs[0] offset
     /* 752936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752939 */     // MIs[0] auxiliary
     /* 752939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 752942 */     // MIs[0] Operand 7
     /* 752942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 752945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 752952 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 752952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact),
     /* 752955 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 752957 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 752959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 752961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 752966 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 752968 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 752974 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 752980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 752984 */     GIR_RootConstrainSelectedInstOperands,
     /* 752985 */     // GIR_Coverage, 5386,
     /* 752985 */     GIR_EraseRootFromParent_Done,
     /* 752986 */   // Label 9941: @752986
     /* 752986 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(753086), // Rule ID 5375 //
     /* 752991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 752994 */     // MIs[0] offset
     /* 752994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 752997 */     // MIs[0] auxiliary
     /* 752997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753000 */     // MIs[0] Operand 7
     /* 753000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753010 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753026 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753033 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact),
     /* 753054 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 753059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753066 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753068 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753074 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753084 */     GIR_RootConstrainSelectedInstOperands,
     /* 753085 */     // GIR_Coverage, 5375,
     /* 753085 */     GIR_EraseRootFromParent_Done,
     /* 753086 */   // Label 9942: @753086
     /* 753086 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(753186), // Rule ID 5379 //
     /* 753091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 753094 */     // MIs[0] offset
     /* 753094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753097 */     // MIs[0] auxiliary
     /* 753097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753100 */     // MIs[0] Operand 7
     /* 753100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753110 */     // (SIbuffer_store_format_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753126 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753133 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753141 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753146 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact),
     /* 753154 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 753159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753166 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753174 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753184 */     GIR_RootConstrainSelectedInstOperands,
     /* 753185 */     // GIR_Coverage, 5379,
     /* 753185 */     GIR_EraseRootFromParent_Done,
     /* 753186 */   // Label 9943: @753186
     /* 753186 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(753286), // Rule ID 5383 //
     /* 753191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 753194 */     // MIs[0] offset
     /* 753194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753197 */     // MIs[0] auxiliary
     /* 753197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753200 */     // MIs[0] Operand 7
     /* 753200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753210 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753226 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753233 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact),
     /* 753254 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 753259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753266 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753268 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753274 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753284 */     GIR_RootConstrainSelectedInstOperands,
     /* 753285 */     // GIR_Coverage, 5383,
     /* 753285 */     GIR_EraseRootFromParent_Done,
     /* 753286 */   // Label 9944: @753286
     /* 753286 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(753386), // Rule ID 5387 //
     /* 753291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 753294 */     // MIs[0] offset
     /* 753294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753297 */     // MIs[0] auxiliary
     /* 753297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753300 */     // MIs[0] Operand 7
     /* 753300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753310 */     // (SIbuffer_store_format_d16 v2i16:{ *:[v2i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[v2i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753326 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753333 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact),
     /* 753354 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 753359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753366 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753384 */     GIR_RootConstrainSelectedInstOperands,
     /* 753385 */     // GIR_Coverage, 5387,
     /* 753385 */     GIR_EraseRootFromParent_Done,
     /* 753386 */   // Label 9945: @753386
     /* 753386 */   GIM_Reject,
     /* 753387 */ // Label 9929: @753387
     /* 753387 */ GIM_Reject,
     /* 753388 */ // Label 9886: @753388
     /* 753388 */ GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(753710),
     /* 753393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 753396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 753399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 753402 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 753405 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(753477), // Rule ID 5336 //
     /* 753410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 753417 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 753421 */     // MIs[0] offset
     /* 753421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753424 */     // MIs[0] auxiliary
     /* 753424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753427 */     // MIs[0] Operand 7
     /* 753427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 753438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753445 */     // (SIbuffer_store_format_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_gfx80_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_gfx80_OFFSET_exact),
     /* 753448 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753457 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753459 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753465 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753475 */     GIR_RootConstrainSelectedInstOperands,
     /* 753476 */     // GIR_Coverage, 5336,
     /* 753476 */     GIR_EraseRootFromParent_Done,
     /* 753477 */   // Label 9947: @753477
     /* 753477 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(753547), // Rule ID 5337 //
     /* 753482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753485 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 753489 */     // MIs[0] offset
     /* 753489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753492 */     // MIs[0] auxiliary
     /* 753492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753495 */     // MIs[0] Operand 7
     /* 753495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 753506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753513 */     // (SIbuffer_store_format_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XY_gfx80_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_gfx80_OFFEN_exact),
     /* 753516 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753518 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 753520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753527 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753529 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753535 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753545 */     GIR_RootConstrainSelectedInstOperands,
     /* 753546 */     // GIR_Coverage, 5337,
     /* 753546 */     GIR_EraseRootFromParent_Done,
     /* 753547 */   // Label 9948: @753547
     /* 753547 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(753609), // Rule ID 5338 //
     /* 753552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753555 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 753559 */     // MIs[0] offset
     /* 753559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753562 */     // MIs[0] auxiliary
     /* 753562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753565 */     // MIs[0] Operand 7
     /* 753565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753575 */     // (SIbuffer_store_format_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_gfx80_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_gfx80_IDXEN_exact),
     /* 753578 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753580 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 753582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753589 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753591 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753607 */     GIR_RootConstrainSelectedInstOperands,
     /* 753608 */     // GIR_Coverage, 5338,
     /* 753608 */     GIR_EraseRootFromParent_Done,
     /* 753609 */   // Label 9949: @753609
     /* 753609 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(753709), // Rule ID 5339 //
     /* 753614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753617 */     // MIs[0] offset
     /* 753617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753620 */     // MIs[0] auxiliary
     /* 753620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753623 */     // MIs[0] Operand 7
     /* 753623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753633 */     // (SIbuffer_store_format_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XY_gfx80_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753649 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753656 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753659 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753664 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753669 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XY_gfx80_BOTHEN_exact),
     /* 753677 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 753682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753689 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753691 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753697 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753707 */     GIR_RootConstrainSelectedInstOperands,
     /* 753708 */     // GIR_Coverage, 5339,
     /* 753708 */     GIR_EraseRootFromParent_Done,
     /* 753709 */   // Label 9950: @753709
     /* 753709 */   GIM_Reject,
     /* 753710 */ // Label 9946: @753710
     /* 753710 */ GIM_Reject,
     /* 753711 */ // Label 9887: @753711
     /* 753711 */ GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(754033),
     /* 753716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 753719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 753722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 753725 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 753728 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(753800), // Rule ID 5340 //
     /* 753733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 753740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 753744 */     // MIs[0] offset
     /* 753744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753747 */     // MIs[0] auxiliary
     /* 753747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753750 */     // MIs[0] Operand 7
     /* 753750 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 753761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753768 */     // (SIbuffer_store_format_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFSET_exact),
     /* 753771 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753780 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753798 */     GIR_RootConstrainSelectedInstOperands,
     /* 753799 */     // GIR_Coverage, 5340,
     /* 753799 */     GIR_EraseRootFromParent_Done,
     /* 753800 */   // Label 9952: @753800
     /* 753800 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(753870), // Rule ID 5341 //
     /* 753805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 753812 */     // MIs[0] offset
     /* 753812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753815 */     // MIs[0] auxiliary
     /* 753815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753818 */     // MIs[0] Operand 7
     /* 753818 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 753829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753836 */     // (SIbuffer_store_format_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFEN_exact),
     /* 753839 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753841 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 753843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753850 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753852 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753858 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753868 */     GIR_RootConstrainSelectedInstOperands,
     /* 753869 */     // GIR_Coverage, 5341,
     /* 753869 */     GIR_EraseRootFromParent_Done,
     /* 753870 */   // Label 9953: @753870
     /* 753870 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(753932), // Rule ID 5342 //
     /* 753875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 753882 */     // MIs[0] offset
     /* 753882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753885 */     // MIs[0] auxiliary
     /* 753885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753888 */     // MIs[0] Operand 7
     /* 753888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753898 */     // (SIbuffer_store_format_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZ_gfx80_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_gfx80_IDXEN_exact),
     /* 753901 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 753903 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 753905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 753907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 753912 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 753914 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 753920 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 753926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 753930 */     GIR_RootConstrainSelectedInstOperands,
     /* 753931 */     // GIR_Coverage, 5342,
     /* 753931 */     GIR_EraseRootFromParent_Done,
     /* 753932 */   // Label 9954: @753932
     /* 753932 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(754032), // Rule ID 5343 //
     /* 753937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 753940 */     // MIs[0] offset
     /* 753940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 753943 */     // MIs[0] auxiliary
     /* 753943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 753946 */     // MIs[0] Operand 7
     /* 753946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 753949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 753956 */     // (SIbuffer_store_format_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZ_gfx80_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 753956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 753959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 753963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 753968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 753972 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 753975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 753979 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 753982 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 753987 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 753997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_gfx80_BOTHEN_exact),
     /* 754000 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 754005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754012 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754014 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754030 */     GIR_RootConstrainSelectedInstOperands,
     /* 754031 */     // GIR_Coverage, 5343,
     /* 754031 */     GIR_EraseRootFromParent_Done,
     /* 754032 */   // Label 9955: @754032
     /* 754032 */   GIM_Reject,
     /* 754033 */ // Label 9951: @754033
     /* 754033 */ GIM_Reject,
     /* 754034 */ // Label 9888: @754034
     /* 754034 */ GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(756596),
     /* 754039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 754042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 754045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 754048 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 754051 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(754130), // Rule ID 5388 //
     /* 754056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754066 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754070 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754074 */     // MIs[0] offset
     /* 754074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754077 */     // MIs[0] auxiliary
     /* 754077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754080 */     // MIs[0] Operand 7
     /* 754080 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754098 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact),
     /* 754101 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754110 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754112 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754118 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754128 */     GIR_RootConstrainSelectedInstOperands,
     /* 754129 */     // GIR_Coverage, 5388,
     /* 754129 */     GIR_EraseRootFromParent_Done,
     /* 754130 */   // Label 9957: @754130
     /* 754130 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(754209), // Rule ID 5392 //
     /* 754135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754145 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754149 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754153 */     // MIs[0] offset
     /* 754153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754156 */     // MIs[0] auxiliary
     /* 754156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754159 */     // MIs[0] Operand 7
     /* 754159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754177 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact),
     /* 754180 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754189 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754191 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754197 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754207 */     GIR_RootConstrainSelectedInstOperands,
     /* 754208 */     // GIR_Coverage, 5392,
     /* 754208 */     GIR_EraseRootFromParent_Done,
     /* 754209 */   // Label 9958: @754209
     /* 754209 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(754288), // Rule ID 5396 //
     /* 754214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754228 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754232 */     // MIs[0] offset
     /* 754232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754235 */     // MIs[0] auxiliary
     /* 754235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754238 */     // MIs[0] Operand 7
     /* 754238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754256 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact),
     /* 754259 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754268 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754270 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754276 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754286 */     GIR_RootConstrainSelectedInstOperands,
     /* 754287 */     // GIR_Coverage, 5396,
     /* 754287 */     GIR_EraseRootFromParent_Done,
     /* 754288 */   // Label 9959: @754288
     /* 754288 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(754367), // Rule ID 5400 //
     /* 754293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754311 */     // MIs[0] offset
     /* 754311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754314 */     // MIs[0] auxiliary
     /* 754314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754317 */     // MIs[0] Operand 7
     /* 754317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754335 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact),
     /* 754338 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754347 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754349 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754355 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754365 */     GIR_RootConstrainSelectedInstOperands,
     /* 754366 */     // GIR_Coverage, 5400,
     /* 754366 */     GIR_EraseRootFromParent_Done,
     /* 754367 */   // Label 9960: @754367
     /* 754367 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(754439), // Rule ID 5404 //
     /* 754372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754375 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754379 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754383 */     // MIs[0] offset
     /* 754383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754386 */     // MIs[0] auxiliary
     /* 754386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754389 */     // MIs[0] Operand 7
     /* 754389 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754407 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact),
     /* 754410 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754419 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754421 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754427 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754437 */     GIR_RootConstrainSelectedInstOperands,
     /* 754438 */     // GIR_Coverage, 5404,
     /* 754438 */     GIR_EraseRootFromParent_Done,
     /* 754439 */   // Label 9961: @754439
     /* 754439 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(754511), // Rule ID 5408 //
     /* 754444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754447 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754451 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754455 */     // MIs[0] offset
     /* 754455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754458 */     // MIs[0] auxiliary
     /* 754458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754461 */     // MIs[0] Operand 7
     /* 754461 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754479 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact),
     /* 754482 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754491 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754499 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754509 */     GIR_RootConstrainSelectedInstOperands,
     /* 754510 */     // GIR_Coverage, 5408,
     /* 754510 */     GIR_EraseRootFromParent_Done,
     /* 754511 */   // Label 9962: @754511
     /* 754511 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(754583), // Rule ID 5412 //
     /* 754516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754523 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754527 */     // MIs[0] offset
     /* 754527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754530 */     // MIs[0] auxiliary
     /* 754530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754533 */     // MIs[0] Operand 7
     /* 754533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754551 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact),
     /* 754554 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754563 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754565 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754571 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754581 */     GIR_RootConstrainSelectedInstOperands,
     /* 754582 */     // GIR_Coverage, 5412,
     /* 754582 */     GIR_EraseRootFromParent_Done,
     /* 754583 */   // Label 9963: @754583
     /* 754583 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(754655), // Rule ID 5416 //
     /* 754588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754595 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 754599 */     // MIs[0] offset
     /* 754599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754602 */     // MIs[0] auxiliary
     /* 754602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754605 */     // MIs[0] Operand 7
     /* 754605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754623 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4i16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact),
     /* 754626 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754635 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754637 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754643 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754653 */     GIR_RootConstrainSelectedInstOperands,
     /* 754654 */     // GIR_Coverage, 5416,
     /* 754654 */     GIR_EraseRootFromParent_Done,
     /* 754655 */   // Label 9964: @754655
     /* 754655 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(754732), // Rule ID 5389 //
     /* 754660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754670 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754674 */     // MIs[0] offset
     /* 754674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754677 */     // MIs[0] auxiliary
     /* 754677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754680 */     // MIs[0] Operand 7
     /* 754680 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754698 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact),
     /* 754701 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754703 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 754705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754712 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754714 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754720 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754730 */     GIR_RootConstrainSelectedInstOperands,
     /* 754731 */     // GIR_Coverage, 5389,
     /* 754731 */     GIR_EraseRootFromParent_Done,
     /* 754732 */   // Label 9965: @754732
     /* 754732 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(754809), // Rule ID 5393 //
     /* 754737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754751 */     // MIs[0] offset
     /* 754751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754754 */     // MIs[0] auxiliary
     /* 754754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754757 */     // MIs[0] Operand 7
     /* 754757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754775 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact),
     /* 754778 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754780 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 754782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754789 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754791 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754797 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754807 */     GIR_RootConstrainSelectedInstOperands,
     /* 754808 */     // GIR_Coverage, 5393,
     /* 754808 */     GIR_EraseRootFromParent_Done,
     /* 754809 */   // Label 9966: @754809
     /* 754809 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(754886), // Rule ID 5397 //
     /* 754814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754828 */     // MIs[0] offset
     /* 754828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754831 */     // MIs[0] auxiliary
     /* 754831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754834 */     // MIs[0] Operand 7
     /* 754834 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754852 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact),
     /* 754855 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754857 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 754859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754866 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754868 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754874 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754884 */     GIR_RootConstrainSelectedInstOperands,
     /* 754885 */     // GIR_Coverage, 5397,
     /* 754885 */     GIR_EraseRootFromParent_Done,
     /* 754886 */   // Label 9967: @754886
     /* 754886 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(754963), // Rule ID 5401 //
     /* 754891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 754894 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 754901 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754905 */     // MIs[0] offset
     /* 754905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754908 */     // MIs[0] auxiliary
     /* 754908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754911 */     // MIs[0] Operand 7
     /* 754911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754929 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact),
     /* 754932 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 754934 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 754936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 754938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 754943 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 754945 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 754951 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 754957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 754961 */     GIR_RootConstrainSelectedInstOperands,
     /* 754962 */     // GIR_Coverage, 5401,
     /* 754962 */     GIR_EraseRootFromParent_Done,
     /* 754963 */   // Label 9968: @754963
     /* 754963 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(755033), // Rule ID 5405 //
     /* 754968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 754971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 754975 */     // MIs[0] offset
     /* 754975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 754978 */     // MIs[0] auxiliary
     /* 754978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 754981 */     // MIs[0] Operand 7
     /* 754981 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 754992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 754999 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 754999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact),
     /* 755002 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755004 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 755006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755013 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755015 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755021 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755031 */     GIR_RootConstrainSelectedInstOperands,
     /* 755032 */     // GIR_Coverage, 5405,
     /* 755032 */     GIR_EraseRootFromParent_Done,
     /* 755033 */   // Label 9969: @755033
     /* 755033 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(755103), // Rule ID 5409 //
     /* 755038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755041 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 755045 */     // MIs[0] offset
     /* 755045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755048 */     // MIs[0] auxiliary
     /* 755048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755051 */     // MIs[0] Operand 7
     /* 755051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 755062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755069 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact),
     /* 755072 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755074 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 755076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755083 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755091 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755101 */     GIR_RootConstrainSelectedInstOperands,
     /* 755102 */     // GIR_Coverage, 5409,
     /* 755102 */     GIR_EraseRootFromParent_Done,
     /* 755103 */   // Label 9970: @755103
     /* 755103 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(755173), // Rule ID 5413 //
     /* 755108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755111 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 755115 */     // MIs[0] offset
     /* 755115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755118 */     // MIs[0] auxiliary
     /* 755118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755121 */     // MIs[0] Operand 7
     /* 755121 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 755132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755139 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact),
     /* 755142 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755144 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 755146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755153 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755155 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755161 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755171 */     GIR_RootConstrainSelectedInstOperands,
     /* 755172 */     // GIR_Coverage, 5413,
     /* 755172 */     GIR_EraseRootFromParent_Done,
     /* 755173 */   // Label 9971: @755173
     /* 755173 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(755243), // Rule ID 5417 //
     /* 755178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 755185 */     // MIs[0] offset
     /* 755185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755188 */     // MIs[0] auxiliary
     /* 755188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755191 */     // MIs[0] Operand 7
     /* 755191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 755202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755209 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact),
     /* 755212 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755214 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 755216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755223 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755231 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755241 */     GIR_RootConstrainSelectedInstOperands,
     /* 755242 */     // GIR_Coverage, 5417,
     /* 755242 */     GIR_EraseRootFromParent_Done,
     /* 755243 */   // Label 9972: @755243
     /* 755243 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(755312), // Rule ID 5390 //
     /* 755248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755262 */     // MIs[0] offset
     /* 755262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755265 */     // MIs[0] auxiliary
     /* 755265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755268 */     // MIs[0] Operand 7
     /* 755268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755278 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact),
     /* 755281 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755283 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755292 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755300 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755310 */     GIR_RootConstrainSelectedInstOperands,
     /* 755311 */     // GIR_Coverage, 5390,
     /* 755311 */     GIR_EraseRootFromParent_Done,
     /* 755312 */   // Label 9973: @755312
     /* 755312 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(755381), // Rule ID 5394 //
     /* 755317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755331 */     // MIs[0] offset
     /* 755331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755334 */     // MIs[0] auxiliary
     /* 755334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755337 */     // MIs[0] Operand 7
     /* 755337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755347 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact),
     /* 755350 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755352 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755361 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755363 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755369 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755379 */     GIR_RootConstrainSelectedInstOperands,
     /* 755380 */     // GIR_Coverage, 5394,
     /* 755380 */     GIR_EraseRootFromParent_Done,
     /* 755381 */   // Label 9974: @755381
     /* 755381 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(755450), // Rule ID 5398 //
     /* 755386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755400 */     // MIs[0] offset
     /* 755400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755403 */     // MIs[0] auxiliary
     /* 755403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755406 */     // MIs[0] Operand 7
     /* 755406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755416 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact),
     /* 755419 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755421 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755430 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755432 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755438 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755448 */     GIR_RootConstrainSelectedInstOperands,
     /* 755449 */     // GIR_Coverage, 5398,
     /* 755449 */     GIR_EraseRootFromParent_Done,
     /* 755450 */   // Label 9975: @755450
     /* 755450 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(755519), // Rule ID 5402 //
     /* 755455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755469 */     // MIs[0] offset
     /* 755469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755472 */     // MIs[0] auxiliary
     /* 755472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755475 */     // MIs[0] Operand 7
     /* 755475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755485 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact),
     /* 755488 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755490 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755499 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755501 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755507 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755517 */     GIR_RootConstrainSelectedInstOperands,
     /* 755518 */     // GIR_Coverage, 5402,
     /* 755518 */     GIR_EraseRootFromParent_Done,
     /* 755519 */   // Label 9976: @755519
     /* 755519 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(755581), // Rule ID 5406 //
     /* 755524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755527 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755531 */     // MIs[0] offset
     /* 755531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755534 */     // MIs[0] auxiliary
     /* 755534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755537 */     // MIs[0] Operand 7
     /* 755537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755547 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact),
     /* 755550 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755552 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755561 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755563 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755569 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755579 */     GIR_RootConstrainSelectedInstOperands,
     /* 755580 */     // GIR_Coverage, 5406,
     /* 755580 */     GIR_EraseRootFromParent_Done,
     /* 755581 */   // Label 9977: @755581
     /* 755581 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(755643), // Rule ID 5410 //
     /* 755586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755589 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755593 */     // MIs[0] offset
     /* 755593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755596 */     // MIs[0] auxiliary
     /* 755596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755599 */     // MIs[0] Operand 7
     /* 755599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755609 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact),
     /* 755612 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755614 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755623 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755625 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755631 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755641 */     GIR_RootConstrainSelectedInstOperands,
     /* 755642 */     // GIR_Coverage, 5410,
     /* 755642 */     GIR_EraseRootFromParent_Done,
     /* 755643 */   // Label 9978: @755643
     /* 755643 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(755705), // Rule ID 5414 //
     /* 755648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755651 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755655 */     // MIs[0] offset
     /* 755655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755658 */     // MIs[0] auxiliary
     /* 755658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755661 */     // MIs[0] Operand 7
     /* 755661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755671 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact),
     /* 755674 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755676 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755685 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755687 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755693 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755703 */     GIR_RootConstrainSelectedInstOperands,
     /* 755704 */     // GIR_Coverage, 5414,
     /* 755704 */     GIR_EraseRootFromParent_Done,
     /* 755705 */   // Label 9979: @755705
     /* 755705 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(755767), // Rule ID 5418 //
     /* 755710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755713 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 755717 */     // MIs[0] offset
     /* 755717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755720 */     // MIs[0] auxiliary
     /* 755720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755723 */     // MIs[0] Operand 7
     /* 755723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755733 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact),
     /* 755736 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755738 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 755740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755747 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755765 */     GIR_RootConstrainSelectedInstOperands,
     /* 755766 */     // GIR_Coverage, 5418,
     /* 755766 */     GIR_EraseRootFromParent_Done,
     /* 755767 */   // Label 9980: @755767
     /* 755767 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(755874), // Rule ID 5391 //
     /* 755772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755782 */     // MIs[0] offset
     /* 755782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755785 */     // MIs[0] auxiliary
     /* 755785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755788 */     // MIs[0] Operand 7
     /* 755788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755798 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 755801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 755805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 755810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 755814 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 755817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 755821 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 755824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 755829 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 755834 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 755839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact),
     /* 755842 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 755847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755854 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755856 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755862 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755872 */     GIR_RootConstrainSelectedInstOperands,
     /* 755873 */     // GIR_Coverage, 5391,
     /* 755873 */     GIR_EraseRootFromParent_Done,
     /* 755874 */   // Label 9981: @755874
     /* 755874 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(755981), // Rule ID 5395 //
     /* 755879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 755882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755889 */     // MIs[0] offset
     /* 755889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755892 */     // MIs[0] auxiliary
     /* 755892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 755895 */     // MIs[0] Operand 7
     /* 755895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 755898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 755905 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32126>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 755905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 755908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 755912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 755917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 755921 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 755924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 755928 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 755931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 755936 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 755941 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 755946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact),
     /* 755949 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 755951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 755954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 755956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 755961 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 755963 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 755969 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 755975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 755979 */     GIR_RootConstrainSelectedInstOperands,
     /* 755980 */     // GIR_Coverage, 5395,
     /* 755980 */     GIR_EraseRootFromParent_Done,
     /* 755981 */   // Label 9982: @755981
     /* 755981 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(756088), // Rule ID 5399 //
     /* 755986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 755989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 755996 */     // MIs[0] offset
     /* 755996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 755999 */     // MIs[0] auxiliary
     /* 755999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756002 */     // MIs[0] Operand 7
     /* 756002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756012 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756028 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756035 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756038 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756043 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756048 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact),
     /* 756056 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756068 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756070 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756076 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756086 */     GIR_RootConstrainSelectedInstOperands,
     /* 756087 */     // GIR_Coverage, 5399,
     /* 756087 */     GIR_EraseRootFromParent_Done,
     /* 756088 */   // Label 9983: @756088
     /* 756088 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(756195), // Rule ID 5403 //
     /* 756093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 756096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 756103 */     // MIs[0] offset
     /* 756103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756106 */     // MIs[0] auxiliary
     /* 756106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756109 */     // MIs[0] Operand 7
     /* 756109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756119 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_32136>>  =>  (BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756135 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756142 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756155 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact),
     /* 756163 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756175 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756177 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756183 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756193 */     GIR_RootConstrainSelectedInstOperands,
     /* 756194 */     // GIR_Coverage, 5403,
     /* 756194 */     GIR_EraseRootFromParent_Done,
     /* 756195 */   // Label 9984: @756195
     /* 756195 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(756295), // Rule ID 5407 //
     /* 756200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 756203 */     // MIs[0] offset
     /* 756203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756206 */     // MIs[0] auxiliary
     /* 756206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756209 */     // MIs[0] Operand 7
     /* 756209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756219 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756235 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756242 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756245 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756250 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756255 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact),
     /* 756263 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756275 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756283 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756293 */     GIR_RootConstrainSelectedInstOperands,
     /* 756294 */     // GIR_Coverage, 5407,
     /* 756294 */     GIR_EraseRootFromParent_Done,
     /* 756295 */   // Label 9985: @756295
     /* 756295 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(756395), // Rule ID 5411 //
     /* 756300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 756303 */     // MIs[0] offset
     /* 756303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756306 */     // MIs[0] auxiliary
     /* 756306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756309 */     // MIs[0] Operand 7
     /* 756309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756319 */     // (SIbuffer_store_format_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756335 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756342 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756345 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact),
     /* 756363 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756375 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756377 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756383 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756393 */     GIR_RootConstrainSelectedInstOperands,
     /* 756394 */     // GIR_Coverage, 5411,
     /* 756394 */     GIR_EraseRootFromParent_Done,
     /* 756395 */   // Label 9986: @756395
     /* 756395 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(756495), // Rule ID 5415 //
     /* 756400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 756403 */     // MIs[0] offset
     /* 756403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756406 */     // MIs[0] auxiliary
     /* 756406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756409 */     // MIs[0] Operand 7
     /* 756409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756419 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756435 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756442 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756445 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756455 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact),
     /* 756463 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756475 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756477 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756483 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756493 */     GIR_RootConstrainSelectedInstOperands,
     /* 756494 */     // GIR_Coverage, 5415,
     /* 756494 */     GIR_EraseRootFromParent_Done,
     /* 756495 */   // Label 9987: @756495
     /* 756495 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(756595), // Rule ID 5419 //
     /* 756500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 756503 */     // MIs[0] offset
     /* 756503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756506 */     // MIs[0] auxiliary
     /* 756506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756509 */     // MIs[0] Operand 7
     /* 756509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756519 */     // (SIbuffer_store_format_d16 v4i16:{ *:[v4i16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4i16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756535 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756542 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact),
     /* 756563 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756575 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756577 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756583 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756593 */     GIR_RootConstrainSelectedInstOperands,
     /* 756594 */     // GIR_Coverage, 5419,
     /* 756594 */     GIR_EraseRootFromParent_Done,
     /* 756595 */   // Label 9988: @756595
     /* 756595 */   GIM_Reject,
     /* 756596 */ // Label 9956: @756596
     /* 756596 */ GIM_Reject,
     /* 756597 */ // Label 9889: @756597
     /* 756597 */ GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(756919),
     /* 756602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 756605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 756608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 756611 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 756614 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(756686), // Rule ID 5344 //
     /* 756619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 756622 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 756626 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 756630 */     // MIs[0] offset
     /* 756630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756633 */     // MIs[0] auxiliary
     /* 756633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756636 */     // MIs[0] Operand 7
     /* 756636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 756647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756654 */     // (SIbuffer_store_format_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFSET_exact),
     /* 756657 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756666 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756668 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756674 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756684 */     GIR_RootConstrainSelectedInstOperands,
     /* 756685 */     // GIR_Coverage, 5344,
     /* 756685 */     GIR_EraseRootFromParent_Done,
     /* 756686 */   // Label 9990: @756686
     /* 756686 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(756756), // Rule ID 5345 //
     /* 756691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 756694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 756698 */     // MIs[0] offset
     /* 756698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756701 */     // MIs[0] auxiliary
     /* 756701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756704 */     // MIs[0] Operand 7
     /* 756704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 756715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756722 */     // (SIbuffer_store_format_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFEN_exact),
     /* 756725 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756727 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 756729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756736 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756738 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756744 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756754 */     GIR_RootConstrainSelectedInstOperands,
     /* 756755 */     // GIR_Coverage, 5345,
     /* 756755 */     GIR_EraseRootFromParent_Done,
     /* 756756 */   // Label 9991: @756756
     /* 756756 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(756818), // Rule ID 5346 //
     /* 756761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 756764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 756768 */     // MIs[0] offset
     /* 756768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756771 */     // MIs[0] auxiliary
     /* 756771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756774 */     // MIs[0] Operand 7
     /* 756774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756784 */     // (SIbuffer_store_format_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_gfx80_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_gfx80_IDXEN_exact),
     /* 756787 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756789 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 756791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756798 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756806 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756816 */     GIR_RootConstrainSelectedInstOperands,
     /* 756817 */     // GIR_Coverage, 5346,
     /* 756817 */     GIR_EraseRootFromParent_Done,
     /* 756818 */   // Label 9992: @756818
     /* 756818 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(756918), // Rule ID 5347 //
     /* 756823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 756826 */     // MIs[0] offset
     /* 756826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756829 */     // MIs[0] auxiliary
     /* 756829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756832 */     // MIs[0] Operand 7
     /* 756832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 756835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756842 */     // (SIbuffer_store_format_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_FORMAT_D16_XYZW_gfx80_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 756845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 756849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 756854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 756858 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 756861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 756865 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 756868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 756873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 756883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_FORMAT_D16_XYZW_gfx80_BOTHEN_exact),
     /* 756886 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 756891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756898 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 756900 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 756906 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 756912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 756916 */     GIR_RootConstrainSelectedInstOperands,
     /* 756917 */     // GIR_Coverage, 5347,
     /* 756917 */     GIR_EraseRootFromParent_Done,
     /* 756918 */   // Label 9993: @756918
     /* 756918 */   GIM_Reject,
     /* 756919 */ // Label 9989: @756919
     /* 756919 */ GIM_Reject,
     /* 756920 */ // Label 9890: @756920
     /* 756920 */ GIM_Reject,
     /* 756921 */ // Label 144: @756921
     /* 756921 */ GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(757522),
     /* 756926 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 756929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 756932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 756935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 756938 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 756941 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(757213),
     /* 756946 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 756950 */     GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(757018), // Rule ID 5628 //
     /* 756955 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 756958 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 756962 */       // MIs[0] offset
     /* 756962 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 756965 */       // MIs[0] auxiliary
     /* 756965 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 756968 */       // MIs[0] Operand 7
     /* 756968 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 756979 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 756986 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_SHORT_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 756986 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFSET_exact),
     /* 756989 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 756991 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 756993 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 756998 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757000 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757006 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757012 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757016 */       GIR_RootConstrainSelectedInstOperands,
     /* 757017 */       // GIR_Coverage, 5628,
     /* 757017 */       GIR_EraseRootFromParent_Done,
     /* 757018 */     // Label 9996: @757018
     /* 757018 */     GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(757083), // Rule ID 5632 //
     /* 757023 */       GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 757027 */       // MIs[0] offset
     /* 757027 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 757030 */       // MIs[0] auxiliary
     /* 757030 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 757033 */       // MIs[0] Operand 7
     /* 757033 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 757044 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757051 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757051 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFSET_exact),
     /* 757054 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757056 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757058 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757063 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757065 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757071 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757077 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757081 */       GIR_RootConstrainSelectedInstOperands,
     /* 757082 */       // GIR_Coverage, 5632,
     /* 757082 */       GIR_EraseRootFromParent_Done,
     /* 757083 */     // Label 9997: @757083
     /* 757083 */     GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(757149), // Rule ID 5629 //
     /* 757088 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 757091 */       // MIs[0] offset
     /* 757091 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 757094 */       // MIs[0] auxiliary
     /* 757094 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 757097 */       // MIs[0] Operand 7
     /* 757097 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 757108 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757115 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_SHORT_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757115 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_OFFEN_exact),
     /* 757118 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757120 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 757122 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757124 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757129 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757131 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757137 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757143 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757147 */       GIR_RootConstrainSelectedInstOperands,
     /* 757148 */       // GIR_Coverage, 5629,
     /* 757148 */       GIR_EraseRootFromParent_Done,
     /* 757149 */     // Label 9998: @757149
     /* 757149 */     GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(757212), // Rule ID 5633 //
     /* 757154 */       // MIs[0] offset
     /* 757154 */       GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 757157 */       // MIs[0] auxiliary
     /* 757157 */       GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 757160 */       // MIs[0] Operand 7
     /* 757160 */       GIM_CheckLiteralInt, /*MI*/0, /*Op*/7, GIMT_Encode8(0),
     /* 757171 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757178 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (BUFFER_STORE_SHORT_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757178 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_OFFEN_exact),
     /* 757181 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757183 */       GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 757185 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757187 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757192 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757194 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757200 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757206 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757210 */       GIR_RootConstrainSelectedInstOperands,
     /* 757211 */       // GIR_Coverage, 5633,
     /* 757211 */       GIR_EraseRootFromParent_Done,
     /* 757212 */     // Label 9999: @757212
     /* 757212 */     GIM_Reject,
     /* 757213 */   // Label 9995: @757213
     /* 757213 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(757327),
     /* 757218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 757222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 757225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 757228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 757231 */     GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(757280), // Rule ID 5630 //
     /* 757236 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 757239 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757246 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_SHORT_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757246 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_IDXEN_exact),
     /* 757249 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757251 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 757253 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757255 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757260 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757262 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757268 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757274 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757278 */       GIR_RootConstrainSelectedInstOperands,
     /* 757279 */       // GIR_Coverage, 5630,
     /* 757279 */       GIR_EraseRootFromParent_Done,
     /* 757280 */     // Label 10001: @757280
     /* 757280 */     GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(757326), // Rule ID 5634 //
     /* 757285 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757292 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_SHORT_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757292 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_IDXEN_exact),
     /* 757295 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757297 */       GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 757299 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757301 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757306 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757308 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757314 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757320 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757324 */       GIR_RootConstrainSelectedInstOperands,
     /* 757325 */       // GIR_Coverage, 5634,
     /* 757325 */       GIR_EraseRootFromParent_Done,
     /* 757326 */     // Label 10002: @757326
     /* 757326 */     GIM_Reject,
     /* 757327 */   // Label 10000: @757327
     /* 757327 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(757521),
     /* 757332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 757335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 757338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 757341 */     GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(757432), // Rule ID 5631 //
     /* 757346 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 757349 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757356 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_SHORT_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757356 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 757359 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 757363 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 757368 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 757372 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 757375 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 757379 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 757382 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 757387 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757392 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757397 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_BOTHEN_exact),
     /* 757400 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757402 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 757405 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757407 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757412 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757414 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757420 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757426 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757430 */       GIR_RootConstrainSelectedInstOperands,
     /* 757431 */       // GIR_Coverage, 5631,
     /* 757431 */       GIR_EraseRootFromParent_Done,
     /* 757432 */     // Label 10004: @757432
     /* 757432 */     GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(757520), // Rule ID 5635 //
     /* 757437 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 757444 */       // (SIbuffer_store_short i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (BUFFER_STORE_SHORT_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 757444 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 757447 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 757451 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 757456 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 757460 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 757463 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 757467 */       GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 757470 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 757475 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757480 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757485 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::BUFFER_STORE_SHORT_VBUFFER_BOTHEN_exact),
     /* 757488 */       GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 757490 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 757493 */       GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 757495 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 757500 */       GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 757502 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 757508 */       GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 757514 */       GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 757518 */       GIR_RootConstrainSelectedInstOperands,
     /* 757519 */       // GIR_Coverage, 5635,
     /* 757519 */       GIR_EraseRootFromParent_Done,
     /* 757520 */     // Label 10005: @757520
     /* 757520 */     GIM_Reject,
     /* 757521 */   // Label 10003: @757521
     /* 757521 */   GIM_Reject,
     /* 757522 */ // Label 9994: @757522
     /* 757522 */ GIM_Reject,
     /* 757523 */ // Label 145: @757523
     /* 757523 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(12), /*)*//*default:*//*Label 10010*/ GIMT_Encode4(758461),
     /* 757534 */ /*GILLT_s16*//*Label 10006*/ GIMT_Encode4(757550),
     /* 757538 */ /*GILLT_s32*//*Label 10007*/ GIMT_Encode4(757719),
     /* 757542 */ /*GILLT_s64*//*Label 10008*/ GIMT_Encode4(757772),
     /* 757546 */ /*GILLT_v2s16*//*Label 10009*/ GIMT_Encode4(757882),
     /* 757550 */ // Label 10006: @757550
     /* 757550 */ GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(757718),
     /* 757555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 757558 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(757610), // Rule ID 7419 //
     /* 757563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts),
     /* 757566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757577 */     // (AMDGPUclamp:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_e64),
     /* 757580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757608 */     GIR_RootConstrainSelectedInstOperands,
     /* 757609 */     // GIR_Coverage, 7419,
     /* 757609 */     GIR_EraseRootFromParent_Done,
     /* 757610 */   // Label 10012: @757610
     /* 757610 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(757665), // Rule ID 7420 //
     /* 757615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts),
     /* 757618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 757622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757629 */     // (AMDGPUclamp:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_t16_e64),
     /* 757632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757663 */     GIR_RootConstrainSelectedInstOperands,
     /* 757664 */     // GIR_Coverage, 7420,
     /* 757664 */     GIR_EraseRootFromParent_Done,
     /* 757665 */   // Label 10013: @757665
     /* 757665 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(757717), // Rule ID 7421 //
     /* 757670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts),
     /* 757673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757684 */     // (AMDGPUclamp:{ *:[f16] } (VOP3Mods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F16_fake16_e64),
     /* 757687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757715 */     GIR_RootConstrainSelectedInstOperands,
     /* 757716 */     // GIR_Coverage, 7421,
     /* 757716 */     GIR_EraseRootFromParent_Done,
     /* 757717 */   // Label 10014: @757717
     /* 757717 */   GIM_Reject,
     /* 757718 */ // Label 10011: @757718
     /* 757718 */ GIM_Reject,
     /* 757719 */ // Label 10007: @757719
     /* 757719 */ GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(757771), // Rule ID 7416 //
     /* 757724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 757727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757738 */   // (AMDGPUclamp:{ *:[f32] } (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F32_e64),
     /* 757741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757769 */   GIR_RootConstrainSelectedInstOperands,
     /* 757770 */   // GIR_Coverage, 7416,
     /* 757770 */   GIR_EraseRootFromParent_Done,
     /* 757771 */ // Label 10015: @757771
     /* 757771 */ GIM_Reject,
     /* 757772 */ // Label 10008: @757772
     /* 757772 */ GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(757881),
     /* 757777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 757780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 757784 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(757832), // Rule ID 7417 //
     /* 757789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX12Plus),
     /* 757792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757799 */     // (AMDGPUclamp:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_F64_e64),
     /* 757802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757830 */     GIR_RootConstrainSelectedInstOperands,
     /* 757831 */     // GIR_Coverage, 7417,
     /* 757831 */     GIR_EraseRootFromParent_Done,
     /* 757832 */   // Label 10017: @757832
     /* 757832 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(757880), // Rule ID 7418 //
     /* 757837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 757840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods),
     /* 757847 */     // (AMDGPUclamp:{ *:[f64] } (VOP3Mods:{ *:[f64] } f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_MAX_NUM_F64_e64:{ *:[f64] } i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, i32:{ *:[i32] }:$src0_modifiers, f64:{ *:[f64] }:$src0, 1:{ *:[i1] }, 0:{ *:[i32] })
     /* 757847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_NUM_F64_e64),
     /* 757850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 757852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 757867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 757872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 757875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 757878 */     GIR_RootConstrainSelectedInstOperands,
     /* 757879 */     // GIR_Coverage, 7418,
     /* 757879 */     GIR_EraseRootFromParent_Done,
     /* 757880 */   // Label 10018: @757880
     /* 757880 */   GIM_Reject,
     /* 757881 */ // Label 10016: @757881
     /* 757881 */ GIM_Reject,
     /* 757882 */ // Label 10009: @757882
     /* 757882 */ GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(758460),
     /* 757887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s16,
     /* 757890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 757894 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(758148), // Rule ID 2756 //
     /* 757899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFmaMixInsts),
     /* 757902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 757906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 757910 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 757913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 757917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 757921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 757925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /* 757929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 757933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 757937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 757941 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 757945 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 757949 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /* 757953 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/1, /*OpIdx*/2, // MIs[4]
     /* 757957 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /* 757961 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 757965 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /* 757969 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 757973 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /* 757977 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /* 757981 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /* 757985 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 757987 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 757994 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758001 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758008 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758015 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/2, /*Renderer*/GIMT_Encode2(4), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758022 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/3, /*Renderer*/GIMT_Encode2(5), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758029 */     // (AMDGPUclamp:{ *:[v2f16] } (build_vector:{ *:[v2f16] } (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src0, i32:{ *:[i32] }:$lo_src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src1, i32:{ *:[i32] }:$lo_src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src2, i32:{ *:[i32] }:$lo_src2_modifiers))), (fpround:{ *:[f16] } (fma:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src0, i32:{ *:[i32] }:$hi_src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src1, i32:{ *:[i32] }:$hi_src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src2, i32:{ *:[i32] }:$hi_src2_modifiers)))))  =>  (V_FMA_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$hi_src0_modifiers, ?:{ *:[f16] }:$hi_src0, ?:{ *:[i32] }:$hi_src1_modifiers, ?:{ *:[f16] }:$hi_src1, ?:{ *:[i32] }:$hi_src2_modifiers, ?:{ *:[f16] }:$hi_src2, 1:{ *:[i1] }, (V_FMA_MIXLO_F16:{ *:[i16] } ?:{ *:[i32] }:$lo_src0_modifiers, ?:{ *:[f16] }:$lo_src0, ?:{ *:[i32] }:$lo_src1_modifiers, ?:{ *:[f16] }:$lo_src1, ?:{ *:[i32] }:$lo_src2_modifiers, ?:{ *:[f16] }:$lo_src2, 1:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] })))
     /* 758029 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 758032 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 758036 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 758041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 758043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 758046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXLO_F16),
     /* 758050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 758055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // lo_src0_modifiers
     /* 758060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // lo_src0
     /* 758065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // lo_src1_modifiers
     /* 758070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // lo_src1
     /* 758075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // lo_src2_modifiers
     /* 758080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // lo_src2
     /* 758085 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 758088 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 758091 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 758094 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 758097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 758099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FMA_MIXHI_F16),
     /* 758102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/1, // hi_src0_modifiers
     /* 758109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // hi_src0
     /* 758114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(4), /*SubOperand*/1, // hi_src1_modifiers
     /* 758119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(4), /*SubOperand*/0, // hi_src1
     /* 758124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(5), /*SubOperand*/1, // hi_src2_modifiers
     /* 758129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(5), /*SubOperand*/0, // hi_src2
     /* 758134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 758137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 758140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758146 */     GIR_RootConstrainSelectedInstOperands,
     /* 758147 */     // GIR_Coverage, 2756,
     /* 758147 */     GIR_EraseRootFromParent_Done,
     /* 758148 */   // Label 10020: @758148
     /* 758148 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(758402), // Rule ID 2740 //
     /* 758153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMadMixInsts_NoFP32Denormals),
     /* 758156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 758160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 758164 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 758167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 758171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 758175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 758179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /* 758183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 758187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 758191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FMAD),
     /* 758195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 758199 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 758203 */     GIM_CheckType, /*MI*/3, /*Op*/3, /*Type*/GILLT_s32,
     /* 758207 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/1, /*OpIdx*/2, // MIs[4]
     /* 758211 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /* 758215 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 758219 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /* 758223 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_FMAD),
     /* 758227 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /* 758231 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /* 758235 */     GIM_CheckType, /*MI*/5, /*Op*/3, /*Type*/GILLT_s32,
     /* 758239 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 758241 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758248 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758255 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758262 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758269 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/2, /*Renderer*/GIMT_Encode2(4), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758276 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/3, /*Renderer*/GIMT_Encode2(5), GIMT_Encode2(GICP_gi_vop3_mad_mix_mods),
     /* 758283 */     // (AMDGPUclamp:{ *:[v2f16] } (build_vector:{ *:[v2f16] } (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src0, i32:{ *:[i32] }:$lo_src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src1, i32:{ *:[i32] }:$lo_src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$lo_src2, i32:{ *:[i32] }:$lo_src2_modifiers))), (fpround:{ *:[f16] } (fmad:{ *:[f32] } (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src0, i32:{ *:[i32] }:$hi_src0_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src1, i32:{ *:[i32] }:$hi_src1_modifiers), (VOP3PMadMixMods:{ *:[f32] } f16:{ *:[f16] }:$hi_src2, i32:{ *:[i32] }:$hi_src2_modifiers)))))  =>  (V_MAD_MIXHI_F16:{ *:[v2f16] } ?:{ *:[i32] }:$hi_src0_modifiers, ?:{ *:[f16] }:$hi_src0, ?:{ *:[i32] }:$hi_src1_modifiers, ?:{ *:[f16] }:$hi_src1, ?:{ *:[i32] }:$hi_src2_modifiers, ?:{ *:[f16] }:$hi_src2, 1:{ *:[i1] }, (V_MAD_MIXLO_F16:{ *:[i16] } ?:{ *:[i32] }:$lo_src0_modifiers, ?:{ *:[f16] }:$lo_src0, ?:{ *:[i32] }:$lo_src1_modifiers, ?:{ *:[f16] }:$lo_src1, ?:{ *:[i32] }:$lo_src2_modifiers, ?:{ *:[f16] }:$lo_src2, 1:{ *:[i1] }, (IMPLICIT_DEF:{ *:[i32] })))
     /* 758283 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 758286 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 758290 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 758295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 758297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 758300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXLO_F16),
     /* 758304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 758309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // lo_src0_modifiers
     /* 758314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // lo_src0
     /* 758319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // lo_src1_modifiers
     /* 758324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // lo_src1
     /* 758329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // lo_src2_modifiers
     /* 758334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // lo_src2
     /* 758339 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 758342 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 758345 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 758348 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 758351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 758353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAD_MIXHI_F16),
     /* 758356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/1, // hi_src0_modifiers
     /* 758363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // hi_src0
     /* 758368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(4), /*SubOperand*/1, // hi_src1_modifiers
     /* 758373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(4), /*SubOperand*/0, // hi_src1
     /* 758378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(5), /*SubOperand*/1, // hi_src2_modifiers
     /* 758383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(5), /*SubOperand*/0, // hi_src2
     /* 758388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 758391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 758394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758400 */     GIR_RootConstrainSelectedInstOperands,
     /* 758401 */     // GIR_Coverage, 2740,
     /* 758401 */     GIR_EraseRootFromParent_Done,
     /* 758402 */   // Label 10021: @758402
     /* 758402 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(758459), // Rule ID 7422 //
     /* 758407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVOP3PInsts),
     /* 758410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3pmods),
     /* 758417 */     // (AMDGPUclamp:{ *:[v2f16] } (VOP3PMods:{ *:[v2f16] } v2f16:{ *:[v2f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers))  =>  (V_PK_MAX_F16:{ *:[v2f16] } ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2f16] }:$src0, ?:{ *:[i32] }:$src0_modifiers, ?:{ *:[v2f16] }:$src0, 1:{ *:[i1] })
     /* 758417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_PK_MAX_F16),
     /* 758420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 758427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 758437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 758445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 758457 */     GIR_RootConstrainSelectedInstOperands,
     /* 758458 */     // GIR_Coverage, 7422,
     /* 758458 */     GIR_EraseRootFromParent_Done,
     /* 758459 */   // Label 10022: @758459
     /* 758459 */   GIM_Reject,
     /* 758460 */ // Label 10019: @758460
     /* 758460 */ GIM_Reject,
     /* 758461 */ // Label 10010: @758461
     /* 758461 */ GIM_Reject,
     /* 758462 */ // Label 146: @758462
     /* 758462 */ GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(758506), // Rule ID 653 //
     /* 758467 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758484 */   // (AMDGPUcvt_f32_ubyte0:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_UBYTE0_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 758484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_UBYTE0_e64),
     /* 758487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 758499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 758504 */   GIR_RootConstrainSelectedInstOperands,
     /* 758505 */   // GIR_Coverage, 653,
     /* 758505 */   GIR_EraseRootFromParent_Done,
     /* 758506 */ // Label 10023: @758506
     /* 758506 */ GIM_Reject,
     /* 758507 */ // Label 147: @758507
     /* 758507 */ GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(758551), // Rule ID 654 //
     /* 758512 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758522 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758529 */   // (AMDGPUcvt_f32_ubyte1:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_UBYTE1_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 758529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_UBYTE1_e64),
     /* 758532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 758544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 758549 */   GIR_RootConstrainSelectedInstOperands,
     /* 758550 */   // GIR_Coverage, 654,
     /* 758550 */   GIR_EraseRootFromParent_Done,
     /* 758551 */ // Label 10024: @758551
     /* 758551 */ GIM_Reject,
     /* 758552 */ // Label 148: @758552
     /* 758552 */ GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(758596), // Rule ID 655 //
     /* 758557 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758567 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758574 */   // (AMDGPUcvt_f32_ubyte2:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_UBYTE2_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 758574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_UBYTE2_e64),
     /* 758577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758579 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758584 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 758589 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 758594 */   GIR_RootConstrainSelectedInstOperands,
     /* 758595 */   // GIR_Coverage, 655,
     /* 758595 */   GIR_EraseRootFromParent_Done,
     /* 758596 */ // Label 10025: @758596
     /* 758596 */ GIM_Reject,
     /* 758597 */ // Label 149: @758597
     /* 758597 */ GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(758641), // Rule ID 656 //
     /* 758602 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758619 */   // (AMDGPUcvt_f32_ubyte3:{ *:[f32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_CVT_F32_UBYTE3_e64:{ *:[f32] } i32:{ *:[i32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 758619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_F32_UBYTE3_e64),
     /* 758622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // clamp
     /* 758634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // omod
     /* 758639 */   GIR_RootConstrainSelectedInstOperands,
     /* 758640 */   // GIR_Coverage, 656,
     /* 758640 */   GIR_EraseRootFromParent_Done,
     /* 758641 */ // Label 10026: @758641
     /* 758641 */ GIM_Reject,
     /* 758642 */ // Label 150: @758642
     /* 758642 */ GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(758671), // Rule ID 833 //
     /* 758647 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s16,
     /* 758650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 758656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758660 */   // (AMDGPUpk_i16_i32_impl:{ *:[v2i16] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)  =>  (V_CVT_PK_I16_I32_e64:{ *:[v2i16] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1)
     /* 758660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::V_CVT_PK_I16_I32_e64),
     /* 758665 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AMDGPU::EXEC),
     /* 758669 */   GIR_RootConstrainSelectedInstOperands,
     /* 758670 */   // GIR_Coverage, 833,
     /* 758670 */   GIR_Done,
     /* 758671 */ // Label 10027: @758671
     /* 758671 */ GIM_Reject,
     /* 758672 */ // Label 151: @758672
     /* 758672 */ GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(758773),
     /* 758677 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758680 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 10031*/ GIMT_Encode4(758741),
     /* 758691 */   /*GILLT_s32*//*Label 10029*/ GIMT_Encode4(758699),
     /* 758695 */   /*GILLT_s64*//*Label 10030*/ GIMT_Encode4(758720),
     /* 758699 */   // Label 10029: @758699
     /* 758699 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(758719), // Rule ID 13 //
     /* 758704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 758708 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13740),
     /* 758712 */     // (AMDGPUffbh_u32_impl:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13740>>  =>  (S_FLBIT_I32_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 758712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLBIT_I32_B32),
     /* 758717 */     GIR_RootConstrainSelectedInstOperands,
     /* 758718 */     // GIR_Coverage, 13,
     /* 758718 */     GIR_Done,
     /* 758719 */   // Label 10032: @758719
     /* 758719 */   GIM_Reject,
     /* 758720 */   // Label 10030: @758720
     /* 758720 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(758740), // Rule ID 15 //
     /* 758725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 758729 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13740),
     /* 758733 */     // (AMDGPUffbh_u32_impl:{ *:[i32] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13740>>  =>  (S_FLBIT_I32_B64:{ *:[i32] } i64:{ *:[i64] }:$src0)
     /* 758733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FLBIT_I32_B64),
     /* 758738 */     GIR_RootConstrainSelectedInstOperands,
     /* 758739 */     // GIR_Coverage, 15,
     /* 758739 */     GIR_Done,
     /* 758740 */   // Label 10033: @758740
     /* 758740 */   GIM_Reject,
     /* 758741 */   // Label 10031: @758741
     /* 758741 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(758772), // Rule ID 684 //
     /* 758746 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758760 */     // (AMDGPUffbh_u32_impl:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_FFBH_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 758760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FFBH_U32_e64),
     /* 758763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758770 */     GIR_RootConstrainSelectedInstOperands,
     /* 758771 */     // GIR_Coverage, 684,
     /* 758771 */     GIR_EraseRootFromParent_Done,
     /* 758772 */   // Label 10034: @758772
     /* 758772 */   GIM_Reject,
     /* 758773 */ // Label 10028: @758773
     /* 758773 */ GIM_Reject,
     /* 758774 */ // Label 152: @758774
     /* 758774 */ GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(758872),
     /* 758779 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758782 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(9), GIMT_Encode2(11), /*)*//*default:*//*Label 10038*/ GIMT_Encode4(758871),
     /* 758793 */   /*GILLT_s32*//*Label 10036*/ GIMT_Encode4(758801),
     /* 758797 */   /*GILLT_s64*//*Label 10037*/ GIMT_Encode4(758850),
     /* 758801 */   // Label 10036: @758801
     /* 758801 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(758821), // Rule ID 11 //
     /* 758806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 758810 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13739),
     /* 758814 */     // (AMDGPUffbl_b32_impl:{ *:[i32] } i32:{ *:[i32] }:$src0)<<P:Predicate_anonymous_13739>>  =>  (S_FF1_I32_B32:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 758814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FF1_I32_B32),
     /* 758819 */     GIR_RootConstrainSelectedInstOperands,
     /* 758820 */     // GIR_Coverage, 11,
     /* 758820 */     GIR_Done,
     /* 758821 */   // Label 10039: @758821
     /* 758821 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(758849), // Rule ID 686 //
     /* 758826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758837 */     // (AMDGPUffbl_b32_impl:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0))  =>  (V_FFBL_B32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0)
     /* 758837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_FFBL_B32_e64),
     /* 758840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758847 */     GIR_RootConstrainSelectedInstOperands,
     /* 758848 */     // GIR_Coverage, 686,
     /* 758848 */     GIR_EraseRootFromParent_Done,
     /* 758849 */   // Label 10040: @758849
     /* 758849 */   GIM_Reject,
     /* 758850 */   // Label 10037: @758850
     /* 758850 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(758870), // Rule ID 9 //
     /* 758855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 758859 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_13739),
     /* 758863 */     // (AMDGPUffbl_b32_impl:{ *:[i32] } i64:{ *:[i64] }:$src0)<<P:Predicate_anonymous_13739>>  =>  (S_FF1_I32_B64:{ *:[i32] } i64:{ *:[i64] }:$src0)
     /* 758863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AMDGPU::S_FF1_I32_B64),
     /* 758868 */     GIR_RootConstrainSelectedInstOperands,
     /* 758869 */     // GIR_Coverage, 9,
     /* 758869 */     GIR_Done,
     /* 758870 */   // Label 10041: @758870
     /* 758870 */   GIM_Reject,
     /* 758871 */   // Label 10038: @758871
     /* 758871 */   GIM_Reject,
     /* 758872 */ // Label 10035: @758872
     /* 758872 */ GIM_Reject,
     /* 758873 */ // Label 153: @758873
     /* 758873 */ GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(758945), // Rule ID 835 //
     /* 758878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 758881 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 758884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 758887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 758890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758894 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 758901 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 758908 */   // (AMDGPUfmax_legacy:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MAX_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 758908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MAX_LEGACY_F32_e64),
     /* 758911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 758913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 758918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 758923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 758928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 758933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 758938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 758943 */   GIR_RootConstrainSelectedInstOperands,
     /* 758944 */   // GIR_Coverage, 835,
     /* 758944 */   GIR_EraseRootFromParent_Done,
     /* 758945 */ // Label 10042: @758945
     /* 758945 */ GIM_Reject,
     /* 758946 */ // Label 154: @758946
     /* 758946 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 10045*/ GIMT_Encode4(759305),
     /* 758957 */ /*GILLT_s16*//*Label 10043*/ GIMT_Encode4(758965),
     /* 758961 */ /*GILLT_s32*//*Label 10044*/ GIMT_Encode4(759218),
     /* 758965 */ // Label 10043: @758965
     /* 758965 */ GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(759217),
     /* 758970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 758973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 758976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 758979 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(759058), // Rule ID 1021 //
     /* 758984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 758987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 758991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 758998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759012 */     // (AMDGPUfmed3_impl:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 759012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_e64),
     /* 759015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759056 */     GIR_RootConstrainSelectedInstOperands,
     /* 759057 */     // GIR_Coverage, 1021,
     /* 759057 */     GIR_EraseRootFromParent_Done,
     /* 759058 */   // Label 10047: @759058
     /* 759058 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(759137), // Rule ID 1023 //
     /* 759063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 759066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 759070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759091 */     // (AMDGPUfmed3_impl:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_t16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 759091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_t16_e64),
     /* 759094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759135 */     GIR_RootConstrainSelectedInstOperands,
     /* 759136 */     // GIR_Coverage, 1023,
     /* 759136 */     GIR_EraseRootFromParent_Done,
     /* 759137 */   // Label 10048: @759137
     /* 759137 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(759216), // Rule ID 1025 //
     /* 759142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 759145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759170 */     // (AMDGPUfmed3_impl:{ *:[f16] } (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[f16] } f16:{ *:[f16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F16_fake16_e64:{ *:[f16] } i32:{ *:[i32] }:$src0_modifiers, f16:{ *:[f16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f16:{ *:[f16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f16:{ *:[f16] }:$src2)
     /* 759170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F16_fake16_e64),
     /* 759173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759214 */     GIR_RootConstrainSelectedInstOperands,
     /* 759215 */     // GIR_Coverage, 1025,
     /* 759215 */     GIR_EraseRootFromParent_Done,
     /* 759216 */   // Label 10049: @759216
     /* 759216 */   GIM_Reject,
     /* 759217 */ // Label 10046: @759217
     /* 759217 */ GIM_Reject,
     /* 759218 */ // Label 10044: @759218
     /* 759218 */ GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(759304), // Rule ID 974 //
     /* 759223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 759226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 759229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 759232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 759243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 759250 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3mods),
     /* 759257 */   // (AMDGPUfmed3_impl:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src2_modifiers, f32:{ *:[f32] }:$src2, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 759257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_F32_e64),
     /* 759260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 759297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 759302 */   GIR_RootConstrainSelectedInstOperands,
     /* 759303 */   // GIR_Coverage, 974,
     /* 759303 */   GIR_EraseRootFromParent_Done,
     /* 759304 */ // Label 10050: @759304
     /* 759304 */ GIM_Reject,
     /* 759305 */ // Label 10045: @759305
     /* 759305 */ GIM_Reject,
     /* 759306 */ // Label 155: @759306
     /* 759306 */ GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(759378), // Rule ID 834 //
     /* 759311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX6GFX7),
     /* 759314 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 759317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 759320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 759323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759327 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 759334 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3mods),
     /* 759341 */   // (AMDGPUfmin_legacy:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod), (VOP3Mods:{ *:[f32] } f32:{ *:[f32] }:$src1, i32:{ *:[i32] }:$src1_modifiers))  =>  (V_MIN_LEGACY_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src1_modifiers, f32:{ *:[f32] }:$src1, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 759341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MIN_LEGACY_F32_e64),
     /* 759344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759346 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759351 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759361 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759366 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 759371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 759376 */   GIR_RootConstrainSelectedInstOperands,
     /* 759377 */   // GIR_Coverage, 834,
     /* 759377 */   GIR_EraseRootFromParent_Done,
     /* 759378 */ // Label 10051: @759378
     /* 759378 */ GIM_Reject,
     /* 759379 */ // Label 156: @759379
     /* 759379 */ GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(759428), // Rule ID 669 //
     /* 759384 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 759387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 759390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759394 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 759401 */   // (AMDGPUrcp_iflag:{ *:[f32] } (VOP3Mods0:{ *:[f32] } f32:{ *:[f32] }:$src0, i32:{ *:[i32] }:$src0_modifiers, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod))  =>  (V_RCP_IFLAG_F32_e64:{ *:[f32] } i32:{ *:[i32] }:$src0_modifiers, f32:{ *:[f32] }:$src0, i1:{ *:[i1] }:$clamp, i32:{ *:[i32] }:$omod)
     /* 759401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_RCP_IFLAG_F32_e64),
     /* 759404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // clamp
     /* 759421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/3, // omod
     /* 759426 */   GIR_RootConstrainSelectedInstOperands,
     /* 759427 */   // GIR_Coverage, 669,
     /* 759427 */   GIR_EraseRootFromParent_Done,
     /* 759428 */ // Label 10052: @759428
     /* 759428 */ GIM_Reject,
     /* 759429 */ // Label 157: @759429
     /* 759429 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 10055*/ GIMT_Encode4(759734),
     /* 759440 */ /*GILLT_s16*//*Label 10053*/ GIMT_Encode4(759448),
     /* 759444 */ /*GILLT_s32*//*Label 10054*/ GIMT_Encode4(759692),
     /* 759448 */ // Label 10053: @759448
     /* 759448 */ GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(759691),
     /* 759453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 759456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 759459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 759462 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(759538), // Rule ID 1026 //
     /* 759467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 759470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 759481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 759488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 759495 */     // (AMDGPUsmed3:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_I16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 759495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_e64),
     /* 759498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759536 */     GIR_RootConstrainSelectedInstOperands,
     /* 759537 */     // GIR_Coverage, 1026,
     /* 759537 */     GIR_EraseRootFromParent_Done,
     /* 759538 */   // Label 10057: @759538
     /* 759538 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(759614), // Rule ID 1027 //
     /* 759543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 759546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 759550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759571 */     // (AMDGPUsmed3:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_I16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 759571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_t16_e64),
     /* 759574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759612 */     GIR_RootConstrainSelectedInstOperands,
     /* 759613 */     // GIR_Coverage, 1027,
     /* 759613 */     GIR_EraseRootFromParent_Done,
     /* 759614 */   // Label 10058: @759614
     /* 759614 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(759690), // Rule ID 1028 //
     /* 759619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 759622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 759647 */     // (AMDGPUsmed3:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_I16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 759647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I16_fake16_e64),
     /* 759650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 759657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 759667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 759672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 759677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 759682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 759688 */     GIR_RootConstrainSelectedInstOperands,
     /* 759689 */     // GIR_Coverage, 1028,
     /* 759689 */     GIR_EraseRootFromParent_Done,
     /* 759690 */   // Label 10059: @759690
     /* 759690 */   GIM_Reject,
     /* 759691 */ // Label 10056: @759691
     /* 759691 */ GIM_Reject,
     /* 759692 */ // Label 10054: @759692
     /* 759692 */ GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(759733), // Rule ID 969 //
     /* 759697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 759700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 759703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 759706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 759710 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 759717 */   // (AMDGPUsmed3:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_MED3_I32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 759717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_I32_e64),
     /* 759720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 759722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 759727 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 759729 */   GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 759731 */   GIR_RootConstrainSelectedInstOperands,
     /* 759732 */   // GIR_Coverage, 969,
     /* 759732 */   GIR_EraseRootFromParent_Done,
     /* 759733 */ // Label 10060: @759733
     /* 759733 */ GIM_Reject,
     /* 759734 */ // Label 10055: @759734
     /* 759734 */ GIM_Reject,
     /* 759735 */ // Label 158: @759735
     /* 759735 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(31), /*)*//*default:*//*Label 10067*/ GIMT_Encode4(762036),
     /* 759746 */ /*GILLT_s32*//*Label 10061*/ GIMT_Encode4(759834), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 759758 */ /*GILLT_v2s32*//*Label 10062*/ GIMT_Encode4(760214), GIMT_Encode4(0),
     /* 759766 */ /*GILLT_v3s32*//*Label 10063*/ GIMT_Encode4(760594), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 759778 */ /*GILLT_v4s32*//*Label 10064*/ GIMT_Encode4(760896), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 759802 */ /*GILLT_v8s32*//*Label 10065*/ GIMT_Encode4(761276), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 759830 */ /*GILLT_v16s32*//*Label 10066*/ GIMT_Encode4(761656),
     /* 759834 */ // Label 10061: @759834
     /* 759834 */ GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(760213),
     /* 759839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 759842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 759845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 759849 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 759852 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(759896), // Rule ID 2916 //
     /* 759857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 759860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 759867 */     // (SIsbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 759867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR_IMM),
     /* 759870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 759872 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 759874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 759879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 759884 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 759890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 759894 */     GIR_RootConstrainSelectedInstOperands,
     /* 759895 */     // GIR_Coverage, 2916,
     /* 759895 */     GIR_EraseRootFromParent_Done,
     /* 759896 */   // Label 10069: @759896
     /* 759896 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(759940), // Rule ID 3521 //
     /* 759901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 759904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 759911 */     // (SIsbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR_IMM:{ *:[f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 759911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR_IMM),
     /* 759914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 759916 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 759918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 759923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 759928 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 759934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 759938 */     GIR_RootConstrainSelectedInstOperands,
     /* 759939 */     // GIR_Coverage, 3521,
     /* 759939 */     GIR_EraseRootFromParent_Done,
     /* 759940 */   // Label 10070: @759940
     /* 759940 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(759976), // Rule ID 2912 //
     /* 759945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 759952 */     // (SIsbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 759952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_IMM),
     /* 759955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 759957 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 759959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 759964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 759970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 759974 */     GIR_RootConstrainSelectedInstOperands,
     /* 759975 */     // GIR_Coverage, 2912,
     /* 759975 */     GIR_EraseRootFromParent_Done,
     /* 759976 */   // Label 10071: @759976
     /* 759976 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(760012), // Rule ID 3517 //
     /* 759981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 759988 */     // (SIsbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_IMM:{ *:[f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 759988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_IMM),
     /* 759991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 759993 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 759995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760000 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760010 */     GIR_RootConstrainSelectedInstOperands,
     /* 760011 */     // GIR_Coverage, 3517,
     /* 760011 */     GIR_EraseRootFromParent_Done,
     /* 760012 */   // Label 10072: @760012
     /* 760012 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(760051), // Rule ID 2913 //
     /* 760017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 760020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 760027 */     // (SIsbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_IMM_ci:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_IMM_ci),
     /* 760030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760032 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760039 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760049 */     GIR_RootConstrainSelectedInstOperands,
     /* 760050 */     // GIR_Coverage, 2913,
     /* 760050 */     GIR_EraseRootFromParent_Done,
     /* 760051 */   // Label 10073: @760051
     /* 760051 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(760090), // Rule ID 3518 //
     /* 760056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 760059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 760066 */     // (SIsbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_IMM_ci:{ *:[f32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_IMM_ci),
     /* 760069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760071 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760078 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760088 */     GIR_RootConstrainSelectedInstOperands,
     /* 760089 */     // GIR_Coverage, 3518,
     /* 760089 */     GIR_EraseRootFromParent_Done,
     /* 760090 */   // Label 10074: @760090
     /* 760090 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(760119), // Rule ID 2914 //
     /* 760095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760098 */     // (SIsbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR),
     /* 760101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760103 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760105 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760107 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760117 */     GIR_RootConstrainSelectedInstOperands,
     /* 760118 */     // GIR_Coverage, 2914,
     /* 760118 */     GIR_EraseRootFromParent_Done,
     /* 760119 */   // Label 10075: @760119
     /* 760119 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(760151), // Rule ID 2915 //
     /* 760124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760127 */     // (SIsbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR_IMM),
     /* 760130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760132 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760134 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760149 */     GIR_RootConstrainSelectedInstOperands,
     /* 760150 */     // GIR_Coverage, 2915,
     /* 760150 */     GIR_EraseRootFromParent_Done,
     /* 760151 */   // Label 10076: @760151
     /* 760151 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(760180), // Rule ID 3519 //
     /* 760156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760159 */     // (SIsbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR:{ *:[f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR),
     /* 760162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760164 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760166 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760168 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760178 */     GIR_RootConstrainSelectedInstOperands,
     /* 760179 */     // GIR_Coverage, 3519,
     /* 760179 */     GIR_EraseRootFromParent_Done,
     /* 760180 */   // Label 10077: @760180
     /* 760180 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(760212), // Rule ID 3520 //
     /* 760185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760188 */     // (SIsbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORD_SGPR_IMM:{ *:[f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORD_SGPR_IMM),
     /* 760191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760193 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760195 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760200 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760210 */     GIR_RootConstrainSelectedInstOperands,
     /* 760211 */     // GIR_Coverage, 3520,
     /* 760211 */     GIR_EraseRootFromParent_Done,
     /* 760212 */   // Label 10078: @760212
     /* 760212 */   GIM_Reject,
     /* 760213 */ // Label 10068: @760213
     /* 760213 */ GIM_Reject,
     /* 760214 */ // Label 10062: @760214
     /* 760214 */ GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(760593),
     /* 760219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 760222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 760225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_64_XEXECRegClassID),
     /* 760229 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 760232 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(760276), // Rule ID 3497 //
     /* 760237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760247 */     // (SIsbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR_IMM),
     /* 760250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760252 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760274 */     GIR_RootConstrainSelectedInstOperands,
     /* 760275 */     // GIR_Coverage, 3497,
     /* 760275 */     GIR_EraseRootFromParent_Done,
     /* 760276 */   // Label 10080: @760276
     /* 760276 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(760320), // Rule ID 3526 //
     /* 760281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760291 */     // (SIsbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR_IMM),
     /* 760294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760296 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760308 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760318 */     GIR_RootConstrainSelectedInstOperands,
     /* 760319 */     // GIR_Coverage, 3526,
     /* 760319 */     GIR_EraseRootFromParent_Done,
     /* 760320 */   // Label 10081: @760320
     /* 760320 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(760356), // Rule ID 3493 //
     /* 760325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 760332 */     // (SIsbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_IMM:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_IMM),
     /* 760335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760337 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760344 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760354 */     GIR_RootConstrainSelectedInstOperands,
     /* 760355 */     // GIR_Coverage, 3493,
     /* 760355 */     GIR_EraseRootFromParent_Done,
     /* 760356 */   // Label 10082: @760356
     /* 760356 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(760392), // Rule ID 3522 //
     /* 760361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 760368 */     // (SIsbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_IMM:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_IMM),
     /* 760371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760373 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760380 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760390 */     GIR_RootConstrainSelectedInstOperands,
     /* 760391 */     // GIR_Coverage, 3522,
     /* 760391 */     GIR_EraseRootFromParent_Done,
     /* 760392 */   // Label 10083: @760392
     /* 760392 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(760431), // Rule ID 3494 //
     /* 760397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 760400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 760407 */     // (SIsbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_IMM_ci:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_IMM_ci),
     /* 760410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760412 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760419 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760429 */     GIR_RootConstrainSelectedInstOperands,
     /* 760430 */     // GIR_Coverage, 3494,
     /* 760430 */     GIR_EraseRootFromParent_Done,
     /* 760431 */   // Label 10084: @760431
     /* 760431 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(760470), // Rule ID 3523 //
     /* 760436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 760439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 760446 */     // (SIsbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_IMM_ci:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_IMM_ci),
     /* 760449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760451 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760458 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760468 */     GIR_RootConstrainSelectedInstOperands,
     /* 760469 */     // GIR_Coverage, 3523,
     /* 760469 */     GIR_EraseRootFromParent_Done,
     /* 760470 */   // Label 10085: @760470
     /* 760470 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(760499), // Rule ID 3495 //
     /* 760475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760478 */     // (SIsbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR),
     /* 760481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760483 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760485 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760497 */     GIR_RootConstrainSelectedInstOperands,
     /* 760498 */     // GIR_Coverage, 3495,
     /* 760498 */     GIR_EraseRootFromParent_Done,
     /* 760499 */   // Label 10086: @760499
     /* 760499 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(760531), // Rule ID 3496 //
     /* 760504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760507 */     // (SIsbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR_IMM:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR_IMM),
     /* 760510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760512 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760514 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760519 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760529 */     GIR_RootConstrainSelectedInstOperands,
     /* 760530 */     // GIR_Coverage, 3496,
     /* 760530 */     GIR_EraseRootFromParent_Done,
     /* 760531 */   // Label 10087: @760531
     /* 760531 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(760560), // Rule ID 3524 //
     /* 760536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760539 */     // (SIsbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR),
     /* 760542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760544 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760546 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760548 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760558 */     GIR_RootConstrainSelectedInstOperands,
     /* 760559 */     // GIR_Coverage, 3524,
     /* 760559 */     GIR_EraseRootFromParent_Done,
     /* 760560 */   // Label 10088: @760560
     /* 760560 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(760592), // Rule ID 3525 //
     /* 760565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760568 */     // (SIsbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX2_SGPR_IMM:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX2_SGPR_IMM),
     /* 760571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760573 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760575 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760580 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760590 */     GIR_RootConstrainSelectedInstOperands,
     /* 760591 */     // GIR_Coverage, 3525,
     /* 760591 */     GIR_EraseRootFromParent_Done,
     /* 760592 */   // Label 10089: @760592
     /* 760592 */   GIM_Reject,
     /* 760593 */ // Label 10079: @760593
     /* 760593 */ GIM_Reject,
     /* 760594 */ // Label 10063: @760594
     /* 760594 */ GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(760895),
     /* 760599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 760602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 760605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_96RegClassID),
     /* 760609 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 760612 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(760656), // Rule ID 3501 //
     /* 760617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760627 */     // (SIsbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR_IMM),
     /* 760630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760632 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760644 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760654 */     GIR_RootConstrainSelectedInstOperands,
     /* 760655 */     // GIR_Coverage, 3501,
     /* 760655 */     GIR_EraseRootFromParent_Done,
     /* 760656 */   // Label 10091: @760656
     /* 760656 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(760700), // Rule ID 3530 //
     /* 760661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760671 */     // (SIsbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR_IMM),
     /* 760674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760676 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760688 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760694 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760698 */     GIR_RootConstrainSelectedInstOperands,
     /* 760699 */     // GIR_Coverage, 3530,
     /* 760699 */     GIR_EraseRootFromParent_Done,
     /* 760700 */   // Label 10092: @760700
     /* 760700 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(760736), // Rule ID 3498 //
     /* 760705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 760712 */     // (SIsbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_IMM:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_IMM),
     /* 760715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760717 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760724 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760734 */     GIR_RootConstrainSelectedInstOperands,
     /* 760735 */     // GIR_Coverage, 3498,
     /* 760735 */     GIR_EraseRootFromParent_Done,
     /* 760736 */   // Label 10093: @760736
     /* 760736 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(760772), // Rule ID 3527 //
     /* 760741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 760748 */     // (SIsbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_IMM:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_IMM),
     /* 760751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760753 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 760760 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760770 */     GIR_RootConstrainSelectedInstOperands,
     /* 760771 */     // GIR_Coverage, 3527,
     /* 760771 */     GIR_EraseRootFromParent_Done,
     /* 760772 */   // Label 10094: @760772
     /* 760772 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(760801), // Rule ID 3499 //
     /* 760777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760780 */     // (SIsbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR),
     /* 760783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760785 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760787 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760789 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760799 */     GIR_RootConstrainSelectedInstOperands,
     /* 760800 */     // GIR_Coverage, 3499,
     /* 760800 */     GIR_EraseRootFromParent_Done,
     /* 760801 */   // Label 10095: @760801
     /* 760801 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(760833), // Rule ID 3500 //
     /* 760806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760809 */     // (SIsbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR_IMM:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR_IMM),
     /* 760812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760814 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760816 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760821 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760831 */     GIR_RootConstrainSelectedInstOperands,
     /* 760832 */     // GIR_Coverage, 3500,
     /* 760832 */     GIR_EraseRootFromParent_Done,
     /* 760833 */   // Label 10096: @760833
     /* 760833 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(760862), // Rule ID 3528 //
     /* 760838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 760841 */     // (SIsbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR),
     /* 760844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760846 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760848 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760850 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760860 */     GIR_RootConstrainSelectedInstOperands,
     /* 760861 */     // GIR_Coverage, 3528,
     /* 760861 */     GIR_EraseRootFromParent_Done,
     /* 760862 */   // Label 10097: @760862
     /* 760862 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(760894), // Rule ID 3529 //
     /* 760867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760870 */     // (SIsbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX3_SGPR_IMM:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX3_SGPR_IMM),
     /* 760873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760875 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760877 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 760879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 760882 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760892 */     GIR_RootConstrainSelectedInstOperands,
     /* 760893 */     // GIR_Coverage, 3529,
     /* 760893 */     GIR_EraseRootFromParent_Done,
     /* 760894 */   // Label 10098: @760894
     /* 760894 */   GIM_Reject,
     /* 760895 */ // Label 10090: @760895
     /* 760895 */ GIM_Reject,
     /* 760896 */ // Label 10064: @760896
     /* 760896 */ GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(761275),
     /* 760901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 760904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 760907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_128RegClassID),
     /* 760911 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 760914 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(760958), // Rule ID 3506 //
     /* 760919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760929 */     // (SIsbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR_IMM),
     /* 760932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760934 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760946 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 760956 */     GIR_RootConstrainSelectedInstOperands,
     /* 760957 */     // GIR_Coverage, 3506,
     /* 760957 */     GIR_EraseRootFromParent_Done,
     /* 760958 */   // Label 10100: @760958
     /* 760958 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(761002), // Rule ID 3535 //
     /* 760963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 760966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 760973 */     // (SIsbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 760973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR_IMM),
     /* 760976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 760978 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 760980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 760985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 760990 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 760996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761000 */     GIR_RootConstrainSelectedInstOperands,
     /* 761001 */     // GIR_Coverage, 3535,
     /* 761001 */     GIR_EraseRootFromParent_Done,
     /* 761002 */   // Label 10101: @761002
     /* 761002 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(761038), // Rule ID 3502 //
     /* 761007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761014 */     // (SIsbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_IMM:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_IMM),
     /* 761017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761019 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761026 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761036 */     GIR_RootConstrainSelectedInstOperands,
     /* 761037 */     // GIR_Coverage, 3502,
     /* 761037 */     GIR_EraseRootFromParent_Done,
     /* 761038 */   // Label 10102: @761038
     /* 761038 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(761074), // Rule ID 3531 //
     /* 761043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761050 */     // (SIsbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_IMM:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_IMM),
     /* 761053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761055 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761072 */     GIR_RootConstrainSelectedInstOperands,
     /* 761073 */     // GIR_Coverage, 3531,
     /* 761073 */     GIR_EraseRootFromParent_Done,
     /* 761074 */   // Label 10103: @761074
     /* 761074 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(761113), // Rule ID 3503 //
     /* 761079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761089 */     // (SIsbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_IMM_ci:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_IMM_ci),
     /* 761092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761094 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761101 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761111 */     GIR_RootConstrainSelectedInstOperands,
     /* 761112 */     // GIR_Coverage, 3503,
     /* 761112 */     GIR_EraseRootFromParent_Done,
     /* 761113 */   // Label 10104: @761113
     /* 761113 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(761152), // Rule ID 3532 //
     /* 761118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761128 */     // (SIsbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_IMM_ci:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_IMM_ci),
     /* 761131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761133 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761140 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761150 */     GIR_RootConstrainSelectedInstOperands,
     /* 761151 */     // GIR_Coverage, 3532,
     /* 761151 */     GIR_EraseRootFromParent_Done,
     /* 761152 */   // Label 10105: @761152
     /* 761152 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(761181), // Rule ID 3504 //
     /* 761157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761160 */     // (SIsbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR),
     /* 761163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761165 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761167 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761179 */     GIR_RootConstrainSelectedInstOperands,
     /* 761180 */     // GIR_Coverage, 3504,
     /* 761180 */     GIR_EraseRootFromParent_Done,
     /* 761181 */   // Label 10106: @761181
     /* 761181 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(761213), // Rule ID 3505 //
     /* 761186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761189 */     // (SIsbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR_IMM:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR_IMM),
     /* 761192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761194 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761196 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 761201 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761211 */     GIR_RootConstrainSelectedInstOperands,
     /* 761212 */     // GIR_Coverage, 3505,
     /* 761212 */     GIR_EraseRootFromParent_Done,
     /* 761213 */   // Label 10107: @761213
     /* 761213 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(761242), // Rule ID 3533 //
     /* 761218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761221 */     // (SIsbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR),
     /* 761224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761226 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761228 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761230 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761240 */     GIR_RootConstrainSelectedInstOperands,
     /* 761241 */     // GIR_Coverage, 3533,
     /* 761241 */     GIR_EraseRootFromParent_Done,
     /* 761242 */   // Label 10108: @761242
     /* 761242 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(761274), // Rule ID 3534 //
     /* 761247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761250 */     // (SIsbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX4_SGPR_IMM:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX4_SGPR_IMM),
     /* 761253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761255 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761257 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 761262 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761272 */     GIR_RootConstrainSelectedInstOperands,
     /* 761273 */     // GIR_Coverage, 3534,
     /* 761273 */     GIR_EraseRootFromParent_Done,
     /* 761274 */   // Label 10109: @761274
     /* 761274 */   GIM_Reject,
     /* 761275 */ // Label 10099: @761275
     /* 761275 */ GIM_Reject,
     /* 761276 */ // Label 10065: @761276
     /* 761276 */ GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(761655),
     /* 761281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 761284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 761287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_256RegClassID),
     /* 761291 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 761294 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(761338), // Rule ID 3511 //
     /* 761299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 761309 */     // (SIsbuffer_load:{ *:[v8i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR_IMM),
     /* 761312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761314 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 761321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 761326 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761336 */     GIR_RootConstrainSelectedInstOperands,
     /* 761337 */     // GIR_Coverage, 3511,
     /* 761337 */     GIR_EraseRootFromParent_Done,
     /* 761338 */   // Label 10111: @761338
     /* 761338 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(761382), // Rule ID 3540 //
     /* 761343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 761353 */     // (SIsbuffer_load:{ *:[v8f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR_IMM),
     /* 761356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761358 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 761365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 761370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761380 */     GIR_RootConstrainSelectedInstOperands,
     /* 761381 */     // GIR_Coverage, 3540,
     /* 761381 */     GIR_EraseRootFromParent_Done,
     /* 761382 */   // Label 10112: @761382
     /* 761382 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(761418), // Rule ID 3507 //
     /* 761387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761394 */     // (SIsbuffer_load:{ *:[v8i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_IMM:{ *:[v8i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_IMM),
     /* 761397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761399 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761406 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761416 */     GIR_RootConstrainSelectedInstOperands,
     /* 761417 */     // GIR_Coverage, 3507,
     /* 761417 */     GIR_EraseRootFromParent_Done,
     /* 761418 */   // Label 10113: @761418
     /* 761418 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(761454), // Rule ID 3536 //
     /* 761423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761430 */     // (SIsbuffer_load:{ *:[v8f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_IMM:{ *:[v8f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_IMM),
     /* 761433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761435 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761442 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761452 */     GIR_RootConstrainSelectedInstOperands,
     /* 761453 */     // GIR_Coverage, 3536,
     /* 761453 */     GIR_EraseRootFromParent_Done,
     /* 761454 */   // Label 10114: @761454
     /* 761454 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(761493), // Rule ID 3508 //
     /* 761459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761469 */     // (SIsbuffer_load:{ *:[v8i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_IMM_ci:{ *:[v8i32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_IMM_ci),
     /* 761472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761474 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761481 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761491 */     GIR_RootConstrainSelectedInstOperands,
     /* 761492 */     // GIR_Coverage, 3508,
     /* 761492 */     GIR_EraseRootFromParent_Done,
     /* 761493 */   // Label 10115: @761493
     /* 761493 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(761532), // Rule ID 3537 //
     /* 761498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761508 */     // (SIsbuffer_load:{ *:[v8f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_IMM_ci:{ *:[v8f32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_IMM_ci),
     /* 761511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761513 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761530 */     GIR_RootConstrainSelectedInstOperands,
     /* 761531 */     // GIR_Coverage, 3537,
     /* 761531 */     GIR_EraseRootFromParent_Done,
     /* 761532 */   // Label 10116: @761532
     /* 761532 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(761561), // Rule ID 3509 //
     /* 761537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761540 */     // (SIsbuffer_load:{ *:[v8i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR:{ *:[v8i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR),
     /* 761543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761545 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761547 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761549 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761559 */     GIR_RootConstrainSelectedInstOperands,
     /* 761560 */     // GIR_Coverage, 3509,
     /* 761560 */     GIR_EraseRootFromParent_Done,
     /* 761561 */   // Label 10117: @761561
     /* 761561 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(761593), // Rule ID 3510 //
     /* 761566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761569 */     // (SIsbuffer_load:{ *:[v8i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR_IMM:{ *:[v8i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR_IMM),
     /* 761572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761574 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761576 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 761581 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761591 */     GIR_RootConstrainSelectedInstOperands,
     /* 761592 */     // GIR_Coverage, 3510,
     /* 761592 */     GIR_EraseRootFromParent_Done,
     /* 761593 */   // Label 10118: @761593
     /* 761593 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(761622), // Rule ID 3538 //
     /* 761598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761601 */     // (SIsbuffer_load:{ *:[v8f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR:{ *:[v8f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR),
     /* 761604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761606 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761608 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761610 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761620 */     GIR_RootConstrainSelectedInstOperands,
     /* 761621 */     // GIR_Coverage, 3538,
     /* 761621 */     GIR_EraseRootFromParent_Done,
     /* 761622 */   // Label 10119: @761622
     /* 761622 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(761654), // Rule ID 3539 //
     /* 761627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761630 */     // (SIsbuffer_load:{ *:[v8f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX8_SGPR_IMM:{ *:[v8f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX8_SGPR_IMM),
     /* 761633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761635 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761637 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 761642 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761652 */     GIR_RootConstrainSelectedInstOperands,
     /* 761653 */     // GIR_Coverage, 3539,
     /* 761653 */     GIR_EraseRootFromParent_Done,
     /* 761654 */   // Label 10120: @761654
     /* 761654 */   GIM_Reject,
     /* 761655 */ // Label 10110: @761655
     /* 761655 */ GIM_Reject,
     /* 761656 */ // Label 10066: @761656
     /* 761656 */ GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(762035),
     /* 761661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 761664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 761667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_512RegClassID),
     /* 761671 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 761674 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(761718), // Rule ID 3516 //
     /* 761679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 761689 */     // (SIsbuffer_load:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR_IMM),
     /* 761692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761694 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 761701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 761706 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761716 */     GIR_RootConstrainSelectedInstOperands,
     /* 761717 */     // GIR_Coverage, 3516,
     /* 761717 */     GIR_EraseRootFromParent_Done,
     /* 761718 */   // Label 10122: @761718
     /* 761718 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(761762), // Rule ID 3545 //
     /* 761723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 761733 */     // (SIsbuffer_load:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR_IMM),
     /* 761736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761738 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 761745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 761750 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761760 */     GIR_RootConstrainSelectedInstOperands,
     /* 761761 */     // GIR_Coverage, 3545,
     /* 761761 */     GIR_EraseRootFromParent_Done,
     /* 761762 */   // Label 10123: @761762
     /* 761762 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(761798), // Rule ID 3512 //
     /* 761767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761774 */     // (SIsbuffer_load:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_IMM:{ *:[v16i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_IMM),
     /* 761777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761779 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761786 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761796 */     GIR_RootConstrainSelectedInstOperands,
     /* 761797 */     // GIR_Coverage, 3512,
     /* 761797 */     GIR_EraseRootFromParent_Done,
     /* 761798 */   // Label 10124: @761798
     /* 761798 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(761834), // Rule ID 3541 //
     /* 761803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 761810 */     // (SIsbuffer_load:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_IMM:{ *:[v16f32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_IMM),
     /* 761813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761815 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761822 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761832 */     GIR_RootConstrainSelectedInstOperands,
     /* 761833 */     // GIR_Coverage, 3541,
     /* 761833 */     GIR_EraseRootFromParent_Done,
     /* 761834 */   // Label 10125: @761834
     /* 761834 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(761873), // Rule ID 3513 //
     /* 761839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761849 */     // (SIsbuffer_load:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_IMM_ci:{ *:[v16i32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_IMM_ci),
     /* 761852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761854 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761861 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761871 */     GIR_RootConstrainSelectedInstOperands,
     /* 761872 */     // GIR_Coverage, 3513,
     /* 761872 */     GIR_EraseRootFromParent_Done,
     /* 761873 */   // Label 10126: @761873
     /* 761873 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(761912), // Rule ID 3542 //
     /* 761878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX7Only),
     /* 761881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm32),
     /* 761888 */     // (SIsbuffer_load:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm32:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_IMM_ci:{ *:[v16f32] } SReg_128:{ *:[v4i32] }:$sbase, smrd_literal_offset:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_IMM_ci),
     /* 761891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761893 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 761900 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761910 */     GIR_RootConstrainSelectedInstOperands,
     /* 761911 */     // GIR_Coverage, 3542,
     /* 761911 */     GIR_EraseRootFromParent_Done,
     /* 761912 */   // Label 10127: @761912
     /* 761912 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(761941), // Rule ID 3514 //
     /* 761917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761920 */     // (SIsbuffer_load:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR:{ *:[v16i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR),
     /* 761923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761925 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761927 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761939 */     GIR_RootConstrainSelectedInstOperands,
     /* 761940 */     // GIR_Coverage, 3514,
     /* 761940 */     GIR_EraseRootFromParent_Done,
     /* 761941 */   // Label 10128: @761941
     /* 761941 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(761973), // Rule ID 3515 //
     /* 761946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 761949 */     // (SIsbuffer_load:{ *:[v16i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR_IMM:{ *:[v16i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR_IMM),
     /* 761952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761954 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761956 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 761961 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 761971 */     GIR_RootConstrainSelectedInstOperands,
     /* 761972 */     // GIR_Coverage, 3515,
     /* 761972 */     GIR_EraseRootFromParent_Done,
     /* 761973 */   // Label 10129: @761973
     /* 761973 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(762002), // Rule ID 3543 //
     /* 761978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isNotGFX9Plus),
     /* 761981 */     // (SIsbuffer_load:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR:{ *:[v16f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 761981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR),
     /* 761984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 761986 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 761988 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 761990 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 761996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762000 */     GIR_RootConstrainSelectedInstOperands,
     /* 762001 */     // GIR_Coverage, 3543,
     /* 762001 */     GIR_EraseRootFromParent_Done,
     /* 762002 */   // Label 10130: @762002
     /* 762002 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(762034), // Rule ID 3544 //
     /* 762007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX9Plus),
     /* 762010 */     // (SIsbuffer_load:{ *:[v16f32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_DWORDX16_SGPR_IMM:{ *:[v16f32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_DWORDX16_SGPR_IMM),
     /* 762013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762015 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762017 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 762019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762022 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762032 */     GIR_RootConstrainSelectedInstOperands,
     /* 762033 */     // GIR_Coverage, 3544,
     /* 762033 */     GIR_EraseRootFromParent_Done,
     /* 762034 */   // Label 10131: @762034
     /* 762034 */   GIM_Reject,
     /* 762035 */ // Label 10121: @762035
     /* 762035 */ GIM_Reject,
     /* 762036 */ // Label 10067: @762036
     /* 762036 */ GIM_Reject,
     /* 762037 */ // Label 159: @762037
     /* 762037 */ GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(762174),
     /* 762042 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 762045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 762048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 762055 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 762058 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(762102), // Rule ID 2923 //
     /* 762063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 762073 */     // (SIsbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I8_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I8_SGPR_IMM),
     /* 762076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762078 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 762090 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762100 */     GIR_RootConstrainSelectedInstOperands,
     /* 762101 */     // GIR_Coverage, 2923,
     /* 762101 */     GIR_EraseRootFromParent_Done,
     /* 762102 */   // Label 10133: @762102
     /* 762102 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(762141), // Rule ID 2921 //
     /* 762107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762117 */     // (SIsbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I8_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I8_IMM),
     /* 762120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762122 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762129 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762139 */     GIR_RootConstrainSelectedInstOperands,
     /* 762140 */     // GIR_Coverage, 2921,
     /* 762140 */     GIR_EraseRootFromParent_Done,
     /* 762141 */   // Label 10134: @762141
     /* 762141 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(762173), // Rule ID 2922 //
     /* 762146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762149 */     // (SIsbuffer_load_byte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I8_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I8_SGPR_IMM),
     /* 762152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762154 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762156 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 762158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762161 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762171 */     GIR_RootConstrainSelectedInstOperands,
     /* 762172 */     // GIR_Coverage, 2922,
     /* 762172 */     GIR_EraseRootFromParent_Done,
     /* 762173 */   // Label 10135: @762173
     /* 762173 */   GIM_Reject,
     /* 762174 */ // Label 10132: @762174
     /* 762174 */ GIM_Reject,
     /* 762175 */ // Label 160: @762175
     /* 762175 */ GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(762312),
     /* 762180 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 762183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 762186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 762193 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 762196 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(762240), // Rule ID 2949 //
     /* 762201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 762211 */     // (SIsbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I16_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I16_SGPR_IMM),
     /* 762214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762216 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 762228 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762238 */     GIR_RootConstrainSelectedInstOperands,
     /* 762239 */     // GIR_Coverage, 2949,
     /* 762239 */     GIR_EraseRootFromParent_Done,
     /* 762240 */   // Label 10137: @762240
     /* 762240 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(762279), // Rule ID 2947 //
     /* 762245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762255 */     // (SIsbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I16_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I16_IMM),
     /* 762258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762260 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762267 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762277 */     GIR_RootConstrainSelectedInstOperands,
     /* 762278 */     // GIR_Coverage, 2947,
     /* 762278 */     GIR_EraseRootFromParent_Done,
     /* 762279 */   // Label 10138: @762279
     /* 762279 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(762311), // Rule ID 2948 //
     /* 762284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762287 */     // (SIsbuffer_load_short:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_I16_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_I16_SGPR_IMM),
     /* 762290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762292 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762294 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 762296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762299 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762309 */     GIR_RootConstrainSelectedInstOperands,
     /* 762310 */     // GIR_Coverage, 2948,
     /* 762310 */     GIR_EraseRootFromParent_Done,
     /* 762311 */   // Label 10139: @762311
     /* 762311 */   GIM_Reject,
     /* 762312 */ // Label 10136: @762312
     /* 762312 */ GIM_Reject,
     /* 762313 */ // Label 161: @762313
     /* 762313 */ GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(762450),
     /* 762318 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 762321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 762324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 762331 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 762334 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(762378), // Rule ID 2946 //
     /* 762339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 762349 */     // (SIsbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U8_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U8_SGPR_IMM),
     /* 762352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762354 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 762366 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762376 */     GIR_RootConstrainSelectedInstOperands,
     /* 762377 */     // GIR_Coverage, 2946,
     /* 762377 */     GIR_EraseRootFromParent_Done,
     /* 762378 */   // Label 10141: @762378
     /* 762378 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(762417), // Rule ID 2944 //
     /* 762383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762393 */     // (SIsbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U8_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U8_IMM),
     /* 762396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762398 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762405 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762415 */     GIR_RootConstrainSelectedInstOperands,
     /* 762416 */     // GIR_Coverage, 2944,
     /* 762416 */     GIR_EraseRootFromParent_Done,
     /* 762417 */   // Label 10142: @762417
     /* 762417 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(762449), // Rule ID 2945 //
     /* 762422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762425 */     // (SIsbuffer_load_ubyte:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U8_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U8_SGPR_IMM),
     /* 762428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762430 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762432 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 762434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762437 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762447 */     GIR_RootConstrainSelectedInstOperands,
     /* 762448 */     // GIR_Coverage, 2945,
     /* 762448 */     GIR_EraseRootFromParent_Done,
     /* 762449 */   // Label 10143: @762449
     /* 762449 */   GIM_Reject,
     /* 762450 */ // Label 10140: @762450
     /* 762450 */ GIM_Reject,
     /* 762451 */ // Label 162: @762451
     /* 762451 */ GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(762588),
     /* 762456 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 762459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 762462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::SReg_32_XM0_XEXECRegClassID),
     /* 762469 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 762472 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(762516), // Rule ID 2952 //
     /* 762477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_sgpr_imm),
     /* 762487 */     // (SIsbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferSgprImm:{ *:[i32] } i32:{ *:[i32] }:$soffset, i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U16_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U16_SGPR_IMM),
     /* 762490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762492 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 762504 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762514 */     GIR_RootConstrainSelectedInstOperands,
     /* 762515 */     // GIR_Coverage, 2952,
     /* 762515 */     GIR_EraseRootFromParent_Done,
     /* 762516 */   // Label 10145: @762516
     /* 762516 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(762555), // Rule ID 2950 //
     /* 762521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762531 */     // (SIsbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U16_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U16_IMM),
     /* 762534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762536 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762543 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762553 */     GIR_RootConstrainSelectedInstOperands,
     /* 762554 */     // GIR_Coverage, 2950,
     /* 762554 */     GIR_EraseRootFromParent_Done,
     /* 762555 */   // Label 10146: @762555
     /* 762555 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(762587), // Rule ID 2951 //
     /* 762560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762563 */     // (SIsbuffer_load_ushort:{ *:[i32] } v4i32:{ *:[v4i32] }:$sbase, i32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$cachepolicy)  =>  (S_BUFFER_LOAD_U16_SGPR_IMM:{ *:[i32] } SReg_128:{ *:[v4i32] }:$sbase, SReg_32:{ *:[i32] }:$soffset, 0:{ *:[i32] }, (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$cachepolicy))
     /* 762563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_LOAD_U16_SGPR_IMM),
     /* 762566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[sdst]
     /* 762568 */     GIR_RootToRootCopy, /*OpIdx*/1, // sbase
     /* 762570 */     GIR_RootToRootCopy, /*OpIdx*/2, // soffset
     /* 762572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762575 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/3, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // cachepolicy
     /* 762581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762585 */     GIR_RootConstrainSelectedInstOperands,
     /* 762586 */     // GIR_Coverage, 2951,
     /* 762586 */     GIR_EraseRootFromParent_Done,
     /* 762587 */   // Label 10147: @762587
     /* 762587 */   GIM_Reject,
     /* 762588 */ // Label 10144: @762588
     /* 762588 */ GIM_Reject,
     /* 762589 */ // Label 163: @762589
     /* 762589 */ GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(762695),
     /* 762594 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 762597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762600 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(762654), // Rule ID 3561 //
     /* 762605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 762612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 762616 */     // MIs[1] Operand 1
     /* 762616 */     // No operand predicates
     /* 762616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 762618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762625 */     // (SIsbuffer_prefetch v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), (imm:{ *:[i32] }):$len)  =>  (S_BUFFER_PREFETCH_DATA SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, SGPR_NULL:{ *:[i32] }, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$len))
     /* 762625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_PREFETCH_DATA),
     /* 762628 */     GIR_RootToRootCopy, /*OpIdx*/0, // sbase
     /* 762630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AMDGPU::SGPR_NULL), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 762641 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/2, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // len
     /* 762647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 762652 */     GIR_RootConstrainSelectedInstOperands,
     /* 762653 */     // GIR_Coverage, 3561,
     /* 762653 */     GIR_EraseRootFromParent_Done,
     /* 762654 */   // Label 10149: @762654
     /* 762654 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(762694), // Rule ID 3560 //
     /* 762659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_isGFX12Plus),
     /* 762662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AMDGPU::SReg_32RegClassID),
     /* 762666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_smrd_buffer_imm),
     /* 762673 */     // (SIsbuffer_prefetch v4i32:{ *:[v4i32] }:$sbase, (SMRDBufferImm:{ *:[i32] } i32:{ *:[i32] }:$offset), SReg_32:{ *:[i32] }:$len)  =>  (S_BUFFER_PREFETCH_DATA SReg_128:{ *:[v4i32] }:$sbase, i32imm:{ *:[i32] }:$offset, ?:{ *:[i32] }:$len, 0:{ *:[i8] })
     /* 762673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::S_BUFFER_PREFETCH_DATA),
     /* 762676 */     GIR_RootToRootCopy, /*OpIdx*/0, // sbase
     /* 762678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // offset
     /* 762683 */     GIR_RootToRootCopy, /*OpIdx*/2, // len
     /* 762685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 762688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762692 */     GIR_RootConstrainSelectedInstOperands,
     /* 762693 */     // GIR_Coverage, 3560,
     /* 762693 */     GIR_EraseRootFromParent_Done,
     /* 762694 */   // Label 10150: @762694
     /* 762694 */   GIM_Reject,
     /* 762695 */ // Label 10148: @762695
     /* 762695 */ GIM_Reject,
     /* 762696 */ // Label 164: @762696
     /* 762696 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(18), /*)*//*default:*//*Label 10155*/ GIMT_Encode4(768179),
     /* 762707 */ /*GILLT_s32*//*Label 10151*/ GIMT_Encode4(762743), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 762719 */ /*GILLT_v2s32*//*Label 10152*/ GIMT_Encode4(764102), GIMT_Encode4(0),
     /* 762727 */ /*GILLT_v3s32*//*Label 10153*/ GIMT_Encode4(765461), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 762739 */ /*GILLT_v4s32*//*Label 10154*/ GIMT_Encode4(766820),
     /* 762743 */ // Label 10151: @762743
     /* 762743 */ GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(764101),
     /* 762748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 762751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 762754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 762757 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 762760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 762764 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(762845), // Rule ID 6716 //
     /* 762769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 762772 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 762776 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 762780 */     // MIs[0] offset
     /* 762780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 762783 */     // MIs[0] format
     /* 762783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 762786 */     // MIs[0] auxiliary
     /* 762786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 762789 */     // MIs[0] Operand 8
     /* 762789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 762800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 762807 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 762807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_OFFSET),
     /* 762810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 762812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 762814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762819 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 762821 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 762827 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 762833 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 762839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762843 */     GIR_RootConstrainSelectedInstOperands,
     /* 762844 */     // GIR_Coverage, 6716,
     /* 762844 */     GIR_EraseRootFromParent_Done,
     /* 762845 */   // Label 10157: @762845
     /* 762845 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(762923), // Rule ID 6720 //
     /* 762850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 762854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 762858 */     // MIs[0] offset
     /* 762858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 762861 */     // MIs[0] format
     /* 762861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 762864 */     // MIs[0] auxiliary
     /* 762864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 762867 */     // MIs[0] Operand 8
     /* 762867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 762878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 762885 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 762885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET),
     /* 762888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 762890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 762892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762897 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 762899 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 762905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 762911 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 762917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 762921 */     GIR_RootConstrainSelectedInstOperands,
     /* 762922 */     // GIR_Coverage, 6720,
     /* 762922 */     GIR_EraseRootFromParent_Done,
     /* 762923 */   // Label 10158: @762923
     /* 762923 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(763004), // Rule ID 6748 //
     /* 762928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 762931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 762935 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 762939 */     // MIs[0] offset
     /* 762939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 762942 */     // MIs[0] format
     /* 762942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 762945 */     // MIs[0] auxiliary
     /* 762945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 762948 */     // MIs[0] Operand 8
     /* 762948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 762959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 762966 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 762966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_OFFSET),
     /* 762969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 762971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 762973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 762978 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 762980 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 762986 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 762992 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 762998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763002 */     GIR_RootConstrainSelectedInstOperands,
     /* 763003 */     // GIR_Coverage, 6748,
     /* 763003 */     GIR_EraseRootFromParent_Done,
     /* 763004 */   // Label 10159: @763004
     /* 763004 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(763082), // Rule ID 6752 //
     /* 763009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 763013 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 763017 */     // MIs[0] offset
     /* 763017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763020 */     // MIs[0] format
     /* 763020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763023 */     // MIs[0] auxiliary
     /* 763023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763026 */     // MIs[0] Operand 8
     /* 763026 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 763037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763044 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET:{ *:[f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFSET),
     /* 763047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763056 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763064 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763070 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763080 */     GIR_RootConstrainSelectedInstOperands,
     /* 763081 */     // GIR_Coverage, 6752,
     /* 763081 */     GIR_EraseRootFromParent_Done,
     /* 763082 */   // Label 10160: @763082
     /* 763082 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(763161), // Rule ID 6718 //
     /* 763087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763090 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 763094 */     // MIs[0] offset
     /* 763094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763097 */     // MIs[0] format
     /* 763097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763100 */     // MIs[0] auxiliary
     /* 763100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763103 */     // MIs[0] Operand 8
     /* 763103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 763114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763121 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_OFFEN),
     /* 763124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763126 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 763128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763135 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763137 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763143 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763149 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763159 */     GIR_RootConstrainSelectedInstOperands,
     /* 763160 */     // GIR_Coverage, 6718,
     /* 763160 */     GIR_EraseRootFromParent_Done,
     /* 763161 */   // Label 10161: @763161
     /* 763161 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(763237), // Rule ID 6722 //
     /* 763166 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 763170 */     // MIs[0] offset
     /* 763170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763173 */     // MIs[0] format
     /* 763173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763176 */     // MIs[0] auxiliary
     /* 763176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763179 */     // MIs[0] Operand 8
     /* 763179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 763190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763197 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN),
     /* 763200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763202 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 763204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763211 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763213 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763219 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763235 */     GIR_RootConstrainSelectedInstOperands,
     /* 763236 */     // GIR_Coverage, 6722,
     /* 763236 */     GIR_EraseRootFromParent_Done,
     /* 763237 */   // Label 10162: @763237
     /* 763237 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(763316), // Rule ID 6750 //
     /* 763242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763245 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 763249 */     // MIs[0] offset
     /* 763249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763252 */     // MIs[0] format
     /* 763252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763255 */     // MIs[0] auxiliary
     /* 763255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763258 */     // MIs[0] Operand 8
     /* 763258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 763269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763276 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_OFFEN),
     /* 763279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763281 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 763283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763290 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763292 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763298 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763304 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763314 */     GIR_RootConstrainSelectedInstOperands,
     /* 763315 */     // GIR_Coverage, 6750,
     /* 763315 */     GIR_EraseRootFromParent_Done,
     /* 763316 */   // Label 10163: @763316
     /* 763316 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(763392), // Rule ID 6754 //
     /* 763321 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 763325 */     // MIs[0] offset
     /* 763325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763328 */     // MIs[0] format
     /* 763328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763331 */     // MIs[0] auxiliary
     /* 763331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763334 */     // MIs[0] Operand 8
     /* 763334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 763345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763352 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_OFFEN),
     /* 763355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763357 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 763359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763366 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763380 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763390 */     GIR_RootConstrainSelectedInstOperands,
     /* 763391 */     // GIR_Coverage, 6754,
     /* 763391 */     GIR_EraseRootFromParent_Done,
     /* 763392 */   // Label 10164: @763392
     /* 763392 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(763463), // Rule ID 6717 //
     /* 763397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 763404 */     // MIs[0] offset
     /* 763404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763407 */     // MIs[0] format
     /* 763407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763410 */     // MIs[0] auxiliary
     /* 763410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763413 */     // MIs[0] Operand 8
     /* 763413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763423 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_IDXEN),
     /* 763426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763428 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 763430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763437 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763439 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763445 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763461 */     GIR_RootConstrainSelectedInstOperands,
     /* 763462 */     // GIR_Coverage, 6717,
     /* 763462 */     GIR_EraseRootFromParent_Done,
     /* 763463 */   // Label 10165: @763463
     /* 763463 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(763531), // Rule ID 6721 //
     /* 763468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 763472 */     // MIs[0] offset
     /* 763472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763475 */     // MIs[0] format
     /* 763475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763478 */     // MIs[0] auxiliary
     /* 763478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763481 */     // MIs[0] Operand 8
     /* 763481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763491 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN),
     /* 763494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763496 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 763498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763505 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763507 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763513 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763519 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763529 */     GIR_RootConstrainSelectedInstOperands,
     /* 763530 */     // GIR_Coverage, 6721,
     /* 763530 */     GIR_EraseRootFromParent_Done,
     /* 763531 */   // Label 10166: @763531
     /* 763531 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(763602), // Rule ID 6749 //
     /* 763536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763539 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 763543 */     // MIs[0] offset
     /* 763543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763546 */     // MIs[0] format
     /* 763546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763549 */     // MIs[0] auxiliary
     /* 763549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763552 */     // MIs[0] Operand 8
     /* 763552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763562 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_IDXEN),
     /* 763565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763567 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 763569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763576 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763578 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763584 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763600 */     GIR_RootConstrainSelectedInstOperands,
     /* 763601 */     // GIR_Coverage, 6749,
     /* 763601 */     GIR_EraseRootFromParent_Done,
     /* 763602 */   // Label 10167: @763602
     /* 763602 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(763670), // Rule ID 6753 //
     /* 763607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 763611 */     // MIs[0] offset
     /* 763611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763614 */     // MIs[0] format
     /* 763614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763617 */     // MIs[0] auxiliary
     /* 763617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763620 */     // MIs[0] Operand 8
     /* 763620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763630 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN:{ *:[f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_IDXEN),
     /* 763633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763635 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 763637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763644 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763646 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763652 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763658 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763668 */     GIR_RootConstrainSelectedInstOperands,
     /* 763669 */     // GIR_Coverage, 6753,
     /* 763669 */     GIR_EraseRootFromParent_Done,
     /* 763670 */   // Label 10168: @763670
     /* 763670 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(763779), // Rule ID 6719 //
     /* 763675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763678 */     // MIs[0] offset
     /* 763678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763681 */     // MIs[0] format
     /* 763681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763684 */     // MIs[0] auxiliary
     /* 763684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763687 */     // MIs[0] Operand 8
     /* 763687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763697 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 763700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 763704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 763709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 763713 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 763716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 763720 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 763723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 763728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763733 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_BOTHEN),
     /* 763741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 763746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763753 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763761 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763767 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763777 */     GIR_RootConstrainSelectedInstOperands,
     /* 763778 */     // GIR_Coverage, 6719,
     /* 763778 */     GIR_EraseRootFromParent_Done,
     /* 763779 */   // Label 10169: @763779
     /* 763779 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(763885), // Rule ID 6723 //
     /* 763784 */     // MIs[0] offset
     /* 763784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763787 */     // MIs[0] format
     /* 763787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763790 */     // MIs[0] auxiliary
     /* 763790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763793 */     // MIs[0] Operand 8
     /* 763793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763803 */     // (SItbuffer_load:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 763806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 763810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 763815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 763819 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 763822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 763826 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 763829 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 763834 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763839 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN),
     /* 763847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 763852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763859 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763861 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763867 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763873 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763883 */     GIR_RootConstrainSelectedInstOperands,
     /* 763884 */     // GIR_Coverage, 6723,
     /* 763884 */     GIR_EraseRootFromParent_Done,
     /* 763885 */   // Label 10170: @763885
     /* 763885 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(763994), // Rule ID 6751 //
     /* 763890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 763893 */     // MIs[0] offset
     /* 763893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 763896 */     // MIs[0] format
     /* 763896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 763899 */     // MIs[0] auxiliary
     /* 763899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 763902 */     // MIs[0] Operand 8
     /* 763902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 763905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 763912 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 763912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 763915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 763919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 763924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 763928 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 763931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 763935 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 763938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 763943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 763953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_BOTHEN),
     /* 763956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 763958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 763961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 763963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 763968 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 763970 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 763976 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 763982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 763988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 763992 */     GIR_RootConstrainSelectedInstOperands,
     /* 763993 */     // GIR_Coverage, 6751,
     /* 763993 */     GIR_EraseRootFromParent_Done,
     /* 763994 */   // Label 10171: @763994
     /* 763994 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(764100), // Rule ID 6755 //
     /* 763999 */     // MIs[0] offset
     /* 763999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764002 */     // MIs[0] format
     /* 764002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764005 */     // MIs[0] auxiliary
     /* 764005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764008 */     // MIs[0] Operand 8
     /* 764008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 764011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764018 */     // (SItbuffer_load:{ *:[f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN:{ *:[f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 764021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 764025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 764030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 764034 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 764037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 764041 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 764044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 764049 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 764054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 764059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_X_VBUFFER_BOTHEN),
     /* 764062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 764067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764074 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764076 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764082 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764088 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764098 */     GIR_RootConstrainSelectedInstOperands,
     /* 764099 */     // GIR_Coverage, 6755,
     /* 764099 */     GIR_EraseRootFromParent_Done,
     /* 764100 */   // Label 10172: @764100
     /* 764100 */   GIM_Reject,
     /* 764101 */ // Label 10156: @764101
     /* 764101 */ GIM_Reject,
     /* 764102 */ // Label 10152: @764102
     /* 764102 */ GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(765460),
     /* 764107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 764110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 764113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 764116 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 764119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 764123 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(764204), // Rule ID 6724 //
     /* 764128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764139 */     // MIs[0] offset
     /* 764139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764142 */     // MIs[0] format
     /* 764142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764145 */     // MIs[0] auxiliary
     /* 764145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764148 */     // MIs[0] Operand 8
     /* 764148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764166 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_OFFSET),
     /* 764169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764178 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764180 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764186 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764192 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764202 */     GIR_RootConstrainSelectedInstOperands,
     /* 764203 */     // GIR_Coverage, 6724,
     /* 764203 */     GIR_EraseRootFromParent_Done,
     /* 764204 */   // Label 10174: @764204
     /* 764204 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(764282), // Rule ID 6728 //
     /* 764209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764213 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764217 */     // MIs[0] offset
     /* 764217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764220 */     // MIs[0] format
     /* 764220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764223 */     // MIs[0] auxiliary
     /* 764223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764226 */     // MIs[0] Operand 8
     /* 764226 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764244 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET),
     /* 764247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764256 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764258 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764264 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764270 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764280 */     GIR_RootConstrainSelectedInstOperands,
     /* 764281 */     // GIR_Coverage, 6728,
     /* 764281 */     GIR_EraseRootFromParent_Done,
     /* 764282 */   // Label 10175: @764282
     /* 764282 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(764363), // Rule ID 6756 //
     /* 764287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764294 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764298 */     // MIs[0] offset
     /* 764298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764301 */     // MIs[0] format
     /* 764301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764304 */     // MIs[0] auxiliary
     /* 764304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764307 */     // MIs[0] Operand 8
     /* 764307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764325 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_OFFSET),
     /* 764328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764337 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764339 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764345 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764351 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764361 */     GIR_RootConstrainSelectedInstOperands,
     /* 764362 */     // GIR_Coverage, 6756,
     /* 764362 */     GIR_EraseRootFromParent_Done,
     /* 764363 */   // Label 10176: @764363
     /* 764363 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(764441), // Rule ID 6760 //
     /* 764368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764376 */     // MIs[0] offset
     /* 764376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764379 */     // MIs[0] format
     /* 764379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764382 */     // MIs[0] auxiliary
     /* 764382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764385 */     // MIs[0] Operand 8
     /* 764385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764403 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET:{ *:[v2f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFSET),
     /* 764406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764415 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764417 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764423 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764439 */     GIR_RootConstrainSelectedInstOperands,
     /* 764440 */     // GIR_Coverage, 6760,
     /* 764440 */     GIR_EraseRootFromParent_Done,
     /* 764441 */   // Label 10177: @764441
     /* 764441 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(764520), // Rule ID 6726 //
     /* 764446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764449 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764453 */     // MIs[0] offset
     /* 764453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764456 */     // MIs[0] format
     /* 764456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764459 */     // MIs[0] auxiliary
     /* 764459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764462 */     // MIs[0] Operand 8
     /* 764462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764480 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_OFFEN),
     /* 764483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764485 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 764487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764494 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764496 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764502 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764508 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764518 */     GIR_RootConstrainSelectedInstOperands,
     /* 764519 */     // GIR_Coverage, 6726,
     /* 764519 */     GIR_EraseRootFromParent_Done,
     /* 764520 */   // Label 10178: @764520
     /* 764520 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(764596), // Rule ID 6730 //
     /* 764525 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764529 */     // MIs[0] offset
     /* 764529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764532 */     // MIs[0] format
     /* 764532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764535 */     // MIs[0] auxiliary
     /* 764535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764538 */     // MIs[0] Operand 8
     /* 764538 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764556 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN),
     /* 764559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764561 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 764563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764570 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764572 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764578 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764584 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764594 */     GIR_RootConstrainSelectedInstOperands,
     /* 764595 */     // GIR_Coverage, 6730,
     /* 764595 */     GIR_EraseRootFromParent_Done,
     /* 764596 */   // Label 10179: @764596
     /* 764596 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(764675), // Rule ID 6758 //
     /* 764601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764604 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764608 */     // MIs[0] offset
     /* 764608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764611 */     // MIs[0] format
     /* 764611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764614 */     // MIs[0] auxiliary
     /* 764614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764617 */     // MIs[0] Operand 8
     /* 764617 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764635 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_OFFEN),
     /* 764638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764640 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 764642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764649 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764651 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764657 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764663 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764673 */     GIR_RootConstrainSelectedInstOperands,
     /* 764674 */     // GIR_Coverage, 6758,
     /* 764674 */     GIR_EraseRootFromParent_Done,
     /* 764675 */   // Label 10180: @764675
     /* 764675 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(764751), // Rule ID 6762 //
     /* 764680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 764684 */     // MIs[0] offset
     /* 764684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764687 */     // MIs[0] format
     /* 764687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764690 */     // MIs[0] auxiliary
     /* 764690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764693 */     // MIs[0] Operand 8
     /* 764693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 764704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764711 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_OFFEN),
     /* 764714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764716 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 764718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764725 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764727 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764733 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764739 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764749 */     GIR_RootConstrainSelectedInstOperands,
     /* 764750 */     // GIR_Coverage, 6762,
     /* 764750 */     GIR_EraseRootFromParent_Done,
     /* 764751 */   // Label 10181: @764751
     /* 764751 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(764822), // Rule ID 6725 //
     /* 764756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764763 */     // MIs[0] offset
     /* 764763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764766 */     // MIs[0] format
     /* 764766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764769 */     // MIs[0] auxiliary
     /* 764769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764772 */     // MIs[0] Operand 8
     /* 764772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 764775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764782 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_IDXEN),
     /* 764785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764787 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 764789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764796 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764798 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764804 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764810 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764820 */     GIR_RootConstrainSelectedInstOperands,
     /* 764821 */     // GIR_Coverage, 6725,
     /* 764821 */     GIR_EraseRootFromParent_Done,
     /* 764822 */   // Label 10182: @764822
     /* 764822 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(764890), // Rule ID 6729 //
     /* 764827 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764831 */     // MIs[0] offset
     /* 764831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764834 */     // MIs[0] format
     /* 764834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764837 */     // MIs[0] auxiliary
     /* 764837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764840 */     // MIs[0] Operand 8
     /* 764840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 764843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764850 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN),
     /* 764853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764855 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 764857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764864 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764866 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764872 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764878 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764888 */     GIR_RootConstrainSelectedInstOperands,
     /* 764889 */     // GIR_Coverage, 6729,
     /* 764889 */     GIR_EraseRootFromParent_Done,
     /* 764890 */   // Label 10183: @764890
     /* 764890 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(764961), // Rule ID 6757 //
     /* 764895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 764898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764902 */     // MIs[0] offset
     /* 764902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764905 */     // MIs[0] format
     /* 764905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764908 */     // MIs[0] auxiliary
     /* 764908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764911 */     // MIs[0] Operand 8
     /* 764911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 764914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764921 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_IDXEN),
     /* 764924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764926 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 764928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 764935 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 764937 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 764943 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 764949 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 764955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 764959 */     GIR_RootConstrainSelectedInstOperands,
     /* 764960 */     // GIR_Coverage, 6757,
     /* 764960 */     GIR_EraseRootFromParent_Done,
     /* 764961 */   // Label 10184: @764961
     /* 764961 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(765029), // Rule ID 6761 //
     /* 764966 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 764970 */     // MIs[0] offset
     /* 764970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 764973 */     // MIs[0] format
     /* 764973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 764976 */     // MIs[0] auxiliary
     /* 764976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 764979 */     // MIs[0] Operand 8
     /* 764979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 764982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 764989 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN:{ *:[v2f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 764989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_IDXEN),
     /* 764992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 764994 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 764996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 764998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765003 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765011 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765017 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765027 */     GIR_RootConstrainSelectedInstOperands,
     /* 765028 */     // GIR_Coverage, 6761,
     /* 765028 */     GIR_EraseRootFromParent_Done,
     /* 765029 */   // Label 10185: @765029
     /* 765029 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(765138), // Rule ID 6727 //
     /* 765034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765037 */     // MIs[0] offset
     /* 765037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765040 */     // MIs[0] format
     /* 765040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765043 */     // MIs[0] auxiliary
     /* 765043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765046 */     // MIs[0] Operand 8
     /* 765046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 765049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765056 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 765059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 765063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 765068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 765072 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 765075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 765079 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 765082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 765087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_BOTHEN),
     /* 765100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 765105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765112 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765114 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765120 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765126 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765136 */     GIR_RootConstrainSelectedInstOperands,
     /* 765137 */     // GIR_Coverage, 6727,
     /* 765137 */     GIR_EraseRootFromParent_Done,
     /* 765138 */   // Label 10186: @765138
     /* 765138 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(765244), // Rule ID 6731 //
     /* 765143 */     // MIs[0] offset
     /* 765143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765146 */     // MIs[0] format
     /* 765146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765149 */     // MIs[0] auxiliary
     /* 765149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765152 */     // MIs[0] Operand 8
     /* 765152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 765155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765162 */     // (SItbuffer_load:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 765165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 765169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 765174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 765178 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 765181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 765185 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 765188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 765193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765198 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN),
     /* 765206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 765211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765218 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765220 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765226 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765232 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765242 */     GIR_RootConstrainSelectedInstOperands,
     /* 765243 */     // GIR_Coverage, 6731,
     /* 765243 */     GIR_EraseRootFromParent_Done,
     /* 765244 */   // Label 10187: @765244
     /* 765244 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(765353), // Rule ID 6759 //
     /* 765249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765252 */     // MIs[0] offset
     /* 765252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765255 */     // MIs[0] format
     /* 765255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765258 */     // MIs[0] auxiliary
     /* 765258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765261 */     // MIs[0] Operand 8
     /* 765261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 765264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765271 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 765274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 765278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 765283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 765287 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 765290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 765294 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 765297 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 765302 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765307 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_BOTHEN),
     /* 765315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 765320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765327 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765329 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765335 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765341 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765351 */     GIR_RootConstrainSelectedInstOperands,
     /* 765352 */     // GIR_Coverage, 6759,
     /* 765352 */     GIR_EraseRootFromParent_Done,
     /* 765353 */   // Label 10188: @765353
     /* 765353 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(765459), // Rule ID 6763 //
     /* 765358 */     // MIs[0] offset
     /* 765358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765361 */     // MIs[0] format
     /* 765361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765364 */     // MIs[0] auxiliary
     /* 765364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765367 */     // MIs[0] Operand 8
     /* 765367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 765370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765377 */     // (SItbuffer_load:{ *:[v2f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN:{ *:[v2f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 765380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 765384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 765389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 765393 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 765396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 765400 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 765403 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 765408 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765413 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 765418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XY_VBUFFER_BOTHEN),
     /* 765421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 765426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765433 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765435 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765441 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765447 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765457 */     GIR_RootConstrainSelectedInstOperands,
     /* 765458 */     // GIR_Coverage, 6763,
     /* 765458 */     GIR_EraseRootFromParent_Done,
     /* 765459 */   // Label 10189: @765459
     /* 765459 */   GIM_Reject,
     /* 765460 */ // Label 10173: @765460
     /* 765460 */ GIM_Reject,
     /* 765461 */ // Label 10153: @765461
     /* 765461 */ GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(766819),
     /* 765466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 765469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 765472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 765475 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 765478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 765482 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(765563), // Rule ID 6732 //
     /* 765487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765490 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 765498 */     // MIs[0] offset
     /* 765498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765501 */     // MIs[0] format
     /* 765501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765504 */     // MIs[0] auxiliary
     /* 765504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765507 */     // MIs[0] Operand 8
     /* 765507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765525 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_OFFSET),
     /* 765528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765537 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765539 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765545 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765551 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765561 */     GIR_RootConstrainSelectedInstOperands,
     /* 765562 */     // GIR_Coverage, 6732,
     /* 765562 */     GIR_EraseRootFromParent_Done,
     /* 765563 */   // Label 10191: @765563
     /* 765563 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(765641), // Rule ID 6736 //
     /* 765568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 765576 */     // MIs[0] offset
     /* 765576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765579 */     // MIs[0] format
     /* 765579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765582 */     // MIs[0] auxiliary
     /* 765582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765585 */     // MIs[0] Operand 8
     /* 765585 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765603 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET),
     /* 765606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765615 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765617 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765623 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765629 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765639 */     GIR_RootConstrainSelectedInstOperands,
     /* 765640 */     // GIR_Coverage, 6736,
     /* 765640 */     GIR_EraseRootFromParent_Done,
     /* 765641 */   // Label 10192: @765641
     /* 765641 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(765722), // Rule ID 6764 //
     /* 765646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765649 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 765657 */     // MIs[0] offset
     /* 765657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765660 */     // MIs[0] format
     /* 765660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765663 */     // MIs[0] auxiliary
     /* 765663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765666 */     // MIs[0] Operand 8
     /* 765666 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765684 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_OFFSET),
     /* 765687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765696 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765698 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765704 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765720 */     GIR_RootConstrainSelectedInstOperands,
     /* 765721 */     // GIR_Coverage, 6764,
     /* 765721 */     GIR_EraseRootFromParent_Done,
     /* 765722 */   // Label 10193: @765722
     /* 765722 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(765800), // Rule ID 6768 //
     /* 765727 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765731 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 765735 */     // MIs[0] offset
     /* 765735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765738 */     // MIs[0] format
     /* 765738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765741 */     // MIs[0] auxiliary
     /* 765741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765744 */     // MIs[0] Operand 8
     /* 765744 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765762 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET:{ *:[v3f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFSET),
     /* 765765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765774 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765798 */     GIR_RootConstrainSelectedInstOperands,
     /* 765799 */     // GIR_Coverage, 6768,
     /* 765799 */     GIR_EraseRootFromParent_Done,
     /* 765800 */   // Label 10194: @765800
     /* 765800 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(765879), // Rule ID 6734 //
     /* 765805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765812 */     // MIs[0] offset
     /* 765812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765815 */     // MIs[0] format
     /* 765815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765818 */     // MIs[0] auxiliary
     /* 765818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765821 */     // MIs[0] Operand 8
     /* 765821 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765839 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_OFFEN),
     /* 765842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765844 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 765846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765853 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765855 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765861 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765867 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765877 */     GIR_RootConstrainSelectedInstOperands,
     /* 765878 */     // GIR_Coverage, 6734,
     /* 765878 */     GIR_EraseRootFromParent_Done,
     /* 765879 */   // Label 10195: @765879
     /* 765879 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(765955), // Rule ID 6738 //
     /* 765884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765888 */     // MIs[0] offset
     /* 765888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765891 */     // MIs[0] format
     /* 765891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765894 */     // MIs[0] auxiliary
     /* 765894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765897 */     // MIs[0] Operand 8
     /* 765897 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765915 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN),
     /* 765918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765920 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 765922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 765924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 765929 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 765931 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 765937 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 765943 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 765949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 765953 */     GIR_RootConstrainSelectedInstOperands,
     /* 765954 */     // GIR_Coverage, 6738,
     /* 765954 */     GIR_EraseRootFromParent_Done,
     /* 765955 */   // Label 10196: @765955
     /* 765955 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(766034), // Rule ID 6766 //
     /* 765960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 765963 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 765967 */     // MIs[0] offset
     /* 765967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 765970 */     // MIs[0] format
     /* 765970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 765973 */     // MIs[0] auxiliary
     /* 765973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 765976 */     // MIs[0] Operand 8
     /* 765976 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 765987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 765994 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 765994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_OFFEN),
     /* 765997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 765999 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 766001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766008 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766010 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766016 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766022 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766032 */     GIR_RootConstrainSelectedInstOperands,
     /* 766033 */     // GIR_Coverage, 6766,
     /* 766033 */     GIR_EraseRootFromParent_Done,
     /* 766034 */   // Label 10197: @766034
     /* 766034 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(766110), // Rule ID 6770 //
     /* 766039 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 766043 */     // MIs[0] offset
     /* 766043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766046 */     // MIs[0] format
     /* 766046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766049 */     // MIs[0] auxiliary
     /* 766049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766052 */     // MIs[0] Operand 8
     /* 766052 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 766063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766070 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_OFFEN),
     /* 766073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766075 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 766077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766084 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766086 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766092 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766098 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766108 */     GIR_RootConstrainSelectedInstOperands,
     /* 766109 */     // GIR_Coverage, 6770,
     /* 766109 */     GIR_EraseRootFromParent_Done,
     /* 766110 */   // Label 10198: @766110
     /* 766110 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(766181), // Rule ID 6733 //
     /* 766115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 766118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766122 */     // MIs[0] offset
     /* 766122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766125 */     // MIs[0] format
     /* 766125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766128 */     // MIs[0] auxiliary
     /* 766128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766131 */     // MIs[0] Operand 8
     /* 766131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766141 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_IDXEN),
     /* 766144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766146 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 766148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766155 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766157 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766163 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766179 */     GIR_RootConstrainSelectedInstOperands,
     /* 766180 */     // GIR_Coverage, 6733,
     /* 766180 */     GIR_EraseRootFromParent_Done,
     /* 766181 */   // Label 10199: @766181
     /* 766181 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(766249), // Rule ID 6737 //
     /* 766186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766190 */     // MIs[0] offset
     /* 766190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766193 */     // MIs[0] format
     /* 766193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766196 */     // MIs[0] auxiliary
     /* 766196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766199 */     // MIs[0] Operand 8
     /* 766199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766209 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN),
     /* 766212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766214 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 766216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766223 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766231 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766237 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766247 */     GIR_RootConstrainSelectedInstOperands,
     /* 766248 */     // GIR_Coverage, 6737,
     /* 766248 */     GIR_EraseRootFromParent_Done,
     /* 766249 */   // Label 10200: @766249
     /* 766249 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(766320), // Rule ID 6765 //
     /* 766254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 766257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766261 */     // MIs[0] offset
     /* 766261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766264 */     // MIs[0] format
     /* 766264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766267 */     // MIs[0] auxiliary
     /* 766267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766270 */     // MIs[0] Operand 8
     /* 766270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766280 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_IDXEN),
     /* 766283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766285 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 766287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766294 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766308 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766318 */     GIR_RootConstrainSelectedInstOperands,
     /* 766319 */     // GIR_Coverage, 6765,
     /* 766319 */     GIR_EraseRootFromParent_Done,
     /* 766320 */   // Label 10201: @766320
     /* 766320 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(766388), // Rule ID 6769 //
     /* 766325 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766329 */     // MIs[0] offset
     /* 766329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766332 */     // MIs[0] format
     /* 766332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766335 */     // MIs[0] auxiliary
     /* 766335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766338 */     // MIs[0] Operand 8
     /* 766338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766348 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN:{ *:[v3f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_IDXEN),
     /* 766351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766353 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 766355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766362 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766376 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766386 */     GIR_RootConstrainSelectedInstOperands,
     /* 766387 */     // GIR_Coverage, 6769,
     /* 766387 */     GIR_EraseRootFromParent_Done,
     /* 766388 */   // Label 10202: @766388
     /* 766388 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(766497), // Rule ID 6735 //
     /* 766393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 766396 */     // MIs[0] offset
     /* 766396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766399 */     // MIs[0] format
     /* 766399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766402 */     // MIs[0] auxiliary
     /* 766402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766405 */     // MIs[0] Operand 8
     /* 766405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766415 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 766418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 766422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 766427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 766431 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 766434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 766438 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 766441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 766446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_BOTHEN),
     /* 766459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 766464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766471 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766495 */     GIR_RootConstrainSelectedInstOperands,
     /* 766496 */     // GIR_Coverage, 6735,
     /* 766496 */     GIR_EraseRootFromParent_Done,
     /* 766497 */   // Label 10203: @766497
     /* 766497 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(766603), // Rule ID 6739 //
     /* 766502 */     // MIs[0] offset
     /* 766502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766505 */     // MIs[0] format
     /* 766505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766508 */     // MIs[0] auxiliary
     /* 766508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766511 */     // MIs[0] Operand 8
     /* 766511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766521 */     // (SItbuffer_load:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 766524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 766528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 766533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 766537 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 766540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 766544 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 766547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 766552 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766557 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN),
     /* 766565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 766570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766577 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766579 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766585 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766591 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766601 */     GIR_RootConstrainSelectedInstOperands,
     /* 766602 */     // GIR_Coverage, 6739,
     /* 766602 */     GIR_EraseRootFromParent_Done,
     /* 766603 */   // Label 10204: @766603
     /* 766603 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(766712), // Rule ID 6767 //
     /* 766608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 766611 */     // MIs[0] offset
     /* 766611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766614 */     // MIs[0] format
     /* 766614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766617 */     // MIs[0] auxiliary
     /* 766617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766620 */     // MIs[0] Operand 8
     /* 766620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766630 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 766633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 766637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 766642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 766646 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 766649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 766653 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 766656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 766661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_BOTHEN),
     /* 766674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 766679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766686 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766688 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766694 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766700 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766710 */     GIR_RootConstrainSelectedInstOperands,
     /* 766711 */     // GIR_Coverage, 6767,
     /* 766711 */     GIR_EraseRootFromParent_Done,
     /* 766712 */   // Label 10205: @766712
     /* 766712 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(766818), // Rule ID 6771 //
     /* 766717 */     // MIs[0] offset
     /* 766717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766720 */     // MIs[0] format
     /* 766720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766723 */     // MIs[0] auxiliary
     /* 766723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766726 */     // MIs[0] Operand 8
     /* 766726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 766729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766736 */     // (SItbuffer_load:{ *:[v3f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN:{ *:[v3f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 766739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 766743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 766748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 766752 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 766755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 766759 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 766762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 766767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766772 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 766777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZ_VBUFFER_BOTHEN),
     /* 766780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 766785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766792 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766800 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766806 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766816 */     GIR_RootConstrainSelectedInstOperands,
     /* 766817 */     // GIR_Coverage, 6771,
     /* 766817 */     GIR_EraseRootFromParent_Done,
     /* 766818 */   // Label 10206: @766818
     /* 766818 */   GIM_Reject,
     /* 766819 */ // Label 10190: @766819
     /* 766819 */ GIM_Reject,
     /* 766820 */ // Label 10154: @766820
     /* 766820 */ GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(768178),
     /* 766825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 766828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 766831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 766834 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 766837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 766841 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(766922), // Rule ID 6740 //
     /* 766846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 766849 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 766853 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766857 */     // MIs[0] offset
     /* 766857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766860 */     // MIs[0] format
     /* 766860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766863 */     // MIs[0] auxiliary
     /* 766863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766866 */     // MIs[0] Operand 8
     /* 766866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 766877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766884 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_OFFSET),
     /* 766887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766896 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766898 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766904 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766910 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766920 */     GIR_RootConstrainSelectedInstOperands,
     /* 766921 */     // GIR_Coverage, 6740,
     /* 766921 */     GIR_EraseRootFromParent_Done,
     /* 766922 */   // Label 10208: @766922
     /* 766922 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(767000), // Rule ID 6744 //
     /* 766927 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 766931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 766935 */     // MIs[0] offset
     /* 766935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 766938 */     // MIs[0] format
     /* 766938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 766941 */     // MIs[0] auxiliary
     /* 766941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 766944 */     // MIs[0] Operand 8
     /* 766944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 766955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 766962 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 766962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET),
     /* 766965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 766967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 766969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 766974 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 766976 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 766982 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 766988 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 766994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 766998 */     GIR_RootConstrainSelectedInstOperands,
     /* 766999 */     // GIR_Coverage, 6744,
     /* 766999 */     GIR_EraseRootFromParent_Done,
     /* 767000 */   // Label 10209: @767000
     /* 767000 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(767081), // Rule ID 6772 //
     /* 767005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767016 */     // MIs[0] offset
     /* 767016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767019 */     // MIs[0] format
     /* 767019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767022 */     // MIs[0] auxiliary
     /* 767022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767025 */     // MIs[0] Operand 8
     /* 767025 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767043 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_OFFSET),
     /* 767046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767055 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767057 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767063 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767069 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767079 */     GIR_RootConstrainSelectedInstOperands,
     /* 767080 */     // GIR_Coverage, 6772,
     /* 767080 */     GIR_EraseRootFromParent_Done,
     /* 767081 */   // Label 10210: @767081
     /* 767081 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(767159), // Rule ID 6776 //
     /* 767086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767090 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767094 */     // MIs[0] offset
     /* 767094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767097 */     // MIs[0] format
     /* 767097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767100 */     // MIs[0] auxiliary
     /* 767100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767103 */     // MIs[0] Operand 8
     /* 767103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767121 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET:{ *:[v4f32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFSET),
     /* 767124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767133 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767135 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767141 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767147 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767157 */     GIR_RootConstrainSelectedInstOperands,
     /* 767158 */     // GIR_Coverage, 6776,
     /* 767158 */     GIR_EraseRootFromParent_Done,
     /* 767159 */   // Label 10211: @767159
     /* 767159 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(767238), // Rule ID 6742 //
     /* 767164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767167 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767171 */     // MIs[0] offset
     /* 767171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767174 */     // MIs[0] format
     /* 767174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767177 */     // MIs[0] auxiliary
     /* 767177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767180 */     // MIs[0] Operand 8
     /* 767180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767198 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_OFFEN),
     /* 767201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767203 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 767205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767212 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767214 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767220 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767226 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767236 */     GIR_RootConstrainSelectedInstOperands,
     /* 767237 */     // GIR_Coverage, 6742,
     /* 767237 */     GIR_EraseRootFromParent_Done,
     /* 767238 */   // Label 10212: @767238
     /* 767238 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(767314), // Rule ID 6746 //
     /* 767243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767247 */     // MIs[0] offset
     /* 767247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767250 */     // MIs[0] format
     /* 767250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767253 */     // MIs[0] auxiliary
     /* 767253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767256 */     // MIs[0] Operand 8
     /* 767256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767274 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN),
     /* 767277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767279 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 767281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767288 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767302 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767312 */     GIR_RootConstrainSelectedInstOperands,
     /* 767313 */     // GIR_Coverage, 6746,
     /* 767313 */     GIR_EraseRootFromParent_Done,
     /* 767314 */   // Label 10213: @767314
     /* 767314 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(767393), // Rule ID 6774 //
     /* 767319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767322 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767326 */     // MIs[0] offset
     /* 767326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767329 */     // MIs[0] format
     /* 767329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767332 */     // MIs[0] auxiliary
     /* 767332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767335 */     // MIs[0] Operand 8
     /* 767335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767353 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_OFFEN),
     /* 767356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767358 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 767360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767367 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767369 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767375 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767381 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767391 */     GIR_RootConstrainSelectedInstOperands,
     /* 767392 */     // GIR_Coverage, 6774,
     /* 767392 */     GIR_EraseRootFromParent_Done,
     /* 767393 */   // Label 10214: @767393
     /* 767393 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(767469), // Rule ID 6778 //
     /* 767398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 767402 */     // MIs[0] offset
     /* 767402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767405 */     // MIs[0] format
     /* 767405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767408 */     // MIs[0] auxiliary
     /* 767408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767411 */     // MIs[0] Operand 8
     /* 767411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 767422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767429 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_OFFEN),
     /* 767432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767434 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 767436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767443 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767445 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767457 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767467 */     GIR_RootConstrainSelectedInstOperands,
     /* 767468 */     // GIR_Coverage, 6778,
     /* 767468 */     GIR_EraseRootFromParent_Done,
     /* 767469 */   // Label 10215: @767469
     /* 767469 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(767540), // Rule ID 6741 //
     /* 767474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767481 */     // MIs[0] offset
     /* 767481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767484 */     // MIs[0] format
     /* 767484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767487 */     // MIs[0] auxiliary
     /* 767487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767490 */     // MIs[0] Operand 8
     /* 767490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767500 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_IDXEN),
     /* 767503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767505 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 767507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767514 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767516 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767538 */     GIR_RootConstrainSelectedInstOperands,
     /* 767539 */     // GIR_Coverage, 6741,
     /* 767539 */     GIR_EraseRootFromParent_Done,
     /* 767540 */   // Label 10216: @767540
     /* 767540 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(767608), // Rule ID 6745 //
     /* 767545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767549 */     // MIs[0] offset
     /* 767549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767552 */     // MIs[0] format
     /* 767552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767555 */     // MIs[0] auxiliary
     /* 767555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767558 */     // MIs[0] Operand 8
     /* 767558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767568 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN),
     /* 767571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767573 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 767575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767582 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767584 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767596 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767606 */     GIR_RootConstrainSelectedInstOperands,
     /* 767607 */     // GIR_Coverage, 6745,
     /* 767607 */     GIR_EraseRootFromParent_Done,
     /* 767608 */   // Label 10217: @767608
     /* 767608 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(767679), // Rule ID 6773 //
     /* 767613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767616 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767620 */     // MIs[0] offset
     /* 767620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767623 */     // MIs[0] format
     /* 767623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767626 */     // MIs[0] auxiliary
     /* 767626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767629 */     // MIs[0] Operand 8
     /* 767629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767639 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_IDXEN),
     /* 767642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767644 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 767646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767653 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767655 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767661 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767667 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767677 */     GIR_RootConstrainSelectedInstOperands,
     /* 767678 */     // GIR_Coverage, 6773,
     /* 767678 */     GIR_EraseRootFromParent_Done,
     /* 767679 */   // Label 10218: @767679
     /* 767679 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(767747), // Rule ID 6777 //
     /* 767684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 767688 */     // MIs[0] offset
     /* 767688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767691 */     // MIs[0] format
     /* 767691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767694 */     // MIs[0] auxiliary
     /* 767694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767697 */     // MIs[0] Operand 8
     /* 767697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767707 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN:{ *:[v4f32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_IDXEN),
     /* 767710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767712 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 767714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767721 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767729 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767735 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767745 */     GIR_RootConstrainSelectedInstOperands,
     /* 767746 */     // GIR_Coverage, 6777,
     /* 767746 */     GIR_EraseRootFromParent_Done,
     /* 767747 */   // Label 10219: @767747
     /* 767747 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(767856), // Rule ID 6743 //
     /* 767752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767755 */     // MIs[0] offset
     /* 767755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767758 */     // MIs[0] format
     /* 767758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767761 */     // MIs[0] auxiliary
     /* 767761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767764 */     // MIs[0] Operand 8
     /* 767764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767774 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 767777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 767781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 767786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 767790 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 767793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 767797 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 767800 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 767805 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 767810 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 767815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_BOTHEN),
     /* 767818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 767823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767830 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767832 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767838 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767844 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767854 */     GIR_RootConstrainSelectedInstOperands,
     /* 767855 */     // GIR_Coverage, 6743,
     /* 767855 */     GIR_EraseRootFromParent_Done,
     /* 767856 */   // Label 10220: @767856
     /* 767856 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(767962), // Rule ID 6747 //
     /* 767861 */     // MIs[0] offset
     /* 767861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767864 */     // MIs[0] format
     /* 767864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767867 */     // MIs[0] auxiliary
     /* 767867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767870 */     // MIs[0] Operand 8
     /* 767870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767880 */     // (SItbuffer_load:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 767883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 767887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 767892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 767896 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 767899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 767903 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 767906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 767911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 767916 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 767921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN),
     /* 767924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 767926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 767929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 767931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 767936 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 767938 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 767944 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 767950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 767956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 767960 */     GIR_RootConstrainSelectedInstOperands,
     /* 767961 */     // GIR_Coverage, 6747,
     /* 767961 */     GIR_EraseRootFromParent_Done,
     /* 767962 */   // Label 10221: @767962
     /* 767962 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(768071), // Rule ID 6775 //
     /* 767967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 767970 */     // MIs[0] offset
     /* 767970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 767973 */     // MIs[0] format
     /* 767973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 767976 */     // MIs[0] auxiliary
     /* 767976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 767979 */     // MIs[0] Operand 8
     /* 767979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 767982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 767989 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 767989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 767992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 767996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 768001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 768005 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 768008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 768012 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 768015 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 768020 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 768025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 768030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_BOTHEN),
     /* 768033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 768038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768045 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768047 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768053 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768059 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768069 */     GIR_RootConstrainSelectedInstOperands,
     /* 768070 */     // GIR_Coverage, 6775,
     /* 768070 */     GIR_EraseRootFromParent_Done,
     /* 768071 */   // Label 10222: @768071
     /* 768071 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(768177), // Rule ID 6779 //
     /* 768076 */     // MIs[0] offset
     /* 768076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768079 */     // MIs[0] format
     /* 768079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768082 */     // MIs[0] auxiliary
     /* 768082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768085 */     // MIs[0] Operand 8
     /* 768085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 768088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768095 */     // (SItbuffer_load:{ *:[v4f32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN:{ *:[v4f32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 768098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 768102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 768107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 768111 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 768114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 768118 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 768121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 768126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 768131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 768136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_XYZW_VBUFFER_BOTHEN),
     /* 768139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 768144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768151 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768153 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768159 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768165 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768175 */     GIR_RootConstrainSelectedInstOperands,
     /* 768176 */     // GIR_Coverage, 6779,
     /* 768176 */     GIR_EraseRootFromParent_Done,
     /* 768177 */   // Label 10223: @768177
     /* 768177 */   GIM_Reject,
     /* 768178 */ // Label 10207: @768178
     /* 768178 */ GIM_Reject,
     /* 768179 */ // Label 10155: @768179
     /* 768179 */ GIM_Reject,
     /* 768180 */ // Label 165: @768180
     /* 768180 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(18), /*)*//*default:*//*Label 10231*/ GIMT_Encode4(773608),
     /* 768191 */ /*GILLT_s16*//*Label 10224*/ GIMT_Encode4(768231),
     /* 768195 */ /*GILLT_s32*//*Label 10225*/ GIMT_Encode4(769274), GIMT_Encode4(0),
     /* 768203 */ /*GILLT_v2s16*//*Label 10226*/ GIMT_Encode4(770317),
     /* 768207 */ /*GILLT_v2s32*//*Label 10227*/ GIMT_Encode4(771020), GIMT_Encode4(0),
     /* 768215 */ /*GILLT_v3s32*//*Label 10228*/ GIMT_Encode4(771383), GIMT_Encode4(0),
     /* 768223 */ /*GILLT_v4s16*//*Label 10229*/ GIMT_Encode4(771746),
     /* 768227 */ /*GILLT_v4s32*//*Label 10230*/ GIMT_Encode4(773245),
     /* 768231 */ // Label 10224: @768231
     /* 768231 */ GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(769273),
     /* 768236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 768239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 768242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 768245 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 768248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 768252 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(768333), // Rule ID 6780 //
     /* 768257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 768260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768268 */     // MIs[0] offset
     /* 768268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768271 */     // MIs[0] format
     /* 768271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768274 */     // MIs[0] auxiliary
     /* 768274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768277 */     // MIs[0] Operand 8
     /* 768277 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768295 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET),
     /* 768298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768307 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768309 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768315 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768321 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768331 */     GIR_RootConstrainSelectedInstOperands,
     /* 768332 */     // GIR_Coverage, 6780,
     /* 768332 */     GIR_EraseRootFromParent_Done,
     /* 768333 */   // Label 10233: @768333
     /* 768333 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(768414), // Rule ID 6800 //
     /* 768338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 768341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768345 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768349 */     // MIs[0] offset
     /* 768349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768352 */     // MIs[0] format
     /* 768352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768355 */     // MIs[0] auxiliary
     /* 768355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768358 */     // MIs[0] Operand 8
     /* 768358 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768376 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_OFFSET),
     /* 768379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768388 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768390 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768396 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768402 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768412 */     GIR_RootConstrainSelectedInstOperands,
     /* 768413 */     // GIR_Coverage, 6800,
     /* 768413 */     GIR_EraseRootFromParent_Done,
     /* 768414 */   // Label 10234: @768414
     /* 768414 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(768495), // Rule ID 6804 //
     /* 768419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 768422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768430 */     // MIs[0] offset
     /* 768430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768433 */     // MIs[0] format
     /* 768433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768436 */     // MIs[0] auxiliary
     /* 768436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768439 */     // MIs[0] Operand 8
     /* 768439 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768457 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET:{ *:[f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET),
     /* 768460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768469 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768471 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768477 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768483 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768493 */     GIR_RootConstrainSelectedInstOperands,
     /* 768494 */     // GIR_Coverage, 6804,
     /* 768494 */     GIR_EraseRootFromParent_Done,
     /* 768495 */   // Label 10235: @768495
     /* 768495 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(768574), // Rule ID 6782 //
     /* 768500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 768503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768507 */     // MIs[0] offset
     /* 768507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768510 */     // MIs[0] format
     /* 768510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768513 */     // MIs[0] auxiliary
     /* 768513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768516 */     // MIs[0] Operand 8
     /* 768516 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768534 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN),
     /* 768537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768539 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 768541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768548 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768550 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768556 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768562 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768572 */     GIR_RootConstrainSelectedInstOperands,
     /* 768573 */     // GIR_Coverage, 6782,
     /* 768573 */     GIR_EraseRootFromParent_Done,
     /* 768574 */   // Label 10236: @768574
     /* 768574 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(768653), // Rule ID 6802 //
     /* 768579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 768582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768586 */     // MIs[0] offset
     /* 768586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768589 */     // MIs[0] format
     /* 768589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768592 */     // MIs[0] auxiliary
     /* 768592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768595 */     // MIs[0] Operand 8
     /* 768595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768613 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_OFFEN),
     /* 768616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768618 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 768620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768627 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768629 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768635 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768641 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768651 */     GIR_RootConstrainSelectedInstOperands,
     /* 768652 */     // GIR_Coverage, 6802,
     /* 768652 */     GIR_EraseRootFromParent_Done,
     /* 768653 */   // Label 10237: @768653
     /* 768653 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(768732), // Rule ID 6806 //
     /* 768658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 768661 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 768665 */     // MIs[0] offset
     /* 768665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768668 */     // MIs[0] format
     /* 768668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768671 */     // MIs[0] auxiliary
     /* 768671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768674 */     // MIs[0] Operand 8
     /* 768674 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 768685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768692 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN),
     /* 768695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768697 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 768699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768706 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768708 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768714 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768720 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768730 */     GIR_RootConstrainSelectedInstOperands,
     /* 768731 */     // GIR_Coverage, 6806,
     /* 768731 */     GIR_EraseRootFromParent_Done,
     /* 768732 */   // Label 10238: @768732
     /* 768732 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(768803), // Rule ID 6781 //
     /* 768737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 768740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768744 */     // MIs[0] offset
     /* 768744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768747 */     // MIs[0] format
     /* 768747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768750 */     // MIs[0] auxiliary
     /* 768750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768753 */     // MIs[0] Operand 8
     /* 768753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 768756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768763 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN),
     /* 768766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768768 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 768770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768777 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768779 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768785 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768791 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768801 */     GIR_RootConstrainSelectedInstOperands,
     /* 768802 */     // GIR_Coverage, 6781,
     /* 768802 */     GIR_EraseRootFromParent_Done,
     /* 768803 */   // Label 10239: @768803
     /* 768803 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(768874), // Rule ID 6801 //
     /* 768808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 768811 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768815 */     // MIs[0] offset
     /* 768815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768818 */     // MIs[0] format
     /* 768818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768821 */     // MIs[0] auxiliary
     /* 768821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768824 */     // MIs[0] Operand 8
     /* 768824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 768827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768834 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_IDXEN),
     /* 768837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768839 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 768841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768848 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768850 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768856 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768862 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768872 */     GIR_RootConstrainSelectedInstOperands,
     /* 768873 */     // GIR_Coverage, 6801,
     /* 768873 */     GIR_EraseRootFromParent_Done,
     /* 768874 */   // Label 10240: @768874
     /* 768874 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(768945), // Rule ID 6805 //
     /* 768879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 768882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 768886 */     // MIs[0] offset
     /* 768886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768889 */     // MIs[0] format
     /* 768889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768892 */     // MIs[0] auxiliary
     /* 768892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768895 */     // MIs[0] Operand 8
     /* 768895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 768898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768905 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN:{ *:[f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN),
     /* 768908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 768910 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 768912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 768914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 768919 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 768921 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 768927 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 768933 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 768939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 768943 */     GIR_RootConstrainSelectedInstOperands,
     /* 768944 */     // GIR_Coverage, 6805,
     /* 768944 */     GIR_EraseRootFromParent_Done,
     /* 768945 */   // Label 10241: @768945
     /* 768945 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(769054), // Rule ID 6783 //
     /* 768950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 768953 */     // MIs[0] offset
     /* 768953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 768956 */     // MIs[0] format
     /* 768956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 768959 */     // MIs[0] auxiliary
     /* 768959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 768962 */     // MIs[0] Operand 8
     /* 768962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 768965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 768972 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 768972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 768975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 768979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 768984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 768988 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 768991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 768995 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 768998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 769003 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769008 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN),
     /* 769016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 769021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769028 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769030 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769036 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769042 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769052 */     GIR_RootConstrainSelectedInstOperands,
     /* 769053 */     // GIR_Coverage, 6783,
     /* 769053 */     GIR_EraseRootFromParent_Done,
     /* 769054 */   // Label 10242: @769054
     /* 769054 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(769163), // Rule ID 6803 //
     /* 769059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 769062 */     // MIs[0] offset
     /* 769062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769065 */     // MIs[0] format
     /* 769065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769068 */     // MIs[0] auxiliary
     /* 769068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769071 */     // MIs[0] Operand 8
     /* 769071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 769074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769081 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 769084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 769088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 769093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 769097 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 769100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 769104 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 769107 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 769112 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_BOTHEN),
     /* 769125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 769130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769137 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769139 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769145 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769151 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769161 */     GIR_RootConstrainSelectedInstOperands,
     /* 769162 */     // GIR_Coverage, 6803,
     /* 769162 */     GIR_EraseRootFromParent_Done,
     /* 769163 */   // Label 10243: @769163
     /* 769163 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(769272), // Rule ID 6807 //
     /* 769168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 769171 */     // MIs[0] offset
     /* 769171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769174 */     // MIs[0] format
     /* 769174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769177 */     // MIs[0] auxiliary
     /* 769177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769180 */     // MIs[0] Operand 8
     /* 769180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 769183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769190 */     // (SItbuffer_load_d16:{ *:[f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN:{ *:[f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 769193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 769197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 769202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 769206 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 769209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 769213 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 769216 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 769221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 769231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN),
     /* 769234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 769239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769246 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769260 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769270 */     GIR_RootConstrainSelectedInstOperands,
     /* 769271 */     // GIR_Coverage, 6807,
     /* 769271 */     GIR_EraseRootFromParent_Done,
     /* 769272 */   // Label 10244: @769272
     /* 769272 */   GIM_Reject,
     /* 769273 */ // Label 10232: @769273
     /* 769273 */ GIM_Reject,
     /* 769274 */ // Label 10225: @769274
     /* 769274 */ GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(770316),
     /* 769279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 769282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 769285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 769288 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 769291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 769295 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(769376), // Rule ID 6784 //
     /* 769300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 769303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769311 */     // MIs[0] offset
     /* 769311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769314 */     // MIs[0] format
     /* 769314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769317 */     // MIs[0] auxiliary
     /* 769317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769320 */     // MIs[0] Operand 8
     /* 769320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769338 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFSET),
     /* 769341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769350 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769352 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769358 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769374 */     GIR_RootConstrainSelectedInstOperands,
     /* 769375 */     // GIR_Coverage, 6784,
     /* 769375 */     GIR_EraseRootFromParent_Done,
     /* 769376 */   // Label 10246: @769376
     /* 769376 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(769457), // Rule ID 6808 //
     /* 769381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 769384 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769392 */     // MIs[0] offset
     /* 769392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769395 */     // MIs[0] format
     /* 769395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769398 */     // MIs[0] auxiliary
     /* 769398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769401 */     // MIs[0] Operand 8
     /* 769401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769419 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_OFFSET),
     /* 769422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769431 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769433 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769439 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769445 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769455 */     GIR_RootConstrainSelectedInstOperands,
     /* 769456 */     // GIR_Coverage, 6808,
     /* 769456 */     GIR_EraseRootFromParent_Done,
     /* 769457 */   // Label 10247: @769457
     /* 769457 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(769538), // Rule ID 6812 //
     /* 769462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 769465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769473 */     // MIs[0] offset
     /* 769473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769476 */     // MIs[0] format
     /* 769476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769479 */     // MIs[0] auxiliary
     /* 769479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769482 */     // MIs[0] Operand 8
     /* 769482 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769500 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET:{ *:[i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFSET),
     /* 769503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769512 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769514 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769520 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769526 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769536 */     GIR_RootConstrainSelectedInstOperands,
     /* 769537 */     // GIR_Coverage, 6812,
     /* 769537 */     GIR_EraseRootFromParent_Done,
     /* 769538 */   // Label 10248: @769538
     /* 769538 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(769617), // Rule ID 6786 //
     /* 769543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 769546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769550 */     // MIs[0] offset
     /* 769550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769553 */     // MIs[0] format
     /* 769553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769556 */     // MIs[0] auxiliary
     /* 769556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769559 */     // MIs[0] Operand 8
     /* 769559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769577 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_OFFEN),
     /* 769580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769582 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 769584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769591 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769593 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769599 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769605 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769615 */     GIR_RootConstrainSelectedInstOperands,
     /* 769616 */     // GIR_Coverage, 6786,
     /* 769616 */     GIR_EraseRootFromParent_Done,
     /* 769617 */   // Label 10249: @769617
     /* 769617 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(769696), // Rule ID 6810 //
     /* 769622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 769625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769629 */     // MIs[0] offset
     /* 769629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769632 */     // MIs[0] format
     /* 769632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769635 */     // MIs[0] auxiliary
     /* 769635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769638 */     // MIs[0] Operand 8
     /* 769638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769656 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_OFFEN),
     /* 769659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769661 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 769663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769670 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769694 */     GIR_RootConstrainSelectedInstOperands,
     /* 769695 */     // GIR_Coverage, 6810,
     /* 769695 */     GIR_EraseRootFromParent_Done,
     /* 769696 */   // Label 10250: @769696
     /* 769696 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(769775), // Rule ID 6814 //
     /* 769701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 769704 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 769708 */     // MIs[0] offset
     /* 769708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769711 */     // MIs[0] format
     /* 769711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769714 */     // MIs[0] auxiliary
     /* 769714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769717 */     // MIs[0] Operand 8
     /* 769717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 769728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769735 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_OFFEN),
     /* 769738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769740 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 769742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769749 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769751 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769757 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769763 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769773 */     GIR_RootConstrainSelectedInstOperands,
     /* 769774 */     // GIR_Coverage, 6814,
     /* 769774 */     GIR_EraseRootFromParent_Done,
     /* 769775 */   // Label 10251: @769775
     /* 769775 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(769846), // Rule ID 6785 //
     /* 769780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 769783 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769787 */     // MIs[0] offset
     /* 769787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769790 */     // MIs[0] format
     /* 769790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769793 */     // MIs[0] auxiliary
     /* 769793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769796 */     // MIs[0] Operand 8
     /* 769796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 769799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769806 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_IDXEN),
     /* 769809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769811 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 769813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769820 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769822 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769828 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769834 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769844 */     GIR_RootConstrainSelectedInstOperands,
     /* 769845 */     // GIR_Coverage, 6785,
     /* 769845 */     GIR_EraseRootFromParent_Done,
     /* 769846 */   // Label 10252: @769846
     /* 769846 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(769917), // Rule ID 6809 //
     /* 769851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 769854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769858 */     // MIs[0] offset
     /* 769858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769861 */     // MIs[0] format
     /* 769861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769864 */     // MIs[0] auxiliary
     /* 769864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769867 */     // MIs[0] Operand 8
     /* 769867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 769870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769877 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_IDXEN),
     /* 769880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769882 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 769884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769891 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769893 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769899 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769905 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769915 */     GIR_RootConstrainSelectedInstOperands,
     /* 769916 */     // GIR_Coverage, 6809,
     /* 769916 */     GIR_EraseRootFromParent_Done,
     /* 769917 */   // Label 10253: @769917
     /* 769917 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(769988), // Rule ID 6813 //
     /* 769922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 769925 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 769929 */     // MIs[0] offset
     /* 769929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769932 */     // MIs[0] format
     /* 769932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 769935 */     // MIs[0] auxiliary
     /* 769935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 769938 */     // MIs[0] Operand 8
     /* 769938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 769941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 769948 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN:{ *:[i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 769948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_IDXEN),
     /* 769951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 769953 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 769955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 769957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 769962 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 769964 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 769970 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 769976 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 769982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 769986 */     GIR_RootConstrainSelectedInstOperands,
     /* 769987 */     // GIR_Coverage, 6813,
     /* 769987 */     GIR_EraseRootFromParent_Done,
     /* 769988 */   // Label 10254: @769988
     /* 769988 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(770097), // Rule ID 6787 //
     /* 769993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 769996 */     // MIs[0] offset
     /* 769996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 769999 */     // MIs[0] format
     /* 769999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770002 */     // MIs[0] auxiliary
     /* 770002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770005 */     // MIs[0] Operand 8
     /* 770005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770015 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 770018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 770022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 770027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 770031 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 770034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 770038 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 770041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 770046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_gfx80_BOTHEN),
     /* 770059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 770064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770071 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770073 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770079 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770095 */     GIR_RootConstrainSelectedInstOperands,
     /* 770096 */     // GIR_Coverage, 6787,
     /* 770096 */     GIR_EraseRootFromParent_Done,
     /* 770097 */   // Label 10255: @770097
     /* 770097 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(770206), // Rule ID 6811 //
     /* 770102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 770105 */     // MIs[0] offset
     /* 770105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770108 */     // MIs[0] format
     /* 770108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770111 */     // MIs[0] auxiliary
     /* 770111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770114 */     // MIs[0] Operand 8
     /* 770114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770124 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 770127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 770131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 770136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 770140 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 770143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 770147 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 770150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 770155 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770160 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_BOTHEN),
     /* 770168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 770173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770180 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770182 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770188 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770194 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770204 */     GIR_RootConstrainSelectedInstOperands,
     /* 770205 */     // GIR_Coverage, 6811,
     /* 770205 */     GIR_EraseRootFromParent_Done,
     /* 770206 */   // Label 10256: @770206
     /* 770206 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(770315), // Rule ID 6815 //
     /* 770211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 770214 */     // MIs[0] offset
     /* 770214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770217 */     // MIs[0] format
     /* 770217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770220 */     // MIs[0] auxiliary
     /* 770220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770223 */     // MIs[0] Operand 8
     /* 770223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770233 */     // (SItbuffer_load_d16:{ *:[i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN:{ *:[i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 770236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 770240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 770245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 770249 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 770252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 770256 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 770259 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 770264 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770269 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_X_VBUFFER_BOTHEN),
     /* 770277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 770282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770289 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770291 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770297 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770303 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770313 */     GIR_RootConstrainSelectedInstOperands,
     /* 770314 */     // GIR_Coverage, 6815,
     /* 770314 */     GIR_EraseRootFromParent_Done,
     /* 770315 */   // Label 10257: @770315
     /* 770315 */   GIM_Reject,
     /* 770316 */ // Label 10245: @770316
     /* 770316 */ GIM_Reject,
     /* 770317 */ // Label 10226: @770317
     /* 770317 */ GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(771019),
     /* 770322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 770325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 770328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 770331 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 770334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_32RegClassID),
     /* 770338 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(770419), // Rule ID 6816 //
     /* 770343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 770346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 770350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 770354 */     // MIs[0] offset
     /* 770354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770357 */     // MIs[0] format
     /* 770357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770360 */     // MIs[0] auxiliary
     /* 770360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770363 */     // MIs[0] Operand 8
     /* 770363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 770374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770381 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_OFFSET),
     /* 770384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770393 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770395 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770401 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770407 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770417 */     GIR_RootConstrainSelectedInstOperands,
     /* 770418 */     // GIR_Coverage, 6816,
     /* 770418 */     GIR_EraseRootFromParent_Done,
     /* 770419 */   // Label 10259: @770419
     /* 770419 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(770500), // Rule ID 6820 //
     /* 770424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 770427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 770431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 770435 */     // MIs[0] offset
     /* 770435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770438 */     // MIs[0] format
     /* 770438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770441 */     // MIs[0] auxiliary
     /* 770441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770444 */     // MIs[0] Operand 8
     /* 770444 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 770455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770462 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET:{ *:[v2f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFSET),
     /* 770465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770474 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770476 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770482 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770488 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770498 */     GIR_RootConstrainSelectedInstOperands,
     /* 770499 */     // GIR_Coverage, 6820,
     /* 770499 */     GIR_EraseRootFromParent_Done,
     /* 770500 */   // Label 10260: @770500
     /* 770500 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(770579), // Rule ID 6818 //
     /* 770505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 770508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 770512 */     // MIs[0] offset
     /* 770512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770515 */     // MIs[0] format
     /* 770515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770518 */     // MIs[0] auxiliary
     /* 770518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770521 */     // MIs[0] Operand 8
     /* 770521 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 770532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770539 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_OFFEN),
     /* 770542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770544 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 770546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770553 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770555 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770561 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770567 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770577 */     GIR_RootConstrainSelectedInstOperands,
     /* 770578 */     // GIR_Coverage, 6818,
     /* 770578 */     GIR_EraseRootFromParent_Done,
     /* 770579 */   // Label 10261: @770579
     /* 770579 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(770658), // Rule ID 6822 //
     /* 770584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 770587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 770591 */     // MIs[0] offset
     /* 770591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770594 */     // MIs[0] format
     /* 770594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770597 */     // MIs[0] auxiliary
     /* 770597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770600 */     // MIs[0] Operand 8
     /* 770600 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 770611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770618 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_OFFEN),
     /* 770621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770623 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 770625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770632 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770634 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770640 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770646 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770656 */     GIR_RootConstrainSelectedInstOperands,
     /* 770657 */     // GIR_Coverage, 6822,
     /* 770657 */     GIR_EraseRootFromParent_Done,
     /* 770658 */   // Label 10262: @770658
     /* 770658 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(770729), // Rule ID 6817 //
     /* 770663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 770666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 770670 */     // MIs[0] offset
     /* 770670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770673 */     // MIs[0] format
     /* 770673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770676 */     // MIs[0] auxiliary
     /* 770676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770679 */     // MIs[0] Operand 8
     /* 770679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770689 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_IDXEN),
     /* 770692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770694 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 770696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770703 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770705 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770711 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770717 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770727 */     GIR_RootConstrainSelectedInstOperands,
     /* 770728 */     // GIR_Coverage, 6817,
     /* 770728 */     GIR_EraseRootFromParent_Done,
     /* 770729 */   // Label 10263: @770729
     /* 770729 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(770800), // Rule ID 6821 //
     /* 770734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 770737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 770741 */     // MIs[0] offset
     /* 770741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770744 */     // MIs[0] format
     /* 770744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770747 */     // MIs[0] auxiliary
     /* 770747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770750 */     // MIs[0] Operand 8
     /* 770750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770760 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN:{ *:[v2f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_IDXEN),
     /* 770763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770765 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 770767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770774 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770798 */     GIR_RootConstrainSelectedInstOperands,
     /* 770799 */     // GIR_Coverage, 6821,
     /* 770799 */     GIR_EraseRootFromParent_Done,
     /* 770800 */   // Label 10264: @770800
     /* 770800 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(770909), // Rule ID 6819 //
     /* 770805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 770808 */     // MIs[0] offset
     /* 770808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770811 */     // MIs[0] format
     /* 770811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770814 */     // MIs[0] auxiliary
     /* 770814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770817 */     // MIs[0] Operand 8
     /* 770817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770827 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 770830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 770834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 770839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 770843 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 770846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 770850 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 770853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 770858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_BOTHEN),
     /* 770871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 770876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770883 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 770891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 770897 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 770903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 770907 */     GIR_RootConstrainSelectedInstOperands,
     /* 770908 */     // GIR_Coverage, 6819,
     /* 770908 */     GIR_EraseRootFromParent_Done,
     /* 770909 */   // Label 10265: @770909
     /* 770909 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(771018), // Rule ID 6823 //
     /* 770914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 770917 */     // MIs[0] offset
     /* 770917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 770920 */     // MIs[0] format
     /* 770920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 770923 */     // MIs[0] auxiliary
     /* 770923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 770926 */     // MIs[0] Operand 8
     /* 770926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 770929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 770936 */     // (SItbuffer_load_d16:{ *:[v2f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN:{ *:[v2f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 770936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 770939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 770943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 770948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 770952 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 770955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 770959 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 770962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 770967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770972 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 770977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_VBUFFER_BOTHEN),
     /* 770980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 770982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 770985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 770987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 770992 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 770994 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771000 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771006 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771016 */     GIR_RootConstrainSelectedInstOperands,
     /* 771017 */     // GIR_Coverage, 6823,
     /* 771017 */     GIR_EraseRootFromParent_Done,
     /* 771018 */   // Label 10266: @771018
     /* 771018 */   GIM_Reject,
     /* 771019 */ // Label 10258: @771019
     /* 771019 */ GIM_Reject,
     /* 771020 */ // Label 10227: @771020
     /* 771020 */ GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(771382),
     /* 771025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 771028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 771031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 771034 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 771037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 771041 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(771122), // Rule ID 6788 //
     /* 771046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771053 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771057 */     // MIs[0] offset
     /* 771057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771060 */     // MIs[0] format
     /* 771060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771063 */     // MIs[0] auxiliary
     /* 771063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771066 */     // MIs[0] Operand 8
     /* 771066 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771084 */     // (SItbuffer_load_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFSET:{ *:[v2i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFSET),
     /* 771087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771096 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771098 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771104 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771110 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771120 */     GIR_RootConstrainSelectedInstOperands,
     /* 771121 */     // GIR_Coverage, 6788,
     /* 771121 */     GIR_EraseRootFromParent_Done,
     /* 771122 */   // Label 10268: @771122
     /* 771122 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(771201), // Rule ID 6790 //
     /* 771127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771130 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771134 */     // MIs[0] offset
     /* 771134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771137 */     // MIs[0] format
     /* 771137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771140 */     // MIs[0] auxiliary
     /* 771140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771143 */     // MIs[0] Operand 8
     /* 771143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771161 */     // (SItbuffer_load_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_gfx80_OFFEN),
     /* 771164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771166 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 771168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771175 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771177 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771183 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771189 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771199 */     GIR_RootConstrainSelectedInstOperands,
     /* 771200 */     // GIR_Coverage, 6790,
     /* 771200 */     GIR_EraseRootFromParent_Done,
     /* 771201 */   // Label 10269: @771201
     /* 771201 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(771272), // Rule ID 6789 //
     /* 771206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771213 */     // MIs[0] offset
     /* 771213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771216 */     // MIs[0] format
     /* 771216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771219 */     // MIs[0] auxiliary
     /* 771219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771222 */     // MIs[0] Operand 8
     /* 771222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 771225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771232 */     // (SItbuffer_load_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_gfx80_IDXEN:{ *:[v2i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_gfx80_IDXEN),
     /* 771235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771237 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 771239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771246 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771248 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771254 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771260 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771270 */     GIR_RootConstrainSelectedInstOperands,
     /* 771271 */     // GIR_Coverage, 6789,
     /* 771271 */     GIR_EraseRootFromParent_Done,
     /* 771272 */   // Label 10270: @771272
     /* 771272 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(771381), // Rule ID 6791 //
     /* 771277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771280 */     // MIs[0] offset
     /* 771280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771283 */     // MIs[0] format
     /* 771283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771286 */     // MIs[0] auxiliary
     /* 771286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771289 */     // MIs[0] Operand 8
     /* 771289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 771292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771299 */     // (SItbuffer_load_d16:{ *:[v2i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XY_gfx80_BOTHEN:{ *:[v2i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 771302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 771306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 771311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 771315 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 771318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 771322 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 771325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 771330 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 771335 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 771340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XY_gfx80_BOTHEN),
     /* 771343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 771348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771355 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771357 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771363 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771369 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771379 */     GIR_RootConstrainSelectedInstOperands,
     /* 771380 */     // GIR_Coverage, 6791,
     /* 771380 */     GIR_EraseRootFromParent_Done,
     /* 771381 */   // Label 10271: @771381
     /* 771381 */   GIM_Reject,
     /* 771382 */ // Label 10267: @771382
     /* 771382 */ GIM_Reject,
     /* 771383 */ // Label 10228: @771383
     /* 771383 */ GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(771745),
     /* 771388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 771391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 771394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 771397 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 771400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_96RegClassID),
     /* 771404 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(771485), // Rule ID 6792 //
     /* 771409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771412 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771420 */     // MIs[0] offset
     /* 771420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771423 */     // MIs[0] format
     /* 771423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771426 */     // MIs[0] auxiliary
     /* 771426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771429 */     // MIs[0] Operand 8
     /* 771429 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771447 */     // (SItbuffer_load_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFSET:{ *:[v3i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFSET),
     /* 771450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771459 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771461 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771467 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771483 */     GIR_RootConstrainSelectedInstOperands,
     /* 771484 */     // GIR_Coverage, 6792,
     /* 771484 */     GIR_EraseRootFromParent_Done,
     /* 771485 */   // Label 10273: @771485
     /* 771485 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(771564), // Rule ID 6794 //
     /* 771490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771493 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771497 */     // MIs[0] offset
     /* 771497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771500 */     // MIs[0] format
     /* 771500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771503 */     // MIs[0] auxiliary
     /* 771503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771506 */     // MIs[0] Operand 8
     /* 771506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771524 */     // (SItbuffer_load_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_OFFEN),
     /* 771527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771529 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 771531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771538 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771540 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771546 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771552 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771562 */     GIR_RootConstrainSelectedInstOperands,
     /* 771563 */     // GIR_Coverage, 6794,
     /* 771563 */     GIR_EraseRootFromParent_Done,
     /* 771564 */   // Label 10274: @771564
     /* 771564 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(771635), // Rule ID 6793 //
     /* 771569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771576 */     // MIs[0] offset
     /* 771576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771579 */     // MIs[0] format
     /* 771579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771582 */     // MIs[0] auxiliary
     /* 771582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771585 */     // MIs[0] Operand 8
     /* 771585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 771588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771595 */     // (SItbuffer_load_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_IDXEN:{ *:[v3i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_IDXEN),
     /* 771598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771600 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 771602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771609 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771611 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771617 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771623 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771633 */     GIR_RootConstrainSelectedInstOperands,
     /* 771634 */     // GIR_Coverage, 6793,
     /* 771634 */     GIR_EraseRootFromParent_Done,
     /* 771635 */   // Label 10275: @771635
     /* 771635 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(771744), // Rule ID 6795 //
     /* 771640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 771643 */     // MIs[0] offset
     /* 771643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771646 */     // MIs[0] format
     /* 771646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771649 */     // MIs[0] auxiliary
     /* 771649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771652 */     // MIs[0] Operand 8
     /* 771652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 771655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771662 */     // (SItbuffer_load_d16:{ *:[v3i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_BOTHEN:{ *:[v3i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 771665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 771669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 771674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 771678 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 771681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 771685 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 771688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 771693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 771698 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 771703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_gfx80_BOTHEN),
     /* 771706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 771711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771718 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771720 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771726 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771732 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771742 */     GIR_RootConstrainSelectedInstOperands,
     /* 771743 */     // GIR_Coverage, 6795,
     /* 771743 */     GIR_EraseRootFromParent_Done,
     /* 771744 */   // Label 10276: @771744
     /* 771744 */   GIM_Reject,
     /* 771745 */ // Label 10272: @771745
     /* 771745 */ GIM_Reject,
     /* 771746 */ // Label 10229: @771746
     /* 771746 */ GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(773244),
     /* 771751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 771754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 771757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 771760 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 771763 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(771855), // Rule ID 6824 //
     /* 771768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 771771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 771778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 771782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771786 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771790 */     // MIs[0] offset
     /* 771790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771793 */     // MIs[0] format
     /* 771793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771796 */     // MIs[0] auxiliary
     /* 771796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771799 */     // MIs[0] Operand 8
     /* 771799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771817 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_OFFSET),
     /* 771820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771829 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771831 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771837 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771843 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771853 */     GIR_RootConstrainSelectedInstOperands,
     /* 771854 */     // GIR_Coverage, 6824,
     /* 771854 */     GIR_EraseRootFromParent_Done,
     /* 771855 */   // Label 10278: @771855
     /* 771855 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(771947), // Rule ID 6828 //
     /* 771860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 771863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 771870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 771874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771882 */     // MIs[0] offset
     /* 771882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771885 */     // MIs[0] format
     /* 771885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771888 */     // MIs[0] auxiliary
     /* 771888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771891 */     // MIs[0] Operand 8
     /* 771891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771909 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFSET),
     /* 771912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 771916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 771921 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 771923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 771929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 771935 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 771941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 771945 */     GIR_RootConstrainSelectedInstOperands,
     /* 771946 */     // GIR_Coverage, 6828,
     /* 771946 */     GIR_EraseRootFromParent_Done,
     /* 771947 */   // Label 10279: @771947
     /* 771947 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(772032), // Rule ID 6832 //
     /* 771952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 771955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 771959 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 771963 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 771967 */     // MIs[0] offset
     /* 771967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 771970 */     // MIs[0] format
     /* 771970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 771973 */     // MIs[0] auxiliary
     /* 771973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 771976 */     // MIs[0] Operand 8
     /* 771976 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 771987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 771994 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 771994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_OFFSET),
     /* 771997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 771999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772006 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772008 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772014 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772020 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772030 */     GIR_RootConstrainSelectedInstOperands,
     /* 772031 */     // GIR_Coverage, 6832,
     /* 772031 */     GIR_EraseRootFromParent_Done,
     /* 772032 */   // Label 10280: @772032
     /* 772032 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(772117), // Rule ID 6836 //
     /* 772037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 772048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 772052 */     // MIs[0] offset
     /* 772052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772055 */     // MIs[0] format
     /* 772055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772058 */     // MIs[0] auxiliary
     /* 772058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772061 */     // MIs[0] Operand 8
     /* 772061 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 772072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772079 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET:{ *:[v4f16] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFSET),
     /* 772082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772091 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772093 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772099 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772105 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772115 */     GIR_RootConstrainSelectedInstOperands,
     /* 772116 */     // GIR_Coverage, 6836,
     /* 772116 */     GIR_EraseRootFromParent_Done,
     /* 772117 */   // Label 10281: @772117
     /* 772117 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(772207), // Rule ID 6826 //
     /* 772122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 772125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772136 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 772140 */     // MIs[0] offset
     /* 772140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772143 */     // MIs[0] format
     /* 772143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772146 */     // MIs[0] auxiliary
     /* 772146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772149 */     // MIs[0] Operand 8
     /* 772149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 772160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772167 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_OFFEN),
     /* 772170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772172 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 772174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772181 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772183 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772189 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772195 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772205 */     GIR_RootConstrainSelectedInstOperands,
     /* 772206 */     // GIR_Coverage, 6826,
     /* 772206 */     GIR_EraseRootFromParent_Done,
     /* 772207 */   // Label 10282: @772207
     /* 772207 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(772297), // Rule ID 6830 //
     /* 772212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772226 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 772230 */     // MIs[0] offset
     /* 772230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772233 */     // MIs[0] format
     /* 772233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772236 */     // MIs[0] auxiliary
     /* 772236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772239 */     // MIs[0] Operand 8
     /* 772239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 772250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772257 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_OFFEN),
     /* 772260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772262 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 772264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772271 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772273 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772279 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772285 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772295 */     GIR_RootConstrainSelectedInstOperands,
     /* 772296 */     // GIR_Coverage, 6830,
     /* 772296 */     GIR_EraseRootFromParent_Done,
     /* 772297 */   // Label 10283: @772297
     /* 772297 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(772380), // Rule ID 6834 //
     /* 772302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 772305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772309 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 772313 */     // MIs[0] offset
     /* 772313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772316 */     // MIs[0] format
     /* 772316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772319 */     // MIs[0] auxiliary
     /* 772319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772322 */     // MIs[0] Operand 8
     /* 772322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 772333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772340 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_OFFEN),
     /* 772343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772345 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 772347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772354 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772356 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772362 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772378 */     GIR_RootConstrainSelectedInstOperands,
     /* 772379 */     // GIR_Coverage, 6834,
     /* 772379 */     GIR_EraseRootFromParent_Done,
     /* 772380 */   // Label 10284: @772380
     /* 772380 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(772463), // Rule ID 6838 //
     /* 772385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 772396 */     // MIs[0] offset
     /* 772396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772399 */     // MIs[0] format
     /* 772399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772402 */     // MIs[0] auxiliary
     /* 772402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772405 */     // MIs[0] Operand 8
     /* 772405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 772416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772423 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_OFFEN),
     /* 772426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772428 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 772430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772437 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772439 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772445 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772451 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772461 */     GIR_RootConstrainSelectedInstOperands,
     /* 772462 */     // GIR_Coverage, 6838,
     /* 772462 */     GIR_EraseRootFromParent_Done,
     /* 772463 */   // Label 10285: @772463
     /* 772463 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(772545), // Rule ID 6825 //
     /* 772468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 772471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 772486 */     // MIs[0] offset
     /* 772486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772489 */     // MIs[0] format
     /* 772489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772492 */     // MIs[0] auxiliary
     /* 772492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772495 */     // MIs[0] Operand 8
     /* 772495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772505 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_IDXEN),
     /* 772508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772510 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 772512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772519 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772521 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772527 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772533 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772543 */     GIR_RootConstrainSelectedInstOperands,
     /* 772544 */     // GIR_Coverage, 6825,
     /* 772544 */     GIR_EraseRootFromParent_Done,
     /* 772545 */   // Label 10286: @772545
     /* 772545 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(772627), // Rule ID 6829 //
     /* 772550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772564 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 772568 */     // MIs[0] offset
     /* 772568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772571 */     // MIs[0] format
     /* 772571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772574 */     // MIs[0] auxiliary
     /* 772574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772577 */     // MIs[0] Operand 8
     /* 772577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772587 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_IDXEN),
     /* 772590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772592 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 772594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772601 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772603 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772609 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772615 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772625 */     GIR_RootConstrainSelectedInstOperands,
     /* 772626 */     // GIR_Coverage, 6829,
     /* 772626 */     GIR_EraseRootFromParent_Done,
     /* 772627 */   // Label 10287: @772627
     /* 772627 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(772702), // Rule ID 6833 //
     /* 772632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 772635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772639 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 772643 */     // MIs[0] offset
     /* 772643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772646 */     // MIs[0] format
     /* 772646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772649 */     // MIs[0] auxiliary
     /* 772649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772652 */     // MIs[0] Operand 8
     /* 772652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772662 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_IDXEN),
     /* 772665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772667 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 772669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772676 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772690 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772700 */     GIR_RootConstrainSelectedInstOperands,
     /* 772701 */     // GIR_Coverage, 6833,
     /* 772701 */     GIR_EraseRootFromParent_Done,
     /* 772702 */   // Label 10288: @772702
     /* 772702 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(772777), // Rule ID 6837 //
     /* 772707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772714 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 772718 */     // MIs[0] offset
     /* 772718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772721 */     // MIs[0] format
     /* 772721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772724 */     // MIs[0] auxiliary
     /* 772724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772727 */     // MIs[0] Operand 8
     /* 772727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772737 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN:{ *:[v4f16] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_IDXEN),
     /* 772740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772742 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 772744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772751 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772753 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772759 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772765 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772775 */     GIR_RootConstrainSelectedInstOperands,
     /* 772776 */     // GIR_Coverage, 6837,
     /* 772776 */     GIR_EraseRootFromParent_Done,
     /* 772777 */   // Label 10289: @772777
     /* 772777 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(772897), // Rule ID 6827 //
     /* 772782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 772785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772796 */     // MIs[0] offset
     /* 772796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772799 */     // MIs[0] format
     /* 772799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772802 */     // MIs[0] auxiliary
     /* 772802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772805 */     // MIs[0] Operand 8
     /* 772805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772815 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 772818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 772822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 772827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 772831 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 772834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 772838 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 772841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 772846 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 772851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 772856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_BOTHEN),
     /* 772859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 772864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772871 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772873 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772879 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 772885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 772891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 772895 */     GIR_RootConstrainSelectedInstOperands,
     /* 772896 */     // GIR_Coverage, 6827,
     /* 772896 */     GIR_EraseRootFromParent_Done,
     /* 772897 */   // Label 10290: @772897
     /* 772897 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(773017), // Rule ID 6831 //
     /* 772902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 772905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 772912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 772916 */     // MIs[0] offset
     /* 772916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 772919 */     // MIs[0] format
     /* 772919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 772922 */     // MIs[0] auxiliary
     /* 772922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 772925 */     // MIs[0] Operand 8
     /* 772925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 772928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 772935 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33778>>  =>  (TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 772935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 772938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 772942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 772947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 772951 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 772954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 772958 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 772961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 772966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 772971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 772976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZ_VBUFFER_BOTHEN),
     /* 772979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 772981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 772984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 772986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 772991 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 772993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 772999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773005 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773015 */     GIR_RootConstrainSelectedInstOperands,
     /* 773016 */     // GIR_Coverage, 6831,
     /* 773016 */     GIR_EraseRootFromParent_Done,
     /* 773017 */   // Label 10291: @773017
     /* 773017 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(773130), // Rule ID 6835 //
     /* 773022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 773025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 773029 */     // MIs[0] offset
     /* 773029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773032 */     // MIs[0] format
     /* 773032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773035 */     // MIs[0] auxiliary
     /* 773035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773038 */     // MIs[0] Operand 8
     /* 773038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 773041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773048 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 773051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 773055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 773060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 773064 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 773067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 773071 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 773074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 773079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_BOTHEN),
     /* 773092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 773097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773104 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773106 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773112 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773118 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773128 */     GIR_RootConstrainSelectedInstOperands,
     /* 773129 */     // GIR_Coverage, 6835,
     /* 773129 */     GIR_EraseRootFromParent_Done,
     /* 773130 */   // Label 10292: @773130
     /* 773130 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(773243), // Rule ID 6839 //
     /* 773135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 773138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_64RegClassID),
     /* 773142 */     // MIs[0] offset
     /* 773142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773145 */     // MIs[0] format
     /* 773145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773148 */     // MIs[0] auxiliary
     /* 773148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773151 */     // MIs[0] Operand 8
     /* 773151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 773154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773161 */     // (SItbuffer_load_d16:{ *:[v4f16] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN:{ *:[v4f16] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 773164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 773168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 773173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 773177 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 773180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 773184 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 773187 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 773192 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773197 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_VBUFFER_BOTHEN),
     /* 773205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 773210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773217 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773219 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773225 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773231 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773241 */     GIR_RootConstrainSelectedInstOperands,
     /* 773242 */     // GIR_Coverage, 6839,
     /* 773242 */     GIR_EraseRootFromParent_Done,
     /* 773243 */   // Label 10293: @773243
     /* 773243 */   GIM_Reject,
     /* 773244 */ // Label 10277: @773244
     /* 773244 */ GIM_Reject,
     /* 773245 */ // Label 10230: @773245
     /* 773245 */ GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(773607),
     /* 773250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 773253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 773256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 773259 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 773262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::AV_128RegClassID),
     /* 773266 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(773347), // Rule ID 6796 //
     /* 773271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 773274 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773282 */     // MIs[0] offset
     /* 773282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773285 */     // MIs[0] format
     /* 773285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773288 */     // MIs[0] auxiliary
     /* 773288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773291 */     // MIs[0] Operand 8
     /* 773291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773309 */     // (SItbuffer_load_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFSET:{ *:[v4i32] } SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFSET),
     /* 773312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773321 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773323 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773329 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773335 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773345 */     GIR_RootConstrainSelectedInstOperands,
     /* 773346 */     // GIR_Coverage, 6796,
     /* 773346 */     GIR_EraseRootFromParent_Done,
     /* 773347 */   // Label 10295: @773347
     /* 773347 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(773426), // Rule ID 6798 //
     /* 773352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 773355 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773359 */     // MIs[0] offset
     /* 773359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773362 */     // MIs[0] format
     /* 773362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773365 */     // MIs[0] auxiliary
     /* 773365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773368 */     // MIs[0] Operand 8
     /* 773368 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773386 */     // (SItbuffer_load_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_OFFEN),
     /* 773389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773391 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 773393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773400 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773402 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773408 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773414 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773424 */     GIR_RootConstrainSelectedInstOperands,
     /* 773425 */     // GIR_Coverage, 6798,
     /* 773425 */     GIR_EraseRootFromParent_Done,
     /* 773426 */   // Label 10296: @773426
     /* 773426 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(773497), // Rule ID 6797 //
     /* 773431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 773434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773438 */     // MIs[0] offset
     /* 773438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773441 */     // MIs[0] format
     /* 773441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773444 */     // MIs[0] auxiliary
     /* 773444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773447 */     // MIs[0] Operand 8
     /* 773447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 773450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773457 */     // (SItbuffer_load_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_IDXEN:{ *:[v4i32] } VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_IDXEN),
     /* 773460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773462 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 773464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773471 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773473 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773479 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773485 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773495 */     GIR_RootConstrainSelectedInstOperands,
     /* 773496 */     // GIR_Coverage, 6797,
     /* 773496 */     GIR_EraseRootFromParent_Done,
     /* 773497 */   // Label 10297: @773497
     /* 773497 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(773606), // Rule ID 6799 //
     /* 773502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 773505 */     // MIs[0] offset
     /* 773505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773508 */     // MIs[0] format
     /* 773508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773511 */     // MIs[0] auxiliary
     /* 773511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773514 */     // MIs[0] Operand 8
     /* 773514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 773517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773524 */     // (SItbuffer_load_d16:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_BOTHEN:{ *:[v4i32] } (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 773527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 773531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 773536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 773540 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 773543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 773547 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 773550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 773555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773560 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 773565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_LOAD_FORMAT_D16_XYZW_gfx80_BOTHEN),
     /* 773568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdata]
     /* 773570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 773573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773580 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773594 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773604 */     GIR_RootConstrainSelectedInstOperands,
     /* 773605 */     // GIR_Coverage, 6799,
     /* 773605 */     GIR_EraseRootFromParent_Done,
     /* 773606 */   // Label 10298: @773606
     /* 773606 */   GIM_Reject,
     /* 773607 */ // Label 10294: @773607
     /* 773607 */ GIM_Reject,
     /* 773608 */ // Label 10231: @773608
     /* 773608 */ GIM_Reject,
     /* 773609 */ // Label 166: @773609
     /* 773609 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(18), /*)*//*default:*//*Label 10303*/ GIMT_Encode4(779076),
     /* 773620 */ /*GILLT_s32*//*Label 10299*/ GIMT_Encode4(773656), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 773632 */ /*GILLT_v2s32*//*Label 10300*/ GIMT_Encode4(775011), GIMT_Encode4(0),
     /* 773640 */ /*GILLT_v3s32*//*Label 10301*/ GIMT_Encode4(776366), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 773652 */ /*GILLT_v4s32*//*Label 10302*/ GIMT_Encode4(777721),
     /* 773656 */ // Label 10299: @773656
     /* 773656 */ GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(775010),
     /* 773661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 773664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 773667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 773670 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 773673 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(773754), // Rule ID 6840 //
     /* 773678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 773681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773685 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773689 */     // MIs[0] offset
     /* 773689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773692 */     // MIs[0] format
     /* 773692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773695 */     // MIs[0] auxiliary
     /* 773695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773698 */     // MIs[0] Operand 8
     /* 773698 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773716 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_OFFSET_exact),
     /* 773719 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 773721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773728 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773730 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773736 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773742 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773752 */     GIR_RootConstrainSelectedInstOperands,
     /* 773753 */     // GIR_Coverage, 6840,
     /* 773753 */     GIR_EraseRootFromParent_Done,
     /* 773754 */   // Label 10305: @773754
     /* 773754 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(773832), // Rule ID 6844 //
     /* 773759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773767 */     // MIs[0] offset
     /* 773767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773770 */     // MIs[0] format
     /* 773770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773773 */     // MIs[0] auxiliary
     /* 773773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773776 */     // MIs[0] Operand 8
     /* 773776 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773794 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact),
     /* 773797 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 773799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773806 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773808 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773830 */     GIR_RootConstrainSelectedInstOperands,
     /* 773831 */     // GIR_Coverage, 6844,
     /* 773831 */     GIR_EraseRootFromParent_Done,
     /* 773832 */   // Label 10306: @773832
     /* 773832 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(773913), // Rule ID 6872 //
     /* 773837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 773840 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773848 */     // MIs[0] offset
     /* 773848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773851 */     // MIs[0] format
     /* 773851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773854 */     // MIs[0] auxiliary
     /* 773854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773857 */     // MIs[0] Operand 8
     /* 773857 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773875 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_OFFSET_exact),
     /* 773878 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 773880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773887 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773889 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773895 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773901 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773911 */     GIR_RootConstrainSelectedInstOperands,
     /* 773912 */     // GIR_Coverage, 6872,
     /* 773912 */     GIR_EraseRootFromParent_Done,
     /* 773913 */   // Label 10307: @773913
     /* 773913 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(773991), // Rule ID 6876 //
     /* 773918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 773922 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 773926 */     // MIs[0] offset
     /* 773926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 773929 */     // MIs[0] format
     /* 773929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 773932 */     // MIs[0] auxiliary
     /* 773932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 773935 */     // MIs[0] Operand 8
     /* 773935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 773946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 773953 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 773953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_OFFSET_exact),
     /* 773956 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 773958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 773960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 773965 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 773967 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 773973 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 773979 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 773985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 773989 */     GIR_RootConstrainSelectedInstOperands,
     /* 773990 */     // GIR_Coverage, 6876,
     /* 773990 */     GIR_EraseRootFromParent_Done,
     /* 773991 */   // Label 10308: @773991
     /* 773991 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(774070), // Rule ID 6842 //
     /* 773996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 773999 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 774003 */     // MIs[0] offset
     /* 774003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774006 */     // MIs[0] format
     /* 774006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774009 */     // MIs[0] auxiliary
     /* 774009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774012 */     // MIs[0] Operand 8
     /* 774012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 774023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774030 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_OFFEN_exact),
     /* 774033 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774035 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 774037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774044 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774046 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774068 */     GIR_RootConstrainSelectedInstOperands,
     /* 774069 */     // GIR_Coverage, 6842,
     /* 774069 */     GIR_EraseRootFromParent_Done,
     /* 774070 */   // Label 10309: @774070
     /* 774070 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(774146), // Rule ID 6846 //
     /* 774075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 774079 */     // MIs[0] offset
     /* 774079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774082 */     // MIs[0] format
     /* 774082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774085 */     // MIs[0] auxiliary
     /* 774085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774088 */     // MIs[0] Operand 8
     /* 774088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 774099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774106 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact),
     /* 774109 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774111 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 774113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774120 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774122 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774128 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774134 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774144 */     GIR_RootConstrainSelectedInstOperands,
     /* 774145 */     // GIR_Coverage, 6846,
     /* 774145 */     GIR_EraseRootFromParent_Done,
     /* 774146 */   // Label 10310: @774146
     /* 774146 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(774225), // Rule ID 6874 //
     /* 774151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 774154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 774158 */     // MIs[0] offset
     /* 774158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774161 */     // MIs[0] format
     /* 774161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774164 */     // MIs[0] auxiliary
     /* 774164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774167 */     // MIs[0] Operand 8
     /* 774167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 774178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774185 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_OFFEN_exact),
     /* 774188 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774190 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 774192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774199 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774201 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774207 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774213 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774223 */     GIR_RootConstrainSelectedInstOperands,
     /* 774224 */     // GIR_Coverage, 6874,
     /* 774224 */     GIR_EraseRootFromParent_Done,
     /* 774225 */   // Label 10311: @774225
     /* 774225 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(774301), // Rule ID 6878 //
     /* 774230 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 774234 */     // MIs[0] offset
     /* 774234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774237 */     // MIs[0] format
     /* 774237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774240 */     // MIs[0] auxiliary
     /* 774240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774243 */     // MIs[0] Operand 8
     /* 774243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 774254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774261 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_OFFEN_exact),
     /* 774264 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774266 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 774268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774275 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774283 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774289 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774299 */     GIR_RootConstrainSelectedInstOperands,
     /* 774300 */     // GIR_Coverage, 6878,
     /* 774300 */     GIR_EraseRootFromParent_Done,
     /* 774301 */   // Label 10312: @774301
     /* 774301 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(774372), // Rule ID 6841 //
     /* 774306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 774309 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 774313 */     // MIs[0] offset
     /* 774313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774316 */     // MIs[0] format
     /* 774316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774319 */     // MIs[0] auxiliary
     /* 774319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774322 */     // MIs[0] Operand 8
     /* 774322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774332 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_IDXEN_exact),
     /* 774335 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774337 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 774339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774346 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774360 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774370 */     GIR_RootConstrainSelectedInstOperands,
     /* 774371 */     // GIR_Coverage, 6841,
     /* 774371 */     GIR_EraseRootFromParent_Done,
     /* 774372 */   // Label 10313: @774372
     /* 774372 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(774440), // Rule ID 6845 //
     /* 774377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 774381 */     // MIs[0] offset
     /* 774381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774384 */     // MIs[0] format
     /* 774384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774387 */     // MIs[0] auxiliary
     /* 774387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774390 */     // MIs[0] Operand 8
     /* 774390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774400 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact),
     /* 774403 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774405 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 774407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774414 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774416 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774422 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774428 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774438 */     GIR_RootConstrainSelectedInstOperands,
     /* 774439 */     // GIR_Coverage, 6845,
     /* 774439 */     GIR_EraseRootFromParent_Done,
     /* 774440 */   // Label 10314: @774440
     /* 774440 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(774511), // Rule ID 6873 //
     /* 774445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 774448 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 774452 */     // MIs[0] offset
     /* 774452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774455 */     // MIs[0] format
     /* 774455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774458 */     // MIs[0] auxiliary
     /* 774458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774461 */     // MIs[0] Operand 8
     /* 774461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774471 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_IDXEN_exact),
     /* 774474 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774476 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 774478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774485 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774499 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774509 */     GIR_RootConstrainSelectedInstOperands,
     /* 774510 */     // GIR_Coverage, 6873,
     /* 774510 */     GIR_EraseRootFromParent_Done,
     /* 774511 */   // Label 10315: @774511
     /* 774511 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(774579), // Rule ID 6877 //
     /* 774516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 774520 */     // MIs[0] offset
     /* 774520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774523 */     // MIs[0] format
     /* 774523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774526 */     // MIs[0] auxiliary
     /* 774526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774529 */     // MIs[0] Operand 8
     /* 774529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774539 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_IDXEN_exact),
     /* 774542 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774544 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 774546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774553 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774555 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774561 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774567 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774577 */     GIR_RootConstrainSelectedInstOperands,
     /* 774578 */     // GIR_Coverage, 6877,
     /* 774578 */     GIR_EraseRootFromParent_Done,
     /* 774579 */   // Label 10316: @774579
     /* 774579 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(774688), // Rule ID 6843 //
     /* 774584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 774587 */     // MIs[0] offset
     /* 774587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774590 */     // MIs[0] format
     /* 774590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774593 */     // MIs[0] auxiliary
     /* 774593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774596 */     // MIs[0] Operand 8
     /* 774596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774606 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 774609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 774613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 774618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 774622 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 774625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 774629 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 774632 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 774637 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774642 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_BOTHEN_exact),
     /* 774650 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 774655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774662 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774664 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774670 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774676 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774686 */     GIR_RootConstrainSelectedInstOperands,
     /* 774687 */     // GIR_Coverage, 6843,
     /* 774687 */     GIR_EraseRootFromParent_Done,
     /* 774688 */   // Label 10317: @774688
     /* 774688 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(774794), // Rule ID 6847 //
     /* 774693 */     // MIs[0] offset
     /* 774693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774696 */     // MIs[0] format
     /* 774696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774699 */     // MIs[0] auxiliary
     /* 774699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774702 */     // MIs[0] Operand 8
     /* 774702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774712 */     // (SItbuffer_store i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 774715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 774719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 774724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 774728 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 774731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 774735 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 774738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 774743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact),
     /* 774756 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 774761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774768 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774792 */     GIR_RootConstrainSelectedInstOperands,
     /* 774793 */     // GIR_Coverage, 6847,
     /* 774793 */     GIR_EraseRootFromParent_Done,
     /* 774794 */   // Label 10318: @774794
     /* 774794 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(774903), // Rule ID 6875 //
     /* 774799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 774802 */     // MIs[0] offset
     /* 774802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774805 */     // MIs[0] format
     /* 774805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774808 */     // MIs[0] auxiliary
     /* 774808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774811 */     // MIs[0] Operand 8
     /* 774811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774821 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 774824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 774828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 774833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 774837 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 774840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 774844 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 774847 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 774852 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_BOTHEN_exact),
     /* 774865 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 774870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774877 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774879 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 774897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 774901 */     GIR_RootConstrainSelectedInstOperands,
     /* 774902 */     // GIR_Coverage, 6875,
     /* 774902 */     GIR_EraseRootFromParent_Done,
     /* 774903 */   // Label 10319: @774903
     /* 774903 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(775009), // Rule ID 6879 //
     /* 774908 */     // MIs[0] offset
     /* 774908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 774911 */     // MIs[0] format
     /* 774911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 774914 */     // MIs[0] auxiliary
     /* 774914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 774917 */     // MIs[0] Operand 8
     /* 774917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 774920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 774927 */     // (SItbuffer_store f32:{ *:[f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 774927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 774930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 774934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 774939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 774943 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 774946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 774950 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 774953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 774958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 774968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_X_VBUFFER_BOTHEN_exact),
     /* 774971 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 774973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 774976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 774978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 774983 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 774985 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 774991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 774997 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775007 */     GIR_RootConstrainSelectedInstOperands,
     /* 775008 */     // GIR_Coverage, 6879,
     /* 775008 */     GIR_EraseRootFromParent_Done,
     /* 775009 */   // Label 10320: @775009
     /* 775009 */   GIM_Reject,
     /* 775010 */ // Label 10304: @775010
     /* 775010 */ GIM_Reject,
     /* 775011 */ // Label 10300: @775011
     /* 775011 */ GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(776365),
     /* 775016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 775019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 775022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 775025 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 775028 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(775109), // Rule ID 6848 //
     /* 775033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775044 */     // MIs[0] offset
     /* 775044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775047 */     // MIs[0] format
     /* 775047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775050 */     // MIs[0] auxiliary
     /* 775050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775053 */     // MIs[0] Operand 8
     /* 775053 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775071 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_OFFSET_exact),
     /* 775074 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775083 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775085 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775091 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775097 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775107 */     GIR_RootConstrainSelectedInstOperands,
     /* 775108 */     // GIR_Coverage, 6848,
     /* 775108 */     GIR_EraseRootFromParent_Done,
     /* 775109 */   // Label 10322: @775109
     /* 775109 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(775187), // Rule ID 6852 //
     /* 775114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775122 */     // MIs[0] offset
     /* 775122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775125 */     // MIs[0] format
     /* 775125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775128 */     // MIs[0] auxiliary
     /* 775128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775131 */     // MIs[0] Operand 8
     /* 775131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775149 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact),
     /* 775152 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775161 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775163 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775169 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775175 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775185 */     GIR_RootConstrainSelectedInstOperands,
     /* 775186 */     // GIR_Coverage, 6852,
     /* 775186 */     GIR_EraseRootFromParent_Done,
     /* 775187 */   // Label 10323: @775187
     /* 775187 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(775268), // Rule ID 6880 //
     /* 775192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775195 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775199 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775203 */     // MIs[0] offset
     /* 775203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775206 */     // MIs[0] format
     /* 775206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775209 */     // MIs[0] auxiliary
     /* 775209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775212 */     // MIs[0] Operand 8
     /* 775212 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775230 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_OFFSET_exact),
     /* 775233 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775242 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775250 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775256 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775266 */     GIR_RootConstrainSelectedInstOperands,
     /* 775267 */     // GIR_Coverage, 6880,
     /* 775267 */     GIR_EraseRootFromParent_Done,
     /* 775268 */   // Label 10324: @775268
     /* 775268 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(775346), // Rule ID 6884 //
     /* 775273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775277 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775281 */     // MIs[0] offset
     /* 775281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775284 */     // MIs[0] format
     /* 775284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775287 */     // MIs[0] auxiliary
     /* 775287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775290 */     // MIs[0] Operand 8
     /* 775290 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775308 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v2f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFSET_exact),
     /* 775311 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775320 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775322 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775344 */     GIR_RootConstrainSelectedInstOperands,
     /* 775345 */     // GIR_Coverage, 6884,
     /* 775345 */     GIR_EraseRootFromParent_Done,
     /* 775346 */   // Label 10325: @775346
     /* 775346 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(775425), // Rule ID 6850 //
     /* 775351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775354 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775358 */     // MIs[0] offset
     /* 775358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775361 */     // MIs[0] format
     /* 775361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775364 */     // MIs[0] auxiliary
     /* 775364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775367 */     // MIs[0] Operand 8
     /* 775367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775385 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_OFFEN_exact),
     /* 775388 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775390 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 775392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775399 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775401 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775407 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775413 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775423 */     GIR_RootConstrainSelectedInstOperands,
     /* 775424 */     // GIR_Coverage, 6850,
     /* 775424 */     GIR_EraseRootFromParent_Done,
     /* 775425 */   // Label 10326: @775425
     /* 775425 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(775501), // Rule ID 6854 //
     /* 775430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775434 */     // MIs[0] offset
     /* 775434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775437 */     // MIs[0] format
     /* 775437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775440 */     // MIs[0] auxiliary
     /* 775440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775443 */     // MIs[0] Operand 8
     /* 775443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775461 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact),
     /* 775464 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775466 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 775468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775475 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775477 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775483 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775489 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775499 */     GIR_RootConstrainSelectedInstOperands,
     /* 775500 */     // GIR_Coverage, 6854,
     /* 775500 */     GIR_EraseRootFromParent_Done,
     /* 775501 */   // Label 10327: @775501
     /* 775501 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(775580), // Rule ID 6882 //
     /* 775506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775513 */     // MIs[0] offset
     /* 775513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775516 */     // MIs[0] format
     /* 775516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775519 */     // MIs[0] auxiliary
     /* 775519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775522 */     // MIs[0] Operand 8
     /* 775522 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775540 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_OFFEN_exact),
     /* 775543 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775545 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 775547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775554 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775556 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775562 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775568 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775578 */     GIR_RootConstrainSelectedInstOperands,
     /* 775579 */     // GIR_Coverage, 6882,
     /* 775579 */     GIR_EraseRootFromParent_Done,
     /* 775580 */   // Label 10328: @775580
     /* 775580 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(775656), // Rule ID 6886 //
     /* 775585 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 775589 */     // MIs[0] offset
     /* 775589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775592 */     // MIs[0] format
     /* 775592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775595 */     // MIs[0] auxiliary
     /* 775595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775598 */     // MIs[0] Operand 8
     /* 775598 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 775609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775616 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_OFFEN_exact),
     /* 775619 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775621 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 775623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775630 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775632 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775638 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775644 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775654 */     GIR_RootConstrainSelectedInstOperands,
     /* 775655 */     // GIR_Coverage, 6886,
     /* 775655 */     GIR_EraseRootFromParent_Done,
     /* 775656 */   // Label 10329: @775656
     /* 775656 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(775727), // Rule ID 6849 //
     /* 775661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775668 */     // MIs[0] offset
     /* 775668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775671 */     // MIs[0] format
     /* 775671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775674 */     // MIs[0] auxiliary
     /* 775674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775677 */     // MIs[0] Operand 8
     /* 775677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 775680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775687 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_IDXEN_exact),
     /* 775690 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775692 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 775694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775701 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775703 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775709 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775715 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775725 */     GIR_RootConstrainSelectedInstOperands,
     /* 775726 */     // GIR_Coverage, 6849,
     /* 775726 */     GIR_EraseRootFromParent_Done,
     /* 775727 */   // Label 10330: @775727
     /* 775727 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(775795), // Rule ID 6853 //
     /* 775732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775736 */     // MIs[0] offset
     /* 775736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775739 */     // MIs[0] format
     /* 775739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775742 */     // MIs[0] auxiliary
     /* 775742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775745 */     // MIs[0] Operand 8
     /* 775745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 775748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775755 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact),
     /* 775758 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775760 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 775762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775769 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775771 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775777 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775783 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775793 */     GIR_RootConstrainSelectedInstOperands,
     /* 775794 */     // GIR_Coverage, 6853,
     /* 775794 */     GIR_EraseRootFromParent_Done,
     /* 775795 */   // Label 10331: @775795
     /* 775795 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(775866), // Rule ID 6881 //
     /* 775800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775803 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775807 */     // MIs[0] offset
     /* 775807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775810 */     // MIs[0] format
     /* 775810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775813 */     // MIs[0] auxiliary
     /* 775813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775816 */     // MIs[0] Operand 8
     /* 775816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 775819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775826 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_IDXEN_exact),
     /* 775829 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775831 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 775833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775840 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775842 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775848 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775854 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775864 */     GIR_RootConstrainSelectedInstOperands,
     /* 775865 */     // GIR_Coverage, 6881,
     /* 775865 */     GIR_EraseRootFromParent_Done,
     /* 775866 */   // Label 10332: @775866
     /* 775866 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(775934), // Rule ID 6885 //
     /* 775871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 775875 */     // MIs[0] offset
     /* 775875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775878 */     // MIs[0] format
     /* 775878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775881 */     // MIs[0] auxiliary
     /* 775881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775884 */     // MIs[0] Operand 8
     /* 775884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 775887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775894 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_IDXEN_exact),
     /* 775897 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 775899 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 775901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 775903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 775908 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 775910 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 775916 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 775922 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 775928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 775932 */     GIR_RootConstrainSelectedInstOperands,
     /* 775933 */     // GIR_Coverage, 6885,
     /* 775933 */     GIR_EraseRootFromParent_Done,
     /* 775934 */   // Label 10333: @775934
     /* 775934 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(776043), // Rule ID 6851 //
     /* 775939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 775942 */     // MIs[0] offset
     /* 775942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 775945 */     // MIs[0] format
     /* 775945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 775948 */     // MIs[0] auxiliary
     /* 775948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 775951 */     // MIs[0] Operand 8
     /* 775951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 775954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 775961 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 775961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 775964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 775968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 775973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 775977 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 775980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 775984 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 775987 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 775992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 775997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_BOTHEN_exact),
     /* 776005 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 776010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776017 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776019 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776025 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776031 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776041 */     GIR_RootConstrainSelectedInstOperands,
     /* 776042 */     // GIR_Coverage, 6851,
     /* 776042 */     GIR_EraseRootFromParent_Done,
     /* 776043 */   // Label 10334: @776043
     /* 776043 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(776149), // Rule ID 6855 //
     /* 776048 */     // MIs[0] offset
     /* 776048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776051 */     // MIs[0] format
     /* 776051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776054 */     // MIs[0] auxiliary
     /* 776054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776057 */     // MIs[0] Operand 8
     /* 776057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 776060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776067 */     // (SItbuffer_store v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 776070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 776074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 776079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 776083 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 776086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 776090 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 776093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 776098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776103 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact),
     /* 776111 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 776116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776123 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776125 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776131 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776137 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776147 */     GIR_RootConstrainSelectedInstOperands,
     /* 776148 */     // GIR_Coverage, 6855,
     /* 776148 */     GIR_EraseRootFromParent_Done,
     /* 776149 */   // Label 10335: @776149
     /* 776149 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(776258), // Rule ID 6883 //
     /* 776154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 776157 */     // MIs[0] offset
     /* 776157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776160 */     // MIs[0] format
     /* 776160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776163 */     // MIs[0] auxiliary
     /* 776163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776166 */     // MIs[0] Operand 8
     /* 776166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 776169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776176 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 776179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 776183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 776188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 776192 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 776195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 776199 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 776202 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 776207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_BOTHEN_exact),
     /* 776220 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 776225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776232 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776234 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776240 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776246 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776256 */     GIR_RootConstrainSelectedInstOperands,
     /* 776257 */     // GIR_Coverage, 6883,
     /* 776257 */     GIR_EraseRootFromParent_Done,
     /* 776258 */   // Label 10336: @776258
     /* 776258 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(776364), // Rule ID 6887 //
     /* 776263 */     // MIs[0] offset
     /* 776263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776266 */     // MIs[0] format
     /* 776266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776269 */     // MIs[0] auxiliary
     /* 776269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776272 */     // MIs[0] Operand 8
     /* 776272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 776275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776282 */     // (SItbuffer_store v2f32:{ *:[v2f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v2f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 776285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 776289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 776294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 776298 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 776301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 776305 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 776308 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 776313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776318 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 776323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XY_VBUFFER_BOTHEN_exact),
     /* 776326 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 776331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776338 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776340 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776346 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776352 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776362 */     GIR_RootConstrainSelectedInstOperands,
     /* 776363 */     // GIR_Coverage, 6887,
     /* 776363 */     GIR_EraseRootFromParent_Done,
     /* 776364 */   // Label 10337: @776364
     /* 776364 */   GIM_Reject,
     /* 776365 */ // Label 10321: @776365
     /* 776365 */ GIM_Reject,
     /* 776366 */ // Label 10301: @776366
     /* 776366 */ GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(777720),
     /* 776371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 776374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 776377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 776380 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 776383 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(776464), // Rule ID 6856 //
     /* 776388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 776391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 776399 */     // MIs[0] offset
     /* 776399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776402 */     // MIs[0] format
     /* 776402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776405 */     // MIs[0] auxiliary
     /* 776405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776408 */     // MIs[0] Operand 8
     /* 776408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776426 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_OFFSET_exact),
     /* 776429 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776438 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776462 */     GIR_RootConstrainSelectedInstOperands,
     /* 776463 */     // GIR_Coverage, 6856,
     /* 776463 */     GIR_EraseRootFromParent_Done,
     /* 776464 */   // Label 10339: @776464
     /* 776464 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(776542), // Rule ID 6860 //
     /* 776469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776473 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 776477 */     // MIs[0] offset
     /* 776477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776480 */     // MIs[0] format
     /* 776480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776483 */     // MIs[0] auxiliary
     /* 776483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776486 */     // MIs[0] Operand 8
     /* 776486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776504 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact),
     /* 776507 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776516 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776518 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776524 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776530 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776540 */     GIR_RootConstrainSelectedInstOperands,
     /* 776541 */     // GIR_Coverage, 6860,
     /* 776541 */     GIR_EraseRootFromParent_Done,
     /* 776542 */   // Label 10340: @776542
     /* 776542 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(776623), // Rule ID 6888 //
     /* 776547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 776550 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776554 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 776558 */     // MIs[0] offset
     /* 776558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776561 */     // MIs[0] format
     /* 776561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776564 */     // MIs[0] auxiliary
     /* 776564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776567 */     // MIs[0] Operand 8
     /* 776567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776585 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_OFFSET_exact),
     /* 776588 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776597 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776599 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776605 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776611 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776621 */     GIR_RootConstrainSelectedInstOperands,
     /* 776622 */     // GIR_Coverage, 6888,
     /* 776622 */     GIR_EraseRootFromParent_Done,
     /* 776623 */   // Label 10341: @776623
     /* 776623 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(776701), // Rule ID 6892 //
     /* 776628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 776636 */     // MIs[0] offset
     /* 776636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776639 */     // MIs[0] format
     /* 776639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776642 */     // MIs[0] auxiliary
     /* 776642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776645 */     // MIs[0] Operand 8
     /* 776645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776663 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact anonymous_9773:{ *:[v3f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFSET_exact),
     /* 776666 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776675 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776677 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776683 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776689 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776699 */     GIR_RootConstrainSelectedInstOperands,
     /* 776700 */     // GIR_Coverage, 6892,
     /* 776700 */     GIR_EraseRootFromParent_Done,
     /* 776701 */   // Label 10342: @776701
     /* 776701 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(776780), // Rule ID 6858 //
     /* 776706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 776709 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776713 */     // MIs[0] offset
     /* 776713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776716 */     // MIs[0] format
     /* 776716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776719 */     // MIs[0] auxiliary
     /* 776719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776722 */     // MIs[0] Operand 8
     /* 776722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776740 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_OFFEN_exact),
     /* 776743 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776745 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 776747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776754 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776756 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776762 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776768 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776778 */     GIR_RootConstrainSelectedInstOperands,
     /* 776779 */     // GIR_Coverage, 6858,
     /* 776779 */     GIR_EraseRootFromParent_Done,
     /* 776780 */   // Label 10343: @776780
     /* 776780 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(776856), // Rule ID 6862 //
     /* 776785 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776789 */     // MIs[0] offset
     /* 776789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776792 */     // MIs[0] format
     /* 776792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776795 */     // MIs[0] auxiliary
     /* 776795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776798 */     // MIs[0] Operand 8
     /* 776798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776816 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact),
     /* 776819 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776821 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 776823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776830 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776832 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776838 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776844 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776854 */     GIR_RootConstrainSelectedInstOperands,
     /* 776855 */     // GIR_Coverage, 6862,
     /* 776855 */     GIR_EraseRootFromParent_Done,
     /* 776856 */   // Label 10344: @776856
     /* 776856 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(776935), // Rule ID 6890 //
     /* 776861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 776864 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776868 */     // MIs[0] offset
     /* 776868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776871 */     // MIs[0] format
     /* 776871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776874 */     // MIs[0] auxiliary
     /* 776874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776877 */     // MIs[0] Operand 8
     /* 776877 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776895 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_OFFEN_exact),
     /* 776898 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776900 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 776902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776909 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776911 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776917 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 776929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 776933 */     GIR_RootConstrainSelectedInstOperands,
     /* 776934 */     // GIR_Coverage, 6890,
     /* 776934 */     GIR_EraseRootFromParent_Done,
     /* 776935 */   // Label 10345: @776935
     /* 776935 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(777011), // Rule ID 6894 //
     /* 776940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 776944 */     // MIs[0] offset
     /* 776944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 776947 */     // MIs[0] format
     /* 776947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 776950 */     // MIs[0] auxiliary
     /* 776950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 776953 */     // MIs[0] Operand 8
     /* 776953 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 776964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 776971 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 776971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_OFFEN_exact),
     /* 776974 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 776976 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 776978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 776980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 776985 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 776987 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 776993 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 776999 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777009 */     GIR_RootConstrainSelectedInstOperands,
     /* 777010 */     // GIR_Coverage, 6894,
     /* 777010 */     GIR_EraseRootFromParent_Done,
     /* 777011 */   // Label 10346: @777011
     /* 777011 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(777082), // Rule ID 6857 //
     /* 777016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777023 */     // MIs[0] offset
     /* 777023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777026 */     // MIs[0] format
     /* 777026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777029 */     // MIs[0] auxiliary
     /* 777029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777032 */     // MIs[0] Operand 8
     /* 777032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777042 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_IDXEN_exact),
     /* 777045 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777047 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 777049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777056 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777064 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777070 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777080 */     GIR_RootConstrainSelectedInstOperands,
     /* 777081 */     // GIR_Coverage, 6857,
     /* 777081 */     GIR_EraseRootFromParent_Done,
     /* 777082 */   // Label 10347: @777082
     /* 777082 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(777150), // Rule ID 6861 //
     /* 777087 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777091 */     // MIs[0] offset
     /* 777091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777094 */     // MIs[0] format
     /* 777094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777097 */     // MIs[0] auxiliary
     /* 777097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777100 */     // MIs[0] Operand 8
     /* 777100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777110 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact),
     /* 777113 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777115 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 777117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777124 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777126 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777132 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777138 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777148 */     GIR_RootConstrainSelectedInstOperands,
     /* 777149 */     // GIR_Coverage, 6861,
     /* 777149 */     GIR_EraseRootFromParent_Done,
     /* 777150 */   // Label 10348: @777150
     /* 777150 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(777221), // Rule ID 6889 //
     /* 777155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777162 */     // MIs[0] offset
     /* 777162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777165 */     // MIs[0] format
     /* 777165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777168 */     // MIs[0] auxiliary
     /* 777168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777171 */     // MIs[0] Operand 8
     /* 777171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777181 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_IDXEN_exact),
     /* 777184 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777186 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 777188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777195 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777197 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777203 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777209 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777219 */     GIR_RootConstrainSelectedInstOperands,
     /* 777220 */     // GIR_Coverage, 6889,
     /* 777220 */     GIR_EraseRootFromParent_Done,
     /* 777221 */   // Label 10349: @777221
     /* 777221 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(777289), // Rule ID 6893 //
     /* 777226 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777230 */     // MIs[0] offset
     /* 777230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777233 */     // MIs[0] format
     /* 777233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777236 */     // MIs[0] auxiliary
     /* 777236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777239 */     // MIs[0] Operand 8
     /* 777239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777249 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_IDXEN_exact),
     /* 777252 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777254 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 777256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777263 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777265 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777271 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777277 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777287 */     GIR_RootConstrainSelectedInstOperands,
     /* 777288 */     // GIR_Coverage, 6893,
     /* 777288 */     GIR_EraseRootFromParent_Done,
     /* 777289 */   // Label 10350: @777289
     /* 777289 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(777398), // Rule ID 6859 //
     /* 777294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777297 */     // MIs[0] offset
     /* 777297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777300 */     // MIs[0] format
     /* 777300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777303 */     // MIs[0] auxiliary
     /* 777303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777306 */     // MIs[0] Operand 8
     /* 777306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777316 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 777319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 777323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 777328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 777332 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 777335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 777339 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 777342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 777347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_BOTHEN_exact),
     /* 777360 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 777365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777372 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777380 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777386 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777396 */     GIR_RootConstrainSelectedInstOperands,
     /* 777397 */     // GIR_Coverage, 6859,
     /* 777397 */     GIR_EraseRootFromParent_Done,
     /* 777398 */   // Label 10351: @777398
     /* 777398 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(777504), // Rule ID 6863 //
     /* 777403 */     // MIs[0] offset
     /* 777403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777406 */     // MIs[0] format
     /* 777406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777409 */     // MIs[0] auxiliary
     /* 777409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777412 */     // MIs[0] Operand 8
     /* 777412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777422 */     // (SItbuffer_store v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 777425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 777429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 777434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 777438 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 777441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 777445 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 777448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 777453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact),
     /* 777466 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 777471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777478 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777480 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777486 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777492 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777502 */     GIR_RootConstrainSelectedInstOperands,
     /* 777503 */     // GIR_Coverage, 6863,
     /* 777503 */     GIR_EraseRootFromParent_Done,
     /* 777504 */   // Label 10352: @777504
     /* 777504 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(777613), // Rule ID 6891 //
     /* 777509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777512 */     // MIs[0] offset
     /* 777512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777515 */     // MIs[0] format
     /* 777515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777518 */     // MIs[0] auxiliary
     /* 777518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777521 */     // MIs[0] Operand 8
     /* 777521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777531 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 777534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 777538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 777543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 777547 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 777550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 777554 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 777557 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 777562 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777567 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_BOTHEN_exact),
     /* 777575 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 777580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777587 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777589 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777595 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777601 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777611 */     GIR_RootConstrainSelectedInstOperands,
     /* 777612 */     // GIR_Coverage, 6891,
     /* 777612 */     GIR_EraseRootFromParent_Done,
     /* 777613 */   // Label 10353: @777613
     /* 777613 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(777719), // Rule ID 6895 //
     /* 777618 */     // MIs[0] offset
     /* 777618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777621 */     // MIs[0] format
     /* 777621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777624 */     // MIs[0] auxiliary
     /* 777624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777627 */     // MIs[0] Operand 8
     /* 777627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 777630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777637 */     // (SItbuffer_store v3f32:{ *:[v3f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact anonymous_9773:{ *:[v3f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 777640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 777644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 777649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 777653 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 777656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 777660 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 777663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 777668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 777678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZ_VBUFFER_BOTHEN_exact),
     /* 777681 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 777686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777693 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777695 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777701 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777707 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777717 */     GIR_RootConstrainSelectedInstOperands,
     /* 777718 */     // GIR_Coverage, 6895,
     /* 777718 */     GIR_EraseRootFromParent_Done,
     /* 777719 */   // Label 10354: @777719
     /* 777719 */   GIM_Reject,
     /* 777720 */ // Label 10338: @777720
     /* 777720 */ GIM_Reject,
     /* 777721 */ // Label 10302: @777721
     /* 777721 */ GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(779075),
     /* 777726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 777729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 777732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 777735 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 777738 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(777819), // Rule ID 6864 //
     /* 777743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 777750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777754 */     // MIs[0] offset
     /* 777754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777757 */     // MIs[0] format
     /* 777757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777760 */     // MIs[0] auxiliary
     /* 777760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777763 */     // MIs[0] Operand 8
     /* 777763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 777774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777781 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_OFFSET_exact),
     /* 777784 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777793 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777795 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777801 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777807 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777817 */     GIR_RootConstrainSelectedInstOperands,
     /* 777818 */     // GIR_Coverage, 6864,
     /* 777818 */     GIR_EraseRootFromParent_Done,
     /* 777819 */   // Label 10356: @777819
     /* 777819 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(777897), // Rule ID 6868 //
     /* 777824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 777828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777832 */     // MIs[0] offset
     /* 777832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777835 */     // MIs[0] format
     /* 777835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777838 */     // MIs[0] auxiliary
     /* 777838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777841 */     // MIs[0] Operand 8
     /* 777841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 777852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777859 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact),
     /* 777862 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777871 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777873 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777879 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777895 */     GIR_RootConstrainSelectedInstOperands,
     /* 777896 */     // GIR_Coverage, 6868,
     /* 777896 */     GIR_EraseRootFromParent_Done,
     /* 777897 */   // Label 10357: @777897
     /* 777897 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(777978), // Rule ID 6896 //
     /* 777902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 777905 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 777909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777913 */     // MIs[0] offset
     /* 777913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777916 */     // MIs[0] format
     /* 777916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777919 */     // MIs[0] auxiliary
     /* 777919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 777922 */     // MIs[0] Operand 8
     /* 777922 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 777933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 777940 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 777940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_OFFSET_exact),
     /* 777943 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 777945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 777947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 777952 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 777954 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 777960 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 777966 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 777972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 777976 */     GIR_RootConstrainSelectedInstOperands,
     /* 777977 */     // GIR_Coverage, 6896,
     /* 777977 */     GIR_EraseRootFromParent_Done,
     /* 777978 */   // Label 10358: @777978
     /* 777978 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(778056), // Rule ID 6900 //
     /* 777983 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 777987 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 777991 */     // MIs[0] offset
     /* 777991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 777994 */     // MIs[0] format
     /* 777994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 777997 */     // MIs[0] auxiliary
     /* 777997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778000 */     // MIs[0] Operand 8
     /* 778000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 778011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778018 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact anonymous_9772:{ *:[v4f32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFSET_exact),
     /* 778021 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778030 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778032 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778038 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778044 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778054 */     GIR_RootConstrainSelectedInstOperands,
     /* 778055 */     // GIR_Coverage, 6900,
     /* 778055 */     GIR_EraseRootFromParent_Done,
     /* 778056 */   // Label 10359: @778056
     /* 778056 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(778135), // Rule ID 6866 //
     /* 778061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778064 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 778068 */     // MIs[0] offset
     /* 778068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778071 */     // MIs[0] format
     /* 778071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778074 */     // MIs[0] auxiliary
     /* 778074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778077 */     // MIs[0] Operand 8
     /* 778077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 778088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778095 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_OFFEN_exact),
     /* 778098 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778100 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 778102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778109 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778111 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778117 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778123 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778133 */     GIR_RootConstrainSelectedInstOperands,
     /* 778134 */     // GIR_Coverage, 6866,
     /* 778134 */     GIR_EraseRootFromParent_Done,
     /* 778135 */   // Label 10360: @778135
     /* 778135 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(778211), // Rule ID 6870 //
     /* 778140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 778144 */     // MIs[0] offset
     /* 778144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778147 */     // MIs[0] format
     /* 778147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778150 */     // MIs[0] auxiliary
     /* 778150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778153 */     // MIs[0] Operand 8
     /* 778153 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 778164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778171 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact),
     /* 778174 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778176 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 778178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778185 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778187 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778193 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778199 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778209 */     GIR_RootConstrainSelectedInstOperands,
     /* 778210 */     // GIR_Coverage, 6870,
     /* 778210 */     GIR_EraseRootFromParent_Done,
     /* 778211 */   // Label 10361: @778211
     /* 778211 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(778290), // Rule ID 6898 //
     /* 778216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778219 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 778223 */     // MIs[0] offset
     /* 778223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778226 */     // MIs[0] format
     /* 778226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778229 */     // MIs[0] auxiliary
     /* 778229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778232 */     // MIs[0] Operand 8
     /* 778232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 778243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778250 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_OFFEN_exact),
     /* 778253 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778255 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 778257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778264 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778266 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778272 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778278 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778288 */     GIR_RootConstrainSelectedInstOperands,
     /* 778289 */     // GIR_Coverage, 6898,
     /* 778289 */     GIR_EraseRootFromParent_Done,
     /* 778290 */   // Label 10362: @778290
     /* 778290 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(778366), // Rule ID 6902 //
     /* 778295 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 778299 */     // MIs[0] offset
     /* 778299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778302 */     // MIs[0] format
     /* 778302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778305 */     // MIs[0] auxiliary
     /* 778305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778308 */     // MIs[0] Operand 8
     /* 778308 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 778319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778326 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_OFFEN_exact),
     /* 778329 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778331 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 778333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778340 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778342 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778348 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778354 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778364 */     GIR_RootConstrainSelectedInstOperands,
     /* 778365 */     // GIR_Coverage, 6902,
     /* 778365 */     GIR_EraseRootFromParent_Done,
     /* 778366 */   // Label 10363: @778366
     /* 778366 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(778437), // Rule ID 6865 //
     /* 778371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 778378 */     // MIs[0] offset
     /* 778378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778381 */     // MIs[0] format
     /* 778381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778384 */     // MIs[0] auxiliary
     /* 778384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778387 */     // MIs[0] Operand 8
     /* 778387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778397 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_IDXEN_exact),
     /* 778400 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778402 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 778404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778411 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778413 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778419 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778425 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778435 */     GIR_RootConstrainSelectedInstOperands,
     /* 778436 */     // GIR_Coverage, 6865,
     /* 778436 */     GIR_EraseRootFromParent_Done,
     /* 778437 */   // Label 10364: @778437
     /* 778437 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(778505), // Rule ID 6869 //
     /* 778442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 778446 */     // MIs[0] offset
     /* 778446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778449 */     // MIs[0] format
     /* 778449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778452 */     // MIs[0] auxiliary
     /* 778452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778455 */     // MIs[0] Operand 8
     /* 778455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778465 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact),
     /* 778468 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778470 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 778472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778479 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778481 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778487 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778493 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778503 */     GIR_RootConstrainSelectedInstOperands,
     /* 778504 */     // GIR_Coverage, 6869,
     /* 778504 */     GIR_EraseRootFromParent_Done,
     /* 778505 */   // Label 10365: @778505
     /* 778505 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(778576), // Rule ID 6897 //
     /* 778510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 778517 */     // MIs[0] offset
     /* 778517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778520 */     // MIs[0] format
     /* 778520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778523 */     // MIs[0] auxiliary
     /* 778523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778526 */     // MIs[0] Operand 8
     /* 778526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778536 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_IDXEN_exact),
     /* 778539 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778541 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 778543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778550 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778552 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778558 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778564 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778574 */     GIR_RootConstrainSelectedInstOperands,
     /* 778575 */     // GIR_Coverage, 6897,
     /* 778575 */     GIR_EraseRootFromParent_Done,
     /* 778576 */   // Label 10366: @778576
     /* 778576 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(778644), // Rule ID 6901 //
     /* 778581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 778585 */     // MIs[0] offset
     /* 778585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778588 */     // MIs[0] format
     /* 778588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778591 */     // MIs[0] auxiliary
     /* 778591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778594 */     // MIs[0] Operand 8
     /* 778594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778604 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_IDXEN_exact),
     /* 778607 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778609 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 778611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778618 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778620 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778626 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778632 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778642 */     GIR_RootConstrainSelectedInstOperands,
     /* 778643 */     // GIR_Coverage, 6901,
     /* 778643 */     GIR_EraseRootFromParent_Done,
     /* 778644 */   // Label 10367: @778644
     /* 778644 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(778753), // Rule ID 6867 //
     /* 778649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778652 */     // MIs[0] offset
     /* 778652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778655 */     // MIs[0] format
     /* 778655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778658 */     // MIs[0] auxiliary
     /* 778658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778661 */     // MIs[0] Operand 8
     /* 778661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778671 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 778674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 778678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 778683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 778687 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 778690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 778694 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 778697 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 778702 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_BOTHEN_exact),
     /* 778715 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 778720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778727 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778729 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778735 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778741 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778751 */     GIR_RootConstrainSelectedInstOperands,
     /* 778752 */     // GIR_Coverage, 6867,
     /* 778752 */     GIR_EraseRootFromParent_Done,
     /* 778753 */   // Label 10368: @778753
     /* 778753 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(778859), // Rule ID 6871 //
     /* 778758 */     // MIs[0] offset
     /* 778758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778761 */     // MIs[0] format
     /* 778761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778764 */     // MIs[0] auxiliary
     /* 778764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778767 */     // MIs[0] Operand 8
     /* 778767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778777 */     // (SItbuffer_store v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 778780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 778784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 778789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 778793 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 778796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 778800 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 778803 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 778808 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778813 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact),
     /* 778821 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 778826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778833 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778835 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778841 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778847 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778857 */     GIR_RootConstrainSelectedInstOperands,
     /* 778858 */     // GIR_Coverage, 6871,
     /* 778858 */     GIR_EraseRootFromParent_Done,
     /* 778859 */   // Label 10369: @778859
     /* 778859 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(778968), // Rule ID 6899 //
     /* 778864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnrestrictedSOffset),
     /* 778867 */     // MIs[0] offset
     /* 778867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778870 */     // MIs[0] format
     /* 778870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778873 */     // MIs[0] auxiliary
     /* 778873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778876 */     // MIs[0] Operand 8
     /* 778876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778886 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 778889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 778893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 778898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 778902 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 778905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 778909 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 778912 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 778917 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778922 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 778927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_BOTHEN_exact),
     /* 778930 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 778932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 778935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 778937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 778942 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 778944 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 778950 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 778956 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 778962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 778966 */     GIR_RootConstrainSelectedInstOperands,
     /* 778967 */     // GIR_Coverage, 6899,
     /* 778967 */     GIR_EraseRootFromParent_Done,
     /* 778968 */   // Label 10370: @778968
     /* 778968 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(779074), // Rule ID 6903 //
     /* 778973 */     // MIs[0] offset
     /* 778973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 778976 */     // MIs[0] format
     /* 778976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 778979 */     // MIs[0] auxiliary
     /* 778979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 778982 */     // MIs[0] Operand 8
     /* 778982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 778985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 778992 */     // (SItbuffer_store v4f32:{ *:[v4f32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact anonymous_9772:{ *:[v4f32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 778992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 778995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 778999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 779004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 779008 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 779011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 779015 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 779018 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 779023 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 779028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 779033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_XYZW_VBUFFER_BOTHEN_exact),
     /* 779036 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 779041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779048 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779050 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779056 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779062 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779072 */     GIR_RootConstrainSelectedInstOperands,
     /* 779073 */     // GIR_Coverage, 6903,
     /* 779073 */     GIR_EraseRootFromParent_Done,
     /* 779074 */   // Label 10371: @779074
     /* 779074 */   GIM_Reject,
     /* 779075 */ // Label 10355: @779075
     /* 779075 */ GIM_Reject,
     /* 779076 */ // Label 10303: @779076
     /* 779076 */ GIM_Reject,
     /* 779077 */ // Label 167: @779077
     /* 779077 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(18), /*)*//*default:*//*Label 10379*/ GIMT_Encode4(784417),
     /* 779088 */ /*GILLT_s16*//*Label 10372*/ GIMT_Encode4(779128),
     /* 779092 */ /*GILLT_s32*//*Label 10373*/ GIMT_Encode4(780167), GIMT_Encode4(0),
     /* 779100 */ /*GILLT_v2s16*//*Label 10374*/ GIMT_Encode4(781206),
     /* 779104 */ /*GILLT_v2s32*//*Label 10375*/ GIMT_Encode4(781905), GIMT_Encode4(0),
     /* 779112 */ /*GILLT_v3s32*//*Label 10376*/ GIMT_Encode4(782264), GIMT_Encode4(0),
     /* 779120 */ /*GILLT_v4s16*//*Label 10377*/ GIMT_Encode4(782623),
     /* 779124 */ /*GILLT_v4s32*//*Label 10378*/ GIMT_Encode4(784058),
     /* 779128 */ // Label 10372: @779128
     /* 779128 */ GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(780166),
     /* 779133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 779136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 779139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 779142 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 779145 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(779226), // Rule ID 6904 //
     /* 779150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 779153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779157 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779161 */     // MIs[0] offset
     /* 779161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779164 */     // MIs[0] format
     /* 779164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779167 */     // MIs[0] auxiliary
     /* 779167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779170 */     // MIs[0] Operand 8
     /* 779170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779188 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact),
     /* 779191 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779200 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779202 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779208 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779214 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779224 */     GIR_RootConstrainSelectedInstOperands,
     /* 779225 */     // GIR_Coverage, 6904,
     /* 779225 */     GIR_EraseRootFromParent_Done,
     /* 779226 */   // Label 10381: @779226
     /* 779226 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(779307), // Rule ID 6924 //
     /* 779231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 779234 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779242 */     // MIs[0] offset
     /* 779242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779245 */     // MIs[0] format
     /* 779245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779248 */     // MIs[0] auxiliary
     /* 779248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779251 */     // MIs[0] Operand 8
     /* 779251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779269 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_OFFSET_exact),
     /* 779272 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779281 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779283 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779289 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779295 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779305 */     GIR_RootConstrainSelectedInstOperands,
     /* 779306 */     // GIR_Coverage, 6924,
     /* 779306 */     GIR_EraseRootFromParent_Done,
     /* 779307 */   // Label 10382: @779307
     /* 779307 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(779388), // Rule ID 6928 //
     /* 779312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 779315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779323 */     // MIs[0] offset
     /* 779323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779326 */     // MIs[0] format
     /* 779326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779329 */     // MIs[0] auxiliary
     /* 779329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779332 */     // MIs[0] Operand 8
     /* 779332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779350 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact),
     /* 779353 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779362 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779364 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779370 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779376 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779386 */     GIR_RootConstrainSelectedInstOperands,
     /* 779387 */     // GIR_Coverage, 6928,
     /* 779387 */     GIR_EraseRootFromParent_Done,
     /* 779388 */   // Label 10383: @779388
     /* 779388 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(779467), // Rule ID 6906 //
     /* 779393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 779396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779400 */     // MIs[0] offset
     /* 779400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779403 */     // MIs[0] format
     /* 779403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779406 */     // MIs[0] auxiliary
     /* 779406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779409 */     // MIs[0] Operand 8
     /* 779409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779427 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact),
     /* 779430 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779432 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 779434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779441 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779443 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779449 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779455 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779465 */     GIR_RootConstrainSelectedInstOperands,
     /* 779466 */     // GIR_Coverage, 6906,
     /* 779466 */     GIR_EraseRootFromParent_Done,
     /* 779467 */   // Label 10384: @779467
     /* 779467 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(779546), // Rule ID 6926 //
     /* 779472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 779475 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779479 */     // MIs[0] offset
     /* 779479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779482 */     // MIs[0] format
     /* 779482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779485 */     // MIs[0] auxiliary
     /* 779485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779488 */     // MIs[0] Operand 8
     /* 779488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779506 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_OFFEN_exact),
     /* 779509 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779511 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 779513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779520 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779522 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779528 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779534 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779544 */     GIR_RootConstrainSelectedInstOperands,
     /* 779545 */     // GIR_Coverage, 6926,
     /* 779545 */     GIR_EraseRootFromParent_Done,
     /* 779546 */   // Label 10385: @779546
     /* 779546 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(779625), // Rule ID 6930 //
     /* 779551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 779554 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 779558 */     // MIs[0] offset
     /* 779558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779561 */     // MIs[0] format
     /* 779561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779564 */     // MIs[0] auxiliary
     /* 779564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779567 */     // MIs[0] Operand 8
     /* 779567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 779578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779585 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact),
     /* 779588 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779590 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 779592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779599 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779601 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779607 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779613 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779623 */     GIR_RootConstrainSelectedInstOperands,
     /* 779624 */     // GIR_Coverage, 6930,
     /* 779624 */     GIR_EraseRootFromParent_Done,
     /* 779625 */   // Label 10386: @779625
     /* 779625 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(779696), // Rule ID 6905 //
     /* 779630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 779633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779637 */     // MIs[0] offset
     /* 779637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779640 */     // MIs[0] format
     /* 779640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779643 */     // MIs[0] auxiliary
     /* 779643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779646 */     // MIs[0] Operand 8
     /* 779646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 779649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779656 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact),
     /* 779659 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779661 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 779663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779670 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779672 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779678 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779684 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779694 */     GIR_RootConstrainSelectedInstOperands,
     /* 779695 */     // GIR_Coverage, 6905,
     /* 779695 */     GIR_EraseRootFromParent_Done,
     /* 779696 */   // Label 10387: @779696
     /* 779696 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(779767), // Rule ID 6925 //
     /* 779701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 779704 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779708 */     // MIs[0] offset
     /* 779708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779711 */     // MIs[0] format
     /* 779711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779714 */     // MIs[0] auxiliary
     /* 779714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779717 */     // MIs[0] Operand 8
     /* 779717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 779720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779727 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_IDXEN_exact),
     /* 779730 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779732 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 779734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779741 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779743 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779749 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779755 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779765 */     GIR_RootConstrainSelectedInstOperands,
     /* 779766 */     // GIR_Coverage, 6925,
     /* 779766 */     GIR_EraseRootFromParent_Done,
     /* 779767 */   // Label 10388: @779767
     /* 779767 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(779838), // Rule ID 6929 //
     /* 779772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 779775 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 779779 */     // MIs[0] offset
     /* 779779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779782 */     // MIs[0] format
     /* 779782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779785 */     // MIs[0] auxiliary
     /* 779785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779788 */     // MIs[0] Operand 8
     /* 779788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 779791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779798 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact),
     /* 779801 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779803 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 779805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779812 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779826 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779836 */     GIR_RootConstrainSelectedInstOperands,
     /* 779837 */     // GIR_Coverage, 6929,
     /* 779837 */     GIR_EraseRootFromParent_Done,
     /* 779838 */   // Label 10389: @779838
     /* 779838 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(779947), // Rule ID 6907 //
     /* 779843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 779846 */     // MIs[0] offset
     /* 779846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779849 */     // MIs[0] format
     /* 779849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779852 */     // MIs[0] auxiliary
     /* 779852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779855 */     // MIs[0] Operand 8
     /* 779855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 779858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779865 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 779868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 779872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 779877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 779881 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 779884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 779888 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 779891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 779896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 779901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 779906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact),
     /* 779909 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 779911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 779914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 779916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 779921 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 779923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 779929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 779935 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 779941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 779945 */     GIR_RootConstrainSelectedInstOperands,
     /* 779946 */     // GIR_Coverage, 6907,
     /* 779946 */     GIR_EraseRootFromParent_Done,
     /* 779947 */   // Label 10390: @779947
     /* 779947 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(780056), // Rule ID 6927 //
     /* 779952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 779955 */     // MIs[0] offset
     /* 779955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 779958 */     // MIs[0] format
     /* 779958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 779961 */     // MIs[0] auxiliary
     /* 779961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 779964 */     // MIs[0] Operand 8
     /* 779964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 779967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 779974 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 779974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 779977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 779981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 779986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 779990 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 779993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 779997 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 780000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 780005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_BOTHEN_exact),
     /* 780018 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 780023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780030 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780032 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780038 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780044 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780054 */     GIR_RootConstrainSelectedInstOperands,
     /* 780055 */     // GIR_Coverage, 6927,
     /* 780055 */     GIR_EraseRootFromParent_Done,
     /* 780056 */   // Label 10391: @780056
     /* 780056 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(780165), // Rule ID 6931 //
     /* 780061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 780064 */     // MIs[0] offset
     /* 780064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780067 */     // MIs[0] format
     /* 780067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780070 */     // MIs[0] auxiliary
     /* 780070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780073 */     // MIs[0] Operand 8
     /* 780073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 780076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780083 */     // (SItbuffer_store_d16 f16:{ *:[f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 780086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 780090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 780095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 780099 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 780102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 780106 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 780109 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 780114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact),
     /* 780127 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 780132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780139 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780141 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780147 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780153 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780163 */     GIR_RootConstrainSelectedInstOperands,
     /* 780164 */     // GIR_Coverage, 6931,
     /* 780164 */     GIR_EraseRootFromParent_Done,
     /* 780165 */   // Label 10392: @780165
     /* 780165 */   GIM_Reject,
     /* 780166 */ // Label 10380: @780166
     /* 780166 */ GIM_Reject,
     /* 780167 */ // Label 10373: @780167
     /* 780167 */ GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(781205),
     /* 780172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 780175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 780178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 780181 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 780184 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(780265), // Rule ID 6908 //
     /* 780189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 780192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780200 */     // MIs[0] offset
     /* 780200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780203 */     // MIs[0] format
     /* 780203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780206 */     // MIs[0] auxiliary
     /* 780206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780209 */     // MIs[0] Operand 8
     /* 780209 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780227 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFSET_exact),
     /* 780230 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780239 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780241 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780247 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780253 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780263 */     GIR_RootConstrainSelectedInstOperands,
     /* 780264 */     // GIR_Coverage, 6908,
     /* 780264 */     GIR_EraseRootFromParent_Done,
     /* 780265 */   // Label 10394: @780265
     /* 780265 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(780346), // Rule ID 6932 //
     /* 780270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 780273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780277 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780281 */     // MIs[0] offset
     /* 780281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780284 */     // MIs[0] format
     /* 780284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780287 */     // MIs[0] auxiliary
     /* 780287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780290 */     // MIs[0] Operand 8
     /* 780290 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780308 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_OFFSET_exact),
     /* 780311 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780320 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780322 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780328 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780334 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780344 */     GIR_RootConstrainSelectedInstOperands,
     /* 780345 */     // GIR_Coverage, 6932,
     /* 780345 */     GIR_EraseRootFromParent_Done,
     /* 780346 */   // Label 10395: @780346
     /* 780346 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(780427), // Rule ID 6936 //
     /* 780351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 780354 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780362 */     // MIs[0] offset
     /* 780362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780365 */     // MIs[0] format
     /* 780365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780368 */     // MIs[0] auxiliary
     /* 780368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780371 */     // MIs[0] Operand 8
     /* 780371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780389 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact anonymous_9775:{ *:[i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFSET_exact),
     /* 780392 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780401 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780403 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780409 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780415 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780425 */     GIR_RootConstrainSelectedInstOperands,
     /* 780426 */     // GIR_Coverage, 6936,
     /* 780426 */     GIR_EraseRootFromParent_Done,
     /* 780427 */   // Label 10396: @780427
     /* 780427 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(780506), // Rule ID 6910 //
     /* 780432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 780435 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780439 */     // MIs[0] offset
     /* 780439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780442 */     // MIs[0] format
     /* 780442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780445 */     // MIs[0] auxiliary
     /* 780445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780448 */     // MIs[0] Operand 8
     /* 780448 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780466 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_OFFEN_exact),
     /* 780469 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780471 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 780473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780480 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780482 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780488 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780494 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780504 */     GIR_RootConstrainSelectedInstOperands,
     /* 780505 */     // GIR_Coverage, 6910,
     /* 780505 */     GIR_EraseRootFromParent_Done,
     /* 780506 */   // Label 10397: @780506
     /* 780506 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(780585), // Rule ID 6934 //
     /* 780511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 780514 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780518 */     // MIs[0] offset
     /* 780518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780521 */     // MIs[0] format
     /* 780521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780524 */     // MIs[0] auxiliary
     /* 780524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780527 */     // MIs[0] Operand 8
     /* 780527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780545 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_OFFEN_exact),
     /* 780548 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780550 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 780552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780559 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780561 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780567 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780573 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780583 */     GIR_RootConstrainSelectedInstOperands,
     /* 780584 */     // GIR_Coverage, 6934,
     /* 780584 */     GIR_EraseRootFromParent_Done,
     /* 780585 */   // Label 10398: @780585
     /* 780585 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(780664), // Rule ID 6938 //
     /* 780590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 780593 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 780597 */     // MIs[0] offset
     /* 780597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780600 */     // MIs[0] format
     /* 780600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780603 */     // MIs[0] auxiliary
     /* 780603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780606 */     // MIs[0] Operand 8
     /* 780606 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 780617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780624 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_OFFEN_exact),
     /* 780627 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780629 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 780631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780638 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780640 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780646 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780652 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780662 */     GIR_RootConstrainSelectedInstOperands,
     /* 780663 */     // GIR_Coverage, 6938,
     /* 780663 */     GIR_EraseRootFromParent_Done,
     /* 780664 */   // Label 10399: @780664
     /* 780664 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(780735), // Rule ID 6909 //
     /* 780669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 780672 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780676 */     // MIs[0] offset
     /* 780676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780679 */     // MIs[0] format
     /* 780679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780682 */     // MIs[0] auxiliary
     /* 780682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780685 */     // MIs[0] Operand 8
     /* 780685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 780688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780695 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_IDXEN_exact),
     /* 780698 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780700 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 780702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780709 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780711 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780717 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780723 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780733 */     GIR_RootConstrainSelectedInstOperands,
     /* 780734 */     // GIR_Coverage, 6909,
     /* 780734 */     GIR_EraseRootFromParent_Done,
     /* 780735 */   // Label 10400: @780735
     /* 780735 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(780806), // Rule ID 6933 //
     /* 780740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 780743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780747 */     // MIs[0] offset
     /* 780747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780750 */     // MIs[0] format
     /* 780750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780753 */     // MIs[0] auxiliary
     /* 780753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780756 */     // MIs[0] Operand 8
     /* 780756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 780759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780766 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_IDXEN_exact),
     /* 780769 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780771 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 780773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780780 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780788 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780794 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780804 */     GIR_RootConstrainSelectedInstOperands,
     /* 780805 */     // GIR_Coverage, 6933,
     /* 780805 */     GIR_EraseRootFromParent_Done,
     /* 780806 */   // Label 10401: @780806
     /* 780806 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(780877), // Rule ID 6937 //
     /* 780811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 780814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 780818 */     // MIs[0] offset
     /* 780818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780821 */     // MIs[0] format
     /* 780821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780824 */     // MIs[0] auxiliary
     /* 780824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780827 */     // MIs[0] Operand 8
     /* 780827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 780830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780837 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact anonymous_9775:{ *:[i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_IDXEN_exact),
     /* 780840 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780842 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 780844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780851 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780853 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780859 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780865 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780875 */     GIR_RootConstrainSelectedInstOperands,
     /* 780876 */     // GIR_Coverage, 6937,
     /* 780876 */     GIR_EraseRootFromParent_Done,
     /* 780877 */   // Label 10402: @780877
     /* 780877 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(780986), // Rule ID 6911 //
     /* 780882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 780885 */     // MIs[0] offset
     /* 780885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780888 */     // MIs[0] format
     /* 780888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 780891 */     // MIs[0] auxiliary
     /* 780891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 780894 */     // MIs[0] Operand 8
     /* 780894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 780897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 780904 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 780904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 780907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 780911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 780916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 780920 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 780923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 780927 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 780930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 780935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780940 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 780945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_gfx80_BOTHEN_exact),
     /* 780948 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 780950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 780953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 780955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 780960 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 780962 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 780968 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 780974 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 780980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 780984 */     GIR_RootConstrainSelectedInstOperands,
     /* 780985 */     // GIR_Coverage, 6911,
     /* 780985 */     GIR_EraseRootFromParent_Done,
     /* 780986 */   // Label 10403: @780986
     /* 780986 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(781095), // Rule ID 6935 //
     /* 780991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 780994 */     // MIs[0] offset
     /* 780994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 780997 */     // MIs[0] format
     /* 780997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781000 */     // MIs[0] auxiliary
     /* 781000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781003 */     // MIs[0] Operand 8
     /* 781003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781013 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 781016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 781020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 781025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 781029 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 781032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 781036 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 781039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 781044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781049 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_BOTHEN_exact),
     /* 781057 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 781062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781069 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781071 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781077 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781083 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781093 */     GIR_RootConstrainSelectedInstOperands,
     /* 781094 */     // GIR_Coverage, 6935,
     /* 781094 */     GIR_EraseRootFromParent_Done,
     /* 781095 */   // Label 10404: @781095
     /* 781095 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(781204), // Rule ID 6939 //
     /* 781100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 781103 */     // MIs[0] offset
     /* 781103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781106 */     // MIs[0] format
     /* 781106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781109 */     // MIs[0] auxiliary
     /* 781109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781112 */     // MIs[0] Operand 8
     /* 781112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781122 */     // (SItbuffer_store_d16 i32:{ *:[i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 781125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 781129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 781134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 781138 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 781141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 781145 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 781148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 781153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_X_VBUFFER_BOTHEN_exact),
     /* 781166 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 781171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781178 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781180 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781186 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781192 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781202 */     GIR_RootConstrainSelectedInstOperands,
     /* 781203 */     // GIR_Coverage, 6939,
     /* 781203 */     GIR_EraseRootFromParent_Done,
     /* 781204 */   // Label 10405: @781204
     /* 781204 */   GIM_Reject,
     /* 781205 */ // Label 10393: @781205
     /* 781205 */ GIM_Reject,
     /* 781206 */ // Label 10374: @781206
     /* 781206 */ GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(781904),
     /* 781211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 781214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 781217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 781220 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 781223 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(781304), // Rule ID 6940 //
     /* 781228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 781231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 781235 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 781239 */     // MIs[0] offset
     /* 781239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781242 */     // MIs[0] format
     /* 781242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781245 */     // MIs[0] auxiliary
     /* 781245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781248 */     // MIs[0] Operand 8
     /* 781248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 781259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781266 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_OFFSET_exact),
     /* 781269 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781278 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781280 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781286 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781292 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781302 */     GIR_RootConstrainSelectedInstOperands,
     /* 781303 */     // GIR_Coverage, 6940,
     /* 781303 */     GIR_EraseRootFromParent_Done,
     /* 781304 */   // Label 10407: @781304
     /* 781304 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(781385), // Rule ID 6944 //
     /* 781309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 781312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 781316 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 781320 */     // MIs[0] offset
     /* 781320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781323 */     // MIs[0] format
     /* 781323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781326 */     // MIs[0] auxiliary
     /* 781326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781329 */     // MIs[0] Operand 8
     /* 781329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 781340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781347 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact anonymous_9775:{ *:[v2f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFSET_exact),
     /* 781350 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781359 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781361 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781367 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781373 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781383 */     GIR_RootConstrainSelectedInstOperands,
     /* 781384 */     // GIR_Coverage, 6944,
     /* 781384 */     GIR_EraseRootFromParent_Done,
     /* 781385 */   // Label 10408: @781385
     /* 781385 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(781464), // Rule ID 6942 //
     /* 781390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 781393 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 781397 */     // MIs[0] offset
     /* 781397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781400 */     // MIs[0] format
     /* 781400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781403 */     // MIs[0] auxiliary
     /* 781403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781406 */     // MIs[0] Operand 8
     /* 781406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 781417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781424 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_OFFEN_exact),
     /* 781427 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781429 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 781431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781438 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781462 */     GIR_RootConstrainSelectedInstOperands,
     /* 781463 */     // GIR_Coverage, 6942,
     /* 781463 */     GIR_EraseRootFromParent_Done,
     /* 781464 */   // Label 10409: @781464
     /* 781464 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(781543), // Rule ID 6946 //
     /* 781469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 781472 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 781476 */     // MIs[0] offset
     /* 781476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781479 */     // MIs[0] format
     /* 781479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781482 */     // MIs[0] auxiliary
     /* 781482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781485 */     // MIs[0] Operand 8
     /* 781485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 781496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781503 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_OFFEN_exact),
     /* 781506 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781508 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 781510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781517 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781519 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781525 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781531 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781541 */     GIR_RootConstrainSelectedInstOperands,
     /* 781542 */     // GIR_Coverage, 6946,
     /* 781542 */     GIR_EraseRootFromParent_Done,
     /* 781543 */   // Label 10410: @781543
     /* 781543 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(781614), // Rule ID 6941 //
     /* 781548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 781551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 781555 */     // MIs[0] offset
     /* 781555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781558 */     // MIs[0] format
     /* 781558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781561 */     // MIs[0] auxiliary
     /* 781561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781564 */     // MIs[0] Operand 8
     /* 781564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781574 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_IDXEN_exact),
     /* 781577 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781579 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 781581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781588 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781590 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781596 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781602 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781612 */     GIR_RootConstrainSelectedInstOperands,
     /* 781613 */     // GIR_Coverage, 6941,
     /* 781613 */     GIR_EraseRootFromParent_Done,
     /* 781614 */   // Label 10411: @781614
     /* 781614 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(781685), // Rule ID 6945 //
     /* 781619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 781622 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 781626 */     // MIs[0] offset
     /* 781626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781629 */     // MIs[0] format
     /* 781629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781632 */     // MIs[0] auxiliary
     /* 781632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781635 */     // MIs[0] Operand 8
     /* 781635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781645 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_IDXEN_exact),
     /* 781648 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781650 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 781652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781659 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781661 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781667 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781673 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781683 */     GIR_RootConstrainSelectedInstOperands,
     /* 781684 */     // GIR_Coverage, 6945,
     /* 781684 */     GIR_EraseRootFromParent_Done,
     /* 781685 */   // Label 10412: @781685
     /* 781685 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(781794), // Rule ID 6943 //
     /* 781690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 781693 */     // MIs[0] offset
     /* 781693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781696 */     // MIs[0] format
     /* 781696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781699 */     // MIs[0] auxiliary
     /* 781699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781702 */     // MIs[0] Operand 8
     /* 781702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781712 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 781715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 781719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 781724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 781728 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 781731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 781735 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 781738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 781743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_BOTHEN_exact),
     /* 781756 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 781761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781768 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781770 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781776 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781782 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781792 */     GIR_RootConstrainSelectedInstOperands,
     /* 781793 */     // GIR_Coverage, 6943,
     /* 781793 */     GIR_EraseRootFromParent_Done,
     /* 781794 */   // Label 10413: @781794
     /* 781794 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(781903), // Rule ID 6947 //
     /* 781799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 781802 */     // MIs[0] offset
     /* 781802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781805 */     // MIs[0] format
     /* 781805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781808 */     // MIs[0] auxiliary
     /* 781808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781811 */     // MIs[0] Operand 8
     /* 781811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 781814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781821 */     // (SItbuffer_store_d16 v2f16:{ *:[v2f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact anonymous_9775:{ *:[v2f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 781824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 781828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 781833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 781837 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 781840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 781844 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 781847 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 781852 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 781862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_VBUFFER_BOTHEN_exact),
     /* 781865 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 781870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781877 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781879 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781891 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 781901 */     GIR_RootConstrainSelectedInstOperands,
     /* 781902 */     // GIR_Coverage, 6947,
     /* 781902 */     GIR_EraseRootFromParent_Done,
     /* 781903 */   // Label 10414: @781903
     /* 781903 */   GIM_Reject,
     /* 781904 */ // Label 10406: @781904
     /* 781904 */ GIM_Reject,
     /* 781905 */ // Label 10375: @781905
     /* 781905 */ GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(782263),
     /* 781910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 781913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 781916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 781919 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 781922 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(782003), // Rule ID 6912 //
     /* 781927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 781930 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 781934 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 781938 */     // MIs[0] offset
     /* 781938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 781941 */     // MIs[0] format
     /* 781941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 781944 */     // MIs[0] auxiliary
     /* 781944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 781947 */     // MIs[0] Operand 8
     /* 781947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 781958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 781965 */     // (SItbuffer_store_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_gfx80_OFFSET_exact anonymous_9774:{ *:[v2i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 781965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_gfx80_OFFSET_exact),
     /* 781968 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 781970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 781972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 781977 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 781979 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 781985 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 781991 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 781997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782001 */     GIR_RootConstrainSelectedInstOperands,
     /* 782002 */     // GIR_Coverage, 6912,
     /* 782002 */     GIR_EraseRootFromParent_Done,
     /* 782003 */   // Label 10416: @782003
     /* 782003 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(782082), // Rule ID 6914 //
     /* 782008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782011 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782015 */     // MIs[0] offset
     /* 782015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782018 */     // MIs[0] format
     /* 782018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782021 */     // MIs[0] auxiliary
     /* 782021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782024 */     // MIs[0] Operand 8
     /* 782024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782042 */     // (SItbuffer_store_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XY_gfx80_OFFEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_gfx80_OFFEN_exact),
     /* 782045 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782047 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 782049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782056 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782058 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782064 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782070 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782080 */     GIR_RootConstrainSelectedInstOperands,
     /* 782081 */     // GIR_Coverage, 6914,
     /* 782081 */     GIR_EraseRootFromParent_Done,
     /* 782082 */   // Label 10417: @782082
     /* 782082 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(782153), // Rule ID 6913 //
     /* 782087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782090 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782094 */     // MIs[0] offset
     /* 782094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782097 */     // MIs[0] format
     /* 782097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782100 */     // MIs[0] auxiliary
     /* 782100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782103 */     // MIs[0] Operand 8
     /* 782103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 782106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782113 */     // (SItbuffer_store_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_gfx80_IDXEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_gfx80_IDXEN_exact),
     /* 782116 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782118 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 782120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782127 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782129 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782135 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782141 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782151 */     GIR_RootConstrainSelectedInstOperands,
     /* 782152 */     // GIR_Coverage, 6913,
     /* 782152 */     GIR_EraseRootFromParent_Done,
     /* 782153 */   // Label 10418: @782153
     /* 782153 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(782262), // Rule ID 6915 //
     /* 782158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782161 */     // MIs[0] offset
     /* 782161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782164 */     // MIs[0] format
     /* 782164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782167 */     // MIs[0] auxiliary
     /* 782167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782170 */     // MIs[0] Operand 8
     /* 782170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 782173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782180 */     // (SItbuffer_store_d16 v2i32:{ *:[v2i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XY_gfx80_BOTHEN_exact anonymous_9774:{ *:[v2i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 782183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 782187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 782192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 782196 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 782199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 782203 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 782206 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 782211 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 782216 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 782221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XY_gfx80_BOTHEN_exact),
     /* 782224 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 782229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782236 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782238 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782244 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782250 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782260 */     GIR_RootConstrainSelectedInstOperands,
     /* 782261 */     // GIR_Coverage, 6915,
     /* 782261 */     GIR_EraseRootFromParent_Done,
     /* 782262 */   // Label 10419: @782262
     /* 782262 */   GIM_Reject,
     /* 782263 */ // Label 10415: @782263
     /* 782263 */ GIM_Reject,
     /* 782264 */ // Label 10376: @782264
     /* 782264 */ GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(782622),
     /* 782269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 782272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 782275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 782278 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 782281 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(782362), // Rule ID 6916 //
     /* 782286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782289 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782293 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782297 */     // MIs[0] offset
     /* 782297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782300 */     // MIs[0] format
     /* 782300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782303 */     // MIs[0] auxiliary
     /* 782303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782306 */     // MIs[0] Operand 8
     /* 782306 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782324 */     // (SItbuffer_store_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFSET_exact anonymous_9773:{ *:[v3i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFSET_exact),
     /* 782327 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782336 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782338 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782344 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782350 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782360 */     GIR_RootConstrainSelectedInstOperands,
     /* 782361 */     // GIR_Coverage, 6916,
     /* 782361 */     GIR_EraseRootFromParent_Done,
     /* 782362 */   // Label 10421: @782362
     /* 782362 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(782441), // Rule ID 6918 //
     /* 782367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782374 */     // MIs[0] offset
     /* 782374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782377 */     // MIs[0] format
     /* 782377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782380 */     // MIs[0] auxiliary
     /* 782380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782383 */     // MIs[0] Operand 8
     /* 782383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782401 */     // (SItbuffer_store_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_OFFEN_exact),
     /* 782404 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782406 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 782408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782415 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782417 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782423 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782429 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782439 */     GIR_RootConstrainSelectedInstOperands,
     /* 782440 */     // GIR_Coverage, 6918,
     /* 782440 */     GIR_EraseRootFromParent_Done,
     /* 782441 */   // Label 10422: @782441
     /* 782441 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(782512), // Rule ID 6917 //
     /* 782446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782449 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782453 */     // MIs[0] offset
     /* 782453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782456 */     // MIs[0] format
     /* 782456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782459 */     // MIs[0] auxiliary
     /* 782459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782462 */     // MIs[0] Operand 8
     /* 782462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 782465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782472 */     // (SItbuffer_store_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_IDXEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_IDXEN_exact),
     /* 782475 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782477 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 782479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782486 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782488 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782494 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782500 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782510 */     GIR_RootConstrainSelectedInstOperands,
     /* 782511 */     // GIR_Coverage, 6917,
     /* 782511 */     GIR_EraseRootFromParent_Done,
     /* 782512 */   // Label 10423: @782512
     /* 782512 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(782621), // Rule ID 6919 //
     /* 782517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 782520 */     // MIs[0] offset
     /* 782520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782523 */     // MIs[0] format
     /* 782523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782526 */     // MIs[0] auxiliary
     /* 782526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782529 */     // MIs[0] Operand 8
     /* 782529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 782532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782539 */     // (SItbuffer_store_d16 v3i32:{ *:[v3i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_BOTHEN_exact anonymous_9773:{ *:[v3i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 782542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 782546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 782551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 782555 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 782558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 782562 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 782565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 782570 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 782575 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 782580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_gfx80_BOTHEN_exact),
     /* 782583 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 782588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782595 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782597 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782603 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782609 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782619 */     GIR_RootConstrainSelectedInstOperands,
     /* 782620 */     // GIR_Coverage, 6919,
     /* 782620 */     GIR_EraseRootFromParent_Done,
     /* 782621 */   // Label 10424: @782621
     /* 782621 */   GIM_Reject,
     /* 782622 */ // Label 10420: @782622
     /* 782622 */ GIM_Reject,
     /* 782623 */ // Label 10377: @782623
     /* 782623 */ GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(784057),
     /* 782628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 782631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 782634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 782637 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 782640 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(782728), // Rule ID 6948 //
     /* 782645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 782648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 782655 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782659 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782663 */     // MIs[0] offset
     /* 782663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782666 */     // MIs[0] format
     /* 782666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782669 */     // MIs[0] auxiliary
     /* 782669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782672 */     // MIs[0] Operand 8
     /* 782672 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782690 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_OFFSET_exact),
     /* 782693 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782702 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782704 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782716 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782726 */     GIR_RootConstrainSelectedInstOperands,
     /* 782727 */     // GIR_Coverage, 6948,
     /* 782727 */     GIR_EraseRootFromParent_Done,
     /* 782728 */   // Label 10426: @782728
     /* 782728 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(782816), // Rule ID 6952 //
     /* 782733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 782736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 782743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782751 */     // MIs[0] offset
     /* 782751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782754 */     // MIs[0] format
     /* 782754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782757 */     // MIs[0] auxiliary
     /* 782757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782760 */     // MIs[0] Operand 8
     /* 782760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782778 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFSET_exact),
     /* 782781 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782790 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782792 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782798 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782804 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782814 */     GIR_RootConstrainSelectedInstOperands,
     /* 782815 */     // GIR_Coverage, 6952,
     /* 782815 */     GIR_EraseRootFromParent_Done,
     /* 782816 */   // Label 10427: @782816
     /* 782816 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(782897), // Rule ID 6956 //
     /* 782821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 782824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782832 */     // MIs[0] offset
     /* 782832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782835 */     // MIs[0] format
     /* 782835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782838 */     // MIs[0] auxiliary
     /* 782838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782841 */     // MIs[0] Operand 8
     /* 782841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782859 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_OFFSET_exact),
     /* 782862 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782871 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782873 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782879 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782885 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782895 */     GIR_RootConstrainSelectedInstOperands,
     /* 782896 */     // GIR_Coverage, 6956,
     /* 782896 */     GIR_EraseRootFromParent_Done,
     /* 782897 */   // Label 10428: @782897
     /* 782897 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(782978), // Rule ID 6960 //
     /* 782902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 782905 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 782913 */     // MIs[0] offset
     /* 782913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 782916 */     // MIs[0] format
     /* 782916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 782919 */     // MIs[0] auxiliary
     /* 782919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 782922 */     // MIs[0] Operand 8
     /* 782922 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 782933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 782940 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact anonymous_9774:{ *:[v4f16] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 782940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFSET_exact),
     /* 782943 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 782945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 782947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 782952 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 782954 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 782960 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 782966 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 782972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 782976 */     GIR_RootConstrainSelectedInstOperands,
     /* 782977 */     // GIR_Coverage, 6960,
     /* 782977 */     GIR_EraseRootFromParent_Done,
     /* 782978 */   // Label 10429: @782978
     /* 782978 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(783064), // Rule ID 6950 //
     /* 782983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 782986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 782993 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 782997 */     // MIs[0] offset
     /* 782997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783000 */     // MIs[0] format
     /* 783000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783003 */     // MIs[0] auxiliary
     /* 783003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783006 */     // MIs[0] Operand 8
     /* 783006 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 783017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783024 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_OFFEN_exact),
     /* 783027 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783029 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 783031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783038 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783040 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783046 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783052 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783062 */     GIR_RootConstrainSelectedInstOperands,
     /* 783063 */     // GIR_Coverage, 6950,
     /* 783063 */     GIR_EraseRootFromParent_Done,
     /* 783064 */   // Label 10430: @783064
     /* 783064 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(783150), // Rule ID 6954 //
     /* 783069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 783079 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 783083 */     // MIs[0] offset
     /* 783083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783086 */     // MIs[0] format
     /* 783086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783089 */     // MIs[0] auxiliary
     /* 783089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783092 */     // MIs[0] Operand 8
     /* 783092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 783103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783110 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_OFFEN_exact),
     /* 783113 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783115 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 783117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783124 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783126 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783132 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783138 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783148 */     GIR_RootConstrainSelectedInstOperands,
     /* 783149 */     // GIR_Coverage, 6954,
     /* 783149 */     GIR_EraseRootFromParent_Done,
     /* 783150 */   // Label 10431: @783150
     /* 783150 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(783229), // Rule ID 6958 //
     /* 783155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 783158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 783162 */     // MIs[0] offset
     /* 783162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783165 */     // MIs[0] format
     /* 783165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783168 */     // MIs[0] auxiliary
     /* 783168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783171 */     // MIs[0] Operand 8
     /* 783171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 783182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783189 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_OFFEN_exact),
     /* 783192 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783194 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 783196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783203 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783205 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783211 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783217 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783227 */     GIR_RootConstrainSelectedInstOperands,
     /* 783228 */     // GIR_Coverage, 6958,
     /* 783228 */     GIR_EraseRootFromParent_Done,
     /* 783229 */   // Label 10432: @783229
     /* 783229 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(783308), // Rule ID 6962 //
     /* 783234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783237 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 783241 */     // MIs[0] offset
     /* 783241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783244 */     // MIs[0] format
     /* 783244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783247 */     // MIs[0] auxiliary
     /* 783247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783250 */     // MIs[0] Operand 8
     /* 783250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 783261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783268 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_OFFEN_exact),
     /* 783271 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783273 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 783275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783282 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783284 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783290 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783296 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783306 */     GIR_RootConstrainSelectedInstOperands,
     /* 783307 */     // GIR_Coverage, 6962,
     /* 783307 */     GIR_EraseRootFromParent_Done,
     /* 783308 */   // Label 10433: @783308
     /* 783308 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(783386), // Rule ID 6949 //
     /* 783313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 783316 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 783323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 783327 */     // MIs[0] offset
     /* 783327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783330 */     // MIs[0] format
     /* 783330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783333 */     // MIs[0] auxiliary
     /* 783333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783336 */     // MIs[0] Operand 8
     /* 783336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783346 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_IDXEN_exact),
     /* 783349 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783351 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 783353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783360 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783362 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783368 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783374 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783384 */     GIR_RootConstrainSelectedInstOperands,
     /* 783385 */     // GIR_Coverage, 6949,
     /* 783385 */     GIR_EraseRootFromParent_Done,
     /* 783386 */   // Label 10434: @783386
     /* 783386 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(783464), // Rule ID 6953 //
     /* 783391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 783401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 783405 */     // MIs[0] offset
     /* 783405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783408 */     // MIs[0] format
     /* 783408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783411 */     // MIs[0] auxiliary
     /* 783411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783414 */     // MIs[0] Operand 8
     /* 783414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783424 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_IDXEN_exact),
     /* 783427 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783429 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 783431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783438 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783440 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783446 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783452 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783462 */     GIR_RootConstrainSelectedInstOperands,
     /* 783463 */     // GIR_Coverage, 6953,
     /* 783463 */     GIR_EraseRootFromParent_Done,
     /* 783464 */   // Label 10435: @783464
     /* 783464 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(783535), // Rule ID 6957 //
     /* 783469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 783472 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 783476 */     // MIs[0] offset
     /* 783476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783479 */     // MIs[0] format
     /* 783479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783482 */     // MIs[0] auxiliary
     /* 783482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783485 */     // MIs[0] Operand 8
     /* 783485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783495 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_IDXEN_exact),
     /* 783498 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783500 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 783502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783509 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783511 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783517 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783523 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783533 */     GIR_RootConstrainSelectedInstOperands,
     /* 783534 */     // GIR_Coverage, 6957,
     /* 783534 */     GIR_EraseRootFromParent_Done,
     /* 783535 */   // Label 10436: @783535
     /* 783535 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(783606), // Rule ID 6961 //
     /* 783540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 783547 */     // MIs[0] offset
     /* 783547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783550 */     // MIs[0] format
     /* 783550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783553 */     // MIs[0] auxiliary
     /* 783553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783556 */     // MIs[0] Operand 8
     /* 783556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783566 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_IDXEN_exact),
     /* 783569 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783571 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 783573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783580 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783582 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783588 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783594 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783604 */     GIR_RootConstrainSelectedInstOperands,
     /* 783605 */     // GIR_Coverage, 6961,
     /* 783605 */     GIR_EraseRootFromParent_Done,
     /* 783606 */   // Label 10437: @783606
     /* 783606 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(783722), // Rule ID 6951 //
     /* 783611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 783614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 783621 */     // MIs[0] offset
     /* 783621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783624 */     // MIs[0] format
     /* 783624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783627 */     // MIs[0] auxiliary
     /* 783627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783630 */     // MIs[0] Operand 8
     /* 783630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783640 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 783643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 783647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 783652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 783656 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 783659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 783663 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 783666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 783671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_BOTHEN_exact),
     /* 783684 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 783689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783696 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783698 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783704 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783710 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783720 */     GIR_RootConstrainSelectedInstOperands,
     /* 783721 */     // GIR_Coverage, 6951,
     /* 783721 */     GIR_EraseRootFromParent_Done,
     /* 783722 */   // Label 10438: @783722
     /* 783722 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(783838), // Rule ID 6955 //
     /* 783727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783730 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(6),
     /* 783737 */     // MIs[0] offset
     /* 783737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783740 */     // MIs[0] format
     /* 783740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783743 */     // MIs[0] auxiliary
     /* 783743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783746 */     // MIs[0] Operand 8
     /* 783746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783756 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))<<P:Predicate_anonymous_33923>>  =>  (TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 783759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 783763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 783768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 783772 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 783775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 783779 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 783782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 783787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZ_VBUFFER_BOTHEN_exact),
     /* 783800 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 783805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783812 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783814 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783820 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783826 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783836 */     GIR_RootConstrainSelectedInstOperands,
     /* 783837 */     // GIR_Coverage, 6955,
     /* 783837 */     GIR_EraseRootFromParent_Done,
     /* 783838 */   // Label 10439: @783838
     /* 783838 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(783947), // Rule ID 6959 //
     /* 783843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem_HasUnrestrictedSOffset),
     /* 783846 */     // MIs[0] offset
     /* 783846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783849 */     // MIs[0] format
     /* 783849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783852 */     // MIs[0] auxiliary
     /* 783852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783855 */     // MIs[0] Operand 8
     /* 783855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783865 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 783868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 783872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 783877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 783881 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 783884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 783888 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 783891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 783896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 783906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_BOTHEN_exact),
     /* 783909 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 783911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 783914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 783916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 783921 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 783923 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 783929 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 783935 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 783941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 783945 */     GIR_RootConstrainSelectedInstOperands,
     /* 783946 */     // GIR_Coverage, 6959,
     /* 783946 */     GIR_EraseRootFromParent_Done,
     /* 783947 */   // Label 10440: @783947
     /* 783947 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(784056), // Rule ID 6963 //
     /* 783952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPackedD16VMem),
     /* 783955 */     // MIs[0] offset
     /* 783955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 783958 */     // MIs[0] format
     /* 783958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 783961 */     // MIs[0] auxiliary
     /* 783961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 783964 */     // MIs[0] Operand 8
     /* 783964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 783967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 783974 */     // (SItbuffer_store_d16 v4f16:{ *:[v4f16] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact anonymous_9774:{ *:[v4f16] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 783974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 783977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 783981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 783986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 783990 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 783993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 783997 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 784000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 784005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_VBUFFER_BOTHEN_exact),
     /* 784018 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 784020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 784023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 784025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 784030 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 784032 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 784038 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 784044 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 784050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 784054 */     GIR_RootConstrainSelectedInstOperands,
     /* 784055 */     // GIR_Coverage, 6963,
     /* 784055 */     GIR_EraseRootFromParent_Done,
     /* 784056 */   // Label 10441: @784056
     /* 784056 */   GIM_Reject,
     /* 784057 */ // Label 10425: @784057
     /* 784057 */ GIM_Reject,
     /* 784058 */ // Label 10378: @784058
     /* 784058 */ GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(784416),
     /* 784063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 784066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 784069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 784072 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 784075 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(784156), // Rule ID 6920 //
     /* 784080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 784083 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 784087 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 784091 */     // MIs[0] offset
     /* 784091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 784094 */     // MIs[0] format
     /* 784094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 784097 */     // MIs[0] auxiliary
     /* 784097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 784100 */     // MIs[0] Operand 8
     /* 784100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 784111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 784118 */     // (SItbuffer_store_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFSET_exact anonymous_9772:{ *:[v4i32] }:$vdata, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 784118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFSET_exact),
     /* 784121 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 784123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 784125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 784130 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 784132 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 784138 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 784144 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 784150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 784154 */     GIR_RootConstrainSelectedInstOperands,
     /* 784155 */     // GIR_Coverage, 6920,
     /* 784155 */     GIR_EraseRootFromParent_Done,
     /* 784156 */   // Label 10443: @784156
     /* 784156 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(784235), // Rule ID 6922 //
     /* 784161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 784164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 784168 */     // MIs[0] offset
     /* 784168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 784171 */     // MIs[0] format
     /* 784171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 784174 */     // MIs[0] auxiliary
     /* 784174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 784177 */     // MIs[0] Operand 8
     /* 784177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/8, GIMT_Encode8(0),
     /* 784188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 784195 */     // (SItbuffer_store_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, 0:{ *:[i32] }, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, 0:{ *:[i1] })  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$voffset, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 784195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_OFFEN_exact),
     /* 784198 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 784200 */     GIR_RootToRootCopy, /*OpIdx*/3, // voffset
     /* 784202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 784204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 784209 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 784211 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 784217 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 784223 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 784229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 784233 */     GIR_RootConstrainSelectedInstOperands,
     /* 784234 */     // GIR_Coverage, 6922,
     /* 784234 */     GIR_EraseRootFromParent_Done,
     /* 784235 */   // Label 10444: @784235
     /* 784235 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(784306), // Rule ID 6921 //
     /* 784240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 784243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 784247 */     // MIs[0] offset
     /* 784247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 784250 */     // MIs[0] format
     /* 784250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 784253 */     // MIs[0] auxiliary
     /* 784253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 784256 */     // MIs[0] Operand 8
     /* 784256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 784259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 784266 */     // (SItbuffer_store_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, 0:{ *:[i32] }, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_IDXEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, VGPR_32:{ *:[i32] }:$vindex, SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 784266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_IDXEN_exact),
     /* 784269 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 784271 */     GIR_RootToRootCopy, /*OpIdx*/2, // vindex
     /* 784273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 784275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 784280 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 784282 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 784288 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 784294 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 784300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 784304 */     GIR_RootConstrainSelectedInstOperands,
     /* 784305 */     // GIR_Coverage, 6921,
     /* 784305 */     GIR_EraseRootFromParent_Done,
     /* 784306 */   // Label 10445: @784306
     /* 784306 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(784415), // Rule ID 6923 //
     /* 784311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUnpackedD16VMem),
     /* 784314 */     // MIs[0] offset
     /* 784314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 784317 */     // MIs[0] format
     /* 784317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 784320 */     // MIs[0] auxiliary
     /* 784320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 784323 */     // MIs[0] Operand 8
     /* 784323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 784326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_buf_soffset),
     /* 784333 */     // (SItbuffer_store_d16 v4i32:{ *:[v4i32] }:$vdata, v4i32:{ *:[v4i32] }:$rsrc, i32:{ *:[i32] }:$vindex, i32:{ *:[i32] }:$voffset, (BUFSOffset:{ *:[i32] } i32:{ *:[i32] }:$soffset), (timm:{ *:[i32] }):$offset, (timm:{ *:[i32] }):$format, (timm:{ *:[i32] }):$auxiliary, (timm:{ *:[i1] }))  =>  (TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_BOTHEN_exact anonymous_9772:{ *:[v4i32] }:$vdata, (REG_SEQUENCE:{ *:[i64] } VReg_64:{ *:[i32] }, VGPR_32:{ *:[i32] }:$vindex, sub0:{ *:[i32] }, VGPR_32:{ *:[i32] }:$voffset, sub1:{ *:[i32] }), SReg_128:{ *:[v4i32] }:$rsrc, SCSrc_b32:{ *:[i32] }:$soffset, (timm:{ *:[i32] }):$offset, (as_i8timm:{ *:[i8] } ?:{ *:[i32] }:$format), (extract_cpol:{ *:[i32] } ?:{ *:[i32] }:$auxiliary), (extract_swz:{ *:[i1] } ?:{ *:[i32] }:$auxiliary))
     /* 784333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 784336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::REG_SEQUENCE),
     /* 784340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 784345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // vindex
     /* 784349 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/3,
     /* 784352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // voffset
     /* 784356 */     GIR_AddImm8, /*InsnID*/1, /*SubRegIndex*/11,
     /* 784359 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AMDGPU::VReg_64RegClassID),
     /* 784364 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784369 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/3, GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::TBUFFER_STORE_FORMAT_D16_XYZW_gfx80_BOTHEN_exact),
     /* 784377 */     GIR_RootToRootCopy, /*OpIdx*/0, // vdata
     /* 784379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 784382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rsrc
     /* 784384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // soffset
     /* 784389 */     GIR_RootToRootCopy, /*OpIdx*/5, // offset
     /* 784391 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/6, /*OperandRenderer*/GIMT_Encode2(GICR_renderTruncTImm), // format
     /* 784397 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractCPol), // auxiliary
     /* 784403 */     GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/7, /*OperandRenderer*/GIMT_Encode2(GICR_renderExtractSWZ), // auxiliary
     /* 784409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 784413 */     GIR_RootConstrainSelectedInstOperands,
     /* 784414 */     // GIR_Coverage, 6923,
     /* 784414 */     GIR_EraseRootFromParent_Done,
     /* 784415 */   // Label 10446: @784415
     /* 784415 */   GIM_Reject,
     /* 784416 */ // Label 10442: @784416
     /* 784416 */ GIM_Reject,
     /* 784417 */ // Label 10379: @784417
     /* 784417 */ GIM_Reject,
     /* 784418 */ // Label 168: @784418
     /* 784418 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(10), /*)*//*default:*//*Label 10449*/ GIMT_Encode4(784723),
     /* 784429 */ /*GILLT_s16*//*Label 10447*/ GIMT_Encode4(784437),
     /* 784433 */ /*GILLT_s32*//*Label 10448*/ GIMT_Encode4(784681),
     /* 784437 */ // Label 10447: @784437
     /* 784437 */ GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(784680),
     /* 784442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 784445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 784448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 784451 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(784527), // Rule ID 1029 //
     /* 784456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotHasTrue16BitInsts_isGFX9Plus),
     /* 784459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 784470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 784477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opsel),
     /* 784484 */     // (AMDGPUumed3:{ *:[i16] } (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSel:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_U16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 784484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_e64),
     /* 784487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 784489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 784494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 784499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 784504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 784509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 784514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 784519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784525 */     GIR_RootConstrainSelectedInstOperands,
     /* 784526 */     // GIR_Coverage, 1029,
     /* 784526 */     GIR_EraseRootFromParent_Done,
     /* 784527 */   // Label 10451: @784527
     /* 784527 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(784603), // Rule ID 1030 //
     /* 784532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseRealTrue16Insts_isGFX9Plus),
     /* 784535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_16RegClassID),
     /* 784539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784560 */     // (AMDGPUumed3:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_U16_t16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 784560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_t16_e64),
     /* 784563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 784565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 784570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 784575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 784580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 784585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 784590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 784595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784601 */     GIR_RootConstrainSelectedInstOperands,
     /* 784602 */     // GIR_Coverage, 1030,
     /* 784602 */     GIR_EraseRootFromParent_Done,
     /* 784603 */   // Label 10452: @784603
     /* 784603 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(784679), // Rule ID 1031 //
     /* 784608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseFakeTrue16Insts_isGFX9Plus),
     /* 784611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_vop3opselmods),
     /* 784636 */     // (AMDGPUumed3:{ *:[i16] } (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src0_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src1_modifiers), (VOP3OpSelMods:{ *:[i16] } i16:{ *:[i16] }:$src2, i32:{ *:[i32] }:$src2_modifiers))  =>  (V_MED3_U16_fake16_e64:{ *:[i16] } i32:{ *:[i32] }:$src0_modifiers, i16:{ *:[i16] }:$src0, i32:{ *:[i32] }:$src1_modifiers, i16:{ *:[i16] }:$src1, i32:{ *:[i32] }:$src2_modifiers, i16:{ *:[i16] }:$src2)
     /* 784636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U16_fake16_e64),
     /* 784639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 784641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // src0_modifiers
     /* 784646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 784651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/1, // src1_modifiers
     /* 784656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // src1
     /* 784661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/1, // src2_modifiers
     /* 784666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // src2
     /* 784671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 784677 */     GIR_RootConstrainSelectedInstOperands,
     /* 784678 */     // GIR_Coverage, 1031,
     /* 784678 */     GIR_EraseRootFromParent_Done,
     /* 784679 */   // Label 10453: @784679
     /* 784679 */   GIM_Reject,
     /* 784680 */ // Label 10450: @784680
     /* 784680 */ GIM_Reject,
     /* 784681 */ // Label 10448: @784681
     /* 784681 */ GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(784722), // Rule ID 970 //
     /* 784686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 784689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 784692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 784695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AMDGPU::VGPR_32RegClassID),
     /* 784699 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_vop3mods0),
     /* 784706 */   // (AMDGPUumed3:{ *:[i32] } (VOP3Mods0:{ *:[i32] } i32:{ *:[i32] }:$src0), i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)  =>  (V_MED3_U32_e64:{ *:[i32] } i32:{ *:[i32] }:$src0, i32:{ *:[i32] }:$src1, i32:{ *:[i32] }:$src2)
     /* 784706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AMDGPU::V_MED3_U32_e64),
     /* 784709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[vdst]
     /* 784711 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // src0
     /* 784716 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 784718 */   GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 784720 */   GIR_RootConstrainSelectedInstOperands,
     /* 784721 */   // GIR_Coverage, 970,
     /* 784721 */   GIR_EraseRootFromParent_Done,
     /* 784722 */ // Label 10454: @784722
     /* 784722 */ GIM_Reject,
     /* 784723 */ // Label 10449: @784723
     /* 784723 */ GIM_Reject,
     /* 784724 */ // Label 169: @784724
     /* 784724 */ GIM_Reject,
     /* 784725 */ }; // Size: 784725 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
